package.path = package.path .. ";scripts/managers/name/?.lua"

DECLINED_DEVELOPER = 1;
DECLINED_FICT_RESERVED = 2;
DECLINED_PROFANE = 3;
DECLINED_RESERVED = 6;

require("species.bothan")
require("species.human")
require("species.ithorian")
require("species.moncal")
require("species.rodian")
require("species.sullustan")
require("species.trandoshan")
require("species.twilek")
require("species.wookiee")
require("species.zabrak")

require("resource.energy")
require("resource.mineral")
require("resource.plain")
require("resource.reactiveGas")

-- Imperial Trooper Prefixes
stormtrooperPrefixes = { "GK", "LK", "RK", "TK", "VK" };
scouttrooperPrefixes = { "SX", "GX", "VX", "CX", "NX" };
darktrooperPrefixes = { "JLB", "RAR", "KNP", "BCP", "RTZ" };
swamptrooperPrefixes = { "GL", "TL", "RL", "NL", "CL" };

reservedNames = {
	{ "anal", DECLINED_PROFANE },
	{ "ass", DECLINED_PROFANE },
	{ "biatch", DECLINED_PROFANE },
	{ "bitch", DECLINED_PROFANE },
	{ "boob", DECLINED_PROFANE },
	{ "christ", DECLINED_PROFANE },
	{ "clit", DECLINED_PROFANE },
	{ "cock", DECLINED_PROFANE },
	{ "cum", DECLINED_PROFANE },
	{ "cunt", DECLINED_PROFANE },
	{ "damn", DECLINED_PROFANE },
	{ "dick", DECLINED_PROFANE },
	{ "dingleberry", DECLINED_PROFANE },
	{ "dong", DECLINED_PROFANE },
	{ "fag", DECLINED_PROFANE },
	{ "fuck", DECLINED_PROFANE },
	{ "fuk", DECLINED_PROFANE },
	{ "fuxxor", DECLINED_PROFANE },
	{ "george lucas", DECLINED_PROFANE },
	{ "gook", DECLINED_PROFANE },
	{ "hooker", DECLINED_PROFANE },
	{ "jackoff", DECLINED_PROFANE },
	{ "jesus", DECLINED_PROFANE },
	{ "jew", DECLINED_PROFANE },
	{ "jizz", DECLINED_PROFANE },
	{ "kike", DECLINED_PROFANE },
	{ "kunt", DECLINED_PROFANE },
	{ "labia", DECLINED_PROFANE },
	{ "masterbait", DECLINED_PROFANE },
	{ "masterbate", DECLINED_PROFANE },
	{ "masturbait", DECLINED_PROFANE },
	{ "nazi", DECLINED_PROFANE },
	{ "negro", DECLINED_PROFANE },
	{ "nigg", DECLINED_PROFANE },
	{ "nipple", DECLINED_PROFANE },
	{ "penis", DECLINED_PROFANE },
	{ "piss", DECLINED_PROFANE },
	{ "prick", DECLINED_PROFANE },
	{ "pussy", DECLINED_PROFANE },
	{ "satan", DECLINED_PROFANE },
	{ "sex", DECLINED_PROFANE },
	{ "shit", DECLINED_PROFANE },
	{ "skank", DECLINED_PROFANE },
	{ "slut", DECLINED_PROFANE },
	{ "spawnthemonkey", DECLINED_PROFANE },
	{ "spick", DECLINED_PROFANE },
	{ "sucks", DECLINED_PROFANE },
	{ "system", DECLINED_PROFANE },
	{ "tit", DECLINED_PROFANE },
	{ "twat", DECLINED_PROFANE },
	{ "vagina", DECLINED_PROFANE },
	{ "whore", DECLINED_PROFANE },
	{ "wtf", DECLINED_PROFANE },
	{ "Admiral", DECLINED_PROFANE },
	{ "Admirals", DECLINED_PROFANE },
	{ "Allah", DECLINED_PROFANE },
	{ "Anakin", DECLINED_PROFANE },
	{ "asshole", DECLINED_PROFANE },
	{ "ballbeater", DECLINED_PROFANE },
	{ "ballhitter", DECLINED_PROFANE },
	{ "balllicker", DECLINED_PROFANE },
	{ "ballsucker", DECLINED_PROFANE },
	{ "bangher", DECLINED_PROFANE },
	{ "bastard", DECLINED_PROFANE },
	{ "bastid", DECLINED_PROFANE },
	{ "bitch", DECLINED_PROFANE },
	{ "blowme", DECLINED_PROFANE },
	{ "Bobba", DECLINED_PROFANE },
	{ "Bodhisattva", DECLINED_PROFANE },
	{ "boobie", DECLINED_PROFANE },
	{ "Bothan", DECLINED_PROFANE },
	{ "breast", DECLINED_PROFANE },
	{ "Buddha", DECLINED_PROFANE },
	{ "captain", DECLINED_PROFANE },
	{ "captains", DECLINED_PROFANE },
	{ "Chewbackka", DECLINED_PROFANE },
	{ "Christ", DECLINED_PROFANE },
	{ "cock", DECLINED_PROFANE },
	{ "Commander", DECLINED_PROFANE },
	{ "Commanders", DECLINED_PROFANE },
	{ "coonass", DECLINED_PROFANE },
	{ "cracka", DECLINED_PROFANE },
	{ "crap", DECLINED_PROFANE },
	{ "CSR", DECLINED_PROFANE },
	{ "cum", DECLINED_PROFANE },
	{ "cunt", DECLINED_PROFANE },
	{ "Darth", DECLINED_PROFANE },
	{ "dick", DECLINED_PROFANE },
	{ "Diq", DECLINED_PROFANE },
	{ "Donkeypunch", DECLINED_PROFANE },
	{ "fack", DECLINED_PROFANE },
	{ "fag", DECLINED_PROFANE },
	{ "Fett", DECLINED_PROFANE },
	{ "feck", DECLINED_PROFANE },
	{ "fuck", DECLINED_PROFANE },
	{ "fuk", DECLINED_PROFANE },
	{ "Fuqu", DECLINED_PROFANE },
	{ "General", DECLINED_PROFANE },
	{ "Generals", DECLINED_PROFANE },
	{ "ghey", DECLINED_PROFANE },
	{ "-GM", DECLINED_PROFANE },
	{ "_GM", DECLINED_PROFANE },
	{ "GM-", DECLINED_PROFANE },
	{ "GM_", DECLINED_PROFANE },
	{ "god", DECLINED_PROFANE },
	{ "HillBilly", DECLINED_PROFANE },
	{ "Human", DECLINED_PROFANE },
	{ "Isuccacocc", DECLINED_PROFANE },
	{ "Ithorian", DECLINED_PROFANE },
	{ "Jango", DECLINED_PROFANE },
	{ "Jedi", DECLINED_PROFANE },
	{ "Jehovah", DECLINED_PROFANE },
	{ "Jehova", DECLINED_PROFANE },
	{ "Jesus", DECLINED_PROFANE },
	{ "klukluxklan", DECLINED_PROFANE },
	{ "KneeGrow", DECLINED_PROFANE },
	{ "kunt", DECLINED_PROFANE },
	{ "Lando", DECLINED_PROFANE },
	{ "Leia", DECLINED_PROFANE },
	{ "lesbian", DECLINED_PROFANE },
	{ "lieutenant", DECLINED_PROFANE },
	{ "Lieutenant", DECLINED_PROFANE },
	{ "lieutenants", DECLINED_PROFANE },
	{ "Major", DECLINED_PROFANE },
	{ "Majors", DECLINED_PROFANE },
	{ "Marshal", DECLINED_PROFANE },
	{ "Marshals", DECLINED_PROFANE },
	{ "Messiah", DECLINED_PROFANE },
	{ "MonCalomari", DECLINED_PROFANE },
	{ "nazi", DECLINED_PROFANE },
	{ "niga", DECLINED_PROFANE },
	{ "nigga", DECLINED_PROFANE },
	{ "nigger", DECLINED_PROFANE },
	{ "nympho", DECLINED_PROFANE },
	{ "Officer", DECLINED_PROFANE },
	{ "Officers", DECLINED_PROFANE },
	{ "Padme", DECLINED_PROFANE },
	{ "Penis", DECLINED_PROFANE },
	{ "Panis", DECLINED_PROFANE },
	{ "Player", DECLINED_PROFANE },
	{ "poon", DECLINED_PROFANE },
	{ "prick", DECLINED_PROFANE },
	{ "Private", DECLINED_PROFANE },
	{ "Privates", DECLINED_PROFANE },
	{ "pubic", DECLINED_PROFANE },
	{ "pussy", DECLINED_PROFANE },
	{ "Quirfag", DECLINED_PROFANE },
	{ "qunt", DECLINED_PROFANE },
	{ "raghead", DECLINED_PROFANE },
	{ "redneck", DECLINED_PROFANE },
	{ "Rodian", DECLINED_PROFANE },
	{ "seaman", DECLINED_PROFANE },
	{ "seamans", DECLINED_PROFANE },
	{ "seeman", DECLINED_PROFANE },
	{ "seemen", DECLINED_PROFANE },
	{ "semen", DECLINED_PROFANE },
	{ "Sith", DECLINED_PROFANE },
	{ "skank", DECLINED_PROFANE },
	{ "skanq", DECLINED_PROFANE },
	{ "Skywalker", DECLINED_PROFANE },
	{ "slut", DECLINED_PROFANE },
	{ "snatch", DECLINED_PROFANE },
	{ "Solo", DECLINED_PROFANE },
	{ "spoog", DECLINED_PROFANE },
	{ "STFU", DECLINED_PROFANE },
	{ "suck", DECLINED_PROFANE },
	{ "suckme", DECLINED_PROFANE },
	{ "Sullistan", DECLINED_PROFANE },
	{ "swganh", DECLINED_PROFANE },
	{ "SWGEmu", DECLINED_PROFANE },
	{ "tarbaby", DECLINED_PROFANE },
	{ "testicle", DECLINED_PROFANE },
	{ "Trandoshan", DECLINED_PROFANE },
	{ "twi'lek", DECLINED_PROFANE },
	{ "Vader", DECLINED_PROFANE },
	{ "vagina", DECLINED_PROFANE },
	{ "wanker", DECLINED_PROFANE },
	{ "Warrant Officers", DECLINED_PROFANE },
	{ "Warrants", DECLINED_PROFANE },
	{ "wetback", DECLINED_PROFANE },
	{ "whore", DECLINED_PROFANE },
	{ "Wookie", DECLINED_PROFANE },
	{ "Yoda", DECLINED_PROFANE },
	{ "Yahweh", DECLINED_PROFANE },
	{ "Yahveh", DECLINED_PROFANE },
	{ "Zabrak", DECLINED_PROFANE },
	{ "skiiwalker", DECLINED_PROFANE },
	{ "Jedi", DECLINED_PROFANE },
	{ "Jeedi", DECLINED_PROFANE },
	{ "jedii", DECLINED_PROFANE },
	{ "jiidi", DECLINED_PROFANE },
	{ "Hitler", DECLINED_PROFANE },
	{ "lootmeh", DECLINED_PROFANE },
	{ "loot", DECLINED_PROFANE },
	{ "lawlicake", DECLINED_PROFANE },
	{ "lawli", DECLINED_PROFANE },
	{ "medirty", DECLINED_PROFANE },
	{ "lester", DECLINED_PROFANE },
	{ "mohlester", DECLINED_PROFANE },
	{ "moelester", DECLINED_PROFANE },
	{ "EyeP", DECLINED_PROFANE },
	{ "eyepfreely", DECLINED_PROFANE },
	{ "airmarshall", DECLINED_PROFANE },
	{ "medic", DECLINED_PROFANE },
	{ "doctor", DECLINED_PROFANE },
	{ "sittstain", DECLINED_PROFANE },
	{ "shitstain", DECLINED_PROFANE },
	{ "sitt", DECLINED_PROFANE },
	{ "stain", DECLINED_PROFANE },
	{ "Emperor", DECLINED_PROFANE },
	{ "palpatine", DECLINED_PROFANE },
	{ "Palpatin", DECLINED_PROFANE },
	{ "DARKLORD", DECLINED_PROFANE },
	{ "DerkLord", DECLINED_PROFANE },
	{ "Lord", DECLINED_PROFANE },
	{ "Sith", DECLINED_PROFANE },
	{ "Siith", DECLINED_PROFANE },
	{ "Sithlord", DECLINED_PROFANE },
	{ "Aarrba", DECLINED_FICT_RESERVED },
	{ "Aayla Secura", DECLINED_FICT_RESERVED },
	{ "Achk Med-Beq", DECLINED_FICT_RESERVED },
	{ "Ackmena", DECLINED_FICT_RESERVED },
	{ "Acros-Krik", DECLINED_FICT_RESERVED },
	{ "Adi Gallia", DECLINED_FICT_RESERVED },
	{ "Admiral Ozzel", DECLINED_FICT_RESERVED },
	{ "Admiral Ackbar", DECLINED_FICT_RESERVED },
	{ "Admiral Daala", DECLINED_FICT_RESERVED },
	{ "Admiral Piett", DECLINED_FICT_RESERVED },
	{ "Admiral Screed", DECLINED_FICT_RESERVED },
	{ "Admiral Thrawn", DECLINED_FICT_RESERVED },
	{ "Agen Kolar", DECLINED_FICT_RESERVED },
	{ "Ak-rev", DECLINED_FICT_RESERVED },
	{ "Aks Moe", DECLINED_FICT_RESERVED },
	{ "Aldar Beedo", DECLINED_FICT_RESERVED },
	{ "Amaiza", DECLINED_FICT_RESERVED },
	{ "Anakin Skywalker", DECLINED_FICT_RESERVED },
	{ "Anakin Solo", DECLINED_FICT_RESERVED },
	{ "Anchor Blue", DECLINED_FICT_RESERVED },
	{ "Anduvil", DECLINED_FICT_RESERVED },
	{ "Antidar Williams", DECLINED_FICT_RESERVED },
	{ "Ark Roose", DECLINED_FICT_RESERVED },
	{ "Aron Peacebringer", DECLINED_FICT_RESERVED },
	{ "Asajj Ventress", DECLINED_FICT_RESERVED },
	{ "Ask Aak", DECLINED_FICT_RESERVED },
	{ "Augara Jowil", DECLINED_FICT_RESERVED },
	{ "Auren Yomm", DECLINED_FICT_RESERVED },
	{ "Aurra Sing", DECLINED_FICT_RESERVED },
	{ "Ayy Vida", DECLINED_FICT_RESERVED },
	{ "Axkva Min", DECLINED_FICT_RESERVED },
	{ "Bail Organa", DECLINED_FICT_RESERVED },
	{ "Bana Breemu", DECLINED_FICT_RESERVED },
	{ "Bane Malar", DECLINED_FICT_RESERVED },
	{ "Barada", DECLINED_FICT_RESERVED },
	{ "Baron Papanoida", DECLINED_FICT_RESERVED },
	{ "Barquin D'an", DECLINED_FICT_RESERVED },
	{ "Barriss Offee", DECLINED_FICT_RESERVED },
	{ "Bastila Shan", DECLINED_FICT_RESERVED },
	{ "Ben Kenobi", DECLINED_FICT_RESERVED },
	{ "Ben Quadinaros", DECLINED_FICT_RESERVED },
	{ "Beru Lars", DECLINED_FICT_RESERVED },
	{ "Bib Fortuna", DECLINED_FICT_RESERVED },
	{ "Biggs Darklighter", DECLINED_FICT_RESERVED },
	{ "Boba Fett", DECLINED_FICT_RESERVED },
	{ "Boles Roor", DECLINED_FICT_RESERVED },
	{ "Borsk Fey'lya", DECLINED_FICT_RESERVED },
	{ "Boss Nass", DECLINED_FICT_RESERVED },
	{ "Bossk", DECLINED_FICT_RESERVED },
	{ "Brakiss", DECLINED_FICT_RESERVED },
	{ "Bren Derlin", DECLINED_FICT_RESERVED },
	{ "Bria Tharen", DECLINED_FICT_RESERVED },
	{ "Bultar Swan", DECLINED_FICT_RESERVED },
	{ "Callista", DECLINED_FICT_RESERVED },
	{ "Calo Nord", DECLINED_FICT_RESERVED },
	{ "Canderous Ordo", DECLINED_FICT_RESERVED },
	{ "Cane Adiss", DECLINED_FICT_RESERVED },
	{ "Captain Needa", DECLINED_FICT_RESERVED },
	{ "Captain Panaka", DECLINED_FICT_RESERVED },
	{ "Captain Rekab", DECLINED_FICT_RESERVED },
	{ "Captain Tarpals", DECLINED_FICT_RESERVED },
	{ "Captain Typho", DECLINED_FICT_RESERVED },
	{ "Captain-Supervisor Grammel", DECLINED_FICT_RESERVED },
	{ "Carl", DECLINED_FICT_RESERVED },
	{ "Carlist Rieekan", DECLINED_FICT_RESERVED },
	{ "Carth Onasi", DECLINED_FICT_RESERVED },
	{ "Cebann Veekan", DECLINED_FICT_RESERVED },
	{ "Chancellor Valorum", DECLINED_FICT_RESERVED },
	{ "Charal", DECLINED_FICT_RESERVED },
	{ "Chewbacca", DECLINED_FICT_RESERVED },
	{ "Chi Eekway", DECLINED_FICT_RESERVED },
	{ "Chief Chirpa", DECLINED_FICT_RESERVED },
	{ "Chukha-Trok", DECLINED_FICT_RESERVED },
	{ "Chyler", DECLINED_FICT_RESERVED },
	{ "Cindel Towani", DECLINED_FICT_RESERVED },
	{ "Clegg Holdfast", DECLINED_FICT_RESERVED },
	{ "Cliegg Lars", DECLINED_FICT_RESERVED },
	{ "Coleman Trebor", DECLINED_FICT_RESERVED },
	{ "Commander Bacara", DECLINED_FICT_RESERVED },
	{ "Commander Bly", DECLINED_FICT_RESERVED },
	{ "Commander Cody", DECLINED_FICT_RESERVED },
	{ "Commander Gree", DECLINED_FICT_RESERVED },
	{ "Commander Neyo", DECLINED_FICT_RESERVED },
	{ "Commander Thire", DECLINED_FICT_RESERVED },
	{ "Conan Motti", DECLINED_FICT_RESERVED },
	{ "Corde", DECLINED_FICT_RESERVED },
	{ "Corla Metonae", DECLINED_FICT_RESERVED },
	{ "Corran Horn", DECLINED_FICT_RESERVED },
	{ "Count Dooku", DECLINED_FICT_RESERVED },
	{ "Crix Madine", DECLINED_FICT_RESERVED },
	{ "Daakman Barrek", DECLINED_FICT_RESERVED },
	{ "Dack Ralter", DECLINED_FICT_RESERVED },
	{ "Dannl Faytonni", DECLINED_FICT_RESERVED },
	{ "Darth Bandon", DECLINED_FICT_RESERVED },
	{ "Darth Malak", DECLINED_FICT_RESERVED },
	{ "Darth Maul", DECLINED_FICT_RESERVED },
	{ "Darth Sidious", DECLINED_FICT_RESERVED },
	{ "Darth Vader", DECLINED_FICT_RESERVED },
	{ "Dash Rendar", DECLINED_FICT_RESERVED },
	{ "Daultay Dofine", DECLINED_FICT_RESERVED },
	{ "Davik Kang", DECLINED_FICT_RESERVED },
	{ "Deej Warrick", DECLINED_FICT_RESERVED },
	{ "Dengar", DECLINED_FICT_RESERVED },
	{ "Depa Billaba", DECLINED_FICT_RESERVED },
	{ "Dexter Jettster", DECLINED_FICT_RESERVED },
	{ "Diva Shaliqua", DECLINED_FICT_RESERVED },
	{ "Doc", DECLINED_FICT_RESERVED },
	{ "Doctor Evazan", DECLINED_FICT_RESERVED },
	{ "Doda Boedonawieedo", DECLINED_FICT_RESERVED },
	{ "Dorme", DECLINED_FICT_RESERVED },
	{ "Droopy McCool", DECLINED_FICT_RESERVED },
	{ "Dud Bolt", DECLINED_FICT_RESERVED },
	{ "Durge", DECLINED_FICT_RESERVED },
	{ "Ebe Endocott", DECLINED_FICT_RESERVED },
	{ "Eeth Koth", DECLINED_FICT_RESERVED },
	{ "Elan Mak", DECLINED_FICT_RESERVED },
	{ "Elan Sleazebaggano", DECLINED_FICT_RESERVED },
	{ "Ephant Mon", DECLINED_FICT_RESERVED },
	{ "Even Piell", DECLINED_FICT_RESERVED },
	{ "Exar Kun", DECLINED_FICT_RESERVED },
	{ "Fang Zar", DECLINED_FICT_RESERVED },
	{ "Fema Baab", DECLINED_FICT_RESERVED },
	{ "Fiolla", DECLINED_FICT_RESERVED },
	{ "Foul Moudama", DECLINED_FICT_RESERVED },
	{ "Gaeriel Captison", DECLINED_FICT_RESERVED },
	{ "Gaff", DECLINED_FICT_RESERVED },
	{ "Gallandro", DECLINED_FICT_RESERVED },
	{ "Garindan", DECLINED_FICT_RESERVED },
	{ "Garm Bel", DECLINED_FICT_RESERVED },
	{ "Gasgano", DECLINED_FICT_RESERVED },
	{ "General Grievous", DECLINED_FICT_RESERVED },
	{ "General Tagge", DECLINED_FICT_RESERVED },
	{ "General Veers", DECLINED_FICT_RESERVED },
	{ "General Yavid", DECLINED_FICT_RESERVED },
	{ "Ghent", DECLINED_FICT_RESERVED },
	{ "Giddean Danu", DECLINED_FICT_RESERVED },
	{ "Gilad Pellaeon", DECLINED_FICT_RESERVED },
	{ "Gizor Dellso", DECLINED_FICT_RESERVED },
	{ "Governor Koong", DECLINED_FICT_RESERVED },
	{ "Gragra", DECLINED_FICT_RESERVED },
	{ "Greeata", DECLINED_FICT_RESERVED },
	{ "Greedo", DECLINED_FICT_RESERVED },
	{ "Grizz Frix", DECLINED_FICT_RESERVED },
	{ "Halla", DECLINED_FICT_RESERVED },
	{ "Han Solo", DECLINED_FICT_RESERVED },
	{ "Hermi Odle", DECLINED_FICT_RESERVED },
	{ "Hermione Bagwa", DECLINED_FICT_RESERVED },
	{ "Horox Ryyder", DECLINED_FICT_RESERVED },
	{ "Iaco Stark", DECLINED_FICT_RESERVED },
	{ "Indiana Jones", DECLINED_FICT_RESERVED },
	{ "Isolder", DECLINED_FICT_RESERVED },
	{ "Ister Paddie", DECLINED_FICT_RESERVED },
	{ "Jabba", DECLINED_FICT_RESERVED },
	{ "Jacen Solo", DECLINED_FICT_RESERVED },
	{ "Jaina Solo", DECLINED_FICT_RESERVED },
	{ "Jan Dodonna", DECLINED_FICT_RESERVED },
	{ "Jango Fett", DECLINED_FICT_RESERVED },
	{ "Jann Tosh", DECLINED_FICT_RESERVED },
	{ "Janu Godalhi", DECLINED_FICT_RESERVED },
	{ "Janus Greejatus", DECLINED_FICT_RESERVED },
	{ "Jar-Jar Binks", DECLINED_FICT_RESERVED },
	{ "Jasper McKnives", DECLINED_FICT_RESERVED },
	{ "Jaxxon", DECLINED_FICT_RESERVED },
	{ "Jek Porkins", DECLINED_FICT_RESERVED },
	{ "Jem Ysanna", DECLINED_FICT_RESERVED },
	{ "Jessa", DECLINED_FICT_RESERVED },
	{ "Jessica Meade", DECLINED_FICT_RESERVED },
	{ "Jira", DECLINED_FICT_RESERVED },
	{ "Jobal Naberrie", DECLINED_FICT_RESERVED },
	{ "Jocasta Nu", DECLINED_FICT_RESERVED },
	{ "Joh Yowza", DECLINED_FICT_RESERVED },
	{ "Jolee Bindo", DECLINED_FICT_RESERVED },
	{ "Joruus C'baoth", DECLINED_FICT_RESERVED },
	{ "Juhani", DECLINED_FICT_RESERVED },
	{ "K'Kruhk", DECLINED_FICT_RESERVED },
	{ "Kabe", DECLINED_FICT_RESERVED },
	{ "Kaink", DECLINED_FICT_RESERVED },
	{ "Kalyn Farnmir", DECLINED_FICT_RESERVED },
	{ "Ketwol", DECLINED_FICT_RESERVED },
	{ "Ki-Adi-Mundi", DECLINED_FICT_RESERVED },
	{ "Kir Kanos", DECLINED_FICT_RESERVED },
	{ "Kit Fisto", DECLINED_FICT_RESERVED },
	{ "Kitik Keed'kak", DECLINED_FICT_RESERVED },
	{ "Kitster", DECLINED_FICT_RESERVED },
	{ "Kleb Zellock", DECLINED_FICT_RESERVED },
	{ "Komari Vosa", DECLINED_FICT_RESERVED },
	{ "Kybo Ren-Cha", DECLINED_FICT_RESERVED },
	{ "Kyp Durron", DECLINED_FICT_RESERVED },
	{ "Lama Su", DECLINED_FICT_RESERVED },
	{ "Lando Calrissian", DECLINED_FICT_RESERVED },
	{ "Lars Needa", DECLINED_FICT_RESERVED },
	{ "Leektar", DECLINED_FICT_RESERVED },
	{ "Leia Organa", DECLINED_FICT_RESERVED },
	{ "Lexi Dio", DECLINED_FICT_RESERVED },
	{ "Lieutenant Oicunn", DECLINED_FICT_RESERVED },
	{ "Lobot", DECLINED_FICT_RESERVED },
	{ "Logray", DECLINED_FICT_RESERVED },
	{ "Lott Dod", DECLINED_FICT_RESERVED },
	{ "Luke Skywalker", DECLINED_FICT_RESERVED },
	{ "Luminara Unduli", DECLINED_FICT_RESERVED },
	{ "Lumiya", DECLINED_FICT_RESERVED },
	{ "Lushros Dofine", DECLINED_FICT_RESERVED },
	{ "Lyn Me", DECLINED_FICT_RESERVED },
	{ "Mace Towani", DECLINED_FICT_RESERVED },
	{ "Mace Windu", DECLINED_FICT_RESERVED },
	{ "Magaloof", DECLINED_FICT_RESERVED },
	{ "Male-Dee", DECLINED_FICT_RESERVED },
	{ "Mara-Jade Skywalker", DECLINED_FICT_RESERVED },
	{ "Mars Guo", DECLINED_FICT_RESERVED },
	{ "Mas Amedda", DECLINED_FICT_RESERVED },
	{ "Mawhonic", DECLINED_FICT_RESERVED },
	{ "Max Rebo", DECLINED_FICT_RESERVED },
	{ "Maxiron Agolerga", DECLINED_FICT_RESERVED },
	{ "Meena Tills", DECLINED_FICT_RESERVED },
	{ "Melas", DECLINED_FICT_RESERVED },
	{ "Melee", DECLINED_FICT_RESERVED },
	{ "Merumeru", DECLINED_FICT_RESERVED },
	{ "Mission Vao", DECLINED_FICT_RESERVED },
	{ "Moff Jerjerrod", DECLINED_FICT_RESERVED },
	{ "Moff Tarkin", DECLINED_FICT_RESERVED },
	{ "Momaw Nadon", DECLINED_FICT_RESERVED },
	{ "Mon Julpa", DECLINED_FICT_RESERVED },
	{ "Mon Mothma", DECLINED_FICT_RESERVED },
	{ "Muftak", DECLINED_FICT_RESERVED },
	{ "Mungo Baobab", DECLINED_FICT_RESERVED },
	{ "Myhr Rho", DECLINED_FICT_RESERVED },
	{ "Nar Hida", DECLINED_FICT_RESERVED },
	{ "Nee Alavar", DECLINED_FICT_RESERVED },
	{ "Nem Bees", DECLINED_FICT_RESERVED },
	{ "Neva Kee", DECLINED_FICT_RESERVED },
	{ "Niai Fieso", DECLINED_FICT_RESERVED },
	{ "Nien Nunb", DECLINED_FICT_RESERVED },
	{ "Nilo", DECLINED_FICT_RESERVED },
	{ "Noa Briqualon", DECLINED_FICT_RESERVED },
	{ "Nom Anor", DECLINED_FICT_RESERVED },
	{ "Nute Gunray", DECLINED_FICT_RESERVED },
	{ "Nym", DECLINED_FICT_RESERVED },
	{ "Nyrat Agira", DECLINED_FICT_RESERVED },
	{ "Oakie Dokes", DECLINED_FICT_RESERVED },
	{ "Obi-Wan Kenobi", DECLINED_FICT_RESERVED },
	{ "Odumin", DECLINED_FICT_RESERVED },
	{ "Ody Mandrell", DECLINED_FICT_RESERVED },
	{ "Olana Chion", DECLINED_FICT_RESERVED },
	{ "Onaconda Farr", DECLINED_FICT_RESERVED },
	{ "Onara Kuat", DECLINED_FICT_RESERVED },
	{ "Oola", DECLINED_FICT_RESERVED },
	{ "Oppo Rancisis", DECLINED_FICT_RESERVED },
	{ "Orn Free Taa", DECLINED_FICT_RESERVED },
	{ "Oro Dassyne", DECLINED_FICT_RESERVED },
	{ "Orrimaarko", DECLINED_FICT_RESERVED },
	{ "Ottegru Grey", DECLINED_FICT_RESERVED },
	{ "Owen Lars", DECLINED_FICT_RESERVED },
	{ "Pablo-Jill", DECLINED_FICT_RESERVED },
	{ "Padme Amidala", DECLINED_FICT_RESERVED },
	{ "Palpatine", DECLINED_FICT_RESERVED },
	{ "Paploo", DECLINED_FICT_RESERVED },
	{ "Pash Cracken", DECLINED_FICT_RESERVED },
	{ "Passel Argente", DECLINED_FICT_RESERVED },
	{ "Pax Bonkik", DECLINED_FICT_RESERVED },
	{ "Paxi Sylo", DECLINED_FICT_RESERVED },
	{ "Pello Scrambas", DECLINED_FICT_RESERVED },
	{ "Plo Koon", DECLINED_FICT_RESERVED },
	{ "Po Nudo", DECLINED_FICT_RESERVED },
	{ "Poggle", DECLINED_FICT_RESERVED },
	{ "Ponda Baba", DECLINED_FICT_RESERVED },
	{ "Pooja Naberrie", DECLINED_FICT_RESERVED },
	{ "Pote Snitkin", DECLINED_FICT_RESERVED },
	{ "Prince Xizor", DECLINED_FICT_RESERVED },
	{ "Princess Leia", DECLINED_FICT_RESERVED },
	{ "Queen Apailana", DECLINED_FICT_RESERVED },
	{ "Queen Izrina", DECLINED_FICT_RESERVED },
	{ "Queen Jamillia", DECLINED_FICT_RESERVED },
	{ "Qui-Gon Jinn", DECLINED_FICT_RESERVED },
	{ "Quinlan Vos", DECLINED_FICT_RESERVED },
	{ "Rappertunie", DECLINED_FICT_RESERVED },
	{ "Ratts Tyerell", DECLINED_FICT_RESERVED },
	{ "Red", DECLINED_FICT_RESERVED },
	{ "Ree-Yees", DECLINED_FICT_RESERVED },
	{ "Rekkon", DECLINED_FICT_RESERVED },
	{ "Rep Been", DECLINED_FICT_RESERVED },
	{ "Rep Teers", DECLINED_FICT_RESERVED },
	{ "Reti", DECLINED_FICT_RESERVED },
	{ "Ric Olie", DECLINED_FICT_RESERVED },
	{ "Romeo Treblanc", DECLINED_FICT_RESERVED },
	{ "Ronet Coorr", DECLINED_FICT_RESERVED },
	{ "Roron Corobb", DECLINED_FICT_RESERVED },
	{ "Rukh", DECLINED_FICT_RESERVED },
	{ "Rune Haako", DECLINED_FICT_RESERVED },
	{ "Ruwee Naberrie", DECLINED_FICT_RESERVED },
	{ "Ryoo Naberrie", DECLINED_FICT_RESERVED },
	{ "Rystall", DECLINED_FICT_RESERVED },
	{ "Sabe", DECLINED_FICT_RESERVED },
	{ "Saelt-Marae", DECLINED_FICT_RESERVED },
	{ "Saesee Tiin", DECLINED_FICT_RESERVED },
	{ "Sagoro Autem", DECLINED_FICT_RESERVED },
	{ "Salacious Crumb", DECLINED_FICT_RESERVED },
	{ "Salla Zend", DECLINED_FICT_RESERVED },
	{ "Salporin", DECLINED_FICT_RESERVED },
	{ "San Hill", DECLINED_FICT_RESERVED },
	{ "Saul Karath", DECLINED_FICT_RESERVED },
	{ "Sebulba", DECLINED_FICT_RESERVED },
	{ "Sei Taria", DECLINED_FICT_RESERVED },
	{ "Seib Nod", DECLINED_FICT_RESERVED },
	{ "Sena Midanyl", DECLINED_FICT_RESERVED },
	{ "Serji-X Arrogantus", DECLINED_FICT_RESERVED },
	{ "Sha'a Gi", DECLINED_FICT_RESERVED },
	{ "Shaak Ti", DECLINED_FICT_RESERVED },
	{ "Shmi Skywalker", DECLINED_FICT_RESERVED },
	{ "Shodu", DECLINED_FICT_RESERVED },
	{ "Shu Mai", DECLINED_FICT_RESERVED },
	{ "Silya Shessaun", DECLINED_FICT_RESERVED },
	{ "Sio Bibble", DECLINED_FICT_RESERVED },
	{ "Siri Tachi", DECLINED_FICT_RESERVED },
	{ "Sly Moore", DECLINED_FICT_RESERVED },
	{ "Slyther Bushforb", DECLINED_FICT_RESERVED },
	{ "Sola Naberrie", DECLINED_FICT_RESERVED },
	{ "Sora Bulq", DECLINED_FICT_RESERVED },
	{ "Stass Allie", DECLINED_FICT_RESERVED },
	{ "Swilla Corey", DECLINED_FICT_RESERVED },
	{ "Sy Snootles", DECLINED_FICT_RESERVED },
	{ "Talon Karrde", DECLINED_FICT_RESERVED },
	{ "Tanith Shire", DECLINED_FICT_RESERVED },
	{ "Tannon Praji", DECLINED_FICT_RESERVED },
	{ "Tarfful", DECLINED_FICT_RESERVED },
	{ "Tarkov", DECLINED_FICT_RESERVED },
	{ "Tarr Seirr", DECLINED_FICT_RESERVED },
	{ "Tas Kee", DECLINED_FICT_RESERVED },
	{ "Taun We", DECLINED_FICT_RESERVED },
	{ "Teckla", DECLINED_FICT_RESERVED },
	{ "Teek", DECLINED_FICT_RESERVED },
	{ "Teemto Pagalies", DECLINED_FICT_RESERVED },
	{ "Terak", DECLINED_FICT_RESERVED },
	{ "Terr Taneel", DECLINED_FICT_RESERVED },
	{ "Tessek", DECLINED_FICT_RESERVED },
	{ "Theomet Danle", DECLINED_FICT_RESERVED },
	{ "Tikkes", DECLINED_FICT_RESERVED },
	{ "Tion Medon", DECLINED_FICT_RESERVED },
	{ "Toonbuck Toora", DECLINED_FICT_RESERVED },
	{ "Toryn Farr", DECLINED_FICT_RESERVED },
	{ "Tru Veld", DECLINED_FICT_RESERVED },
	{ "Tsavong Lah", DECLINED_FICT_RESERVED },
	{ "Tundra Dowmeia", DECLINED_FICT_RESERVED },
	{ "Tzizvvt", DECLINED_FICT_RESERVED },
	{ "Ulic Qel-Droma", DECLINED_FICT_RESERVED },
	{ "Umpass-stay", DECLINED_FICT_RESERVED },
	{ "Vergere", DECLINED_FICT_RESERVED },
	{ "Vilmarh Grahrk", DECLINED_FICT_RESERVED },
	{ "Voolvif Monn", DECLINED_FICT_RESERVED },
	{ "Wald", DECLINED_FICT_RESERVED },
	{ "Wam Lufba", DECLINED_FICT_RESERVED },
	{ "Wan Sandage", DECLINED_FICT_RESERVED },
	{ "Wat Tambor", DECLINED_FICT_RESERVED },
	{ "Watto", DECLINED_FICT_RESERVED },
	{ "Wedge Antilles", DECLINED_FICT_RESERVED },
	{ "Wes Janson", DECLINED_FICT_RESERVED },
	{ "Wicket Warrick", DECLINED_FICT_RESERVED },
	{ "Willrow Hood", DECLINED_FICT_RESERVED },
	{ "Willy", DECLINED_FICT_RESERVED },
	{ "Winter", DECLINED_FICT_RESERVED },
	{ "Wuher", DECLINED_FICT_RESERVED },
	{ "Yaddle", DECLINED_FICT_RESERVED },
	{ "Yarael Poof", DECLINED_FICT_RESERVED },
	{ "Yarna D'al Gargan", DECLINED_FICT_RESERVED },
	{ "Yoda", DECLINED_FICT_RESERVED },
	{ "Yoxgit", DECLINED_FICT_RESERVED },
	{ "Ysanne Isard", DECLINED_FICT_RESERVED },
	{ "Zaalbar", DECLINED_FICT_RESERVED },
	{ "Zam Wesell", DECLINED_FICT_RESERVED },
	{ "Zett Jukassa", DECLINED_FICT_RESERVED },
	{ "Zev Senesca", DECLINED_FICT_RESERVED },
	{ "Zuckuss", DECLINED_FICT_RESERVED },
	{ "kryat", DECLINED_RESERVED },
	{ "human", DECLINED_RESERVED },
	{ "twi'lek", DECLINED_RESERVED },
	{ "moncalamari", DECLINED_RESERVED },
	{ "wookiee", DECLINED_RESERVED },
	{ "zabrak", DECLINED_RESERVED },
	{ "bothan", DECLINED_RESERVED },
	{ "rodian", DECLINED_RESERVED },
	{ "trandoshan", DECLINED_RESERVED },
	{ "bank", DECLINED_RESERVED },
	{ "city", DECLINED_RESERVED },
	{ "guild", DECLINED_RESERVED },
	{ "tip", DECLINED_RESERVED },
	{ "citizens", DECLINED_RESERVED },
	{ "self", DECLINED_RESERVED }
}
