-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.49-3


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema swgemu
--

CREATE DATABASE IF NOT EXISTS swgemu;
USE swgemu;

--
-- Definition of table `swgemu`.`account_bans`
--

DROP TABLE IF EXISTS `swgemu`.`account_bans`;
CREATE TABLE  `swgemu`.`account_bans` (
  `ban_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(10) unsigned NOT NULL,
  `issuer_id` int(10) unsigned NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `expires` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reason` tinytext NOT NULL,
  PRIMARY KEY (`ban_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`account_bans`
--

/*!40000 ALTER TABLE `account_bans` DISABLE KEYS */;
LOCK TABLES `account_bans` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `account_bans` ENABLE KEYS */;

--
-- Definition of table `swgemu`.`character_bans`
--

DROP TABLE IF EXISTS `swgemu`.`character_bans`;
CREATE TABLE  `swgemu`.`character_bans` (
  `ban_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(10) unsigned NOT NULL,
  `issuer_id` int(10) unsigned NOT NULL,
  `galaxy_id` int(11) NOT NULL,
  `name` tinytext NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `expires` int(10) unsigned NOT NULL DEFAULT '0',
  `reason` tinytext NOT NULL,
  PRIMARY KEY (`ban_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=latin1;

--
-- Definition of table `swgemu`.`galaxy_bans`
--

DROP TABLE IF EXISTS `swgemu`.`galaxy_bans`;
CREATE TABLE  `swgemu`.`galaxy_bans` (
  `ban_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(10) unsigned NOT NULL,
  `issuer_id` int(10) unsigned NOT NULL,
  `galaxy_id` int(11) NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `expires` int(10) unsigned NOT NULL DEFAULT '0',
  `reason` tinytext NOT NULL,
  PRIMARY KEY (`ban_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;


--
-- Definition of table `swgemu`.`account_log`
--

DROP TABLE IF EXISTS `swgemu`.`account_log`;
CREATE TABLE  `swgemu`.`account_log` (
  `acclog_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(10) unsigned NOT NULL,
  `timestamp` datetime NOT NULL,
  `ip_address` varchar(15) NOT NULL,
  PRIMARY KEY (`acclog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`account_log`
--

/*!40000 ALTER TABLE `account_log` DISABLE KEYS */;
LOCK TABLES `account_log` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `account_log` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`accounts`
--

DROP TABLE IF EXISTS `swgemu`.`accounts`;
CREATE TABLE  `swgemu`.`accounts` (
  `account_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(32) NOT NULL,
  `password` varchar(255) NOT NULL,
  `station_id` int(10) unsigned NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `admin_level` tinyint(1) NOT NULL DEFAULT '0',
  `salt` varchar(32) NOT NULL,
  PRIMARY KEY (`account_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `swgemu`.`accounts`
--

/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
LOCK TABLES `accounts` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`badge_areas`
--

DROP TABLE IF EXISTS `swgemu`.`badge_areas`;
CREATE TABLE  `swgemu`.`badge_areas` (
  `uid` tinyint(1) unsigned NOT NULL AUTO_INCREMENT,
  `planet_id` tinyint(1) unsigned NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `z` float NOT NULL DEFAULT '0',
  `badge_id` tinyint(1) unsigned NOT NULL,
  PRIMARY KEY (`uid`),
  KEY `SECONDARY` (`planet_id`)
) ENGINE=MyISAM AUTO_INCREMENT=46 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`badge_areas`
--

/*!40000 ALTER TABLE `badge_areas` DISABLE KEYS */;
LOCK TABLES `badge_areas` WRITE;
INSERT INTO `swgemu`.`badge_areas` VALUES  (1,0,5291,1494,1,79),
 (2,0,-5418,-6248,24,80),
 (3,0,6767,-5617,314,81),
 (4,0,1084,4176,18,20),
 (5,0,-6530,5967,398,78),
 (6,1,-3862,-5706,2,84),
 (7,1,-7156,-883,3,85),
 (8,1,-6836,5520,53,31),
 (9,1,4195,5203,9,30),
 (10,2,-6304,753,128,83),
 (11,2,652,-4888,77,25),
 (12,2,-2101,3165,22,26),
 (13,2,-4427,586,22,27),
 (14,2,3558,1554,48,28),
 (15,2,5585,1903,125,82),
 (16,2,3021,1289,96,29),
 (17,3,4596,-2423,10,86),
 (18,3,6051,-2477,261,88),
 (19,3,1454,-3272,1,87),
 (20,3,-4628,-2273,90,89),
 (21,4,-1814,-3086,12,98),
 (22,4,3091,-4638,12,24),
 (23,4,4562,-1156,13,99),
 (24,5,-4614,4261,0,75),
 (25,5,5157,-1646,390,76),
 (26,5,-5828,-93,0,77),
 (27,5,-2066,-5423,5,19),
 (28,6,-1130,4544,77,97),
 (29,6,-5633,-5661,75,96),
 (30,6,3664,-6501,96,95),
 (31,6,7371,169,97,94),
 (32,7,4133,962,6,90),
 (33,7,-2184,2405,20,91),
 (34,7,-2452,3846,39,92),
 (35,7,-4425,-1414,61,93),
 (36,8,-2579,-5500,0,17),
 (37,8,-4512,-2270,35,12),
 (38,8,-6176,-3372,19,16),
 (39,8,-3930,-4425,33,15),
 (40,8,-4650,-4363,55,14),
 (41,8,7428,4563,6,18),
 (42,8,-3969,6267,60,13),
 (43,9,5076,5537,73,23),
 (44,9,-875,-2047,84,22),
 (45,9,519,-646,81,21);
UNLOCK TABLES;
/*!40000 ALTER TABLE `badge_areas` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`characters`
--

DROP TABLE IF EXISTS `swgemu`.`characters`;
CREATE TABLE  `swgemu`.`characters` (
  `character_oid` bigint(20) NOT NULL,
  `account_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `galaxy_id` int(5) unsigned NOT NULL DEFAULT '0',
  `firstname` varchar(15) NOT NULL DEFAULT '',
  `surname` varchar(20) DEFAULT NULL,
  `race` tinyint(2) NOT NULL DEFAULT '0',
  `gender` tinyint(1) NOT NULL DEFAULT '0',
  `template` tinytext NOT NULL,
  `creation_date` TIMESTAMP NOT NULL,
  PRIMARY KEY (`character_oid`),
  KEY `acc_idx` (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`characters`
--

/*!40000 ALTER TABLE `characters` DISABLE KEYS */;
LOCK TABLES `characters` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `characters` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`characters_dirty`
--

DROP TABLE IF EXISTS `swgemu`.`characters_dirty`;
CREATE TABLE  `swgemu`.`characters_dirty` (
  `character_oid` bigint(20) NOT NULL,
  `account_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `galaxy_id` int(5) unsigned NOT NULL DEFAULT '0',
  `firstname` varchar(15) NOT NULL DEFAULT '',
  `surname` varchar(20) DEFAULT NULL,
  `race` tinyint(2) NOT NULL DEFAULT '0',
  `gender` tinyint(1) NOT NULL DEFAULT '0',
  `template` tinytext NOT NULL,
  `creation_date` TIMESTAMP NOT NULL,
  PRIMARY KEY (`character_oid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`characters_dirty`
--

/*!40000 ALTER TABLE `characters_dirty` DISABLE KEYS */;
LOCK TABLES `characters_dirty` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `characters_dirty` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`deleted_characters`
--

DROP TABLE IF EXISTS `swgemu`.`deleted_characters`;
CREATE TABLE  `swgemu`.`deleted_characters` (
  `character_oid` bigint(20) NOT NULL,
  `account_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `galaxy_id` int(5) unsigned NOT NULL DEFAULT '0',
  `firstname` varchar(15) NOT NULL DEFAULT '',
  `surname` varchar(20) DEFAULT NULL,
  `race` tinyint(2) NOT NULL DEFAULT '0',
  `gender` tinyint(1) NOT NULL DEFAULT '0',
  `template` tinytext NOT NULL,
  `creation_date` TIMESTAMP NOT NULL,
  PRIMARY KEY (`character_oid`),
  KEY `acc_idx` (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`deleted_characters`
--

/*!40000 ALTER TABLE `deleted_characters` DISABLE KEYS */;
LOCK TABLES `deleted_characters` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `deleted_characters` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`galaxy`
--

DROP TABLE IF EXISTS `swgemu`.`galaxy`;
CREATE TABLE  `swgemu`.`galaxy` (
  `galaxy_id` int(5) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `address` varchar(100) NOT NULL DEFAULT '',
  `port` int(8) NOT NULL DEFAULT '0',
  `pingport` int(8) DEFAULT NULL,
  `population` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`galaxy_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`galaxy`
--

/*!40000 ALTER TABLE `galaxy` DISABLE KEYS */;
LOCK TABLES `galaxy` WRITE;
INSERT INTO `swgemu`.`galaxy` VALUES  (2,'Core3','127.0.0.1',44463,44462,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `galaxy` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bug_file_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bug_file_table`;
CREATE TABLE  `swgemu`.`mantis_bug_file_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `bug_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `description` varchar(250) NOT NULL DEFAULT '',
  `diskfile` varchar(250) NOT NULL DEFAULT '',
  `filename` varchar(250) NOT NULL DEFAULT '',
  `folder` varchar(250) NOT NULL DEFAULT '',
  `filesize` int(11) NOT NULL DEFAULT '0',
  `file_type` varchar(250) NOT NULL DEFAULT '',
  `date_added` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `content` longblob,
  PRIMARY KEY (`id`),
  KEY `idx_bug_file_bug_id` (`bug_id`),
  KEY `idx_diskfile` (`diskfile`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bug_file_table`
--

/*!40000 ALTER TABLE `mantis_bug_file_table` DISABLE KEYS */;
LOCK TABLES `mantis_bug_file_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bug_file_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bug_history_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bug_history_table`;
CREATE TABLE  `swgemu`.`mantis_bug_history_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bug_id` int(10) unsigned NOT NULL DEFAULT '0',
  `date_modified` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `field_name` varchar(64) NOT NULL,
  `old_value` varchar(255) NOT NULL,
  `new_value` varchar(255) NOT NULL,
  `type` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_bug_history_bug_id` (`bug_id`),
  KEY `idx_history_user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bug_history_table`
--

/*!40000 ALTER TABLE `mantis_bug_history_table` DISABLE KEYS */;
LOCK TABLES `mantis_bug_history_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bug_history_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bug_monitor_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bug_monitor_table`;
CREATE TABLE  `swgemu`.`mantis_bug_monitor_table` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bug_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`,`bug_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bug_monitor_table`
--

/*!40000 ALTER TABLE `mantis_bug_monitor_table` DISABLE KEYS */;
LOCK TABLES `mantis_bug_monitor_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bug_monitor_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bug_relationship_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bug_relationship_table`;
CREATE TABLE  `swgemu`.`mantis_bug_relationship_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `source_bug_id` int(10) unsigned NOT NULL DEFAULT '0',
  `destination_bug_id` int(10) unsigned NOT NULL DEFAULT '0',
  `relationship_type` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_relationship_source` (`source_bug_id`),
  KEY `idx_relationship_destination` (`destination_bug_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bug_relationship_table`
--

/*!40000 ALTER TABLE `mantis_bug_relationship_table` DISABLE KEYS */;
LOCK TABLES `mantis_bug_relationship_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bug_relationship_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bug_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bug_table`;
CREATE TABLE  `swgemu`.`mantis_bug_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `reporter_id` int(10) unsigned NOT NULL DEFAULT '0',
  `handler_id` int(10) unsigned NOT NULL DEFAULT '0',
  `duplicate_id` int(10) unsigned NOT NULL DEFAULT '0',
  `priority` smallint(6) NOT NULL DEFAULT '30',
  `severity` smallint(6) NOT NULL DEFAULT '50',
  `reproducibility` smallint(6) NOT NULL DEFAULT '10',
  `status` smallint(6) NOT NULL DEFAULT '10',
  `resolution` smallint(6) NOT NULL DEFAULT '10',
  `projection` smallint(6) NOT NULL DEFAULT '10',
  `category` varchar(64) NOT NULL DEFAULT '',
  `date_submitted` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `last_updated` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `eta` smallint(6) NOT NULL DEFAULT '10',
  `bug_text_id` int(10) unsigned NOT NULL DEFAULT '0',
  `os` varchar(32) NOT NULL DEFAULT '',
  `os_build` varchar(32) NOT NULL DEFAULT '',
  `platform` varchar(32) NOT NULL DEFAULT '',
  `version` varchar(64) NOT NULL DEFAULT '',
  `fixed_in_version` varchar(64) NOT NULL DEFAULT '',
  `build` varchar(32) NOT NULL DEFAULT '',
  `profile_id` int(10) unsigned NOT NULL DEFAULT '0',
  `view_state` smallint(6) NOT NULL DEFAULT '10',
  `summary` varchar(128) NOT NULL DEFAULT '',
  `sponsorship_total` int(11) NOT NULL DEFAULT '0',
  `sticky` tinyint(4) NOT NULL DEFAULT '0',
  `target_version` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_bug_sponsorship_total` (`sponsorship_total`),
  KEY `idx_bug_fixed_in_version` (`fixed_in_version`),
  KEY `idx_bug_status` (`status`),
  KEY `idx_project` (`project_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bug_table`
--

/*!40000 ALTER TABLE `mantis_bug_table` DISABLE KEYS */;
LOCK TABLES `mantis_bug_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bug_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bug_tag_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bug_tag_table`;
CREATE TABLE  `swgemu`.`mantis_bug_tag_table` (
  `bug_id` int(10) unsigned NOT NULL DEFAULT '0',
  `tag_id` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `date_attached` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  PRIMARY KEY (`bug_id`,`tag_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bug_tag_table`
--

/*!40000 ALTER TABLE `mantis_bug_tag_table` DISABLE KEYS */;
LOCK TABLES `mantis_bug_tag_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bug_tag_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bug_text_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bug_text_table`;
CREATE TABLE  `swgemu`.`mantis_bug_text_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `description` longtext NOT NULL,
  `steps_to_reproduce` longtext NOT NULL,
  `additional_information` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bug_text_table`
--

/*!40000 ALTER TABLE `mantis_bug_text_table` DISABLE KEYS */;
LOCK TABLES `mantis_bug_text_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bug_text_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bugnote_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bugnote_table`;
CREATE TABLE  `swgemu`.`mantis_bugnote_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `bug_id` int(10) unsigned NOT NULL DEFAULT '0',
  `reporter_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bugnote_text_id` int(10) unsigned NOT NULL DEFAULT '0',
  `view_state` smallint(6) NOT NULL DEFAULT '10',
  `date_submitted` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `last_modified` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `note_type` int(11) DEFAULT '0',
  `note_attr` varchar(250) DEFAULT '',
  `time_tracking` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_bug` (`bug_id`),
  KEY `idx_last_mod` (`last_modified`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bugnote_table`
--

/*!40000 ALTER TABLE `mantis_bugnote_table` DISABLE KEYS */;
LOCK TABLES `mantis_bugnote_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bugnote_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_bugnote_text_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_bugnote_text_table`;
CREATE TABLE  `swgemu`.`mantis_bugnote_text_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `note` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_bugnote_text_table`
--

/*!40000 ALTER TABLE `mantis_bugnote_text_table` DISABLE KEYS */;
LOCK TABLES `mantis_bugnote_text_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_bugnote_text_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_config_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_config_table`;
CREATE TABLE  `swgemu`.`mantis_config_table` (
  `config_id` varchar(64) NOT NULL,
  `project_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `access_reqd` int(11) DEFAULT '0',
  `type` int(11) DEFAULT '90',
  `value` longtext NOT NULL,
  PRIMARY KEY (`config_id`,`project_id`,`user_id`),
  KEY `idx_config` (`config_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_config_table`
--

/*!40000 ALTER TABLE `mantis_config_table` DISABLE KEYS */;
LOCK TABLES `mantis_config_table` WRITE;
INSERT INTO `swgemu`.`mantis_config_table` VALUES  ('database_version',0,0,90,1,'63');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_config_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_custom_field_project_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_custom_field_project_table`;
CREATE TABLE  `swgemu`.`mantis_custom_field_project_table` (
  `field_id` int(11) NOT NULL DEFAULT '0',
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `sequence` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`,`project_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_custom_field_project_table`
--

/*!40000 ALTER TABLE `mantis_custom_field_project_table` DISABLE KEYS */;
LOCK TABLES `mantis_custom_field_project_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_custom_field_project_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_custom_field_string_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_custom_field_string_table`;
CREATE TABLE  `swgemu`.`mantis_custom_field_string_table` (
  `field_id` int(11) NOT NULL DEFAULT '0',
  `bug_id` int(11) NOT NULL DEFAULT '0',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`field_id`,`bug_id`),
  KEY `idx_custom_field_bug` (`bug_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_custom_field_string_table`
--

/*!40000 ALTER TABLE `mantis_custom_field_string_table` DISABLE KEYS */;
LOCK TABLES `mantis_custom_field_string_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_custom_field_string_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_custom_field_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_custom_field_table`;
CREATE TABLE  `swgemu`.`mantis_custom_field_table` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL DEFAULT '',
  `type` smallint(6) NOT NULL DEFAULT '0',
  `possible_values` varchar(255) NOT NULL DEFAULT '',
  `default_value` varchar(255) NOT NULL DEFAULT '',
  `valid_regexp` varchar(255) NOT NULL DEFAULT '',
  `access_level_r` smallint(6) NOT NULL DEFAULT '0',
  `access_level_rw` smallint(6) NOT NULL DEFAULT '0',
  `length_min` int(11) NOT NULL DEFAULT '0',
  `length_max` int(11) NOT NULL DEFAULT '0',
  `advanced` tinyint(4) NOT NULL DEFAULT '0',
  `require_report` tinyint(4) NOT NULL DEFAULT '0',
  `require_update` tinyint(4) NOT NULL DEFAULT '0',
  `display_report` tinyint(4) NOT NULL DEFAULT '1',
  `display_update` tinyint(4) NOT NULL DEFAULT '1',
  `require_resolved` tinyint(4) NOT NULL DEFAULT '0',
  `display_resolved` tinyint(4) NOT NULL DEFAULT '0',
  `display_closed` tinyint(4) NOT NULL DEFAULT '0',
  `require_closed` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_custom_field_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_custom_field_table`
--

/*!40000 ALTER TABLE `mantis_custom_field_table` DISABLE KEYS */;
LOCK TABLES `mantis_custom_field_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_custom_field_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_email_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_email_table`;
CREATE TABLE  `swgemu`.`mantis_email_table` (
  `email_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(64) NOT NULL DEFAULT '',
  `subject` varchar(250) NOT NULL DEFAULT '',
  `submitted` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `metadata` longtext NOT NULL,
  `body` longtext NOT NULL,
  PRIMARY KEY (`email_id`),
  KEY `idx_email_id` (`email_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_email_table`
--

/*!40000 ALTER TABLE `mantis_email_table` DISABLE KEYS */;
LOCK TABLES `mantis_email_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_email_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_filters_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_filters_table`;
CREATE TABLE  `swgemu`.`mantis_filters_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `project_id` int(11) NOT NULL DEFAULT '0',
  `is_public` tinyint(4) DEFAULT NULL,
  `name` varchar(64) NOT NULL DEFAULT '',
  `filter_string` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_filters_table`
--

/*!40000 ALTER TABLE `mantis_filters_table` DISABLE KEYS */;
LOCK TABLES `mantis_filters_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_filters_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_news_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_news_table`;
CREATE TABLE  `swgemu`.`mantis_news_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `poster_id` int(10) unsigned NOT NULL DEFAULT '0',
  `date_posted` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `last_modified` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `view_state` smallint(6) NOT NULL DEFAULT '10',
  `announcement` tinyint(4) NOT NULL DEFAULT '0',
  `headline` varchar(64) NOT NULL DEFAULT '',
  `body` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_news_table`
--

/*!40000 ALTER TABLE `mantis_news_table` DISABLE KEYS */;
LOCK TABLES `mantis_news_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_news_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_project_category_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_project_category_table`;
CREATE TABLE  `swgemu`.`mantis_project_category_table` (
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `category` varchar(64) NOT NULL DEFAULT '',
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`project_id`,`category`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_project_category_table`
--

/*!40000 ALTER TABLE `mantis_project_category_table` DISABLE KEYS */;
LOCK TABLES `mantis_project_category_table` WRITE;
INSERT INTO `swgemu`.`mantis_project_category_table` VALUES  (1,'Account/Billing',0),
 (1,'Sample Category 2',0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_project_category_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_project_file_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_project_file_table`;
CREATE TABLE  `swgemu`.`mantis_project_file_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `description` varchar(250) NOT NULL DEFAULT '',
  `diskfile` varchar(250) NOT NULL DEFAULT '',
  `filename` varchar(250) NOT NULL DEFAULT '',
  `folder` varchar(250) NOT NULL DEFAULT '',
  `filesize` int(11) NOT NULL DEFAULT '0',
  `file_type` varchar(250) NOT NULL DEFAULT '',
  `date_added` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `content` longblob,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_project_file_table`
--

/*!40000 ALTER TABLE `mantis_project_file_table` DISABLE KEYS */;
LOCK TABLES `mantis_project_file_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_project_file_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_project_hierarchy_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_project_hierarchy_table`;
CREATE TABLE  `swgemu`.`mantis_project_hierarchy_table` (
  `child_id` int(10) unsigned NOT NULL,
  `parent_id` int(10) unsigned NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_project_hierarchy_table`
--

/*!40000 ALTER TABLE `mantis_project_hierarchy_table` DISABLE KEYS */;
LOCK TABLES `mantis_project_hierarchy_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_project_hierarchy_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_project_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_project_table`;
CREATE TABLE  `swgemu`.`mantis_project_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL DEFAULT '',
  `status` smallint(6) NOT NULL DEFAULT '10',
  `enabled` tinyint(4) NOT NULL DEFAULT '1',
  `view_state` smallint(6) NOT NULL DEFAULT '10',
  `access_min` smallint(6) NOT NULL DEFAULT '10',
  `file_path` varchar(250) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_project_name` (`name`),
  KEY `idx_project_id` (`id`),
  KEY `idx_project_view` (`view_state`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_project_table`
--

/*!40000 ALTER TABLE `mantis_project_table` DISABLE KEYS */;
LOCK TABLES `mantis_project_table` WRITE;
INSERT INTO `swgemu`.`mantis_project_table` VALUES  (1,'SWGEmu',10,1,10,10,'','The Swgemu project');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_project_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_project_user_list_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_project_user_list_table`;
CREATE TABLE  `swgemu`.`mantis_project_user_list_table` (
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `access_level` smallint(6) NOT NULL DEFAULT '10',
  PRIMARY KEY (`project_id`,`user_id`),
  KEY `idx_project_user` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_project_user_list_table`
--

/*!40000 ALTER TABLE `mantis_project_user_list_table` DISABLE KEYS */;
LOCK TABLES `mantis_project_user_list_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_project_user_list_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_project_version_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_project_version_table`;
CREATE TABLE  `swgemu`.`mantis_project_version_table` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `version` varchar(64) NOT NULL DEFAULT '',
  `date_order` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `description` longtext NOT NULL,
  `released` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_project_version` (`project_id`,`version`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_project_version_table`
--

/*!40000 ALTER TABLE `mantis_project_version_table` DISABLE KEYS */;
LOCK TABLES `mantis_project_version_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_project_version_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_sponsorship_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_sponsorship_table`;
CREATE TABLE  `swgemu`.`mantis_sponsorship_table` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bug_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `amount` int(11) NOT NULL DEFAULT '0',
  `logo` varchar(128) NOT NULL DEFAULT '',
  `url` varchar(128) NOT NULL DEFAULT '',
  `paid` tinyint(4) NOT NULL DEFAULT '0',
  `date_submitted` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `last_updated` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  PRIMARY KEY (`id`),
  KEY `idx_sponsorship_bug_id` (`bug_id`),
  KEY `idx_sponsorship_user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_sponsorship_table`
--

/*!40000 ALTER TABLE `mantis_sponsorship_table` DISABLE KEYS */;
LOCK TABLES `mantis_sponsorship_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_sponsorship_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_tag_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_tag_table`;
CREATE TABLE  `swgemu`.`mantis_tag_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(100) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `date_updated` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  PRIMARY KEY (`id`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_tag_table`
--

/*!40000 ALTER TABLE `mantis_tag_table` DISABLE KEYS */;
LOCK TABLES `mantis_tag_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_tag_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_tokens_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_tokens_table`;
CREATE TABLE  `swgemu`.`mantis_tokens_table` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `owner` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `timestamp` datetime NOT NULL,
  `expiry` datetime DEFAULT NULL,
  `value` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_typeowner` (`type`,`owner`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_tokens_table`
--

/*!40000 ALTER TABLE `mantis_tokens_table` DISABLE KEYS */;
LOCK TABLES `mantis_tokens_table` WRITE;
INSERT INTO `swgemu`.`mantis_tokens_table` VALUES  (3,1,1,'2010-11-22 23:53:11','2010-11-23 00:53:11','a:40:{s:8:\"_version\";s:2:\"v8\";s:10:\"_view_type\";s:6:\"simple\";s:13:\"show_category\";a:1:{i:0;s:1:\"0\";}s:13:\"show_severity\";a:1:{i:0;i:0;}s:11:\"show_status\";a:1:{i:0;i:0;}s:8:\"per_page\";i:50;s:17:\"highlight_changed\";i:6;s:11:\"reporter_id\";a:1:{i:0;i:0;}s:10:\"handler_id\";a:1:{i:0;i:0;}s:10:\"project_id\";a:1:{i:0;i:-3;}s:4:\"sort\";s:12:\"last_updated\";s:3:\"dir\";s:4:\"DESC\";s:11:\"start_month\";i:11;s:9:\"start_day\";i:1;s:10:\"start_year\";i:2010;s:9:\"end_month\";i:11;s:7:\"end_day\";i:22;s:8:\"end_year\";i:2010;s:6:\"search\";s:0:\"\";s:11:\"hide_status\";a:1:{i:0;i:-2;}s:16:\"and_not_assigned\";b:0;s:15:\"show_resolution\";a:1:{i:0;i:0;}s:10:\"show_build\";a:1:{i:0;s:1:\"0\";}s:12:\"show_version\";a:1:{i:0;s:1:\"0\";}s:17:\"do_filter_by_date\";b:0;s:16:\"fixed_in_version\";a:1:{i:0;s:1:\"0\";}s:14:\"target_version\";a:1:{i:0;s:1:\"0\";}s:13:\"show_priority\";a:1:{i:0;i:0;}s:12:\"user_monitor\";a:1:{i:0;i:0;}s:10:\"view_state\";i:0;s:13:\"custom_fields\";a:0:{}s:13:\"sticky_issues\";s:3:\"off\";s:17:\"relationship_type\";i:-1;s:16:\"relationship_bug\";i:0;s:12:\"show_profile\";a:1:{i:0;i:0;}s:8:\"platform\";a:1:{i:0;i:0;}s:2:\"os\";a:1:{i:0;i:0;}s:8:\"os_build\";a:1:{i:0;i:0;}s:10:\"tag_string\";s:0:\"\";s:10:\"tag_select\";i:0;}'),
 (4,1,3,'2010-11-22 23:53:16','2010-11-24 00:09:26','1'),
 (5,1,4,'2010-11-23 00:12:47','2010-11-23 00:18:35','1');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_tokens_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_user_pref_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_user_pref_table`;
CREATE TABLE  `swgemu`.`mantis_user_pref_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `project_id` int(10) unsigned NOT NULL DEFAULT '0',
  `default_profile` int(10) unsigned NOT NULL DEFAULT '0',
  `default_project` int(10) unsigned NOT NULL DEFAULT '0',
  `advanced_report` tinyint(4) NOT NULL DEFAULT '0',
  `advanced_view` tinyint(4) NOT NULL DEFAULT '0',
  `advanced_update` tinyint(4) NOT NULL DEFAULT '0',
  `refresh_delay` int(11) NOT NULL DEFAULT '0',
  `redirect_delay` tinyint(4) NOT NULL DEFAULT '0',
  `bugnote_order` varchar(4) NOT NULL DEFAULT 'ASC',
  `email_on_new` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_assigned` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_feedback` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_resolved` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_closed` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_reopened` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_bugnote` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_status` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_priority` tinyint(4) NOT NULL DEFAULT '0',
  `email_on_priority_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_status_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_bugnote_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_reopened_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_closed_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_resolved_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_feedback_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_assigned_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_on_new_min_severity` smallint(6) NOT NULL DEFAULT '10',
  `email_bugnote_limit` smallint(6) NOT NULL DEFAULT '0',
  `language` varchar(32) NOT NULL DEFAULT 'english',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_user_pref_table`
--

/*!40000 ALTER TABLE `mantis_user_pref_table` DISABLE KEYS */;
LOCK TABLES `mantis_user_pref_table` WRITE;
INSERT INTO `swgemu`.`mantis_user_pref_table` VALUES  (1,1,0,0,1,0,0,0,30,2,'ASC',1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,'english');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_user_pref_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_user_print_pref_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_user_print_pref_table`;
CREATE TABLE  `swgemu`.`mantis_user_print_pref_table` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `print_pref` varchar(64) NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_user_print_pref_table`
--

/*!40000 ALTER TABLE `mantis_user_print_pref_table` DISABLE KEYS */;
LOCK TABLES `mantis_user_print_pref_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_user_print_pref_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_user_profile_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_user_profile_table`;
CREATE TABLE  `swgemu`.`mantis_user_profile_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `platform` varchar(32) NOT NULL DEFAULT '',
  `os` varchar(32) NOT NULL DEFAULT '',
  `os_build` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_user_profile_table`
--

/*!40000 ALTER TABLE `mantis_user_profile_table` DISABLE KEYS */;
LOCK TABLES `mantis_user_profile_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_user_profile_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mantis_user_table`
--

DROP TABLE IF EXISTS `swgemu`.`mantis_user_table`;
CREATE TABLE  `swgemu`.`mantis_user_table` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(32) NOT NULL DEFAULT '',
  `realname` varchar(64) NOT NULL DEFAULT '',
  `email` varchar(64) NOT NULL DEFAULT '',
  `password` varchar(32) NOT NULL DEFAULT '',
  `date_created` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `last_visit` datetime NOT NULL DEFAULT '1970-01-01 00:00:01',
  `enabled` tinyint(4) NOT NULL DEFAULT '1',
  `protected` tinyint(4) NOT NULL DEFAULT '0',
  `access_level` smallint(6) NOT NULL DEFAULT '10',
  `login_count` int(11) NOT NULL DEFAULT '0',
  `lost_password_request_count` smallint(6) NOT NULL DEFAULT '0',
  `failed_login_count` smallint(6) NOT NULL DEFAULT '0',
  `cookie_string` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_user_cookie_string` (`cookie_string`),
  UNIQUE KEY `idx_user_username` (`username`),
  KEY `idx_enable` (`enabled`),
  KEY `idx_access` (`access_level`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mantis_user_table`
--

/*!40000 ALTER TABLE `mantis_user_table` DISABLE KEYS */;
LOCK TABLES `mantis_user_table` WRITE;
INSERT INTO `swgemu`.`mantis_user_table` VALUES  (1,'administrator','','root@localhost','7c6afe50f993ce148d2bdbca6b831d47','2010-10-18 00:27:23','2010-11-23 00:13:35',1,0,90,6,0,0,'6b1a815f8bfa1fdc934f284a5c10f712d57dd1a96afb0f3ff9300ae5aefe4829');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mantis_user_table` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mission_manager_hunt_types`
--

DROP TABLE IF EXISTS `swgemu`.`mission_manager_hunt_types`;
CREATE TABLE  `swgemu`.`mission_manager_hunt_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zoneid` int(11) NOT NULL,
  `file1` varchar(100) NOT NULL,
  `file2` varchar(100) DEFAULT NULL,
  `level` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `swgemu`.`mission_manager_hunt_types`
--

/*!40000 ALTER TABLE `mission_manager_hunt_types` DISABLE KEYS */;
LOCK TABLES `mission_manager_hunt_types` WRITE;
INSERT INTO `swgemu`.`mission_manager_hunt_types` VALUES  (1,5,'object/mobile/capper_spineflap.iff','object/mobile/capper_spineflap_hue.iff',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `mission_manager_hunt_types` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mission_manager_informants`
--

DROP TABLE IF EXISTS `swgemu`.`mission_manager_informants`;
CREATE TABLE  `swgemu`.`mission_manager_informants` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `planet` smallint(6) NOT NULL DEFAULT '0',
  `cell` bigint(20) NOT NULL DEFAULT '0',
  `X` double NOT NULL DEFAULT '0',
  `Y` double NOT NULL DEFAULT '0',
  `Z` double NOT NULL DEFAULT '0',
  `oY` double NOT NULL DEFAULT '0',
  `oW` double NOT NULL DEFAULT '0',
  `level` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=168 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mission_manager_informants`
--

/*!40000 ALTER TABLE `mission_manager_informants` DISABLE KEYS */;
LOCK TABLES `mission_manager_informants` WRITE;
INSERT INTO `swgemu`.`mission_manager_informants` VALUES  (1,0,0,-5559,-6220,23.4,0.723214,0.690624,2),
 (2,0,0,6871,-5752,315,0.933756,-0.357911,2),
 (3,8,1154123,0.2,8.6,1,0,1,2),
 (4,8,1134569,-31.6,18.1,0,0,1,2),
 (5,8,1076948,8.6,-13,7,0,1,2),
 (6,7,0,265,-2974,0,0,1,2),
 (7,7,0,255,-3024,0,0,1,2),
 (8,7,0,682,-3219,14,0,1,2),
 (9,7,0,4529,5371,0,0,1,2),
 (10,6,0,5102,5654,0,0,1,2),
 (11,5,0,4721,-4614,4.2,0.99436,0.106053,2),
 (12,5,0,4999,6822,-192,0,1,2),
 (13,5,64,-4.59578,7.93328,-0.894993,0.766776,0.641915,2),
 (14,5,0,5009,6652,-192,-0.363718,0.931509,2),
 (15,5,0,5277,6560,-192,0.128858,0.991663,2),
 (16,2,0,-6239,940,0,0,1,2),
 (17,2,0,-68,-1565,0,0,1,2),
 (18,0,0,6775,-5487,315,0.898235,0.439515,1),
 (19,0,0,6876,-5466,330,0.749383,-0.662136,1),
 (20,8,0,-2879,2555,0,0,1,1),
 (21,8,0,-5284,2676,0,0,1,1),
 (22,8,0,-5205,-6503,0,0,1,1),
 (23,8,0,-685,-6731,0,0,1,1),
 (24,8,0,-703,-6734,0,0,1,1),
 (25,7,0,147,-2812,0,0,1,1),
 (26,7,0,203,-2979,0,0,1,1),
 (27,7,0,258,-3008,0,0,1,1),
 (28,7,0,4542,5329,0,0,1,1),
 (29,5,0,5332,-1568,327,3915871,0.401474,1),
 (30,5,0,4980,-1489,360,0.920954,-0.389672,1),
 (31,5,0,4923,-1411,360,0.934099,-0.357013,1),
 (32,5,0,4757,-1358,330,0,1,1),
 (33,5,0,4688,-1342,330,0.99812,0.0612889,1),
 (34,5,0,-5548,-13,-150,0.937143,-0.348946,1),
 (35,5,0,-5476,-76,-150,-0.558149,0.829741,1),
 (36,5,0,4638,-4643,4.37564,-0.437979,0.898985,1),
 (37,5,111,-2.07012,5.66253,-0.894992,-0.283362,0.959013,1),
 (38,5,0,1279,2858,13,-0.336607,0.941645,1),
 (39,5,0,5410,6672,-192,0.883243,-0.468916,1),
 (40,5,0,5075,6784,-192,0,1,1),
 (41,5,0,5261,6793,-192,0.816228,0.57773,1),
 (42,5,0,5081,6591,-192,-0.366442,0.930441,1),
 (43,4,0,369,5087,0,0,1,1),
 (44,4,0,540,5072,0,0,1,1),
 (45,2,0,590,3091,0,0,1,1),
 (46,2,0,598,3025,0,0,1,1),
 (47,0,0,-29,-4818,28,0,1,0),
 (48,0,0,-86,-4829,28,-0.433868,0.900976,0),
 (49,0,0,-171,-4443,28,-0.638829,0.769349,0),
 (50,0,0,-172,-4410,28,0.981533,-0.191295,0),
 (51,0,0,-212,-4465,28,0,1,0),
 (52,0,0,-250,-4430,28,0.932466,0.361257,0),
 (53,0,0,-428,-4751,28,0.971669,-0.236345,0),
 (54,0,0,-477,-4553,0,0,1,0),
 (55,0,0,-566,-4361,0,0,1,0),
 (56,0,0,-508,-4367,0,0,1,0),
 (57,0,0,-359,-4210,0,0,1,0),
 (58,0,0,-293,-4251,0,0,1,0),
 (59,0,0,-184,-4342,0,0,1,0),
 (60,0,0,6687,-5594,0,0,1,0),
 (61,0,0,6733,-5609,0,0,1,0),
 (62,0,0,6832,-5545,0,0,1,0),
 (63,0,0,6901,-5606,0,0,1,0),
 (64,0,3375357,16.2,23.1,0,0,1,0),
 (65,0,0,3100,5224,0,0,1,0),
 (66,0,0,3123,5188,0,0,1,0),
 (67,0,0,3144,5148,0,0,1,0),
 (68,0,0,3165,5077,0,0,1,0),
 (69,0,0,3078,5014,0,0,1,0),
 (70,0,0,3210,5440,0,0,1,0),
 (71,0,0,3311,5386,0,0,1,0),
 (72,0,0,3293,5401,0,0,1,0),
 (73,0,0,3297,5514,0,0,1,0),
 (74,0,0,-3563,3138,0,0,1,0),
 (75,0,0,-3571,3176,0,0,1,0),
 (76,0,0,-3574,3154,0,0,1,0),
 (77,0,0,-3604,3172,0,0,1,0),
 (78,0,0,-3665,3139,0,0,1,0),
 (79,0,0,-3375,3281,0,0,1,0),
 (80,0,0,-3358,3307,0,0,1,0),
 (81,0,0,-3315,3234,0,0,1,0),
 (82,0,0,-3386,3184,0,0,1,0),
 (83,0,0,-3444,3231,0,0,1,0),
 (84,0,0,-3458,3165,0,0,1,0),
 (85,0,0,-3416,3078,0,0,1,0),
 (86,0,0,-3401,3034,0,0,1,0),
 (87,0,0,-3124,2808,0,0,1,0),
 (88,0,0,-3128,3008,0,0,1,0),
 (89,0,0,-5024,-2345,0,0,1,0),
 (90,0,0,-5136,-2294,0,0,1,0),
 (91,0,0,-5587,-2809,0,0,1,0),
 (92,0,0,-5486,-2781,0,0,1,0),
 (93,0,0,-5504,-2699,0,0,1,0),
 (94,0,0,-5539,-2667,0,0,1,0),
 (95,0,0,-5592,-2684,0,0,1,0),
 (96,0,0,-5450,-2630,0,0,1,0),
 (97,0,0,-5308,-2512,0,0,1,0),
 (98,0,0,-5097,-2344,0,0,1,0),
 (99,8,0,1266,3184,0,0,1,0),
 (100,8,0,1727,3093,0,0,1,0),
 (101,8,0,3775,2371,0,0,1,0),
 (102,8,0,-2804,2237,0,0,1,0),
 (103,8,0,-2836,2275,0,0,1,0),
 (104,8,0,-2935,2393,0,0,1,0),
 (105,8,0,-1449,-3558,0,0,1,0),
 (106,8,0,-1450,-3566,0,0,1,0),
 (107,8,0,-1332,-3700,0,0,1,0),
 (108,8,0,-1053,-3726,0,0,1,0),
 (109,8,0,-1023,-3677,0,0,1,0),
 (110,8,0,-1220,-3560,0,0,1,0),
 (111,8,0,-5296,2654,0,0,1,0),
 (112,8,0,-5216,-6563,0,0,1,0),
 (113,8,0,3447,-4850,0,0,1,0),
 (114,8,0,3253,-4923,0,0,1,0),
 (115,8,0,3488.2,-4783.6,0,0,1,0),
 (116,7,0,342,-2896,0,0,1,0),
 (117,7,0,408,-2867,0,0,1,0),
 (118,7,0,434,-2821,0,0,1,0),
 (119,7,0,286,-3101,0,0,1,0),
 (120,7,0,411,-3056,0,0,1,0),
 (121,7,0,568,-3173,0,0,1,0),
 (122,7,0,555,-2958,0,0,1,0),
 (123,7,0,683,-2898,0,0,1,0),
 (124,7,0,653,-2850,0,0,1,0),
 (125,7,0,4519,5191,0,0,1,0),
 (126,7,0,4530,5094,0,0,1,0),
 (127,7,0,4347,5056,0,0,1,0),
 (128,7,0,4353,5196,0,0,1,0),
 (129,7,0,4290,5202,0,0,1,0),
 (130,7,0,4277,5140,0,0,1,0),
 (131,7,0,4224,5117,0,0,1,0),
 (132,7,0,4214,5140,0,0,1,0),
 (133,6,0,-5331,-2233,0,0,1,0),
 (134,6,0,-5127,-2266,0,0,1,0),
 (135,6,0,-5120,-2269,0,0,1,0),
 (136,6,0,5401,5857,0,0,1,0),
 (137,5,0,4700,-1406,330,0.921637,0.388053,0),
 (138,5,0,4652,-4749,3.75,0.768026,0.640418,0),
 (139,5,0,4744,-4847,3.75,0.965644,-0.25987,0),
 (140,5,0,4825,-4829,3.75,0.992233,-0.124392,0),
 (141,5,0,4958,-4854,3.75,0.988339,0.152273,0),
 (142,5,0,4976,-4920,3.75,0.965762,-0.25943,0),
 (143,5,0,4971,-4941,3.75,0.725749,-0.68796,0),
 (144,5,0,4909,-4975,3.75,0,1,0),
 (145,5,0,4679,-4923,3.75,0.555121,0.831769,0),
 (146,5,0,4838,-4877,3.75,0.751636,0.336632,0),
 (147,5,0,4810,-4627,4.17,0.481402,0.8765,0),
 (148,5,0,4773,-4937,4.39475,0.94185,0.336033,0),
 (149,5,0,-4833,4134,6,0.825485,-0.564424,0),
 (150,5,0,-4892,4216,6,-0.658527,0.752557,0),
 (151,5,0,-4962,4259,6,-0.444864,0.895598,0),
 (152,5,0,-5100,4146,6,0.291311,0.956628,0),
 (153,5,0,-5455,4277,6,0.933131,-0.359536,0),
 (154,5,0,-5469,4173,6,0.999249,-0.0387536,0),
 (155,5,0,-5436,4133,6,0.654272,0.756259,0),
 (156,5,0,-5369,4178,6,0.978084,-0.208209,0),
 (157,5,0,-5477,4089,6,0.933523,-0.358517,0),
 (158,5,0,2030,2591,12,0.97953,0.201297,0),
 (159,5,0,1959,2577,12,1,0,0),
 (160,5,0,1818,2496,12,0,1,0),
 (161,5,0,1890,2527,12,0.801268,-0.598306,0),
 (162,5,0,1926,2757,12,-0.496555,0.868005,0),
 (163,5,0,1835,2633,12,0,1,0),
 (164,5,0,1847,2573,12,0.789138,-0.614215,0),
 (165,5,0,1347,2671,13,0.909559,0.415574,0),
 (166,5,0,5042,6736,-183.338,0.936155,0.351588,0),
 (167,5,0,5199,6546,-192,-0.454399,0.890799,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `mission_manager_informants` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mission_manager_npcs`
--

DROP TABLE IF EXISTS `swgemu`.`mission_manager_npcs`;
CREATE TABLE  `swgemu`.`mission_manager_npcs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zoneid` int(11) DEFAULT NULL,
  `parentid` bigint(20) DEFAULT '0',
  `file` varchar(200) DEFAULT NULL,
  `oX` float DEFAULT '0',
  `oY` float DEFAULT '0',
  `oZ` float DEFAULT '0',
  `oW` float DEFAULT '1',
  `x` float DEFAULT NULL,
  `z` float DEFAULT NULL,
  `y` float DEFAULT NULL,
  `level` int(11) DEFAULT '10',
  `mood_animation` varchar(45) DEFAULT NULL,
  `creature_bitmask` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idworldserverspawns_UNIQUE` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mission_manager_npcs`
--

/*!40000 ALTER TABLE `mission_manager_npcs` DISABLE KEYS */;
LOCK TABLES `mission_manager_npcs` WRITE;
INSERT INTO `swgemu`.`mission_manager_npcs` VALUES  (1,5,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0,0,1,-4854,6,4131,15,'neutral',264),
 (2,5,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0,0,1,-4858,6,4131,15,'neutral',264);
UNLOCK TABLES;
/*!40000 ALTER TABLE `mission_manager_npcs` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mission_manager_recon_locs`
--

DROP TABLE IF EXISTS `swgemu`.`mission_manager_recon_locs`;
CREATE TABLE  `swgemu`.`mission_manager_recon_locs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `zoneid` tinyint(4) NOT NULL,
  `template_file` varchar(200) NOT NULL,
  `template_type` int(255) NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `X` float NOT NULL,
  `Z` float NOT NULL,
  `Y` float NOT NULL,
  PRIMARY KEY (`id`),
  KEY `zone_id` (`zoneid`),
  FULLTEXT KEY `file_ix` (`template_file`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mission_manager_recon_locs`
--

/*!40000 ALTER TABLE `mission_manager_recon_locs` DISABLE KEYS */;
LOCK TABLES `mission_manager_recon_locs` WRITE;
INSERT INTO `swgemu`.`mission_manager_recon_locs` VALUES  (1,5,'object/tangible/lair/cu_pa/lair_cu_pa.iff',8203,0,-0.401868,0,0.915698,-4934,6,4114);
UNLOCK TABLES;
/*!40000 ALTER TABLE `mission_manager_recon_locs` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mission_manager_spawn_bounty`
--

DROP TABLE IF EXISTS `swgemu`.`mission_manager_spawn_bounty`;
CREATE TABLE  `swgemu`.`mission_manager_spawn_bounty` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` varchar(250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `swgemu`.`mission_manager_spawn_bounty`
--

/*!40000 ALTER TABLE `mission_manager_spawn_bounty` DISABLE KEYS */;
LOCK TABLES `mission_manager_spawn_bounty` WRITE;
INSERT INTO `swgemu`.`mission_manager_spawn_bounty` VALUES  (1,'object/mobile/dressed_criminal_thug_human_male_01.iff');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mission_manager_spawn_bounty` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`mission_manager_spawn_lairs`
--

DROP TABLE IF EXISTS `swgemu`.`mission_manager_spawn_lairs`;
CREATE TABLE  `swgemu`.`mission_manager_spawn_lairs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `template` varchar(250) DEFAULT NULL,
  `planets` varchar(45) DEFAULT '-1',
  `level_range` varchar(45) DEFAULT '5-10',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`mission_manager_spawn_lairs`
--

/*!40000 ALTER TABLE `mission_manager_spawn_lairs` DISABLE KEYS */;
LOCK TABLES `mission_manager_spawn_lairs` WRITE;
INSERT INTO `swgemu`.`mission_manager_spawn_lairs` VALUES  (2,'object/tangible/lair/cu_pa/lair_cu_pa.iff','-1','5-10');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mission_manager_spawn_lairs` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`no_build_zones`
--

DROP TABLE IF EXISTS `swgemu`.`no_build_zones`;
CREATE TABLE  `swgemu`.`no_build_zones` (
  `nbz_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `planet_id` int(11) NOT NULL DEFAULT '0',
  `zone_name` char(255) DEFAULT 'region_name',
  `zone_file` char(255) DEFAULT 'region_file',
  `zone_type` char(255) DEFAULT NULL,
  `x` float NOT NULL DEFAULT '0',
  `z` float NOT NULL DEFAULT '0',
  `radius` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`nbz_id`)
) ENGINE=InnoDB AUTO_INCREMENT=182 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `swgemu`.`no_build_zones`
--

/*!40000 ALTER TABLE `no_build_zones` DISABLE KEYS */;
LOCK TABLES `no_build_zones` WRITE;
INSERT INTO `swgemu`.`no_build_zones` VALUES  (1,0,'coronet','corellia_region_names','city',-178,-4504,1181),
 (2,0,'tyrena','corellia_region_names','city',-5140,-2450,900),
 (3,0,'bela_vista','corellia_region_names','city',6766,-5692,970),
 (4,0,'kor_vella','corellia_region_names','city',-3420,3146,1220),
 (5,0,'doaba_guerfel','corellia_region_names','city',3274,5582,925),
 (6,0,'vreni_island','corellia_region_names','city',-5538,-6176,820),
 (7,0,'corellia_badge','corsec_base','poi_badge',5291,1494,400),
 (8,0,'corellia_badge','grand_theater','poi_badge',-5418,-6248,350),
 (9,0,'corellia_badge','crystal_fountain','poi_badge',6767,-5617,360),
 (10,0,'corellia_badge','agrilat_swamp','poi_badge',1084,4176,350),
 (11,0,'corellia_badge','rebel_hideout','poi_badge',-6530,5967,400),
 (12,0,'hideout','corellia','poi',-6584,5915,300),
 (13,0,'corsecbase','corellia','poi',5291,1494,300),
 (14,0,'grandtheater','corellia','poi',-5421,-6212,300),
 (15,0,'crystalfountain','corellia','poi',6760,-5617,300),
 (16,0,'agrilat','corellia','poi',1402,3802,300),
 (17,0,'drall','corellia','poi',1042,4193,300),
 (18,0,'nyax','corellia','poi',1414,-317,300),
 (19,0,'stronghold','corellia','poi',4651,-5617,1000),
 (20,0,'afarathu','corellia','poi',-2483,2907,300),
 (21,0,'racingagrilat','corellia','poi',1859,4642,300),
 (22,1,'an_outpost','dantooine_region_names','city',-640,2486,735),
 (23,1,'an_outpost','dantooine_region_names','city',1588,-6399,735),
 (24,1,'an_imperial_outpost','dantooine_region_names','city',-4224,-2400,850),
 (25,1,'dantooine_badge','dantari_village','poi_badge',-3862,-5706,350),
 (26,1,'dantooine_badge','dantari_rock_village','poi_badge',-7156,-883,350),
 (27,1,'dantooine_badge','ab_rebel_base','poi_badge',-6836,5520,325),
 (28,1,'dantooine_badge','jedi_temple','poi_badge',4195,5203,325),
 (29,1,'dantari1','dantooine','poi',-3929,-5632,300),
 (30,1,'dantari2','dantooine','poi',-7144,-1053,300),
 (31,1,'dantari3','dantooine','poi',5655,-589,300),
 (32,1,'abandoned','dantooine','poi',-6858,5725,300),
 (33,1,'jeditemple','dantooine','poi',4258,5374,300),
 (34,1,'cystalhunter','dantooine','poi',-6259,7336,300),
 (35,1,'janta','dantooine','poi',6994,-4110,300),
 (37,1,'mokk','dantooine','poi',-7258,-3320,300),
 (38,1,'kunga','dantooine','poi',-368,-240,300),
 (39,1,'warren','dantooine','poi',-580,-3763,1000),
 (40,2,'trade_outpost','dathomir_region_names','outpost',599,3046,410),
 (41,2,'science_outpost','dathomir_region_names','outpost',-85,-1600,425),
 (42,2,'dathomir_badge','imp_prison','poi_badge',-6304,753,400),
 (43,2,'dathomir_badge','tarpits','poi_badge',652,-4888,350),
 (44,2,'dathomir_badge','lesser_sarlacc','poi_badge',-2101,3165,350),
 (45,2,'dathomir_badge','escape_pod','poi_badge',-4427,586,325),
 (46,2,'dathomir_badge','lesser_misty_fall','poi_badge',3558,1554,325),
 (47,2,'dathomir_badge','downed_ship','poi_badge',5585,1903,350),
 (48,2,'dathomir_badge','great_misty_fall','poi_badge',3021,1289,325),
 (49,2,'a_imperial_outpost','dathomir_region_name','outpost',-6090,1010,350),
 (50,2,'prison','dathomir','poi',-6091,1010,1000),
 (51,2,'lessersarlacc','dathomir','poi',-2091,3177,300),
 (52,2,'dathpod','dathomir','poi',-4446,596,300),
 (53,2,'mistyfalls','dathomir','poi',3566,1560,300),
 (54,2,'tarpit','dathomir','poi',651,-4888,300),
 (55,2,'nightsister','dathomir','poi',-3946,-50,300),
 (56,2,'singing','dathomir','poi',678,4079,1000),
 (57,2,'nightvssing','dathomir','poi',-2450,1521,1000),
 (58,2,'nightspider','dathomir','poi',-1219,6262,300),
 (59,2,'slavecamp','dathomir','poi',2428,-1701,300),
 (60,3,'an_outpost','endor_region_names','outpost',-905,1584,430),
 (61,3,'an_outpost','endor_region_names','outpost',3221,-3471,400),
 (62,3,'endor_badge','ewok_tree_vill','poi_badge',4596,-2423,400),
 (63,3,'endor_badge','dulok_village','poi_badge',6051,-2477,400),
 (64,3,'endor_badge','ewok_lake_vill','poi_badge',-650,-5076,400),
 (65,3,'endor_badge','maruaders_stronghold','poi_badge',-4628,-2273,350),
 (66,3,'tree1','endor','poi',6,-5,300),
 (67,3,'tree2','endor','poi',4661,-2425,300),
 (68,3,'lake1','endor','poi',1578,-3271,300),
 (69,3,'lake2','endor','poi',-605,-4940,300),
 (70,3,'dulok1','endor','poi',5921,-2514,300),
 (71,3,'dulok2','endor','poi',-1287,2904,300),
 (72,3,'marauder','endor','poi',-4838,-2339,300),
 (73,3,'korga','endor','poi',2286,3459,300),
 (74,3,'orphan','endor','poi',-6853,679,300),
 (75,3,'jinda','endor','poi',-1695,-56,300),
 (76,4,'nyms_stronghold','lok_region_names','city',440,5029,915),
 (77,4,'an_imperial_outpost','lok_region_names','outpost',-1920,-3084,436),
 (78,4,'lok_badge','imp_outpost','poi_badge',-1814,-3086,350),
 (79,4,'lok_badge','mount_chaolt','poi_badge',3091,-4638,350),
 (80,4,'lok_badge','kimo_skeleton','poi_badge',4562,-1156,325),
 (81,4,'volcano','lok','poi',3091,-4638,300),
 (82,4,'lokimpoutpost','lok','poi',-1785,-3087,1000),
 (84,4,'kimogilaskel','lok','poi',4572,-1114,300),
 (85,4,'kimogilatown','lok','poi',-68,2650,300),
 (86,4,'canyoncosair','lok','poi',-3792,-3904,300),
 (87,4,'bloodrazor','lok','poi',3703,2274,300),
 (88,4,'droidcave','lok','poi',3364,-4923,300),
 (89,4,'greatmaze','lok','poi',3824,-465,300),
 (90,5,'theed','naboo_region_names','city',-5488,4380,1210),
 (91,5,'keren','naboo_region_names','city',1888,2700,1150),
 (92,5,'moenia','naboo_region_names','city',4836,-4830.5,877),
 (93,5,'deeja_peak','naboo_region_names','city',4686,-1375,820),
 (94,5,'kaadara','naboo_region_names','city',5288,6687,825),
 (95,5,'lake_retreat','naboo_region_name','city',-5488,-6,625),
 (96,5,'naboo_badge','theed_waterfall','poi_badge',-4628,4207,325),
 (97,5,'naboo_badge','peak_waterfall','poi_badge',5157,-1646,325),
 (98,5,'naboo_badge','amidala_beach','poi_badge',-5828,-93,350),
 (99,5,'naboo_badge','gungan_place','poi_badge',-2066,-5423,350),
 (100,5,'gungan','naboo','poi',-2104,-5408,300),
 (101,5,'theedfalls','naboo','poi',-4627,4207,300),
 (102,5,'deejafalls','naboo','poi',5174,-1550,300),
 (103,5,'amidalasbeach','naboo','poi',-5828,-93,300),
 (104,5,'impvsgun','naboo','poi',4825,-3820,1000),
 (105,5,'mordran','naboo','poi',-1952,-5279,300),
 (106,5,'weaponfacility','naboo','poi',-6456,-3235,1000),
 (107,5,'narglatch','naboo','poi',5864,-4681,300),
 (108,5,'mauler','naboo','poi',2963,1109,300),
 (109,5,'racingkeren','naboo','poi',1396,2686,300),
 (110,6,'narmle','rori_region_names','city',-5140,-2368,850),
 (111,6,'restuss','rori_region_names','city',5318,5680,925),
 (112,6,'a_rebel_outpost','rori_region_names','outpost',3677,-6447,380),
 (113,6,'rori_badge','hyperdrive_fac','poi_badge',-1130,4544,400),
 (114,6,'rori_badge','imp_camp','poi_badge',-5633,-5661,350),
 (115,6,'rori_badge','reb_outpost','poi_badge',3664,-6501,400),
 (116,6,'rori_badge','spice_mine','poi_badge',7371,169,350),
 (117,6,'reboutpost','rori','poi',3669,-6586,1000),
 (118,6,'kobala','rori','poi',7304,63,300),
 (119,6,'impencampment','rori','poi',-5651,-5660,1000),
 (120,6,'hyperdrive','rori','poi',-1070,4542,300),
 (121,6,'garyn','rori','poi',-6004,-1851,300),
 (122,6,'borglebat','rori','poi',902,-4933,300),
 (123,6,'cobral','rori','poi',5464,5045,300),
 (124,6,'tortoncave','rori','poi',-1814,-4533,300),
 (125,6,'poacher','rori','poi',773,-2109,300),
 (126,6,'barkmite','rori','poi',3584,5419,300),
 (127,6,'swamptown','rori','poi',-1986,3339,300),
 (128,7,'dearic','talus_region_names','city',422,-3004,1035),
 (129,7,'nashal','talus_region_names','city',4163,5220,795),
 (130,7,'an_imperial_outpost','talus_region_names','outpost',-2178,2300,450),
 (131,7,'talus_badge','durbin','poi_badge',4133,962,350),
 (132,7,'talus_badge','imp_outpost','poi_badge',-2184,2405,350),
 (133,7,'talus_badge','imp_reb_batle','poi_badge',-2452,3846,325),
 (134,7,'talus_badge','aquq_cave','poi_badge',-4425,-1414,325),
 (135,7,'impoutpost','talus','poi',-2193,2494,1000),
 (136,7,'creaturevillage','talus','poi',4174,1162,300),
 (137,7,'impvsreb','talus','poi',-2595,3724,1000),
 (138,7,'aqualishcave','talus','poi',-4268,-1432,300),
 (139,7,'weapondepot','talus','poi',-4899,-3137,1000),
 (140,7,'detainment','talus','poi',4963,-5977,1000),
 (141,7,'corvsflail','talus','poi',2938,6004,300),
 (142,7,'flynock','talus','poi',1508,-858,300),
 (143,7,'erransif','talus','poi',2145,-5576,300),
 (144,7,'aakuan','talus','poi',5939,4562,300),
 (145,7,'khamurrabio','talus','poi',-4816,-4752,300),
 (146,7,'decaymite','talus','poi',-5505,-4680,300),
 (147,7,'binyare','talus','poi',5526,-4073,300),
 (148,8,'bestine','tatooine_region_names','city',-1204,-3692,975),
 (149,8,'mos_espa','tatooine_region_names','city',-2878,2226,1035),
 (150,8,'mos_eisley','tatooine_region_names','city',3569,-4818,1000),
 (151,8,'mos_entha','tatooine_region_names','city',1470,3248,990),
 (152,8,'mos_taike','tatooine_region_names','city',3855,2338,770),
 (153,8,'anchorhead','tatooine_region_names','city',40,-5348,930),
 (154,8,'wayfar','tatooine_region_names','city',-5157,-6549,810),
 (155,8,'tatooine_badge','lars_home','poi_badge',-2579,-5500,325),
 (156,8,'tatooine_badge','bens_hut','poi_badge',-4512,-2270,325),
 (157,8,'tatooine_badge','sarlacc','poi_badge',-6176,-3372,325),
 (158,8,'tatooine_badge','escape_pod','poi_badge',-3930,-4425,325),
 (159,8,'tatooine_badge','krayt_skull','poi_badge',-4650,-4363,325),
 (160,8,'tatooine_badge','krayt_graveyard','poi_badge',7428,4563,350),
 (161,8,'tatooine_badge','fort_tusken','poi_badge',-3969,6267,350),
 (162,8,'jabbaspalace','tatooine','poi',-5856,-6183,1000),
 (163,8,'forttusken','tatooine','poi',-3980,6311,1000),
 (164,8,'jawatraders','tatooine','poi',-6141,1854,300),
 (165,8,'darklighter','tatooine','poi',-718,-6683,300),
 (166,8,'kraytgraveyard','tatooine','poi',6839,4320,300),
 (167,8,'larshomestead','tatooine','poi',-2579,-5500,300),
 (168,8,'kenobishouse','tatooine','poi',-4512,-2270,300),
 (169,8,'sarlacc','tatooine','poi',-6169,-3387,300),
 (170,8,'pod','tatooine','poi',-3931,-4397,300),
 (171,8,'skeleton','tatooine','poi',-4632,-4346,300),
 (172,8,'racingmosespa','tatooine','poi',2380,5000,300),
 (173,9,'an_outpost','yavin4_region_names','outpost',-312,4865,400),
 (174,9,'an_oupost','yavin4_region_names','outpost',-6925,-5707,430),
 (175,9,'yavin_badge','exar_kun','poi_badge',5076,5537,325),
 (176,9,'yavin_badge','blueleaf_temple','poi_badge',-875,-2047,350),
 (177,9,'yavin_badge','woolamander_palace','poi_badge',519,-646,325),
 (178,9,'woolamander','yavin4','poi',467,-693,300),
 (179,9,'blueleaf','yavin4','poi',-976,-2039,300),
 (180,9,'exarkun','yavin4','poi',5163,5539,300),
 (181,9,'massassi','yavin4','poi',-3226,-3139,300);
UNLOCK TABLES;
/*!40000 ALTER TABLE `no_build_zones` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`performance`
--

DROP TABLE IF EXISTS `swgemu`.`performance`;
CREATE TABLE  `swgemu`.`performance` (
  `performanceName` varchar(11) DEFAULT NULL,
  `instrumentAudioId` int(10) unsigned DEFAULT NULL,
  `requiredSong` varchar(21) DEFAULT NULL,
  `requiredInstrument` varchar(11) DEFAULT NULL,
  `requiredDance` varchar(22) DEFAULT NULL,
  `danceVisualId` int(10) unsigned DEFAULT NULL,
  `actionPointsPerLoop` int(10) unsigned DEFAULT NULL,
  `loopDuration` float DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `baseXp` int(10) unsigned DEFAULT NULL,
  `flourishXpMod` int(10) unsigned DEFAULT NULL,
  `healMindWound` int(10) unsigned DEFAULT NULL,
  `healShockWound` int(10) unsigned DEFAULT NULL,
  `requiredSkillMod` varchar(21) DEFAULT NULL,
  `requiredSkillModValue` int(10) unsigned DEFAULT NULL,
  `mainloop` varchar(40) DEFAULT NULL,
  `flourish1` varchar(46) DEFAULT NULL,
  `flourish2` varchar(46) DEFAULT NULL,
  `flourish3` varchar(46) DEFAULT NULL,
  `flourish4` varchar(46) DEFAULT NULL,
  `flourish5` varchar(46) DEFAULT NULL,
  `flourish6` varchar(46) DEFAULT NULL,
  `flourish7` varchar(46) DEFAULT NULL,
  `flourish8` varchar(46) DEFAULT NULL,
  `intro` varchar(41) DEFAULT NULL,
  `outro` varchar(41) DEFAULT NULL,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `iAudio_ix` (`instrumentAudioId`),
  KEY `iDance_ix` (`danceVisualId`)
) ENGINE=MyISAM AUTO_INCREMENT=155 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`performance`
--

/*!40000 ALTER TABLE `performance` DISABLE KEYS */;
LOCK TABLES `performance` WRITE;
INSERT INTO `swgemu`.`performance` VALUES  ('starwars1',2,'startMusic+starwars1','slitherhorn','',0,28,5,866729052,0,2,4,2,'healing_music_ability',5,'player_music/sound/song04_shorn_main.snd','player_music/sound/song04_shorn_flourish01.snd','player_music/sound/song04_shorn_flourish02.snd','player_music/sound/song04_shorn_flourish03.snd','player_music/sound/song04_shorn_flourish04.snd','player_music/sound/song04_shorn_flourish05.snd','player_music/sound/song04_shorn_flourish06.snd','player_music/sound/song04_shorn_flourish07.snd','player_music/sound/song04_shorn_flourish08.snd','player_music/sound/song04_shorn_intro.snd','player_music/sound/song04_shorn_outro.snd',1),
 ('starwars1',6,'startMusic+starwars1','fizz','',0,32,5,866729052,0,3,6,3,'healing_music_ability',5,'player_music/sound/song04_khorn_main.snd','player_music/sound/song04_khorn_flourish01.snd','player_music/sound/song04_khorn_flourish02.snd','player_music/sound/song04_khorn_flourish03.snd','player_music/sound/song04_khorn_flourish04.snd','player_music/sound/song04_khorn_flourish05.snd','player_music/sound/song04_khorn_flourish06.snd','player_music/sound/song04_khorn_flourish07.snd','player_music/sound/song04_khorn_flourish08.snd','player_music/sound/song04_khorn_intro.snd','player_music/sound/song04_khorn_outro.snd',2),
 ('starwars1',3,'startMusic+starwars1','fanfar','',0,36,5,866729052,0,6,6,3,'healing_music_ability',10,'player_music/sound/song04_shorn_main.snd','player_music/sound/song04_shorn_flourish01.snd','player_music/sound/song04_shorn_flourish02.snd','player_music/sound/song04_shorn_flourish03.snd','player_music/sound/song04_shorn_flourish04.snd','player_music/sound/song04_shorn_flourish05.snd','player_music/sound/song04_shorn_flourish06.snd','player_music/sound/song04_shorn_flourish07.snd','player_music/sound/song04_shorn_flourish08.snd','player_music/sound/song04_shorn_intro.snd','player_music/sound/song04_shorn_outro.snd',3),
 ('starwars1',5,'startMusic+starwars1','kloohorn','',0,36,5,866729052,0,7,8,4,'healing_music_ability',10,'player_music/sound/song04_khorn_main.snd','player_music/sound/song04_khorn_flourish01.snd','player_music/sound/song04_khorn_flourish02.snd','player_music/sound/song04_khorn_flourish03.snd','player_music/sound/song04_khorn_flourish04.snd','player_music/sound/song04_khorn_flourish05.snd','player_music/sound/song04_khorn_flourish06.snd','player_music/sound/song04_khorn_flourish07.snd','player_music/sound/song04_khorn_flourish08.snd','player_music/sound/song04_khorn_intro.snd','player_music/sound/song04_khorn_outro.snd',4),
 ('starwars1',10,'startMusic+starwars1','mandoviol','',0,40,5,866729052,0,9,8,4,'healing_music_ability',15,'player_music/sound/song04_mand_main.snd','player_music/sound/song04_mand_flourish01.snd','player_music/sound/song04_mand_flourish02.snd','player_music/sound/song04_mand_flourish03.snd','player_music/sound/song04_mand_flourish04.snd','player_music/sound/song04_mand_flourish05.snd','player_music/sound/song04_mand_flourish06.snd','player_music/sound/song04_mand_flourish07.snd','player_music/sound/song04_mand_flourish08.snd','player_music/sound/song04_mand_intro.snd','player_music/sound/song04_mand_outro.snd',5),
 ('starwars1',1,'startMusic+starwars1','traz','',0,40,5,866729052,0,9,10,5,'healing_music_ability',15,'player_music/sound/song04_shorn_main.snd','player_music/sound/song04_shorn_flourish01.snd','player_music/sound/song04_shorn_flourish02.snd','player_music/sound/song04_shorn_flourish03.snd','player_music/sound/song04_shorn_flourish04.snd','player_music/sound/song04_shorn_flourish05.snd','player_music/sound/song04_shorn_flourish06.snd','player_music/sound/song04_shorn_flourish07.snd','player_music/sound/song04_shorn_flourish08.snd','player_music/sound/song04_shorn_intro.snd','player_music/sound/song04_shorn_outro.snd',6),
 ('starwars1',7,'startMusic+starwars1','bandfill','',0,44,5,866729052,0,13,10,5,'healing_music_ability',15,'player_music/sound/song04_drum_main.snd','player_music/sound/song04_drum_flourish01.snd','player_music/sound/song04_drum_flourish02.snd','player_music/sound/song04_drum_flourish03.snd','player_music/sound/song04_drum_flourish04.snd','player_music/sound/song04_drum_flourish05.snd','player_music/sound/song04_drum_flourish06.snd','player_music/sound/song04_drum_flourish07.snd','player_music/sound/song04_drum_flourish08.snd','player_music/sound/song04_drum_intro.snd','player_music/sound/song04_drum_outro.snd',7),
 ('starwars1',4,'startMusic+starwars1','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',10,'player_music/sound/song04_khorn_main.snd','player_music/sound/song04_khorn_flourish01.snd','player_music/sound/song04_khorn_flourish02.snd','player_music/sound/song04_khorn_flourish03.snd','player_music/sound/song04_khorn_flourish04.snd','player_music/sound/song04_khorn_flourish05.snd','player_music/sound/song04_khorn_flourish06.snd','player_music/sound/song04_khorn_flourish07.snd','player_music/sound/song04_khorn_flourish08.snd','player_music/sound/song04_khorn_intro.snd','player_music/sound/song04_khorn_outro.snd',8),
 ('starwars1',8,'startMusic+starwars1','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',10,'player_music/sound/song04_drum_main.snd','player_music/sound/song04_drum_flourish01.snd','player_music/sound/song04_drum_flourish02.snd','player_music/sound/song04_drum_flourish03.snd','player_music/sound/song04_drum_flourish04.snd','player_music/sound/song04_drum_flourish05.snd','player_music/sound/song04_drum_flourish06.snd','player_music/sound/song04_drum_flourish07.snd','player_music/sound/song04_drum_flourish08.snd','player_music/sound/song04_drum_intro.snd','player_music/sound/song04_drum_outro.snd',9),
 ('starwars1',9,'startMusic+starwars1','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',20,'player_music/sound/song04_nlrg_main.snd','player_music/sound/song04_nlrg_flourish01.snd','player_music/sound/song04_nlrg_flourish02.snd','player_music/sound/song04_nlrg_flourish03.snd','player_music/sound/song04_nlrg_flourish04.snd','player_music/sound/song04_nlrg_flourish05.snd','player_music/sound/song04_nlrg_flourish06.snd','player_music/sound/song04_nlrg_flourish07.snd','player_music/sound/song04_nlrg_flourish08.snd','player_music/sound/song04_nlrg_intro.snd','player_music/sound/song04_nlrg_outro.snd',10),
 ('rock',2,'startMusic+rock','slitherhorn','',0,32,5,866729052,0,3,6,3,'healing_music_ability',10,'player_music/sound/song01_shorn_main.snd','player_music/sound/song01_shorn_flourish01.snd','player_music/sound/song01_shorn_flourish02.snd','player_music/sound/song01_shorn_flourish03.snd','player_music/sound/song01_shorn_flourish04.snd','player_music/sound/song01_shorn_flourish05.snd','player_music/sound/song01_shorn_flourish06.snd','player_music/sound/song01_shorn_flourish07.snd','player_music/sound/song01_shorn_flourish08.snd','player_music/sound/song01_shorn_intro.snd','player_music/sound/song01_shorn_outro.snd',11),
 ('rock',6,'startMusic+rock','fizz','',0,32,5,866729052,0,3,6,3,'healing_music_ability',10,'player_music/sound/song01_khorn_main.snd','player_music/sound/song01_khorn_flourish01.snd','player_music/sound/song01_khorn_flourish02.snd','player_music/sound/song01_khorn_flourish03.snd','player_music/sound/song01_khorn_flourish04.snd','player_music/sound/song01_khorn_flourish05.snd','player_music/sound/song01_khorn_flourish06.snd','player_music/sound/song01_khorn_flourish07.snd','player_music/sound/song01_khorn_flourish08.snd','player_music/sound/song01_khorn_intro.snd','player_music/sound/song01_khorn_outro.snd',12),
 ('rock',3,'startMusic+rock','fanfar','',0,36,5,866729052,0,6,6,3,'healing_music_ability',15,'player_music/sound/song01_shorn_main.snd','player_music/sound/song01_shorn_flourish01.snd','player_music/sound/song01_shorn_flourish02.snd','player_music/sound/song01_shorn_flourish03.snd','player_music/sound/song01_shorn_flourish04.snd','player_music/sound/song01_shorn_flourish05.snd','player_music/sound/song01_shorn_flourish06.snd','player_music/sound/song01_shorn_flourish07.snd','player_music/sound/song01_shorn_flourish08.snd','player_music/sound/song01_shorn_intro.snd','player_music/sound/song01_shorn_outro.snd',13),
 ('rock',5,'startMusic+rock','kloohorn','',0,36,5,866729052,0,7,8,4,'healing_music_ability',15,'player_music/sound/song01_khorn_main.snd','player_music/sound/song01_khorn_flourish01.snd','player_music/sound/song01_khorn_flourish02.snd','player_music/sound/song01_khorn_flourish03.snd','player_music/sound/song01_khorn_flourish04.snd','player_music/sound/song01_khorn_flourish05.snd','player_music/sound/song01_khorn_flourish06.snd','player_music/sound/song01_khorn_flourish07.snd','player_music/sound/song01_khorn_flourish08.snd','player_music/sound/song01_khorn_intro.snd','player_music/sound/song01_khorn_outro.snd',14),
 ('rock',10,'startMusic+rock','mandoviol','',0,40,5,866729052,0,9,8,4,'healing_music_ability',20,'player_music/sound/song01_mand_main.snd','player_music/sound/song01_mand_flourish01.snd','player_music/sound/song01_mand_flourish02.snd','player_music/sound/song01_mand_flourish03.snd','player_music/sound/song01_mand_flourish04.snd','player_music/sound/song01_mand_flourish05.snd','player_music/sound/song01_mand_flourish06.snd','player_music/sound/song01_mand_flourish07.snd','player_music/sound/song01_mand_flourish08.snd','player_music/sound/song01_mand_intro.snd','player_music/sound/song01_mand_outro.snd',15),
 ('rock',1,'startMusic+rock','traz','',0,40,5,866729052,0,9,10,5,'healing_music_ability',20,'player_music/sound/song01_shorn_main.snd','player_music/sound/song01_shorn_flourish01.snd','player_music/sound/song01_shorn_flourish02.snd','player_music/sound/song01_shorn_flourish03.snd','player_music/sound/song01_shorn_flourish04.snd','player_music/sound/song01_shorn_flourish05.snd','player_music/sound/song01_shorn_flourish06.snd','player_music/sound/song01_shorn_flourish07.snd','player_music/sound/song01_shorn_flourish08.snd','player_music/sound/song01_shorn_intro.snd','player_music/sound/song01_shorn_outro.snd',16),
 ('rock',7,'startMusic+rock','bandfill','',0,44,5,866729052,0,13,10,5,'healing_music_ability',20,'player_music/sound/song01_drum_main.snd','player_music/sound/song01_drum_flourish01.snd','player_music/sound/song01_drum_flourish02.snd','player_music/sound/song01_drum_flourish03.snd','player_music/sound/song01_drum_flourish04.snd','player_music/sound/song01_drum_flourish05.snd','player_music/sound/song01_drum_flourish06.snd','player_music/sound/song01_drum_flourish07.snd','player_music/sound/song01_drum_flourish08.snd','player_music/sound/song01_drum_intro.snd','player_music/sound/song01_drum_outro.snd',17),
 ('rock',4,'startMusic+rock','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',15,'player_music/sound/song01_khorn_main.snd','player_music/sound/song01_khorn_flourish01.snd','player_music/sound/song01_khorn_flourish02.snd','player_music/sound/song01_khorn_flourish03.snd','player_music/sound/song01_khorn_flourish04.snd','player_music/sound/song01_khorn_flourish05.snd','player_music/sound/song01_khorn_flourish06.snd','player_music/sound/song01_khorn_flourish07.snd','player_music/sound/song01_khorn_flourish08.snd','player_music/sound/song01_khorn_intro.snd','player_music/sound/song01_khorn_outro.snd',18),
 ('rock',8,'startMusic+rock','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',15,'player_music/sound/song01_drum_main.snd','player_music/sound/song01_drum_flourish01.snd','player_music/sound/song01_drum_flourish02.snd','player_music/sound/song01_drum_flourish03.snd','player_music/sound/song01_drum_flourish04.snd','player_music/sound/song01_drum_flourish05.snd','player_music/sound/song01_drum_flourish06.snd','player_music/sound/song01_drum_flourish07.snd','player_music/sound/song01_drum_flourish08.snd','player_music/sound/song01_drum_intro.snd','player_music/sound/song01_drum_outro.snd',19),
 ('rock',9,'startMusic+rock','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',25,'player_music/sound/song01_nlrg_main.snd','player_music/sound/song01_nlrg_flourish01.snd','player_music/sound/song01_nlrg_flourish02.snd','player_music/sound/song01_nlrg_flourish03.snd','player_music/sound/song01_nlrg_flourish04.snd','player_music/sound/song01_nlrg_flourish05.snd','player_music/sound/song01_nlrg_flourish06.snd','player_music/sound/song01_nlrg_flourish07.snd','player_music/sound/song01_nlrg_flourish08.snd','player_music/sound/song01_nlrg_intro.snd','player_music/sound/song01_nlrg_outro.snd',20),
 ('starwars2',2,'startMusic+starwars2','slitherhorn','',0,32,5,866729052,0,4,6,3,'healing_music_ability',20,'player_music/sound/song05_shorn_main.snd','player_music/sound/song05_shorn_flourish01.snd','player_music/sound/song05_shorn_flourish02.snd','player_music/sound/song05_shorn_flourish03.snd','player_music/sound/song05_shorn_flourish04.snd','player_music/sound/song05_shorn_flourish05.snd','player_music/sound/song05_shorn_flourish06.snd','player_music/sound/song05_shorn_flourish07.snd','player_music/sound/song05_shorn_flourish08.snd','player_music/sound/song05_shorn_intro.snd','player_music/sound/song05_shorn_outro.snd',21),
 ('starwars2',6,'startMusic+starwars2','fizz','',0,32,5,866729052,0,4,6,3,'healing_music_ability',20,'player_music/sound/song05_khorn_main.snd','player_music/sound/song05_khorn_flourish01.snd','player_music/sound/song05_khorn_flourish02.snd','player_music/sound/song05_khorn_flourish03.snd','player_music/sound/song05_khorn_flourish04.snd','player_music/sound/song05_khorn_flourish05.snd','player_music/sound/song05_khorn_flourish06.snd','player_music/sound/song05_khorn_flourish07.snd','player_music/sound/song05_khorn_flourish08.snd','player_music/sound/song05_khorn_intro.snd','player_music/sound/song05_khorn_outro.snd',22),
 ('starwars2',3,'startMusic+starwars2','fanfar','',0,36,5,866729052,0,6,6,3,'healing_music_ability',25,'player_music/sound/song05_shorn_main.snd','player_music/sound/song05_shorn_flourish01.snd','player_music/sound/song05_shorn_flourish02.snd','player_music/sound/song05_shorn_flourish03.snd','player_music/sound/song05_shorn_flourish04.snd','player_music/sound/song05_shorn_flourish05.snd','player_music/sound/song05_shorn_flourish06.snd','player_music/sound/song05_shorn_flourish07.snd','player_music/sound/song05_shorn_flourish08.snd','player_music/sound/song05_shorn_intro.snd','player_music/sound/song05_shorn_outro.snd',23),
 ('starwars2',5,'startMusic+starwars2','kloohorn','',0,36,5,866729052,0,7,8,4,'healing_music_ability',25,'player_music/sound/song05_khorn_main.snd','player_music/sound/song05_khorn_flourish01.snd','player_music/sound/song05_khorn_flourish02.snd','player_music/sound/song05_khorn_flourish03.snd','player_music/sound/song05_khorn_flourish04.snd','player_music/sound/song05_khorn_flourish05.snd','player_music/sound/song05_khorn_flourish06.snd','player_music/sound/song05_khorn_flourish07.snd','player_music/sound/song05_khorn_flourish08.snd','player_music/sound/song05_khorn_intro.snd','player_music/sound/song05_khorn_outro.snd',24),
 ('starwars2',10,'startMusic+starwars2','mandoviol','',0,40,5,866729052,0,9,8,4,'healing_music_ability',30,'player_music/sound/song05_mand_main.snd','player_music/sound/song05_mand_flourish01.snd','player_music/sound/song05_mand_flourish02.snd','player_music/sound/song05_mand_flourish03.snd','player_music/sound/song05_mand_flourish04.snd','player_music/sound/song05_mand_flourish05.snd','player_music/sound/song05_mand_flourish06.snd','player_music/sound/song05_mand_flourish07.snd','player_music/sound/song05_mand_flourish08.snd','player_music/sound/song05_mand_intro.snd','player_music/sound/song05_mand_outro.snd',25),
 ('starwars2',1,'startMusic+starwars2','traz','',0,40,5,866729052,0,9,10,5,'healing_music_ability',30,'player_music/sound/song05_shorn_main.snd','player_music/sound/song05_shorn_flourish01.snd','player_music/sound/song05_shorn_flourish02.snd','player_music/sound/song05_shorn_flourish03.snd','player_music/sound/song05_shorn_flourish04.snd','player_music/sound/song05_shorn_flourish05.snd','player_music/sound/song05_shorn_flourish06.snd','player_music/sound/song05_shorn_flourish07.snd','player_music/sound/song05_shorn_flourish08.snd','player_music/sound/song05_shorn_intro.snd','player_music/sound/song05_shorn_outro.snd',26),
 ('starwars2',7,'startMusic+starwars2','bandfill','',0,44,5,866729052,0,13,10,5,'healing_music_ability',30,'player_music/sound/song05_drum_main.snd','player_music/sound/song05_drum_flourish01.snd','player_music/sound/song05_drum_flourish02.snd','player_music/sound/song05_drum_flourish03.snd','player_music/sound/song05_drum_flourish04.snd','player_music/sound/song05_drum_flourish05.snd','player_music/sound/song05_drum_flourish06.snd','player_music/sound/song05_drum_flourish07.snd','player_music/sound/song05_drum_flourish08.snd','player_music/sound/song05_drum_intro.snd','player_music/sound/song05_drum_outro.snd',27),
 ('starwars2',4,'startMusic+starwars2','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',25,'player_music/sound/song05_khorn_main.snd','player_music/sound/song05_khorn_flourish01.snd','player_music/sound/song05_khorn_flourish02.snd','player_music/sound/song05_khorn_flourish03.snd','player_music/sound/song05_khorn_flourish04.snd','player_music/sound/song05_khorn_flourish05.snd','player_music/sound/song05_khorn_flourish06.snd','player_music/sound/song05_khorn_flourish07.snd','player_music/sound/song05_khorn_flourish08.snd','player_music/sound/song05_khorn_intro.snd','player_music/sound/song05_khorn_outro.snd',28),
 ('starwars2',8,'startMusic+starwars2','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',25,'player_music/sound/song05_drum_main.snd','player_music/sound/song05_drum_flourish01.snd','player_music/sound/song05_drum_flourish02.snd','player_music/sound/song05_drum_flourish03.snd','player_music/sound/song05_drum_flourish04.snd','player_music/sound/song05_drum_flourish05.snd','player_music/sound/song05_drum_flourish06.snd','player_music/sound/song05_drum_flourish07.snd','player_music/sound/song05_drum_flourish08.snd','player_music/sound/song05_drum_intro.snd','player_music/sound/song05_drum_outro.snd',29),
 ('starwars2',9,'startMusic+starwars2','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',35,'player_music/sound/song05_nlrg_main.snd','player_music/sound/song05_nlrg_flourish01.snd','player_music/sound/song05_nlrg_flourish02.snd','player_music/sound/song05_nlrg_flourish03.snd','player_music/sound/song05_nlrg_flourish04.snd','player_music/sound/song05_nlrg_flourish05.snd','player_music/sound/song05_nlrg_flourish06.snd','player_music/sound/song05_nlrg_flourish07.snd','player_music/sound/song05_nlrg_flourish08.snd','player_music/sound/song05_nlrg_intro.snd','player_music/sound/song05_nlrg_outro.snd',30),
 ('folk',2,'startMusic+folk','slitherhorn','',0,36,5,866729052,0,6,6,3,'healing_music_ability',30,'player_music/sound/song07_shorn_main.snd','player_music/sound/song07_shorn_flourish01.snd','player_music/sound/song07_shorn_flourish02.snd','player_music/sound/song07_shorn_flourish03.snd','player_music/sound/song07_shorn_flourish04.snd','player_music/sound/song07_shorn_flourish05.snd','player_music/sound/song07_shorn_flourish06.snd','player_music/sound/song07_shorn_flourish07.snd','player_music/sound/song07_shorn_flourish08.snd','player_music/sound/song07_shorn_intro.snd','player_music/sound/song07_shorn_outro.snd',31),
 ('folk',6,'startMusic+folk','fizz','',0,36,5,866729052,0,6,6,3,'healing_music_ability',30,'player_music/sound/song07_khorn_main.snd','player_music/sound/song07_khorn_flourish01.snd','player_music/sound/song07_khorn_flourish02.snd','player_music/sound/song07_khorn_flourish03.snd','player_music/sound/song07_khorn_flourish04.snd','player_music/sound/song07_khorn_flourish05.snd','player_music/sound/song07_khorn_flourish06.snd','player_music/sound/song07_khorn_flourish07.snd','player_music/sound/song07_khorn_flourish08.snd','player_music/sound/song07_khorn_intro.snd','player_music/sound/song07_khorn_outro.snd',32),
 ('folk',3,'startMusic+folk','fanfar','',0,36,5,866729052,0,6,6,3,'healing_music_ability',35,'player_music/sound/song07_shorn_main.snd','player_music/sound/song07_shorn_flourish01.snd','player_music/sound/song07_shorn_flourish02.snd','player_music/sound/song07_shorn_flourish03.snd','player_music/sound/song07_shorn_flourish04.snd','player_music/sound/song07_shorn_flourish05.snd','player_music/sound/song07_shorn_flourish06.snd','player_music/sound/song07_shorn_flourish07.snd','player_music/sound/song07_shorn_flourish08.snd','player_music/sound/song07_shorn_intro.snd','player_music/sound/song07_shorn_outro.snd',33),
 ('folk',5,'startMusic+folk','kloohorn','',0,36,5,866729052,0,7,8,4,'healing_music_ability',35,'player_music/sound/song07_khorn_main.snd','player_music/sound/song07_khorn_flourish01.snd','player_music/sound/song07_khorn_flourish02.snd','player_music/sound/song07_khorn_flourish03.snd','player_music/sound/song07_khorn_flourish04.snd','player_music/sound/song07_khorn_flourish05.snd','player_music/sound/song07_khorn_flourish06.snd','player_music/sound/song07_khorn_flourish07.snd','player_music/sound/song07_khorn_flourish08.snd','player_music/sound/song07_khorn_intro.snd','player_music/sound/song07_khorn_outro.snd',34),
 ('folk',10,'startMusic+folk','mandoviol','',0,40,5,866729052,0,9,8,4,'healing_music_ability',35,'player_music/sound/song07_mand_main.snd','player_music/sound/song07_mand_flourish01.snd','player_music/sound/song07_mand_flourish02.snd','player_music/sound/song07_mand_flourish03.snd','player_music/sound/song07_mand_flourish04.snd','player_music/sound/song07_mand_flourish05.snd','player_music/sound/song07_mand_flourish06.snd','player_music/sound/song07_mand_flourish07.snd','player_music/sound/song07_mand_flourish08.snd','player_music/sound/song07_mand_intro.snd','player_music/sound/song07_mand_outro.snd',35),
 ('folk',1,'startMusic+folk','traz','',0,40,5,866729052,0,9,10,5,'healing_music_ability',40,'player_music/sound/song07_shorn_main.snd','player_music/sound/song07_shorn_flourish01.snd','player_music/sound/song07_shorn_flourish02.snd','player_music/sound/song07_shorn_flourish03.snd','player_music/sound/song07_shorn_flourish04.snd','player_music/sound/song07_shorn_flourish05.snd','player_music/sound/song07_shorn_flourish06.snd','player_music/sound/song07_shorn_flourish07.snd','player_music/sound/song07_shorn_flourish08.snd','player_music/sound/song07_shorn_intro.snd','player_music/sound/song07_shorn_outro.snd',36),
 ('folk',7,'startMusic+folk','bandfill','',0,44,5,866729052,0,13,10,5,'healing_music_ability',40,'player_music/sound/song07_drum_main.snd','player_music/sound/song07_drum_flourish01.snd','player_music/sound/song07_drum_flourish02.snd','player_music/sound/song07_drum_flourish03.snd','player_music/sound/song07_drum_flourish04.snd','player_music/sound/song07_drum_flourish05.snd','player_music/sound/song07_drum_flourish06.snd','player_music/sound/song07_drum_flourish07.snd','player_music/sound/song07_drum_flourish08.snd','player_music/sound/song07_drum_intro.snd','player_music/sound/song07_drum_outro.snd',37),
 ('folk',4,'startMusic+folk','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',35,'player_music/sound/song07_khorn_main.snd','player_music/sound/song07_khorn_flourish01.snd','player_music/sound/song07_khorn_flourish02.snd','player_music/sound/song07_khorn_flourish03.snd','player_music/sound/song07_khorn_flourish04.snd','player_music/sound/song07_khorn_flourish05.snd','player_music/sound/song07_khorn_flourish06.snd','player_music/sound/song07_khorn_flourish07.snd','player_music/sound/song07_khorn_flourish08.snd','player_music/sound/song07_khorn_intro.snd','player_music/sound/song07_khorn_outro.snd',38),
 ('folk',8,'startMusic+folk','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',35,'player_music/sound/song07_drum_main.snd','player_music/sound/song07_drum_flourish01.snd','player_music/sound/song07_drum_flourish02.snd','player_music/sound/song07_drum_flourish03.snd','player_music/sound/song07_drum_flourish04.snd','player_music/sound/song07_drum_flourish05.snd','player_music/sound/song07_drum_flourish06.snd','player_music/sound/song07_drum_flourish07.snd','player_music/sound/song07_drum_flourish08.snd','player_music/sound/song07_drum_intro.snd','player_music/sound/song07_drum_outro.snd',39),
 ('folk',9,'startMusic+folk','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',45,'player_music/sound/song07_nlrg_main.snd','player_music/sound/song07_nlrg_flourish01.snd','player_music/sound/song07_nlrg_flourish02.snd','player_music/sound/song07_nlrg_flourish03.snd','player_music/sound/song07_nlrg_flourish04.snd','player_music/sound/song07_nlrg_flourish05.snd','player_music/sound/song07_nlrg_flourish06.snd','player_music/sound/song07_nlrg_flourish07.snd','player_music/sound/song07_nlrg_flourish08.snd','player_music/sound/song07_nlrg_intro.snd','player_music/sound/song07_nlrg_outro.snd',40),
 ('starwars3',2,'startMusic+starwars3','slitherhorn','',0,36,5,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song06_shorn_main.snd','player_music/sound/song06_shorn_flourish01.snd','player_music/sound/song06_shorn_flourish02.snd','player_music/sound/song06_shorn_flourish03.snd','player_music/sound/song06_shorn_flourish04.snd','player_music/sound/song06_shorn_flourish05.snd','player_music/sound/song06_shorn_flourish06.snd','player_music/sound/song06_shorn_flourish07.snd','player_music/sound/song06_shorn_flourish08.snd','player_music/sound/song06_shorn_intro.snd','player_music/sound/song06_shorn_outro.snd',41),
 ('starwars3',6,'startMusic+starwars3','fizz','',0,36,5,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song06_khorn_main.snd','player_music/sound/song06_khorn_flourish01.snd','player_music/sound/song06_khorn_flourish02.snd','player_music/sound/song06_khorn_flourish03.snd','player_music/sound/song06_khorn_flourish04.snd','player_music/sound/song06_khorn_flourish05.snd','player_music/sound/song06_khorn_flourish06.snd','player_music/sound/song06_khorn_flourish07.snd','player_music/sound/song06_khorn_flourish08.snd','player_music/sound/song06_khorn_intro.snd','player_music/sound/song06_khorn_outro.snd',42),
 ('starwars3',3,'startMusic+starwars3','fanfar','',0,36,5,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song06_shorn_main.snd','player_music/sound/song06_shorn_flourish01.snd','player_music/sound/song06_shorn_flourish02.snd','player_music/sound/song06_shorn_flourish03.snd','player_music/sound/song06_shorn_flourish04.snd','player_music/sound/song06_shorn_flourish05.snd','player_music/sound/song06_shorn_flourish06.snd','player_music/sound/song06_shorn_flourish07.snd','player_music/sound/song06_shorn_flourish08.snd','player_music/sound/song06_shorn_intro.snd','player_music/sound/song06_shorn_outro.snd',43),
 ('starwars3',5,'startMusic+starwars3','kloohorn','',0,36,5,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song06_khorn_main.snd','player_music/sound/song06_khorn_flourish01.snd','player_music/sound/song06_khorn_flourish02.snd','player_music/sound/song06_khorn_flourish03.snd','player_music/sound/song06_khorn_flourish04.snd','player_music/sound/song06_khorn_flourish05.snd','player_music/sound/song06_khorn_flourish06.snd','player_music/sound/song06_khorn_flourish07.snd','player_music/sound/song06_khorn_flourish08.snd','player_music/sound/song06_khorn_intro.snd','player_music/sound/song06_khorn_outro.snd',44),
 ('starwars3',10,'startMusic+starwars3','mandoviol','',0,40,5,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song06_mand_main.snd','player_music/sound/song06_mand_flourish01.snd','player_music/sound/song06_mand_flourish02.snd','player_music/sound/song06_mand_flourish03.snd','player_music/sound/song06_mand_flourish04.snd','player_music/sound/song06_mand_flourish05.snd','player_music/sound/song06_mand_flourish06.snd','player_music/sound/song06_mand_flourish07.snd','player_music/sound/song06_mand_flourish08.snd','player_music/sound/song06_mand_intro.snd','player_music/sound/song06_mand_outro.snd',45),
 ('starwars3',1,'startMusic+starwars3','traz','',0,40,5,866729052,0,9,10,5,'healing_music_ability',50,'player_music/sound/song06_shorn_main.snd','player_music/sound/song06_shorn_flourish01.snd','player_music/sound/song06_shorn_flourish02.snd','player_music/sound/song06_shorn_flourish03.snd','player_music/sound/song06_shorn_flourish04.snd','player_music/sound/song06_shorn_flourish05.snd','player_music/sound/song06_shorn_flourish06.snd','player_music/sound/song06_shorn_flourish07.snd','player_music/sound/song06_shorn_flourish08.snd','player_music/sound/song06_shorn_intro.snd','player_music/sound/song06_shorn_outro.snd',46),
 ('starwars3',7,'startMusic+starwars3','bandfill','',0,44,5,866729052,0,13,10,5,'healing_music_ability',50,'player_music/sound/song06_drum_main.snd','player_music/sound/song06_drum_flourish01.snd','player_music/sound/song06_drum_flourish02.snd','player_music/sound/song06_drum_flourish03.snd','player_music/sound/song06_drum_flourish04.snd','player_music/sound/song06_drum_flourish05.snd','player_music/sound/song06_drum_flourish06.snd','player_music/sound/song06_drum_flourish07.snd','player_music/sound/song06_drum_flourish08.snd','player_music/sound/song06_drum_intro.snd','player_music/sound/song06_drum_outro.snd',47),
 ('starwars3',4,'startMusic+starwars3','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',45,'player_music/sound/song06_khorn_main.snd','player_music/sound/song06_khorn_flourish01.snd','player_music/sound/song06_khorn_flourish02.snd','player_music/sound/song06_khorn_flourish03.snd','player_music/sound/song06_khorn_flourish04.snd','player_music/sound/song06_khorn_flourish05.snd','player_music/sound/song06_khorn_flourish06.snd','player_music/sound/song06_khorn_flourish07.snd','player_music/sound/song06_khorn_flourish08.snd','player_music/sound/song06_khorn_intro.snd','player_music/sound/song06_khorn_outro.snd',48),
 ('starwars3',8,'startMusic+starwars3','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',45,'player_music/sound/song06_drum_main.snd','player_music/sound/song06_drum_flourish01.snd','player_music/sound/song06_drum_flourish02.snd','player_music/sound/song06_drum_flourish03.snd','player_music/sound/song06_drum_flourish04.snd','player_music/sound/song06_drum_flourish05.snd','player_music/sound/song06_drum_flourish06.snd','player_music/sound/song06_drum_flourish07.snd','player_music/sound/song06_drum_flourish08.snd','player_music/sound/song06_drum_intro.snd','player_music/sound/song06_drum_outro.snd',49),
 ('starwars3',9,'startMusic+starwars3','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',55,'player_music/sound/song06_nlrg_main.snd','player_music/sound/song06_nlrg_flourish01.snd','player_music/sound/song06_nlrg_flourish02.snd','player_music/sound/song06_nlrg_flourish03.snd','player_music/sound/song06_nlrg_flourish04.snd','player_music/sound/song06_nlrg_flourish05.snd','player_music/sound/song06_nlrg_flourish06.snd','player_music/sound/song06_nlrg_flourish07.snd','player_music/sound/song06_nlrg_flourish08.snd','player_music/sound/song06_nlrg_intro.snd','player_music/sound/song06_nlrg_outro.snd',50),
 ('ceremonial',2,'startMusic+ceremonial','slitherhorn','',0,40,5,866729052,0,9,8,4,'healing_music_ability',45,'player_music/sound/song09_shorn_main.snd','player_music/sound/song09_shorn_flourish01.snd','player_music/sound/song09_shorn_flourish02.snd','player_music/sound/song09_shorn_flourish03.snd','player_music/sound/song09_shorn_flourish04.snd','player_music/sound/song09_shorn_flourish05.snd','player_music/sound/song09_shorn_flourish06.snd','player_music/sound/song09_shorn_flourish07.snd','player_music/sound/song09_shorn_flourish08.snd','player_music/sound/song09_shorn_intro.snd','player_music/sound/song09_shorn_outro.snd',51),
 ('ceremonial',6,'startMusic+ceremonial','fizz','',0,40,5,866729052,0,9,8,4,'healing_music_ability',45,'player_music/sound/song09_khorn_main.snd','player_music/sound/song09_khorn_flourish01.snd','player_music/sound/song09_khorn_flourish02.snd','player_music/sound/song09_khorn_flourish03.snd','player_music/sound/song09_khorn_flourish04.snd','player_music/sound/song09_khorn_flourish05.snd','player_music/sound/song09_khorn_flourish06.snd','player_music/sound/song09_khorn_flourish07.snd','player_music/sound/song09_khorn_flourish08.snd','player_music/sound/song09_khorn_intro.snd','player_music/sound/song09_khorn_outro.snd',52),
 ('ceremonial',3,'startMusic+ceremonial','fanfar','',0,40,5,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song09_shorn_main.snd','player_music/sound/song09_shorn_flourish01.snd','player_music/sound/song09_shorn_flourish02.snd','player_music/sound/song09_shorn_flourish03.snd','player_music/sound/song09_shorn_flourish04.snd','player_music/sound/song09_shorn_flourish05.snd','player_music/sound/song09_shorn_flourish06.snd','player_music/sound/song09_shorn_flourish07.snd','player_music/sound/song09_shorn_flourish08.snd','player_music/sound/song09_shorn_intro.snd','player_music/sound/song09_shorn_outro.snd',53),
 ('ceremonial',5,'startMusic+ceremonial','kloohorn','',0,40,5,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song09_khorn_main.snd','player_music/sound/song09_khorn_flourish01.snd','player_music/sound/song09_khorn_flourish02.snd','player_music/sound/song09_khorn_flourish03.snd','player_music/sound/song09_khorn_flourish04.snd','player_music/sound/song09_khorn_flourish05.snd','player_music/sound/song09_khorn_flourish06.snd','player_music/sound/song09_khorn_flourish07.snd','player_music/sound/song09_khorn_flourish08.snd','player_music/sound/song09_khorn_intro.snd','player_music/sound/song09_khorn_outro.snd',54),
 ('ceremonial',10,'startMusic+ceremonial','mandoviol','',0,40,5,866729052,0,9,8,4,'healing_music_ability',55,'player_music/sound/song09_mand_main.snd','player_music/sound/song09_mand_flourish01.snd','player_music/sound/song09_mand_flourish02.snd','player_music/sound/song09_mand_flourish03.snd','player_music/sound/song09_mand_flourish04.snd','player_music/sound/song09_mand_flourish05.snd','player_music/sound/song09_mand_flourish06.snd','player_music/sound/song09_mand_flourish07.snd','player_music/sound/song09_mand_flourish08.snd','player_music/sound/song09_mand_intro.snd','player_music/sound/song09_mand_outro.snd',55),
 ('ceremonial',1,'startMusic+ceremonial','traz','',0,40,5,866729052,0,9,10,5,'healing_music_ability',55,'player_music/sound/song09_shorn_main.snd','player_music/sound/song09_shorn_flourish01.snd','player_music/sound/song09_shorn_flourish02.snd','player_music/sound/song09_shorn_flourish03.snd','player_music/sound/song09_shorn_flourish04.snd','player_music/sound/song09_shorn_flourish05.snd','player_music/sound/song09_shorn_flourish06.snd','player_music/sound/song09_shorn_flourish07.snd','player_music/sound/song09_shorn_flourish08.snd','player_music/sound/song09_shorn_intro.snd','player_music/sound/song09_shorn_outro.snd',56),
 ('ceremonial',7,'startMusic+ceremonial','bandfill','',0,44,5,866729052,0,13,10,5,'healing_music_ability',55,'player_music/sound/song09_drum_main.snd','player_music/sound/song09_drum_flourish01.snd','player_music/sound/song09_drum_flourish02.snd','player_music/sound/song09_drum_flourish03.snd','player_music/sound/song09_drum_flourish04.snd','player_music/sound/song09_drum_flourish05.snd','player_music/sound/song09_drum_flourish06.snd','player_music/sound/song09_drum_flourish07.snd','player_music/sound/song09_drum_flourish08.snd','player_music/sound/song09_drum_intro.snd','player_music/sound/song09_drum_outro.snd',57),
 ('ceremonial',4,'startMusic+ceremonial','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',50,'player_music/sound/song09_khorn_main.snd','player_music/sound/song09_khorn_flourish01.snd','player_music/sound/song09_khorn_flourish02.snd','player_music/sound/song09_khorn_flourish03.snd','player_music/sound/song09_khorn_flourish04.snd','player_music/sound/song09_khorn_flourish05.snd','player_music/sound/song09_khorn_flourish06.snd','player_music/sound/song09_khorn_flourish07.snd','player_music/sound/song09_khorn_flourish08.snd','player_music/sound/song09_khorn_intro.snd','player_music/sound/song09_khorn_outro.snd',58),
 ('ceremonial',8,'startMusic+ceremonial','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',50,'player_music/sound/song09_drum_main.snd','player_music/sound/song09_drum_flourish01.snd','player_music/sound/song09_drum_flourish02.snd','player_music/sound/song09_drum_flourish03.snd','player_music/sound/song09_drum_flourish04.snd','player_music/sound/song09_drum_flourish05.snd','player_music/sound/song09_drum_flourish06.snd','player_music/sound/song09_drum_flourish07.snd','player_music/sound/song09_drum_flourish08.snd','player_music/sound/song09_drum_intro.snd','player_music/sound/song09_drum_outro.snd',59),
 ('ceremonial',9,'startMusic+ceremonial','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',60,'player_music/sound/song09_nlrg_main.snd','player_music/sound/song09_nlrg_flourish01.snd','player_music/sound/song09_nlrg_flourish02.snd','player_music/sound/song09_nlrg_flourish03.snd','player_music/sound/song09_nlrg_flourish04.snd','player_music/sound/song09_nlrg_flourish05.snd','player_music/sound/song09_nlrg_flourish06.snd','player_music/sound/song09_nlrg_flourish07.snd','player_music/sound/song09_nlrg_flourish08.snd','player_music/sound/song09_nlrg_intro.snd','player_music/sound/song09_nlrg_outro.snd',60),
 ('ballad',2,'startMusic+ballad','slitherhorn','',0,40,5,866729052,0,11,10,5,'healing_music_ability',60,'player_music/sound/song08_shorn_main.snd','player_music/sound/song08_shorn_flourish01.snd','player_music/sound/song08_shorn_flourish02.snd','player_music/sound/song08_shorn_flourish03.snd','player_music/sound/song08_shorn_flourish04.snd','player_music/sound/song08_shorn_flourish05.snd','player_music/sound/song08_shorn_flourish06.snd','player_music/sound/song08_shorn_flourish07.snd','player_music/sound/song08_shorn_flourish08.snd','player_music/sound/song08_shorn_intro.snd','player_music/sound/song08_shorn_outro.snd',61),
 ('ballad',6,'startMusic+ballad','fizz','',0,40,5,866729052,0,11,10,5,'healing_music_ability',60,'player_music/sound/song08_khorn_main.snd','player_music/sound/song08_khorn_flourish01.snd','player_music/sound/song08_khorn_flourish02.snd','player_music/sound/song08_khorn_flourish03.snd','player_music/sound/song08_khorn_flourish04.snd','player_music/sound/song08_khorn_flourish05.snd','player_music/sound/song08_khorn_flourish06.snd','player_music/sound/song08_khorn_flourish07.snd','player_music/sound/song08_khorn_flourish08.snd','player_music/sound/song08_khorn_intro.snd','player_music/sound/song08_khorn_outro.snd',62),
 ('ballad',3,'startMusic+ballad','fanfar','',0,40,5,866729052,0,11,10,5,'healing_music_ability',65,'player_music/sound/song08_shorn_main.snd','player_music/sound/song08_shorn_flourish01.snd','player_music/sound/song08_shorn_flourish02.snd','player_music/sound/song08_shorn_flourish03.snd','player_music/sound/song08_shorn_flourish04.snd','player_music/sound/song08_shorn_flourish05.snd','player_music/sound/song08_shorn_flourish06.snd','player_music/sound/song08_shorn_flourish07.snd','player_music/sound/song08_shorn_flourish08.snd','player_music/sound/song08_shorn_intro.snd','player_music/sound/song08_shorn_outro.snd',63),
 ('ballad',5,'startMusic+ballad','kloohorn','',0,40,5,866729052,0,11,10,5,'healing_music_ability',65,'player_music/sound/song08_khorn_main.snd','player_music/sound/song08_khorn_flourish01.snd','player_music/sound/song08_khorn_flourish02.snd','player_music/sound/song08_khorn_flourish03.snd','player_music/sound/song08_khorn_flourish04.snd','player_music/sound/song08_khorn_flourish05.snd','player_music/sound/song08_khorn_flourish06.snd','player_music/sound/song08_khorn_flourish07.snd','player_music/sound/song08_khorn_flourish08.snd','player_music/sound/song08_khorn_intro.snd','player_music/sound/song08_khorn_outro.snd',64),
 ('ballad',10,'startMusic+ballad','mandoviol','',0,40,5,866729052,0,11,10,5,'healing_music_ability',70,'player_music/sound/song08_mand_main.snd','player_music/sound/song08_mand_flourish01.snd','player_music/sound/song08_mand_flourish02.snd','player_music/sound/song08_mand_flourish03.snd','player_music/sound/song08_mand_flourish04.snd','player_music/sound/song08_mand_flourish05.snd','player_music/sound/song08_mand_flourish06.snd','player_music/sound/song08_mand_flourish07.snd','player_music/sound/song08_mand_flourish08.snd','player_music/sound/song08_mand_intro.snd','player_music/sound/song08_mand_outro.snd',65),
 ('ballad',1,'startMusic+ballad','traz','',0,40,5,866729052,0,11,10,5,'healing_music_ability',70,'player_music/sound/song08_shorn_main.snd','player_music/sound/song08_shorn_flourish01.snd','player_music/sound/song08_shorn_flourish02.snd','player_music/sound/song08_shorn_flourish03.snd','player_music/sound/song08_shorn_flourish04.snd','player_music/sound/song08_shorn_flourish05.snd','player_music/sound/song08_shorn_flourish06.snd','player_music/sound/song08_shorn_flourish07.snd','player_music/sound/song08_shorn_flourish08.snd','player_music/sound/song08_shorn_intro.snd','player_music/sound/song08_shorn_outro.snd',66),
 ('ballad',7,'startMusic+ballad','bandfill','',0,44,5,866729052,0,13,10,5,'healing_music_ability',70,'player_music/sound/song08_drum_main.snd','player_music/sound/song08_drum_flourish01.snd','player_music/sound/song08_drum_flourish02.snd','player_music/sound/song08_drum_flourish03.snd','player_music/sound/song08_drum_flourish04.snd','player_music/sound/song08_drum_flourish05.snd','player_music/sound/song08_drum_flourish06.snd','player_music/sound/song08_drum_flourish07.snd','player_music/sound/song08_drum_flourish08.snd','player_music/sound/song08_drum_intro.snd','player_music/sound/song08_drum_outro.snd',67),
 ('ballad',4,'startMusic+ballad','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',65,'player_music/sound/song08_khorn_main.snd','player_music/sound/song08_khorn_flourish01.snd','player_music/sound/song08_khorn_flourish02.snd','player_music/sound/song08_khorn_flourish03.snd','player_music/sound/song08_khorn_flourish04.snd','player_music/sound/song08_khorn_flourish05.snd','player_music/sound/song08_khorn_flourish06.snd','player_music/sound/song08_khorn_flourish07.snd','player_music/sound/song08_khorn_flourish08.snd','player_music/sound/song08_khorn_intro.snd','player_music/sound/song08_khorn_outro.snd',68),
 ('ballad',8,'startMusic+ballad','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',65,'player_music/sound/song08_drum_main.snd','player_music/sound/song08_drum_flourish01.snd','player_music/sound/song08_drum_flourish02.snd','player_music/sound/song08_drum_flourish03.snd','player_music/sound/song08_drum_flourish04.snd','player_music/sound/song08_drum_flourish05.snd','player_music/sound/song08_drum_flourish06.snd','player_music/sound/song08_drum_flourish07.snd','player_music/sound/song08_drum_flourish08.snd','player_music/sound/song08_drum_intro.snd','player_music/sound/song08_drum_outro.snd',69),
 ('ballad',9,'startMusic+ballad','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',75,'player_music/sound/song08_nlrg_main.snd','player_music/sound/song08_nlrg_flourish01.snd','player_music/sound/song08_nlrg_flourish02.snd','player_music/sound/song08_nlrg_flourish03.snd','player_music/sound/song08_nlrg_flourish04.snd','player_music/sound/song08_nlrg_flourish05.snd','player_music/sound/song08_nlrg_flourish06.snd','player_music/sound/song08_nlrg_flourish07.snd','player_music/sound/song08_nlrg_flourish08.snd','player_music/sound/song08_nlrg_intro.snd','player_music/sound/song08_nlrg_outro.snd',70),
 ('waltz',2,'startMusic+waltz','slitherhorn','',0,44,5,866729052,0,15,12,6,'healing_music_ability',70,'player_music/sound/song10_shorn_main.snd','player_music/sound/song10_shorn_flourish01.snd','player_music/sound/song10_shorn_flourish02.snd','player_music/sound/song10_shorn_flourish03.snd','player_music/sound/song10_shorn_flourish04.snd','player_music/sound/song10_shorn_flourish05.snd','player_music/sound/song10_shorn_flourish06.snd','player_music/sound/song10_shorn_flourish07.snd','player_music/sound/song10_shorn_flourish08.snd','player_music/sound/song10_shorn_intro.snd','player_music/sound/song10_shorn_outro.snd',71),
 ('waltz',6,'startMusic+waltz','fizz','',0,44,5,866729052,0,15,12,6,'healing_music_ability',70,'player_music/sound/song10_khorn_main.snd','player_music/sound/song10_khorn_flourish01.snd','player_music/sound/song10_khorn_flourish02.snd','player_music/sound/song10_khorn_flourish03.snd','player_music/sound/song10_khorn_flourish04.snd','player_music/sound/song10_khorn_flourish05.snd','player_music/sound/song10_khorn_flourish06.snd','player_music/sound/song10_khorn_flourish07.snd','player_music/sound/song10_khorn_flourish08.snd','player_music/sound/song10_khorn_intro.snd','player_music/sound/song10_khorn_outro.snd',72),
 ('waltz',3,'startMusic+waltz','fanfar','',0,44,5,866729052,0,15,12,6,'healing_music_ability',75,'player_music/sound/song10_shorn_main.snd','player_music/sound/song10_shorn_flourish01.snd','player_music/sound/song10_shorn_flourish02.snd','player_music/sound/song10_shorn_flourish03.snd','player_music/sound/song10_shorn_flourish04.snd','player_music/sound/song10_shorn_flourish05.snd','player_music/sound/song10_shorn_flourish06.snd','player_music/sound/song10_shorn_flourish07.snd','player_music/sound/song10_shorn_flourish08.snd','player_music/sound/song10_shorn_intro.snd','player_music/sound/song10_shorn_outro.snd',73),
 ('waltz',5,'startMusic+waltz','kloohorn','',0,44,5,866729052,0,15,12,6,'healing_music_ability',75,'player_music/sound/song10_khorn_main.snd','player_music/sound/song10_khorn_flourish01.snd','player_music/sound/song10_khorn_flourish02.snd','player_music/sound/song10_khorn_flourish03.snd','player_music/sound/song10_khorn_flourish04.snd','player_music/sound/song10_khorn_flourish05.snd','player_music/sound/song10_khorn_flourish06.snd','player_music/sound/song10_khorn_flourish07.snd','player_music/sound/song10_khorn_flourish08.snd','player_music/sound/song10_khorn_intro.snd','player_music/sound/song10_khorn_outro.snd',74),
 ('waltz',10,'startMusic+waltz','mandoviol','',0,44,5,866729052,0,15,12,6,'healing_music_ability',80,'player_music/sound/song10_mand_main.snd','player_music/sound/song10_mand_flourish01.snd','player_music/sound/song10_mand_flourish02.snd','player_music/sound/song10_mand_flourish03.snd','player_music/sound/song10_mand_flourish04.snd','player_music/sound/song10_mand_flourish05.snd','player_music/sound/song10_mand_flourish06.snd','player_music/sound/song10_mand_flourish07.snd','player_music/sound/song10_mand_flourish08.snd','player_music/sound/song10_mand_intro.snd','player_music/sound/song10_mand_outro.snd',75),
 ('waltz',1,'startMusic+waltz','traz','',0,44,5,866729052,0,15,12,6,'healing_music_ability',80,'player_music/sound/song10_shorn_main.snd','player_music/sound/song10_shorn_flourish01.snd','player_music/sound/song10_shorn_flourish02.snd','player_music/sound/song10_shorn_flourish03.snd','player_music/sound/song10_shorn_flourish04.snd','player_music/sound/song10_shorn_flourish05.snd','player_music/sound/song10_shorn_flourish06.snd','player_music/sound/song10_shorn_flourish07.snd','player_music/sound/song10_shorn_flourish08.snd','player_music/sound/song10_shorn_intro.snd','player_music/sound/song10_shorn_outro.snd',76),
 ('waltz',7,'startMusic+waltz','bandfill','',0,44,5,866729052,0,15,12,6,'healing_music_ability',80,'player_music/sound/song10_drum_main.snd','player_music/sound/song10_drum_flourish01.snd','player_music/sound/song10_drum_flourish02.snd','player_music/sound/song10_drum_flourish03.snd','player_music/sound/song10_drum_flourish04.snd','player_music/sound/song10_drum_flourish05.snd','player_music/sound/song10_drum_flourish06.snd','player_music/sound/song10_drum_flourish07.snd','player_music/sound/song10_drum_flourish08.snd','player_music/sound/song10_drum_intro.snd','player_music/sound/song10_drum_outro.snd',77),
 ('waltz',4,'startMusic+waltz','flutedroopy','',0,44,5,866729052,0,15,12,6,'healing_music_ability',75,'player_music/sound/song10_khorn_main.snd','player_music/sound/song10_khorn_flourish01.snd','player_music/sound/song10_khorn_flourish02.snd','player_music/sound/song10_khorn_flourish03.snd','player_music/sound/song10_khorn_flourish04.snd','player_music/sound/song10_khorn_flourish05.snd','player_music/sound/song10_khorn_flourish06.snd','player_music/sound/song10_khorn_flourish07.snd','player_music/sound/song10_khorn_flourish08.snd','player_music/sound/song10_khorn_intro.snd','player_music/sound/song10_khorn_outro.snd',78),
 ('waltz',8,'startMusic+waltz','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',75,'player_music/sound/song10_drum_main.snd','player_music/sound/song10_drum_flourish01.snd','player_music/sound/song10_drum_flourish02.snd','player_music/sound/song10_drum_flourish03.snd','player_music/sound/song10_drum_flourish04.snd','player_music/sound/song10_drum_flourish05.snd','player_music/sound/song10_drum_flourish06.snd','player_music/sound/song10_drum_flourish07.snd','player_music/sound/song10_drum_flourish08.snd','player_music/sound/song10_drum_intro.snd','player_music/sound/song10_drum_outro.snd',79),
 ('waltz',9,'startMusic+waltz','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',85,'player_music/sound/song10_nlrg_main.snd','player_music/sound/song10_nlrg_flourish01.snd','player_music/sound/song10_nlrg_flourish02.snd','player_music/sound/song10_nlrg_flourish03.snd','player_music/sound/song10_nlrg_flourish04.snd','player_music/sound/song10_nlrg_flourish05.snd','player_music/sound/song10_nlrg_flourish06.snd','player_music/sound/song10_nlrg_flourish07.snd','player_music/sound/song10_nlrg_flourish08.snd','player_music/sound/song10_nlrg_intro.snd','player_music/sound/song10_nlrg_outro.snd',80),
 ('jazz',2,'startMusic+jazz','slitherhorn','',0,48,5,866729052,0,17,12,6,'healing_music_ability',85,'player_music/sound/song02_shorn_main.snd','player_music/sound/song02_shorn_flourish01.snd','player_music/sound/song02_shorn_flourish02.snd','player_music/sound/song02_shorn_flourish03.snd','player_music/sound/song02_shorn_flourish04.snd','player_music/sound/song02_shorn_flourish05.snd','player_music/sound/song02_shorn_flourish06.snd','player_music/sound/song02_shorn_flourish07.snd','player_music/sound/song02_shorn_flourish08.snd','player_music/sound/song02_shorn_intro.snd','player_music/sound/song02_shorn_outro.snd',81),
 ('jazz',6,'startMusic+jazz','fizz','',0,48,5,866729052,0,17,12,6,'healing_music_ability',85,'player_music/sound/song02_khorn_main.snd','player_music/sound/song02_khorn_flourish01.snd','player_music/sound/song02_khorn_flourish02.snd','player_music/sound/song02_khorn_flourish03.snd','player_music/sound/song02_khorn_flourish04.snd','player_music/sound/song02_khorn_flourish05.snd','player_music/sound/song02_khorn_flourish06.snd','player_music/sound/song02_khorn_flourish07.snd','player_music/sound/song02_khorn_flourish08.snd','player_music/sound/song02_khorn_intro.snd','player_music/sound/song02_khorn_outro.snd',82),
 ('jazz',3,'startMusic+jazz','fanfar','',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_shorn_main.snd','player_music/sound/song02_shorn_flourish01.snd','player_music/sound/song02_shorn_flourish02.snd','player_music/sound/song02_shorn_flourish03.snd','player_music/sound/song02_shorn_flourish04.snd','player_music/sound/song02_shorn_flourish05.snd','player_music/sound/song02_shorn_flourish06.snd','player_music/sound/song02_shorn_flourish07.snd','player_music/sound/song02_shorn_flourish08.snd','player_music/sound/song02_shorn_intro.snd','player_music/sound/song02_shorn_outro.snd',83),
 ('jazz',5,'startMusic+jazz','kloohorn','',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_khorn_main.snd','player_music/sound/song02_khorn_flourish01.snd','player_music/sound/song02_khorn_flourish02.snd','player_music/sound/song02_khorn_flourish03.snd','player_music/sound/song02_khorn_flourish04.snd','player_music/sound/song02_khorn_flourish05.snd','player_music/sound/song02_khorn_flourish06.snd','player_music/sound/song02_khorn_flourish07.snd','player_music/sound/song02_khorn_flourish08.snd','player_music/sound/song02_khorn_intro.snd','player_music/sound/song02_khorn_outro.snd',84),
 ('jazz',10,'startMusic+jazz','mandoviol','',0,48,5,866729052,0,17,12,6,'healing_music_ability',95,'player_music/sound/song02_mand_main.snd','player_music/sound/song02_mand_flourish01.snd','player_music/sound/song02_mand_flourish02.snd','player_music/sound/song02_mand_flourish03.snd','player_music/sound/song02_mand_flourish04.snd','player_music/sound/song02_mand_flourish05.snd','player_music/sound/song02_mand_flourish06.snd','player_music/sound/song02_mand_flourish07.snd','player_music/sound/song02_mand_flourish08.snd','player_music/sound/song02_mand_intro.snd','player_music/sound/song02_mand_outro.snd',85),
 ('jazz',1,'startMusic+jazz','traz','',0,48,5,866729052,0,17,12,6,'healing_music_ability',95,'player_music/sound/song02_shorn_main.snd','player_music/sound/song02_shorn_flourish01.snd','player_music/sound/song02_shorn_flourish02.snd','player_music/sound/song02_shorn_flourish03.snd','player_music/sound/song02_shorn_flourish04.snd','player_music/sound/song02_shorn_flourish05.snd','player_music/sound/song02_shorn_flourish06.snd','player_music/sound/song02_shorn_flourish07.snd','player_music/sound/song02_shorn_flourish08.snd','player_music/sound/song02_shorn_intro.snd','player_music/sound/song02_shorn_outro.snd',86),
 ('jazz',7,'startMusic+jazz','bandfill','',0,48,5,866729052,0,17,12,6,'healing_music_ability',95,'player_music/sound/song02_drum_main.snd','player_music/sound/song02_drum_flourish01.snd','player_music/sound/song02_drum_flourish02.snd','player_music/sound/song02_drum_flourish03.snd','player_music/sound/song02_drum_flourish04.snd','player_music/sound/song02_drum_flourish05.snd','player_music/sound/song02_drum_flourish06.snd','player_music/sound/song02_drum_flourish07.snd','player_music/sound/song02_drum_flourish08.snd','player_music/sound/song02_drum_intro.snd','player_music/sound/song02_drum_outro.snd',87),
 ('jazz',4,'startMusic+jazz','flutedroopy','',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_khorn_main.snd','player_music/sound/song02_khorn_flourish01.snd','player_music/sound/song02_khorn_flourish02.snd','player_music/sound/song02_khorn_flourish03.snd','player_music/sound/song02_khorn_flourish04.snd','player_music/sound/song02_khorn_flourish05.snd','player_music/sound/song02_khorn_flourish06.snd','player_music/sound/song02_khorn_flourish07.snd','player_music/sound/song02_khorn_flourish08.snd','player_music/sound/song02_khorn_intro.snd','player_music/sound/song02_khorn_outro.snd',88),
 ('jazz',8,'startMusic+jazz','omnibox','',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_drum_main.snd','player_music/sound/song02_drum_flourish01.snd','player_music/sound/song02_drum_flourish02.snd','player_music/sound/song02_drum_flourish03.snd','player_music/sound/song02_drum_flourish04.snd','player_music/sound/song02_drum_flourish05.snd','player_music/sound/song02_drum_flourish06.snd','player_music/sound/song02_drum_flourish07.snd','player_music/sound/song02_drum_flourish08.snd','player_music/sound/song02_drum_intro.snd','player_music/sound/song02_drum_outro.snd',89),
 ('jazz',9,'startMusic+jazz','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song02_nlrg_main.snd','player_music/sound/song02_nlrg_flourish01.snd','player_music/sound/song02_nlrg_flourish02.snd','player_music/sound/song02_nlrg_flourish03.snd','player_music/sound/song02_nlrg_flourish04.snd','player_music/sound/song02_nlrg_flourish05.snd','player_music/sound/song02_nlrg_flourish06.snd','player_music/sound/song02_nlrg_flourish07.snd','player_music/sound/song02_nlrg_flourish08.snd','player_music/sound/song02_nlrg_intro.snd','player_music/sound/song02_nlrg_outro.snd',90),
 ('virtuoso',2,'startMusic+virtuoso','slitherhorn','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_shorn_main.snd','player_music/sound/song03_shorn_flourish01.snd','player_music/sound/song03_shorn_flourish02.snd','player_music/sound/song03_shorn_flourish03.snd','player_music/sound/song03_shorn_flourish04.snd','player_music/sound/song03_shorn_flourish05.snd','player_music/sound/song03_shorn_flourish06.snd','player_music/sound/song03_shorn_flourish07.snd','player_music/sound/song03_shorn_flourish08.snd','player_music/sound/song03_shorn_intro.snd','player_music/sound/song03_shorn_outro.snd',91),
 ('virtuoso',6,'startMusic+virtuoso','fizz','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_khorn_main.snd','player_music/sound/song03_khorn_flourish01.snd','player_music/sound/song03_khorn_flourish02.snd','player_music/sound/song03_khorn_flourish03.snd','player_music/sound/song03_khorn_flourish04.snd','player_music/sound/song03_khorn_flourish05.snd','player_music/sound/song03_khorn_flourish06.snd','player_music/sound/song03_khorn_flourish07.snd','player_music/sound/song03_khorn_flourish08.snd','player_music/sound/song03_khorn_intro.snd','player_music/sound/song03_khorn_outro.snd',92),
 ('virtuoso',3,'startMusic+virtuoso','fanfar','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_shorn_main.snd','player_music/sound/song03_shorn_flourish01.snd','player_music/sound/song03_shorn_flourish02.snd','player_music/sound/song03_shorn_flourish03.snd','player_music/sound/song03_shorn_flourish04.snd','player_music/sound/song03_shorn_flourish05.snd','player_music/sound/song03_shorn_flourish06.snd','player_music/sound/song03_shorn_flourish07.snd','player_music/sound/song03_shorn_flourish08.snd','player_music/sound/song03_shorn_intro.snd','player_music/sound/song03_shorn_outro.snd',93),
 ('virtuoso',5,'startMusic+virtuoso','kloohorn','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_khorn_main.snd','player_music/sound/song03_khorn_flourish01.snd','player_music/sound/song03_khorn_flourish02.snd','player_music/sound/song03_khorn_flourish03.snd','player_music/sound/song03_khorn_flourish04.snd','player_music/sound/song03_khorn_flourish05.snd','player_music/sound/song03_khorn_flourish06.snd','player_music/sound/song03_khorn_flourish07.snd','player_music/sound/song03_khorn_flourish08.snd','player_music/sound/song03_khorn_intro.snd','player_music/sound/song03_khorn_outro.snd',94),
 ('virtuoso',10,'startMusic+virtuoso','mandoviol','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_mand_main.snd','player_music/sound/song03_mand_flourish01.snd','player_music/sound/song03_mand_flourish02.snd','player_music/sound/song03_mand_flourish03.snd','player_music/sound/song03_mand_flourish04.snd','player_music/sound/song03_mand_flourish05.snd','player_music/sound/song03_mand_flourish06.snd','player_music/sound/song03_mand_flourish07.snd','player_music/sound/song03_mand_flourish08.snd','player_music/sound/song03_mand_intro.snd','player_music/sound/song03_mand_outro.snd',95),
 ('virtuoso',1,'startMusic+virtuoso','traz','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_shorn_main.snd','player_music/sound/song03_shorn_flourish01.snd','player_music/sound/song03_shorn_flourish02.snd','player_music/sound/song03_shorn_flourish03.snd','player_music/sound/song03_shorn_flourish04.snd','player_music/sound/song03_shorn_flourish05.snd','player_music/sound/song03_shorn_flourish06.snd','player_music/sound/song03_shorn_flourish07.snd','player_music/sound/song03_shorn_flourish08.snd','player_music/sound/song03_shorn_intro.snd','player_music/sound/song03_shorn_outro.snd',96),
 ('virtuoso',7,'startMusic+virtuoso','bandfill','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_drum_main.snd','player_music/sound/song03_drum_flourish01.snd','player_music/sound/song03_drum_flourish02.snd','player_music/sound/song03_drum_flourish03.snd','player_music/sound/song03_drum_flourish04.snd','player_music/sound/song03_drum_flourish05.snd','player_music/sound/song03_drum_flourish06.snd','player_music/sound/song03_drum_flourish07.snd','player_music/sound/song03_drum_flourish08.snd','player_music/sound/song03_drum_intro.snd','player_music/sound/song03_drum_outro.snd',97),
 ('virtuoso',4,'startMusic+virtuoso','flutedroopy','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_khorn_main.snd','player_music/sound/song03_khorn_flourish01.snd','player_music/sound/song03_khorn_flourish02.snd','player_music/sound/song03_khorn_flourish03.snd','player_music/sound/song03_khorn_flourish04.snd','player_music/sound/song03_khorn_flourish05.snd','player_music/sound/song03_khorn_flourish06.snd','player_music/sound/song03_khorn_flourish07.snd','player_music/sound/song03_khorn_flourish08.snd','player_music/sound/song03_khorn_intro.snd','player_music/sound/song03_khorn_outro.snd',98),
 ('virtuoso',8,'startMusic+virtuoso','omnibox','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_drum_main.snd','player_music/sound/song03_drum_flourish01.snd','player_music/sound/song03_drum_flourish02.snd','player_music/sound/song03_drum_flourish03.snd','player_music/sound/song03_drum_flourish04.snd','player_music/sound/song03_drum_flourish05.snd','player_music/sound/song03_drum_flourish06.snd','player_music/sound/song03_drum_flourish07.snd','player_music/sound/song03_drum_flourish08.snd','player_music/sound/song03_drum_intro.snd','player_music/sound/song03_drum_outro.snd',99),
 ('virtuoso',9,'startMusic+virtuoso','nalargon','',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_nlrg_main.snd','player_music/sound/song03_nlrg_flourish01.snd','player_music/sound/song03_nlrg_flourish02.snd','player_music/sound/song03_nlrg_flourish03.snd','player_music/sound/song03_nlrg_flourish04.snd','player_music/sound/song03_nlrg_flourish05.snd','player_music/sound/song03_nlrg_flourish06.snd','player_music/sound/song03_nlrg_flourish07.snd','player_music/sound/song03_nlrg_flourish08.snd','player_music/sound/song03_nlrg_intro.snd','player_music/sound/song03_nlrg_outro.snd',100),
 ('western',2,'startMusic+western','slitherhorn','',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song16_shorn_main.snd','player_music/sound/song16_shorn_flourish01.snd','player_music/sound/song16_shorn_flourish02.snd','player_music/sound/song16_shorn_flourish03.snd','player_music/sound/song16_shorn_flourish04.snd','player_music/sound/song16_shorn_flourish05.snd','player_music/sound/song16_shorn_flourish06.snd','player_music/sound/song16_shorn_flourish07.snd','player_music/sound/song16_shorn_flourish08.snd','player_music/sound/song16_shorn_intro.snd','player_music/sound/song16_shorn_outro.snd',101),
 ('western',6,'startMusic+western','fizz','',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song16_khorn_main.snd','player_music/sound/song16_khorn_flourish01.snd','player_music/sound/song16_khorn_flourish02.snd','player_music/sound/song16_khorn_flourish03.snd','player_music/sound/song16_khorn_flourish04.snd','player_music/sound/song16_khorn_flourish05.snd','player_music/sound/song16_khorn_flourish06.snd','player_music/sound/song16_khorn_flourish07.snd','player_music/sound/song16_khorn_flourish08.snd','player_music/sound/song16_khorn_intro.snd','player_music/sound/song16_khorn_outro.snd',102),
 ('western',3,'startMusic+western','fanfar','',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song16_shorn_main.snd','player_music/sound/song16_shorn_flourish01.snd','player_music/sound/song16_shorn_flourish02.snd','player_music/sound/song16_shorn_flourish03.snd','player_music/sound/song16_shorn_flourish04.snd','player_music/sound/song16_shorn_flourish05.snd','player_music/sound/song16_shorn_flourish06.snd','player_music/sound/song16_shorn_flourish07.snd','player_music/sound/song16_shorn_flourish08.snd','player_music/sound/song16_shorn_intro.snd','player_music/sound/song16_shorn_outro.snd',103),
 ('western',5,'startMusic+western','kloohorn','',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song16_khorn_main.snd','player_music/sound/song16_khorn_flourish01.snd','player_music/sound/song16_khorn_flourish02.snd','player_music/sound/song16_khorn_flourish03.snd','player_music/sound/song16_khorn_flourish04.snd','player_music/sound/song16_khorn_flourish05.snd','player_music/sound/song16_khorn_flourish06.snd','player_music/sound/song16_khorn_flourish07.snd','player_music/sound/song16_khorn_flourish08.snd','player_music/sound/song16_khorn_intro.snd','player_music/sound/song16_khorn_outro.snd',104);
INSERT INTO `swgemu`.`performance` VALUES  ('western',10,'startMusic+western','mandoviol','',0,40,6.43,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song16_mand_main.snd','player_music/sound/song16_mand_flourish01.snd','player_music/sound/song16_mand_flourish02.snd','player_music/sound/song16_mand_flourish03.snd','player_music/sound/song16_mand_flourish04.snd','player_music/sound/song16_mand_flourish05.snd','player_music/sound/song16_mand_flourish06.snd','player_music/sound/song16_mand_flourish07.snd','player_music/sound/song16_mand_flourish08.snd','player_music/sound/song16_mand_intro.snd','player_music/sound/song16_mand_outro.snd',105),
 ('western',1,'startMusic+western','traz','',0,40,6.43,866729052,0,9,10,5,'healing_music_ability',50,'player_music/sound/song16_shorn_main.snd','player_music/sound/song16_shorn_flourish01.snd','player_music/sound/song16_shorn_flourish02.snd','player_music/sound/song16_shorn_flourish03.snd','player_music/sound/song16_shorn_flourish04.snd','player_music/sound/song16_shorn_flourish05.snd','player_music/sound/song16_shorn_flourish06.snd','player_music/sound/song16_shorn_flourish07.snd','player_music/sound/song16_shorn_flourish08.snd','player_music/sound/song16_shorn_intro.snd','player_music/sound/song16_shorn_outro.snd',106),
 ('western',7,'startMusic+western','bandfill','',0,44,6.43,866729052,0,13,10,5,'healing_music_ability',50,'player_music/sound/song16_drum_main.snd','player_music/sound/song16_drum_flourish01.snd','player_music/sound/song16_drum_flourish02.snd','player_music/sound/song16_drum_flourish03.snd','player_music/sound/song16_drum_flourish04.snd','player_music/sound/song16_drum_flourish05.snd','player_music/sound/song16_drum_flourish06.snd','player_music/sound/song16_drum_flourish07.snd','player_music/sound/song16_drum_flourish08.snd','player_music/sound/song16_drum_intro.snd','player_music/sound/song16_drum_outro.snd',107),
 ('western',4,'startMusic+western','flutedroopy','',0,44,6.43,866729052,0,15,12,6,'healing_music_ability',45,'player_music/sound/song16_khorn_main.snd','player_music/sound/song16_khorn_flourish01.snd','player_music/sound/song16_khorn_flourish02.snd','player_music/sound/song16_khorn_flourish03.snd','player_music/sound/song16_khorn_flourish04.snd','player_music/sound/song16_khorn_flourish05.snd','player_music/sound/song16_khorn_flourish06.snd','player_music/sound/song16_khorn_flourish07.snd','player_music/sound/song16_khorn_flourish08.snd','player_music/sound/song16_khorn_intro.snd','player_music/sound/song16_khorn_outro.snd',108),
 ('western',8,'startMusic+western','omnibox','',0,48,6.43,866729052,0,17,12,6,'healing_music_ability',45,'player_music/sound/song16_drum_main.snd','player_music/sound/song16_drum_flourish01.snd','player_music/sound/song16_drum_flourish02.snd','player_music/sound/song16_drum_flourish03.snd','player_music/sound/song16_drum_flourish04.snd','player_music/sound/song16_drum_flourish05.snd','player_music/sound/song16_drum_flourish06.snd','player_music/sound/song16_drum_flourish07.snd','player_music/sound/song16_drum_flourish08.snd','player_music/sound/song16_drum_intro.snd','player_music/sound/song16_drum_outro.snd',109),
 ('western',9,'startMusic+western','nalargon','',0,48,6.43,866729052,0,20,14,7,'healing_music_ability',55,'player_music/sound/song16_nlrg_main.snd','player_music/sound/song16_nlrg_flourish01.snd','player_music/sound/song16_nlrg_flourish02.snd','player_music/sound/song16_nlrg_flourish03.snd','player_music/sound/song16_nlrg_flourish04.snd','player_music/sound/song16_nlrg_flourish05.snd','player_music/sound/song16_nlrg_flourish06.snd','player_music/sound/song16_nlrg_flourish07.snd','player_music/sound/song16_nlrg_flourish08.snd','player_music/sound/song16_nlrg_intro.snd','player_music/sound/song16_nlrg_outro.snd',110),
 ('starwars4',2,'startMusic+starwars4','slitherhorn','',0,36,5.81,866729052,0,8,9,2,'healing_music_ability',40,'player_music/sound/song19_shorn_main.snd','player_music/sound/song19_shorn_flourish01.snd','player_music/sound/song19_shorn_flourish02.snd','player_music/sound/song19_shorn_flourish03.snd','player_music/sound/song19_shorn_flourish04.snd','player_music/sound/song19_shorn_flourish05.snd','player_music/sound/song19_shorn_flourish06.snd','player_music/sound/song19_shorn_flourish07.snd','player_music/sound/song19_shorn_flourish08.snd','player_music/sound/song19_shorn_intro.snd','player_music/sound/song19_shorn_outro.snd',111),
 ('starwars4',6,'startMusic+starwars4','fizz','',0,36,5.81,866729052,0,8,9,3,'healing_music_ability',40,'player_music/sound/song19_khorn_main.snd','player_music/sound/song19_khorn_flourish01.snd','player_music/sound/song19_khorn_flourish02.snd','player_music/sound/song19_khorn_flourish03.snd','player_music/sound/song19_khorn_flourish04.snd','player_music/sound/song19_khorn_flourish05.snd','player_music/sound/song19_khorn_flourish06.snd','player_music/sound/song19_khorn_flourish07.snd','player_music/sound/song19_khorn_flourish08.snd','player_music/sound/song19_khorn_intro.snd','player_music/sound/song19_khorn_outro.snd',112),
 ('starwars4',3,'startMusic+starwars4','fanfar','',0,36,5.81,866729052,0,8,9,3,'healing_music_ability',45,'player_music/sound/song19_shorn_main.snd','player_music/sound/song19_shorn_flourish01.snd','player_music/sound/song19_shorn_flourish02.snd','player_music/sound/song19_shorn_flourish03.snd','player_music/sound/song19_shorn_flourish04.snd','player_music/sound/song19_shorn_flourish05.snd','player_music/sound/song19_shorn_flourish06.snd','player_music/sound/song19_shorn_flourish07.snd','player_music/sound/song19_shorn_flourish08.snd','player_music/sound/song19_shorn_intro.snd','player_music/sound/song19_shorn_outro.snd',113),
 ('starwars4',5,'startMusic+starwars4','kloohorn','',0,36,5.81,866729052,0,8,9,4,'healing_music_ability',45,'player_music/sound/song19_khorn_main.snd','player_music/sound/song19_khorn_flourish01.snd','player_music/sound/song19_khorn_flourish02.snd','player_music/sound/song19_khorn_flourish03.snd','player_music/sound/song19_khorn_flourish04.snd','player_music/sound/song19_khorn_flourish05.snd','player_music/sound/song19_khorn_flourish06.snd','player_music/sound/song19_khorn_flourish07.snd','player_music/sound/song19_khorn_flourish08.snd','player_music/sound/song19_khorn_intro.snd','player_music/sound/song19_khorn_outro.snd',114),
 ('starwars4',10,'startMusic+starwars4','mandoviol','',0,40,5.81,866729052,0,10,9,4,'healing_music_ability',50,'player_music/sound/song19_mand_main.snd','player_music/sound/song19_mand_flourish01.snd','player_music/sound/song19_mand_flourish02.snd','player_music/sound/song19_mand_flourish03.snd','player_music/sound/song19_mand_flourish04.snd','player_music/sound/song19_mand_flourish05.snd','player_music/sound/song19_mand_flourish06.snd','player_music/sound/song19_mand_flourish07.snd','player_music/sound/song19_mand_flourish08.snd','player_music/sound/song19_mand_intro.snd','player_music/sound/song19_mand_outro.snd',115),
 ('starwars4',1,'startMusic+starwars4','traz','',0,40,5.81,866729052,0,10,11,5,'healing_music_ability',50,'player_music/sound/song19_shorn_main.snd','player_music/sound/song19_shorn_flourish01.snd','player_music/sound/song19_shorn_flourish02.snd','player_music/sound/song19_shorn_flourish03.snd','player_music/sound/song19_shorn_flourish04.snd','player_music/sound/song19_shorn_flourish05.snd','player_music/sound/song19_shorn_flourish06.snd','player_music/sound/song19_shorn_flourish07.snd','player_music/sound/song19_shorn_flourish08.snd','player_music/sound/song19_shorn_intro.snd','player_music/sound/song19_shorn_outro.snd',116),
 ('starwars4',7,'startMusic+starwars4','bandfill','',0,44,5.81,866729052,0,14,11,5,'healing_music_ability',50,'player_music/sound/song19_drum_main.snd','player_music/sound/song19_drum_flourish01.snd','player_music/sound/song19_drum_flourish02.snd','player_music/sound/song19_drum_flourish03.snd','player_music/sound/song19_drum_flourish04.snd','player_music/sound/song19_drum_flourish05.snd','player_music/sound/song19_drum_flourish06.snd','player_music/sound/song19_drum_flourish07.snd','player_music/sound/song19_drum_flourish08.snd','player_music/sound/song19_drum_intro.snd','player_music/sound/song19_drum_outro.snd',117),
 ('starwars4',4,'startMusic+starwars4','flutedroopy','',0,44,5.81,866729052,0,16,13,6,'healing_music_ability',45,'player_music/sound/song19_khorn_main.snd','player_music/sound/song19_khorn_flourish01.snd','player_music/sound/song19_khorn_flourish02.snd','player_music/sound/song19_khorn_flourish03.snd','player_music/sound/song19_khorn_flourish04.snd','player_music/sound/song19_khorn_flourish05.snd','player_music/sound/song19_khorn_flourish06.snd','player_music/sound/song19_khorn_flourish07.snd','player_music/sound/song19_khorn_flourish08.snd','player_music/sound/song19_khorn_intro.snd','player_music/sound/song19_khorn_outro.snd',118),
 ('starwars4',8,'startMusic+starwars4','omnibox','',0,48,5.81,866729052,0,17,12,6,'healing_music_ability',45,'player_music/sound/song19_drum_main.snd','player_music/sound/song19_drum_flourish01.snd','player_music/sound/song19_drum_flourish02.snd','player_music/sound/song19_drum_flourish03.snd','player_music/sound/song19_drum_flourish04.snd','player_music/sound/song19_drum_flourish05.snd','player_music/sound/song19_drum_flourish06.snd','player_music/sound/song19_drum_flourish07.snd','player_music/sound/song19_drum_flourish08.snd','player_music/sound/song19_drum_intro.snd','player_music/sound/song19_drum_outro.snd',119),
 ('starwars4',9,'startMusic+starwars4','nalargon','',0,48,5.81,866729052,0,20,14,7,'healing_music_ability',55,'player_music/sound/song19_nlrg_main.snd','player_music/sound/song19_nlrg_flourish01.snd','player_music/sound/song19_nlrg_flourish02.snd','player_music/sound/song19_nlrg_flourish03.snd','player_music/sound/song19_nlrg_flourish04.snd','player_music/sound/song19_nlrg_flourish05.snd','player_music/sound/song19_nlrg_flourish06.snd','player_music/sound/song19_nlrg_flourish07.snd','player_music/sound/song19_nlrg_flourish08.snd','player_music/sound/song19_nlrg_intro.snd','player_music/sound/song19_nlrg_outro.snd',120),
 ('funk',2,'startMusic+funk','slitherhorn','',0,40,6.4,866729052,0,13,10,5,'healing_music_ability',60,'player_music/sound/song12_shorn_main.snd','player_music/sound/song12_shorn_flourish01.snd','player_music/sound/song12_shorn_flourish02.snd','player_music/sound/song12_shorn_flourish03.snd','player_music/sound/song12_shorn_flourish04.snd','player_music/sound/song12_shorn_flourish05.snd','player_music/sound/song12_shorn_flourish06.snd','player_music/sound/song12_shorn_flourish07.snd','player_music/sound/song12_shorn_flourish08.snd','player_music/sound/song12_shorn_intro.snd','player_music/sound/song12_shorn_outro.snd',121),
 ('funk',6,'startMusic+funk','fizz','	',0,40,6.4,866729052,0,13,10,5,'healing_music_ability',60,'player_music/sound/song12_khorn_main.snd','player_music/sound/song12_khorn_flourish01.snd','player_music/sound/song12_khorn_flourish02.snd','player_music/sound/song12_khorn_flourish03.snd','player_music/sound/song12_khorn_flourish04.snd','player_music/sound/song12_khorn_flourish05.snd','player_music/sound/song12_khorn_flourish06.snd','player_music/sound/song12_khorn_flourish07.snd','player_music/sound/song12_khorn_flourish08.snd','player_music/sound/song12_khorn_intro.snd','player_music/sound/song12_khorn_outro.snd',122),
 ('funk',3,'startMusic+funk','fanfar','',0,40,6.4,866729052,0,13,10,5,'healing_music_ability',65,'player_music/sound/song12_shorn_main.snd','player_music/sound/song12_shorn_flourish01.snd','player_music/sound/song12_shorn_flourish02.snd','player_music/sound/song12_shorn_flourish03.snd','player_music/sound/song12_shorn_flourish04.snd','player_music/sound/song12_shorn_flourish05.snd','player_music/sound/song12_shorn_flourish06.snd','player_music/sound/song12_shorn_flourish07.snd','player_music/sound/song12_shorn_flourish08.snd','player_music/sound/song12_shorn_intro.snd','player_music/sound/song12_shorn_outro.snd',123),
 ('funk',5,'startMusic+funk','kloohorn','',0,40,6.4,866729052,0,13,10,5,'healing_music_ability',65,'player_music/sound/song12_khorn_main.snd','player_music/sound/song12_khorn_flourish01.snd','player_music/sound/song12_khorn_flourish02.snd','player_music/sound/song12_khorn_flourish03.snd','player_music/sound/song12_khorn_flourish04.snd','player_music/sound/song12_khorn_flourish05.snd','player_music/sound/song12_khorn_flourish06.snd','player_music/sound/song12_khorn_flourish07.snd','player_music/sound/song12_khorn_flourish08.snd','player_music/sound/song12_khorn_intro.snd','player_music/sound/song12_khorn_outro.snd',124),
 ('funk',10,'startMusic+funk','mandoviol','',0,40,6.4,866729052,0,13,10,5,'healing_music_ability',70,'player_music/sound/song12_mand_main.snd','player_music/sound/song12_mand_flourish01.snd','player_music/sound/song12_mand_flourish02.snd','player_music/sound/song12_mand_flourish03.snd','player_music/sound/song12_mand_flourish04.snd','player_music/sound/song12_mand_flourish05.snd','player_music/sound/song12_mand_flourish06.snd','player_music/sound/song12_mand_flourish07.snd','player_music/sound/song12_mand_flourish08.snd','player_music/sound/song12_mand_intro.snd','player_music/sound/song12_mand_outro.snd',125),
 ('funk',1,'startMusic+funk','traz','',0,40,6.4,866729052,0,13,10,5,'healing_music_ability',70,'player_music/sound/song12_shorn_main.snd','player_music/sound/song12_shorn_flourish01.snd','player_music/sound/song12_shorn_flourish02.snd','player_music/sound/song12_shorn_flourish03.snd','player_music/sound/song12_shorn_flourish04.snd','player_music/sound/song12_shorn_flourish05.snd','player_music/sound/song12_shorn_flourish06.snd','player_music/sound/song12_shorn_flourish07.snd','player_music/sound/song12_shorn_flourish08.snd','player_music/sound/song12_shorn_intro.snd','player_music/sound/song12_shorn_outro.snd',126),
 ('funk',7,'startMusic+funk','bandfill','',0,44,6.4,866729052,0,13,10,5,'healing_music_ability',70,'player_music/sound/song12_drum_main.snd','player_music/sound/song12_drum_flourish01.snd','player_music/sound/song12_drum_flourish02.snd','player_music/sound/song12_drum_flourish03.snd','player_music/sound/song12_drum_flourish04.snd','player_music/sound/song12_drum_flourish05.snd','player_music/sound/song12_drum_flourish06.snd','player_music/sound/song12_drum_flourish07.snd','player_music/sound/song12_drum_flourish08.snd','player_music/sound/song12_drum_intro.snd','player_music/sound/song12_drum_outro.snd',127),
 ('funk',4,'startMusic+funk','flutedroopy','',0,44,6.4,866729052,0,13,10,6,'healing_music_ability',65,'player_music/sound/song12_khorn_main.snd','player_music/sound/song12_khorn_flourish01.snd','player_music/sound/song12_khorn_flourish02.snd','player_music/sound/song12_khorn_flourish03.snd','player_music/sound/song12_khorn_flourish04.snd','player_music/sound/song12_khorn_flourish05.snd','player_music/sound/song12_khorn_flourish06.snd','player_music/sound/song12_khorn_flourish07.snd','player_music/sound/song12_khorn_flourish08.snd','player_music/sound/song12_khorn_intro.snd','player_music/sound/song12_khorn_outro.snd',128),
 ('funk',8,'startMusic+funk','omnibox','',0,48,6.4,866729052,0,17,12,6,'healing_music_ability',65,'player_music/sound/song12_drum_main.snd','player_music/sound/song12_drum_flourish01.snd','player_music/sound/song12_drum_flourish02.snd','player_music/sound/song12_drum_flourish03.snd','player_music/sound/song12_drum_flourish04.snd','player_music/sound/song12_drum_flourish05.snd','player_music/sound/song12_drum_flourish06.snd','player_music/sound/song12_drum_flourish07.snd','player_music/sound/song12_drum_flourish08.snd','player_music/sound/song12_drum_intro.snd','player_music/sound/song12_drum_outro.snd',129),
 ('funk',9,'startMusic+funk','nalargon','',0,48,6.4,866729052,0,20,14,7,'healing_music_ability',75,'player_music/sound/song12_nlrg_main.snd','player_music/sound/song12_nlrg_flourish01.snd','player_music/sound/song12_nlrg_flourish02.snd','player_music/sound/song12_nlrg_flourish03.snd','player_music/sound/song12_nlrg_flourish04.snd','player_music/sound/song12_nlrg_flourish05.snd','player_music/sound/song12_nlrg_flourish06.snd','player_music/sound/song12_nlrg_flourish07.snd','player_music/sound/song12_nlrg_flourish08.snd','player_music/sound/song12_nlrg_intro.snd','player_music/sound/song12_nlrg_outro.snd',130),
 ('basic',0,'','','startDance+basic',1,28,10,-1788534963,0,4,4,2,'healing_dance_ability',5,'','','','','','','','','','','',131),
 ('rhythmic',0,'','','startDance+rhythmic',3,28,10,-1788534963,0,4,4,2,'healing_dance_ability',5,'','','','','','','','','','','',132),
 ('basic2',0,'','','startDance+basic2',2,32,10,-1788534963,0,6,6,3,'healing_dance_ability',10,'','','','','','','','','','','',133),
 ('rhythmic2',0,'','','startDance+rhythmic2',4,32,10,-1788534963,0,8,6,3,'healing_dance_ability',15,'','','','','','','','','','','',134),
 ('footloose',0,'','','startDance+footloose',15,36,10,-1788534963,0,12,6,3,'healing_dance_ability',20,'','','','','','','','','','','',135),
 ('formal',0,'','','startDance+formal',17,36,10,-1788534963,0,14,8,4,'healing_dance_ability',30,'','','','','','','','','','','',136),
 ('footloose2',0,'','','startDance+footloose2',16,40,10,-1788534963,0,18,8,4,'healing_dance_ability',40,'','','','','','','','','','','',137),
 ('formal2',0,'','','startDance+formal2',18,40,10,-1788534963,0,18,8,4,'healing_dance_ability',40,'','','','','','','','','','','',138),
 ('popular',0,'','','startDance+popular',9,40,10,-1788534963,0,18,10,5,'healing_dance_ability',50,'','','','','','','','','','','',139),
 ('poplock',0,'','','startDance+poplock',13,40,10,-1788534963,0,18,10,5,'healing_dance_ability',50,'','','','','','','','','','','',140),
 ('popular2',0,'','','startDance+popular2',10,40,10,-1788534963,0,22,10,5,'healing_dance_ability',60,'','','','','','','','','','','',141),
 ('poplock2',0,'','','startDance+poplock2',14,44,10,-1788534963,0,26,10,5,'healing_dance_ability',70,'','','','','','','','','','','',142),
 ('lyrical',0,'','','startDance+lyrical',11,44,10,-1788534963,0,30,10,6,'healing_dance_ability',80,'','','','','','','','','','','',143),
 ('exotic',0,'','','startDance+exotic',5,48,10,-1788534963,0,34,10,6,'healing_dance_ability',90,'','','','','','','','','','','',144),
 ('exotic2',0,'','','startDance+exotic2',6,48,10,-1788534963,0,34,12,6,'healing_dance_ability',90,'','','','','','','','','','','',145),
 ('lyrical2',0,'','','startDance+lyrical2',12,48,10,-1788534963,0,40,12,7,'healing_dance_ability',100,'','','','','','','','','','','',146),
 ('exotic3',0,'','','startDance+exotic3',7,48,10,-1788534963,0,40,12,7,'healing_dance_ability',100,'','','','','','','','','','','',147),
 ('exotic4',0,'','','startDance+exotic4',8,48,10,-1788534963,0,40,14,7,'healing_dance_ability',100,'','','','','','','','','','','',148),
 ('theatrical',0,'','','startDance+theatrical',21,36,10.25,-1788534963,0,12,6,3,'healing_dance_ability',50,'','','','','','','','','','','',149),
 ('theatrical2',0,'','','startDance+theatrical2',22,40,13.1,-1788534963,0,18,8,4,'healing_dance_ability',70,'','','','','','','','','','','',150),
 ('breakdance',0,'','','startDance+breakdance',29,40,10,-1788534963,0,22,10,5,'healing_dance_ability',60,'','','','','','','','','','','',151),
 ('breakdance2',0,'','','startDance+breakdance2',30,44,10,-1788534963,0,26,10,5,'healing_dance_ability',70,'','','','','','','','','','','',152),
 ('tumble',0,'','','startDance+tumble',31,44,10,-1788534963,0,30,10,6,'healing_dance_ability',80,'','','','','','','','','','','',153),
 ('tumble2',0,'','','startDance+tumble2',32,48,10,-1788534963,0,34,10,6,'healing_dance_ability',90,'','','','','','','','','','','',154);
UNLOCK TABLES;
/*!40000 ALTER TABLE `performance` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`performance_perform_effect`
--

DROP TABLE IF EXISTS `swgemu`.`performance_perform_effect`;
CREATE TABLE  `swgemu`.`performance_perform_effect` (
  `effectName` varchar(14) DEFAULT NULL,
  `performanceType` varchar(11) DEFAULT NULL,
  `requiredSkillModValue` int(10) unsigned DEFAULT NULL,
  `requiredPerforming` tinyint(1) DEFAULT NULL,
  `targetType` varchar(10) DEFAULT NULL,
  `effectDuration` float DEFAULT NULL,
  `effectActionCost` int(10) unsigned DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`performance_perform_effect`
--

/*!40000 ALTER TABLE `performance_perform_effect` DISABLE KEYS */;
LOCK TABLES `performance_perform_effect` WRITE;
INSERT INTO `swgemu`.`performance_perform_effect` VALUES  ('Dazzle1','music,dance',10,1,'self',5,30),
 ('Dazzle2','music,dance',30,1,'self',5,60),
 ('Dazzle3','music,dance',75,1,'self',5,90),
 ('Distract1','dance',20,1,'self',2,30),
 ('Distract2','dance',50,1,'self',5,60),
 ('Distract3','dance',75,1,'self',5,90),
 ('SpotLight1','music,dance',10,1,'self',2,30),
 ('SpotLight2','music,dance',20,1,'self',2,60),
 ('SpotLight3','music,dance',30,1,'self',2,90),
 ('ColorLights1','music,dance',10,1,'self',2,30),
 ('ColorLights2','music,dance',20,1,'self',2,60),
 ('ColorLights3','music,dance',50,1,'self',2,90),
 ('SmokeBomb1','dance',30,1,'stationary',5,30),
 ('SmokeBomb2','dance',50,1,'stationary',5,60),
 ('SmokeBomb3','dance',75,1,'stationary',5,90),
 ('FireJets1','music',20,1,'stationary',5,30),
 ('FireJets2','music',50,1,'stationary',5,60),
 ('FireJets3','music',75,1,'stationary',5,90),
 ('Ventriloquism1','music',30,1,'target',10,30),
 ('Ventriloquism2','music',50,1,'target',10,60),
 ('Ventriloquism3','music',75,1,'target',10,90);
UNLOCK TABLES;
/*!40000 ALTER TABLE `performance_perform_effect` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`performance_performance`
--

DROP TABLE IF EXISTS `swgemu`.`performance_performance`;
CREATE TABLE  `swgemu`.`performance_performance` (
  `performanceName` varchar(11) DEFAULT NULL,
  `instrumentAudioId` int(10) unsigned DEFAULT NULL,
  `requiredSong` varchar(21) DEFAULT NULL,
  `requiredInstrument` varchar(11) DEFAULT NULL,
  `requiredDance` varchar(22) DEFAULT NULL,
  `danceVisualId` int(10) unsigned DEFAULT NULL,
  `actionPointsPerLoop` int(10) unsigned DEFAULT NULL,
  `loopDuration` float DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `baseXp` int(10) unsigned DEFAULT NULL,
  `flourishXpMod` int(10) unsigned DEFAULT NULL,
  `healMindWound` int(10) unsigned DEFAULT NULL,
  `healShockWound` int(10) unsigned DEFAULT NULL,
  `requiredSkillMod` varchar(21) DEFAULT NULL,
  `requiredSkillModValue` int(10) unsigned DEFAULT NULL,
  `mainloop` varchar(40) DEFAULT NULL,
  `flourish1` varchar(46) DEFAULT NULL,
  `flourish2` varchar(46) DEFAULT NULL,
  `flourish3` varchar(46) DEFAULT NULL,
  `flourish4` varchar(46) DEFAULT NULL,
  `flourish5` varchar(46) DEFAULT NULL,
  `flourish6` varchar(46) DEFAULT NULL,
  `flourish7` varchar(46) DEFAULT NULL,
  `flourish8` varchar(46) DEFAULT NULL,
  `intro` varchar(41) DEFAULT NULL,
  `outro` varchar(41) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`performance_performance`
--

/*!40000 ALTER TABLE `performance_performance` DISABLE KEYS */;
LOCK TABLES `performance_performance` WRITE;
INSERT INTO `swgemu`.`performance_performance` VALUES  ('starwars1',2,'startMusic+starwars1','slitherhorn',' ',0,28,5,866729052,0,2,4,2,'healing_music_ability',5,'player_music/sound/song04_shorn_main.snd','player_music/sound/song04_shorn_flourish01.snd','player_music/sound/song04_shorn_flourish02.snd','player_music/sound/song04_shorn_flourish03.snd','player_music/sound/song04_shorn_flourish04.snd','player_music/sound/song04_shorn_flourish05.snd','player_music/sound/song04_shorn_flourish06.snd','player_music/sound/song04_shorn_flourish07.snd','player_music/sound/song04_shorn_flourish08.snd','player_music/sound/song04_shorn_intro.snd','player_music/sound/song04_shorn_outro.snd'),
 ('starwars1',6,'startMusic+starwars1','fizz',' ',0,32,5,866729052,0,3,6,3,'healing_music_ability',5,'player_music/sound/song04_khorn_main.snd','player_music/sound/song04_khorn_flourish01.snd','player_music/sound/song04_khorn_flourish02.snd','player_music/sound/song04_khorn_flourish03.snd','player_music/sound/song04_khorn_flourish04.snd','player_music/sound/song04_khorn_flourish05.snd','player_music/sound/song04_khorn_flourish06.snd','player_music/sound/song04_khorn_flourish07.snd','player_music/sound/song04_khorn_flourish08.snd','player_music/sound/song04_khorn_intro.snd','player_music/sound/song04_khorn_outro.snd'),
 ('starwars1',3,'startMusic+starwars1','fanfar',' ',0,36,5,866729052,0,6,6,3,'healing_music_ability',10,'player_music/sound/song04_shorn_main.snd','player_music/sound/song04_shorn_flourish01.snd','player_music/sound/song04_shorn_flourish02.snd','player_music/sound/song04_shorn_flourish03.snd','player_music/sound/song04_shorn_flourish04.snd','player_music/sound/song04_shorn_flourish05.snd','player_music/sound/song04_shorn_flourish06.snd','player_music/sound/song04_shorn_flourish07.snd','player_music/sound/song04_shorn_flourish08.snd','player_music/sound/song04_shorn_intro.snd','player_music/sound/song04_shorn_outro.snd'),
 ('starwars1',5,'startMusic+starwars1','kloohorn',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',10,'player_music/sound/song04_khorn_main.snd','player_music/sound/song04_khorn_flourish01.snd','player_music/sound/song04_khorn_flourish02.snd','player_music/sound/song04_khorn_flourish03.snd','player_music/sound/song04_khorn_flourish04.snd','player_music/sound/song04_khorn_flourish05.snd','player_music/sound/song04_khorn_flourish06.snd','player_music/sound/song04_khorn_flourish07.snd','player_music/sound/song04_khorn_flourish08.snd','player_music/sound/song04_khorn_intro.snd','player_music/sound/song04_khorn_outro.snd'),
 ('starwars1',10,'startMusic+starwars1','mandoviol',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',15,'player_music/sound/song04_mand_main.snd','player_music/sound/song04_mand_flourish01.snd','player_music/sound/song04_mand_flourish02.snd','player_music/sound/song04_mand_flourish03.snd','player_music/sound/song04_mand_flourish04.snd','player_music/sound/song04_mand_flourish05.snd','player_music/sound/song04_mand_flourish06.snd','player_music/sound/song04_mand_flourish07.snd','player_music/sound/song04_mand_flourish08.snd','player_music/sound/song04_mand_intro.snd','player_music/sound/song04_mand_outro.snd'),
 ('starwars1',1,'startMusic+starwars1','traz',' ',0,40,5,866729052,0,9,10,5,'healing_music_ability',15,'player_music/sound/song04_shorn_main.snd','player_music/sound/song04_shorn_flourish01.snd','player_music/sound/song04_shorn_flourish02.snd','player_music/sound/song04_shorn_flourish03.snd','player_music/sound/song04_shorn_flourish04.snd','player_music/sound/song04_shorn_flourish05.snd','player_music/sound/song04_shorn_flourish06.snd','player_music/sound/song04_shorn_flourish07.snd','player_music/sound/song04_shorn_flourish08.snd','player_music/sound/song04_shorn_intro.snd','player_music/sound/song04_shorn_outro.snd'),
 ('starwars1',7,'startMusic+starwars1','bandfill',' ',0,44,5,866729052,0,13,10,5,'healing_music_ability',15,'player_music/sound/song04_drum_main.snd','player_music/sound/song04_drum_flourish01.snd','player_music/sound/song04_drum_flourish02.snd','player_music/sound/song04_drum_flourish03.snd','player_music/sound/song04_drum_flourish04.snd','player_music/sound/song04_drum_flourish05.snd','player_music/sound/song04_drum_flourish06.snd','player_music/sound/song04_drum_flourish07.snd','player_music/sound/song04_drum_flourish08.snd','player_music/sound/song04_drum_intro.snd','player_music/sound/song04_drum_outro.snd'),
 ('starwars1',4,'startMusic+starwars1','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',10,'player_music/sound/song04_khorn_main.snd','player_music/sound/song04_khorn_flourish01.snd','player_music/sound/song04_khorn_flourish02.snd','player_music/sound/song04_khorn_flourish03.snd','player_music/sound/song04_khorn_flourish04.snd','player_music/sound/song04_khorn_flourish05.snd','player_music/sound/song04_khorn_flourish06.snd','player_music/sound/song04_khorn_flourish07.snd','player_music/sound/song04_khorn_flourish08.snd','player_music/sound/song04_khorn_intro.snd','player_music/sound/song04_khorn_outro.snd'),
 ('starwars1',8,'startMusic+starwars1','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',10,'player_music/sound/song04_drum_main.snd','player_music/sound/song04_drum_flourish01.snd','player_music/sound/song04_drum_flourish02.snd','player_music/sound/song04_drum_flourish03.snd','player_music/sound/song04_drum_flourish04.snd','player_music/sound/song04_drum_flourish05.snd','player_music/sound/song04_drum_flourish06.snd','player_music/sound/song04_drum_flourish07.snd','player_music/sound/song04_drum_flourish08.snd','player_music/sound/song04_drum_intro.snd','player_music/sound/song04_drum_outro.snd'),
 ('starwars1',9,'startMusic+starwars1','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',20,'player_music/sound/song04_nlrg_main.snd','player_music/sound/song04_nlrg_flourish01.snd','player_music/sound/song04_nlrg_flourish02.snd','player_music/sound/song04_nlrg_flourish03.snd','player_music/sound/song04_nlrg_flourish04.snd','player_music/sound/song04_nlrg_flourish05.snd','player_music/sound/song04_nlrg_flourish06.snd','player_music/sound/song04_nlrg_flourish07.snd','player_music/sound/song04_nlrg_flourish08.snd','player_music/sound/song04_nlrg_intro.snd','player_music/sound/song04_nlrg_outro.snd'),
 ('rock',2,'startMusic+rock','slitherhorn',' ',0,32,5,866729052,0,3,6,3,'healing_music_ability',10,'player_music/sound/song01_shorn_main.snd','player_music/sound/song01_shorn_flourish01.snd','player_music/sound/song01_shorn_flourish02.snd','player_music/sound/song01_shorn_flourish03.snd','player_music/sound/song01_shorn_flourish04.snd','player_music/sound/song01_shorn_flourish05.snd','player_music/sound/song01_shorn_flourish06.snd','player_music/sound/song01_shorn_flourish07.snd','player_music/sound/song01_shorn_flourish08.snd','player_music/sound/song01_shorn_intro.snd','player_music/sound/song01_shorn_outro.snd'),
 ('rock',6,'startMusic+rock','fizz',' ',0,32,5,866729052,0,3,6,3,'healing_music_ability',10,'player_music/sound/song01_khorn_main.snd','player_music/sound/song01_khorn_flourish01.snd','player_music/sound/song01_khorn_flourish02.snd','player_music/sound/song01_khorn_flourish03.snd','player_music/sound/song01_khorn_flourish04.snd','player_music/sound/song01_khorn_flourish05.snd','player_music/sound/song01_khorn_flourish06.snd','player_music/sound/song01_khorn_flourish07.snd','player_music/sound/song01_khorn_flourish08.snd','player_music/sound/song01_khorn_intro.snd','player_music/sound/song01_khorn_outro.snd'),
 ('rock',3,'startMusic+rock','fanfar',' ',0,36,5,866729052,0,6,6,3,'healing_music_ability',15,'player_music/sound/song01_shorn_main.snd','player_music/sound/song01_shorn_flourish01.snd','player_music/sound/song01_shorn_flourish02.snd','player_music/sound/song01_shorn_flourish03.snd','player_music/sound/song01_shorn_flourish04.snd','player_music/sound/song01_shorn_flourish05.snd','player_music/sound/song01_shorn_flourish06.snd','player_music/sound/song01_shorn_flourish07.snd','player_music/sound/song01_shorn_flourish08.snd','player_music/sound/song01_shorn_intro.snd','player_music/sound/song01_shorn_outro.snd'),
 ('rock',5,'startMusic+rock','kloohorn',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',15,'player_music/sound/song01_khorn_main.snd','player_music/sound/song01_khorn_flourish01.snd','player_music/sound/song01_khorn_flourish02.snd','player_music/sound/song01_khorn_flourish03.snd','player_music/sound/song01_khorn_flourish04.snd','player_music/sound/song01_khorn_flourish05.snd','player_music/sound/song01_khorn_flourish06.snd','player_music/sound/song01_khorn_flourish07.snd','player_music/sound/song01_khorn_flourish08.snd','player_music/sound/song01_khorn_intro.snd','player_music/sound/song01_khorn_outro.snd'),
 ('rock',10,'startMusic+rock','mandoviol',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',20,'player_music/sound/song01_mand_main.snd','player_music/sound/song01_mand_flourish01.snd','player_music/sound/song01_mand_flourish02.snd','player_music/sound/song01_mand_flourish03.snd','player_music/sound/song01_mand_flourish04.snd','player_music/sound/song01_mand_flourish05.snd','player_music/sound/song01_mand_flourish06.snd','player_music/sound/song01_mand_flourish07.snd','player_music/sound/song01_mand_flourish08.snd','player_music/sound/song01_mand_intro.snd','player_music/sound/song01_mand_outro.snd'),
 ('rock',1,'startMusic+rock','traz',' ',0,40,5,866729052,0,9,10,5,'healing_music_ability',20,'player_music/sound/song01_shorn_main.snd','player_music/sound/song01_shorn_flourish01.snd','player_music/sound/song01_shorn_flourish02.snd','player_music/sound/song01_shorn_flourish03.snd','player_music/sound/song01_shorn_flourish04.snd','player_music/sound/song01_shorn_flourish05.snd','player_music/sound/song01_shorn_flourish06.snd','player_music/sound/song01_shorn_flourish07.snd','player_music/sound/song01_shorn_flourish08.snd','player_music/sound/song01_shorn_intro.snd','player_music/sound/song01_shorn_outro.snd'),
 ('rock',7,'startMusic+rock','bandfill',' ',0,44,5,866729052,0,13,10,5,'healing_music_ability',20,'player_music/sound/song01_drum_main.snd','player_music/sound/song01_drum_flourish01.snd','player_music/sound/song01_drum_flourish02.snd','player_music/sound/song01_drum_flourish03.snd','player_music/sound/song01_drum_flourish04.snd','player_music/sound/song01_drum_flourish05.snd','player_music/sound/song01_drum_flourish06.snd','player_music/sound/song01_drum_flourish07.snd','player_music/sound/song01_drum_flourish08.snd','player_music/sound/song01_drum_intro.snd','player_music/sound/song01_drum_outro.snd'),
 ('rock',4,'startMusic+rock','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',15,'player_music/sound/song01_khorn_main.snd','player_music/sound/song01_khorn_flourish01.snd','player_music/sound/song01_khorn_flourish02.snd','player_music/sound/song01_khorn_flourish03.snd','player_music/sound/song01_khorn_flourish04.snd','player_music/sound/song01_khorn_flourish05.snd','player_music/sound/song01_khorn_flourish06.snd','player_music/sound/song01_khorn_flourish07.snd','player_music/sound/song01_khorn_flourish08.snd','player_music/sound/song01_khorn_intro.snd','player_music/sound/song01_khorn_outro.snd'),
 ('rock',8,'startMusic+rock','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',15,'player_music/sound/song01_drum_main.snd','player_music/sound/song01_drum_flourish01.snd','player_music/sound/song01_drum_flourish02.snd','player_music/sound/song01_drum_flourish03.snd','player_music/sound/song01_drum_flourish04.snd','player_music/sound/song01_drum_flourish05.snd','player_music/sound/song01_drum_flourish06.snd','player_music/sound/song01_drum_flourish07.snd','player_music/sound/song01_drum_flourish08.snd','player_music/sound/song01_drum_intro.snd','player_music/sound/song01_drum_outro.snd'),
 ('rock',9,'startMusic+rock','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',25,'player_music/sound/song01_nlrg_main.snd','player_music/sound/song01_nlrg_flourish01.snd','player_music/sound/song01_nlrg_flourish02.snd','player_music/sound/song01_nlrg_flourish03.snd','player_music/sound/song01_nlrg_flourish04.snd','player_music/sound/song01_nlrg_flourish05.snd','player_music/sound/song01_nlrg_flourish06.snd','player_music/sound/song01_nlrg_flourish07.snd','player_music/sound/song01_nlrg_flourish08.snd','player_music/sound/song01_nlrg_intro.snd','player_music/sound/song01_nlrg_outro.snd'),
 ('starwars2',2,'startMusic+starwars2','slitherhorn',' ',0,32,5,866729052,0,4,6,3,'healing_music_ability',20,'player_music/sound/song05_shorn_main.snd','player_music/sound/song05_shorn_flourish01.snd','player_music/sound/song05_shorn_flourish02.snd','player_music/sound/song05_shorn_flourish03.snd','player_music/sound/song05_shorn_flourish04.snd','player_music/sound/song05_shorn_flourish05.snd','player_music/sound/song05_shorn_flourish06.snd','player_music/sound/song05_shorn_flourish07.snd','player_music/sound/song05_shorn_flourish08.snd','player_music/sound/song05_shorn_intro.snd','player_music/sound/song05_shorn_outro.snd'),
 ('starwars2',6,'startMusic+starwars2','fizz',' ',0,32,5,866729052,0,4,6,3,'healing_music_ability',20,'player_music/sound/song05_khorn_main.snd','player_music/sound/song05_khorn_flourish01.snd','player_music/sound/song05_khorn_flourish02.snd','player_music/sound/song05_khorn_flourish03.snd','player_music/sound/song05_khorn_flourish04.snd','player_music/sound/song05_khorn_flourish05.snd','player_music/sound/song05_khorn_flourish06.snd','player_music/sound/song05_khorn_flourish07.snd','player_music/sound/song05_khorn_flourish08.snd','player_music/sound/song05_khorn_intro.snd','player_music/sound/song05_khorn_outro.snd'),
 ('starwars2',3,'startMusic+starwars2','fanfar',' ',0,36,5,866729052,0,6,6,3,'healing_music_ability',25,'player_music/sound/song05_shorn_main.snd','player_music/sound/song05_shorn_flourish01.snd','player_music/sound/song05_shorn_flourish02.snd','player_music/sound/song05_shorn_flourish03.snd','player_music/sound/song05_shorn_flourish04.snd','player_music/sound/song05_shorn_flourish05.snd','player_music/sound/song05_shorn_flourish06.snd','player_music/sound/song05_shorn_flourish07.snd','player_music/sound/song05_shorn_flourish08.snd','player_music/sound/song05_shorn_intro.snd','player_music/sound/song05_shorn_outro.snd'),
 ('starwars2',5,'startMusic+starwars2','kloohorn',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',25,'player_music/sound/song05_khorn_main.snd','player_music/sound/song05_khorn_flourish01.snd','player_music/sound/song05_khorn_flourish02.snd','player_music/sound/song05_khorn_flourish03.snd','player_music/sound/song05_khorn_flourish04.snd','player_music/sound/song05_khorn_flourish05.snd','player_music/sound/song05_khorn_flourish06.snd','player_music/sound/song05_khorn_flourish07.snd','player_music/sound/song05_khorn_flourish08.snd','player_music/sound/song05_khorn_intro.snd','player_music/sound/song05_khorn_outro.snd'),
 ('starwars2',10,'startMusic+starwars2','mandoviol',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',30,'player_music/sound/song05_mand_main.snd','player_music/sound/song05_mand_flourish01.snd','player_music/sound/song05_mand_flourish02.snd','player_music/sound/song05_mand_flourish03.snd','player_music/sound/song05_mand_flourish04.snd','player_music/sound/song05_mand_flourish05.snd','player_music/sound/song05_mand_flourish06.snd','player_music/sound/song05_mand_flourish07.snd','player_music/sound/song05_mand_flourish08.snd','player_music/sound/song05_mand_intro.snd','player_music/sound/song05_mand_outro.snd'),
 ('starwars2',1,'startMusic+starwars2','traz',' ',0,40,5,866729052,0,9,10,5,'healing_music_ability',30,'player_music/sound/song05_shorn_main.snd','player_music/sound/song05_shorn_flourish01.snd','player_music/sound/song05_shorn_flourish02.snd','player_music/sound/song05_shorn_flourish03.snd','player_music/sound/song05_shorn_flourish04.snd','player_music/sound/song05_shorn_flourish05.snd','player_music/sound/song05_shorn_flourish06.snd','player_music/sound/song05_shorn_flourish07.snd','player_music/sound/song05_shorn_flourish08.snd','player_music/sound/song05_shorn_intro.snd','player_music/sound/song05_shorn_outro.snd'),
 ('starwars2',7,'startMusic+starwars2','bandfill',' ',0,44,5,866729052,0,13,10,5,'healing_music_ability',30,'player_music/sound/song05_drum_main.snd','player_music/sound/song05_drum_flourish01.snd','player_music/sound/song05_drum_flourish02.snd','player_music/sound/song05_drum_flourish03.snd','player_music/sound/song05_drum_flourish04.snd','player_music/sound/song05_drum_flourish05.snd','player_music/sound/song05_drum_flourish06.snd','player_music/sound/song05_drum_flourish07.snd','player_music/sound/song05_drum_flourish08.snd','player_music/sound/song05_drum_intro.snd','player_music/sound/song05_drum_outro.snd'),
 ('starwars2',4,'startMusic+starwars2','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',25,'player_music/sound/song05_khorn_main.snd','player_music/sound/song05_khorn_flourish01.snd','player_music/sound/song05_khorn_flourish02.snd','player_music/sound/song05_khorn_flourish03.snd','player_music/sound/song05_khorn_flourish04.snd','player_music/sound/song05_khorn_flourish05.snd','player_music/sound/song05_khorn_flourish06.snd','player_music/sound/song05_khorn_flourish07.snd','player_music/sound/song05_khorn_flourish08.snd','player_music/sound/song05_khorn_intro.snd','player_music/sound/song05_khorn_outro.snd'),
 ('starwars2',8,'startMusic+starwars2','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',25,'player_music/sound/song05_drum_main.snd','player_music/sound/song05_drum_flourish01.snd','player_music/sound/song05_drum_flourish02.snd','player_music/sound/song05_drum_flourish03.snd','player_music/sound/song05_drum_flourish04.snd','player_music/sound/song05_drum_flourish05.snd','player_music/sound/song05_drum_flourish06.snd','player_music/sound/song05_drum_flourish07.snd','player_music/sound/song05_drum_flourish08.snd','player_music/sound/song05_drum_intro.snd','player_music/sound/song05_drum_outro.snd'),
 ('starwars2',9,'startMusic+starwars2','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',35,'player_music/sound/song05_nlrg_main.snd','player_music/sound/song05_nlrg_flourish01.snd','player_music/sound/song05_nlrg_flourish02.snd','player_music/sound/song05_nlrg_flourish03.snd','player_music/sound/song05_nlrg_flourish04.snd','player_music/sound/song05_nlrg_flourish05.snd','player_music/sound/song05_nlrg_flourish06.snd','player_music/sound/song05_nlrg_flourish07.snd','player_music/sound/song05_nlrg_flourish08.snd','player_music/sound/song05_nlrg_intro.snd','player_music/sound/song05_nlrg_outro.snd'),
 ('folk',2,'startMusic+folk','slitherhorn',' ',0,36,5,866729052,0,6,6,3,'healing_music_ability',30,'player_music/sound/song07_shorn_main.snd','player_music/sound/song07_shorn_flourish01.snd','player_music/sound/song07_shorn_flourish02.snd','player_music/sound/song07_shorn_flourish03.snd','player_music/sound/song07_shorn_flourish04.snd','player_music/sound/song07_shorn_flourish05.snd','player_music/sound/song07_shorn_flourish06.snd','player_music/sound/song07_shorn_flourish07.snd','player_music/sound/song07_shorn_flourish08.snd','player_music/sound/song07_shorn_intro.snd','player_music/sound/song07_shorn_outro.snd'),
 ('folk',6,'startMusic+folk','fizz',' ',0,36,5,866729052,0,6,6,3,'healing_music_ability',30,'player_music/sound/song07_khorn_main.snd','player_music/sound/song07_khorn_flourish01.snd','player_music/sound/song07_khorn_flourish02.snd','player_music/sound/song07_khorn_flourish03.snd','player_music/sound/song07_khorn_flourish04.snd','player_music/sound/song07_khorn_flourish05.snd','player_music/sound/song07_khorn_flourish06.snd','player_music/sound/song07_khorn_flourish07.snd','player_music/sound/song07_khorn_flourish08.snd','player_music/sound/song07_khorn_intro.snd','player_music/sound/song07_khorn_outro.snd'),
 ('folk',3,'startMusic+folk','fanfar',' ',0,36,5,866729052,0,6,6,3,'healing_music_ability',35,'player_music/sound/song07_shorn_main.snd','player_music/sound/song07_shorn_flourish01.snd','player_music/sound/song07_shorn_flourish02.snd','player_music/sound/song07_shorn_flourish03.snd','player_music/sound/song07_shorn_flourish04.snd','player_music/sound/song07_shorn_flourish05.snd','player_music/sound/song07_shorn_flourish06.snd','player_music/sound/song07_shorn_flourish07.snd','player_music/sound/song07_shorn_flourish08.snd','player_music/sound/song07_shorn_intro.snd','player_music/sound/song07_shorn_outro.snd'),
 ('folk',5,'startMusic+folk','kloohorn',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',35,'player_music/sound/song07_khorn_main.snd','player_music/sound/song07_khorn_flourish01.snd','player_music/sound/song07_khorn_flourish02.snd','player_music/sound/song07_khorn_flourish03.snd','player_music/sound/song07_khorn_flourish04.snd','player_music/sound/song07_khorn_flourish05.snd','player_music/sound/song07_khorn_flourish06.snd','player_music/sound/song07_khorn_flourish07.snd','player_music/sound/song07_khorn_flourish08.snd','player_music/sound/song07_khorn_intro.snd','player_music/sound/song07_khorn_outro.snd'),
 ('folk',10,'startMusic+folk','mandoviol',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',35,'player_music/sound/song07_mand_main.snd','player_music/sound/song07_mand_flourish01.snd','player_music/sound/song07_mand_flourish02.snd','player_music/sound/song07_mand_flourish03.snd','player_music/sound/song07_mand_flourish04.snd','player_music/sound/song07_mand_flourish05.snd','player_music/sound/song07_mand_flourish06.snd','player_music/sound/song07_mand_flourish07.snd','player_music/sound/song07_mand_flourish08.snd','player_music/sound/song07_mand_intro.snd','player_music/sound/song07_mand_outro.snd'),
 ('folk',1,'startMusic+folk','traz',' ',0,40,5,866729052,0,9,10,5,'healing_music_ability',40,'player_music/sound/song07_shorn_main.snd','player_music/sound/song07_shorn_flourish01.snd','player_music/sound/song07_shorn_flourish02.snd','player_music/sound/song07_shorn_flourish03.snd','player_music/sound/song07_shorn_flourish04.snd','player_music/sound/song07_shorn_flourish05.snd','player_music/sound/song07_shorn_flourish06.snd','player_music/sound/song07_shorn_flourish07.snd','player_music/sound/song07_shorn_flourish08.snd','player_music/sound/song07_shorn_intro.snd','player_music/sound/song07_shorn_outro.snd'),
 ('folk',7,'startMusic+folk','bandfill',' ',0,44,5,866729052,0,13,10,5,'healing_music_ability',40,'player_music/sound/song07_drum_main.snd','player_music/sound/song07_drum_flourish01.snd','player_music/sound/song07_drum_flourish02.snd','player_music/sound/song07_drum_flourish03.snd','player_music/sound/song07_drum_flourish04.snd','player_music/sound/song07_drum_flourish05.snd','player_music/sound/song07_drum_flourish06.snd','player_music/sound/song07_drum_flourish07.snd','player_music/sound/song07_drum_flourish08.snd','player_music/sound/song07_drum_intro.snd','player_music/sound/song07_drum_outro.snd'),
 ('folk',4,'startMusic+folk','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',35,'player_music/sound/song07_khorn_main.snd','player_music/sound/song07_khorn_flourish01.snd','player_music/sound/song07_khorn_flourish02.snd','player_music/sound/song07_khorn_flourish03.snd','player_music/sound/song07_khorn_flourish04.snd','player_music/sound/song07_khorn_flourish05.snd','player_music/sound/song07_khorn_flourish06.snd','player_music/sound/song07_khorn_flourish07.snd','player_music/sound/song07_khorn_flourish08.snd','player_music/sound/song07_khorn_intro.snd','player_music/sound/song07_khorn_outro.snd'),
 ('folk',8,'startMusic+folk','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',35,'player_music/sound/song07_drum_main.snd','player_music/sound/song07_drum_flourish01.snd','player_music/sound/song07_drum_flourish02.snd','player_music/sound/song07_drum_flourish03.snd','player_music/sound/song07_drum_flourish04.snd','player_music/sound/song07_drum_flourish05.snd','player_music/sound/song07_drum_flourish06.snd','player_music/sound/song07_drum_flourish07.snd','player_music/sound/song07_drum_flourish08.snd','player_music/sound/song07_drum_intro.snd','player_music/sound/song07_drum_outro.snd'),
 ('folk',9,'startMusic+folk','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',45,'player_music/sound/song07_nlrg_main.snd','player_music/sound/song07_nlrg_flourish01.snd','player_music/sound/song07_nlrg_flourish02.snd','player_music/sound/song07_nlrg_flourish03.snd','player_music/sound/song07_nlrg_flourish04.snd','player_music/sound/song07_nlrg_flourish05.snd','player_music/sound/song07_nlrg_flourish06.snd','player_music/sound/song07_nlrg_flourish07.snd','player_music/sound/song07_nlrg_flourish08.snd','player_music/sound/song07_nlrg_intro.snd','player_music/sound/song07_nlrg_outro.snd'),
 ('starwars3',2,'startMusic+starwars3','slitherhorn',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song06_shorn_main.snd','player_music/sound/song06_shorn_flourish01.snd','player_music/sound/song06_shorn_flourish02.snd','player_music/sound/song06_shorn_flourish03.snd','player_music/sound/song06_shorn_flourish04.snd','player_music/sound/song06_shorn_flourish05.snd','player_music/sound/song06_shorn_flourish06.snd','player_music/sound/song06_shorn_flourish07.snd','player_music/sound/song06_shorn_flourish08.snd','player_music/sound/song06_shorn_intro.snd','player_music/sound/song06_shorn_outro.snd'),
 ('starwars3',6,'startMusic+starwars3','fizz',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song06_khorn_main.snd','player_music/sound/song06_khorn_flourish01.snd','player_music/sound/song06_khorn_flourish02.snd','player_music/sound/song06_khorn_flourish03.snd','player_music/sound/song06_khorn_flourish04.snd','player_music/sound/song06_khorn_flourish05.snd','player_music/sound/song06_khorn_flourish06.snd','player_music/sound/song06_khorn_flourish07.snd','player_music/sound/song06_khorn_flourish08.snd','player_music/sound/song06_khorn_intro.snd','player_music/sound/song06_khorn_outro.snd'),
 ('starwars3',3,'startMusic+starwars3','fanfar',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song06_shorn_main.snd','player_music/sound/song06_shorn_flourish01.snd','player_music/sound/song06_shorn_flourish02.snd','player_music/sound/song06_shorn_flourish03.snd','player_music/sound/song06_shorn_flourish04.snd','player_music/sound/song06_shorn_flourish05.snd','player_music/sound/song06_shorn_flourish06.snd','player_music/sound/song06_shorn_flourish07.snd','player_music/sound/song06_shorn_flourish08.snd','player_music/sound/song06_shorn_intro.snd','player_music/sound/song06_shorn_outro.snd'),
 ('starwars3',5,'startMusic+starwars3','kloohorn',' ',0,36,5,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song06_khorn_main.snd','player_music/sound/song06_khorn_flourish01.snd','player_music/sound/song06_khorn_flourish02.snd','player_music/sound/song06_khorn_flourish03.snd','player_music/sound/song06_khorn_flourish04.snd','player_music/sound/song06_khorn_flourish05.snd','player_music/sound/song06_khorn_flourish06.snd','player_music/sound/song06_khorn_flourish07.snd','player_music/sound/song06_khorn_flourish08.snd','player_music/sound/song06_khorn_intro.snd','player_music/sound/song06_khorn_outro.snd'),
 ('starwars3',10,'startMusic+starwars3','mandoviol',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song06_mand_main.snd','player_music/sound/song06_mand_flourish01.snd','player_music/sound/song06_mand_flourish02.snd','player_music/sound/song06_mand_flourish03.snd','player_music/sound/song06_mand_flourish04.snd','player_music/sound/song06_mand_flourish05.snd','player_music/sound/song06_mand_flourish06.snd','player_music/sound/song06_mand_flourish07.snd','player_music/sound/song06_mand_flourish08.snd','player_music/sound/song06_mand_intro.snd','player_music/sound/song06_mand_outro.snd'),
 ('starwars3',1,'startMusic+starwars3','traz',' ',0,40,5,866729052,0,9,10,5,'healing_music_ability',50,'player_music/sound/song06_shorn_main.snd','player_music/sound/song06_shorn_flourish01.snd','player_music/sound/song06_shorn_flourish02.snd','player_music/sound/song06_shorn_flourish03.snd','player_music/sound/song06_shorn_flourish04.snd','player_music/sound/song06_shorn_flourish05.snd','player_music/sound/song06_shorn_flourish06.snd','player_music/sound/song06_shorn_flourish07.snd','player_music/sound/song06_shorn_flourish08.snd','player_music/sound/song06_shorn_intro.snd','player_music/sound/song06_shorn_outro.snd'),
 ('starwars3',7,'startMusic+starwars3','bandfill',' ',0,44,5,866729052,0,13,10,5,'healing_music_ability',50,'player_music/sound/song06_drum_main.snd','player_music/sound/song06_drum_flourish01.snd','player_music/sound/song06_drum_flourish02.snd','player_music/sound/song06_drum_flourish03.snd','player_music/sound/song06_drum_flourish04.snd','player_music/sound/song06_drum_flourish05.snd','player_music/sound/song06_drum_flourish06.snd','player_music/sound/song06_drum_flourish07.snd','player_music/sound/song06_drum_flourish08.snd','player_music/sound/song06_drum_intro.snd','player_music/sound/song06_drum_outro.snd'),
 ('starwars3',4,'startMusic+starwars3','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',45,'player_music/sound/song06_khorn_main.snd','player_music/sound/song06_khorn_flourish01.snd','player_music/sound/song06_khorn_flourish02.snd','player_music/sound/song06_khorn_flourish03.snd','player_music/sound/song06_khorn_flourish04.snd','player_music/sound/song06_khorn_flourish05.snd','player_music/sound/song06_khorn_flourish06.snd','player_music/sound/song06_khorn_flourish07.snd','player_music/sound/song06_khorn_flourish08.snd','player_music/sound/song06_khorn_intro.snd','player_music/sound/song06_khorn_outro.snd'),
 ('starwars3',8,'startMusic+starwars3','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',45,'player_music/sound/song06_drum_main.snd','player_music/sound/song06_drum_flourish01.snd','player_music/sound/song06_drum_flourish02.snd','player_music/sound/song06_drum_flourish03.snd','player_music/sound/song06_drum_flourish04.snd','player_music/sound/song06_drum_flourish05.snd','player_music/sound/song06_drum_flourish06.snd','player_music/sound/song06_drum_flourish07.snd','player_music/sound/song06_drum_flourish08.snd','player_music/sound/song06_drum_intro.snd','player_music/sound/song06_drum_outro.snd'),
 ('starwars3',9,'startMusic+starwars3','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',55,'player_music/sound/song06_nlrg_main.snd','player_music/sound/song06_nlrg_flourish01.snd','player_music/sound/song06_nlrg_flourish02.snd','player_music/sound/song06_nlrg_flourish03.snd','player_music/sound/song06_nlrg_flourish04.snd','player_music/sound/song06_nlrg_flourish05.snd','player_music/sound/song06_nlrg_flourish06.snd','player_music/sound/song06_nlrg_flourish07.snd','player_music/sound/song06_nlrg_flourish08.snd','player_music/sound/song06_nlrg_intro.snd','player_music/sound/song06_nlrg_outro.snd'),
 ('ceremonial',2,'startMusic+ceremonial','slitherhorn',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',45,'player_music/sound/song09_shorn_main.snd','player_music/sound/song09_shorn_flourish01.snd','player_music/sound/song09_shorn_flourish02.snd','player_music/sound/song09_shorn_flourish03.snd','player_music/sound/song09_shorn_flourish04.snd','player_music/sound/song09_shorn_flourish05.snd','player_music/sound/song09_shorn_flourish06.snd','player_music/sound/song09_shorn_flourish07.snd','player_music/sound/song09_shorn_flourish08.snd','player_music/sound/song09_shorn_intro.snd','player_music/sound/song09_shorn_outro.snd'),
 ('ceremonial',6,'startMusic+ceremonial','fizz',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',45,'player_music/sound/song09_khorn_main.snd','player_music/sound/song09_khorn_flourish01.snd','player_music/sound/song09_khorn_flourish02.snd','player_music/sound/song09_khorn_flourish03.snd','player_music/sound/song09_khorn_flourish04.snd','player_music/sound/song09_khorn_flourish05.snd','player_music/sound/song09_khorn_flourish06.snd','player_music/sound/song09_khorn_flourish07.snd','player_music/sound/song09_khorn_flourish08.snd','player_music/sound/song09_khorn_intro.snd','player_music/sound/song09_khorn_outro.snd'),
 ('ceremonial',3,'startMusic+ceremonial','fanfar',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song09_shorn_main.snd','player_music/sound/song09_shorn_flourish01.snd','player_music/sound/song09_shorn_flourish02.snd','player_music/sound/song09_shorn_flourish03.snd','player_music/sound/song09_shorn_flourish04.snd','player_music/sound/song09_shorn_flourish05.snd','player_music/sound/song09_shorn_flourish06.snd','player_music/sound/song09_shorn_flourish07.snd','player_music/sound/song09_shorn_flourish08.snd','player_music/sound/song09_shorn_intro.snd','player_music/sound/song09_shorn_outro.snd'),
 ('ceremonial',5,'startMusic+ceremonial','kloohorn',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song09_khorn_main.snd','player_music/sound/song09_khorn_flourish01.snd','player_music/sound/song09_khorn_flourish02.snd','player_music/sound/song09_khorn_flourish03.snd','player_music/sound/song09_khorn_flourish04.snd','player_music/sound/song09_khorn_flourish05.snd','player_music/sound/song09_khorn_flourish06.snd','player_music/sound/song09_khorn_flourish07.snd','player_music/sound/song09_khorn_flourish08.snd','player_music/sound/song09_khorn_intro.snd','player_music/sound/song09_khorn_outro.snd'),
 ('ceremonial',10,'startMusic+ceremonial','mandoviol',' ',0,40,5,866729052,0,9,8,4,'healing_music_ability',55,'player_music/sound/song09_mand_main.snd','player_music/sound/song09_mand_flourish01.snd','player_music/sound/song09_mand_flourish02.snd','player_music/sound/song09_mand_flourish03.snd','player_music/sound/song09_mand_flourish04.snd','player_music/sound/song09_mand_flourish05.snd','player_music/sound/song09_mand_flourish06.snd','player_music/sound/song09_mand_flourish07.snd','player_music/sound/song09_mand_flourish08.snd','player_music/sound/song09_mand_intro.snd','player_music/sound/song09_mand_outro.snd'),
 ('ceremonial',1,'startMusic+ceremonial','traz',' ',0,40,5,866729052,0,9,10,5,'healing_music_ability',55,'player_music/sound/song09_shorn_main.snd','player_music/sound/song09_shorn_flourish01.snd','player_music/sound/song09_shorn_flourish02.snd','player_music/sound/song09_shorn_flourish03.snd','player_music/sound/song09_shorn_flourish04.snd','player_music/sound/song09_shorn_flourish05.snd','player_music/sound/song09_shorn_flourish06.snd','player_music/sound/song09_shorn_flourish07.snd','player_music/sound/song09_shorn_flourish08.snd','player_music/sound/song09_shorn_intro.snd','player_music/sound/song09_shorn_outro.snd'),
 ('ceremonial',7,'startMusic+ceremonial','bandfill',' ',0,44,5,866729052,0,13,10,5,'healing_music_ability',55,'player_music/sound/song09_drum_main.snd','player_music/sound/song09_drum_flourish01.snd','player_music/sound/song09_drum_flourish02.snd','player_music/sound/song09_drum_flourish03.snd','player_music/sound/song09_drum_flourish04.snd','player_music/sound/song09_drum_flourish05.snd','player_music/sound/song09_drum_flourish06.snd','player_music/sound/song09_drum_flourish07.snd','player_music/sound/song09_drum_flourish08.snd','player_music/sound/song09_drum_intro.snd','player_music/sound/song09_drum_outro.snd'),
 ('ceremonial',4,'startMusic+ceremonial','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',50,'player_music/sound/song09_khorn_main.snd','player_music/sound/song09_khorn_flourish01.snd','player_music/sound/song09_khorn_flourish02.snd','player_music/sound/song09_khorn_flourish03.snd','player_music/sound/song09_khorn_flourish04.snd','player_music/sound/song09_khorn_flourish05.snd','player_music/sound/song09_khorn_flourish06.snd','player_music/sound/song09_khorn_flourish07.snd','player_music/sound/song09_khorn_flourish08.snd','player_music/sound/song09_khorn_intro.snd','player_music/sound/song09_khorn_outro.snd'),
 ('ceremonial',8,'startMusic+ceremonial','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',50,'player_music/sound/song09_drum_main.snd','player_music/sound/song09_drum_flourish01.snd','player_music/sound/song09_drum_flourish02.snd','player_music/sound/song09_drum_flourish03.snd','player_music/sound/song09_drum_flourish04.snd','player_music/sound/song09_drum_flourish05.snd','player_music/sound/song09_drum_flourish06.snd','player_music/sound/song09_drum_flourish07.snd','player_music/sound/song09_drum_flourish08.snd','player_music/sound/song09_drum_intro.snd','player_music/sound/song09_drum_outro.snd'),
 ('ceremonial',9,'startMusic+ceremonial','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',60,'player_music/sound/song09_nlrg_main.snd','player_music/sound/song09_nlrg_flourish01.snd','player_music/sound/song09_nlrg_flourish02.snd','player_music/sound/song09_nlrg_flourish03.snd','player_music/sound/song09_nlrg_flourish04.snd','player_music/sound/song09_nlrg_flourish05.snd','player_music/sound/song09_nlrg_flourish06.snd','player_music/sound/song09_nlrg_flourish07.snd','player_music/sound/song09_nlrg_flourish08.snd','player_music/sound/song09_nlrg_intro.snd','player_music/sound/song09_nlrg_outro.snd'),
 ('ballad',2,'startMusic+ballad','slitherhorn',' ',0,40,5,866729052,0,11,10,5,'healing_music_ability',60,'player_music/sound/song08_shorn_main.snd','player_music/sound/song08_shorn_flourish01.snd','player_music/sound/song08_shorn_flourish02.snd','player_music/sound/song08_shorn_flourish03.snd','player_music/sound/song08_shorn_flourish04.snd','player_music/sound/song08_shorn_flourish05.snd','player_music/sound/song08_shorn_flourish06.snd','player_music/sound/song08_shorn_flourish07.snd','player_music/sound/song08_shorn_flourish08.snd','player_music/sound/song08_shorn_intro.snd','player_music/sound/song08_shorn_outro.snd'),
 ('ballad',6,'startMusic+ballad','fizz',' ',0,40,5,866729052,0,11,10,5,'healing_music_ability',60,'player_music/sound/song08_khorn_main.snd','player_music/sound/song08_khorn_flourish01.snd','player_music/sound/song08_khorn_flourish02.snd','player_music/sound/song08_khorn_flourish03.snd','player_music/sound/song08_khorn_flourish04.snd','player_music/sound/song08_khorn_flourish05.snd','player_music/sound/song08_khorn_flourish06.snd','player_music/sound/song08_khorn_flourish07.snd','player_music/sound/song08_khorn_flourish08.snd','player_music/sound/song08_khorn_intro.snd','player_music/sound/song08_khorn_outro.snd'),
 ('ballad',3,'startMusic+ballad','fanfar',' ',0,40,5,866729052,0,11,10,5,'healing_music_ability',65,'player_music/sound/song08_shorn_main.snd','player_music/sound/song08_shorn_flourish01.snd','player_music/sound/song08_shorn_flourish02.snd','player_music/sound/song08_shorn_flourish03.snd','player_music/sound/song08_shorn_flourish04.snd','player_music/sound/song08_shorn_flourish05.snd','player_music/sound/song08_shorn_flourish06.snd','player_music/sound/song08_shorn_flourish07.snd','player_music/sound/song08_shorn_flourish08.snd','player_music/sound/song08_shorn_intro.snd','player_music/sound/song08_shorn_outro.snd'),
 ('ballad',5,'startMusic+ballad','kloohorn',' ',0,40,5,866729052,0,11,10,5,'healing_music_ability',65,'player_music/sound/song08_khorn_main.snd','player_music/sound/song08_khorn_flourish01.snd','player_music/sound/song08_khorn_flourish02.snd','player_music/sound/song08_khorn_flourish03.snd','player_music/sound/song08_khorn_flourish04.snd','player_music/sound/song08_khorn_flourish05.snd','player_music/sound/song08_khorn_flourish06.snd','player_music/sound/song08_khorn_flourish07.snd','player_music/sound/song08_khorn_flourish08.snd','player_music/sound/song08_khorn_intro.snd','player_music/sound/song08_khorn_outro.snd'),
 ('ballad',10,'startMusic+ballad','mandoviol',' ',0,40,5,866729052,0,11,10,5,'healing_music_ability',70,'player_music/sound/song08_mand_main.snd','player_music/sound/song08_mand_flourish01.snd','player_music/sound/song08_mand_flourish02.snd','player_music/sound/song08_mand_flourish03.snd','player_music/sound/song08_mand_flourish04.snd','player_music/sound/song08_mand_flourish05.snd','player_music/sound/song08_mand_flourish06.snd','player_music/sound/song08_mand_flourish07.snd','player_music/sound/song08_mand_flourish08.snd','player_music/sound/song08_mand_intro.snd','player_music/sound/song08_mand_outro.snd'),
 ('ballad',1,'startMusic+ballad','traz',' ',0,40,5,866729052,0,11,10,5,'healing_music_ability',70,'player_music/sound/song08_shorn_main.snd','player_music/sound/song08_shorn_flourish01.snd','player_music/sound/song08_shorn_flourish02.snd','player_music/sound/song08_shorn_flourish03.snd','player_music/sound/song08_shorn_flourish04.snd','player_music/sound/song08_shorn_flourish05.snd','player_music/sound/song08_shorn_flourish06.snd','player_music/sound/song08_shorn_flourish07.snd','player_music/sound/song08_shorn_flourish08.snd','player_music/sound/song08_shorn_intro.snd','player_music/sound/song08_shorn_outro.snd'),
 ('ballad',7,'startMusic+ballad','bandfill',' ',0,44,5,866729052,0,13,10,5,'healing_music_ability',70,'player_music/sound/song08_drum_main.snd','player_music/sound/song08_drum_flourish01.snd','player_music/sound/song08_drum_flourish02.snd','player_music/sound/song08_drum_flourish03.snd','player_music/sound/song08_drum_flourish04.snd','player_music/sound/song08_drum_flourish05.snd','player_music/sound/song08_drum_flourish06.snd','player_music/sound/song08_drum_flourish07.snd','player_music/sound/song08_drum_flourish08.snd','player_music/sound/song08_drum_intro.snd','player_music/sound/song08_drum_outro.snd'),
 ('ballad',4,'startMusic+ballad','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',65,'player_music/sound/song08_khorn_main.snd','player_music/sound/song08_khorn_flourish01.snd','player_music/sound/song08_khorn_flourish02.snd','player_music/sound/song08_khorn_flourish03.snd','player_music/sound/song08_khorn_flourish04.snd','player_music/sound/song08_khorn_flourish05.snd','player_music/sound/song08_khorn_flourish06.snd','player_music/sound/song08_khorn_flourish07.snd','player_music/sound/song08_khorn_flourish08.snd','player_music/sound/song08_khorn_intro.snd','player_music/sound/song08_khorn_outro.snd'),
 ('ballad',8,'startMusic+ballad','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',65,'player_music/sound/song08_drum_main.snd','player_music/sound/song08_drum_flourish01.snd','player_music/sound/song08_drum_flourish02.snd','player_music/sound/song08_drum_flourish03.snd','player_music/sound/song08_drum_flourish04.snd','player_music/sound/song08_drum_flourish05.snd','player_music/sound/song08_drum_flourish06.snd','player_music/sound/song08_drum_flourish07.snd','player_music/sound/song08_drum_flourish08.snd','player_music/sound/song08_drum_intro.snd','player_music/sound/song08_drum_outro.snd'),
 ('ballad',9,'startMusic+ballad','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',75,'player_music/sound/song08_nlrg_main.snd','player_music/sound/song08_nlrg_flourish01.snd','player_music/sound/song08_nlrg_flourish02.snd','player_music/sound/song08_nlrg_flourish03.snd','player_music/sound/song08_nlrg_flourish04.snd','player_music/sound/song08_nlrg_flourish05.snd','player_music/sound/song08_nlrg_flourish06.snd','player_music/sound/song08_nlrg_flourish07.snd','player_music/sound/song08_nlrg_flourish08.snd','player_music/sound/song08_nlrg_intro.snd','player_music/sound/song08_nlrg_outro.snd'),
 ('waltz',2,'startMusic+waltz','slitherhorn',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',70,'player_music/sound/song10_shorn_main.snd','player_music/sound/song10_shorn_flourish01.snd','player_music/sound/song10_shorn_flourish02.snd','player_music/sound/song10_shorn_flourish03.snd','player_music/sound/song10_shorn_flourish04.snd','player_music/sound/song10_shorn_flourish05.snd','player_music/sound/song10_shorn_flourish06.snd','player_music/sound/song10_shorn_flourish07.snd','player_music/sound/song10_shorn_flourish08.snd','player_music/sound/song10_shorn_intro.snd','player_music/sound/song10_shorn_outro.snd'),
 ('waltz',6,'startMusic+waltz','fizz',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',70,'player_music/sound/song10_khorn_main.snd','player_music/sound/song10_khorn_flourish01.snd','player_music/sound/song10_khorn_flourish02.snd','player_music/sound/song10_khorn_flourish03.snd','player_music/sound/song10_khorn_flourish04.snd','player_music/sound/song10_khorn_flourish05.snd','player_music/sound/song10_khorn_flourish06.snd','player_music/sound/song10_khorn_flourish07.snd','player_music/sound/song10_khorn_flourish08.snd','player_music/sound/song10_khorn_intro.snd','player_music/sound/song10_khorn_outro.snd'),
 ('waltz',3,'startMusic+waltz','fanfar',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',75,'player_music/sound/song10_shorn_main.snd','player_music/sound/song10_shorn_flourish01.snd','player_music/sound/song10_shorn_flourish02.snd','player_music/sound/song10_shorn_flourish03.snd','player_music/sound/song10_shorn_flourish04.snd','player_music/sound/song10_shorn_flourish05.snd','player_music/sound/song10_shorn_flourish06.snd','player_music/sound/song10_shorn_flourish07.snd','player_music/sound/song10_shorn_flourish08.snd','player_music/sound/song10_shorn_intro.snd','player_music/sound/song10_shorn_outro.snd'),
 ('waltz',5,'startMusic+waltz','kloohorn',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',75,'player_music/sound/song10_khorn_main.snd','player_music/sound/song10_khorn_flourish01.snd','player_music/sound/song10_khorn_flourish02.snd','player_music/sound/song10_khorn_flourish03.snd','player_music/sound/song10_khorn_flourish04.snd','player_music/sound/song10_khorn_flourish05.snd','player_music/sound/song10_khorn_flourish06.snd','player_music/sound/song10_khorn_flourish07.snd','player_music/sound/song10_khorn_flourish08.snd','player_music/sound/song10_khorn_intro.snd','player_music/sound/song10_khorn_outro.snd'),
 ('waltz',10,'startMusic+waltz','mandoviol',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',80,'player_music/sound/song10_mand_main.snd','player_music/sound/song10_mand_flourish01.snd','player_music/sound/song10_mand_flourish02.snd','player_music/sound/song10_mand_flourish03.snd','player_music/sound/song10_mand_flourish04.snd','player_music/sound/song10_mand_flourish05.snd','player_music/sound/song10_mand_flourish06.snd','player_music/sound/song10_mand_flourish07.snd','player_music/sound/song10_mand_flourish08.snd','player_music/sound/song10_mand_intro.snd','player_music/sound/song10_mand_outro.snd'),
 ('waltz',1,'startMusic+waltz','traz',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',80,'player_music/sound/song10_shorn_main.snd','player_music/sound/song10_shorn_flourish01.snd','player_music/sound/song10_shorn_flourish02.snd','player_music/sound/song10_shorn_flourish03.snd','player_music/sound/song10_shorn_flourish04.snd','player_music/sound/song10_shorn_flourish05.snd','player_music/sound/song10_shorn_flourish06.snd','player_music/sound/song10_shorn_flourish07.snd','player_music/sound/song10_shorn_flourish08.snd','player_music/sound/song10_shorn_intro.snd','player_music/sound/song10_shorn_outro.snd'),
 ('waltz',7,'startMusic+waltz','bandfill',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',80,'player_music/sound/song10_drum_main.snd','player_music/sound/song10_drum_flourish01.snd','player_music/sound/song10_drum_flourish02.snd','player_music/sound/song10_drum_flourish03.snd','player_music/sound/song10_drum_flourish04.snd','player_music/sound/song10_drum_flourish05.snd','player_music/sound/song10_drum_flourish06.snd','player_music/sound/song10_drum_flourish07.snd','player_music/sound/song10_drum_flourish08.snd','player_music/sound/song10_drum_intro.snd','player_music/sound/song10_drum_outro.snd'),
 ('waltz',4,'startMusic+waltz','flutedroopy',' ',0,44,5,866729052,0,15,12,6,'healing_music_ability',75,'player_music/sound/song10_khorn_main.snd','player_music/sound/song10_khorn_flourish01.snd','player_music/sound/song10_khorn_flourish02.snd','player_music/sound/song10_khorn_flourish03.snd','player_music/sound/song10_khorn_flourish04.snd','player_music/sound/song10_khorn_flourish05.snd','player_music/sound/song10_khorn_flourish06.snd','player_music/sound/song10_khorn_flourish07.snd','player_music/sound/song10_khorn_flourish08.snd','player_music/sound/song10_khorn_intro.snd','player_music/sound/song10_khorn_outro.snd'),
 ('waltz',8,'startMusic+waltz','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',75,'player_music/sound/song10_drum_main.snd','player_music/sound/song10_drum_flourish01.snd','player_music/sound/song10_drum_flourish02.snd','player_music/sound/song10_drum_flourish03.snd','player_music/sound/song10_drum_flourish04.snd','player_music/sound/song10_drum_flourish05.snd','player_music/sound/song10_drum_flourish06.snd','player_music/sound/song10_drum_flourish07.snd','player_music/sound/song10_drum_flourish08.snd','player_music/sound/song10_drum_intro.snd','player_music/sound/song10_drum_outro.snd'),
 ('waltz',9,'startMusic+waltz','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',85,'player_music/sound/song10_nlrg_main.snd','player_music/sound/song10_nlrg_flourish01.snd','player_music/sound/song10_nlrg_flourish02.snd','player_music/sound/song10_nlrg_flourish03.snd','player_music/sound/song10_nlrg_flourish04.snd','player_music/sound/song10_nlrg_flourish05.snd','player_music/sound/song10_nlrg_flourish06.snd','player_music/sound/song10_nlrg_flourish07.snd','player_music/sound/song10_nlrg_flourish08.snd','player_music/sound/song10_nlrg_intro.snd','player_music/sound/song10_nlrg_outro.snd'),
 ('jazz',2,'startMusic+jazz','slitherhorn',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',85,'player_music/sound/song02_shorn_main.snd','player_music/sound/song02_shorn_flourish01.snd','player_music/sound/song02_shorn_flourish02.snd','player_music/sound/song02_shorn_flourish03.snd','player_music/sound/song02_shorn_flourish04.snd','player_music/sound/song02_shorn_flourish05.snd','player_music/sound/song02_shorn_flourish06.snd','player_music/sound/song02_shorn_flourish07.snd','player_music/sound/song02_shorn_flourish08.snd','player_music/sound/song02_shorn_intro.snd','player_music/sound/song02_shorn_outro.snd'),
 ('jazz',6,'startMusic+jazz','fizz',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',85,'player_music/sound/song02_khorn_main.snd','player_music/sound/song02_khorn_flourish01.snd','player_music/sound/song02_khorn_flourish02.snd','player_music/sound/song02_khorn_flourish03.snd','player_music/sound/song02_khorn_flourish04.snd','player_music/sound/song02_khorn_flourish05.snd','player_music/sound/song02_khorn_flourish06.snd','player_music/sound/song02_khorn_flourish07.snd','player_music/sound/song02_khorn_flourish08.snd','player_music/sound/song02_khorn_intro.snd','player_music/sound/song02_khorn_outro.snd'),
 ('jazz',3,'startMusic+jazz','fanfar',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_shorn_main.snd','player_music/sound/song02_shorn_flourish01.snd','player_music/sound/song02_shorn_flourish02.snd','player_music/sound/song02_shorn_flourish03.snd','player_music/sound/song02_shorn_flourish04.snd','player_music/sound/song02_shorn_flourish05.snd','player_music/sound/song02_shorn_flourish06.snd','player_music/sound/song02_shorn_flourish07.snd','player_music/sound/song02_shorn_flourish08.snd','player_music/sound/song02_shorn_intro.snd','player_music/sound/song02_shorn_outro.snd'),
 ('jazz',5,'startMusic+jazz','kloohorn',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_khorn_main.snd','player_music/sound/song02_khorn_flourish01.snd','player_music/sound/song02_khorn_flourish02.snd','player_music/sound/song02_khorn_flourish03.snd','player_music/sound/song02_khorn_flourish04.snd','player_music/sound/song02_khorn_flourish05.snd','player_music/sound/song02_khorn_flourish06.snd','player_music/sound/song02_khorn_flourish07.snd','player_music/sound/song02_khorn_flourish08.snd','player_music/sound/song02_khorn_intro.snd','player_music/sound/song02_khorn_outro.snd'),
 ('jazz',10,'startMusic+jazz','mandoviol',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',95,'player_music/sound/song02_mand_main.snd','player_music/sound/song02_mand_flourish01.snd','player_music/sound/song02_mand_flourish02.snd','player_music/sound/song02_mand_flourish03.snd','player_music/sound/song02_mand_flourish04.snd','player_music/sound/song02_mand_flourish05.snd','player_music/sound/song02_mand_flourish06.snd','player_music/sound/song02_mand_flourish07.snd','player_music/sound/song02_mand_flourish08.snd','player_music/sound/song02_mand_intro.snd','player_music/sound/song02_mand_outro.snd'),
 ('jazz',1,'startMusic+jazz','traz',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',95,'player_music/sound/song02_shorn_main.snd','player_music/sound/song02_shorn_flourish01.snd','player_music/sound/song02_shorn_flourish02.snd','player_music/sound/song02_shorn_flourish03.snd','player_music/sound/song02_shorn_flourish04.snd','player_music/sound/song02_shorn_flourish05.snd','player_music/sound/song02_shorn_flourish06.snd','player_music/sound/song02_shorn_flourish07.snd','player_music/sound/song02_shorn_flourish08.snd','player_music/sound/song02_shorn_intro.snd','player_music/sound/song02_shorn_outro.snd'),
 ('jazz',7,'startMusic+jazz','bandfill',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',95,'player_music/sound/song02_drum_main.snd','player_music/sound/song02_drum_flourish01.snd','player_music/sound/song02_drum_flourish02.snd','player_music/sound/song02_drum_flourish03.snd','player_music/sound/song02_drum_flourish04.snd','player_music/sound/song02_drum_flourish05.snd','player_music/sound/song02_drum_flourish06.snd','player_music/sound/song02_drum_flourish07.snd','player_music/sound/song02_drum_flourish08.snd','player_music/sound/song02_drum_intro.snd','player_music/sound/song02_drum_outro.snd'),
 ('jazz',4,'startMusic+jazz','flutedroopy',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_khorn_main.snd','player_music/sound/song02_khorn_flourish01.snd','player_music/sound/song02_khorn_flourish02.snd','player_music/sound/song02_khorn_flourish03.snd','player_music/sound/song02_khorn_flourish04.snd','player_music/sound/song02_khorn_flourish05.snd','player_music/sound/song02_khorn_flourish06.snd','player_music/sound/song02_khorn_flourish07.snd','player_music/sound/song02_khorn_flourish08.snd','player_music/sound/song02_khorn_intro.snd','player_music/sound/song02_khorn_outro.snd'),
 ('jazz',8,'startMusic+jazz','omnibox',' ',0,48,5,866729052,0,17,12,6,'healing_music_ability',90,'player_music/sound/song02_drum_main.snd','player_music/sound/song02_drum_flourish01.snd','player_music/sound/song02_drum_flourish02.snd','player_music/sound/song02_drum_flourish03.snd','player_music/sound/song02_drum_flourish04.snd','player_music/sound/song02_drum_flourish05.snd','player_music/sound/song02_drum_flourish06.snd','player_music/sound/song02_drum_flourish07.snd','player_music/sound/song02_drum_flourish08.snd','player_music/sound/song02_drum_intro.snd','player_music/sound/song02_drum_outro.snd'),
 ('jazz',9,'startMusic+jazz','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song02_nlrg_main.snd','player_music/sound/song02_nlrg_flourish01.snd','player_music/sound/song02_nlrg_flourish02.snd','player_music/sound/song02_nlrg_flourish03.snd','player_music/sound/song02_nlrg_flourish04.snd','player_music/sound/song02_nlrg_flourish05.snd','player_music/sound/song02_nlrg_flourish06.snd','player_music/sound/song02_nlrg_flourish07.snd','player_music/sound/song02_nlrg_flourish08.snd','player_music/sound/song02_nlrg_intro.snd','player_music/sound/song02_nlrg_outro.snd'),
 ('virtuoso',2,'startMusic+virtuoso','slitherhorn',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_shorn_main.snd','player_music/sound/song03_shorn_flourish01.snd','player_music/sound/song03_shorn_flourish02.snd','player_music/sound/song03_shorn_flourish03.snd','player_music/sound/song03_shorn_flourish04.snd','player_music/sound/song03_shorn_flourish05.snd','player_music/sound/song03_shorn_flourish06.snd','player_music/sound/song03_shorn_flourish07.snd','player_music/sound/song03_shorn_flourish08.snd','player_music/sound/song03_shorn_intro.snd','player_music/sound/song03_shorn_outro.snd'),
 ('virtuoso',6,'startMusic+virtuoso','fizz',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_khorn_main.snd','player_music/sound/song03_khorn_flourish01.snd','player_music/sound/song03_khorn_flourish02.snd','player_music/sound/song03_khorn_flourish03.snd','player_music/sound/song03_khorn_flourish04.snd','player_music/sound/song03_khorn_flourish05.snd','player_music/sound/song03_khorn_flourish06.snd','player_music/sound/song03_khorn_flourish07.snd','player_music/sound/song03_khorn_flourish08.snd','player_music/sound/song03_khorn_intro.snd','player_music/sound/song03_khorn_outro.snd'),
 ('virtuoso',3,'startMusic+virtuoso','fanfar',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_shorn_main.snd','player_music/sound/song03_shorn_flourish01.snd','player_music/sound/song03_shorn_flourish02.snd','player_music/sound/song03_shorn_flourish03.snd','player_music/sound/song03_shorn_flourish04.snd','player_music/sound/song03_shorn_flourish05.snd','player_music/sound/song03_shorn_flourish06.snd','player_music/sound/song03_shorn_flourish07.snd','player_music/sound/song03_shorn_flourish08.snd','player_music/sound/song03_shorn_intro.snd','player_music/sound/song03_shorn_outro.snd'),
 ('virtuoso',5,'startMusic+virtuoso','kloohorn',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_khorn_main.snd','player_music/sound/song03_khorn_flourish01.snd','player_music/sound/song03_khorn_flourish02.snd','player_music/sound/song03_khorn_flourish03.snd','player_music/sound/song03_khorn_flourish04.snd','player_music/sound/song03_khorn_flourish05.snd','player_music/sound/song03_khorn_flourish06.snd','player_music/sound/song03_khorn_flourish07.snd','player_music/sound/song03_khorn_flourish08.snd','player_music/sound/song03_khorn_intro.snd','player_music/sound/song03_khorn_outro.snd'),
 ('virtuoso',10,'startMusic+virtuoso','mandoviol',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_mand_main.snd','player_music/sound/song03_mand_flourish01.snd','player_music/sound/song03_mand_flourish02.snd','player_music/sound/song03_mand_flourish03.snd','player_music/sound/song03_mand_flourish04.snd','player_music/sound/song03_mand_flourish05.snd','player_music/sound/song03_mand_flourish06.snd','player_music/sound/song03_mand_flourish07.snd','player_music/sound/song03_mand_flourish08.snd','player_music/sound/song03_mand_intro.snd','player_music/sound/song03_mand_outro.snd'),
 ('virtuoso',1,'startMusic+virtuoso','traz',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_shorn_main.snd','player_music/sound/song03_shorn_flourish01.snd','player_music/sound/song03_shorn_flourish02.snd','player_music/sound/song03_shorn_flourish03.snd','player_music/sound/song03_shorn_flourish04.snd','player_music/sound/song03_shorn_flourish05.snd','player_music/sound/song03_shorn_flourish06.snd','player_music/sound/song03_shorn_flourish07.snd','player_music/sound/song03_shorn_flourish08.snd','player_music/sound/song03_shorn_intro.snd','player_music/sound/song03_shorn_outro.snd'),
 ('virtuoso',7,'startMusic+virtuoso','bandfill',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_drum_main.snd','player_music/sound/song03_drum_flourish01.snd','player_music/sound/song03_drum_flourish02.snd','player_music/sound/song03_drum_flourish03.snd','player_music/sound/song03_drum_flourish04.snd','player_music/sound/song03_drum_flourish05.snd','player_music/sound/song03_drum_flourish06.snd','player_music/sound/song03_drum_flourish07.snd','player_music/sound/song03_drum_flourish08.snd','player_music/sound/song03_drum_intro.snd','player_music/sound/song03_drum_outro.snd'),
 ('virtuoso',4,'startMusic+virtuoso','flutedroopy',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_khorn_main.snd','player_music/sound/song03_khorn_flourish01.snd','player_music/sound/song03_khorn_flourish02.snd','player_music/sound/song03_khorn_flourish03.snd','player_music/sound/song03_khorn_flourish04.snd','player_music/sound/song03_khorn_flourish05.snd','player_music/sound/song03_khorn_flourish06.snd','player_music/sound/song03_khorn_flourish07.snd','player_music/sound/song03_khorn_flourish08.snd','player_music/sound/song03_khorn_intro.snd','player_music/sound/song03_khorn_outro.snd'),
 ('virtuoso',8,'startMusic+virtuoso','omnibox',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_drum_main.snd','player_music/sound/song03_drum_flourish01.snd','player_music/sound/song03_drum_flourish02.snd','player_music/sound/song03_drum_flourish03.snd','player_music/sound/song03_drum_flourish04.snd','player_music/sound/song03_drum_flourish05.snd','player_music/sound/song03_drum_flourish06.snd','player_music/sound/song03_drum_flourish07.snd','player_music/sound/song03_drum_flourish08.snd','player_music/sound/song03_drum_intro.snd','player_music/sound/song03_drum_outro.snd'),
 ('virtuoso',9,'startMusic+virtuoso','nalargon',' ',0,48,5,866729052,0,20,14,7,'healing_music_ability',100,'player_music/sound/song03_nlrg_main.snd','player_music/sound/song03_nlrg_flourish01.snd','player_music/sound/song03_nlrg_flourish02.snd','player_music/sound/song03_nlrg_flourish03.snd','player_music/sound/song03_nlrg_flourish04.snd','player_music/sound/song03_nlrg_flourish05.snd','player_music/sound/song03_nlrg_flourish06.snd','player_music/sound/song03_nlrg_flourish07.snd','player_music/sound/song03_nlrg_flourish08.snd','player_music/sound/song03_nlrg_intro.snd','player_music/sound/song03_nlrg_outro.snd'),
 ('western',2,'startMusic+western','slitherhorn',' ',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song16_shorn_main.snd','player_music/sound/song16_shorn_flourish01.snd','player_music/sound/song16_shorn_flourish02.snd','player_music/sound/song16_shorn_flourish03.snd','player_music/sound/song16_shorn_flourish04.snd','player_music/sound/song16_shorn_flourish05.snd','player_music/sound/song16_shorn_flourish06.snd','player_music/sound/song16_shorn_flourish07.snd','player_music/sound/song16_shorn_flourish08.snd','player_music/sound/song16_shorn_intro.snd','player_music/sound/song16_shorn_outro.snd'),
 ('western',6,'startMusic+western','fizz',' ',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',40,'player_music/sound/song16_khorn_main.snd','player_music/sound/song16_khorn_flourish01.snd','player_music/sound/song16_khorn_flourish02.snd','player_music/sound/song16_khorn_flourish03.snd','player_music/sound/song16_khorn_flourish04.snd','player_music/sound/song16_khorn_flourish05.snd','player_music/sound/song16_khorn_flourish06.snd','player_music/sound/song16_khorn_flourish07.snd','player_music/sound/song16_khorn_flourish08.snd','player_music/sound/song16_khorn_intro.snd','player_music/sound/song16_khorn_outro.snd'),
 ('western',3,'startMusic+western','fanfar',' ',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song16_shorn_main.snd','player_music/sound/song16_shorn_flourish01.snd','player_music/sound/song16_shorn_flourish02.snd','player_music/sound/song16_shorn_flourish03.snd','player_music/sound/song16_shorn_flourish04.snd','player_music/sound/song16_shorn_flourish05.snd','player_music/sound/song16_shorn_flourish06.snd','player_music/sound/song16_shorn_flourish07.snd','player_music/sound/song16_shorn_flourish08.snd','player_music/sound/song16_shorn_intro.snd','player_music/sound/song16_shorn_outro.snd'),
 ('western',5,'startMusic+western','kloohorn',' ',0,36,6.43,866729052,0,7,8,4,'healing_music_ability',45,'player_music/sound/song16_khorn_main.snd','player_music/sound/song16_khorn_flourish01.snd','player_music/sound/song16_khorn_flourish02.snd','player_music/sound/song16_khorn_flourish03.snd','player_music/sound/song16_khorn_flourish04.snd','player_music/sound/song16_khorn_flourish05.snd','player_music/sound/song16_khorn_flourish06.snd','player_music/sound/song16_khorn_flourish07.snd','player_music/sound/song16_khorn_flourish08.snd','player_music/sound/song16_khorn_intro.snd','player_music/sound/song16_khorn_outro.snd');
INSERT INTO `swgemu`.`performance_performance` VALUES  ('western',10,'startMusic+western','mandoviol',' ',0,40,6.43,866729052,0,9,8,4,'healing_music_ability',50,'player_music/sound/song16_mand_main.snd','player_music/sound/song16_mand_flourish01.snd','player_music/sound/song16_mand_flourish02.snd','player_music/sound/song16_mand_flourish03.snd','player_music/sound/song16_mand_flourish04.snd','player_music/sound/song16_mand_flourish05.snd','player_music/sound/song16_mand_flourish06.snd','player_music/sound/song16_mand_flourish07.snd','player_music/sound/song16_mand_flourish08.snd','player_music/sound/song16_mand_intro.snd','player_music/sound/song16_mand_outro.snd'),
 ('western',1,'startMusic+western','traz',' ',0,40,6.43,866729052,0,9,10,5,'healing_music_ability',50,'player_music/sound/song16_shorn_main.snd','player_music/sound/song16_shorn_flourish01.snd','player_music/sound/song16_shorn_flourish02.snd','player_music/sound/song16_shorn_flourish03.snd','player_music/sound/song16_shorn_flourish04.snd','player_music/sound/song16_shorn_flourish05.snd','player_music/sound/song16_shorn_flourish06.snd','player_music/sound/song16_shorn_flourish07.snd','player_music/sound/song16_shorn_flourish08.snd','player_music/sound/song16_shorn_intro.snd','player_music/sound/song16_shorn_outro.snd'),
 ('western',7,'startMusic+western','bandfill',' ',0,44,6.43,866729052,0,13,10,5,'healing_music_ability',50,'player_music/sound/song16_drum_main.snd','player_music/sound/song16_drum_flourish01.snd','player_music/sound/song16_drum_flourish02.snd','player_music/sound/song16_drum_flourish03.snd','player_music/sound/song16_drum_flourish04.snd','player_music/sound/song16_drum_flourish05.snd','player_music/sound/song16_drum_flourish06.snd','player_music/sound/song16_drum_flourish07.snd','player_music/sound/song16_drum_flourish08.snd','player_music/sound/song16_drum_intro.snd','player_music/sound/song16_drum_outro.snd'),
 ('western',4,'startMusic+western','flutedroopy',' ',0,44,6.43,866729052,0,15,12,6,'healing_music_ability',45,'player_music/sound/song16_khorn_main.snd','player_music/sound/song16_khorn_flourish01.snd','player_music/sound/song16_khorn_flourish02.snd','player_music/sound/song16_khorn_flourish03.snd','player_music/sound/song16_khorn_flourish04.snd','player_music/sound/song16_khorn_flourish05.snd','player_music/sound/song16_khorn_flourish06.snd','player_music/sound/song16_khorn_flourish07.snd','player_music/sound/song16_khorn_flourish08.snd','player_music/sound/song16_khorn_intro.snd','player_music/sound/song16_khorn_outro.snd'),
 ('western',8,'startMusic+western','omnibox',' ',0,48,6.43,866729052,0,17,12,6,'healing_music_ability',45,'player_music/sound/song16_drum_main.snd','player_music/sound/song16_drum_flourish01.snd','player_music/sound/song16_drum_flourish02.snd','player_music/sound/song16_drum_flourish03.snd','player_music/sound/song16_drum_flourish04.snd','player_music/sound/song16_drum_flourish05.snd','player_music/sound/song16_drum_flourish06.snd','player_music/sound/song16_drum_flourish07.snd','player_music/sound/song16_drum_flourish08.snd','player_music/sound/song16_drum_intro.snd','player_music/sound/song16_drum_outro.snd'),
 ('western',9,'startMusic+western','nalargon',' ',0,48,6.43,866729052,0,20,14,7,'healing_music_ability',55,'player_music/sound/song16_nlrg_main.snd','player_music/sound/song16_nlrg_flourish01.snd','player_music/sound/song16_nlrg_flourish02.snd','player_music/sound/song16_nlrg_flourish03.snd','player_music/sound/song16_nlrg_flourish04.snd','player_music/sound/song16_nlrg_flourish05.snd','player_music/sound/song16_nlrg_flourish06.snd','player_music/sound/song16_nlrg_flourish07.snd','player_music/sound/song16_nlrg_flourish08.snd','player_music/sound/song16_nlrg_intro.snd','player_music/sound/song16_nlrg_outro.snd'),
 ('basic',0,' ',' ','startDance+basic',1,28,10,-1788534963,0,4,4,2,'healing_dance_ability',5,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('rhythmic',0,' ',' ','startDance+rhythmic',3,28,10,-1788534963,0,4,4,2,'healing_dance_ability',5,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('basic2',0,' ',' ','startDance+basic2',2,32,10,-1788534963,0,6,6,3,'healing_dance_ability',10,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('rhythmic2',0,' ',' ','startDance+rhythmic2',4,32,10,-1788534963,0,8,6,3,'healing_dance_ability',15,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('footloose',0,' ',' ','startDance+footloose',15,36,10,-1788534963,0,12,6,3,'healing_dance_ability',20,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('formal',0,' ',' ','startDance+formal',17,36,10,-1788534963,0,14,8,4,'healing_dance_ability',30,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('footloose2',0,' ',' ','startDance+footloose2',16,40,10,-1788534963,0,18,8,4,'healing_dance_ability',40,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('formal2',0,' ',' ','startDance+formal2',18,40,10,-1788534963,0,18,8,4,'healing_dance_ability',40,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('popular',0,' ',' ','startDance+popular',9,40,10,-1788534963,0,18,10,5,'healing_dance_ability',50,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('poplock',0,' ',' ','startDance+poplock',13,40,10,-1788534963,0,18,10,5,'healing_dance_ability',50,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('popular2',0,' ',' ','startDance+popular2',10,40,10,-1788534963,0,22,10,5,'healing_dance_ability',60,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('poplock2',0,' ',' ','startDance+poplock2',14,44,10,-1788534963,0,26,10,5,'healing_dance_ability',70,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('lyrical',0,' ',' ','startDance+lyrical',11,44,10,-1788534963,0,30,10,6,'healing_dance_ability',80,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('exotic',0,' ',' ','startDance+exotic',5,48,10,-1788534963,0,34,10,6,'healing_dance_ability',90,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('exotic2',0,' ',' ','startDance+exotic2',6,48,10,-1788534963,0,34,12,6,'healing_dance_ability',90,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('lyrical2',0,' ',' ','startDance+lyrical2',12,48,10,-1788534963,0,40,12,7,'healing_dance_ability',100,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('exotic3',0,' ',' ','startDance+exotic3',7,48,10,-1788534963,0,40,12,7,'healing_dance_ability',100,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('exotic4',0,' ',' ','startDance+exotic4',8,48,10,-1788534963,0,40,14,7,'healing_dance_ability',100,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('theatrical',0,' ',' ','startDance+theatrical',21,36,10.25,-1788534963,0,12,6,3,'healing_dance_ability',50,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' '),
 ('theatrical2',0,' ',' ','startDance+theatrical2',22,40,13.1,-1788534963,0,18,8,4,'healing_dance_ability',70,' ',' ',' ',' ',' ',' ',' ',' ',' ',' ',' ');
UNLOCK TABLES;
/*!40000 ALTER TABLE `performance_performance` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`sessions`
--

DROP TABLE IF EXISTS `swgemu`.`sessions`;
CREATE TABLE  `swgemu`.`sessions` (
  `account_id` int(10) unsigned NOT NULL DEFAULT '0',
  `session_id` int(10) unsigned NOT NULL,
  `ip` varchar(15) NOT NULL,
  `expires` datetime NOT NULL,
  PRIMARY KEY (`account_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`sessions`
--

/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
LOCK TABLES `sessions` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`skills`
--

DROP TABLE IF EXISTS `swgemu`.`skills`;
CREATE TABLE  `swgemu`.`skills` (
  `skill_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `skill_name` varchar(52) DEFAULT NULL,
  `skill_parent` varchar(52) DEFAULT NULL,
  `skill_graph_type` varchar(10) DEFAULT NULL,
  `skill_god_only` tinyint(1) DEFAULT NULL,
  `skill_is_title` tinyint(1) DEFAULT NULL,
  `skill_is_profession` tinyint(1) DEFAULT NULL,
  `skill_is_hidden` tinyint(1) DEFAULT NULL,
  `skill_money_required` int(10) unsigned DEFAULT NULL,
  `skill_points_required` int(10) unsigned DEFAULT NULL,
  `skill_requirements_count` int(10) unsigned DEFAULT NULL,
  `skill_requirements` varchar(201) DEFAULT NULL,
  `skill_preclusions` varchar(50) DEFAULT NULL,
  `skill_xp_type` varchar(40) DEFAULT NULL,
  `skill_xp_cost` int(10) unsigned DEFAULT NULL,
  `skill_xp_cap` int(10) unsigned DEFAULT NULL,
  `skill_required_missions` varchar(1) DEFAULT NULL,
  `skill_apprenticeships_required` int(10) unsigned DEFAULT NULL,
  `skill_stats_required` varchar(1) DEFAULT NULL,
  `skill_species_required` varchar(56) DEFAULT NULL,
  `skill_jedi_state_required` varchar(16) DEFAULT NULL,
  `skill_abilities` varchar(1) DEFAULT NULL,
  `skill_commands` text,
  `skill_mods` text,
  `skill_schematics_granted` varchar(123) DEFAULT NULL,
  `skill_schematics_revoked` varchar(1) DEFAULT NULL,
  `skill_is_searchable` tinyint(1) DEFAULT NULL,
  `skill_ender` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`skill_id`),
  UNIQUE KEY `skill_id` (`skill_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1069 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`skills`
--

/*!40000 ALTER TABLE `skills` DISABLE KEYS */;
LOCK TABLES `skills` WRITE;
INSERT INTO `swgemu`.`skills` VALUES  (1,'combat_melee_basic',' ','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (2,'combat_ranged_weapons_basic',' ','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (3,'demo_combat',' ','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (4,'common_knowledge',' ','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (5,'utility',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (6,'utility_beta','utility','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (7,'utility_beta_demo_combat','utility_beta','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (8,'utility_player','utility','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (9,'social',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (10,'social_entertainer','social','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (11,'social_entertainer_novice','social_entertainer','fourByFour',0,1,0,0,100,15,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','private_entertainer_novice,musician,dancer,imagedesigner,startDance,stopDance,startMusic,stopMusic,flourish+1,flourish+2,flourish+3,flourish+4,flourish+5,flourish+6,flourish+7,flourish+8,startDance+basic,startDance+rhythmic,startMusic+starwars1,slitherhorn,bandflourish','healing_dance_wound=5,healing_music_wound=5,healing_music_ability=5,healing_dance_ability=5,hair=1,face=1','craftInstrumentGroupA',' ',1,0),
 (12,'social_entertainer_master','social_entertainer','fourByFour',0,1,0,0,5000,6,0,'social_entertainer_hairstyle_04,social_entertainer_music_04,social_entertainer_dance_04,social_entertainer_healing_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_entertainer_master,startDance+footloose2,startDance+formal2,startMusic+ceremonial,mandoviol','healing_dance_ability=10,healing_music_ability=10,healing_dance_wound=10,healing_music_wound=10',' ',' ',1,0),
 (13,'social_entertainer_hairstyle_01','social_entertainer','fourByFour',0,0,0,0,1000,2,0,'social_entertainer_novice',' ','imagedesigner',1000,10000,' ',0,' ',' ','none',' ','private_entertainer_hair_1','hair=1',' ',' ',1,0),
 (14,'social_entertainer_hairstyle_02','social_entertainer_hairstyle_01','fourByFour',0,0,0,0,2000,3,0,'social_entertainer_hairstyle_01',' ','imagedesigner',5000,20000,' ',0,' ',' ','none',' ','private_entertainer_hair_2','markings=1,face=1',' ',' ',1,0),
 (15,'social_entertainer_hairstyle_03','social_entertainer_hairstyle_02','fourByFour',0,0,0,0,3000,4,0,'social_entertainer_hairstyle_02',' ','imagedesigner',10000,30000,' ',0,' ',' ','none',' ','private_entertainer_hair_3','hair=1',' ',' ',1,0),
 (16,'social_entertainer_hairstyle_04','social_entertainer_hairstyle_03','fourByFour',0,1,0,0,4000,5,0,'social_entertainer_hairstyle_03',' ','imagedesigner',15000,30000,' ',0,' ',' ','none',' ','private_entertainer_hair_4','hair=1,face=1',' ',' ',1,0),
 (17,'social_entertainer_music_01','social_entertainer','fourByFour',0,0,0,0,1000,2,0,'social_entertainer_novice',' ','music',1000,10000,' ',0,' ',' ','none',' ','private_entertainer_music_1,startMusic+rock,fizz','healing_music_ability=5',' ',' ',1,0),
 (18,'social_entertainer_music_02','social_entertainer_music_01','fourByFour',0,0,0,0,2000,3,0,'social_entertainer_music_01',' ','music',5000,30000,' ',0,' ',' ','none',' ','private_entertainer_music_2,startMusic+starwars2','healing_music_ability=5','craftInstrumentGroupB',' ',1,0),
 (19,'social_entertainer_music_03','social_entertainer_music_02','fourByFour',0,0,0,0,3000,4,0,'social_entertainer_music_02',' ','music',15000,90000,' ',0,' ',' ','none',' ','private_entertainer_music_3,startMusic+folk,fanfar','healing_music_ability=5',' ',' ',1,0),
 (20,'social_entertainer_music_04','social_entertainer_music_03','fourByFour',0,1,0,0,4000,5,0,'social_entertainer_music_03',' ','music',45000,150000,' ',0,' ',' ','none',' ','private_entertainer_music_4,startMusic+starwars3,kloohorn','healing_music_ability=10',' ',' ',1,0),
 (21,'social_entertainer_dance_01','social_entertainer','fourByFour',0,0,0,0,1000,2,0,'social_entertainer_novice',' ','dance',1000,10000,' ',0,' ',' ','none',' ','private_entertainer_dance_1,startDance+basic2','healing_dance_ability=5',' ',' ',1,0),
 (22,'social_entertainer_dance_02','social_entertainer_dance_01','fourByFour',0,0,0,0,2000,3,0,'social_entertainer_dance_01',' ','dance',5000,30000,' ',0,' ',' ','none',' ','private_entertainer_dance_2,startDance+rhythmic2','healing_dance_ability=5',' ',' ',1,0),
 (23,'social_entertainer_dance_03','social_entertainer_dance_02','fourByFour',0,0,0,0,3000,4,0,'social_entertainer_dance_02',' ','dance',15000,90000,' ',0,' ',' ','none',' ','private_entertainer_dance_3,startDance+footloose','healing_dance_ability=5',' ',' ',1,0),
 (24,'social_entertainer_dance_04','social_entertainer_dance_03','fourByFour',0,1,0,0,4000,5,0,'social_entertainer_dance_03',' ','dance',45000,150000,' ',0,' ',' ','none',' ','private_entertainer_dance_4,startDance+formal','healing_dance_ability=10',' ',' ',1,0),
 (25,'social_entertainer_healing_01','social_entertainer','fourByFour',0,0,0,0,1000,2,0,'social_entertainer_novice',' ','entertainer_healing',1000,10000,' ',0,' ',' ','none',' ','private_entertainer_healing_1','healing_dance_wound=5,healing_music_wound=5',' ',' ',1,0),
 (26,'social_entertainer_healing_02','social_entertainer_healing_01','fourByFour',0,0,0,0,2000,3,0,'social_entertainer_healing_01',' ','entertainer_healing',5000,20000,' ',0,' ',' ','none',' ','private_entertainer_healing_2','healing_dance_wound=5,healing_music_wound=5',' ',' ',1,0),
 (27,'social_entertainer_healing_03','social_entertainer_healing_02','fourByFour',0,0,0,0,3000,4,0,'social_entertainer_healing_02',' ','entertainer_healing',10000,50000,' ',0,' ',' ','none',' ','private_entertainer_healing_3','healing_dance_wound=5,healing_music_wound=5',' ',' ',1,0),
 (28,'social_entertainer_healing_04','social_entertainer_healing_03','fourByFour',0,1,0,0,4000,5,0,'social_entertainer_healing_03',' ','entertainer_healing',25000,75000,' ',0,' ',' ','none',' ','private_entertainer_healing_4','healing_dance_wound=5,healing_music_wound=5',' ',' ',1,0),
 (29,'outdoors',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (30,'outdoors_scout','outdoors','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (31,'outdoors_scout_novice','outdoors_scout','fourByFour',0,1,0,0,100,15,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','private_scout_novice,harvestCorpse,throwWiredMeshTrap,throwLecepaninDart','trapping=5,camp=5,creature_knowledge=5,creature_harvesting=15','craftScoutCampGroupA,craftScoutTrapGroupNovice',' ',1,0),
 (32,'outdoors_scout_master','outdoors_scout','fourByFour',0,1,0,0,5000,6,0,'outdoors_scout_movement_04,outdoors_scout_tools_04,outdoors_scout_harvest_04,outdoors_scout_camp_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_scout_master','slope_move=10,burst_run=10,camp=10,foraging=15,creature_knowledge=10,creature_harvesting=5,mask_scent=30,trapping=20',' ',' ',1,0),
 (33,'outdoors_scout_movement_01','outdoors_scout','fourByFour',0,0,0,0,1000,2,0,'outdoors_scout_novice',' ','scout',1000,10000,' ',0,' ',' ','none',' ','private_scout_movement_1','slope_move=20',' ',' ',1,0),
 (34,'outdoors_scout_movement_02','outdoors_scout_movement_01','fourByFour',0,0,0,0,2000,3,0,'outdoors_scout_movement_01',' ','scout',5000,20000,' ',0,' ',' ','none',' ','private_scout_movement_2,maskscent','burst_run=20,mask_scent=20',' ',' ',1,0),
 (35,'outdoors_scout_movement_03','outdoors_scout_movement_02','fourByFour',0,0,0,0,3000,4,0,'outdoors_scout_movement_02',' ','scout',10000,30000,' ',0,' ',' ','none',' ','private_scout_movement_3','slope_move=20,mask_scent=20',' ',' ',1,0),
 (36,'outdoors_scout_movement_04','outdoors_scout_movement_03','fourByFour',0,1,0,0,4000,5,0,'outdoors_scout_movement_03',' ','scout',15000,30000,' ',0,' ',' ','none',' ','private_scout_movement_4','burst_run=20,mask_scent=30',' ',' ',1,0),
 (37,'outdoors_scout_tools_01','outdoors_scout','fourByFour',0,0,0,0,1000,2,0,'outdoors_scout_novice',' ','trapping',1000,10000,' ',0,' ',' ','none',' ','private_scout_tools_1,throwGlowJuiceTrap,throwSharpBoneSpur','trapping=5','craftScoutTrapGroupA',' ',1,0),
 (38,'outdoors_scout_tools_02','outdoors_scout_tools_01','fourByFour',0,0,0,0,2000,3,0,'outdoors_scout_tools_01',' ','trapping',5000,20000,' ',0,' ',' ','none',' ','private_scout_tools_2,throwNoiseMaker,throwStinkBomb','trapping=5','craftScoutTrapGroupB',' ',1,0),
 (39,'outdoors_scout_tools_03','outdoors_scout_tools_02','fourByFour',0,0,0,0,3000,4,0,'outdoors_scout_tools_02',' ','trapping',10000,30000,' ',0,' ',' ','none',' ','private_scout_tools_3,throwGlowWireTrap,throwPhecnacineDart','trapping=5','craftScoutTrapGroupC',' ',1,0),
 (40,'outdoors_scout_tools_04','outdoors_scout_tools_03','fourByFour',0,1,0,0,4000,5,0,'outdoors_scout_tools_03',' ','trapping',15000,30000,' ',0,' ',' ','none',' ','private_scout_tools_4,throwAdhesiveMesh','trapping=10','craftScoutTrapGroupD',' ',1,0),
 (41,'outdoors_scout_harvest_01','outdoors_scout','fourByFour',0,0,0,0,1000,2,0,'outdoors_scout_novice',' ','scout',1000,10000,' ',0,' ',' ','none',' ','private_scout_harvest_1','creature_knowledge=5,creature_harvesting=5',' ',' ',1,0),
 (42,'outdoors_scout_harvest_02','outdoors_scout_harvest_01','fourByFour',0,0,0,0,2000,3,0,'outdoors_scout_harvest_01',' ','scout',5000,20000,' ',0,' ',' ','none',' ','private_scout_harvest_2','creature_knowledge=10,creature_harvesting=10,creature_hit_bonus=10',' ',' ',1,0),
 (43,'outdoors_scout_harvest_03','outdoors_scout_harvest_02','fourByFour',0,0,0,0,3000,4,0,'outdoors_scout_harvest_02',' ','scout',10000,30000,' ',0,' ',' ','none',' ','private_scout_harvest_3','creature_knowledge=10,creature_harvesting=5',' ',' ',1,0),
 (44,'outdoors_scout_harvest_04','outdoors_scout_harvest_03','fourByFour',0,1,0,0,4000,5,0,'outdoors_scout_harvest_03',' ','scout',15000,30000,' ',0,' ',' ','none',' ','private_scout_harvest_4','creature_knowledge=10,creature_harvesting=10',' ',' ',1,0),
 (45,'outdoors_scout_camp_01','outdoors_scout','fourByFour',0,0,0,0,1000,2,0,'outdoors_scout_novice',' ','camp',1000,10000,' ',0,' ',' ','none',' ','private_scout_camp_1,forage','camp=5,foraging=5',' ',' ',1,0),
 (46,'outdoors_scout_camp_02','outdoors_scout_camp_01','fourByFour',0,0,0,0,2000,3,0,'outdoors_scout_camp_01',' ','camp',5000,20000,' ',0,' ',' ','none',' ','private_scout_camp_2','camp=10,foraging=10','craftScoutCampGroupB',' ',1,0),
 (47,'outdoors_scout_camp_03','outdoors_scout_camp_02','fourByFour',0,0,0,0,3000,4,0,'outdoors_scout_camp_02',' ','camp',10000,40000,' ',0,' ',' ','none',' ','private_scout_camp_3','camp=10,foraging=10',' ',' ',1,0),
 (48,'outdoors_scout_camp_04','outdoors_scout_camp_03','fourByFour',0,1,0,0,4000,5,0,'outdoors_scout_camp_03',' ','camp',20000,40000,' ',0,' ',' ','none',' ','private_scout_camp_4','camp=10,foraging=10','craftScoutCampGroupC',' ',1,0),
 (49,'science',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (50,'science_medic','science','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (51,'science_medic_novice','science_medic','fourByFour',0,1,0,0,100,15,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','private_medic_novice,healDamage,healWound,medicalForage,tendWound,tendDamage,diagnose','healing_injury_treatment=5,healing_wound_treatment=5,healing_ability=5,healing_injury_speed=5,medicine_assembly=10,medicine_experimentation=10,medical_foraging=10','craftMedicineComponentGroupA,craftMedicineStimpackGroupA',' ',1,0),
 (52,'science_medic_master','science_medic','fourByFour',0,1,0,0,5000,6,0,'science_medic_injury_04,science_medic_injury_speed_04,science_medic_ability_04,science_medic_crafting_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_medic_master','healing_injury_treatment=25,healing_ability=10,medical_foraging=25','craftMedicineStimpackGroupD',' ',1,0),
 (53,'science_medic_injury_01','science_medic','fourByFour',0,0,0,0,1000,2,0,'science_medic_novice',' ','medical',1000,10000,' ',0,' ',' ','none',' ','private_medic_injury_1','healing_injury_treatment=15',' ',' ',1,0),
 (54,'science_medic_injury_02','science_medic_injury_01','fourByFour',0,0,0,0,2000,3,0,'science_medic_injury_01',' ','medical',5000,20000,' ',0,' ',' ','none',' ','private_medic_injury_2,firstAid','healing_injury_treatment=15',' ',' ',1,0),
 (55,'science_medic_injury_03','science_medic_injury_02','fourByFour',0,0,0,0,3000,4,0,'science_medic_injury_02',' ','medical',10000,30000,' ',0,' ',' ','none',' ','private_medic_injury_3','healing_injury_treatment=15',' ',' ',1,0),
 (56,'science_medic_injury_04','science_medic_injury_03','fourByFour',0,1,0,0,4000,5,0,'science_medic_injury_03',' ','medical',15000,30000,' ',0,' ',' ','none',' ','private_medic_injury_4,quickHeal','healing_injury_treatment=25',' ',' ',1,0),
 (57,'science_medic_injury_speed_01','science_medic','fourByFour',0,0,0,0,1000,2,0,'science_medic_novice',' ','medical',1000,10000,' ',0,' ',' ','none',' ','private_medic_speed_1','healing_injury_speed=15',' ',' ',1,0),
 (58,'science_medic_injury_speed_02','science_medic_injury_speed_01','fourByFour',0,0,0,0,2000,3,0,'science_medic_injury_speed_01',' ','medical',5000,20000,' ',0,' ',' ','none',' ','private_medic_speed_2,dragIncapacitatedPlayer','healing_injury_speed=15',' ',' ',1,0),
 (59,'science_medic_injury_speed_03','science_medic_injury_speed_02','fourByFour',0,0,0,0,3000,4,0,'science_medic_injury_speed_02',' ','medical',10000,30000,' ',0,' ',' ','none',' ','private_medic_speed_3','healing_injury_speed=15',' ',' ',1,0),
 (60,'science_medic_injury_speed_04','science_medic_injury_speed_03','fourByFour',0,1,0,0,4000,5,0,'science_medic_injury_speed_03',' ','medical',15000,30000,' ',0,' ',' ','none',' ','private_medic_speed_4','healing_injury_speed=25',' ',' ',1,0),
 (61,'science_medic_ability_01','science_medic','fourByFour',0,0,0,0,1000,2,0,'science_medic_novice',' ','medical',1000,10000,' ',0,' ',' ','none',' ','private_medic_ability_1','healing_ability=5,medical_foraging=15',' ',' ',1,0),
 (62,'science_medic_ability_02','science_medic_ability_01','fourByFour',0,0,0,0,2000,3,0,'science_medic_ability_01',' ','medical',5000,20000,' ',0,' ',' ','none',' ','private_medic_ability_2','healing_ability=10,medical_foraging=15',' ',' ',1,0),
 (63,'science_medic_ability_03','science_medic_ability_02','fourByFour',0,0,0,0,3000,4,0,'science_medic_ability_02',' ','medical',10000,30000,' ',0,' ',' ','none',' ','private_medic_ability_3','healing_ability=10,medical_foraging=15',' ',' ',1,0),
 (64,'science_medic_ability_04','science_medic_ability_03','fourByFour',0,1,0,0,4000,5,0,'science_medic_ability_03',' ','medical',15000,30000,' ',0,' ',' ','none',' ','private_medic_ability_4','healing_ability=10,medical_foraging=20',' ',' ',1,0),
 (65,'science_medic_crafting_01','science_medic','fourByFour',0,0,0,0,1000,2,0,'science_medic_novice',' ','crafting_medicine_general',500,2000,' ',0,' ',' ','none',' ','private_medic_crafting_1','medicine_assembly=10,medicine_experimentation=10','craftMedpackGroupA',' ',1,0),
 (66,'science_medic_crafting_02','science_medic_crafting_01','fourByFour',0,0,0,0,2000,3,0,'science_medic_crafting_01',' ','crafting_medicine_general',1000,6000,' ',0,' ',' ','none',' ','private_medic_crafting_2','medicine_assembly=10,medicine_experimentation=10','craftMedicineComponentGroupB,craftMedicineStimpackGroupB',' ',1,0),
 (67,'science_medic_crafting_03','science_medic_crafting_02','fourByFour',0,0,0,0,3000,4,0,'science_medic_crafting_02',' ','crafting_medicine_general',3000,12000,' ',0,' ',' ','none',' ','private_medic_crafting_3','medicine_assembly=10,medicine_experimentation=10','craftMedpackBGroupA,craftMedpackGroupB',' ',1,0),
 (68,'science_medic_crafting_04','science_medic_crafting_03','fourByFour',0,1,0,0,4000,5,0,'science_medic_crafting_03',' ','crafting_medicine_general',6000,17500,' ',0,' ',' ','none',' ','private_medic_crafting_4','medicine_assembly=10,medicine_experimentation=10','craftMedicineStimpackGroupC,craftMedicineComponentGroupD,craftMedpackBGroupB',' ',1,0),
 (69,'crafting',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (70,'crafting_artisan','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (71,'crafting_artisan_novice','crafting_artisan','fourByFour',0,1,0,0,100,15,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','private_artisan_novice,sample,survey','surveying=20,general_assembly=20,general_experimentation=20,clothing_customization=20,armor_customization=20','craftArtisanNewbieGroupA,craftArtisanNewbieGroupB,craftArtisanSurveyGroupA',' ',1,0),
 (72,'crafting_artisan_master','crafting_artisan','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_engineering_04,crafting_artisan_domestic_04,crafting_artisan_business_04,crafting_artisan_survey_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_artisan_master,customizeVehicle',' ','craftArtisanMasterGroupA,craftArtisanVehicle',' ',1,0),
 (73,'crafting_artisan_engineering_01','crafting_artisan','fourByFour',0,0,0,0,1000,2,0,'crafting_artisan_novice',' ','crafting_general',500,2000,' ',0,' ',' ','none',' ','private_artisan_engineering_1','general_assembly=10,general_experimentation=10,armor_customization=20','craftArtisanEngineeringGroupA,craftArtisanToolGroupA',' ',1,0),
 (74,'crafting_artisan_engineering_02','crafting_artisan_engineering_01','fourByFour',0,0,0,0,2000,3,0,'crafting_artisan_engineering_01',' ','crafting_general',1000,6000,' ',0,' ',' ','none',' ','private_artisan_engineering_2','general_assembly=10,general_experimentation=10,armor_customization=20','craftArtisanEngineeringGroupB',' ',1,0),
 (75,'crafting_artisan_engineering_03','crafting_artisan_engineering_02','fourByFour',0,0,0,0,3000,4,0,'crafting_artisan_engineering_02',' ','crafting_general',3000,12000,' ',0,' ',' ','none',' ','private_artisan_engineering_3','general_assembly=10,general_experimentation=10,armor_customization=20','craftArtisanEngineeringGroupC',' ',1,0),
 (76,'crafting_artisan_engineering_04','crafting_artisan_engineering_03','fourByFour',0,1,0,0,4000,5,0,'crafting_artisan_engineering_03',' ','crafting_general',6000,50000,' ',0,' ',' ','none',' ','private_artisan_engineering_4','general_assembly=10,general_experimentation=10,armor_customization=20','craftArtisanEngineeringGroupD',' ',1,0),
 (77,'crafting_artisan_domestic_01','crafting_artisan','fourByFour',0,0,0,0,1000,2,0,'crafting_artisan_novice',' ','crafting_general',500,2000,' ',0,' ',' ','none',' ','private_artisan_domestic_1','general_assembly=10,general_experimentation=10,clothing_customization=20','craftArtisanDomesticGroupA',' ',1,0),
 (78,'crafting_artisan_domestic_02','crafting_artisan_domestic_01','fourByFour',0,0,0,0,2000,3,0,'crafting_artisan_domestic_01',' ','crafting_general',1000,6000,' ',0,' ',' ','none',' ','private_artisan_domestic_2','general_assembly=10,general_experimentation=10,clothing_customization=20','craftArtisanDomesticGroupB',' ',1,0),
 (79,'crafting_artisan_domestic_03','crafting_artisan_domestic_02','fourByFour',0,0,0,0,3000,4,0,'crafting_artisan_domestic_02',' ','crafting_general',3000,12000,' ',0,' ',' ','none',' ','private_artisan_domestic_3','general_assembly=10,general_experimentation=10,clothing_customization=20','craftArtisanDomesticGroupC',' ',1,0),
 (80,'crafting_artisan_domestic_04','crafting_artisan_domestic_03','fourByFour',0,1,0,0,4000,5,0,'crafting_artisan_domestic_03',' ','crafting_general',6000,50000,' ',0,' ',' ','none',' ','private_artisan_domestic_4','general_assembly=10,general_experimentation=10,clothing_customization=20','craftArtisanDomesticGroupD',' ',1,0),
 (81,'crafting_artisan_business_01','crafting_artisan','fourByFour',0,0,0,0,1000,2,0,'crafting_artisan_novice',' ','crafting_general',500,2000,' ',0,' ',' ','none',' ','private_artisan_business_1,access_fee',' ',' ',' ',1,0),
 (82,'crafting_artisan_business_02','crafting_artisan_business_01','fourByFour',0,0,0,0,2000,3,0,'crafting_artisan_business_01',' ','crafting_general',1000,6000,' ',0,' ',' ','none',' ','private_artisan_business_2,premium_auctions',' ',' ',' ',1,0),
 (83,'crafting_artisan_business_03','crafting_artisan_business_02','fourByFour',0,0,0,0,3000,4,0,'crafting_artisan_business_02',' ','crafting_general',3000,12000,' ',0,' ',' ','none',' ','private_artisan_business_3','manage_vendor=1,hiring=10,vendor_item_limit=100',' ',' ',1,0),
 (84,'crafting_artisan_business_04','crafting_artisan_business_03','fourByFour',0,1,0,0,4000,5,0,'crafting_artisan_business_03',' ','crafting_general',6000,50000,' ',0,' ',' ','none',' ','private_artisan_business_4','manage_vendor=1,hiring=10,vendor_item_limit=150',' ',' ',1,0),
 (85,'crafting_artisan_survey_01','crafting_artisan','fourByFour',0,0,0,0,1000,2,0,'crafting_artisan_novice',' ','resource_harvesting_inorganic',500,5000,' ',0,' ',' ','none',' ','private_artisan_survey_1','surveying=15',' ',' ',1,0),
 (86,'crafting_artisan_survey_02','crafting_artisan_survey_01','fourByFour',0,0,0,0,2000,3,0,'crafting_artisan_survey_01',' ','resource_harvesting_inorganic',2500,10000,' ',0,' ',' ','none',' ','private_artisan_survey_2','surveying=20',' ',' ',1,0),
 (87,'crafting_artisan_survey_03','crafting_artisan_survey_02','fourByFour',0,0,0,0,3000,4,0,'crafting_artisan_survey_02',' ','resource_harvesting_inorganic',5000,20000,' ',0,' ',' ','none',' ','private_artisan_survey_3','surveying=20',' ',' ',1,0),
 (88,'crafting_artisan_survey_04','crafting_artisan_survey_03','fourByFour',0,1,0,0,4000,5,0,'crafting_artisan_survey_03',' ','resource_harvesting_inorganic',10000,20000,' ',0,' ',' ','none',' ','private_artisan_survey_4','surveying=25',' ',' ',1,0),
 (89,'combat',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (90,'combat_brawler','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (91,'combat_brawler_novice','combat_brawler','fourByFour',0,1,0,0,100,15,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','private_brawler_novice,polearmLunge1,unarmedLunge1,melee1hLunge1,melee2hLunge1,taunt,warcry1,intimidate1,berserk1,cert_knife_dagger,centerOfBeing','unarmed_accuracy=10,unarmed_damage=15,unarmed_speed=5,polearm_accuracy=10,polearm_speed=5,onehandmelee_accuracy=10,onehandmelee_speed=5,twohandmelee_accuracy=10,twohandmelee_speed=5,private_onehandmelee_combat_difficulty=100,private_twohandmelee_combat_difficulty=100,private_unarmed_combat_difficulty=100,private_polearm_combat_difficulty=100,taunt=10,unarmed_center_of_being_efficacy=10,polearm_center_of_being_efficacy=10,onehandmelee_center_of_being_efficacy=10,twohandmelee_center_of_being_efficacy=10,center_of_being_duration_unarmed=5,center_of_being_duration_onehandmelee=5,center_of_being_duration_twohandmelee=5,center_of_being_duration_polearm=5',' ',' ',1,0),
 (92,'combat_brawler_master','combat_brawler','fourByFour',0,1,0,0,5000,6,0,'combat_brawler_unarmed_04,combat_brawler_1handmelee_04,combat_brawler_2handmelee_04,combat_brawler_polearm_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_brawler_master,polearmLunge2,unarmedLunge2,melee1hLunge2,melee2hLunge2,warcry2,intimidate2,berserk2','warcry=20,intimidate=20,berserk=20,unarmed_accuracy=5,unarmed_speed=5,onehandmelee_speed=5,onehandmelee_accuracy=5,twohandmelee_speed=5,twohandmelee_accuracy=5,polearm_speed=5,polearm_accuracy=5,melee_defense=5,ranged_defense=5,private_onehandmelee_combat_difficulty=100,private_twohandmelee_combat_difficulty=100,private_unarmed_combat_difficulty=100,private_polearm_combat_difficulty=100,taunt=30,polearm_toughness=5,onehandmelee_toughness=5,twohandmelee_toughness=5,unarmed_toughness=5,unarmed_center_of_being_efficacy=10,polearm_center_of_being_efficacy=10,onehandmelee_center_of_being_efficacy=10,twohandmelee_center_of_being_efficacy=10,center_of_being_duration_onehandmelee=5,center_of_being_duration_twohandmelee=5,center_of_being_duration_polearm=5',' ',' ',1,0),
 (93,'combat_brawler_unarmed_01','combat_brawler','fourByFour',0,0,0,0,1000,2,0,'combat_brawler_novice',' ','combat_meleespecialize_unarmed',1000,10000,' ',0,' ',' ','none',' ','private_brawler_unarmed_1,unarmedHit1','unarmed_speed=5,unarmed_accuracy=10,private_unarmed_combat_difficulty=100,unarmed_damage=5,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2',' ',' ',1,0),
 (94,'combat_brawler_unarmed_02','combat_brawler_unarmed_01','fourByFour',0,0,0,0,2000,3,0,'combat_brawler_unarmed_01',' ','combat_meleespecialize_unarmed',5000,30000,' ',0,' ',' ','none',' ','private_brawler_unarmed_2,unarmedStun1','unarmed_speed=5,unarmed_accuracy=10,private_unarmed_combat_difficulty=100,unarmed_damage=10,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2',' ',' ',1,0),
 (95,'combat_brawler_unarmed_03','combat_brawler_unarmed_02','fourByFour',0,0,0,0,3000,4,0,'combat_brawler_unarmed_02',' ','combat_meleespecialize_unarmed',15000,140000,' ',0,' ',' ','none',' ','private_brawler_unarmed_3,unarmedBlind1','unarmed_speed=5,unarmed_accuracy=10,private_unarmed_combat_difficulty=100,unarmed_toughness=10,unarmed_damage=10,unarmed_center_of_being_efficacy=5,center_of_being_duration_unarmed=2',' ',' ',1,0),
 (96,'combat_brawler_unarmed_04','combat_brawler_unarmed_03','fourByFour',0,1,0,0,4000,5,0,'combat_brawler_unarmed_03',' ','combat_meleespecialize_unarmed',70000,200000,' ',0,' ',' ','none',' ','private_brawler_unarmed_4,unarmedSpinAttack1','unarmed_speed=5,unarmed_accuracy=10,melee_defense=2,private_unarmed_combat_difficulty=100,unarmed_toughness=10,unarmed_damage=10,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2',' ',' ',1,0),
 (97,'combat_brawler_1handmelee_01','combat_brawler','fourByFour',0,0,0,0,1000,2,0,'combat_brawler_novice',' ','combat_meleespecialize_onehand',1000,10000,' ',0,' ',' ','none',' ','private_brawler_1hand_1,melee1hHit1,cert_sword_01,cert_baton_gaderiffi,cert_sword_02','onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (98,'combat_brawler_1handmelee_02','combat_brawler_1handmelee_01','fourByFour',0,0,0,0,2000,3,0,'combat_brawler_1handmelee_01',' ','combat_meleespecialize_onehand',5000,30000,' ',0,' ',' ','none',' ','private_brawler_1hand_2,melee1hBodyHit1,cert_knife_vibroblade','onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (99,'combat_brawler_1handmelee_03','combat_brawler_1handmelee_02','fourByFour',0,0,0,0,3000,4,0,'combat_brawler_1handmelee_02',' ','combat_meleespecialize_onehand',15000,140000,' ',0,' ',' ','none',' ','private_brawler_1hand_3,melee1hDizzyHit1,cert_sword_blade_ryyk','onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=10,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (100,'combat_brawler_1handmelee_04','combat_brawler_1handmelee_03','fourByFour',0,1,0,0,4000,5,0,'combat_brawler_1handmelee_03',' ','combat_meleespecialize_onehand',70000,200000,' ',0,' ',' ','none',' ','private_brawler_1hand_4,melee1hSpinAttack1,cert_sword_blade_rantok','onehandmelee_speed=5,onehandmelee_accuracy=10,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=10,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (101,'combat_brawler_2handmelee_01','combat_brawler','fourByFour',0,0,0,0,1000,2,0,'combat_brawler_novice',' ','combat_meleespecialize_twohand',1000,10000,' ',0,' ',' ','none',' ','private_brawler_2hand_1,melee2hHit1,cert_sword_2h_axe','twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (102,'combat_brawler_2handmelee_02','combat_brawler_2handmelee_01','fourByFour',0,0,0,0,2000,3,0,'combat_brawler_2handmelee_01',' ','combat_meleespecialize_twohand',5000,30000,' ',0,' ',' ','none',' ','private_brawler_2hand_2,melee2hHeadHit1,cert_sword_2h_katana','twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (103,'combat_brawler_2handmelee_03','combat_brawler_2handmelee_02','fourByFour',0,0,0,0,3000,4,0,'combat_brawler_2handmelee_02',' ','combat_meleespecialize_twohand',15000,140000,' ',0,' ',' ','none',' ','private_brawler_2hand_3,melee2hSweep1,cert_axe_vibro','twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=10,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (104,'combat_brawler_2handmelee_04','combat_brawler_2handmelee_03','fourByFour',0,1,0,0,4000,5,0,'combat_brawler_2handmelee_03',' ','combat_meleespecialize_twohand',70000,200000,' ',0,' ',' ','none',' ','private_brawler_2hand_4,melee2hSpinAttack1,cert_sword_2h_cleaver','twohandmelee_speed=5,twohandmelee_accuracy=10,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=10,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (105,'combat_brawler_polearm_01','combat_brawler','fourByFour',0,0,0,0,1000,2,0,'combat_brawler_novice',' ','combat_meleespecialize_polearm',1000,10000,' ',0,' ',' ','none',' ','private_brawler_polearm_1,polearmHit1,cert_lance_staff_wood_s2,cert_lance_staff_metal','polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10',' ',' ',1,0),
 (106,'combat_brawler_polearm_02','combat_brawler_polearm_01','fourByFour',0,0,0,0,2000,3,0,'combat_brawler_polearm_01',' ','combat_meleespecialize_polearm',5000,30000,' ',0,' ',' ','none',' ','private_brawler_polearm_2,polearmLegHit1,cert_lance_controllerfp','polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10',' ',' ',1,0),
 (107,'combat_brawler_polearm_03','combat_brawler_polearm_02','fourByFour',0,0,0,0,3000,4,0,'combat_brawler_polearm_02',' ','combat_meleespecialize_polearm',15000,140000,' ',0,' ',' ','none',' ','private_brawler_polearm_3,polearmStun1,cert_lance_vibro_axe','polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,polearm_toughness=4,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10',' ',' ',1,0),
 (108,'combat_brawler_polearm_04','combat_brawler_polearm_03','fourByFour',0,1,0,0,4000,5,0,'combat_brawler_polearm_03',' ','combat_meleespecialize_polearm',70000,200000,' ',0,' ',' ','none',' ','private_brawler_polearm_4,polearmSpinAttack1','polearm_speed=5,polearm_accuracy=10,private_polearm_combat_difficulty=100,polearm_toughness=4,center_of_being_duration_polearm=1,polearm_center_of_being_efficacy=5',' ',' ',1,0),
 (109,'combat_marksman','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (110,'combat_marksman_novice','combat_marksman','fourByFour',0,1,0,0,100,15,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','private_marksman_novice,pointBlankArea1,pointBlankSingle1,overChargeShot1,cert_rifle_dlt20,cert_pistol_d18,cert_carbine_dh17','pistol_accuracy=10,pistol_speed=5,rifle_accuracy=10,rifle_speed=5,carbine_speed=5,carbine_accuracy=10,private_rifle_combat_difficulty=100,private_carbine_combat_difficulty=100,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (111,'combat_marksman_master','combat_marksman','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_rifle_04,combat_marksman_pistol_04,combat_marksman_carbine_04,combat_marksman_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_marksman_master,overChargeShot2','pistol_accuracy=10,pistol_speed=5,rifle_accuracy=10,rifle_speed=5,carbine_speed=5,carbine_accuracy=10,ranged_defense=5,private_rifle_combat_difficulty=100,private_carbine_combat_difficulty=100,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (112,'combat_marksman_rifle_01','combat_marksman','fourByFour',0,0,0,0,1000,2,0,'combat_marksman_novice',' ','combat_rangedspecialize_rifle',1000,10000,' ',0,' ',' ','none',' ','private_marksman_rifle_1,headShot1,cert_rifle_dlt20a,cert_rifle_tusken','rifle_accuracy=10,rifle_speed=5,private_rifle_combat_difficulty=100,rifle_concealment_chance=5',' ',' ',1,0),
 (113,'combat_marksman_rifle_02','combat_marksman_rifle_01','fourByFour',0,0,0,0,2000,3,0,'combat_marksman_rifle_01',' ','combat_rangedspecialize_rifle',5000,30000,' ',0,' ',' ','none',' ','private_marksman_rifle_2,takeCover,cert_rifle_sg82,cert_rifle_laser','rifle_accuracy=10,rifle_speed=5,private_rifle_combat_difficulty=100,rifle_concealment_chance=5',' ',' ',1,0),
 (114,'combat_marksman_rifle_03','combat_marksman_rifle_02','fourByFour',0,0,0,0,3000,4,0,'combat_marksman_rifle_02',' ','combat_rangedspecialize_rifle',15000,140000,' ',0,' ',' ','none',' ','private_marksman_rifle_3,headShot2,cert_rifle_spraystick','rifle_accuracy=10,rifle_speed=5,private_rifle_combat_difficulty=100,rifle_concealment_chance=5',' ',' ',1,0),
 (115,'combat_marksman_rifle_04','combat_marksman_rifle_03','fourByFour',0,1,0,0,4000,5,0,'combat_marksman_rifle_03',' ','combat_rangedspecialize_rifle',70000,200000,' ',0,' ',' ','none',' ','private_marksman_rifle_4,mindShot1,cert_rifle_jawa_ion,cert_rifle_e11','rifle_accuracy=10,rifle_speed=5,ranged_defense=2,private_rifle_combat_difficulty=100,rifle_concealment_chance=5',' ',' ',1,0),
 (116,'combat_marksman_pistol_01','combat_marksman','fourByFour',0,0,0,0,1000,2,0,'combat_marksman_novice',' ','combat_rangedspecialize_pistol',1000,10000,' ',0,' ',' ','none',' ','private_marksman_pistol_1,bodyShot1,cert_pistol_dl44,cert_pistol_dl44_metal','pistol_accuracy=10,pistol_speed=5,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (117,'combat_marksman_pistol_02','combat_marksman_pistol_01','fourByFour',0,0,0,0,2000,3,0,'combat_marksman_pistol_01',' ','combat_rangedspecialize_pistol',5000,30000,' ',0,' ',' ','none',' ','private_marksman_pistol_2,rollShot,diveShot,kipUpShot,cert_pistol_scout_blaster,cert_pistol_dh17','pistol_accuracy=10,pistol_speed=5,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (118,'combat_marksman_pistol_03','combat_marksman_pistol_02','fourByFour',0,0,0,0,3000,4,0,'combat_marksman_pistol_02',' ','combat_rangedspecialize_pistol',15000,140000,' ',0,' ',' ','none',' ','private_marksman_pistol_3,bodyShot2,cert_pistol_striker,cert_pistol_power5','pistol_accuracy=10,pistol_speed=5,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (119,'combat_marksman_pistol_04','combat_marksman_pistol_03','fourByFour',0,1,0,0,4000,5,0,'combat_marksman_pistol_03',' ','combat_rangedspecialize_pistol',70000,200000,' ',0,' ',' ','none',' ','private_marksman_pistol_4,healthShot1,cert_pistol_srcombat,cert_pistol_tangle,cert_pistol_fwg5','pistol_accuracy=10,pistol_speed=5,ranged_defense=2,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (120,'combat_marksman_carbine_01','combat_marksman','fourByFour',0,0,0,0,1000,2,0,'combat_marksman_novice',' ','combat_rangedspecialize_carbine',1000,10000,' ',0,' ',' ','none',' ','private_marksman_carbine_1,legShot1,cert_carbine_dh17_snubnose','carbine_speed=5,carbine_accuracy=10,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (121,'combat_marksman_carbine_02','combat_marksman_carbine_01','fourByFour',0,0,0,0,2000,3,0,'combat_marksman_carbine_01',' ','combat_rangedspecialize_carbine',5000,30000,' ',0,' ',' ','none',' ','private_marksman_carbine_2,fullAutoSingle1,cert_carbine_e11','carbine_speed=5,carbine_accuracy=10,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (122,'combat_marksman_carbine_03','combat_marksman_carbine_02','fourByFour',0,0,0,0,3000,4,0,'combat_marksman_carbine_02',' ','combat_rangedspecialize_carbine',15000,140000,' ',0,' ',' ','none',' ','private_marksman_carbine_3,legShot2,cert_carbine_laser','carbine_speed=5,carbine_accuracy=10,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (123,'combat_marksman_carbine_04','combat_marksman_carbine_03','fourByFour',0,1,0,0,4000,5,0,'combat_marksman_carbine_03',' ','combat_rangedspecialize_carbine',70000,200000,' ',0,' ',' ','none',' ','private_marksman_carbine_4,actionShot1,cert_carbine_dxr6,cert_carbine_ee3','carbine_speed=5,carbine_accuracy=10,ranged_defense=2,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (124,'combat_marksman_support_01','combat_marksman','fourByFour',0,0,0,0,1000,2,0,'combat_marksman_novice',' ','combat_general',300,170000,' ',0,' ',' ','none',' ','private_marksman_support_1,threatenShot,aim','ranged_defense=2,aim=10',' ',' ',1,0),
 (125,'combat_marksman_support_02','combat_marksman_support_01','fourByFour',0,0,0,0,2000,3,0,'combat_marksman_support_01',' ','combat_general',2250,170000,' ',0,' ',' ','none',' ','private_marksman_support_2,tumbleToProne,tumbleToKneeling,tumbleToStanding','melee_defense=2,aim=10',' ',' ',1,0),
 (126,'combat_marksman_support_03','combat_marksman_support_02','fourByFour',0,0,0,0,3000,4,0,'combat_marksman_support_02',' ','combat_general',6000,170000,' ',0,' ',' ','none',' ','private_marksman_support_3,warningShot','ranged_defense=2,aim=5',' ',' ',1,0),
 (127,'combat_marksman_support_04','combat_marksman_support_03','fourByFour',0,1,0,0,4000,5,0,'combat_marksman_support_03',' ','combat_general',22000,170000,' ',0,' ',' ','none',' ','private_marksman_support_4,suppressionFire1','alert=10,ranged_defense=2,aim=5',' ',' ',1,0),
 (128,'combat_rifleman','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (129,'combat_rifleman_novice','combat_rifleman','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_rifle_04',' ','combat_rangedspecialize_rifle',125000,350000,' ',0,' ',' ','none',' ','private_rifle_novice,strafeShot1,cert_rifle_t21','rifle_accuracy=5,rifle_speed=5,private_rifle_combat_difficulty=100,block=10,rifle_concealment_chance=15',' ',' ',1,0),
 (130,'combat_rifleman_master','combat_rifleman','fourByFour',0,1,0,0,10000,1,0,'combat_rifleman_accuracy_04,combat_rifleman_speed_04,combat_rifleman_ability_04,combat_rifleman_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_rifle_master,strafeShot2,ranged_damage_mitigation_3','rifle_accuracy=40,rifle_speed=20,rifle_hit_while_moving=10,rifle_aim=40,ranged_defense=15,private_rifle_combat_difficulty=100,block=10,rifle_concealment_chance=5',' ',' ',1,0),
 (131,'combat_rifleman_accuracy_01','combat_rifleman','fourByFour',0,0,0,0,6000,5,0,'combat_rifleman_novice',' ','combat_rangedspecialize_rifle',175000,500000,' ',0,' ',' ','none',' ','private_rifle_accuracy_1,mindShot2','rifle_accuracy=10,rifle_aim=15,private_rifle_combat_difficulty=125,rifle_concealment_chance=15',' ',' ',1,0),
 (132,'combat_rifleman_accuracy_02','combat_rifleman_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_rifleman_accuracy_01',' ','combat_rangedspecialize_rifle',250000,700000,' ',0,' ',' ','none',' ','private_rifle_accuracy_2,headShot3','rifle_accuracy=15,rifle_aim=15,private_rifle_combat_difficulty=100,rifle_concealment_chance=15',' ',' ',1,0),
 (133,'combat_rifleman_accuracy_03','combat_rifleman_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_rifleman_accuracy_02',' ','combat_rangedspecialize_rifle',350000,900000,' ',0,' ',' ','none',' ','private_rifle_accuracy_3,surpriseShot','rifle_accuracy=20,rifle_aim=15,private_rifle_combat_difficulty=100,rifle_concealment_chance=15',' ',' ',1,0),
 (134,'combat_rifleman_accuracy_04','combat_rifleman_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_rifleman_accuracy_03',' ','combat_rangedspecialize_rifle',450000,900000,' ',0,' ',' ','none',' ','private_rifle_accuracy_4,sniperShot','rifle_accuracy=20,rifle_aim=15,private_rifle_combat_difficulty=125,rifle_concealment_chance=15',' ',' ',1,0),
 (135,'combat_rifleman_speed_01','combat_rifleman','fourByFour',0,0,0,0,6000,5,0,'combat_rifleman_novice',' ','combat_rangedspecialize_rifle',175000,500000,' ',0,' ',' ','none',' ','private_rifle_speed_1,concealShot,ranged_damage_mitigation_1','ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=125',' ',' ',1,0),
 (136,'combat_rifleman_speed_02','combat_rifleman_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_rifleman_speed_01',' ','combat_rangedspecialize_rifle',250000,700000,' ',0,' ',' ','none',' ','private_rifle_speed_2','ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=100',' ',' ',1,0),
 (137,'combat_rifleman_speed_03','combat_rifleman_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_rifleman_speed_02',' ','combat_rangedspecialize_rifle',350000,900000,' ',0,' ',' ','none',' ','private_rifle_speed_3,sneak,ranged_damage_mitigation_2','ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=100',' ',' ',1,0),
 (138,'combat_rifleman_speed_04','combat_rifleman_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_rifleman_speed_03',' ','combat_rangedspecialize_rifle',450000,900000,' ',0,' ',' ','none',' ','private_rifle_speed_4','ranged_defense=10,take_cover=20,private_rifle_combat_difficulty=125',' ',' ',1,0),
 (139,'combat_rifleman_ability_01','combat_rifleman','fourByFour',0,0,0,0,6000,5,0,'combat_rifleman_novice',' ','combat_rangedspecialize_rifle',175000,500000,' ',0,' ',' ','none',' ','private_rifle_ability_1,flushingShot1','block=15,private_rifle_combat_difficulty=125',' ',' ',1,0),
 (140,'combat_rifleman_ability_02','combat_rifleman_ability_01','fourByFour',0,0,0,0,7000,4,0,'combat_rifleman_ability_01',' ','combat_rangedspecialize_rifle',250000,700000,' ',0,' ',' ','none',' ','private_rifle_ability_2,startleShot1,cert_rifle_tenloss_dxr6_disruptor_loot,cert_rifle_tenloss_disruptor','block=15,private_rifle_combat_difficulty=100',' ',' ',1,0),
 (141,'combat_rifleman_ability_03','combat_rifleman_ability_02','fourByFour',0,0,0,0,8000,3,0,'combat_rifleman_ability_02',' ','combat_rangedspecialize_rifle',350000,900000,' ',0,' ',' ','none',' ','private_rifle_ability_3,flushingShot2','block=15,posture_change_up_defense=30,stun_defense=10,blind_defense=10,dizzy_defense=10,private_rifle_combat_difficulty=100',' ',' ',1,0),
 (142,'combat_rifleman_ability_04','combat_rifleman_ability_03','fourByFour',0,1,0,0,9000,2,0,'combat_rifleman_ability_03',' ','combat_rangedspecialize_rifle',450000,900000,' ',0,' ',' ','none',' ','private_rifle_ability_4,startleShot2','block=15,ranged_defense=15,private_rifle_combat_difficulty=125',' ',' ',1,0),
 (143,'combat_rifleman_support_01','combat_rifleman','fourByFour',0,0,0,0,6000,5,0,'combat_rifleman_novice',' ','combat_general',60000,170000,' ',0,' ',' ','none',' ','private_rifle_support_1,flurryShot1','melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=125',' ',' ',1,0),
 (144,'combat_rifleman_support_02','combat_rifleman_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_rifleman_support_01',' ','combat_general',85000,240000,' ',0,' ',' ','none',' ','private_rifle_support_2','melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=100',' ',' ',1,0),
 (145,'combat_rifleman_support_03','combat_rifleman_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_rifleman_support_02',' ','combat_general',120000,300000,' ',0,' ',' ','none',' ','private_rifle_support_3,flurryShot2,cert_rifle_berserker','melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=100',' ',' ',1,0),
 (146,'combat_rifleman_support_04','combat_rifleman_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_rifleman_support_03',' ','combat_general',150000,300000,' ',0,' ',' ','none',' ','private_rifle_support_4','melee_defense=10,rifle_speed=10,private_rifle_combat_difficulty=125',' ',' ',1,0),
 (147,'combat_pistol','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (148,'combat_pistol_novice','combat_pistol','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_pistol_04',' ','combat_rangedspecialize_pistol',125000,350000,' ',0,' ',' ','none',' ','private_pistol_novice,healthShot2,cert_pistol_dx2,cert_pistol_republic_blaster','pistol_accuracy=5,pistol_speed=5,private_pistol_combat_difficulty=100,dodge=10',' ',' ',1,0),
 (149,'combat_pistol_master','combat_pistol','fourByFour',0,1,0,0,10000,1,0,'combat_pistol_accuracy_04,combat_pistol_speed_04,combat_pistol_ability_04,combat_pistol_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_pistol_master,multiTargetPistolShot,disarmingShot2,ranged_damage_mitigation_3,cert_pistol_de10','pistol_accuracy=10,pistol_speed=20,pistol_hit_while_moving=10,pistol_aim=4,ranged_defense=5,melee_defense=5,private_pistol_combat_difficulty=100,dodge=25',' ',' ',1,0),
 (150,'combat_pistol_accuracy_01','combat_pistol','fourByFour',0,0,0,0,6000,5,0,'combat_pistol_novice',' ','combat_rangedspecialize_pistol',175000,500000,' ',0,' ',' ','none',' ','private_pistol_accuracy_1,pointBlankSingle2','private_pistol_combat_difficulty=125,dodge=15',' ',' ',1,0),
 (151,'combat_pistol_accuracy_02','combat_pistol_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_pistol_accuracy_01',' ','combat_rangedspecialize_pistol',250000,700000,' ',0,' ',' ','none',' ','private_pistol_accuracy_2','dodge=15,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (152,'combat_pistol_accuracy_03','combat_pistol_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_pistol_accuracy_02',' ','combat_rangedspecialize_pistol',350000,900000,' ',0,' ',' ','none',' ','private_pistol_accuracy_3,bodyShot3','dodge=20,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (153,'combat_pistol_accuracy_04','combat_pistol_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_pistol_accuracy_03',' ','combat_rangedspecialize_pistol',450000,900000,' ',0,' ',' ','none',' ','private_pistol_accuracy_4,pointBlankArea2','dodge=20,private_pistol_combat_difficulty=125',' ',' ',1,0),
 (154,'combat_pistol_speed_01','combat_pistol','fourByFour',0,0,0,0,6000,5,0,'combat_pistol_novice',' ','combat_rangedspecialize_pistol',175000,500000,' ',0,' ',' ','none',' ','private_pistol_speed_1','pistol_accuracy=10,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=125',' ',' ',1,0),
 (155,'combat_pistol_speed_02','combat_pistol_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_pistol_speed_01',' ','combat_rangedspecialize_pistol',250000,700000,' ',0,' ',' ','none',' ','private_pistol_speed_2','pistol_accuracy=5,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (156,'combat_pistol_speed_03','combat_pistol_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_pistol_speed_02',' ','combat_rangedspecialize_pistol',350000,900000,' ',0,' ',' ','none',' ','private_pistol_speed_3','pistol_accuracy=10,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (157,'combat_pistol_speed_04','combat_pistol_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_pistol_speed_03',' ','combat_rangedspecialize_pistol',450000,900000,' ',0,' ',' ','none',' ','private_pistol_speed_4','pistol_accuracy=5,pistol_hit_while_moving=5,pistol_aim=3,private_pistol_combat_difficulty=125',' ',' ',1,0),
 (158,'combat_pistol_ability_01','combat_pistol','fourByFour',0,0,0,0,6000,5,0,'combat_pistol_novice',' ','combat_rangedspecialize_pistol',175000,500000,' ',0,' ',' ','none',' ','private_pistol_ability_1,disarmingShot1,ranged_damage_mitigation_1','stun_defense=40,private_pistol_combat_difficulty=125',' ',' ',1,0),
 (159,'combat_pistol_ability_02','combat_pistol_ability_01','fourByFour',0,0,0,0,7000,4,0,'combat_pistol_ability_01',' ','combat_rangedspecialize_pistol',250000,700000,' ',0,' ',' ','none',' ','private_pistol_ability_2,doubleTap,cert_pistol_geonosian_sonic_blaster_loot,cert_geo_sonic_blaster','blind_defense=40,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (160,'combat_pistol_ability_03','combat_pistol_ability_02','fourByFour',0,0,0,0,8000,3,0,'combat_pistol_ability_02',' ','combat_rangedspecialize_pistol',350000,900000,' ',0,' ',' ','none',' ','private_pistol_ability_3,stoppingShot,ranged_damage_mitigation_2','dizzy_defense=40,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (161,'combat_pistol_ability_04','combat_pistol_ability_03','fourByFour',0,1,0,0,9000,2,0,'combat_pistol_ability_03',' ','combat_rangedspecialize_pistol',450000,900000,' ',0,' ',' ','none',' ','private_pistol_ability_4,fanShot','posture_change_down_defense=20,knockdown_defense=50,private_pistol_combat_difficulty=125',' ',' ',1,0),
 (162,'combat_pistol_support_01','combat_pistol','fourByFour',0,0,0,0,6000,5,0,'combat_pistol_novice',' ','combat_general',60000,170000,' ',0,' ',' ','none',' ','private_pistol_defense_1,pistolMeleeDefense1','melee_defense=10,pistol_speed=6,private_pistol_combat_difficulty=125',' ',' ',1,0),
 (163,'combat_pistol_support_02','combat_pistol_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_pistol_support_01',' ','combat_general',85000,240000,' ',0,' ',' ','none',' ','private_pistol_defense_2','melee_defense=10,pistol_speed=6,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (164,'combat_pistol_support_03','combat_pistol_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_pistol_support_02',' ','combat_general',120000,300000,' ',0,' ',' ','none',' ','private_pistol_defense_3,pistolMeleeDefense2','melee_defense=10,pistol_speed=6,pistol_accuracy_while_standing=15,private_pistol_combat_difficulty=100',' ',' ',1,0),
 (165,'combat_pistol_support_04','combat_pistol_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_pistol_support_03',' ','combat_general',150000,300000,' ',0,' ',' ','none',' ','private_pistol_defense_4','melee_defense=10,pistol_speed=6,private_pistol_combat_difficulty=125',' ',' ',1,0),
 (166,'combat_carbine','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (167,'combat_carbine_novice','combat_carbine','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_carbine_04',' ','combat_rangedspecialize_carbine',125000,350000,' ',0,' ',' ','none',' ','private_carbine_novice,actionShot2,fullAutoSingle2,cert_carbine_elite,cert_carbine_nym_slugthrower','carbine_speed=5,carbine_accuracy=5,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (168,'combat_carbine_master','combat_carbine','fourByFour',0,1,0,0,10000,1,0,'combat_carbine_support_04,combat_carbine_speed_04,combat_carbine_ability_04,combat_carbine_accuracy_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_carbine_master,ranged_damage_mitigation_3','carbine_speed=10,carbine_accuracy=20,carbine_hit_while_moving=10,carbine_aim=25,ranged_defense=25,private_carbine_combat_difficulty=100,counterattack=25',' ',' ',1,0),
 (169,'combat_carbine_accuracy_01','combat_carbine','fourByFour',0,0,0,0,6000,5,0,'combat_carbine_novice',' ','combat_rangedspecialize_carbine',175000,500000,' ',0,' ',' ','none',' ','private_carbine_accuracy_1,scatterShot1','carbine_speed=5,private_carbine_combat_difficulty=125',' ',' ',1,0),
 (170,'combat_carbine_accuracy_02','combat_carbine_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_carbine_accuracy_01',' ','combat_rangedspecialize_carbine',250000,700000,' ',0,' ',' ','none',' ','private_carbine_accuracy_2,wildShot1','carbine_speed=5,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (171,'combat_carbine_accuracy_03','combat_carbine_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_carbine_accuracy_02',' ','combat_rangedspecialize_carbine',350000,900000,' ',0,' ',' ','none',' ','private_carbine_accuracy_3,scatterShot2','carbine_speed=5,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (172,'combat_carbine_accuracy_04','combat_carbine_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_carbine_accuracy_03',' ','combat_rangedspecialize_carbine',450000,900000,' ',0,' ',' ','none',' ','private_carbine_accuracy_4,wildShot2','carbine_speed=5,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (173,'combat_carbine_speed_01','combat_carbine','fourByFour',0,0,0,0,6000,5,0,'combat_carbine_novice',' ','combat_rangedspecialize_carbine',175000,500000,' ',0,' ',' ','none',' ','private_carbine_speed_1,legShot3','carbine_accuracy=5,private_carbine_combat_difficulty=125',' ',' ',1,0),
 (174,'combat_carbine_speed_02','combat_carbine_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_carbine_speed_01',' ','combat_rangedspecialize_carbine',250000,700000,' ',0,' ',' ','none',' ','private_carbine_speed_2','carbine_accuracy=10,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (175,'combat_carbine_speed_03','combat_carbine_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_carbine_speed_02',' ','combat_rangedspecialize_carbine',350000,900000,' ',0,' ',' ','none',' ','private_carbine_speed_3,cripplingShot','carbine_accuracy=15,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (176,'combat_carbine_speed_04','combat_carbine_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_carbine_speed_03',' ','combat_rangedspecialize_carbine',450000,900000,' ',0,' ',' ','none',' ','private_carbine_speed_4','carbine_accuracy=25,private_carbine_combat_difficulty=125',' ',' ',1,0),
 (177,'combat_carbine_ability_01','combat_carbine','fourByFour',0,0,0,0,6000,5,0,'combat_carbine_novice',' ','combat_rangedspecialize_carbine',175000,500000,' ',0,' ',' ','none',' ','private_carbine_ability_1,burstShot1,ranged_damage_mitigation_1','counterattack=20,private_carbine_combat_difficulty=125',' ',' ',1,0),
 (178,'combat_carbine_ability_02','combat_carbine_ability_01','fourByFour',0,0,0,0,7000,4,0,'combat_carbine_ability_01',' ','combat_rangedspecialize_carbine',250000,700000,' ',0,' ',' ','none',' ','private_carbine_ability_2','knockdown_defense=15,intimidate_defense=25,counterattack=20,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (179,'combat_carbine_ability_03','combat_carbine_ability_02','fourByFour',0,0,0,0,8000,3,0,'combat_carbine_ability_02',' ','combat_rangedspecialize_carbine',350000,900000,' ',0,' ',' ','none',' ','private_carbine_ability_3,burstShot2,ranged_damage_mitigation_2','counterattack=20,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (180,'combat_carbine_ability_04','combat_carbine_ability_03','fourByFour',0,1,0,0,9000,2,0,'combat_carbine_ability_03',' ','combat_rangedspecialize_carbine',450000,900000,' ',0,' ',' ','none',' ','private_carbine_ability_4,suppressionFire2','counterattack=20,private_carbine_combat_difficulty=125',' ',' ',1,0),
 (181,'combat_carbine_support_01','combat_carbine','fourByFour',0,0,0,0,6000,5,0,'combat_carbine_novice',' ','combat_general',60000,170000,' ',0,' ',' ','none',' ','private_carbine_support_1,fullAutoArea1','carbine_hit_while_moving=5,private_carbine_combat_difficulty=125',' ',' ',1,0),
 (182,'combat_carbine_support_02','combat_carbine_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_carbine_support_01',' ','combat_general',85000,240000,' ',0,' ',' ','none',' ','private_carbine_support_2,chargeShot1','carbine_hit_while_moving=5,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (183,'combat_carbine_support_03','combat_carbine_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_carbine_support_02',' ','combat_general',120000,300000,' ',0,' ',' ','none',' ','private_carbine_support_3,fullAutoArea2','carbine_hit_while_moving=5,private_carbine_combat_difficulty=100',' ',' ',1,0),
 (184,'combat_carbine_support_04','combat_carbine_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_carbine_support_03',' ','combat_general',150000,300000,' ',0,' ',' ','none',' ','private_carbine_support_4,chargeShot2','carbine_hit_while_moving=5,private_carbine_combat_difficulty=125',' ',' ',1,0),
 (185,'combat_unarmed','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (186,'combat_unarmed_novice','combat_unarmed','fourByFour',0,1,0,0,5000,6,0,'combat_brawler_unarmed_04',' ','combat_meleespecialize_unarmed',125000,350000,' ',0,' ',' ','none',' ','private_unarmed_novice,unarmedHit2,meditate,cert_vibroknuckler','unarmed_damage=70,combat_equillibrium=10,unarmed_speed=10,unarmed_accuracy=20,private_unarmed_combat_difficulty=100,meditate=15,unarmed_toughness=4,private_med_dot=5,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=15,center_of_being_duration_unarmed=5',' ',' ',1,0),
 (187,'combat_unarmed_master','combat_unarmed','fourByFour',0,1,0,0,10000,1,0,'combat_unarmed_accuracy_04,combat_unarmed_speed_04,combat_unarmed_ability_04,combat_unarmed_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_unarmed_master,unarmedHit3,melee_damage_mitigation_3','unarmed_damage=70,combat_equillibrium=15,unarmed_speed=20,unarmed_accuracy=35,private_unarmed_combat_difficulty=100,meditate=25,private_med_dot=10,private_med_wound=10,unarmed_passive_defense=25,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=5',' ',' ',1,0),
 (188,'combat_unarmed_accuracy_01','combat_unarmed','fourByFour',0,0,0,0,6000,5,0,'combat_unarmed_novice',' ','combat_meleespecialize_unarmed',175000,500000,' ',0,' ',' ','none',' ','private_unarmed_accuarcy_1','private_unarmed_combat_difficulty=125,meditate=15,private_med_dot=5',' ',' ',1,0),
 (189,'combat_unarmed_accuracy_02','combat_unarmed_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_unarmed_accuracy_01',' ','combat_meleespecialize_unarmed',250000,700000,' ',0,' ',' ','none',' ','private_unarmed_accuarcy_2,powerBoost','private_unarmed_combat_difficulty=100,meditate=15,private_med_dot=10,private_med_wound=5',' ',' ',1,0),
 (190,'combat_unarmed_accuracy_03','combat_unarmed_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_unarmed_accuracy_02',' ','combat_meleespecialize_unarmed',350000,900000,' ',0,' ',' ','none',' ','private_unarmed_accuracy_3','private_unarmed_combat_difficulty=100,meditate=15,private_med_dot=10,private_med_wound=5',' ',' ',1,0),
 (191,'combat_unarmed_accuracy_04','combat_unarmed_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_unarmed_accuracy_03',' ','combat_meleespecialize_unarmed',450000,900000,' ',0,' ',' ','none',' ','private_unarmed_accuracy_4,forceOfWill','private_unarmed_combat_difficulty=100,meditate=15,private_med_dot=10,private_med_wound=5',' ',' ',1,0),
 (192,'combat_unarmed_speed_01','combat_unarmed','fourByFour',0,0,0,0,6000,5,0,'combat_unarmed_novice',' ','combat_meleespecialize_unarmed',175000,500000,' ',0,' ',' ','none',' ','private_unarmed_speed_1,unarmedKnockdown1,melee_damage_mitigation_1','combat_equillibrium=10,blind_defense=10,posture_change_down_defense=10,private_unarmed_combat_difficulty=125',' ',' ',1,0),
 (193,'combat_unarmed_speed_02','combat_unarmed_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_unarmed_speed_01',' ','combat_meleespecialize_unarmed',250000,700000,' ',0,' ',' ','none',' ','private_unarmed_speed_2','stun_defense=10,combat_equillibrium=10,posture_change_down_defense=10,private_unarmed_combat_difficulty=100,unarmed_toughness=15',' ',' ',1,0),
 (194,'combat_unarmed_speed_03','combat_unarmed_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_unarmed_speed_02',' ','combat_meleespecialize_unarmed',350000,900000,' ',0,' ',' ','none',' ','private_unarmed_speed_3,melee_damage_mitigation_2','stun_defense=5,combat_equillibrium=10,posture_change_down_defense=10,dizzy_defense=5,knockdown_defense=20,private_unarmed_combat_difficulty=100,unarmed_toughness=4',' ',' ',1,0),
 (195,'combat_unarmed_speed_04','combat_unarmed_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_unarmed_speed_03',' ','combat_meleespecialize_unarmed',450000,900000,' ',0,' ',' ','none',' ','private_unarmed_speed_4,unarmedKnockdown2','private_unarmed_combat_difficulty=125,unarmed_toughness=4',' ',' ',1,0),
 (196,'combat_unarmed_ability_01','combat_unarmed','fourByFour',0,0,0,0,6000,5,0,'combat_unarmed_novice',' ','combat_meleespecialize_unarmed',175000,500000,' ',0,' ',' ','none',' ','private_unarmed_ability_1,unarmedDizzy1','unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=125',' ',' ',1,0),
 (197,'combat_unarmed_ability_02','combat_unarmed_ability_01','fourByFour',0,0,0,0,7000,4,0,'combat_unarmed_ability_01',' ','combat_meleespecialize_unarmed',250000,700000,' ',0,' ',' ','none',' ','private_unarmed_ability_2,unarmedCombo1','unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=100',' ',' ',1,0),
 (198,'combat_unarmed_ability_03','combat_unarmed_ability_02','fourByFour',0,0,0,0,8000,3,0,'combat_unarmed_ability_02',' ','combat_meleespecialize_unarmed',350000,900000,' ',0,' ',' ','none',' ','private_unarmed_ability_3,unarmedSpinAttack2','unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=100',' ',' ',1,0),
 (199,'combat_unarmed_ability_04','combat_unarmed_ability_03','fourByFour',0,1,0,0,9000,2,0,'combat_unarmed_ability_03',' ','combat_meleespecialize_unarmed',450000,900000,' ',0,' ',' ','none',' ','private_unarmed_ability_4,unarmedCombo2','unarmed_damage=15,unarmed_speed=15,private_unarmed_combat_difficulty=125',' ',' ',1,0),
 (200,'combat_unarmed_support_01','combat_unarmed','fourByFour',0,0,0,0,6000,5,0,'combat_unarmed_novice',' ','combat_general',60000,170000,' ',0,' ',' ','none',' ','private_unarmed_support_1,unarmedBodyHit1','melee_defense=15,ranged_defense=5,unarmed_accuracy=30,private_unarmed_combat_difficulty=125,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2',' ',' ',1,0),
 (201,'combat_unarmed_support_02','combat_unarmed_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_unarmed_support_01',' ','combat_general',85000,240000,' ',0,' ',' ','none',' ','private_unarmed_support_2,unarmedLegHit1','private_unarmed_combat_difficulty=100,melee_defense=15,ranged_defense=10,unarmed_accuracy=20,unarmed_toughness=5,unarmed_passive_defense=11,unarmed_center_of_being_efficacy=5,center_of_being_duration_unarmed=2',' ',' ',1,0),
 (202,'combat_unarmed_support_03','combat_unarmed_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_unarmed_support_02',' ','combat_general',120000,300000,' ',0,' ',' ','none',' ','private_unarmed_support_3','melee_defense=15,ranged_defense=15,unarmed_accuracy=30,private_unarmed_combat_difficulty=100,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=2',' ',' ',1,0),
 (203,'combat_unarmed_support_04','combat_unarmed_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_unarmed_support_03',' ','combat_general',150000,300000,' ',0,' ',' ','none',' ','private_unarmed_support_4,unarmedHeadHit1','private_unarmed_combat_difficulty=100,melee_defense=15,ranged_defense=15,unarmed_accuracy=20,unarmed_toughness=5,unarmed_passive_defense=15,unarmed_center_of_being_efficacy=10,center_of_being_duration_unarmed=1',' ',' ',1,0),
 (204,'combat_1hsword','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (205,'combat_1hsword_novice','combat_1hsword','fourByFour',0,1,0,0,5000,6,0,'combat_brawler_1handmelee_04',' ','combat_meleespecialize_onehand',125000,350000,' ',0,' ',' ','none',' ','private_1hand_novice,melee1hHit2,cert_baton_stun','onehandmelee_accuracy=20,onehandmelee_speed=10,melee_defense=15,ranged_defense=15,dodge=15,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=4,center_of_being_duration_onehandmelee=5,onehandmelee_center_of_being_efficacy=15',' ',' ',1,0),
 (206,'combat_1hsword_master','combat_1hsword','fourByFour',0,1,0,0,10000,1,0,'combat_1hsword_accuracy_04,combat_1hsword_speed_04,combat_1hsword_ability_04,combat_1hsword_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_1hand_master,melee1hHit3,melee_damage_mitigation_3','onehandmelee_accuracy=20,onehandmelee_speed=10,alert=10,melee_defense=5,combat_equillibrium=10,dodge=15,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=5,onehandmelee_center_of_being_efficacy=15',' ',' ',1,0),
 (207,'combat_1hsword_accuracy_01','combat_1hsword','fourByFour',0,0,0,0,6000,5,0,'combat_1hsword_novice',' ','combat_meleespecialize_onehand',175000,500000,' ',0,' ',' ','none',' ','private_1hand_accuracy_1,melee1hScatterHit1','melee_defense=12,ranged_defense=12,private_onehandmelee_combat_difficulty=125',' ',' ',1,0);
INSERT INTO `swgemu`.`skills` VALUES  (208,'combat_1hsword_accuracy_02','combat_1hsword_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_1hsword_accuracy_01',' ','combat_meleespecialize_onehand',250000,700000,' ',0,' ',' ','none',' ','private_1hand_accuracy_2','ranged_defense=15,melee_defense=15,private_onehandmelee_combat_difficulty=100',' ',' ',1,0),
 (209,'combat_1hsword_accuracy_03','combat_1hsword_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_1hsword_accuracy_02',' ','combat_meleespecialize_onehand',350000,900000,' ',0,' ',' ','none',' ','private_1hand_accuracy_3,melee1hDizzyHit2','melee_defense=12,ranged_defense=12,private_onehandmelee_combat_difficulty=100,onehandmelee_toughness=4',' ',' ',1,0),
 (210,'combat_1hsword_accuracy_04','combat_1hsword_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_1hsword_accuracy_03',' ','combat_meleespecialize_onehand',450000,900000,' ',0,' ',' ','none',' ','private_1hand_accuracy_4,melee1hScatterHit2','ranged_defense=15,melee_defense=15,private_onehandmelee_combat_difficulty=125,onehandmelee_toughness=4',' ',' ',1,0),
 (211,'combat_1hsword_speed_01','combat_1hsword','fourByFour',0,0,0,0,6000,5,0,'combat_1hsword_novice',' ','combat_meleespecialize_onehand',175000,500000,' ',0,' ',' ','none',' ','private_1hand_speed_1,melee1hHealthHit1','onehandmelee_speed=5,private_onehandmelee_combat_difficulty=125,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=5',' ',' ',1,0),
 (212,'combat_1hsword_speed_02','combat_1hsword_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_1hsword_speed_01',' ','combat_meleespecialize_onehand',250000,700000,' ',0,' ',' ','none',' ','private_1hand_speed_2','posture_change_down_defense=20,knockdown_defense=20,onehandmelee_speed=20,private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (213,'combat_1hsword_speed_03','combat_1hsword_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_1hsword_speed_02',' ','combat_meleespecialize_onehand',350000,900000,' ',0,' ',' ','none',' ','private_1hand_speed_3,melee1hSpinAttack2','private_onehandmelee_combat_difficulty=100,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (214,'combat_1hsword_speed_04','combat_1hsword_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_1hsword_speed_03',' ','combat_meleespecialize_onehand',450000,900000,' ',0,' ',' ','none',' ','private_1hand_speed_4,melee1hHealthHit2','posture_change_down_defense=30,knockdown_defense=30,onehandmelee_speed=20,dodge=15,private_onehandmelee_combat_difficulty=125,center_of_being_duration_onehandmelee=2,onehandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (215,'combat_1hsword_ability_01','combat_1hsword','fourByFour',0,0,0,0,6000,5,0,'combat_1hsword_novice',' ','combat_meleespecialize_onehand',175000,500000,' ',0,' ',' ','none',' ','private_1hand_ability_1,melee1hBodyHit2,melee_damage_mitigation_1','private_onehandmelee_combat_difficulty=125,dodge=15',' ',' ',1,0),
 (216,'combat_1hsword_ability_02','combat_1hsword_ability_01','fourByFour',0,0,0,0,7000,4,0,'combat_1hsword_ability_01',' ','combat_meleespecialize_onehand',250000,700000,' ',0,' ',' ','none',' ','private_1hand_ability_2','blind_defense=10,dizzy_defense=10,intimidate_defense=10,private_onehandmelee_combat_difficulty=100,dodge=15',' ',' ',1,0),
 (217,'combat_1hsword_ability_03','combat_1hsword_ability_02','fourByFour',0,0,0,0,8000,3,0,'combat_1hsword_ability_02',' ','combat_meleespecialize_onehand',350000,900000,' ',0,' ',' ','none',' ','private_1hand_ability_3,melee1hBodyHit3,melee_damage_mitigation_2','private_onehandmelee_combat_difficulty=100,dodge=15',' ',' ',1,0),
 (218,'combat_1hsword_ability_04','combat_1hsword_ability_03','fourByFour',0,1,0,0,9000,2,0,'combat_1hsword_ability_03',' ','combat_meleespecialize_onehand',450000,900000,' ',0,' ',' ','none',' ','private_1hand_ability_4','blind_defense=30,dizzy_defense=30,intimidate_defense=10,dodge=15,private_onehandmelee_combat_difficulty=125',' ',' ',1,0),
 (219,'combat_1hsword_support_01','combat_1hsword','fourByFour',0,0,0,0,6000,5,0,'combat_1hsword_novice',' ','combat_general',60000,170000,' ',0,' ',' ','none',' ','private_1hand_support_1,melee1hBlindHit1','private_onehandmelee_combat_difficulty=125',' ',' ',1,0),
 (220,'combat_1hsword_support_02','combat_1hsword_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_1hsword_support_01',' ','combat_general',85000,240000,' ',0,' ',' ','none',' ','private_1hand_support_2','combat_equillibrium=10,onehandmelee_accuracy=30,private_onehandmelee_combat_difficulty=100',' ',' ',1,0),
 (221,'combat_1hsword_support_03','combat_1hsword_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_1hsword_support_02',' ','combat_general',120000,300000,' ',0,' ',' ','none',' ','private_1hand_support_3,melee1hBlindHit2','private_onehandmelee_combat_difficulty=100',' ',' ',1,0),
 (222,'combat_1hsword_support_04','combat_1hsword_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_1hsword_support_03',' ','combat_general',150000,300000,' ',0,' ',' ','none',' ','private_1hand_support_4','combat_equillibrium=10,onehandmelee_accuracy=30,private_onehandmelee_combat_difficulty=125',' ',' ',1,0),
 (223,'combat_2hsword','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (224,'combat_2hsword_novice','combat_2hsword','fourByFour',0,1,0,0,5000,6,0,'combat_brawler_2handmelee_04',' ','combat_meleespecialize_twohand',125000,350000,' ',0,' ',' ','none',' ','private_2hand_novice,melee2hHit2,cert_sword_2h_maul','twohandmelee_accuracy=15,twohandmelee_speed=10,melee_defense=5,counterattack=15,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=15,center_of_being_duration_twohandmelee=5,twohandmelee_center_of_being_efficacy=15',' ',' ',1,0),
 (225,'combat_2hsword_master','combat_2hsword','fourByFour',0,1,0,0,10000,1,0,'combat_2hsword_accuracy_04,combat_2hsword_speed_04,combat_2hsword_ability_04,combat_2hsword_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_2hand_master,melee2hHit3,melee_damage_mitigation_3','twohandmelee_accuracy=15,twohandmelee_speed=10,melee_defense=5,stun_defense=30,blind_defense=10,knockdown_defense=10,ranged_defense=5,counterattack=25,private_twohandmelee_combat_difficulty=100,center_of_being_duration_twohandmelee=5,twohandmelee_center_of_being_efficacy=15',' ',' ',1,0),
 (226,'combat_2hsword_accuracy_01','combat_2hsword','fourByFour',0,0,0,0,6000,5,0,'combat_2hsword_novice',' ','combat_meleespecialize_twohand',175000,500000,' ',0,' ',' ','none',' ','private_2hand_accuracy_1,melee2hArea1','private_twohandmelee_combat_difficulty=125',' ',' ',1,0),
 (227,'combat_2hsword_accuracy_02','combat_2hsword_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_2hsword_accuracy_01',' ','combat_meleespecialize_twohand',250000,700000,' ',0,' ',' ','none',' ','private_2hand_accuracy_2,melee2hArea2','private_twohandmelee_combat_difficulty=100',' ',' ',1,0),
 (228,'combat_2hsword_accuracy_03','combat_2hsword_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_2hsword_accuracy_02',' ','combat_meleespecialize_twohand',350000,900000,' ',0,' ',' ','none',' ','private_2hand_accuracy_3','intimidate_defense=20,dizzy_defense=20,stun_defense=20,private_twohandmelee_combat_difficulty=100,twohandmelee_toughness=4',' ',' ',1,0),
 (229,'combat_2hsword_accuracy_04','combat_2hsword_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_2hsword_accuracy_03',' ','combat_meleespecialize_twohand',450000,900000,' ',0,' ',' ','none',' ','private_2hand_accuracy_4,melee2hArea3','private_twohandmelee_combat_difficulty=125,twohandmelee_toughness=4',' ',' ',1,0),
 (230,'combat_2hsword_speed_01','combat_2hsword','fourByFour',0,0,0,0,6000,5,0,'combat_2hsword_novice',' ','combat_meleespecialize_twohand',175000,500000,' ',0,' ',' ','none',' ','private_2hand_speed_1,melee2hHeadHit2','private_twohandmelee_combat_difficulty=125',' ',' ',1,0),
 (231,'combat_2hsword_speed_02','combat_2hsword_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_2hsword_speed_01',' ','combat_meleespecialize_twohand',250000,700000,' ',0,' ',' ','none',' ','private_2hand_speed_2','twohandmelee_speed=15,private_twohandmelee_combat_difficulty=100',' ',' ',1,0),
 (232,'combat_2hsword_speed_03','combat_2hsword_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_2hsword_speed_02',' ','combat_meleespecialize_twohand',350000,900000,' ',0,' ',' ','none',' ','melee2hHeadHit3','private_twohandmelee_combat_difficulty=100',' ',' ',1,0),
 (233,'combat_2hsword_speed_04','combat_2hsword_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_2hsword_speed_03',' ','combat_meleespecialize_twohand',450000,900000,' ',0,' ',' ','none',' ',' ','twohandmelee_speed=15,private_twohandmelee_combat_difficulty=125',' ',' ',1,0),
 (234,'combat_2hsword_ability_01','combat_2hsword','fourByFour',0,0,0,0,6000,5,0,'combat_2hsword_novice',' ','combat_meleespecialize_twohand',175000,500000,' ',0,' ',' ','none',' ','melee2hSpinAttack2,melee_damage_mitigation_1','private_twohandmelee_combat_difficulty=125,counterattack=15,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (235,'combat_2hsword_ability_02','combat_2hsword_ability_01','fourByFour',0,0,0,0,7000,4,0,'combat_2hsword_ability_01',' ','combat_meleespecialize_twohand',250000,700000,' ',0,' ',' ','none',' ',' ','melee_defense=5,ranged_defense=5,posture_change_down_defense=10,private_twohandmelee_combat_difficulty=100,counterattack=15,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (236,'combat_2hsword_ability_03','combat_2hsword_ability_02','fourByFour',0,0,0,0,8000,3,0,'combat_2hsword_ability_02',' ','combat_meleespecialize_twohand',350000,900000,' ',0,' ',' ','none',' ','melee2hSweep2,melee_damage_mitigation_2','private_twohandmelee_combat_difficulty=100,counterattack=15,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (237,'combat_2hsword_ability_04','combat_2hsword_ability_03','fourByFour',0,1,0,0,9000,2,0,'combat_2hsword_ability_03',' ','combat_meleespecialize_twohand',450000,900000,' ',0,' ',' ','none',' ',' ','melee_defense=5,ranged_defense=5,knockdown_defense=15,counterattack=15,private_twohandmelee_combat_difficulty=125,center_of_being_duration_twohandmelee=2,twohandmelee_center_of_being_efficacy=10',' ',' ',1,0),
 (238,'combat_2hsword_support_01','combat_2hsword','fourByFour',0,0,0,0,6000,5,0,'combat_2hsword_novice',' ','combat_general',60000,170000,' ',0,' ',' ','none',' ','melee2hMindHit1','private_twohandmelee_combat_difficulty=125',' ',' ',1,0),
 (239,'combat_2hsword_support_02','combat_2hsword_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_2hsword_support_01',' ','combat_general',85000,240000,' ',0,' ',' ','none',' ',' ','twohandmelee_accuracy=20,private_twohandmelee_combat_difficulty=100',' ',' ',1,0),
 (240,'combat_2hsword_support_03','combat_2hsword_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_2hsword_support_02',' ','combat_general',120000,300000,' ',0,' ',' ','none',' ','melee2hMindHit2,cert_2h_sword_scythe','private_twohandmelee_combat_difficulty=100',' ',' ',1,0),
 (241,'combat_2hsword_support_04','combat_2hsword_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_2hsword_support_03',' ','combat_general',150000,300000,' ',0,' ',' ','none',' ',' ','twohandmelee_accuracy=30,private_twohandmelee_combat_difficulty=125,counterattack=10',' ',' ',1,0),
 (242,'combat_polearm','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (243,'combat_polearm_novice','combat_polearm','fourByFour',0,1,0,0,5000,6,0,'combat_brawler_polearm_04',' ','combat_meleespecialize_polearm',125000,350000,' ',0,' ',' ','none',' ','private_polearm_novice,polearmHit2,cert_lance_vibrolance','polearm_accuracy=20,polearm_speed=10,melee_defense=5,block=25,private_polearm_combat_difficulty=100,polearm_toughness=10,center_of_being_duration_polearm=5,polearm_center_of_being_efficacy=15',' ',' ',1,0),
 (244,'combat_polearm_master','combat_polearm','fourByFour',0,1,0,0,10000,1,0,'combat_polearm_accuracy_04,combat_polearm_speed_04,combat_polearm_ability_04,combat_polearm_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','private_polearm_master,polearmHit3,melee_damage_mitigation_3','polearm_accuracy=20,polearm_speed=10,melee_defense=15,ranged_defense=15,posture_change_down_defense=10,dizzy_defense=20,stun_defense=30,block=30,private_polearm_combat_difficulty=100,center_of_being_duration_polearm=5,polearm_center_of_being_efficacy=15',' ',' ',1,0),
 (245,'combat_polearm_accuracy_01','combat_polearm','fourByFour',0,0,0,0,6000,5,0,'combat_polearm_novice',' ','combat_meleespecialize_polearm',175000,500000,' ',0,' ',' ','none',' ','private_polearm_accuracy_1,polearmStun2','private_polearm_combat_difficulty=125',' ',' ',1,0),
 (246,'combat_polearm_accuracy_02','combat_polearm_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_polearm_accuracy_01',' ','combat_meleespecialize_polearm',250000,700000,' ',0,' ',' ','none',' ','private_polearm_accuracy_2,cert_lance_nightsister','polearm_speed=15,private_polearm_combat_difficulty=100',' ',' ',1,0),
 (247,'combat_polearm_accuracy_03','combat_polearm_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_polearm_accuracy_02',' ','combat_meleespecialize_polearm',350000,900000,' ',0,' ',' ','none',' ','private_polearm_accuracy_3,polearmSpinAttack2','private_polearm_combat_difficulty=100',' ',' ',1,0),
 (248,'combat_polearm_accuracy_04','combat_polearm_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_polearm_accuracy_03',' ','combat_meleespecialize_polearm',450000,900000,' ',0,' ',' ','none',' ','private_polearm_accuracy_4','polearm_speed=15,private_polearm_combat_difficulty=125',' ',' ',1,0),
 (249,'combat_polearm_speed_01','combat_polearm','fourByFour',0,0,0,0,6000,5,0,'combat_polearm_novice',' ','combat_meleespecialize_polearm',175000,500000,' ',0,' ',' ','none',' ','polearmLegHit2','private_polearm_combat_difficulty=125',' ',' ',1,0),
 (250,'combat_polearm_speed_02','combat_polearm_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_polearm_speed_01',' ','combat_meleespecialize_polearm',250000,700000,' ',0,' ',' ','none',' ','polearmArea1,cert','private_polearm_combat_difficulty=100',' ',' ',1,0),
 (251,'combat_polearm_speed_03','combat_polearm_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_polearm_speed_02',' ','combat_meleespecialize_polearm',350000,900000,' ',0,' ',' ','none',' ','polearmLegHit3','private_polearm_combat_difficulty=100',' ',' ',1,0),
 (252,'combat_polearm_speed_04','combat_polearm_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_polearm_speed_03',' ','combat_meleespecialize_polearm',450000,900000,' ',0,' ',' ','none',' ','polearmArea2','private_polearm_combat_difficulty=125',' ',' ',1,0),
 (253,'combat_polearm_ability_01','combat_polearm','fourByFour',0,0,0,0,6000,5,0,'combat_polearm_novice',' ','combat_meleespecialize_polearm',175000,500000,' ',0,' ',' ','none',' ','polearmSweep1,melee_damage_mitigation_1','private_polearm_combat_difficulty=125,block=15,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10',' ',' ',1,0),
 (254,'combat_polearm_ability_02','combat_polearm_ability_01','fourByFour',0,0,0,0,7000,4,0,'combat_polearm_ability_01',' ','combat_meleespecialize_polearm',250000,700000,' ',0,' ',' ','none',' ',' ','melee_defense=5,ranged_defense=5,knockdown_defense=10,posture_change_down_defense=10,dizzy_defense=10,stun_defense=10,blind_defense=10,private_polearm_combat_difficulty=100,block=15,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10',' ',' ',1,0),
 (255,'combat_polearm_ability_03','combat_polearm_ability_02','fourByFour',0,0,0,0,8000,3,0,'combat_polearm_ability_02',' ','combat_meleespecialize_polearm',350000,900000,' ',0,' ',' ','none',' ','polearmSweep2,melee_damage_mitigation_2','private_polearm_combat_difficulty=100,block=15,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10',' ',' ',1,0),
 (256,'combat_polearm_ability_04','combat_polearm_ability_03','fourByFour',0,1,0,0,9000,2,0,'combat_polearm_ability_03',' ','combat_meleespecialize_polearm',450000,900000,' ',0,' ',' ','none',' ',' ','melee_defense=5,ranged_defense=5,knockdown_defense=10,posture_change_down_defense=10,dizzy_defense=10,stun_defense=10,blind_defense=10,block=15,private_polearm_combat_difficulty=125,polearm_toughness=4,center_of_being_duration_polearm=2,polearm_center_of_being_efficacy=10',' ',' ',1,0),
 (257,'combat_polearm_support_01','combat_polearm','fourByFour',0,0,0,0,6000,5,0,'combat_polearm_novice',' ','combat_general',60000,170000,' ',0,' ',' ','none',' ','polearmActionHit1','private_polearm_combat_difficulty=125,polearm_toughness=4',' ',' ',1,0),
 (258,'combat_polearm_support_02','combat_polearm_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_polearm_support_01',' ','combat_general',85000,240000,' ',0,' ',' ','none',' ',' ','polearm_accuracy=30,private_polearm_combat_difficulty=100',' ',' ',1,0),
 (259,'combat_polearm_support_03','combat_polearm_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_polearm_support_02',' ','combat_general',120000,300000,' ',0,' ',' ','none',' ','polearmActionHit2','private_polearm_combat_difficulty=100',' ',' ',1,0),
 (260,'combat_polearm_support_04','combat_polearm_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_polearm_support_03',' ','combat_general',150000,300000,' ',0,' ',' ','none',' ',' ','polearm_accuracy=30,private_polearm_combat_difficulty=125',' ',' ',1,0),
 (261,'social_dancer','social','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (262,'social_dancer_novice','social_dancer','fourByFour',0,1,0,0,5000,6,0,'social_entertainer_dance_04,social_entertainer_healing_04',' ','dance',50000,350000,' ',0,' ',' ','none',' ','startDance+popular,startDance+poplock,registerWithLocation','healing_dance_ability=10,healing_dance_wound=5,healing_dance_shock=10,healing_dance_mind=10',' ',' ',1,0),
 (263,'social_dancer_master','social_dancer','fourByFour',0,1,0,0,10000,1,0,'social_dancer_ability_04,social_dancer_wound_04,social_dancer_knowledge_04,social_dancer_shock_04',' ',' ',0,0,' ',0,' ',' ','none',' ','startDance+lyrical2,startDance+exotic3,startDance+exotic4,place_cantina,place_theater','healing_dance_ability=10,healing_dance_wound=15,healing_dance_shock=25,healing_dance_mind=25,melee_defense=7,ranged_defense=7,private_place_cantina=100,private_place_theater=100',' ',' ',1,0),
 (264,'social_dancer_ability_01','social_dancer','fourByFour',0,0,0,0,6000,5,0,'social_dancer_novice',' ','dance',87500,500000,' ',0,' ',' ','none',' ','spotlight,colorlights,dazzle','healing_dance_mind=10',' ',' ',1,0),
 (265,'social_dancer_ability_02','social_dancer_ability_01','fourByFour',0,0,0,0,7000,4,0,'social_dancer_ability_01',' ','dance',125000,700000,' ',0,' ',' ','none',' ','distract','healing_dance_mind=10',' ',' ',1,0),
 (266,'social_dancer_ability_03','social_dancer_ability_02','fourByFour',0,0,0,0,8000,3,0,'social_dancer_ability_02',' ','dance',175000,900000,' ',0,' ',' ','none',' ','smokebomb','healing_dance_mind=20',' ',' ',1,0),
 (267,'social_dancer_ability_04','social_dancer_ability_03','fourByFour',0,1,0,0,9000,2,0,'social_dancer_ability_03',' ','dance',225000,900000,' ',0,' ',' ','none',' ',' ','healing_dance_mind=25',' ',' ',1,0),
 (268,'social_dancer_wound_01','social_dancer','fourByFour',0,0,0,0,6000,5,0,'social_dancer_novice',' ','entertainer_healing',25000,200000,' ',0,' ',' ','none',' ',' ','healing_dance_wound=5',' ',' ',1,0),
 (269,'social_dancer_wound_02','social_dancer_wound_01','fourByFour',0,0,0,0,7000,4,0,'social_dancer_wound_01',' ','entertainer_healing',50000,400000,' ',0,' ',' ','none',' ',' ','healing_dance_wound=10',' ',' ',1,0),
 (270,'social_dancer_wound_03','social_dancer_wound_02','fourByFour',0,0,0,0,8000,3,0,'social_dancer_wound_02',' ','entertainer_healing',100000,500000,' ',0,' ',' ','none',' ',' ','healing_dance_wound=10',' ',' ',1,0),
 (271,'social_dancer_wound_04','social_dancer_wound_03','fourByFour',0,1,0,0,9000,2,0,'social_dancer_wound_03',' ','entertainer_healing',125000,500000,' ',0,' ',' ','none',' ',' ','healing_dance_wound=15',' ',' ',1,0),
 (272,'social_dancer_knowledge_01','social_dancer','fourByFour',0,0,0,0,6000,5,0,'social_dancer_novice',' ','dance',87500,500000,' ',0,' ',' ','none',' ','startDance+popular2,startDance+tumble','healing_dance_ability=10',' ',' ',1,0),
 (273,'social_dancer_knowledge_02','social_dancer_knowledge_01','fourByFour',0,0,0,0,7000,4,0,'social_dancer_knowledge_01',' ','dance',125000,700000,' ',0,' ',' ','none',' ','startDance+poplock2,startDance+tumble2','healing_dance_ability=10',' ',' ',1,0),
 (274,'social_dancer_knowledge_03','social_dancer_knowledge_02','fourByFour',0,0,0,0,8000,3,0,'social_dancer_knowledge_02',' ','dance',175000,900000,' ',0,' ',' ','none',' ','startDance+lyrical,startDance+breakdance','healing_dance_ability=10',' ',' ',1,0),
 (275,'social_dancer_knowledge_04','social_dancer_knowledge_03','fourByFour',0,1,0,0,9000,2,0,'social_dancer_knowledge_03',' ','dance',225000,900000,' ',0,' ',' ','none',' ','startDance+breakdance2,startDance+exotic,startDance+exotic2','healing_dance_ability=10',' ',' ',1,0),
 (276,'social_dancer_shock_01','social_dancer','fourByFour',0,0,0,0,6000,5,0,'social_dancer_novice',' ','entertainer_healing',25000,200000,' ',0,' ',' ','none',' ',' ','healing_dance_shock=10',' ',' ',1,0),
 (277,'social_dancer_shock_02','social_dancer_shock_01','fourByFour',0,0,0,0,7000,4,0,'social_dancer_shock_01',' ','entertainer_healing',50000,400000,' ',0,' ',' ','none',' ',' ','healing_dance_shock=10',' ',' ',1,0),
 (278,'social_dancer_shock_03','social_dancer_shock_02','fourByFour',0,0,0,0,8000,3,0,'social_dancer_shock_02',' ','entertainer_healing',100000,500000,' ',0,' ',' ','none',' ',' ','healing_dance_shock=20',' ',' ',1,0),
 (279,'social_dancer_shock_04','social_dancer_shock_03','fourByFour',0,1,0,0,9000,2,0,'social_dancer_shock_03',' ','entertainer_healing',125000,500000,' ',0,' ',' ','none',' ',' ','healing_dance_shock=25',' ',' ',1,0),
 (280,'social_musician','social','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (281,'social_musician_novice','social_musician','fourByFour',0,1,0,0,5000,6,0,'social_entertainer_music_04,social_entertainer_healing_04',' ','music',50000,350000,' ',0,' ',' ','none',' ','traz,registerWithLocation,startMusic+starwars4','healing_music_ability=5,healing_music_wound=5,healing_music_shock=10,healing_music_mind=10,instrument_assembly=10','craftInstrumentGroupC',' ',1,0),
 (282,'social_musician_master','social_musician','fourByFour',0,1,0,0,10000,1,0,'social_musician_ability_04,social_musician_wound_04,social_musician_knowledge_04,social_musician_shock_04',' ',' ',0,0,' ',0,' ',' ','none',' ','startMusic+virtuoso,nalargon,place_cantina,place_theater','healing_music_ability=15,healing_music_wound=15,healing_music_shock=25,healing_music_mind=25,instrument_assembly=25,ranged_defense=7,melee_defense=7,private_place_cantina=100,private_place_theater=100',' ',' ',1,0),
 (283,'social_musician_ability_01','social_musician','fourByFour',0,0,0,0,6000,5,0,'social_musician_novice',' ','music',87500,500000,' ',0,' ',' ','none',' ','spotlight,colorlights,dazzle','instrument_assembly=10,healing_music_mind=10',' ',' ',1,0),
 (284,'social_musician_ability_02','social_musician_ability_01','fourByFour',0,0,0,0,7000,4,0,'social_musician_ability_01',' ','music',125000,700000,' ',0,' ',' ','none',' ','firejet','instrument_assembly=15,healing_music_mind=10','craftInstrumentGroupD',' ',1,0),
 (285,'social_musician_ability_03','social_musician_ability_02','fourByFour',0,0,0,0,8000,3,0,'social_musician_ability_02',' ','music',175000,900000,' ',0,' ',' ','none',' ','ventriloquism','instrument_assembly=15,healing_music_mind=20','craftInstrumentGroupE',' ',1,0),
 (286,'social_musician_ability_04','social_musician_ability_03','fourByFour',0,1,0,0,9000,2,0,'social_musician_ability_03',' ','music',225000,900000,' ',0,' ',' ','none',' ',' ','instrument_assembly=25,healing_music_mind=25','craftInstrumentGroupF',' ',1,0),
 (287,'social_musician_wound_01','social_musician','fourByFour',0,0,0,0,6000,5,0,'social_musician_novice',' ','entertainer_healing',25000,200000,' ',0,' ',' ','none',' ',' ','healing_music_wound=5',' ',' ',1,0),
 (288,'social_musician_wound_02','social_musician_wound_01','fourByFour',0,0,0,0,7000,4,0,'social_musician_wound_01',' ','entertainer_healing',50000,400000,' ',0,' ',' ','none',' ',' ','healing_music_wound=10',' ',' ',1,0),
 (289,'social_musician_wound_03','social_musician_wound_02','fourByFour',0,0,0,0,8000,3,0,'social_musician_wound_02',' ','entertainer_healing',100000,500000,' ',0,' ',' ','none',' ',' ','healing_music_wound=10',' ',' ',1,0),
 (290,'social_musician_wound_04','social_musician_wound_03','fourByFour',0,1,0,0,9000,2,0,'social_musician_wound_03',' ','entertainer_healing',125000,500000,' ',0,' ',' ','none',' ',' ','healing_music_wound=15',' ',' ',1,0),
 (291,'social_musician_knowledge_01','social_musician','fourByFour',0,0,0,0,6000,5,0,'social_musician_novice',' ','music',87500,500000,' ',0,' ',' ','none',' ','startMusic+ballad','healing_music_ability=5',' ',' ',1,0),
 (292,'social_musician_knowledge_02','social_musician_knowledge_01','fourByFour',0,0,0,0,7000,4,0,'social_musician_knowledge_01',' ','music',125000,700000,' ',0,' ',' ','none',' ','bandfill,startMusic+funk','healing_music_ability=10',' ',' ',1,0),
 (293,'social_musician_knowledge_03','social_musician_knowledge_02','fourByFour',0,0,0,0,8000,3,0,'social_musician_knowledge_02',' ','music',175000,900000,' ',0,' ',' ','none',' ','startMusic+waltz,flutedroopy','healing_music_ability=10',' ',' ',1,0),
 (294,'social_musician_knowledge_04','social_musician_knowledge_03','fourByFour',0,1,0,0,9000,2,0,'social_musician_knowledge_03',' ','music',225000,900000,' ',0,' ',' ','none',' ','startMusic+jazz,omnibox','healing_music_ability=15',' ',' ',1,0),
 (295,'social_musician_shock_01','social_musician','fourByFour',0,0,0,0,6000,5,0,'social_musician_novice',' ','entertainer_healing',25000,200000,' ',0,' ',' ','none',' ',' ','healing_music_shock=10',' ',' ',1,0),
 (296,'social_musician_shock_02','social_musician_shock_01','fourByFour',0,0,0,0,7000,4,0,'social_musician_shock_01',' ','entertainer_healing',50000,400000,' ',0,' ',' ','none',' ',' ','healing_music_shock=10',' ',' ',1,0),
 (297,'social_musician_shock_03','social_musician_shock_02','fourByFour',0,0,0,0,8000,3,0,'social_musician_shock_02',' ','entertainer_healing',100000,500000,' ',0,' ',' ','none',' ',' ','healing_music_shock=20',' ',' ',1,0),
 (298,'social_musician_shock_04','social_musician_shock_03','fourByFour',0,1,0,0,9000,2,0,'social_musician_shock_03',' ','entertainer_healing',125000,500000,' ',0,' ',' ','none',' ',' ','healing_music_shock=25',' ',' ',1,0),
 (299,'science_doctor','science','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (300,'science_doctor_novice','science_doctor','fourByFour',0,1,0,0,5000,6,0,'science_medic_master',' ','medical',11250,20000,' ',0,' ',' ','none',' ','healState,registerWithLocation','healing_wound_treatment=5,healing_wound_speed=5,medicine_assembly=10,medicine_experimentation=10,healing_ability=5','craftCurePoisonGroupA,craftStimpackStateGroupA',' ',1,0),
 (301,'science_doctor_master','science_doctor','fourByFour',0,1,0,0,10000,1,0,'science_doctor_wound_speed_04,science_doctor_wound_04,science_doctor_ability_04,science_doctor_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','place_hospital','healing_wound_treatment=25,healing_wound_speed=25,healing_ability=10,private_place_hospital=100','craftMedpackGroupE,craftMedpackBGroupE,craftCureDiseaseGroupC,craftMedpackBEnhanceGroupD',' ',1,0),
 (302,'science_doctor_wound_speed_01','science_doctor','fourByFour',0,0,0,0,6000,5,0,'science_doctor_novice',' ','medical',15000,40000,' ',0,' ',' ','none',' ',' ','healing_wound_speed=15',' ',' ',1,0),
 (303,'science_doctor_wound_speed_02','science_doctor_wound_speed_01','fourByFour',0,0,0,0,7000,4,0,'science_doctor_wound_speed_01',' ','medical',30000,60000,' ',0,' ',' ','none',' ','curePoison','healing_wound_speed=15',' ',' ',1,0),
 (304,'science_doctor_wound_speed_03','science_doctor_wound_speed_02','fourByFour',0,0,0,0,8000,3,0,'science_doctor_wound_speed_02',' ','medical',45000,80000,' ',0,' ',' ','none',' ','extinguishFire','healing_wound_speed=15',' ',' ',1,0),
 (305,'science_doctor_wound_speed_04','science_doctor_wound_speed_03','fourByFour',0,1,0,0,9000,2,0,'science_doctor_wound_speed_03',' ','medical',60000,80000,' ',0,' ',' ','none',' ','cureDisease','healing_wound_speed=25',' ',' ',1,0),
 (306,'science_doctor_wound_01','science_doctor','fourByFour',0,0,0,0,6000,5,0,'science_doctor_novice',' ','medical',15000,40000,' ',0,' ',' ','none',' ',' ','healing_wound_treatment=10',' ',' ',1,0),
 (307,'science_doctor_wound_02','science_doctor_wound_01','fourByFour',0,0,0,0,7000,4,0,'science_doctor_wound_01',' ','medical',30000,60000,' ',0,' ',' ','none',' ','healEnhance','healing_wound_treatment=15',' ',' ',1,0),
 (308,'science_doctor_wound_03','science_doctor_wound_02','fourByFour',0,0,0,0,8000,3,0,'science_doctor_wound_02',' ','medical',45000,80000,' ',0,' ',' ','none',' ',' ','healing_wound_treatment=15',' ',' ',1,0),
 (309,'science_doctor_wound_04','science_doctor_wound_03','fourByFour',0,1,0,0,9000,2,0,'science_doctor_wound_03',' ','medical',60000,80000,' ',0,' ',' ','none',' ','revivePlayer','healing_wound_treatment=25',' ',' ',1,0),
 (310,'science_doctor_ability_01','science_doctor','fourByFour',0,0,0,0,6000,5,0,'science_doctor_novice',' ','medical',15000,40000,' ',0,' ',' ','none',' ',' ','healing_ability=5',' ',' ',1,0),
 (311,'science_doctor_ability_02','science_doctor_ability_01','fourByFour',0,0,0,0,7000,4,0,'science_doctor_ability_01',' ','medical',30000,60000,' ',0,' ',' ','none',' ',' ','healing_ability=10',' ',' ',1,0),
 (312,'science_doctor_ability_03','science_doctor_ability_02','fourByFour',0,0,0,0,8000,3,0,'science_doctor_ability_02',' ','medical',45000,80000,' ',0,' ',' ','none',' ',' ','healing_ability=10',' ',' ',1,0),
 (313,'science_doctor_ability_04','science_doctor_ability_03','fourByFour',0,1,0,0,9000,2,0,'science_doctor_ability_03',' ','medical',60000,80000,' ',0,' ',' ','none',' ',' ','healing_ability=10',' ',' ',1,0),
 (314,'science_doctor_support_01','science_doctor','fourByFour',0,0,0,0,6000,5,0,'science_doctor_novice',' ','crafting_medicine_general',15000,28000,' ',0,' ',' ','none',' ',' ','medicine_assembly=10,medicine_experimentation=10','craftCureDiseaseGroupA,craftMedpackEnhanceGroupA,craftStimpackStateGroupB',' ',1,0),
 (315,'science_doctor_support_02','science_doctor_support_01','fourByFour',0,0,0,0,7000,4,0,'science_doctor_support_01',' ','crafting_medicine_general',21000,36000,' ',0,' ',' ','none',' ',' ','medicine_assembly=10,medicine_experimentation=10','craftMedpackGroupC,craftCurePoisonGroupB,craftMedpackEnhanceGroupB,craftMedpackBEnhanceGroupA',' ',1,0),
 (316,'science_doctor_support_03','science_doctor_support_02','fourByFour',0,0,0,0,8000,3,0,'science_doctor_support_02',' ','crafting_medicine_general',27000,44000,' ',0,' ',' ','none',' ',' ','medicine_assembly=10,medicine_experimentation=10','craftMedicineStimpackGroupE,craftMedpackBGroupC,craftCureDiseaseGroupB,craftMedpackEnhanceGroupC,craftMedpackBEnhanceGroupB',' ',1,0),
 (317,'science_doctor_support_04','science_doctor_support_03','fourByFour',0,1,0,0,9000,2,0,'science_doctor_support_03',' ','crafting_medicine_general',33000,44000,' ',0,' ',' ','none',' ',' ','medicine_assembly=10,medicine_experimentation=10','craftMedpackGroupD,craftMedpackBGroupD,craftCurePoisonGroupC,craftMedpackEnhanceGroupD,craftMedpackBEnhanceGroupC',' ',1,0),
 (318,'outdoors_ranger','outdoors','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (319,'outdoors_ranger_novice','outdoors_ranger','fourByFour',0,1,0,0,5000,6,0,'outdoors_scout_master',' ','scout',15000,30000,' ',0,' ',' ','none',' ','areatrack,areatrack_animal','slope_move=5,camp=5,foraging=5,creature_knowledge=5,creature_harvesting=5,private_areatrack=10','craftRangerCampGroupA',' ',1,0),
 (320,'outdoors_ranger_master','outdoors_ranger','fourByFour',0,1,0,0,10000,1,0,'outdoors_ranger_movement_04,outdoors_ranger_tracking_04,outdoors_ranger_harvest_04,outdoors_ranger_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','camouflage=20,camp=5,foraging=5,creature_knowledge=10,creature_harvesting=10,trapping=10,rescue=10,ranged_defense=10,melee_defense=10','craftRangerCamoGroupMaster',' ',1,0),
 (321,'outdoors_ranger_movement_01','outdoors_ranger','fourByFour',0,0,0,0,6000,5,0,'outdoors_ranger_novice',' ','scout',20000,40000,' ',0,' ',' ','none',' ','conceal','camouflage=40','craftRangerCamoGroupA',' ',1,0),
 (322,'outdoors_ranger_movement_02','outdoors_ranger_movement_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_ranger_movement_01',' ','scout',30000,80000,' ',0,' ',' ','none',' ',' ','slope_move=20,burst_run=10','craftRangerCamoGroupB',' ',1,0),
 (323,'outdoors_ranger_movement_03','outdoors_ranger_movement_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_ranger_movement_02',' ','scout',50000,120000,' ',0,' ',' ','none',' ',' ','camouflage=40','craftRangerCamoGroupC',' ',1,0),
 (324,'outdoors_ranger_movement_04','outdoors_ranger_movement_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_ranger_movement_03',' ','scout',70000,160000,' ',0,' ',' ','none',' ',' ','slope_move=20,burst_run=10','craftRangerCamoGroupD',' ',1,0),
 (325,'outdoors_ranger_tracking_01','outdoors_ranger','fourByFour',0,0,0,0,6000,5,0,'outdoors_ranger_novice',' ','camp',20000,40000,' ',0,' ',' ','none',' ',' ','camp=10,foraging=10',' ',' ',1,0),
 (326,'outdoors_ranger_tracking_02','outdoors_ranger_tracking_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_ranger_tracking_01',' ','camp',30000,80000,' ',0,' ',' ','none',' ',' ','camp=10,foraging=10','craftRangerCampGroupB',' ',1,0),
 (327,'outdoors_ranger_tracking_03','outdoors_ranger_tracking_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_ranger_tracking_02',' ','camp',40000,120000,' ',0,' ',' ','none',' ',' ','camp=10,foraging=10',' ',' ',1,0),
 (328,'outdoors_ranger_tracking_04','outdoors_ranger_tracking_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_ranger_tracking_03',' ','camp',60000,160000,' ',0,' ',' ','none',' ',' ','camp=10,foraging=10','craftRangerCampGroupC',' ',1,0),
 (329,'outdoors_ranger_harvest_01','outdoors_ranger','fourByFour',0,0,0,0,6000,5,0,'outdoors_ranger_novice',' ','scout',20000,40000,' ',0,' ',' ','none',' ','areatrack_direction','creature_knowledge=5,creature_harvesting=5,private_areatrack=10',' ',' ',1,0),
 (330,'outdoors_ranger_harvest_02','outdoors_ranger_harvest_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_ranger_harvest_01',' ','scout',30000,80000,' ',0,' ',' ','none',' ','areatrack_npc','creature_knowledge=10,creature_harvesting=10,creature_hit_bonus=10,private_areatrack=10',' ',' ',1,0),
 (331,'outdoors_ranger_harvest_03','outdoors_ranger_harvest_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_ranger_harvest_02',' ','scout',50000,120000,' ',0,' ',' ','none',' ','areatrack_distance','creature_knowledge=10,creature_harvesting=10,private_areatrack=10',' ',' ',1,0),
 (332,'outdoors_ranger_harvest_04','outdoors_ranger_harvest_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_ranger_harvest_03',' ','scout',70000,160000,' ',0,' ',' ','none',' ','areatrack_player','creature_knowledge=10,creature_harvesting=10,creature_hit_bonus=5,private_areatrack=10',' ',' ',1,0),
 (333,'outdoors_ranger_support_01','outdoors_ranger','fourByFour',0,0,0,0,6000,5,0,'outdoors_ranger_novice',' ','trapping',20000,40000,' ',0,' ',' ','none',' ','rescue','trapping=10,rescue=10',' ',' ',1,0),
 (334,'outdoors_ranger_support_02','outdoors_ranger_support_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_ranger_support_01',' ','trapping',30000,80000,' ',0,' ',' ','none',' ','throwFlashBomb','trapping=10,rescue=10','craftRangerTrapGroupA',' ',1,0),
 (335,'outdoors_ranger_support_03','outdoors_ranger_support_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_ranger_support_02',' ','trapping',50000,120000,' ',0,' ',' ','none',' ','throwSonicPulse','trapping=10,rescue=10','craftRangerTrapGroupB',' ',1,0),
 (336,'outdoors_ranger_support_04','outdoors_ranger_support_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_ranger_support_03',' ','trapping',70000,160000,' ',0,' ',' ','none',' ',' ','trapping=10,rescue=10',' ',' ',1,0),
 (337,'outdoors_creaturehandler','outdoors','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (338,'outdoors_creaturehandler_novice','outdoors_creaturehandler','fourByFour',0,1,0,0,5000,6,0,'outdoors_scout_movement_04,outdoors_scout_harvest_04',' ','scout',17500,25000,' ',0,' ',' ','none',' ','pet_follow,pet_release,pet_attack,tame','stored_pets=4,keep_creature=1,tame_non_aggro=5,tame_level=12',' ',' ',1,0),
 (339,'outdoors_creaturehandler_master','outdoors_creaturehandler','fourByFour',0,1,0,0,10000,1,0,'outdoors_creaturehandler_taming_04,outdoors_creaturehandler_training_04,outdoors_creaturehandler_healing_04,outdoors_creaturehandler_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','pet_transfer,pet_rangedattack','keep_creature=1,tame_non_aggro=5,tame_aggro=15,private_creature_empathy=10,private_creature_training=10,private_creature_management=10,tame_level=10,stored_pets=4',' ',' ',1,0),
 (340,'outdoors_creaturehandler_taming_01','outdoors_creaturehandler','fourByFour',0,0,0,0,6000,5,0,'outdoors_creaturehandler_novice',' ','creaturehandler',17500,60000,' ',0,' ',' ','none',' ',' ','tame_non_aggro=5,tame_level=2',' ',' ',1,0),
 (341,'outdoors_creaturehandler_taming_02','outdoors_creaturehandler_taming_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_creaturehandler_taming_01',' ','creaturehandler',52500,100000,' ',0,' ',' ','none',' ',' ','tame_non_aggro=5,tame_aggro=10,tame_level=2',' ',' ',1,0),
 (342,'outdoors_creaturehandler_taming_03','outdoors_creaturehandler_taming_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_creaturehandler_taming_02',' ','creaturehandler',87500,160000,' ',0,' ',' ','none',' ','pet_specialattack1','tame_non_aggro=5,tame_aggro=10,tame_level=3',' ',' ',1,0),
 (343,'outdoors_creaturehandler_taming_04','outdoors_creaturehandler_taming_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_creaturehandler_taming_03',' ','creaturehandler',140000,160000,' ',0,' ',' ','none',' ','pet_specialattack2','tame_non_aggro=5,tame_aggro=15,tame_level=5',' ',' ',1,0),
 (344,'outdoors_creaturehandler_training_01','outdoors_creaturehandler','fourByFour',0,0,0,0,6000,5,0,'outdoors_creaturehandler_novice',' ','creaturehandler',17500,60000,' ',0,' ',' ','none',' ','pet_stay','private_creature_training=10,tame_level=2,stored_pets=2,tame_non_aggro=5',' ',' ',1,0),
 (345,'outdoors_creaturehandler_training_02','outdoors_creaturehandler_training_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_creaturehandler_training_01',' ','creaturehandler',52500,100000,' ',0,' ',' ','none',' ','pet_guard','stored_pets=3,private_creature_training=10,tame_level=2,tame_non_aggro=5',' ',' ',1,0),
 (346,'outdoors_creaturehandler_training_03','outdoors_creaturehandler_training_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_creaturehandler_training_02',' ','creaturehandler',87500,160000,' ',0,' ',' ','none',' ','pet_patrol','private_creature_training=10,tame_level=3,stored_pets=3,tame_non_aggro=5',' ',' ',1,0),
 (347,'outdoors_creaturehandler_training_04','outdoors_creaturehandler_training_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_creaturehandler_training_03',' ','creaturehandler',140000,160000,' ',0,' ',' ','none',' ','pet_formation','stored_pets=4,private_creature_training=10,tame_level=5,tame_non_aggro=5',' ',' ',1,0),
 (348,'outdoors_creaturehandler_healing_01','outdoors_creaturehandler','fourByFour',0,0,0,0,6000,5,0,'outdoors_creaturehandler_novice',' ','creaturehandler',17500,60000,' ',0,' ',' ','none',' ','trick1','private_creature_empathy=10,tame_level=2,tame_non_aggro=5',' ',' ',1,0),
 (349,'outdoors_creaturehandler_healing_02','outdoors_creaturehandler_healing_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_creaturehandler_healing_01',' ','creaturehandler',52500,100000,' ',0,' ',' ','none',' ','emboldenpets','private_creature_empathy=10,tame_level=2,tame_non_aggro=5',' ',' ',1,0),
 (350,'outdoors_creaturehandler_healing_03','outdoors_creaturehandler_healing_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_creaturehandler_healing_02',' ','creaturehandler',87500,160000,' ',0,' ',' ','none',' ','trick2','private_creature_empathy=10,tame_level=3,tame_non_aggro=5',' ',' ',1,0),
 (351,'outdoors_creaturehandler_healing_04','outdoors_creaturehandler_healing_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_creaturehandler_healing_03',' ','creaturehandler',140000,160000,' ',0,' ',' ','none',' ','enragepets','private_creature_empathy=10,tame_level=5,tame_non_aggro=5',' ',' ',1,0),
 (352,'outdoors_creaturehandler_support_01','outdoors_creaturehandler','fourByFour',0,0,0,0,6000,5,0,'outdoors_creaturehandler_novice',' ','creaturehandler',17500,60000,' ',0,' ',' ','none',' ','pet_group','private_creature_management=10,tame_level=2,tame_non_aggro=5',' ',' ',1,0),
 (353,'outdoors_creaturehandler_support_02','outdoors_creaturehandler_support_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_creaturehandler_support_01',' ','creaturehandler',52500,100000,' ',0,' ',' ','none',' ','pet_followother','private_creature_management=10,tame_level=2,tame_non_aggro=5',' ',' ',1,0),
 (354,'outdoors_creaturehandler_support_03','outdoors_creaturehandler_support_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_creaturehandler_support_02',' ','creaturehandler',87500,160000,' ',0,' ',' ','none',' ','pet_friend','keep_creature=1,private_creature_management=10,tame_level=3,tame_non_aggro=5',' ',' ',1,0),
 (355,'outdoors_creaturehandler_support_04','outdoors_creaturehandler_support_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_creaturehandler_support_03',' ','creaturehandler',140000,160000,' ',0,' ',' ','none',' ','train_mount','private_creature_management=10,tame_level=5,tame_non_aggro=5',' ',' ',1,0),
 (356,'outdoors_bio_engineer','outdoors','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (357,'outdoors_bio_engineer_novice','outdoors_bio_engineer','fourByFour',0,1,0,0,5000,6,0,'outdoors_scout_harvest_04,science_medic_crafting_04',' ','crafting_medicine_general',10000,40000,' ',0,' ',' ','none',' ','sampleDNA','bio_engineer_assembly=10,bio_engineer_experimentation=10,dna_harvesting=15','craftBasicTissueGroup,craftBasicCreatureGroup',' ',1,0),
 (358,'outdoors_bio_engineer_master','outdoors_bio_engineer','fourByFour',0,1,0,0,10000,1,0,'outdoors_bio_engineer_creature_04,outdoors_bio_engineer_tissue_04,outdoors_bio_engineer_dna_harvesting_04,outdoors_bio_engineer_production_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','bio_engineer_assembly=25,bio_engineer_experimentation=25,dna_harvesting=25','craftAdvancedTissueGroup,craftAdvancedCreatureGroup',' ',1,0),
 (359,'outdoors_bio_engineer_creature_01','outdoors_bio_engineer','fourByFour',0,0,0,0,6000,5,0,'outdoors_bio_engineer_novice',' ','crafting_bio_engineer_creature',10000,60000,' ',0,' ',' ','none',' ',' ',' ','craftDomesticCreatureGroupA',' ',1,0),
 (360,'outdoors_bio_engineer_creature_02','outdoors_bio_engineer_creature_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_bio_engineer_creature_01',' ','crafting_bio_engineer_creature',30000,100000,' ',0,' ',' ','none',' ',' ',' ','craftAggressiveCreatureGroupA',' ',1,0),
 (361,'outdoors_bio_engineer_creature_03','outdoors_bio_engineer_creature_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_bio_engineer_creature_02',' ','crafting_bio_engineer_creature',50000,160000,' ',0,' ',' ','none',' ',' ',' ','craftDomesticCreatureGroupB',' ',1,0),
 (362,'outdoors_bio_engineer_creature_04','outdoors_bio_engineer_creature_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_bio_engineer_creature_03',' ','crafting_bio_engineer_creature',80000,160000,' ',0,' ',' ','none',' ',' ',' ','craftAggressiveCreatureGroupB',' ',1,0),
 (363,'outdoors_bio_engineer_tissue_01','outdoors_bio_engineer','fourByFour',0,0,0,0,6000,5,0,'outdoors_bio_engineer_novice',' ','crafting_bio_engineer_creature',10000,60000,' ',0,' ',' ','none',' ',' ',' ','craftTissueGroupA',' ',1,0),
 (364,'outdoors_bio_engineer_tissue_02','outdoors_bio_engineer_tissue_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_bio_engineer_tissue_01',' ','crafting_bio_engineer_creature',30000,100000,' ',0,' ',' ','none',' ',' ',' ','craftTissueGroupB',' ',1,0),
 (365,'outdoors_bio_engineer_tissue_03','outdoors_bio_engineer_tissue_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_bio_engineer_tissue_02',' ','crafting_bio_engineer_creature',50000,160000,' ',0,' ',' ','none',' ',' ',' ','craftTissueGroupC',' ',1,0),
 (366,'outdoors_bio_engineer_tissue_04','outdoors_bio_engineer_tissue_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_bio_engineer_tissue_03',' ','crafting_bio_engineer_creature',80000,160000,' ',0,' ',' ','none',' ',' ',' ','craftTissueGroupD',' ',1,0),
 (367,'outdoors_bio_engineer_dna_harvesting_01','outdoors_bio_engineer','fourByFour',0,0,0,0,6000,5,0,'outdoors_bio_engineer_novice',' ','bio_engineer_dna_harvesting',10000,60000,' ',0,' ',' ','none',' ',' ','dna_harvesting=15',' ',' ',1,0),
 (368,'outdoors_bio_engineer_dna_harvesting_02','outdoors_bio_engineer_dna_harvesting_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_bio_engineer_dna_harvesting_01',' ','bio_engineer_dna_harvesting',30000,100000,' ',0,' ',' ','none',' ',' ','dna_harvesting=15',' ',' ',1,0),
 (369,'outdoors_bio_engineer_dna_harvesting_03','outdoors_bio_engineer_dna_harvesting_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_bio_engineer_dna_harvesting_02',' ','bio_engineer_dna_harvesting',50000,160000,' ',0,' ',' ','none',' ',' ','dna_harvesting=15',' ',' ',1,0),
 (370,'outdoors_bio_engineer_dna_harvesting_04','outdoors_bio_engineer_dna_harvesting_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_bio_engineer_dna_harvesting_03',' ','bio_engineer_dna_harvesting',80000,160000,' ',0,' ',' ','none',' ',' ','dna_harvesting=15',' ',' ',1,0),
 (371,'outdoors_bio_engineer_production_01','outdoors_bio_engineer','fourByFour',0,0,0,0,6000,5,0,'outdoors_bio_engineer_novice',' ','crafting_bio_engineer_creature',10000,60000,' ',0,' ',' ','none',' ',' ','bio_engineer_assembly=10,bio_engineer_experimentation=10',' ',' ',1,0),
 (372,'outdoors_bio_engineer_production_02','outdoors_bio_engineer_production_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_bio_engineer_production_01',' ','crafting_bio_engineer_creature',30000,100000,' ',0,' ',' ','none',' ',' ','bio_engineer_assembly=15,bio_engineer_experimentation=15',' ',' ',1,0),
 (373,'outdoors_bio_engineer_production_03','outdoors_bio_engineer_production_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_bio_engineer_production_02',' ','crafting_bio_engineer_creature',50000,160000,' ',0,' ',' ','none',' ',' ','bio_engineer_assembly=15,bio_engineer_experimentation=15',' ',' ',1,0),
 (374,'outdoors_bio_engineer_production_04','outdoors_bio_engineer_production_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_bio_engineer_production_03',' ','crafting_bio_engineer_creature',80000,160000,' ',0,' ',' ','none',' ',' ','bio_engineer_assembly=25,bio_engineer_experimentation=25',' ',' ',1,0),
 (375,'crafting_armorsmith','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (376,'crafting_armorsmith_novice','crafting_armorsmith','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_engineering_04',' ','crafting_general',16800,40000,' ',0,' ',' ','none',' ',' ','armor_assembly=10,armor_experimentation=10,armor_customization=20','craftArmorPersonalGroupA',' ',1,0),
 (377,'crafting_armorsmith_master','crafting_armorsmith','fourByFour',0,1,0,0,10000,1,0,'crafting_armorsmith_personal_04,crafting_armorsmith_heavy_04,crafting_armorsmith_deflectors_04,crafting_armorsmith_complexity_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','armor_assembly=25,armor_experimentation=25,armor_customization=55','craftArmorLightLayersGroupE,craftArmorPersonalGroupF',' ',1,0),
 (378,'crafting_armorsmith_personal_01','crafting_armorsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_armorsmith_novice',' ','crafting_clothing_armor',28000,56000,' ',0,' ',' ','none',' ',' ',' ','craftArmorPersonalGroupB',' ',1,0),
 (379,'crafting_armorsmith_personal_02','crafting_armorsmith_personal_01','fourByFour',0,0,0,0,7000,4,0,'crafting_armorsmith_personal_01',' ','crafting_clothing_armor',39200,72000,' ',0,' ',' ','none',' ',' ',' ','craftArmorPersonalGroupC',' ',1,0),
 (380,'crafting_armorsmith_personal_03','crafting_armorsmith_personal_02','fourByFour',0,0,0,0,8000,3,0,'crafting_armorsmith_personal_02',' ','crafting_clothing_armor',50400,100000,' ',0,' ',' ','none',' ',' ',' ','craftArmorPersonalGroupD',' ',1,0),
 (381,'crafting_armorsmith_personal_04','crafting_armorsmith_personal_03','fourByFour',0,1,0,0,9000,2,0,'crafting_armorsmith_personal_03',' ','crafting_clothing_armor',61600,120000,' ',0,' ',' ','none',' ',' ',' ','craftArmorPersonalGroupE',' ',1,0),
 (382,'crafting_armorsmith_heavy_01','crafting_armorsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_armorsmith_novice',' ','crafting_clothing_armor',28000,56000,' ',0,' ',' ','none',' ',' ',' ','craftArmorLightLayersGroupA',' ',1,0),
 (383,'crafting_armorsmith_heavy_02','crafting_armorsmith_heavy_01','fourByFour',0,0,0,0,7000,4,0,'crafting_armorsmith_heavy_01',' ','crafting_clothing_armor',39200,72000,' ',0,' ',' ','none',' ',' ',' ','craftArmorLightLayersGroupB',' ',1,0),
 (384,'crafting_armorsmith_heavy_03','crafting_armorsmith_heavy_02','fourByFour',0,0,0,0,8000,3,0,'crafting_armorsmith_heavy_02',' ','crafting_clothing_armor',50400,100000,' ',0,' ',' ','none',' ',' ',' ','craftArmorLightLayersGroupC',' ',1,0),
 (385,'crafting_armorsmith_heavy_04','crafting_armorsmith_heavy_03','fourByFour',0,1,0,0,9000,2,0,'crafting_armorsmith_heavy_03',' ','crafting_clothing_armor',61600,120000,' ',0,' ',' ','none',' ',' ',' ','craftArmorLightLayersGroupD',' ',1,0),
 (386,'crafting_armorsmith_deflectors_01','crafting_armorsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_armorsmith_novice',' ','crafting_clothing_armor',28000,56000,' ',0,' ',' ','none',' ',' ',' ','craftArmorShieldsGroupA',' ',1,0),
 (387,'crafting_armorsmith_deflectors_02','crafting_armorsmith_deflectors_01','fourByFour',0,0,0,0,7000,4,0,'crafting_armorsmith_deflectors_01',' ','crafting_clothing_armor',39200,72000,' ',0,' ',' ','none',' ',' ',' ','craftArmorShieldsGroupB',' ',1,0),
 (388,'crafting_armorsmith_deflectors_03','crafting_armorsmith_deflectors_02','fourByFour',0,0,0,0,8000,3,0,'crafting_armorsmith_deflectors_02',' ','crafting_clothing_armor',50400,100000,' ',0,' ',' ','none',' ',' ',' ','craftArmorShieldsGroupC',' ',1,0),
 (389,'crafting_armorsmith_deflectors_04','crafting_armorsmith_deflectors_03','fourByFour',0,1,0,0,9000,2,0,'crafting_armorsmith_deflectors_03',' ','crafting_clothing_armor',61600,120000,' ',0,' ',' ','none',' ',' ',' ','craftArmorShieldsGroupD',' ',1,0),
 (390,'crafting_armorsmith_complexity_01','crafting_armorsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_armorsmith_novice',' ','crafting_clothing_armor',28000,56000,' ',0,' ',' ','none',' ',' ','armor_assembly=10,armor_experimentation=10,armor_customization=20',' ',' ',1,0),
 (391,'crafting_armorsmith_complexity_02','crafting_armorsmith_complexity_01','fourByFour',0,0,0,0,7000,4,0,'crafting_armorsmith_complexity_01',' ','crafting_clothing_armor',39200,72000,' ',0,' ',' ','none',' ',' ','armor_assembly=15,armor_experimentation=15,armor_customization=20',' ',' ',1,0),
 (392,'crafting_armorsmith_complexity_03','crafting_armorsmith_complexity_02','fourByFour',0,0,0,0,8000,3,0,'crafting_armorsmith_complexity_02',' ','crafting_clothing_armor',50400,100000,' ',0,' ',' ','none',' ',' ','armor_assembly=20,armor_experimentation=20,armor_customization=20',' ',' ',1,0),
 (393,'crafting_armorsmith_complexity_04','crafting_armorsmith_complexity_03','fourByFour',0,1,0,0,9000,2,0,'crafting_armorsmith_complexity_03',' ','crafting_clothing_armor',61600,120000,' ',0,' ',' ','none',' ',' ','armor_assembly=20,armor_experimentation=20,armor_customization=20',' ',' ',1,0),
 (394,'crafting_weaponsmith','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (395,'crafting_weaponsmith_novice','crafting_weaponsmith','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_engineering_04',' ','crafting_general',21000,40000,' ',0,' ',' ','none',' ',' ','weapon_assembly=10,weapon_experimentation=10','craftWeaponMeleeGroupA,craftWeaponRangedGroupA,craftMunitionsGroupA',' ',1,0),
 (396,'crafting_weaponsmith_master','crafting_weaponsmith','fourByFour',0,1,0,0,10000,1,0,'crafting_weaponsmith_melee_04,crafting_weaponsmith_firearms_04,crafting_weaponsmith_munitions_04,crafting_weaponsmith_techniques_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','weapon_assembly=25,weapon_experimentation=25','craftWeaponRangedGroupF,craftMunitionsGroupF,craftWeaponMeleeGroupF',' ',1,0),
 (397,'crafting_weaponsmith_melee_01','crafting_weaponsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_weaponsmith_novice',' ','crafting_weapons_general',35000,56000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponMeleeGroupB',' ',1,0),
 (398,'crafting_weaponsmith_melee_02','crafting_weaponsmith_melee_01','fourByFour',0,0,0,0,7000,4,0,'crafting_weaponsmith_melee_01',' ','crafting_weapons_general',49000,72000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponMeleeGroupC',' ',1,0),
 (399,'crafting_weaponsmith_melee_03','crafting_weaponsmith_melee_02','fourByFour',0,0,0,0,8000,3,0,'crafting_weaponsmith_melee_02',' ','crafting_weapons_general',63000,100000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponMeleeGroupD',' ',1,0),
 (400,'crafting_weaponsmith_melee_04','crafting_weaponsmith_melee_03','fourByFour',0,1,0,0,9000,2,0,'crafting_weaponsmith_melee_03',' ','crafting_weapons_general',77000,120000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponMeleeGroupE',' ',1,0),
 (401,'crafting_weaponsmith_firearms_01','crafting_weaponsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_weaponsmith_novice',' ','crafting_weapons_general',35000,56000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponRangedGroupB',' ',1,0),
 (402,'crafting_weaponsmith_firearms_02','crafting_weaponsmith_firearms_01','fourByFour',0,0,0,0,7000,4,0,'crafting_weaponsmith_firearms_01',' ','crafting_weapons_general',49000,72000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponRangedGroupC',' ',1,0),
 (403,'crafting_weaponsmith_firearms_03','crafting_weaponsmith_firearms_02','fourByFour',0,0,0,0,8000,3,0,'crafting_weaponsmith_firearms_02',' ','crafting_weapons_general',63000,100000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponRangedGroupD',' ',1,0),
 (404,'crafting_weaponsmith_firearms_04','crafting_weaponsmith_firearms_03','fourByFour',0,1,0,0,9000,2,0,'crafting_weaponsmith_firearms_03',' ','crafting_weapons_general',77000,120000,' ',0,' ',' ','none',' ',' ',' ','craftWeaponRangedGroupE',' ',1,0),
 (405,'crafting_weaponsmith_munitions_01','crafting_weaponsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_weaponsmith_novice',' ','crafting_weapons_general',35000,56000,' ',0,' ',' ','none',' ',' ',' ','craftMunitionsGroupB',' ',1,0),
 (406,'crafting_weaponsmith_munitions_02','crafting_weaponsmith_munitions_01','fourByFour',0,0,0,0,7000,4,0,'crafting_weaponsmith_munitions_01',' ','crafting_weapons_general',49000,72000,' ',0,' ',' ','none',' ',' ',' ','craftMunitionsGroupC',' ',1,0),
 (407,'crafting_weaponsmith_munitions_03','crafting_weaponsmith_munitions_02','fourByFour',0,0,0,0,8000,3,0,'crafting_weaponsmith_munitions_02',' ','crafting_weapons_general',63000,100000,' ',0,' ',' ','none',' ',' ',' ','craftMunitionsGroupD',' ',1,0),
 (408,'crafting_weaponsmith_munitions_04','crafting_weaponsmith_munitions_03','fourByFour',0,1,0,0,9000,2,0,'crafting_weaponsmith_munitions_03',' ','crafting_weapons_general',77000,120000,' ',0,' ',' ','none',' ',' ',' ','craftMunitionsGroupE',' ',1,0),
 (409,'crafting_weaponsmith_techniques_01','crafting_weaponsmith','fourByFour',0,0,0,0,6000,5,0,'crafting_weaponsmith_novice',' ','crafting_weapons_general',35000,56000,' ',0,' ',' ','none',' ',' ','weapon_assembly=10,weapon_experimentation=10',' ',' ',1,0),
 (410,'crafting_weaponsmith_techniques_02','crafting_weaponsmith_techniques_01','fourByFour',0,0,0,0,7000,4,0,'crafting_weaponsmith_techniques_01',' ','crafting_weapons_general',49000,72000,' ',0,' ',' ','none',' ',' ','weapon_assembly=15,weapon_experimentation=15',' ',' ',1,0),
 (411,'crafting_weaponsmith_techniques_03','crafting_weaponsmith_techniques_02','fourByFour',0,0,0,0,8000,3,0,'crafting_weaponsmith_techniques_02',' ','crafting_weapons_general',63000,100000,' ',0,' ',' ','none',' ',' ','weapon_assembly=20,weapon_experimentation=20',' ',' ',1,0),
 (412,'crafting_weaponsmith_techniques_04','crafting_weaponsmith_techniques_03','fourByFour',0,1,0,0,9000,2,0,'crafting_weaponsmith_techniques_03',' ','crafting_weapons_general',77000,120000,' ',0,' ',' ','none',' ',' ','weapon_assembly=20,weapon_experimentation=20',' ',' ',1,0),
 (413,'crafting_chef','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (414,'crafting_chef_novice','crafting_chef','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_domestic_04',' ','crafting_general',19200,40000,' ',0,' ',' ','none',' ',' ','food_assembly=20,food_experimentation=20','craftFoodNoviceGroupA,craftFoodNoviceGroupB,craftFoodNoviceGroupC',' ',1,0),
 (415,'crafting_chef_master','crafting_chef','fourByFour',0,1,0,0,10000,1,0,'crafting_chef_drink_04,crafting_chef_dish_04,crafting_chef_dessert_04,crafting_chef_techniques_04',' ',' ',0,0,' ',0,' ',' ','none',' ','place_cantina','food_assembly=10,food_experimentation=10,private_place_cantina=100','craftFoodMaster',' ',1,0),
 (416,'crafting_chef_dish_01','crafting_chef','fourByFour',0,0,0,0,6000,5,0,'crafting_chef_novice',' ','crafting_food_general',32000,56000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDishGroupA',' ',1,0),
 (417,'crafting_chef_dish_02','crafting_chef_dish_01','fourByFour',0,0,0,0,7000,4,0,'crafting_chef_dish_01',' ','crafting_food_general',44800,72000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDishGroupB',' ',1,0),
 (418,'crafting_chef_dish_03','crafting_chef_dish_02','fourByFour',0,0,0,0,8000,3,0,'crafting_chef_dish_02',' ','crafting_food_general',57600,100000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDishGroupC',' ',1,0),
 (419,'crafting_chef_dish_04','crafting_chef_dish_03','fourByFour',0,1,0,0,9000,2,0,'crafting_chef_dish_03',' ','crafting_food_general',70400,120000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDishGroupD',' ',1,0),
 (420,'crafting_chef_dessert_01','crafting_chef','fourByFour',0,0,0,0,6000,5,0,'crafting_chef_novice',' ','crafting_food_general',32000,56000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDessertGroupA',' ',1,0),
 (421,'crafting_chef_dessert_02','crafting_chef_dessert_01','fourByFour',0,0,0,0,7000,4,0,'crafting_chef_dessert_01',' ','crafting_food_general',44800,72000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDessertGroupB',' ',1,0),
 (422,'crafting_chef_dessert_03','crafting_chef_dessert_02','fourByFour',0,0,0,0,8000,3,0,'crafting_chef_dessert_02',' ','crafting_food_general',57600,100000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDessertGroupC',' ',1,0),
 (423,'crafting_chef_dessert_04','crafting_chef_dessert_03','fourByFour',0,1,0,0,9000,2,0,'crafting_chef_dessert_03',' ','crafting_food_general',70400,120000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDessertGroupD',' ',1,0),
 (424,'crafting_chef_drink_01','crafting_chef','fourByFour',0,0,0,0,6000,5,0,'crafting_chef_novice',' ','crafting_food_general',32000,56000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDrinkGroupA',' ',1,0),
 (425,'crafting_chef_drink_02','crafting_chef_drink_01','fourByFour',0,0,0,0,7000,4,0,'crafting_chef_drink_01',' ','crafting_food_general',44800,72000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDrinkGroupB',' ',1,0),
 (426,'crafting_chef_drink_03','crafting_chef_drink_02','fourByFour',0,0,0,0,8000,3,0,'crafting_chef_drink_02',' ','crafting_food_general',57600,100000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDrinkGroupC',' ',1,0),
 (427,'crafting_chef_drink_04','crafting_chef_drink_03','fourByFour',0,1,0,0,9000,2,0,'crafting_chef_drink_03',' ','crafting_food_general',70400,120000,' ',0,' ',' ','none',' ',' ',' ','craftFoodDrinkGroupD',' ',1,0),
 (428,'crafting_chef_techniques_01','crafting_chef','fourByFour',0,0,0,0,6000,5,0,'crafting_chef_novice',' ','crafting_food_general',32000,56000,' ',0,' ',' ','none',' ',' ','food_assembly=10,food_experimentation=10',' ',' ',1,0),
 (429,'crafting_chef_techniques_02','crafting_chef_techniques_01','fourByFour',0,0,0,0,7000,4,0,'crafting_chef_techniques_01',' ','crafting_food_general',44800,72000,' ',0,' ',' ','none',' ',' ','food_assembly=20,food_experimentation=20',' ',' ',1,0),
 (430,'crafting_chef_techniques_03','crafting_chef_techniques_02','fourByFour',0,0,0,0,8000,3,0,'crafting_chef_techniques_02',' ','crafting_food_general',57600,100000,' ',0,' ',' ','none',' ',' ','food_assembly=20,food_experimentation=20',' ',' ',1,0),
 (431,'crafting_chef_techniques_04','crafting_chef_techniques_03','fourByFour',0,1,0,0,9000,2,0,'crafting_chef_techniques_03',' ','crafting_food_general',70400,120000,' ',0,' ',' ','none',' ',' ','food_assembly=20,food_experimentation=20',' ',' ',1,0),
 (432,'crafting_tailor','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (433,'crafting_tailor_novice','crafting_tailor','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_domestic_04',' ','crafting_general',19200,40000,' ',0,' ',' ','none',' ',' ','clothing_assembly=20,clothing_experimentation=20,clothing_customization=20','craftClothingNoviceGroupA,craftClothingNoviceGroupB,craftClothingNoviceGroupC',' ',1,0),
 (434,'crafting_tailor_master','crafting_tailor','fourByFour',0,1,0,0,10000,1,0,'crafting_tailor_casual_04,crafting_tailor_field_04,crafting_tailor_formal_04,crafting_tailor_production_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','clothing_assembly=10,clothing_experimentation=20,clothing_customization=55','craftClothingMaster',' ',1,0),
 (435,'crafting_tailor_casual_01','crafting_tailor','fourByFour',0,0,0,0,6000,5,0,'crafting_tailor_novice',' ','crafting_clothing_general',32000,56000,' ',0,' ',' ','none',' ',' ',' ','craftClothingCasualGroupA',' ',1,0),
 (436,'crafting_tailor_casual_02','crafting_tailor_casual_01','fourByFour',0,0,0,0,7000,4,0,'crafting_tailor_casual_01',' ','crafting_clothing_general',44800,72000,' ',0,' ',' ','none',' ',' ',' ','craftClothingCasualGroupB',' ',1,0),
 (437,'crafting_tailor_casual_03','crafting_tailor_casual_02','fourByFour',0,0,0,0,8000,3,0,'crafting_tailor_casual_02',' ','crafting_clothing_general',57600,100000,' ',0,' ',' ','none',' ',' ',' ','craftClothingCasualGroupC',' ',1,0),
 (438,'crafting_tailor_casual_04','crafting_tailor_casual_03','fourByFour',0,1,0,0,9000,2,0,'crafting_tailor_casual_03',' ','crafting_clothing_general',70400,120000,' ',0,' ',' ','none',' ',' ',' ','craftClothingCasualGroupD',' ',1,0),
 (439,'crafting_tailor_field_01','crafting_tailor','fourByFour',0,0,0,0,6000,5,0,'crafting_tailor_novice',' ','crafting_clothing_general',32000,56000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFieldGroupA',' ',1,0),
 (440,'crafting_tailor_field_02','crafting_tailor_field_01','fourByFour',0,0,0,0,7000,4,0,'crafting_tailor_field_01',' ','crafting_clothing_general',44800,72000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFieldGroupB',' ',1,0),
 (441,'crafting_tailor_field_03','crafting_tailor_field_02','fourByFour',0,0,0,0,8000,3,0,'crafting_tailor_field_02',' ','crafting_clothing_general',57600,100000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFieldGroupC',' ',1,0),
 (442,'crafting_tailor_field_04','crafting_tailor_field_03','fourByFour',0,1,0,0,9000,2,0,'crafting_tailor_field_03',' ','crafting_clothing_general',70400,120000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFieldGroupD',' ',1,0),
 (443,'crafting_tailor_formal_01','crafting_tailor','fourByFour',0,0,0,0,6000,5,0,'crafting_tailor_novice',' ','crafting_clothing_general',32000,56000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFormalGroupA',' ',1,0);
INSERT INTO `swgemu`.`skills` VALUES  (444,'crafting_tailor_formal_02','crafting_tailor_formal_01','fourByFour',0,0,0,0,7000,4,0,'crafting_tailor_formal_01',' ','crafting_clothing_general',44800,72000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFormalGroupB',' ',1,0),
 (445,'crafting_tailor_formal_03','crafting_tailor_formal_02','fourByFour',0,0,0,0,8000,3,0,'crafting_tailor_formal_02',' ','crafting_clothing_general',57600,100000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFormalGroupC',' ',1,0),
 (446,'crafting_tailor_formal_04','crafting_tailor_formal_03','fourByFour',0,1,0,0,9000,2,0,'crafting_tailor_formal_03',' ','crafting_clothing_general',70400,120000,' ',0,' ',' ','none',' ',' ',' ','craftClothingFormalGroupD',' ',1,0),
 (447,'crafting_tailor_production_01','crafting_tailor','fourByFour',0,0,0,0,6000,5,0,'crafting_tailor_novice',' ','crafting_clothing_general',32000,56000,' ',0,' ',' ','none',' ',' ','clothing_assembly=10,clothing_experimentation=15,clothing_customization=20',' ',' ',1,0),
 (448,'crafting_tailor_production_02','crafting_tailor_production_01','fourByFour',0,0,0,0,7000,4,0,'crafting_tailor_production_01',' ','crafting_clothing_general',44800,72000,' ',0,' ',' ','none',' ',' ','clothing_assembly=20,clothing_experimentation=15,clothing_customization=20',' ',' ',1,0),
 (449,'crafting_tailor_production_03','crafting_tailor_production_02','fourByFour',0,0,0,0,8000,3,0,'crafting_tailor_production_02',' ','crafting_clothing_general',57600,100000,' ',0,' ',' ','none',' ',' ','clothing_assembly=20,clothing_experimentation=15,clothing_customization=20',' ',' ',1,0),
 (450,'crafting_tailor_production_04','crafting_tailor_production_03','fourByFour',0,1,0,0,9000,2,0,'crafting_tailor_production_03',' ','crafting_clothing_general',70400,120000,' ',0,' ',' ','none',' ',' ','clothing_assembly=20,clothing_experimentation=15,clothing_customization=20',' ',' ',1,0),
 (451,'crafting_architect','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (452,'crafting_architect_novice','crafting_architect','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_engineering_04',' ','crafting_general',33000,40000,' ',0,' ',' ','none',' ',' ','structure_assembly=20,structure_experimentation=20','craftFurnitureGroupAA,craftStructureGroupAA,craftInstallationGroupAA',' ',1,0),
 (453,'crafting_architect_master','crafting_architect','fourByFour',0,1,0,0,10000,1,0,'crafting_architect_production_04,crafting_architect_techniques_04,crafting_architect_harvesting_04,crafting_architect_blueprints_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','structure_assembly=10,structure_experimentation=10','craftStructureGroupE,craftFurnitureGroupE,craftPlayerCityE',' ',1,0),
 (454,'crafting_architect_production_01','crafting_architect','fourByFour',0,0,0,0,6000,5,0,'crafting_architect_novice',' ','crafting_structure_general',55000,140000,' ',0,' ',' ','none',' ',' ','structure_assembly=10','craftFurnitureGroupA',' ',1,0),
 (455,'crafting_architect_production_02','crafting_architect_production_01','fourByFour',0,0,0,0,7000,4,0,'crafting_architect_production_01',' ','crafting_structure_general',77000,180000,' ',0,' ',' ','none',' ',' ','structure_assembly=20','craftFurnitureGroupB',' ',1,0),
 (456,'crafting_architect_production_03','crafting_architect_production_02','fourByFour',0,0,0,0,8000,3,0,'crafting_architect_production_02',' ','crafting_structure_general',99000,240000,' ',0,' ',' ','none',' ',' ','structure_assembly=20','craftFurnitureGroupC',' ',1,0),
 (457,'crafting_architect_production_04','crafting_architect_production_03','fourByFour',0,1,0,0,9000,2,0,'crafting_architect_production_03',' ','crafting_structure_general',121000,240000,' ',0,' ',' ','none',' ',' ','structure_assembly=20','craftFurnitureGroupD',' ',1,0),
 (458,'crafting_architect_techniques_01','crafting_architect','fourByFour',0,0,0,0,6000,5,0,'crafting_architect_novice',' ','crafting_structure_general',55000,140000,' ',0,' ',' ','none',' ',' ','structure_experimentation=10','craftPlayerCityA',' ',1,0),
 (459,'crafting_architect_techniques_02','crafting_architect_techniques_01','fourByFour',0,0,0,0,7000,4,0,'crafting_architect_techniques_01',' ','crafting_structure_general',77000,180000,' ',0,' ',' ','none',' ',' ','structure_experimentation=20','craftPlayerCityB',' ',1,0),
 (460,'crafting_architect_techniques_03','crafting_architect_techniques_02','fourByFour',0,0,0,0,8000,3,0,'crafting_architect_techniques_02',' ','crafting_structure_general',99000,240000,' ',0,' ',' ','none',' ',' ','structure_experimentation=20','craftPlayerCityC',' ',1,0),
 (461,'crafting_architect_techniques_04','crafting_architect_techniques_03','fourByFour',0,1,0,0,9000,2,0,'crafting_architect_techniques_03',' ','crafting_structure_general',121000,240000,' ',0,' ',' ','none',' ',' ','structure_experimentation=20','craftPlayerCityD',' ',1,0),
 (462,'crafting_architect_harvesting_01','crafting_architect','fourByFour',0,0,0,0,6000,5,0,'crafting_architect_novice',' ','crafting_structure_general',55000,140000,' ',0,' ',' ','none',' ',' ',' ','craftInstallationGroupA',' ',1,0),
 (463,'crafting_architect_harvesting_02','crafting_architect_harvesting_01','fourByFour',0,0,0,0,7000,4,0,'crafting_architect_harvesting_01',' ','crafting_structure_general',77000,180000,' ',0,' ',' ','none',' ',' ',' ','craftInstallationGroupB',' ',1,0),
 (464,'crafting_architect_harvesting_03','crafting_architect_harvesting_02','fourByFour',0,0,0,0,8000,3,0,'crafting_architect_harvesting_02',' ','crafting_structure_general',99000,240000,' ',0,' ',' ','none',' ',' ',' ','craftInstallationGroupC',' ',1,0),
 (465,'crafting_architect_harvesting_04','crafting_architect_harvesting_03','fourByFour',0,1,0,0,9000,2,0,'crafting_architect_harvesting_03',' ','crafting_structure_general',121000,240000,' ',0,' ',' ','none',' ',' ',' ','craftInstallationGroupD',' ',1,0),
 (466,'crafting_architect_blueprints_01','crafting_architect','fourByFour',0,0,0,0,6000,5,0,'crafting_architect_novice',' ','crafting_structure_general',55000,140000,' ',0,' ',' ','none',' ',' ',' ','craftStructureGroupA',' ',1,0),
 (467,'crafting_architect_blueprints_02','crafting_architect_blueprints_01','fourByFour',0,0,0,0,7000,4,0,'crafting_architect_blueprints_01',' ','crafting_structure_general',77000,180000,' ',0,' ',' ','none',' ',' ',' ','craftStructureGroupB',' ',1,0),
 (468,'crafting_architect_blueprints_03','crafting_architect_blueprints_02','fourByFour',0,0,0,0,8000,3,0,'crafting_architect_blueprints_02',' ','crafting_structure_general',99000,240000,' ',0,' ',' ','none',' ',' ',' ','craftStructureGroupC',' ',1,0),
 (469,'crafting_architect_blueprints_04','crafting_architect_blueprints_03','fourByFour',0,1,0,0,9000,2,0,'crafting_architect_blueprints_03',' ','crafting_structure_general',121000,240000,' ',0,' ',' ','none',' ',' ',' ','craftStructureGroupD',' ',1,0),
 (470,'crafting_droidengineer','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (471,'crafting_droidengineer_novice','crafting_droidengineer','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_engineering_04',' ','crafting_general',28800,40000,' ',0,' ',' ','none',' ',' ','droid_assembly=20,droid_experimentation=20,droid_customization=32','craftdroidGroupA,craftdroiddefmodGroupA,craftdroidgenmodGroupA,craftDroidRepairCompA',' ',1,0),
 (472,'crafting_droidengineer_master','crafting_droidengineer','fourByFour',0,1,0,0,10000,1,0,'crafting_droidengineer_production_04,crafting_droidengineer_techniques_04,crafting_droidengineer_refinement_04,crafting_droidengineer_blueprints_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','droid_assembly=10,droid_experimentation=10','craftdroidGroupF,craftdroidgenmodGroupF,craftdroiddefmodGroupF,craftDroidRepairCompB',' ',1,0),
 (473,'crafting_droidengineer_production_01','crafting_droidengineer','fourByFour',0,0,0,0,6000,5,0,'crafting_droidengineer_novice',' ','crafting_droid_general',48000,140000,' ',0,' ',' ','none',' ',' ',' ','craftdroidgenmodGroupB',' ',1,0),
 (474,'crafting_droidengineer_production_02','crafting_droidengineer_production_01','fourByFour',0,0,0,0,7000,4,0,'crafting_droidengineer_production_01',' ','crafting_droid_general',67200,180000,' ',0,' ',' ','none',' ',' ',' ','craftdroidgenmodGroupC',' ',1,0),
 (475,'crafting_droidengineer_production_03','crafting_droidengineer_production_02','fourByFour',0,0,0,0,8000,3,0,'crafting_droidengineer_production_02',' ','crafting_droid_general',86400,240000,' ',0,' ',' ','none',' ',' ',' ','craftdroidgenmodGroupD,craftdroidgenmodGroupDD',' ',1,0),
 (476,'crafting_droidengineer_production_04','crafting_droidengineer_production_03','fourByFour',0,1,0,0,9000,2,0,'crafting_droidengineer_production_03',' ','crafting_droid_general',105600,240000,' ',0,' ',' ','none',' ',' ',' ','craftdroidgenmodGroupE',' ',1,0),
 (477,'crafting_droidengineer_techniques_01','crafting_droidengineer','fourByFour',0,0,0,0,6000,5,0,'crafting_droidengineer_novice',' ','crafting_droid_general',48000,140000,' ',0,' ',' ','none',' ',' ',' ','craftdroiddefmodGroupB,craftDroidWoundRepairA',' ',1,0),
 (478,'crafting_droidengineer_techniques_02','crafting_droidengineer_techniques_01','fourByFour',0,0,0,0,7000,4,0,'crafting_droidengineer_techniques_01',' ','crafting_droid_general',67200,180000,' ',0,' ',' ','none',' ',' ',' ','craftdroiddefmodGroupC,craftDroidWoundRepairB',' ',1,0),
 (479,'crafting_droidengineer_techniques_03','crafting_droidengineer_techniques_02','fourByFour',0,0,0,0,8000,3,0,'crafting_droidengineer_techniques_02',' ','crafting_droid_general',86400,240000,' ',0,' ',' ','none',' ',' ',' ','craftdroiddefmodGroupD,craftDroidWoundRepairC',' ',1,0),
 (480,'crafting_droidengineer_techniques_04','crafting_droidengineer_techniques_03','fourByFour',0,1,0,0,9000,2,0,'crafting_droidengineer_techniques_03',' ','crafting_droid_general',105600,240000,' ',0,' ',' ','none',' ',' ',' ','craftdroiddefmodGroupE,craftDroidWoundRepairD',' ',1,0),
 (481,'crafting_droidengineer_refinement_01','crafting_droidengineer','fourByFour',0,0,0,0,6000,5,0,'crafting_droidengineer_novice',' ','crafting_droid_general',48000,140000,' ',0,' ',' ','none',' ',' ','droid_experimentation=10,droid_customization=8','craftDroidDamageRepairA',' ',1,0),
 (482,'crafting_droidengineer_refinement_02','crafting_droidengineer_refinement_01','fourByFour',0,0,0,0,7000,4,0,'crafting_droidengineer_refinement_01',' ','crafting_droid_general',67200,180000,' ',0,' ',' ','none',' ',' ','droid_experimentation=20,droid_customization=8','craftDroidDamageRepairB',' ',1,0),
 (483,'crafting_droidengineer_refinement_03','crafting_droidengineer_refinement_02','fourByFour',0,0,0,0,8000,3,0,'crafting_droidengineer_refinement_02',' ','crafting_droid_general',86400,240000,' ',0,' ',' ','none',' ',' ','droid_experimentation=20,droid_customization=8','craftDroidDamageRepairC',' ',1,0),
 (484,'crafting_droidengineer_refinement_04','crafting_droidengineer_refinement_03','fourByFour',0,1,0,0,9000,2,0,'crafting_droidengineer_refinement_03',' ','crafting_droid_general',105600,240000,' ',0,' ',' ','none',' ',' ','droid_experimentation=20,droid_customization=8','craftDroidDamageRepairD',' ',1,0),
 (485,'crafting_droidengineer_blueprints_01','crafting_droidengineer','fourByFour',0,0,0,0,6000,5,0,'crafting_droidengineer_novice',' ','crafting_droid_general',48000,140000,' ',0,' ',' ','none',' ',' ','droid_assembly=10','craftdroidGroupB',' ',1,0),
 (486,'crafting_droidengineer_blueprints_02','crafting_droidengineer_blueprints_01','fourByFour',0,0,0,0,7000,4,0,'crafting_droidengineer_blueprints_01',' ','crafting_droid_general',67200,180000,' ',0,' ',' ','none',' ',' ','droid_assembly=20','craftdroidGroupC',' ',1,0),
 (487,'crafting_droidengineer_blueprints_03','crafting_droidengineer_blueprints_02','fourByFour',0,0,0,0,8000,3,0,'crafting_droidengineer_blueprints_02',' ','crafting_droid_general',86400,240000,' ',0,' ',' ','none',' ',' ','droid_assembly=20','craftdroidGroupD',' ',1,0),
 (488,'crafting_droidengineer_blueprints_04','crafting_droidengineer_blueprints_03','fourByFour',0,1,0,0,9000,2,0,'crafting_droidengineer_blueprints_03',' ','crafting_droid_general',105600,240000,' ',0,' ',' ','none',' ',' ','droid_assembly=20','craftdroidGroupE',' ',1,0),
 (489,'crafting_merchant','crafting','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (490,'crafting_merchant_novice','crafting_merchant','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_business_04',' ','merchant',5000,20000,' ',0,' ',' ','none',' ',' ','manage_vendor=1,hiring=10,vendor_item_limit=500',' ',' ',1,0),
 (491,'crafting_merchant_master','crafting_merchant','fourByFour',0,1,0,0,10000,1,0,'crafting_merchant_advertising_04,crafting_merchant_sales_04,crafting_merchant_hiring_04,crafting_merchant_management_04',' ',' ',0,0,' ',0,' ',' ','none',' ','vendor_fees_1','manage_vendor=2,hiring=10,vendor_item_limit=1000',' ',' ',1,0),
 (492,'crafting_merchant_advertising_01','crafting_merchant','fourByFour',0,0,0,0,6000,5,0,'crafting_merchant_novice',' ','merchant',10000,40000,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (493,'crafting_merchant_advertising_02','crafting_merchant_advertising_01','fourByFour',0,0,0,0,7000,4,0,'crafting_merchant_advertising_01',' ','merchant',20000,60000,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (494,'crafting_merchant_advertising_03','crafting_merchant_advertising_02','fourByFour',0,0,0,0,8000,3,0,'crafting_merchant_advertising_02',' ','merchant',30000,80000,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (495,'crafting_merchant_advertising_04','crafting_merchant_advertising_03','fourByFour',0,1,0,0,9000,2,0,'crafting_merchant_advertising_03',' ','merchant',40000,80000,' ',0,' ',' ','none',' ','ad_fees_1',' ',' ',' ',1,0),
 (496,'crafting_merchant_sales_01','crafting_merchant','fourByFour',0,0,0,0,6000,5,0,'crafting_merchant_novice',' ','merchant',10000,40000,' ',0,' ',' ','none',' ','merchant_fees_1',' ',' ',' ',1,0),
 (497,'crafting_merchant_sales_02','crafting_merchant_sales_01','fourByFour',0,0,0,0,7000,4,0,'crafting_merchant_sales_01',' ','merchant',20000,60000,' ',0,' ',' ','none',' ','vendor_fees_1',' ',' ',' ',1,0),
 (498,'crafting_merchant_sales_03','crafting_merchant_sales_02','fourByFour',0,0,0,0,8000,3,0,'crafting_merchant_sales_02',' ','merchant',30000,80000,' ',0,' ',' ','none',' ','merchant_fees_1','vendor_item_limit=100',' ',' ',1,0),
 (499,'crafting_merchant_sales_04','crafting_merchant_sales_03','fourByFour',0,1,0,0,9000,2,0,'crafting_merchant_sales_03',' ','merchant',40000,80000,' ',0,' ',' ','none',' ','maintenance_fees_1,place_merchant_tent','manage_vendor=1,private_place_merchant_tent=100,vendor_item_limit=150',' ',' ',1,0),
 (500,'crafting_merchant_hiring_01','crafting_merchant','fourByFour',0,0,0,0,6000,5,0,'crafting_merchant_novice',' ','merchant',10000,40000,' ',0,' ',' ','none',' ',' ','hiring=20',' ',' ',1,0),
 (501,'crafting_merchant_hiring_02','crafting_merchant_hiring_01','fourByFour',0,0,0,0,7000,4,0,'crafting_merchant_hiring_01',' ','merchant',20000,60000,' ',0,' ',' ','none',' ',' ','hiring=10',' ',' ',1,0),
 (502,'crafting_merchant_hiring_03','crafting_merchant_hiring_02','fourByFour',0,0,0,0,8000,3,0,'crafting_merchant_hiring_02',' ','merchant',30000,80000,' ',0,' ',' ','none',' ',' ','hiring=15',' ',' ',1,0),
 (503,'crafting_merchant_hiring_04','crafting_merchant_hiring_03','fourByFour',0,1,0,0,9000,2,0,'crafting_merchant_hiring_03',' ','merchant',40000,80000,' ',0,' ',' ','none',' ',' ','hiring=15',' ',' ',1,0),
 (504,'crafting_merchant_management_01','crafting_merchant','fourByFour',0,0,0,0,6000,5,0,'crafting_merchant_novice',' ','merchant',10000,40000,' ',0,' ',' ','none',' ',' ','manage_vendor=1,shop_sign=1,vendor_item_limit=500',' ',' ',1,0),
 (505,'crafting_merchant_management_02','crafting_merchant_management_01','fourByFour',0,0,0,0,7000,4,0,'crafting_merchant_management_01',' ','merchant',20000,60000,' ',0,' ',' ','none',' ',' ','manage_vendor=1,shop_sign=1,vendor_item_limit=500',' ',' ',1,0),
 (506,'crafting_merchant_management_03','crafting_merchant_management_02','fourByFour',0,0,0,0,8000,3,0,'crafting_merchant_management_02',' ','merchant',30000,80000,' ',0,' ',' ','none',' ',' ','manage_vendor=2,shop_sign=1,vendor_item_limit=500',' ',' ',1,0),
 (507,'crafting_merchant_management_04','crafting_merchant_management_03','fourByFour',0,1,0,0,9000,2,0,'crafting_merchant_management_03',' ','merchant',40000,80000,' ',0,' ',' ','none',' ',' ','manage_vendor=2,shop_sign=1,vendor_item_limit=500',' ',' ',1,0),
 (508,'combat_smuggler','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (509,'combat_smuggler_novice','combat_smuggler','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_pistol_04,combat_brawler_unarmed_04',' ','combat_rangedspecialize_pistol',50000,200000,' ',0,' ',' ','none',' ','slice_containers','spice_assembly=20,spice_experimentation=20','craftSmugglerSpiceNovice,craftSmugglerToolsA',' ',1,0),
 (510,'combat_smuggler_master','combat_smuggler','fourByFour',0,1,0,0,10000,1,0,'combat_smuggler_underworld_04,combat_smuggler_slicing_04,combat_smuggler_combat_04,combat_smuggler_spice_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (511,'combat_smuggler_underworld_01','combat_smuggler','fourByFour',0,0,0,0,6000,5,0,'combat_smuggler_novice',' ','combat_rangedspecialize_pistol',75000,150000,' ',0,' ',' ','none',' ',' ','language_all_comprehend=100',' ',' ',1,0),
 (512,'combat_smuggler_underworld_02','combat_smuggler_underworld_01','fourByFour',0,0,0,0,7000,4,0,'combat_smuggler_underworld_01',' ','combat_rangedspecialize_pistol',100000,200000,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (513,'combat_smuggler_underworld_03','combat_smuggler_underworld_02','fourByFour',0,0,0,0,8000,3,0,'combat_smuggler_underworld_02',' ','combat_rangedspecialize_pistol',200000,400000,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (514,'combat_smuggler_underworld_04','combat_smuggler_underworld_03','fourByFour',0,1,0,0,9000,2,0,'combat_smuggler_underworld_03',' ','combat_rangedspecialize_pistol',300000,600000,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (515,'combat_smuggler_slicing_01','combat_smuggler','fourByFour',0,0,0,0,6000,5,0,'combat_smuggler_novice',' ','slicing',5000,10000,' ',0,' ',' ','none',' ','slice_terminals',' ',' ',' ',1,0),
 (516,'combat_smuggler_slicing_02','combat_smuggler_slicing_01','fourByFour',0,0,0,0,7000,4,0,'combat_smuggler_slicing_01',' ','slicing',10000,50000,' ',0,' ',' ','none',' ','slice_weaponsbasic',' ','craftSmugglerToolsB',' ',1,0),
 (517,'combat_smuggler_slicing_03','combat_smuggler_slicing_02','fourByFour',0,0,0,0,8000,3,0,'combat_smuggler_slicing_02',' ','slicing',25000,100000,' ',0,' ',' ','none',' ','slice_armor',' ',' ',' ',1,0),
 (518,'combat_smuggler_slicing_04','combat_smuggler_slicing_03','fourByFour',0,1,0,0,9000,2,0,'combat_smuggler_slicing_03',' ','slicing',50000,100000,' ',0,' ',' ','none',' ','slice_weaponsadvanced',' ','craftSmugglerToolsC',' ',1,0),
 (519,'combat_smuggler_combat_01','combat_smuggler','fourByFour',0,0,0,0,6000,5,0,'combat_smuggler_novice',' ','combat_rangedspecialize_pistol',175000,500000,' ',0,' ',' ','none',' ','feignDeath,ranged_damage_mitigation_1','feign_death=45',' ',' ',1,0),
 (520,'combat_smuggler_combat_02','combat_smuggler_combat_01','fourByFour',0,0,0,0,7000,4,0,'combat_smuggler_combat_01',' ','combat_rangedspecialize_pistol',250000,700000,' ',0,' ',' ','none',' ','panicShot','feign_death=5',' ',' ',1,0),
 (521,'combat_smuggler_combat_03','combat_smuggler_combat_02','fourByFour',0,0,0,0,8000,3,0,'combat_smuggler_combat_02',' ','combat_rangedspecialize_pistol',350000,900000,' ',0,' ',' ','none',' ','lowBlow,melee_damage_mitigation_1','feign_death=10',' ',' ',1,0),
 (522,'combat_smuggler_combat_04','combat_smuggler_combat_03','fourByFour',0,1,0,0,9000,2,0,'combat_smuggler_combat_03',' ','combat_rangedspecialize_pistol',450000,900000,' ',0,' ',' ','none',' ','lastDitch','feign_death=10',' ',' ',1,0),
 (523,'combat_smuggler_spice_01','combat_smuggler','fourByFour',0,0,0,0,6000,5,0,'combat_smuggler_novice',' ','crafting_spice',8000,24000,' ',0,' ',' ','none',' ',' ','spice_assembly=20,spice_experimentation=20','craftSmugglerSpiceA',' ',1,0),
 (524,'combat_smuggler_spice_02','combat_smuggler_spice_01','fourByFour',0,0,0,0,7000,4,0,'combat_smuggler_spice_01',' ','crafting_spice',12000,32000,' ',0,' ',' ','none',' ',' ','spice_assembly=20,spice_experimentation=20','craftSmugglerSpiceB',' ',1,0),
 (525,'combat_smuggler_spice_03','combat_smuggler_spice_02','fourByFour',0,0,0,0,8000,3,0,'combat_smuggler_spice_02',' ','crafting_spice',16000,40000,' ',0,' ',' ','none',' ',' ','spice_assembly=20,spice_experimentation=20','craftSmugglerSpiceC',' ',1,0),
 (526,'combat_smuggler_spice_04','combat_smuggler_spice_03','fourByFour',0,1,0,0,9000,2,0,'combat_smuggler_spice_03',' ','crafting_spice',20000,40000,' ',0,' ',' ','none',' ',' ','spice_assembly=20,spice_experimentation=20','craftSmugglerSpiceD',' ',1,0),
 (527,'combat_bountyhunter','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (528,'combat_bountyhunter_novice','combat_bountyhunter','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_master,outdoors_scout_movement_04',' ','combat_general',40000,0,' ',0,' ',' ','none',' ','cert_pistol_scatter,cert_rifle_lightning','bounty_mission_level=1,heavy_rifle_lightning_accuracy=20,heavy_rifle_lightning_speed=10,private_heavyweapon_combat_difficulty=1600',' ',' ',1,0),
 (529,'combat_bountyhunter_master','combat_bountyhunter','fourByFour',0,1,0,0,100000,1,0,'combat_bountyhunter_investigation_04,combat_bountyhunter_droidcontrol_04,combat_bountyhunter_droidresponse_04,combat_bountyhunter_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','sprayShot,fastBlast,fireLightningCone2,ranged_damage_mitigation_3','droid_tracks=4,droid_track_chance=10,droid_find_chance=10,droid_find_speed=10,droid_track_speed=10,ranged_defense=7,pistol_accuracy=10,carbine_accuracy=10,private_heavyweapon_combat_difficulty=100,private_carbine_difficulty=100,private_pistol_difficulty=100',' ',' ',1,0),
 (530,'combat_bountyhunter_investigation_01','combat_bountyhunter','fourByFour',0,0,0,0,10000,5,0,'combat_bountyhunter_novice',' ','bountyhunter',1000,10000,' ',0,' ',' ','none',' ','droid_find,ranged_damage_mitigation_1','droid_find_chance=70,droid_find_speed=10,bounty_mission_level=1',' ',' ',1,0),
 (531,'combat_bountyhunter_investigation_02','combat_bountyhunter_investigation_01','fourByFour',0,0,0,0,20000,4,0,'combat_bountyhunter_investigation_01',' ','bountyhunter',5000,20000,' ',0,' ',' ','none',' ',' ','droid_find_chance=50,droid_find_speed=40',' ',' ',1,0),
 (532,'combat_bountyhunter_investigation_03','combat_bountyhunter_investigation_02','fourByFour',0,0,0,0,30000,3,0,'combat_bountyhunter_investigation_02',' ','bountyhunter',10000,40000,' ',0,' ',' ','none',' ','droid_track,ranged_damage_mitigation_2','droid_tracks=4,droid_track_chance=50,droid_track_speed=40,droid_find_speed=30,bounty_mission_level=1',' ',' ',1,0),
 (533,'combat_bountyhunter_investigation_04','combat_bountyhunter_investigation_03','fourByFour',0,1,0,0,40000,2,0,'combat_bountyhunter_investigation_03',' ','bountyhunter',18000,60000,' ',0,' ',' ','none',' ',' ','droid_tracks=4,droid_track_chance=40,droid_track_speed=30',' ',' ',1,0),
 (534,'combat_bountyhunter_droidcontrol_01','combat_bountyhunter','fourByFour',0,0,0,0,6000,5,0,'combat_bountyhunter_novice',' ','combat_rangedspecialize_carbine',150000,300000,' ',0,' ',' ','none',' ','underHandShot','carbine_accuracy=10,carbine_speed=10,private_carbine_combat_difficulty=200',' ',' ',1,0),
 (535,'combat_bountyhunter_droidcontrol_02','combat_bountyhunter_droidcontrol_01','fourByFour',0,0,0,0,7000,4,0,'combat_bountyhunter_droidcontrol_01',' ','combat_rangedspecialize_carbine',250000,700000,' ',0,' ',' ','none',' ',' ','carbine_accuracy=10,carbine_speed=10,private_carbine_combat_difficulty=200',' ',' ',1,0),
 (536,'combat_bountyhunter_droidcontrol_03','combat_bountyhunter_droidcontrol_02','fourByFour',0,0,0,0,8000,3,0,'combat_bountyhunter_droidcontrol_02',' ','combat_rangedspecialize_carbine',350000,900000,' ',0,' ',' ','none',' ','knockdownFire','carbine_accuracy=20,carbine_speed=20,private_carbine_combat_difficulty=200',' ',' ',1,0),
 (537,'combat_bountyhunter_droidcontrol_04','combat_bountyhunter_droidcontrol_03','fourByFour',0,1,0,0,9000,2,0,'combat_bountyhunter_droidcontrol_03',' ','combat_rangedspecialize_carbine',450000,900000,' ',0,' ',' ','none',' ','confusionShot','carbine_accuracy=10,carbine_speed=10,private_carbine_combat_difficulty=200',' ',' ',1,0),
 (538,'combat_bountyhunter_droidresponse_01','combat_bountyhunter','fourByFour',0,0,0,0,6000,5,0,'combat_bountyhunter_novice',' ','combat_rangedspecialize_pistol',150000,300000,' ',0,' ',' ','none',' ','bleedingShot','pistol_accuracy=10,pistol_speed=10,private_pistol_combat_difficulty=200',' ',' ',1,0),
 (539,'combat_bountyhunter_droidresponse_02','combat_bountyhunter_droidresponse_01','fourByFour',0,0,0,0,7000,4,0,'combat_bountyhunter_droidresponse_01',' ','combat_rangedspecialize_pistol',250000,700000,' ',0,' ',' ','none',' ','eyeShot','pistol_accuracy=10,pistol_speed=10,private_pistol_combat_difficulty=200',' ',' ',1,0),
 (540,'combat_bountyhunter_droidresponse_03','combat_bountyhunter_droidresponse_02','fourByFour',0,0,0,0,8000,3,0,'combat_bountyhunter_droidresponse_02',' ','combat_rangedspecialize_pistol',350000,900000,' ',0,' ',' ','none',' ',' ','pistol_accuracy=20,pistol_speed=20,private_pistol_combat_difficulty=200',' ',' ',1,0),
 (541,'combat_bountyhunter_droidresponse_04','combat_bountyhunter_droidresponse_03','fourByFour',0,1,0,0,9000,2,0,'combat_bountyhunter_droidresponse_03',' ','combat_rangedspecialize_pistol',450000,900000,' ',0,' ',' ','none',' ','torsoShot','pistol_accuracy=10,pistol_speed=10,private_pistol_combat_difficulty=200',' ',' ',1,0),
 (542,'combat_bountyhunter_support_01','combat_bountyhunter','fourByFour',0,0,0,0,6000,5,0,'combat_bountyhunter_novice',' ','combat_rangedspecialize_heavy',150000,300000,' ',0,' ',' ','none',' ','fireLightningSingle1','heavy_rifle_lightning_speed=10,heavy_rifle_lightning_accuracy=10,private_heavyweapon_combat_difficulty=200',' ',' ',1,0),
 (543,'combat_bountyhunter_support_02','combat_bountyhunter_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_bountyhunter_support_01',' ','combat_rangedspecialize_heavy',250000,700000,' ',0,' ',' ','none',' ','fireLightningCone1','heavy_rifle_lightning_speed=10,heavy_rifle_lightning_accuracy=10,private_heavyweapon_combat_difficulty=200',' ',' ',1,0),
 (544,'combat_bountyhunter_support_03','combat_bountyhunter_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_bountyhunter_support_02',' ','combat_rangedspecialize_heavy',350000,900000,' ',0,' ',' ','none',' ',' ','heavy_rifle_lightning_speed=20,heavy_rifle_lightning_accuracy=20,private_heavyweapon_combat_difficulty=200',' ',' ',1,0),
 (545,'combat_bountyhunter_support_04','combat_bountyhunter_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_bountyhunter_support_03',' ','combat_rangedspecialize_heavy',450000,900000,' ',0,' ',' ','none',' ','fireLightningSingle2','heavy_rifle_lightning_speed=10,heavy_rifle_lightning_accuracy=10,private_heavyweapon_combat_difficulty=200',' ',' ',1,0),
 (546,'combat_commando','combat','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (547,'combat_commando_novice','combat_commando','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_master,combat_brawler_unarmed_04',' ','combat_general',40000,1500,' ',0,' ',' ','none',' ','cert_rocket_launcher,cert_pistol_launcher,cert_rifle_flame_thrower,cert_rifle_acid_beam,cert_grenade_fragmentation,throwgrenadefragmentation','heavy_flame_thrower_accuracy=10,heavy_rifle_acid_accuracy=10,private_heavyweapon_combat_difficulty=1700,thrown_accuracy=15',' ',' ',1,0),
 (548,'combat_commando_master','combat_commando','fourByFour',0,1,0,0,10000,1,0,'combat_commando_heavyweapon_accuracy_04,combat_commando_heavyweapon_speed_04,combat_commando_thrownweapon_04,combat_commando_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','cert_grenade_proton,throwgrenadeproton,flameCone2,fireAcidCone2,ranged_damage_mitigation_3','heavy_rocket_launcher_accuracy=40,thrown_accuracy=40,heavy_flame_thrower_accuracy=30,heavy_rifle_acid_accuracy=30,melee_defense=25,ranged_defense=25',' ',' ',1,0),
 (549,'combat_commando_heavyweapon_accuracy_01','combat_commando','fourByFour',0,0,0,0,6000,5,0,'combat_commando_novice',' ','combat_general',50000,20000,' ',0,' ',' ','none',' ','cert_grenade_cryoban,throwgrenadecryoban,ranged_damage_mitigation_1','thrown_accuracy=10,thrown_speed=10,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (550,'combat_commando_heavyweapon_accuracy_02','combat_commando_heavyweapon_accuracy_01','fourByFour',0,0,0,0,7000,4,0,'combat_commando_heavyweapon_accuracy_01',' ','combat_general',80000,170000,' ',0,' ',' ','none',' ','cert_grenade_glop,throwgrenadeglop','thrown_speed=10,knockdown_defense=5',' ',' ',1,0),
 (551,'combat_commando_heavyweapon_accuracy_03','combat_commando_heavyweapon_accuracy_02','fourByFour',0,0,0,0,8000,3,0,'combat_commando_heavyweapon_accuracy_02',' ','combat_general',100000,240000,' ',0,' ',' ','none',' ','cert_grenade_imperial_detonator,throwimperialdetonator,ranged_damage_mitigation_2','thrown_accuracy=10,thrown_speed=10,ranged_defense=5',' ',' ',1,0),
 (552,'combat_commando_heavyweapon_accuracy_04','combat_commando_heavyweapon_accuracy_03','fourByFour',0,1,0,0,9000,2,0,'combat_commando_heavyweapon_accuracy_03',' ','combat_general',130000,300000,' ',0,' ',' ','none',' ','cert_grenade_thermal_detonator,throwthermaldetonator','thrown_accuracy=10,thrown_speed=10,melee_defense=5',' ',' ',1,0),
 (553,'combat_commando_heavyweapon_speed_01','combat_commando','fourByFour',0,0,0,0,6000,5,0,'combat_commando_novice',' ','combat_rangedspecialize_heavy',100000,300000,' ',0,' ',' ','none',' ','cert_heavy_particle_beam','heavy_rocket_launcher_accuracy=20,heavy_rocket_launcher_speed=20heavy_particle_beam_accuracy=10,heavy_particle_beam_speed=10',' ',' ',1,0),
 (554,'combat_commando_heavyweapon_speed_02','combat_commando_heavyweapon_speed_01','fourByFour',0,0,0,0,7000,4,0,'combat_commando_heavyweapon_speed_01',' ','combat_rangedspecialize_heavy',200000,400000,' ',0,' ',' ','none',' ','cert_heavy_acid_beam','heavy_rocket_launcher_accuracy=20,heavy_rocket_launcher_speed=20,heavy_particle_beam_accuracy=20,heavy_particle_beam_speed=20,heavy_acid_beam_speed=10,heavy_acid_beam_accuracy=10',' ',' ',1,0),
 (555,'combat_commando_heavyweapon_speed_03','combat_commando_heavyweapon_speed_02','fourByFour',0,0,0,0,8000,3,0,'combat_commando_heavyweapon_speed_02',' ','combat_rangedspecialize_heavy',300000,500000,' ',0,' ',' ','none',' ','cert_heavy_lightning_beam','heavy_lightning_beam_speed=10,heavy_lightning_beam_accuracy=10,heavy_rocket_launcher_accuracy=20,heavy_rocket_launcher_speed=20,heavy_particle_beam_accuracy=20,heavy_particle_beam_speed=20,heavy_acid_beam_speed=20,heavy_acid_beam_accuracy=20',' ',' ',1,0),
 (556,'combat_commando_heavyweapon_speed_04','combat_commando_heavyweapon_speed_03','fourByFour',0,1,0,0,9000,2,0,'combat_commando_heavyweapon_speed_03',' ','combat_rangedspecialize_heavy',400000,600000,' ',0,' ',' ','none',' ',' ','heavy_lightning_beam_speed=30,heavy_lightning_beam_accuracy=30,heavy_particle_beam_accuracy=20,heavy_particle_beam_speed=20,heavy_acid_beam_speed=20,heavy_acid_beam_accuracy=20',' ',' ',1,0),
 (557,'combat_commando_thrownweapon_01','combat_commando','fourByFour',0,0,0,0,6000,5,0,'combat_commando_novice',' ','combat_rangedspecialize_heavy',150000,300000,' ',0,' ',' ','none',' ','flameSingle1','heavy_flame_thrower_accuracy=15,heavy_flame_thrower_speed=10,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (558,'combat_commando_thrownweapon_02','combat_commando_thrownweapon_01','fourByFour',0,0,0,0,7000,4,0,'combat_commando_thrownweapon_01',' ','combat_rangedspecialize_heavy',250000,700000,' ',0,' ',' ','none',' ','flameCone1','heavy_flame_thrower_accuracy=15,heavy_flame_thrower_speed=10,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (559,'combat_commando_thrownweapon_03','combat_commando_thrownweapon_02','fourByFour',0,0,0,0,8000,3,0,'combat_commando_thrownweapon_02',' ','combat_rangedspecialize_heavy',350000,900000,' ',0,' ',' ','none',' ',' ','heavy_flame_thrower_accuracy=25,heavy_flame_thrower_speed=15,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (560,'combat_commando_thrownweapon_04','combat_commando_thrownweapon_03','fourByFour',0,1,0,0,9000,2,0,'combat_commando_thrownweapon_03',' ','combat_rangedspecialize_heavy',450000,900000,' ',0,' ',' ','none',' ','flameSingle2','heavy_flame_thrower_accuracy=15,heavy_flame_thrower_speed=10,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (561,'combat_commando_support_01','combat_commando','fourByFour',0,0,0,0,6000,5,0,'combat_commando_novice',' ','combat_rangedspecialize_heavy',175000,500000,' ',0,' ',' ','none',' ','fireAcidSingle1','heavy_rifle_acid_accuracy=15,heavy_rifle_acid_speed=10,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (562,'combat_commando_support_02','combat_commando_support_01','fourByFour',0,0,0,0,7000,4,0,'combat_commando_support_01',' ','combat_rangedspecialize_heavy',250000,700000,' ',0,' ',' ','none',' ','fireAcidCone1','heavy_rifle_acid_accuracy=15,heavy_rifle_acid_speed=10,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (563,'combat_commando_support_03','combat_commando_support_02','fourByFour',0,0,0,0,8000,3,0,'combat_commando_support_02',' ','combat_rangedspecialize_heavy',350000,900000,' ',0,' ',' ','none',' ',' ','heavy_rifle_acid_accuracy=25,heavy_rifle_acid_speed=15,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (564,'combat_commando_support_04','combat_commando_support_03','fourByFour',0,1,0,0,9000,2,0,'combat_commando_support_03',' ','combat_rangedspecialize_heavy',450000,900000,' ',0,' ',' ','none',' ','fireAcidSingle2','heavy_rifle_acid_accuracy=15,heavy_rifle_acid_speed=10,private_heavyweapon_combat_difficulty=100',' ',' ',1,0),
 (565,'science_combatmedic','science','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (566,'science_combatmedic_novice','science_combatmedic','fourByFour',0,1,0,0,5000,6,0,'combat_marksman_support_04,science_medic_master',' ','medical',12500,20000,' ',0,' ',' ','none',' ','applyPoison','healing_range=5,healing_range_speed=5,combat_medicine_assembly=20,combat_medicine_experimentation=20,combat_healing_ability=5,combat_medic_effectiveness=5','craftStimpackRangeGroupA,craftApplyPoisonGroupA,craftMedicineComponentGroupC',' ',1,0),
 (567,'science_combatmedic_master','science_combatmedic','fourByFour',0,1,0,0,10000,1,0,'science_combatmedic_healing_range_04,science_combatmedic_healing_range_speed_04,science_combatmedic_medicine_04,science_combatmedic_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ','place_hospital','healing_range=25,healing_range_speed=25,slope_move=10,combat_healing_ability=25,combat_medic_effectiveness=25,private_place_hospital=100','craftApplyPoisonAreaGroupC,craftApplyDiseaseGroupC,craftApplyDiseaseAreaGroupC',' ',1,0),
 (568,'science_combatmedic_healing_range_01','science_combatmedic','fourByFour',0,0,0,0,6000,5,0,'science_combatmedic_novice',' ','medical',12500,40000,' ',0,' ',' ','none',' ',' ','healing_range=15,combat_medic_effectiveness=15',' ',' ',1,0),
 (569,'science_combatmedic_healing_range_02','science_combatmedic_healing_range_01','fourByFour',0,0,0,0,7000,4,0,'science_combatmedic_healing_range_01',' ','medical',25000,60000,' ',0,' ',' ','none',' ','applyDisease','healing_range=15,combat_medic_effectiveness=15',' ',' ',1,0),
 (570,'science_combatmedic_healing_range_03','science_combatmedic_healing_range_02','fourByFour',0,0,0,0,8000,3,0,'science_combatmedic_healing_range_02',' ','medical',37500,80000,' ',0,' ',' ','none',' ',' ','healing_range=15,combat_medic_effectiveness=15',' ',' ',1,0),
 (571,'science_combatmedic_healing_range_04','science_combatmedic_healing_range_03','fourByFour',0,1,0,0,9000,2,0,'science_combatmedic_healing_range_03',' ','medical',50000,80000,' ',0,' ',' ','none',' ',' ','healing_range=25,combat_medic_effectiveness=25',' ',' ',1,0),
 (572,'science_combatmedic_healing_range_speed_01','science_combatmedic','fourByFour',0,0,0,0,6000,5,0,'science_combatmedic_novice',' ','medical',12500,40000,' ',0,' ',' ','none',' ',' ','healing_range_speed=15',' ',' ',1,0),
 (573,'science_combatmedic_healing_range_speed_02','science_combatmedic_healing_range_speed_01','fourByFour',0,0,0,0,7000,4,0,'science_combatmedic_healing_range_speed_01',' ','medical',25000,60000,' ',0,' ',' ','none',' ',' ','healing_range_speed=15',' ',' ',1,0),
 (574,'science_combatmedic_healing_range_speed_03','science_combatmedic_healing_range_speed_02','fourByFour',0,0,0,0,8000,3,0,'science_combatmedic_healing_range_speed_02',' ','medical',37500,80000,' ',0,' ',' ','none',' ',' ','healing_range_speed=15',' ',' ',1,0),
 (575,'science_combatmedic_healing_range_speed_04','science_combatmedic_healing_range_speed_03','fourByFour',0,1,0,0,9000,2,0,'science_combatmedic_healing_range_speed_03',' ','medical',50000,80000,' ',0,' ',' ','none',' ','healMind','healing_range_speed=25',' ',' ',1,0),
 (576,'science_combatmedic_medicine_01','science_combatmedic','fourByFour',0,0,0,0,6000,5,0,'science_combatmedic_novice',' ','crafting_medicine_general',12500,28000,' ',0,' ',' ','none',' ',' ','combat_medicine_assembly=20,combat_medicine_experimentation=20','craftStimpackRangeGroupB,craftApplyPoisonAreaGroupA,craftApplyDiseaseGroupA',' ',1,0),
 (577,'science_combatmedic_medicine_02','science_combatmedic_medicine_01','fourByFour',0,0,0,0,7000,4,0,'science_combatmedic_medicine_01',' ','crafting_medicine_general',17500,36000,' ',0,' ',' ','none',' ',' ','combat_medicine_assembly=20,combat_medicine_experimentation=20','craftStimpackRangeGroupC,craftApplyPoisonGroupB,craftApplyDiseaseAreaGroupA,craftMedicineComponentGroupE',' ',1,0),
 (578,'science_combatmedic_medicine_03','science_combatmedic_medicine_02','fourByFour',0,0,0,0,8000,3,0,'science_combatmedic_medicine_02',' ','crafting_medicine_general',22500,44000,' ',0,' ',' ','none',' ',' ','combat_medicine_assembly=20,combat_medicine_experimentation=20','craftStimpackRangeGroupD,craftApplyPoisonAreaGroupB,craftApplyDiseaseGroupB',' ',1,0),
 (579,'science_combatmedic_medicine_04','science_combatmedic_medicine_03','fourByFour',0,1,0,0,9000,2,0,'science_combatmedic_medicine_03',' ','crafting_medicine_general',27500,44000,' ',0,' ',' ','none',' ',' ','combat_medicine_assembly=20,combat_medicine_experimentation=20','craftStimpackRangeGroupE,craftApplyPoisonGroupC,craftApplyDiseaseAreaGroupB',' ',1,0),
 (580,'science_combatmedic_support_01','science_combatmedic','fourByFour',0,0,0,0,6000,5,0,'science_combatmedic_novice',' ','medical',12500,40000,' ',0,' ',' ','none',' ',' ','combat_healing_ability=15,slope_move=10',' ',' ',1,0),
 (581,'science_combatmedic_support_02','science_combatmedic_support_01','fourByFour',0,0,0,0,7000,4,0,'science_combatmedic_support_01',' ','medical',25000,60000,' ',0,' ',' ','none',' ',' ','combat_healing_ability=15,slope_move=10',' ',' ',1,0),
 (582,'science_combatmedic_support_03','science_combatmedic_support_02','fourByFour',0,0,0,0,8000,3,0,'science_combatmedic_support_02',' ','medical',37500,80000,' ',0,' ',' ','none',' ',' ','combat_healing_ability=15,slope_move=10',' ',' ',1,0),
 (583,'science_combatmedic_support_04','science_combatmedic_support_03','fourByFour',0,1,0,0,9000,2,0,'science_combatmedic_support_03',' ','medical',50000,80000,' ',0,' ',' ','none',' ',' ','combat_healing_ability=25,slope_move=10,burst_run=10',' ',' ',1,0),
 (584,'social_imagedesigner','social','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (585,'social_imagedesigner_novice','social_imagedesigner','fourByFour',0,1,0,0,5000,6,0,'social_entertainer_hairstyle_04',' ','imagedesigner',10000,20000,' ',0,' ',' ','none',' ',' ','hair=1,body=1,face=1',' ',' ',1,0),
 (586,'social_imagedesigner_master','social_imagedesigner','fourByFour',0,1,0,0,10000,1,0,'social_imagedesigner_hairstyle_04,social_imagedesigner_exotic_04,social_imagedesigner_bodyform_04,social_imagedesigner_markings_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','markings=2,body=2,face=2',' ',' ',1,0),
 (587,'social_imagedesigner_hairstyle_01','social_imagedesigner','fourByFour',0,0,0,0,6000,4,0,'social_imagedesigner_novice',' ','imagedesigner',10000,40000,' ',0,' ',' ','none',' ',' ','hair=1',' ',' ',1,0),
 (588,'social_imagedesigner_hairstyle_02','social_imagedesigner_hairstyle_01','fourByFour',0,0,0,0,7000,3,0,'social_imagedesigner_hairstyle_01',' ','imagedesigner',20000,60000,' ',0,' ',' ','none',' ',' ','hair=2',' ',' ',1,0),
 (589,'social_imagedesigner_hairstyle_03','social_imagedesigner_hairstyle_02','fourByFour',0,0,0,0,8000,2,0,'social_imagedesigner_hairstyle_02',' ','imagedesigner',30000,80000,' ',0,' ',' ','none',' ',' ','hair=2',' ',' ',1,0),
 (590,'social_imagedesigner_hairstyle_04','social_imagedesigner_hairstyle_03','fourByFour',0,1,0,0,9000,1,0,'social_imagedesigner_hairstyle_03',' ','imagedesigner',40000,80000,' ',0,' ',' ','none',' ',' ','hair=2',' ',' ',1,0),
 (591,'social_imagedesigner_exotic_01','social_imagedesigner','fourByFour',0,0,0,0,6000,4,0,'social_imagedesigner_novice',' ','imagedesigner',10000,40000,' ',0,' ',' ','none',' ',' ','face=1',' ',' ',1,0),
 (592,'social_imagedesigner_exotic_02','social_imagedesigner_exotic_01','fourByFour',0,0,0,0,7000,3,0,'social_imagedesigner_exotic_01',' ','imagedesigner',20000,60000,' ',0,' ',' ','none',' ',' ','face=1',' ',' ',1,0),
 (593,'social_imagedesigner_exotic_03','social_imagedesigner_exotic_02','fourByFour',0,0,0,0,8000,2,0,'social_imagedesigner_exotic_02',' ','imagedesigner',30000,80000,' ',0,' ',' ','none',' ',' ','face=2',' ',' ',1,0),
 (594,'social_imagedesigner_exotic_04','social_imagedesigner_exotic_03','fourByFour',0,1,0,0,9000,1,0,'social_imagedesigner_exotic_03',' ','imagedesigner',40000,80000,' ',0,' ',' ','none',' ',' ','face=2',' ',' ',1,0),
 (595,'social_imagedesigner_bodyform_01','social_imagedesigner','fourByFour',0,0,0,0,6000,4,0,'social_imagedesigner_novice',' ','imagedesigner',10000,40000,' ',0,' ',' ','none',' ',' ','body=1',' ',' ',1,0),
 (596,'social_imagedesigner_bodyform_02','social_imagedesigner_bodyform_01','fourByFour',0,0,0,0,7000,3,0,'social_imagedesigner_bodyform_01',' ','imagedesigner',20000,60000,' ',0,' ',' ','none',' ',' ','body=1',' ',' ',1,0),
 (597,'social_imagedesigner_bodyform_03','social_imagedesigner_bodyform_02','fourByFour',0,0,0,0,8000,2,0,'social_imagedesigner_bodyform_02',' ','imagedesigner',30000,80000,' ',0,' ',' ','none',' ',' ','body=2',' ',' ',1,0),
 (598,'social_imagedesigner_bodyform_04','social_imagedesigner_bodyform_03','fourByFour',0,1,0,0,9000,1,0,'social_imagedesigner_bodyform_03',' ','imagedesigner',40000,80000,' ',0,' ',' ','none',' ',' ','body=2',' ',' ',1,0),
 (599,'social_imagedesigner_markings_01','social_imagedesigner','fourByFour',0,0,0,0,6000,4,0,'social_imagedesigner_novice',' ','imagedesigner',10000,40000,' ',0,' ',' ','none',' ',' ','markings=1',' ',' ',1,0),
 (600,'social_imagedesigner_markings_02','social_imagedesigner_markings_01','fourByFour',0,0,0,0,7000,3,0,'social_imagedesigner_markings_01',' ','imagedesigner',20000,60000,' ',0,' ',' ','none',' ',' ','markings=1',' ',' ',1,0),
 (601,'social_imagedesigner_markings_03','social_imagedesigner_markings_02','fourByFour',0,0,0,0,8000,2,0,'social_imagedesigner_markings_02',' ','imagedesigner',30000,80000,' ',0,' ',' ','none',' ',' ','markings=2',' ',' ',1,0),
 (602,'social_imagedesigner_markings_04','social_imagedesigner_markings_03','fourByFour',0,1,0,0,9000,1,0,'social_imagedesigner_markings_03',' ','imagedesigner',40000,80000,' ',0,' ',' ','none',' ',' ','markings=2',' ',' ',1,0),
 (603,'outdoors_squadleader','outdoors','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (604,'outdoors_squadleader_novice','outdoors_squadleader','fourByFour',0,1,0,0,5000,6,0,'outdoors_scout_movement_04,outdoors_scout_camp_04,combat_marksman_support_04',' ','combat_general',7500,20000,' ',0,' ',' ','none',' ','serversysgroup',' ',' ',' ',1,0),
 (605,'outdoors_squadleader_master','outdoors_squadleader','fourByFour',0,1,0,0,10000,1,0,'outdoors_squadleader_movement_04,outdoors_squadleader_offense_04,outdoors_squadleader_defense_04,outdoors_squadleader_support_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','group_melee_defense=5,group_ranged_defense=5,group_burst_run=10,group_slope_move=10',' ',' ',1,0),
 (606,'outdoors_squadleader_movement_01','outdoors_squadleader','fourByFour',0,0,0,0,6000,5,0,'outdoors_squadleader_novice',' ','squadleader',175000,500000,' ',0,' ',' ','none',' ',' ','group_slope_move=25',' ',' ',1,0),
 (607,'outdoors_squadleader_movement_02','outdoors_squadleader_movement_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_squadleader_movement_01',' ','squadleader',250000,700000,' ',0,' ',' ','none',' ',' ','group_burst_run=25',' ',' ',1,0),
 (608,'outdoors_squadleader_movement_03','outdoors_squadleader_movement_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_squadleader_movement_02',' ','squadleader',350000,900000,' ',0,' ',' ','none',' ',' ','group_slope_move=25',' ',' ',1,0),
 (609,'outdoors_squadleader_movement_04','outdoors_squadleader_movement_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_squadleader_movement_03',' ','squadleader',450000,900000,' ',0,' ',' ','none',' ',' ','group_burst_run=25',' ',' ',1,0),
 (610,'outdoors_squadleader_offense_01','outdoors_squadleader','fourByFour',0,0,0,0,6000,5,0,'outdoors_squadleader_novice',' ','squadleader',175000,500000,' ',0,' ',' ','none',' ','steadyaim',' ',' ',' ',1,0),
 (611,'outdoors_squadleader_offense_02','outdoors_squadleader_offense_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_squadleader_offense_01',' ','squadleader',250000,700000,' ',0,' ',' ','none',' ',' ','steadyaim=10',' ',' ',1,0),
 (612,'outdoors_squadleader_offense_03','outdoors_squadleader_offense_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_squadleader_offense_02',' ','squadleader',350000,900000,' ',0,' ',' ','none',' ','volleyFire',' ',' ',' ',1,0),
 (613,'outdoors_squadleader_offense_04','outdoors_squadleader_offense_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_squadleader_offense_03',' ','squadleader',450000,900000,' ',0,' ',' ','none',' ',' ','volley=10',' ',' ',1,0),
 (614,'outdoors_squadleader_defense_01','outdoors_squadleader','fourByFour',0,0,0,0,6000,5,0,'outdoors_squadleader_novice',' ','squadleader',175000,500000,' ',0,' ',' ','none',' ','formup',' ',' ',' ',1,0),
 (615,'outdoors_squadleader_defense_02','outdoors_squadleader_defense_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_squadleader_defense_01',' ','squadleader',250000,700000,' ',0,' ',' ','none',' ',' ','group_melee_defense=10',' ',' ',1,0),
 (616,'outdoors_squadleader_defense_03','outdoors_squadleader_defense_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_squadleader_defense_02',' ','squadleader',350000,900000,' ',0,' ',' ','none',' ',' ','group_melee_defense=15',' ',' ',1,0),
 (617,'outdoors_squadleader_defense_04','outdoors_squadleader_defense_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_squadleader_defense_03',' ','squadleader',450000,900000,' ',0,' ',' ','none',' ','boostmorale',' ',' ',' ',1,0),
 (618,'outdoors_squadleader_support_01','outdoors_squadleader','fourByFour',0,0,0,0,6000,5,0,'outdoors_squadleader_novice',' ','squadleader',175000,500000,' ',0,' ',' ','none',' ','rally',' ',' ',' ',1,0),
 (619,'outdoors_squadleader_support_02','outdoors_squadleader_support_01','fourByFour',0,0,0,0,7000,4,0,'outdoors_squadleader_support_01',' ','squadleader',250000,700000,' ',0,' ',' ','none',' ',' ','group_ranged_defense=10',' ',' ',1,0),
 (620,'outdoors_squadleader_support_03','outdoors_squadleader_support_02','fourByFour',0,0,0,0,8000,3,0,'outdoors_squadleader_support_02',' ','squadleader',350000,900000,' ',0,' ',' ','none',' ','retreat',' ',' ',' ',1,0),
 (621,'outdoors_squadleader_support_04','outdoors_squadleader_support_03','fourByFour',0,1,0,0,9000,2,0,'outdoors_squadleader_support_03',' ','squadleader',450000,900000,' ',0,' ',' ','none',' ',' ','group_ranged_defense=15',' ',' ',1,0),
 (622,'social_politician','social','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (623,'social_politician_novice','social_politician','fourByFour',0,1,0,0,100,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','place_cityhall,manage_taxes,grantZoningRights','private_place_cityhall=100',' ',' ',1,0),
 (624,'social_politician_master','social_politician','fourByFour',0,1,0,0,5000,0,0,'social_politician_fiscal_04,social_politician_martial_04,social_politician_civic_04,social_politician_urban_04',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (625,'social_politician_fiscal_01','social_politician','fourByFour',0,0,0,0,1000,0,0,'social_politician_novice',' ','political',1000,20000,' ',0,' ',' ','none',' ','city_map',' ',' ',' ',1,0),
 (626,'social_politician_fiscal_02','social_politician_fiscal_01','fourByFour',0,0,0,0,2000,0,0,'social_politician_fiscal_01',' ','political',2500,40000,' ',0,' ',' ','none',' ','place_bank,place_shuttleport','private_place_bank=100,private_place_shuttleport=100',' ',' ',1,0),
 (627,'social_politician_fiscal_03','social_politician_fiscal_02','fourByFour',0,0,0,0,3000,0,0,'social_politician_fiscal_02',' ','political',5000,60000,' ',0,' ',' ','none',' ','city_spec_industry',' ',' ',' ',1,0),
 (628,'social_politician_fiscal_04','social_politician_fiscal_03','fourByFour',0,1,0,0,4000,0,0,'social_politician_fiscal_03',' ','political',10000,60000,' ',0,' ',' ','none',' ','city_spec_research',' ',' ',' ',1,0),
 (629,'social_politician_martial_01','social_politician','fourByFour',0,0,0,0,1000,0,0,'social_politician_novice',' ','political',1000,20000,' ',0,' ',' ','none',' ','manage_militia',' ',' ',' ',1,0),
 (630,'social_politician_martial_02','social_politician_martial_01','fourByFour',0,0,0,0,2000,0,0,'social_politician_martial_01',' ','political',2500,40000,' ',0,' ',' ','none',' ','place_cloning,city_spec_cloning','private_place_cloning=100',' ',' ',1,0),
 (631,'social_politician_martial_03','social_politician_martial_02','fourByFour',0,0,0,0,3000,0,0,'social_politician_martial_02',' ','political',5000,60000,' ',0,' ',' ','none',' ','city_spec_stronghold',' ',' ',' ',1,0),
 (632,'social_politician_martial_04','social_politician_martial_03','fourByFour',0,1,0,0,4000,0,0,'social_politician_martial_03',' ','political',10000,60000,' ',0,' ',' ','none',' ','place_faction_terminal',' ',' ',' ',1,0),
 (633,'social_politician_civic_01','social_politician','fourByFour',0,0,0,0,1000,0,0,'social_politician_novice',' ','political',1000,20000,' ',0,' ',' ','none',' ','installMissionTerminal',' ',' ',' ',1,0),
 (634,'social_politician_civic_02','social_politician_civic_01','fourByFour',0,0,0,0,2000,0,0,'social_politician_civic_01',' ','political',2500,40000,' ',0,' ',' ','none',' ','recruitSkillTrainer,place_garage','private_place_garage=100',' ',' ',1,0),
 (635,'social_politician_civic_03','social_politician_civic_02','fourByFour',0,0,0,0,3000,0,0,'social_politician_civic_02',' ','political',5000,60000,' ',0,' ',' ','none',' ','city_spec_entertainer,city_spec_doctor',' ',' ',' ',1,0),
 (636,'social_politician_civic_04','social_politician_civic_03','fourByFour',0,1,0,0,4000,0,0,'social_politician_civic_03',' ','political',10000,60000,' ',0,' ',' ','none',' ','city_spec_missions,city_spec_sample_rich',' ',' ',' ',1,0),
 (637,'social_politician_urban_01','social_politician','fourByFour',0,0,0,0,1000,0,0,'social_politician_novice',' ','political',1000,20000,' ',0,' ',' ','none',' ','place_streetlamp,place_statue',' ',' ',' ',1,0),
 (638,'social_politician_urban_02','social_politician_urban_01','fourByFour',0,0,0,0,2000,0,0,'social_politician_urban_01',' ','political',2500,40000,' ',0,' ',' ','none',' ','place_fountain',' ',' ',' ',1,0),
 (639,'social_politician_urban_03','social_politician_urban_02','fourByFour',0,0,0,0,3000,0,0,'social_politician_urban_02',' ','political',5000,60000,' ',0,' ',' ','none',' ','place_small_garden,place_medium_garden','private_place_small_garden=100,private_place_medium_garden=100',' ',' ',1,0),
 (640,'social_politician_urban_04','social_politician_urban_03','fourByFour',0,1,0,0,4000,0,0,'social_politician_urban_03',' ','political',10000,60000,' ',0,' ',' ','none',' ','place_large_garden,place_exotic_garden','private_place_large_garden=100,private_place_exotic_garden=100',' ',' ',1,0),
 (641,'social_language','social','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (642,'social_language_basic','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ',' ',' ',' ',' ',1,0),
 (643,'social_language_basic_speak','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ',' ','language_basic_speak=100',' ',' ',1,0),
 (644,'social_language_basic_comprehend','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_basic_comprehend=100',' ',' ',1,0),
 (645,'social_language_rodian','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (646,'social_language_rodian_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+rodese','language_rodian_speak=100',' ',' ',1,0),
 (647,'social_language_rodian_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_rodian_comprehend=100',' ',' ',1,0),
 (648,'social_language_trandoshan','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (649,'social_language_trandoshan_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+dosh','language_trandoshan_speak=100',' ',' ',1,0),
 (650,'social_language_trandoshan_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_trandoshan_comprehend=100',' ',' ',1,0),
 (651,'social_language_moncalamari','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (652,'social_language_moncalamari_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+moncalamarian','language_moncalamari_speak=100',' ',' ',1,0),
 (653,'social_language_moncalamari_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_moncalamari_comprehend=100',' ',' ',1,0),
 (654,'social_language_wookiee','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (655,'social_language_wookiee_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','wookiee','none',' ','language+shyriiwook','language_wookiee_speak=100',' ',' ',1,0),
 (656,'social_language_wookiee_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_wookiee_comprehend=100',' ',' ',1,0),
 (657,'social_language_bothan','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (658,'social_language_bothan_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+bothese','language_bothan_speak=100',' ',' ',1,0),
 (659,'social_language_bothan_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_bothan_comprehend=100',' ',' ',1,0),
 (660,'social_language_twilek','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (661,'social_language_twilek_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+ryl','language_twilek_speak=100',' ',' ',1,0),
 (662,'social_language_twilek_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_twilek_comprehend=100',' ',' ',1,0),
 (663,'social_language_zabrak','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (664,'social_language_zabrak_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+zabrak','language_zabrak_speak=100',' ',' ',1,0),
 (665,'social_language_zabrak_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_zabrak_comprehend=100',' ',' ',1,0),
 (666,'social_language_lekku','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (667,'social_language_lekku_speak','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','twilek','none',' ','language+lekku','language_lekku_speak=100',' ',' ',1,0),
 (668,'social_language_lekku_comprehend','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','twilek','none',' ',' ','language_lekku_comprehend=100',' ',' ',1,0),
 (669,'social_language_ithorian','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (670,'social_language_ithorian_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+ithorian','language_ithorian_speak=100',' ',' ',1,0),
 (671,'social_language_ithorian_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_ithorian_comprehend=100',' ',' ',1,0),
 (672,'social_language_sullustan','social_language','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (673,'social_language_sullustan_speak','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ','bothan,human,moncalamari,rodian,trandoshan,twilek,zabrak','none',' ','language+sullustan','language_sullustan_speak=100',' ',' ',1,0),
 (674,'social_language_sullustan_comprehend','social_language','fourByFour',0,0,0,0,1000,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ','language_sullustan_comprehend=100',' ',' ',1,0),
 (675,'species',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (676,'species_bothan','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','bothan','none',' ','cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','camouflage=15,take_cover=10',' ',' ',1,0),
 (677,'species_human','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','human','none',' ','cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','leadership=10,general_experimentation=15',' ',' ',1,0),
 (678,'species_moncal','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','moncal','none',' ','cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','alert=15,weapon_assembly=10,structure_assembly=10',' ',' ',1,0),
 (679,'species_rodian','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','rodian','none',' ','cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','blind_defense=15,onehandmelee_accuracy=10,twohandmelee_accuracy=10,weapon_assembly=10',' ',' ',1,0),
 (680,'species_trandoshan','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','trandoshan','none',' ','regeneration,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','unarmed_accuracy=10,unarmed_speed=5,unarmed_damage=15,melee_defense=10,creature_harvesting=10,private_innate_regeneration=1',' ',' ',1,0),
 (681,'species_twilek','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','twilek','none',' ','cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','healing_dance_wound=15,healing_music_wound=5,healing_dance_shock=15,healing_music_shock=5',' ',' ',1,0),
 (682,'species_wookiee','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','wookiee','none',' ','wookieeRoar,cert_rifle_bowcaster,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','trapping=10,tame_bonus=10,rescue=10,warcry=10,private_innate_roar=1','craftWookieItems',' ',1,0),
 (683,'species_zabrak','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','zabrak','none',' ','vitalize,equilibrium,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','dizzy_defense=10,stun_defense=10,intimidate_defense=10,anti_shock=5,private_innate_equilibrium=1,private_innate_vitalize=1',' ',' ',1,0),
 (684,'species_ithorian','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','ithorian','none',' ','cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','dizzy_defense=10,stun_defense=10,tame_bonus=10,melee_defense=10,chassis_assembly=10,power_systems=10,shields_assembly=10,advanced_assembly=10',' ',' ',1,0),
 (685,'species_sullustan','species','fourByFour',1,0,0,0,0,0,0,' ',' ','unobtainable',1,0,' ',0,' ','sullustan','none',' ','space_navigator,cert_knife_stone,cert_knife_survival,cert_lance_staff_wood_s1,cert_axe_heavy_duty,cert_rifle_cdef,cert_pistol_cdef,cert_carbine_cdef,cert_grenade_fragmentation_light,throwgrenade','engine_assembly=10,booster_assembly=10,weapon_systems=10,trapping=10,creature_harvesting=10',' ',' ',1,0),
 (686,'jedi',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',0,0),
 (687,'jedi_padawan','jedi','fourByFour',1,0,1,1,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',0,0),
 (688,'jedi_padawan_novice','jedi_padawan','fourByFour',1,1,0,1,0,250,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','saberSlash1,healBattleFatigueSelf1,cert_onehandlightsaber,sample,survey','jedi_force_power_max=200,jedi_force_power_regen=1,jedi_saber_assembly=25,onehandlightsaber_accuracy=30,onehandlightsaber_speed=30,saber_block=5,onehandlightsaber_toughness=5,surveying=50,private_jedi_difficulty=1000','craftJediTool,craftSaberOneHand1',' ',0,0),
 (689,'jedi_padawan_master','jedi_padawan','fourByFour',1,1,0,1,0,0,0,'jedi_padawan_saber_04,jedi_padawan_healing_04,jedi_padawan_force_power_04,jedi_padawan_force_manipulation_04',' ','jedi_general',1500000,4000000,' ',0,' ',' ','none',' ','saberSlash2,saber1hComboHit2,saber1hHeadHit2,healBattleFatigueSelf2,saber1hFlurry','jedi_force_power_max=200,jedi_force_power_regen=1,onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,forcethrow_accuracy=30,saber_block=6,onehandlightsaber_toughness=10,private_jedi_difficulty=500,forceknockdown_accuracy=20',' ',' ',0,0);
INSERT INTO `swgemu`.`skills` VALUES  (690,'jedi_padawan_saber_01','jedi_padawan','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_novice',' ','combat_meleespecialize_onehandlightsaber',2500,20000,' ',0,' ',' ','none',' ','saber1hHit1','onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,onehandlightsaber_toughness=2,private_jedi_difficulty=100','craftSaberOneHand2',' ',0,0),
 (691,'jedi_padawan_saber_02','jedi_padawan_saber_01','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_saber_01',' ','combat_meleespecialize_onehandlightsaber',15000,30000,' ',0,' ',' ','none',' ','saber1hComboHit1','onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,onehandlightsaber_toughness=2,private_jedi_difficulty=100','craftSaberOneHand3',' ',0,0),
 (692,'jedi_padawan_saber_03','jedi_padawan_saber_02','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_saber_02',' ','combat_meleespecialize_onehandlightsaber',25000,80000,' ',0,' ',' ','none',' ','saber1hHeadHit1','onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=2,private_jedi_difficulty=100','craftSaberOneHand4',' ',0,0),
 (693,'jedi_padawan_saber_04','jedi_padawan_saber_03','fourByFour',1,1,0,1,0,0,0,'jedi_padawan_saber_03',' ','combat_meleespecialize_onehandlightsaber',75000,200000,' ',0,' ',' ','none',' ','saber1hHit2','onehandlightsaber_accuracy=20,onehandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=2,private_jedi_difficulty=100','craftSaberOneHand5',' ',0,0),
 (694,'jedi_padawan_healing_01','jedi_padawan','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_novice',' ','jedi_general',20000,500000,' ',0,' ',' ','none',' ','healHealthSelf1,healHealthWoundSelf1',' ',' ',' ',0,0),
 (695,'jedi_padawan_healing_02','jedi_padawan_healing_01','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_healing_01',' ','jedi_general',200000,1000000,' ',0,' ',' ','none',' ','healActionSelf1,healActionWoundSelf1',' ',' ',' ',0,0),
 (696,'jedi_padawan_healing_03','jedi_padawan_healing_02','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_healing_02',' ','jedi_general',400000,1500000,' ',0,' ',' ','none',' ','healMindSelf1,healMindWoundSelf1',' ',' ',' ',0,0),
 (697,'jedi_padawan_healing_04','jedi_padawan_healing_03','fourByFour',1,1,0,1,0,0,0,'jedi_padawan_healing_03',' ','jedi_general',800000,2000000,' ',0,' ',' ','none',' ','healAllSelf1',' ',' ',' ',0,0),
 (698,'jedi_padawan_force_power_01','jedi_padawan','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_novice',' ','jedi_general',50000,500000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100',' ',' ',0,0),
 (699,'jedi_padawan_force_power_02','jedi_padawan_force_power_01','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_force_power_01',' ','jedi_general',200000,1000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100',' ',' ',0,0),
 (700,'jedi_padawan_force_power_03','jedi_padawan_force_power_02','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_force_power_02',' ','jedi_general',400000,1500000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100',' ',' ',0,0),
 (701,'jedi_padawan_force_power_04','jedi_padawan_force_power_03','fourByFour',1,1,0,1,0,0,0,'jedi_padawan_force_power_03',' ','jedi_general',800000,2000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=100,jedi_force_power_regen=1,private_jedi_difficulty=100',' ',' ',0,0),
 (702,'jedi_padawan_force_manipulation_01','jedi_padawan','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_novice',' ','jedi_general',50000,500000,' ',0,' ',' ','none',' ','forceRun1',' ',' ',' ',0,0),
 (703,'jedi_padawan_force_manipulation_02','jedi_padawan_force_manipulation_01','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_force_manipulation_01',' ','jedi_general',200000,1000000,' ',0,' ',' ','none',' ','forceKnockdown1','forceknockdown_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (704,'jedi_padawan_force_manipulation_03','jedi_padawan_force_manipulation_02','fourByFour',1,0,0,1,0,0,0,'jedi_padawan_force_manipulation_02',' ','jedi_general',400000,1500000,' ',0,' ',' ','none',' ','mindBlast1','mindblast_accuracy=30',' ',' ',0,0),
 (705,'jedi_padawan_force_manipulation_04','jedi_padawan_force_manipulation_03','fourByFour',1,1,0,1,0,0,0,'jedi_padawan_force_manipulation_03',' ','jedi_general',800000,2000000,' ',0,' ',' ','none',' ','forceThrow1','forcethrow_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (706,'jedi_light_side_journeyman','jedi','fourByFour',1,0,1,1,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',0,0),
 (707,'jedi_light_side_journeyman_novice','jedi_light_side_journeyman','fourByFour',1,1,0,1,0,0,0,'jedi_padawan_master','jedi_dark_side_journeyman_novice','jedi_general',3200000,4000000,' ',0,' ',' ','none',' ','healAllOther1,mindBlast2,saber2hHit1,saberThrow1,cert_twohandlightsaber,forceCurePoison,forceCureDisease,','jedi_force_power_max=400,jedi_force_power_regen=2,jedi_saber_assembly=25,twohandlightsaber_accuracy=3,twohandlightsaber_speed=30,mindblast_accuracy=60,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=10,private_jedi_difficulty=500','craftSaberTwoHand1',' ',0,0),
 (708,'jedi_light_side_journeyman_master','jedi_light_side_journeyman','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_journeyman_saber_04,jedi_light_side_journeyman_healing_04,jedi_light_side_journeyman_force_power_04,jedi_light_side_journeyman_force_manipulation_04',' ','jedi_general',3200000,4000000,' ',0,' ',' ','none',' ','saber2hHit3,saber2hFrenzy,saber2hBodyHit2,saberThrow2','jedi_force_power_max=400,jedi_force_power_regen=2,twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=12,twohandlightsaber_toughness=10,private_jedi_difficulty=1200',' ',' ',0,0),
 (709,'jedi_light_side_journeyman_saber_01','jedi_light_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_novice',' ','combat_meleespecialize_twohandlightsaber',150000,300000,' ',0,' ',' ','none',' ','saber2hBodyHit1','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100','craftSaberTwoHand2',' ',0,0),
 (710,'jedi_light_side_journeyman_saber_02','jedi_light_side_journeyman_saber_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_saber_01',' ','combat_meleespecialize_twohandlightsaber',250000,400000,' ',0,' ',' ','none',' ','saber2hSweep1','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100','craftSaberTwoHand3',' ',0,0),
 (711,'jedi_light_side_journeyman_saber_03','jedi_light_side_journeyman_saber_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_saber_02',' ','combat_meleespecialize_twohandlightsaber',350000,500000,' ',0,' ',' ','none',' ','saber2hHit2','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100','craftSaberTwoHand4',' ',0,0),
 (712,'jedi_light_side_journeyman_saber_04','jedi_light_side_journeyman_saber_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_journeyman_saber_03',' ','combat_meleespecialize_twohandlightsaber',450000,600000,' ',0,' ',' ','none',' ','saber2hSweep2','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100','craftSaberTwoHand5',' ',0,0),
 (713,'jedi_light_side_journeyman_healing_01','jedi_light_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','healHealthSelf2,healHealthWoundOther1,healHealthWoundSelf2',' ',' ',' ',0,0),
 (714,'jedi_light_side_journeyman_healing_02','jedi_light_side_journeyman_healing_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_healing_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','healActionWoundOther1,healActionSelf2,healActionWoundSelf2',' ',' ',' ',0,0),
 (715,'jedi_light_side_journeyman_healing_03','jedi_light_side_journeyman_healing_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_healing_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','healMindSelf2,healMindWoundOther1,healMindWoundSelf2',' ',' ',' ',0,0),
 (716,'jedi_light_side_journeyman_healing_04','jedi_light_side_journeyman_healing_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_journeyman_healing_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','healAllSelf2,healAllOther2',' ',' ',' ',0,0),
 (717,'jedi_light_side_journeyman_force_power_01','jedi_light_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','animalScare','jedi_force_power_max=250,jedi_force_power_regen=2',' ',' ',0,0),
 (718,'jedi_light_side_journeyman_force_power_02','jedi_light_side_journeyman_force_power_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_force_power_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','animalCalm','jedi_force_power_max=250,jedi_force_power_regen=2',' ',' ',0,0),
 (719,'jedi_light_side_journeyman_force_power_03','jedi_light_side_journeyman_force_power_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_force_power_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','animalAttack','jedi_force_power_max=250,jedi_force_power_regen=2',' ',' ',0,0),
 (720,'jedi_light_side_journeyman_force_power_04','jedi_light_side_journeyman_force_power_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_journeyman_force_power_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','jediMindTrick','jedi_force_power_max=250,jedi_force_power_regen=2',' ',' ',0,0),
 (721,'jedi_light_side_journeyman_force_manipulation_01','jedi_light_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','forceLightningSingle1','private_force_lightning_single_power=1,forcelightning_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (722,'jedi_light_side_journeyman_force_manipulation_02','jedi_light_side_journeyman_force_manipulation_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_force_manipulation_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','forceKnockdown2','forceknockdown_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (723,'jedi_light_side_journeyman_force_manipulation_03','jedi_light_side_journeyman_force_manipulation_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_journeyman_force_manipulation_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','forceThrow2','forcethrow_accuracy=30,forceknockdown_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (724,'jedi_light_side_journeyman_force_manipulation_04','jedi_light_side_journeyman_force_manipulation_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_journeyman_force_manipulation_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','forceLightningSingle2','private_force_lightning_single_power=2,forcelightning_accuracy=30,forcethrow_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (725,'jedi_light_side_master','jedi','fourByFour',1,0,1,1,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',0,0),
 (726,'jedi_light_side_master_novice','jedi_light_side_master','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_journeyman_master',' ','jedi_general',3200000,4000000,' ',0,' ',' ','none',' ','healStatesSelf,stopBleeding,forceRun2,forceWeaken1,saberPolearmHit1,cert_polearmlightsaber,saberPolearmSpinAttack1','jedi_force_power_max=500,jedi_force_power_regen=4,jedi_saber_assembly=50,polearmlightsaber_speed=30,polearmlightsaber_accuracy=30,forceweaken_accuracy=50,saber_block=10,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=30,private_jedi_difficulty=1000','craftSaberPolearm1',' ',0,0),
 (727,'jedi_light_side_master_master','jedi_light_side_master','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_master_saber_04,jedi_light_side_master_healing_04,jedi_light_side_master_force_power_04,jedi_light_side_master_force_manipulation_04',' ',' ',0,0,' ',0,' ',' ','none',' ','totalHealOther,saberPolearmDervish,forceChoke','jedi_force_power_max=500,jedi_force_power_regen=4,private_force_lightning_cone_power=1,private_force_lightning_single_power=1,polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,force_choke=5,private_jedi_difficulty=1000',' ',' ',0,0),
 (728,'jedi_light_side_master_saber_01','jedi_light_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_novice',' ','combat_meleespecialize_polearmlightsaber',150000,300000,' ',0,' ',' ','none',' ','saberPolearmLegHit1','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=2,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125','craftSaberPolearm2',' ',0,0),
 (729,'jedi_light_side_master_saber_02','jedi_light_side_master_saber_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_saber_01',' ','combat_meleespecialize_polearmlightsaber',250000,400000,' ',0,' ',' ','none',' ','saberPolearmHit2','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125','craftSaberPolearm3',' ',0,0),
 (730,'jedi_light_side_master_saber_03','jedi_light_side_master_saber_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_saber_02',' ','combat_meleespecialize_polearmlightsaber',350000,500000,' ',0,' ',' ','none',' ','saberPolearmLegHit2','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125','craftSaberPolearm4',' ',0,0),
 (731,'jedi_light_side_master_saber_04','jedi_light_side_master_saber_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_master_saber_03',' ','combat_meleespecialize_polearmlightsaber',450000,600000,' ',0,' ',' ','none',' ','saberPolearmSpinAttack2','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,polearmlightsaber_toughness=10,private_jedi_difficulty=125','craftSaberPolearm5',' ',0,0),
 (732,'jedi_light_side_master_healing_01','jedi_light_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','healHealthWoundOther2',' ',' ',' ',0,0),
 (733,'jedi_light_side_master_healing_02','jedi_light_side_master_healing_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_healing_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','healActionWoundOther2',' ',' ',' ',0,0),
 (734,'jedi_light_side_master_healing_03','jedi_light_side_master_healing_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_healing_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','healMindWoundOther2',' ',' ',' ',0,0),
 (735,'jedi_light_side_master_healing_04','jedi_light_side_master_healing_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_master_healing_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','totalHealSelf,healStatesOther',' ',' ',' ',0,0),
 (736,'jedi_light_side_master_force_power_01','jedi_light_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=250,jedi_force_power_regen=8',' ',' ',0,0),
 (737,'jedi_light_side_master_force_power_02','jedi_light_side_master_force_power_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_force_power_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=250,jedi_force_power_regen=8',' ',' ',0,0),
 (738,'jedi_light_side_master_force_power_03','jedi_light_side_master_force_power_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_force_power_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=250,jedi_force_power_regen=8',' ',' ',0,0),
 (739,'jedi_light_side_master_force_power_04','jedi_light_side_master_force_power_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_master_force_power_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=250,jedi_force_power_regen=8',' ',' ',0,0),
 (740,'jedi_light_side_master_force_manipulation_01','jedi_light_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','forceLightningCone1','private_force_lightning_cone_power=2,forcelightning_accuracy=30',' ',' ',0,0),
 (741,'jedi_light_side_master_force_manipulation_02','jedi_light_side_master_force_manipulation_01','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_force_manipulation_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','forceIntimidate',' ',' ',' ',0,0),
 (742,'jedi_light_side_master_force_manipulation_03','jedi_light_side_master_force_manipulation_02','fourByFour',1,0,0,1,0,0,0,'jedi_light_side_master_force_manipulation_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','forceLightningCone2',' ',' ',' ',0,0),
 (743,'jedi_light_side_master_force_manipulation_04','jedi_light_side_master_force_manipulation_03','fourByFour',1,1,0,1,0,0,0,'jedi_light_side_master_force_manipulation_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','forceWeaken2','private_force_lightning_cone_power=2,forcelightning_accuracy=30,forceweaken_accuracy=50',' ',' ',0,0),
 (744,'jedi_dark_side_journeyman','jedi','fourByFour',1,0,1,1,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',0,0),
 (745,'jedi_dark_side_journeyman_novice','jedi_dark_side_journeyman','fourByFour',1,1,0,1,0,0,0,'jedi_padawan_master','jedi_light_side_journeyman_novice','jedi_general',3200000,4000000,' ',0,' ',' ','none',' ','healAllOther1,mindBlast2,saber2hHit1,saberThrow1,cert_twohandlightsaber,forceCurePoison,forceCureDisease,','jedi_force_power_max=400,jedi_force_power_regen=2,jedi_saber_assembly=25,twohandlightsaber_accuracy=3,twohandlightsaber_speed=30,mindblast_accuracy=60,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=10,private_jedi_difficulty=500','craftSaberTwoHand1',' ',0,0),
 (746,'jedi_dark_side_journeyman_master','jedi_dark_side_journeyman','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_journeyman_saber_04,jedi_dark_side_journeyman_healing_04,jedi_dark_side_journeyman_force_power_04,jedi_dark_side_journeyman_force_manipulation_04',' ','jedi_general',3200000,4000000,' ',0,' ',' ','none',' ','saber2hHit3,saber2hFrenzy,saber2hBodyHit2,saberThrow2','jedi_force_power_max=400,jedi_force_power_regen=2,twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=12,twohandlightsaber_toughness=10,private_jedi_difficulty=1200',' ',' ',0,0),
 (747,'jedi_dark_side_journeyman_saber_01','jedi_dark_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_novice',' ','combat_meleespecialize_twohandlightsaber',150000,300000,' ',0,' ',' ','none',' ','saber2hBodyHit1','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100','craftSaberTwoHand2',' ',0,0),
 (748,'jedi_dark_side_journeyman_saber_02','jedi_dark_side_journeyman_saber_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_saber_01',' ','combat_meleespecialize_twohandlightsaber',250000,400000,' ',0,' ',' ','none',' ','saber2hSweep1','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100','craftSaberTwoHand3',' ',0,0),
 (749,'jedi_dark_side_journeyman_saber_03','jedi_dark_side_journeyman_saber_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_saber_02',' ','combat_meleespecialize_twohandlightsaber',350000,500000,' ',0,' ',' ','none',' ','saber2hHit2','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100','craftSaberTwoHand4',' ',0,0),
 (750,'jedi_dark_side_journeyman_saber_04','jedi_dark_side_journeyman_saber_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_journeyman_saber_03',' ','combat_meleespecialize_twohandlightsaber',450000,600000,' ',0,' ',' ','none',' ','saber2hSweep2','twohandlightsaber_accuracy=20,twohandlightsaber_speed=10,saber_block=2,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,private_jedi_difficulty=100,private_jedi_difficulty=100','craftSaberTwoHand5',' ',0,0),
 (751,'jedi_dark_side_journeyman_healing_01','jedi_dark_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','healHealthSelf2,healHealthWoundOther1,healHealthWoundSelf2',' ',' ',' ',0,0),
 (752,'jedi_dark_side_journeyman_healing_02','jedi_dark_side_journeyman_healing_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_healing_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','healActionWoundOther1,healActionSelf2,healActionWoundSelf2',' ',' ',' ',0,0),
 (753,'jedi_dark_side_journeyman_healing_03','jedi_dark_side_journeyman_healing_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_healing_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','healMindSelf2,healMindWoundOther1,healMindWoundSelf2',' ',' ',' ',0,0),
 (754,'jedi_dark_side_journeyman_healing_04','jedi_dark_side_journeyman_healing_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_journeyman_healing_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','healAllSelf2,healAllOther2',' ',' ',' ',0,0),
 (755,'jedi_dark_side_journeyman_force_power_01','jedi_dark_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (756,'jedi_dark_side_journeyman_force_power_02','jedi_dark_side_journeyman_force_power_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_force_power_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (757,'jedi_dark_side_journeyman_force_power_03','jedi_dark_side_journeyman_force_power_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_force_power_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (758,'jedi_dark_side_journeyman_force_power_04','jedi_dark_side_journeyman_force_power_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_journeyman_force_power_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ',' ','jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (759,'jedi_dark_side_journeyman_force_manipulation_01','jedi_dark_side_journeyman','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','forceLightningSingle1','private_force_lightning_single_power=1,forcelightning_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (760,'jedi_dark_side_journeyman_force_manipulation_02','jedi_dark_side_journeyman_force_manipulation_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_force_manipulation_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','forceKnockdown2','forceknockdown_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (761,'jedi_dark_side_journeyman_force_manipulation_03','jedi_dark_side_journeyman_force_manipulation_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_journeyman_force_manipulation_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','forceThrow2','forcethrow_accuracy=30,forceknockdown_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (762,'jedi_dark_side_journeyman_force_manipulation_04','jedi_dark_side_journeyman_force_manipulation_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_journeyman_force_manipulation_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','forceLightningSingle2','private_force_lightning_single_power=2,forcelightning_accuracy=30,forcethrow_accuracy=30,private_jedi_difficulty=100',' ',' ',0,0),
 (763,'jedi_dark_side_master','jedi','fourByFour',1,0,1,1,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',0,0),
 (764,'jedi_dark_side_master_novice','jedi_dark_side_master','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_journeyman_master',' ','jedi_general',3200000,4000000,' ',0,' ',' ','none',' ','healStatesSelf,stopBleeding,forceRun2,forceWeaken1,saberPolearmHit1,cert_polearmlightsaber,saberPolearmSpinAttack1','jedi_force_power_max=500,jedi_force_power_regen=4,jedi_saber_assembly=50,polearmlightsaber_speed=30,polearmlightsaber_accuracy=30,forceweaken_accuracy=50,saber_block=10,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=30,private_jedi_difficulty=1000','craftSaberPolearm1',' ',0,0),
 (765,'jedi_dark_side_master_master','jedi_dark_side_master','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_master_saber_04,jedi_dark_side_master_healing_04,jedi_dark_side_master_force_power_04,jedi_dark_side_master_force_manipulation_04',' ',' ',0,0,' ',0,' ',' ','none',' ','totalHealOther,saberPolearmDervish,forceChoke','jedi_force_power_max=500,jedi_force_power_regen=4,private_force_lightning_cone_power=1,private_force_lightning_single_power=1,polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,force_choke=5,private_jedi_difficulty=1000',' ',' ',0,0),
 (766,'jedi_dark_side_master_saber_01','jedi_dark_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_novice',' ','combat_meleespecialize_polearmlightsaber',150000,300000,' ',0,' ',' ','none',' ','saberPolearmLegHit1','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=2,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125','craftSaberPolearm2',' ',0,0),
 (767,'jedi_dark_side_master_saber_02','jedi_dark_side_master_saber_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_saber_01',' ','combat_meleespecialize_polearmlightsaber',250000,400000,' ',0,' ',' ','none',' ','saberPolearmHit2','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,onehandlightsaber_toughness=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125','craftSaberPolearm3',' ',0,0),
 (768,'jedi_dark_side_master_saber_03','jedi_dark_side_master_saber_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_saber_02',' ','combat_meleespecialize_polearmlightsaber',350000,500000,' ',0,' ',' ','none',' ','saberPolearmLegHit2','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,twohandlightsaber_toughness=5,polearmlightsaber_toughness=5,private_jedi_difficulty=125','craftSaberPolearm4',' ',0,0),
 (769,'jedi_dark_side_master_saber_04','jedi_dark_side_master_saber_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_master_saber_03',' ','combat_meleespecialize_polearmlightsaber',450000,600000,' ',0,' ',' ','none',' ','saberPolearmSpinAttack2','polearmlightsaber_accuracy=20,polearmlightsaber_speed=10,saber_block=5,polearmlightsaber_toughness=10,private_jedi_difficulty=125','craftSaberPolearm5',' ',0,0),
 (770,'jedi_dark_side_master_healing_01','jedi_dark_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','healHealthWoundOther2',' ',' ',' ',0,0),
 (771,'jedi_dark_side_master_healing_02','jedi_dark_side_master_healing_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_healing_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','healActionWoundOther2',' ',' ',' ',0,0),
 (772,'jedi_dark_side_master_healing_03','jedi_dark_side_master_healing_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_healing_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','healMindWoundOther2',' ',' ',' ',0,0),
 (773,'jedi_dark_side_master_healing_04','jedi_dark_side_master_healing_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_master_healing_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','totalHealSelf,healStatesOther',' ',' ',' ',0,0),
 (774,'jedi_dark_side_master_force_power_01','jedi_dark_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','animalScare','jedi_force_power_max=500,jedi_force_power_regen=2',' ',' ',0,0),
 (775,'jedi_dark_side_master_force_power_02','jedi_dark_side_master_force_power_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_force_power_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','animalCalm','jedi_force_power_max=500,jedi_force_power_regen=2',' ',' ',0,0),
 (776,'jedi_dark_side_master_force_power_03','jedi_dark_side_master_force_power_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_force_power_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','animalAttack','jedi_force_power_max=500,jedi_force_power_regen=2',' ',' ',0,0),
 (777,'jedi_dark_side_master_force_power_04','jedi_dark_side_master_force_power_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_master_force_power_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','jediMindTrick','jedi_force_power_max=500,jedi_force_power_regen=2',' ',' ',0,0),
 (778,'jedi_dark_side_master_force_manipulation_01','jedi_dark_side_master','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_novice',' ','jedi_general',200000,4000000,' ',0,' ',' ','none',' ','forceLightningCone1','private_force_lightning_cone_power=2,forcelightning_accuracy=30',' ',' ',0,0),
 (779,'jedi_dark_side_master_force_manipulation_02','jedi_dark_side_master_force_manipulation_01','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_force_manipulation_01',' ','jedi_general',400000,4000000,' ',0,' ',' ','none',' ','forceIntimidate',' ',' ',' ',0,0),
 (780,'jedi_dark_side_master_force_manipulation_03','jedi_dark_side_master_force_manipulation_02','fourByFour',1,0,0,1,0,0,0,'jedi_dark_side_master_force_manipulation_02',' ','jedi_general',800000,4000000,' ',0,' ',' ','none',' ','forceLightningCone2',' ',' ',' ',0,0),
 (781,'jedi_dark_side_master_force_manipulation_04','jedi_dark_side_master_force_manipulation_03','fourByFour',1,1,0,1,0,0,0,'jedi_dark_side_master_force_manipulation_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','none',' ','forceWeaken2','private_force_lightning_cone_power=2,forcelightning_accuracy=30,forceweaken_accuracy=50',' ',' ',0,0),
 (782,'force_sensitive',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (783,'force_sensitive_combat_prowess','force_sensitive','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (784,'force_sensitive_combat_prowess_novice','force_sensitive_combat_prowess','fourByFour',0,0,0,0,0,0,0,' ',' ','fs_combat',50000,5100000,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (785,'force_sensitive_combat_prowess_master','force_sensitive_combat_prowess','fourByFour',0,0,0,0,0,0,0,'force_sensitive_combat_prowess_ranged_accuracy_04,force_sensitive_combat_prowess_ranged_speed_04,force_sensitive_combat_prowess_melee_accuracy_04,force_sensitive_combat_prowess_melee_speed_04',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (786,'force_sensitive_combat_prowess_ranged_accuracy_01','force_sensitive_combat_prowess','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_novice',' ','fs_combat',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_accuracy=3',' ',' ',0,0),
 (787,'force_sensitive_combat_prowess_ranged_accuracy_02','force_sensitive_combat_prowess_ranged_accuracy_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_ranged_accuracy_01',' ','fs_combat',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_accuracy=3',' ',' ',0,0),
 (788,'force_sensitive_combat_prowess_ranged_accuracy_03','force_sensitive_combat_prowess_ranged_accuracy_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_ranged_accuracy_02',' ','fs_combat',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_accuracy=3',' ',' ',0,0),
 (789,'force_sensitive_combat_prowess_ranged_accuracy_04','force_sensitive_combat_prowess_ranged_accuracy_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_ranged_accuracy_03',' ','fs_combat',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_accuracy=3',' ',' ',0,0),
 (790,'force_sensitive_combat_prowess_ranged_speed_01','force_sensitive_combat_prowess','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_novice',' ','fs_combat',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_speed=3',' ',' ',0,0),
 (791,'force_sensitive_combat_prowess_ranged_speed_02','force_sensitive_combat_prowess_ranged_speed_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_ranged_speed_01',' ','fs_combat',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_speed=3',' ',' ',0,0),
 (792,'force_sensitive_combat_prowess_ranged_speed_03','force_sensitive_combat_prowess_ranged_speed_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_ranged_speed_02',' ','fs_combat',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_speed=3',' ',' ',0,0),
 (793,'force_sensitive_combat_prowess_ranged_speed_04','force_sensitive_combat_prowess_ranged_speed_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_ranged_speed_03',' ','fs_combat',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_speed=3',' ',' ',0,0),
 (794,'force_sensitive_combat_prowess_melee_accuracy_01','force_sensitive_combat_prowess','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_novice',' ','fs_combat',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_accuracy=3',' ',' ',0,0),
 (795,'force_sensitive_combat_prowess_melee_accuracy_02','force_sensitive_combat_prowess_melee_accuracy_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_melee_accuracy_01',' ','fs_combat',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_accuracy=3',' ',' ',0,0),
 (796,'force_sensitive_combat_prowess_melee_accuracy_03','force_sensitive_combat_prowess_melee_accuracy_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_melee_accuracy_02',' ','fs_combat',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_accuracy=3',' ',' ',0,0),
 (797,'force_sensitive_combat_prowess_melee_accuracy_04','force_sensitive_combat_prowess_melee_accuracy_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_melee_accuracy_03',' ','fs_combat',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_accuracy=3',' ',' ',0,0),
 (798,'force_sensitive_combat_prowess_melee_speed_01','force_sensitive_combat_prowess','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_novice',' ','fs_combat',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_speed=3',' ',' ',0,0),
 (799,'force_sensitive_combat_prowess_melee_speed_02','force_sensitive_combat_prowess_melee_speed_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_melee_speed_01',' ','fs_combat',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_speed=3',' ',' ',0,0),
 (800,'force_sensitive_combat_prowess_melee_speed_03','force_sensitive_combat_prowess_melee_speed_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_melee_speed_02',' ','fs_combat',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_speed=3',' ',' ',0,0),
 (801,'force_sensitive_combat_prowess_melee_speed_04','force_sensitive_combat_prowess_melee_speed_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_combat_prowess_melee_speed_03',' ','fs_combat',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_speed=3',' ',' ',0,0),
 (802,'force_sensitive_enhanced_reflexes','force_sensitive','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (803,'force_sensitive_enhanced_reflexes_novice','force_sensitive_enhanced_reflexes','fourByFour',0,0,0,0,0,0,0,' ',' ','fs_reflex',50000,5100000,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (804,'force_sensitive_enhanced_reflexes_master','force_sensitive_enhanced_reflexes','fourByFour',0,0,0,0,0,0,0,'force_sensitive_enhanced_reflexes_ranged_defense_04,force_sensitive_enhanced_reflexes_melee_defense_04,force_sensitive_enhanced_reflexes_vehicle_control_04,force_sensitive_enhanced_reflexes_survival_04',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (805,'force_sensitive_enhanced_reflexes_ranged_defense_01','force_sensitive_enhanced_reflexes','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_novice',' ','fs_reflex',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_defense=5',' ',' ',0,0),
 (806,'force_sensitive_enhanced_reflexes_ranged_defense_02','force_sensitive_enhanced_reflexes_ranged_defense_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_ranged_defense_01',' ','fs_reflex',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_defense=5',' ',' ',0,0),
 (807,'force_sensitive_enhanced_reflexes_ranged_defense_03','force_sensitive_enhanced_reflexes_ranged_defense_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_ranged_defense_02',' ','fs_reflex',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_defense=5',' ',' ',0,0),
 (808,'force_sensitive_enhanced_reflexes_ranged_defense_04','force_sensitive_enhanced_reflexes_ranged_defense_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_ranged_defense_03',' ','fs_reflex',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','ranged_defense=5',' ',' ',0,0),
 (809,'force_sensitive_enhanced_reflexes_melee_defense_01','force_sensitive_enhanced_reflexes','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_novice',' ','fs_reflex',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_defense=5',' ',' ',0,0),
 (810,'force_sensitive_enhanced_reflexes_melee_defense_02','force_sensitive_enhanced_reflexes_melee_defense_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_melee_defense_01',' ','fs_reflex',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_defense=5',' ',' ',0,0),
 (811,'force_sensitive_enhanced_reflexes_melee_defense_03','force_sensitive_enhanced_reflexes_melee_defense_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_melee_defense_02',' ','fs_reflex',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_defense=5',' ',' ',0,0),
 (812,'force_sensitive_enhanced_reflexes_melee_defense_04','force_sensitive_enhanced_reflexes_melee_defense_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_melee_defense_03',' ','fs_reflex',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','melee_defense=5',' ',' ',0,0),
 (813,'force_sensitive_enhanced_reflexes_vehicle_control_01','force_sensitive_enhanced_reflexes','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_novice',' ','fs_reflex',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_vehicle_control=5',' ',' ',0,0),
 (814,'force_sensitive_enhanced_reflexes_vehicle_control_02','force_sensitive_enhanced_reflexes_vehicle_control_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_vehicle_control_01',' ','fs_reflex',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_vehicle_control=5,force_vehicle_speed=1',' ',' ',0,0),
 (815,'force_sensitive_enhanced_reflexes_vehicle_control_03','force_sensitive_enhanced_reflexes_vehicle_control_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_vehicle_control_02',' ','fs_reflex',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_vehicle_control=5,force_vehicle_speed=1',' ',' ',0,0),
 (816,'force_sensitive_enhanced_reflexes_vehicle_control_04','force_sensitive_enhanced_reflexes_vehicle_control_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_vehicle_control_03',' ','fs_reflex',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_vehicle_control=5,force_vehicle_speed=1',' ',' ',0,0),
 (817,'force_sensitive_enhanced_reflexes_survival_01','force_sensitive_enhanced_reflexes','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_novice',' ','fs_reflex',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','camp=5,foraging=5',' ',' ',0,0),
 (818,'force_sensitive_enhanced_reflexes_survival_02','force_sensitive_enhanced_reflexes_survival_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_survival_01',' ','fs_reflex',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','trapping=5,mask_scent=5',' ',' ',0,0),
 (819,'force_sensitive_enhanced_reflexes_survival_03','force_sensitive_enhanced_reflexes_survival_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_survival_02',' ','fs_reflex',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','slope_move=5',' ',' ',0,0),
 (820,'force_sensitive_enhanced_reflexes_survival_04','force_sensitive_enhanced_reflexes_survival_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_enhanced_reflexes_survival_03',' ','fs_reflex',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','creature_knowledge=5,creature_harvesting=5',' ',' ',0,0),
 (821,'force_sensitive_crafting_mastery','force_sensitive','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (822,'force_sensitive_crafting_mastery_novice','force_sensitive_crafting_mastery','fourByFour',0,0,0,0,0,0,0,' ',' ','fs_crafting',50000,5100000,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (823,'force_sensitive_crafting_mastery_master','force_sensitive_crafting_mastery','fourByFour',0,0,0,0,0,0,0,'force_sensitive_crafting_mastery_experimentation_04,force_sensitive_crafting_mastery_assembly_04,force_sensitive_crafting_mastery_repair_04,force_sensitive_crafting_mastery_technique_04',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (824,'force_sensitive_crafting_mastery_experimentation_01','force_sensitive_crafting_mastery','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_novice',' ','fs_crafting',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_experimentation=5',' ',' ',0,0),
 (825,'force_sensitive_crafting_mastery_experimentation_02','force_sensitive_crafting_mastery_experimentation_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_experimentation_01',' ','fs_crafting',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_experimentation=5',' ',' ',0,0),
 (826,'force_sensitive_crafting_mastery_experimentation_03','force_sensitive_crafting_mastery_experimentation_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_experimentation_02',' ','fs_crafting',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_experimentation=5',' ',' ',0,0),
 (827,'force_sensitive_crafting_mastery_experimentation_04','force_sensitive_crafting_mastery_experimentation_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_experimentation_03',' ','fs_crafting',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_experimentation=5',' ',' ',0,0),
 (828,'force_sensitive_crafting_mastery_assembly_01','force_sensitive_crafting_mastery','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_novice',' ','fs_crafting',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_assembly=5',' ',' ',0,0),
 (829,'force_sensitive_crafting_mastery_assembly_02','force_sensitive_crafting_mastery_assembly_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_assembly_01',' ','fs_crafting',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_assembly=5',' ',' ',0,0),
 (830,'force_sensitive_crafting_mastery_assembly_03','force_sensitive_crafting_mastery_assembly_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_assembly_02',' ','fs_crafting',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_assembly=5',' ',' ',0,0),
 (831,'force_sensitive_crafting_mastery_assembly_04','force_sensitive_crafting_mastery_assembly_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_assembly_03',' ','fs_crafting',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_assembly=5',' ',' ',0,0),
 (832,'force_sensitive_crafting_mastery_repair_01','force_sensitive_crafting_mastery','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_novice',' ','fs_crafting',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_repair_bonus=5',' ',' ',0,0),
 (833,'force_sensitive_crafting_mastery_repair_02','force_sensitive_crafting_mastery_repair_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_repair_01',' ','fs_crafting',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_repair_bonus=5',' ',' ',0,0),
 (834,'force_sensitive_crafting_mastery_repair_03','force_sensitive_crafting_mastery_repair_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_repair_02',' ','fs_crafting',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_repair_bonus=5',' ',' ',0,0),
 (835,'force_sensitive_crafting_mastery_repair_04','force_sensitive_crafting_mastery_repair_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_repair_03',' ','fs_crafting',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_repair_bonus=5',' ',' ',0,0),
 (836,'force_sensitive_crafting_mastery_technique_01','force_sensitive_crafting_mastery','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_novice',' ','fs_crafting',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_failure_reduction=1',' ',' ',0,0),
 (837,'force_sensitive_crafting_mastery_technique_02','force_sensitive_crafting_mastery_technique_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_technique_01',' ','fs_crafting',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_failure_reduction=1',' ',' ',0,0),
 (838,'force_sensitive_crafting_mastery_technique_03','force_sensitive_crafting_mastery_technique_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_technique_02',' ','fs_crafting',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_failure_reduction=1',' ',' ',0,0),
 (839,'force_sensitive_crafting_mastery_technique_04','force_sensitive_crafting_mastery_technique_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_crafting_mastery_technique_03',' ','fs_crafting',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_failure_reduction=1',' ',' ',0,0),
 (840,'force_sensitive_heightened_senses','force_sensitive','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (841,'force_sensitive_heightened_senses_novice','force_sensitive_heightened_senses','fourByFour',0,0,0,0,0,0,0,' ',' ','fs_senses',50000,5100000,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (842,'force_sensitive_heightened_senses_master','force_sensitive_heightened_senses','fourByFour',0,0,0,0,0,0,0,'force_sensitive_heightened_senses_healing_04,force_sensitive_heightened_senses_surveying_04,force_sensitive_heightened_senses_persuasion_04,force_sensitive_heightened_senses_luck_04',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (843,'force_sensitive_heightened_senses_healing_01','force_sensitive_heightened_senses','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_novice',' ','fs_senses',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','healing_injury_treatment=5,healing_dance_wound=5,healing_music_wound=5',' ',' ',0,0),
 (844,'force_sensitive_heightened_senses_healing_02','force_sensitive_heightened_senses_healing_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_healing_01',' ','fs_senses',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','healing_injury_speed=5,healing_dance_wound=5,healing_music_wound=5',' ',' ',0,0),
 (845,'force_sensitive_heightened_senses_healing_03','force_sensitive_heightened_senses_healing_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_healing_02',' ','fs_senses',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','healing_injury_treatment=5,healing_dance_wound=5,healing_music_wound=5',' ',' ',0,0),
 (846,'force_sensitive_heightened_senses_healing_04','force_sensitive_heightened_senses_healing_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_healing_03',' ','fs_senses',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','healing_injury_speed=5,healing_dance_wound=5,healing_music_wound=5',' ',' ',0,0),
 (847,'force_sensitive_heightened_senses_surveying_01','force_sensitive_heightened_senses','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_novice',' ','fs_senses',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','surveying=5',' ',' ',0,0),
 (848,'force_sensitive_heightened_senses_surveying_02','force_sensitive_heightened_senses_surveying_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_surveying_01',' ','fs_senses',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','surveying=5',' ',' ',0,0),
 (849,'force_sensitive_heightened_senses_surveying_03','force_sensitive_heightened_senses_surveying_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_surveying_02',' ','fs_senses',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','surveying=5',' ',' ',0,0),
 (850,'force_sensitive_heightened_senses_surveying_04','force_sensitive_heightened_senses_surveying_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_surveying_03',' ','fs_senses',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','surveying=5',' ',' ',0,0),
 (851,'force_sensitive_heightened_senses_persuasion_01','force_sensitive_heightened_senses','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_novice',' ','fs_senses',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_persuade=5',' ',' ',0,0),
 (852,'force_sensitive_heightened_senses_persuasion_02','force_sensitive_heightened_senses_persuasion_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_persuasion_01',' ','fs_senses',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_persuade=5',' ',' ',0,0),
 (853,'force_sensitive_heightened_senses_persuasion_03','force_sensitive_heightened_senses_persuasion_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_persuasion_02',' ','fs_senses',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_persuade=5',' ',' ',0,0),
 (854,'force_sensitive_heightened_senses_persuasion_04','force_sensitive_heightened_senses_persuasion_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_persuasion_03',' ','fs_senses',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_persuade=5',' ',' ',0,0),
 (855,'force_sensitive_heightened_senses_luck_01','force_sensitive_heightened_senses','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_novice',' ','fs_senses',175000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_luck=1',' ',' ',0,0),
 (856,'force_sensitive_heightened_senses_luck_02','force_sensitive_heightened_senses_luck_01','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_luck_01',' ','fs_senses',250000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_luck=1',' ',' ',0,0),
 (857,'force_sensitive_heightened_senses_luck_03','force_sensitive_heightened_senses_luck_02','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_luck_02',' ','fs_senses',350000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_luck=1',' ',' ',0,0),
 (858,'force_sensitive_heightened_senses_luck_04','force_sensitive_heightened_senses_luck_03','fourByFour',0,0,0,0,0,1,0,'force_sensitive_heightened_senses_luck_03',' ','fs_senses',450000,5100000,' ',0,' ',' ','forceSensitive',' ',' ','force_luck=1',' ',' ',0,0),
 (859,'force_discipline',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','jedi',' ',' ',' ',' ',' ',0,0),
 (860,'force_discipline_light_saber','force_discipline','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','jedi',' ',' ',' ',' ',' ',0,0),
 (861,'force_discipline_light_saber_novice','force_discipline_light_saber','fourByFour',0,0,0,0,0,8,0,'force_title_jedi_rank_02',' ','jedi_general',20000,300000,' ',0,' ',' ','jedi',' ','saberPolearmHit1,saber1hHit1,saber2hHit1,cert_onehandlightsaber_gen1,cert_polearmlightsaber_gen1,cert_twohandlightsaber_gen1','onehandlightsaber_accuracy=25,onehandlightsaber_speed=25,twohandlightsaber_accuracy=25,twohandlightsaber_speed=25,polearmlightsaber_accuracy=25,polearmlightsaber_speed=25,saber_block=10,lightsaber_toughness=10,jedi_saber_assembly=10,jedi_saber_experimentation=10,private_onehandlightsaber_combat_difficulty=200,private_twohandlightsaber_combat_difficulty=200,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=200,jedi_force_power_regen=1','craftSaberNovice',' ',0,0),
 (862,'force_discipline_light_saber_master','force_discipline_light_saber','fourByFour',0,0,0,0,0,1,0,'force_discipline_light_saber_one_hand_04,force_discipline_light_saber_two_hand_04,force_discipline_light_saber_polearm_04,force_discipline_light_saber_technique_04',' ','jedi_general',3200000,4000000,' ',0,' ',' ','jedi',' ','saberThrow3,saber1hFlurry2,saber2hPhantom,saberPolearmDervish2,cert_onehandlightsaber_gen4,cert_polearmlightsaber_gen4,cert_twohandlightsaber_gen4','onehandlightsaber_accuracy=25,onehandlightsaber_speed=25,twohandlightsaber_accuracy=25,twohandlightsaber_speed=25,polearmlightsaber_accuracy=25,polearmlightsaber_speed=25,saber_block=25,lightsaber_toughness=15,jedi_saber_assembly=30,jedi_saber_experimentation=25,jedi_force_power_max=500,jedi_force_power_regen=5','craftSaberMaster',' ',0,0),
 (863,'force_discipline_light_saber_one_hand_01','force_discipline_light_saber','fourByFour',0,0,0,0,0,8,0,'force_discipline_light_saber_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','saber1hHeadHit1,saber1hComboHit1','onehandlightsaber_accuracy=5,onehandlightsaber_speed=5,private_onehandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (864,'force_discipline_light_saber_one_hand_02','force_discipline_light_saber_one_hand_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_light_saber_one_hand_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','saber1hHit2,saber1hHeadHit2,cert_onehandlightsaber_gen2','onehandlightsaber_accuracy=10,onehandlightsaber_speed=10,private_onehandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1','craftSaberOneHand2',' ',0,0),
 (865,'force_discipline_light_saber_one_hand_03','force_discipline_light_saber_one_hand_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_light_saber_one_hand_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','saber1hComboHit2,saber1hHeadHit3','onehandlightsaber_accuracy=15,onehandlightsaber_speed=15,private_onehandlightsaber_combat_difficulty=200,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (866,'force_discipline_light_saber_one_hand_04','force_discipline_light_saber_one_hand_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_light_saber_one_hand_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','saber1hHit3,saber1hComboHit3,saber1hFlurry,cert_onehandlightsaber_gen3','onehandlightsaber_accuracy=20,onehandlightsaber_speed=20,private_onehandlightsaber_combat_difficulty=300,jedi_force_power_max=175,jedi_force_power_regen=2','craftSaberOneHand3',' ',0,0),
 (867,'force_discipline_light_saber_two_hand_01','force_discipline_light_saber','fourByFour',0,0,0,0,0,8,0,'force_discipline_light_saber_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','saber2hBodyHit1,saber2hSweep1','twohandlightsaber_accuracy=5,twohandlightsaber_speed=5,private_twohandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (868,'force_discipline_light_saber_two_hand_02','force_discipline_light_saber_two_hand_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_light_saber_two_hand_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','saber2hHit2,saber2hBodyHit2,cert_twohandlightsaber_gen2','twohandlightsaber_accuracy=10,twohandlightsaber_speed=10,private_twohandlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1','craftSaberTwoHand2',' ',0,0),
 (869,'force_discipline_light_saber_two_hand_03','force_discipline_light_saber_two_hand_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_light_saber_two_hand_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','saber2hBodyHit3,saber2hSweep2','twohandlightsaber_accuracy=15,twohandlightsaber_speed=15,private_twohandlightsaber_combat_difficulty=200,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (870,'force_discipline_light_saber_two_hand_04','force_discipline_light_saber_two_hand_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_light_saber_two_hand_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','saber2hHit3,saber2hSweep3,saber2hFrenzy,cert_twohandlightsaber_gen3','twohandlightsaber_accuracy=20,twohandlightsaber_speed=20,private_twohandlightsaber_combat_difficulty=300,jedi_force_power_max=175,jedi_force_power_regen=2','craftSaberTwoHand3',' ',0,0),
 (871,'force_discipline_light_saber_polearm_01','force_discipline_light_saber','fourByFour',0,0,0,0,0,8,0,'force_discipline_light_saber_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','saberPolearmLegHit1,saberPolearmSpinAttack1','polearmlightsaber_accuracy=5,polearmlightsaber_speed=5,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (872,'force_discipline_light_saber_polearm_02','force_discipline_light_saber_polearm_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_light_saber_polearm_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','saberPolearmHit2,saberPolearmLegHit2,cert_polearmlightsaber_gen2','polearmlightsaber_accuracy=10,polearmlightsaber_speed=10,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=100,jedi_force_power_regen=1','craftSaberPoleArm2',' ',0,0),
 (873,'force_discipline_light_saber_polearm_03','force_discipline_light_saber_polearm_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_light_saber_polearm_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','saberPolearmLegHit3,saberPolearmSpinAttack2','polearmlightsaber_accuracy=15,polearmlightsaber_speed=15,private_polearmlightsaber_combat_difficulty=200,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (874,'force_discipline_light_saber_polearm_04','force_discipline_light_saber_polearm_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_light_saber_polearm_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','saberPolearmHit3,saberPolearmSpinAttack3,saberPolearmDervish,cert_polearmlightsaber_gen3','polearmlightsaber_accuracy=20,polearmlightsaber_speed=20,private_polearmlightsaber_combat_difficulty=300,jedi_force_power_max=175,jedi_force_power_regen=2','craftSaberPoleArm3',' ',0,0),
 (875,'force_discipline_light_saber_technique_01','force_discipline_light_saber','fourByFour',0,0,0,0,0,8,0,'force_discipline_light_saber_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','saberSlash1','saber_block=5,lightsaber_toughness=5,jedi_saber_assembly=15,jedi_saber_experimentation=10,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (876,'force_discipline_light_saber_technique_02','force_discipline_light_saber_technique_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_light_saber_technique_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','saberThrow1','saber_block=10,lightsaber_toughness=5,jedi_saber_assembly=15,jedi_saber_experimentation=15,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (877,'force_discipline_light_saber_technique_03','force_discipline_light_saber_technique_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_light_saber_technique_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','saberSlash2','saber_block=15,lightsaber_toughness=10,jedi_saber_assembly=15,jedi_saber_experimentation=20,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (878,'force_discipline_light_saber_technique_04','force_discipline_light_saber_technique_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_light_saber_technique_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','saberThrow2','saber_block=20,lightsaber_toughness=10,jedi_saber_assembly=15,jedi_saber_experimentation=20,private_onehandlightsaber_combat_difficulty=100,private_twohandlightsaber_combat_difficulty=100,private_polearmlightsaber_combat_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (879,'force_discipline_powers','force_discipline','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','jedi',' ',' ',' ',' ',' ',0,0),
 (880,'force_discipline_powers_novice','force_discipline_powers','fourByFour',0,0,0,0,0,8,0,'force_title_jedi_rank_02',' ','jedi_general',20000,300000,' ',0,' ',' ','jedi',' ','animalScare','private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (881,'force_discipline_powers_master','force_discipline_powers','fourByFour',0,0,0,0,0,1,0,'force_discipline_powers_lightning_04,force_discipline_powers_mental_04,force_discipline_powers_debuff_04,force_discipline_powers_push_04',' ','jedi_general',3200000,4000000,' ',0,' ',' ','jedi',' ','jediMindTrick,forceChoke,forceKnockdown3','forceintimidate_accuracy=35,forcethrow_accuracy=30,forceknockdown_accuracy=35,forceweaken_accuracy=30,mindblast_accuracy=30,forcelightning_accuracy=30,force_choke=5,private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5',' ',' ',0,0),
 (882,'force_discipline_powers_lightning_01','force_discipline_powers','fourByFour',0,0,0,0,0,8,0,'force_discipline_powers_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','forceLightningSingle1','private_force_lightning_single_power=1,forcelightning_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (883,'force_discipline_powers_lightning_02','force_discipline_powers_lightning_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_powers_lightning_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','forceLightningCone1','private_force_lightning_cone_power=1,forcelightning_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (884,'force_discipline_powers_lightning_03','force_discipline_powers_lightning_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_powers_lightning_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','forceLightningSingle2','private_force_lightning_single_power=2,forcelightning_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (885,'force_discipline_powers_lightning_04','force_discipline_powers_lightning_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_powers_lightning_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','forceLightningCone2','private_force_lightning_cone_power=2,forcelightning_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (886,'force_discipline_powers_mental_01','force_discipline_powers','fourByFour',0,0,0,0,0,8,0,'force_discipline_powers_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','mindBlast1','mindblast_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0);
INSERT INTO `swgemu`.`skills` VALUES  (887,'force_discipline_powers_mental_02','force_discipline_powers_mental_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_powers_mental_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','animalCalm','mindblast_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (888,'force_discipline_powers_mental_03','force_discipline_powers_mental_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_powers_mental_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','mindBlast2','mindblast_accuracy=20,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (889,'force_discipline_powers_mental_04','force_discipline_powers_mental_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_powers_mental_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','animalAttack','mindblast_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (890,'force_discipline_powers_debuff_01','force_discipline_powers','fourByFour',0,0,0,0,0,8,0,'force_discipline_powers_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','forceWeaken1','forceweaken_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (891,'force_discipline_powers_debuff_02','force_discipline_powers_debuff_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_powers_debuff_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','forceIntimidate1','forceweaken_accuracy=20,forceintimidate_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (892,'force_discipline_powers_debuff_03','force_discipline_powers_debuff_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_powers_debuff_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','forceWeaken2','forceweaken_accuracy=20,forceintimidate_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (893,'force_discipline_powers_debuff_04','force_discipline_powers_debuff_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_powers_debuff_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','forceIntimidate2','forceweaken_accuracy=20,forceintimidate_accuracy=25,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (894,'force_discipline_powers_push_01','force_discipline_powers','fourByFour',0,0,0,0,0,8,0,'force_discipline_powers_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','forceThrow1','forcethrow_accuracy=20,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (895,'force_discipline_powers_push_02','force_discipline_powers_push_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_powers_push_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','forceKnockdown1','forcethrow_accuracy=20,forceknockdown_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (896,'force_discipline_powers_push_03','force_discipline_powers_push_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_powers_push_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','forceThrow2','forcethrow_accuracy=20,forceknockdown_accuracy=25,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (897,'force_discipline_powers_push_04','force_discipline_powers_push_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_powers_push_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','forceKnockdown2','forcethrow_accuracy=20,forceknockdown_accuracy=25,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (898,'force_discipline_healing','force_discipline','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','jedi',' ',' ',' ',' ',' ',0,0),
 (899,'force_discipline_healing_novice','force_discipline_healing','fourByFour',0,0,0,0,0,8,0,'force_title_jedi_rank_02',' ','jedi_general',20000,300000,' ',0,' ',' ','jedi',' ','healHealthSelf1','private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (900,'force_discipline_healing_master','force_discipline_healing','fourByFour',0,0,0,0,0,1,0,'force_discipline_healing_damage_04,force_discipline_healing_wound_04,force_discipline_healing_other_04,force_discipline_healing_states_04',' ','jedi_general',3200000,4000000,' ',0,' ',' ','jedi',' ','totalHealSelf,totalHealOther','private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5',' ',' ',0,0),
 (901,'force_discipline_healing_damage_01','force_discipline_healing','fourByFour',0,0,0,0,0,8,0,'force_discipline_healing_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','healMindSelf1,healActionSelf1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (902,'force_discipline_healing_damage_02','force_discipline_healing_damage_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_healing_damage_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','healAllSelf1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (903,'force_discipline_healing_damage_03','force_discipline_healing_damage_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_healing_damage_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','healMindSelf2,healActionSelf2,healHealthSelf2','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (904,'force_discipline_healing_damage_04','force_discipline_healing_damage_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_healing_damage_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','healAllSelf2','private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (905,'force_discipline_healing_wound_01','force_discipline_healing','fourByFour',0,0,0,0,0,8,0,'force_discipline_healing_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','healHealthWoundSelf1,healActionWoundSelf1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (906,'force_discipline_healing_wound_02','force_discipline_healing_wound_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_healing_wound_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','healMindWoundSelf1,healBattleFatigueSelf1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (907,'force_discipline_healing_wound_03','force_discipline_healing_wound_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_healing_wound_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','healActionWoundSelf2,healHealthWoundSelf2','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (908,'force_discipline_healing_wound_04','force_discipline_healing_wound_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_healing_wound_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','healBattleFatigueSelf2,healMindWoundSelf2','private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (909,'force_discipline_healing_other_01','force_discipline_healing','fourByFour',0,0,0,0,0,8,0,'force_discipline_healing_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','healMindWoundOther1,healHealthWoundOther1,healActionWoundOther1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (910,'force_discipline_healing_other_02','force_discipline_healing_other_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_healing_other_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','healAllOther1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (911,'force_discipline_healing_other_03','force_discipline_healing_other_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_healing_other_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','healHealthWoundOther2,healActionWoundOther2,healMindWoundOther2','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (912,'force_discipline_healing_other_04','force_discipline_healing_other_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_healing_other_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','healAllOther2,healStatesOther','private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (913,'force_discipline_healing_states_01','force_discipline_healing','fourByFour',0,0,0,0,0,8,0,'force_discipline_healing_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','stopBleeding','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (914,'force_discipline_healing_states_02','force_discipline_healing_states_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_healing_states_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','forceCureDisease','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (915,'force_discipline_healing_states_03','force_discipline_healing_states_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_healing_states_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','forceCurePoison','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (916,'force_discipline_healing_states_04','force_discipline_healing_states_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_healing_states_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','healStatesSelf','private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (917,'force_discipline_enhancements','force_discipline','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','jedi',' ',' ',' ',' ',' ',0,0),
 (918,'force_discipline_enhancements_novice','force_discipline_enhancements','fourByFour',0,0,0,0,0,8,0,'force_title_jedi_rank_02',' ','jedi_general',20000,300000,' ',0,' ',' ','jedi',' ','forceAbsorb1','private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (919,'force_discipline_enhancements_master','force_discipline_enhancements','fourByFour',0,0,0,0,0,1,0,'force_discipline_enhancements_movement_04,force_discipline_enhancements_protection_04,force_discipline_enhancements_resistance_04,force_discipline_enhancements_synergy_04',' ','jedi_general',3200000,4000000,' ',0,' ',' ','jedi',' ','forceRun3,regainConsciousness','private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5',' ',' ',0,0),
 (920,'force_discipline_enhancements_movement_01','force_discipline_enhancements','fourByFour',0,0,0,0,0,8,0,'force_discipline_enhancements_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','forceSpeed1','private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (921,'force_discipline_enhancements_movement_02','force_discipline_enhancements_movement_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_enhancements_movement_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','forceRun1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (922,'force_discipline_enhancements_movement_03','force_discipline_enhancements_movement_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_enhancements_movement_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','forceSpeed2','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (923,'force_discipline_enhancements_movement_04','force_discipline_enhancements_movement_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_enhancements_movement_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','forceRun2','private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (924,'force_discipline_enhancements_protection_01','force_discipline_enhancements','fourByFour',0,0,0,0,0,8,0,'force_discipline_enhancements_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','forceFeedback1','private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (925,'force_discipline_enhancements_protection_02','force_discipline_enhancements_protection_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_enhancements_protection_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','forceArmor1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (926,'force_discipline_enhancements_protection_03','force_discipline_enhancements_protection_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_enhancements_protection_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','forceFeedback2','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (927,'force_discipline_enhancements_protection_04','force_discipline_enhancements_protection_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_enhancements_protection_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','forceAbsorb2,forceArmor2','private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (928,'force_discipline_enhancements_resistance_01','force_discipline_enhancements','fourByFour',0,0,0,0,0,8,0,'force_discipline_enhancements_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','forceResistBleeding','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (929,'force_discipline_enhancements_resistance_02','force_discipline_enhancements_resistance_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_enhancements_resistance_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','forceResistDisease','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (930,'force_discipline_enhancements_resistance_03','force_discipline_enhancements_resistance_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_enhancements_resistance_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','forceResistPoison','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (931,'force_discipline_enhancements_resistance_04','force_discipline_enhancements_resistance_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_enhancements_resistance_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','forceResistStates','private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (932,'force_discipline_enhancements_synergy_01','force_discipline_enhancements','fourByFour',0,0,0,0,0,8,0,'force_discipline_enhancements_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ','transferForce','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (933,'force_discipline_enhancements_synergy_02','force_discipline_enhancements_synergy_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_enhancements_synergy_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ','channelForce,forceShield1','private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (934,'force_discipline_enhancements_synergy_03','force_discipline_enhancements_synergy_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_enhancements_synergy_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ','drainForce','private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (935,'force_discipline_enhancements_synergy_04','force_discipline_enhancements_synergy_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_enhancements_synergy_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ','forceMeditate,forceShield2','private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (936,'force_discipline_defender','force_discipline','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','jedi',' ',' ',' ',' ',' ',0,0),
 (937,'force_discipline_defender_novice','force_discipline_defender','fourByFour',0,0,0,0,0,8,0,'force_title_jedi_rank_02',' ','jedi_general',20000,300000,' ',0,' ',' ','jedi',' ',' ','melee_defense=20,ranged_defense=15,force_defense=20,jedi_state_defense=15,jedi_toughness=5,private_jedi_difficulty=50,jedi_force_power_max=200,jedi_force_power_regen=1',' ',' ',0,0),
 (938,'force_discipline_defender_master','force_discipline_defender','fourByFour',0,0,0,0,0,1,0,'force_discipline_defender_melee_defense_04,force_discipline_defender_ranged_defense_04,force_discipline_defender_force_defense_04,force_discipline_defender_preternatural_defense_04',' ','jedi_general',3200000,4000000,' ',0,' ',' ','jedi',' ','avoidIncapacitation','melee_defense=25,ranged_defense=20,force_defense=25,jedi_state_defense=15,jedi_toughness=8,private_jedi_difficulty=200,jedi_force_power_max=500,jedi_force_power_regen=5',' ',' ',0,0),
 (939,'force_discipline_defender_melee_defense_01','force_discipline_defender','fourByFour',0,0,0,0,0,8,0,'force_discipline_defender_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ',' ','melee_defense=5,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (940,'force_discipline_defender_melee_defense_02','force_discipline_defender_melee_defense_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_defender_melee_defense_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ',' ','melee_defense=10,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (941,'force_discipline_defender_melee_defense_03','force_discipline_defender_melee_defense_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_defender_melee_defense_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ',' ','melee_defense=15,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (942,'force_discipline_defender_melee_defense_04','force_discipline_defender_melee_defense_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_defender_melee_defense_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ',' ','melee_defense=20,jedi_toughness=4,private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (943,'force_discipline_defender_ranged_defense_01','force_discipline_defender','fourByFour',0,0,0,0,0,8,0,'force_discipline_defender_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ',' ','ranged_defense=5,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (944,'force_discipline_defender_ranged_defense_02','force_discipline_defender_ranged_defense_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_defender_ranged_defense_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ',' ','ranged_defense=10,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (945,'force_discipline_defender_ranged_defense_03','force_discipline_defender_ranged_defense_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_defender_ranged_defense_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ',' ','ranged_defense=10,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (946,'force_discipline_defender_ranged_defense_04','force_discipline_defender_ranged_defense_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_defender_ranged_defense_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ',' ','ranged_defense=15,jedi_toughness=4,private_jedi_difficulty=100,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (947,'force_discipline_defender_force_defense_01','force_discipline_defender','fourByFour',0,0,0,0,0,8,0,'force_discipline_defender_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ',' ','force_defense=10,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (948,'force_discipline_defender_force_defense_02','force_discipline_defender_force_defense_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_defender_force_defense_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ',' ','force_defense=10,jedi_toughness=1,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (949,'force_discipline_defender_force_defense_03','force_discipline_defender_force_defense_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_defender_force_defense_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ',' ','force_defense=15,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (950,'force_discipline_defender_force_defense_04','force_discipline_defender_force_defense_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_defender_force_defense_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ',' ','force_defense=20,jedi_toughness=4,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (951,'force_discipline_defender_preternatural_defense_01','force_discipline_defender','fourByFour',0,0,0,0,0,8,0,'force_discipline_defender_novice',' ','jedi_general',200000,600000,' ',0,' ',' ','jedi',' ',' ','jedi_state_defense=5,jedi_toughness=1,private_jedi_difficulty=100,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (952,'force_discipline_defender_preternatural_defense_02','force_discipline_defender_preternatural_defense_01','fourByFour',0,0,0,0,0,6,0,'force_discipline_defender_preternatural_defense_01',' ','jedi_general',400000,1000000,' ',0,' ',' ','jedi',' ',' ','jedi_state_defense=5,jedi_toughness=1,private_jedi_difficulty=125,jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (953,'force_discipline_defender_preternatural_defense_03','force_discipline_defender_preternatural_defense_02','fourByFour',0,0,0,0,0,4,0,'force_discipline_defender_preternatural_defense_02',' ','jedi_general',800000,2000000,' ',0,' ',' ','jedi',' ',' ','jedi_state_defense=10,jedi_toughness=2,private_jedi_difficulty=100,jedi_force_power_max=150,jedi_force_power_regen=1',' ',' ',0,0),
 (954,'force_discipline_defender_preternatural_defense_04','force_discipline_defender_preternatural_defense_03','fourByFour',0,0,0,0,0,2,0,'force_discipline_defender_preternatural_defense_03',' ','jedi_general',1600000,4000000,' ',0,' ',' ','jedi',' ',' ','jedi_state_defense=15,jedi_toughness=4,private_jedi_difficulty=125,jedi_force_power_max=175,jedi_force_power_regen=2',' ',' ',0,0),
 (955,'force_rank',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceRankedLight',' ',' ',' ',' ',' ',0,0),
 (956,'force_rank_light','force_rank','pyramid',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceRankedLight',' ',' ',' ',' ',' ',0,0),
 (957,'force_rank_light_novice','force_rank_light','pyramid',0,1,0,0,0,0,0,' ',' ','force_rank_xp',0,15000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=4,force_manipulation_light=5,force_control_light=5',' ',' ',0,0),
 (958,'force_rank_light_master','force_rank_light','pyramid',0,1,0,0,0,0,0,'force_rank_light_rank_10',' ','force_rank_xp',500000,625000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=15,force_manipulation_light=15,force_control_light=20',' ',' ',0,0),
 (959,'force_rank_light_rank_01','force_rank_light','pyramid',0,1,0,0,0,0,0,'force_rank_light_novice',' ','force_rank_xp',10000,25000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=2,force_manipulation_light=3,force_control_light=5',' ',' ',0,0),
 (960,'force_rank_light_rank_02','force_rank_light_rank_01','pyramid',0,0,0,0,0,0,0,'force_rank_light_rank_01',' ','force_rank_xp',20000,37500,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=2,force_manipulation_light=4,force_control_light=5',' ',' ',0,0),
 (961,'force_rank_light_rank_03','force_rank_light_rank_02','pyramid',0,0,0,0,0,0,0,'force_rank_light_rank_02',' ','force_rank_xp',30000,50000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=2,force_manipulation_light=4,force_control_light=5',' ',' ',0,0),
 (962,'force_rank_light_rank_04','force_rank_light_rank_03','pyramid',0,0,0,0,0,0,0,'force_rank_light_rank_03',' ','force_rank_xp',40000,75000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=2,force_manipulation_light=4,force_control_light=5',' ',' ',0,0),
 (963,'force_rank_light_rank_05','force_rank_light_rank_04','pyramid',0,1,0,0,0,0,0,'force_rank_light_rank_04',' ','force_rank_xp',60000,100000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=3,force_manipulation_light=5,force_control_light=10',' ',' ',0,0),
 (964,'force_rank_light_rank_06','force_rank_light_rank_05','pyramid',0,0,0,0,0,0,0,'force_rank_light_rank_05',' ','force_rank_xp',80000,125000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=5,force_manipulation_light=5,force_control_light=10',' ',' ',0,0),
 (965,'force_rank_light_rank_07','force_rank_light_rank_06','pyramid',0,0,0,0,0,0,0,'force_rank_light_rank_06',' ','force_rank_xp',100000,187500,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=5,force_manipulation_light=5,force_control_light=10',' ',' ',0,0),
 (966,'force_rank_light_rank_08','force_rank_light_rank_07','pyramid',0,1,0,0,0,0,0,'force_rank_light_rank_07',' ','force_rank_xp',150000,250000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=10,force_manipulation_light=10,force_control_light=15',' ',' ',0,0),
 (967,'force_rank_light_rank_09','force_rank_light_rank_08','pyramid',0,0,0,0,0,0,0,'force_rank_light_rank_08',' ','force_rank_xp',200000,375000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=10,force_manipulation_light=10,force_control_light=15',' ',' ',0,0),
 (968,'force_rank_light_rank_10','force_rank_light_rank_09','pyramid',0,1,0,0,0,0,0,'force_rank_light_rank_09',' ','force_rank_xp',300000,625000,' ',0,' ',' ','forceRankedLight',' ',' ','force_power_light=15,force_manipulation_light=10,force_control_light=15',' ',' ',0,0),
 (969,'force_rank_dark','force_rank','pyramid',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceRankedDark',' ',' ',' ',' ',' ',0,0),
 (970,'force_rank_dark_novice','force_rank_dark','pyramid',0,1,0,0,0,0,0,' ',' ','force_rank_xp',0,15000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=5,force_manipulation_dark=5,force_control_dark=4',' ',' ',0,0),
 (971,'force_rank_dark_master','force_rank_dark','pyramid',0,1,0,0,0,0,0,'force_rank_dark_rank_10',' ','force_rank_xp',500000,625000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=20,force_manipulation_dark=15,force_control_dark=15',' ',' ',0,0),
 (972,'force_rank_dark_rank_01','force_rank_dark','pyramid',0,1,0,0,0,0,0,'force_rank_dark_novice',' ','force_rank_xp',10000,25000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=5,force_manipulation_dark=3,force_control_dark=2',' ',' ',0,0),
 (973,'force_rank_dark_rank_02','force_rank_dark_rank_01','pyramid',0,0,0,0,0,0,0,'force_rank_dark_rank_01',' ','force_rank_xp',20000,37500,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=5,force_manipulation_dark=4,force_control_dark=2',' ',' ',0,0),
 (974,'force_rank_dark_rank_03','force_rank_dark_rank_02','pyramid',0,0,0,0,0,0,0,'force_rank_dark_rank_02',' ','force_rank_xp',30000,50000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=5,force_manipulation_dark=4,force_control_dark=2',' ',' ',0,0),
 (975,'force_rank_dark_rank_04','force_rank_dark_rank_03','pyramid',0,0,0,0,0,0,0,'force_rank_dark_rank_03',' ','force_rank_xp',40000,75000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=5,force_manipulation_dark=4,force_control_dark=2',' ',' ',0,0),
 (976,'force_rank_dark_rank_05','force_rank_dark_rank_04','pyramid',0,1,0,0,0,0,0,'force_rank_dark_rank_04',' ','force_rank_xp',60000,100000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=10,force_manipulation_dark=5,force_control_dark=3',' ',' ',0,0),
 (977,'force_rank_dark_rank_06','force_rank_dark_rank_05','pyramid',0,0,0,0,0,0,0,'force_rank_dark_rank_05',' ','force_rank_xp',80000,125000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=10,force_manipulation_dark=5,force_control_dark=5',' ',' ',0,0),
 (978,'force_rank_dark_rank_07','force_rank_dark_rank_06','pyramid',0,0,0,0,0,0,0,'force_rank_dark_rank_06',' ','force_rank_xp',100000,187500,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=10,force_manipulation_dark=5,force_control_dark=5',' ',' ',0,0),
 (979,'force_rank_dark_rank_08','force_rank_dark_rank_07','pyramid',0,1,0,0,0,0,0,'force_rank_dark_rank_07',' ','force_rank_xp',150000,250000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=15,force_manipulation_dark=10,force_control_dark=10',' ',' ',0,0),
 (980,'force_rank_dark_rank_09','force_rank_dark_rank_08','pyramid',0,0,0,0,0,0,0,'force_rank_dark_rank_08',' ','force_rank_xp',200000,375000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=15,force_manipulation_dark=10,force_control_dark=10',' ',' ',0,0),
 (981,'force_rank_dark_rank_10','force_rank_dark_rank_09','pyramid',0,1,0,0,0,0,0,'force_rank_dark_rank_09',' ','force_rank_xp',300000,625000,' ',0,' ',' ','forceRankedDark',' ',' ','force_power_dark=15,force_manipulation_dark=10,force_control_dark=15',' ',' ',0,0),
 (982,'force_title',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (983,'force_title_jedi','force_title','oneByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (984,'force_title_jedi_novice','force_title_jedi','oneByFour',0,0,0,0,0,0,0,' ',' ','jedi_general',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (985,'force_title_jedi_master','force_title_jedi','oneByFour',0,1,0,0,0,0,0,'force_title_jedi_rank_04',' ','jedi_general',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (986,'force_title_jedi_rank_01','force_title_jedi','oneByFour',0,1,0,0,0,0,0,'force_title_jedi_novice',' ','jedi_general',0,0,' ',0,' ',' ','forceSensitive',' ','cert_onehandlightsaber_training','private_onehandlightsaber_combat_difficulty=500,private_twohandlightsaber_combat_difficulty=500,private_polearmlightsaber_combat_difficulty=500','craftSaberTraining,craftJediTool',' ',0,0),
 (987,'force_title_jedi_rank_02','force_title_jedi_rank_01','oneByFour',0,1,0,0,0,0,0,'force_title_jedi_rank_01',' ','jedi_general',0,0,' ',0,' ',' ','forceSensitive',' ',' ','jedi_force_power_max=100,jedi_force_power_regen=1',' ',' ',0,0),
 (988,'force_title_jedi_rank_03','force_title_jedi_rank_02','oneByFour',0,1,0,0,0,0,0,'force_title_jedi_rank_02',' ','jedi_general',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (989,'force_title_jedi_rank_04','force_title_jedi_rank_03','oneByFour',0,1,0,0,0,0,0,'force_title_jedi_rank_03',' ','jedi_general',0,0,' ',0,' ',' ','forceSensitive',' ',' ',' ',' ',' ',0,0),
 (990,'shipwright',' ','fourByFour',1,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (991,'crafting_shipwright','shipwright','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (992,'crafting_shipwright_novice','crafting_shipwright','fourByFour',0,1,0,0,5000,6,0,'crafting_artisan_engineering_04',' ','crafting_general',30000,40000,' ',0,' ',' ','none',' ','private_shipwright_novice','chassis_assembly=10,engine_assembly=10,booster_assembly=10,power_systems=10,weapon_systems=10,shields_assembly=10,advanced_assembly=10,chassis_experimentation=10,weapon_systems_experimentation=20,engine_experimentation=20,booster_experimentation=20,power_systems_experimentation=10,shields_experimentation=10,advanced_ship_experimentation=10,defense_reverse=1,propulsion_reverse=1,engineering_reverse=1,systems_reverse=1','craftShipwrightNoviceGroupA',' ',1,0),
 (993,'crafting_shipwright_master','crafting_shipwright','fourByFour',0,1,0,0,10000,1,0,'crafting_shipwright_engineering_04,crafting_shipwright_propulsion_04,crafting_shipwright_systems_04,crafting_shipwright_defense_04',' ','shipwright',200000,300000,' ',0,' ',' ','none',' ','private_shipwright_master','chassis_assembly=25,chassis_experimentation=25,weapon_systems_experimentation=25,weapon_systems=25,engine_experimentation=25,engine_assembly=25,booster_experimentation=25,booster_assembly=25,power_systems_experimentation=25,power_systems=25,shields_experimentation=25,shields_assembly=25,advanced_ship_experimentation=25,advanced_assembly=25,defense_reverse=1,propulsion_reverse=1,systems_reverse=1,engineering_reverse=1','craftShipwrightMaster',' ',1,0),
 (994,'crafting_shipwright_engineering_01','crafting_shipwright','fourByFour',0,0,0,0,6000,5,0,'crafting_shipwright_novice',' ','shipwright',20000,60000,' ',0,' ',' ','none',' ','private_shipwright_engineering_1','chassis_assembly=10,chassis_experimentation=10,engineering_reverse=2','craftShipwrightEngGroupA',' ',1,0),
 (995,'crafting_shipwright_engineering_02','crafting_shipwright_engineering_01','fourByFour',0,0,0,0,7000,4,0,'crafting_shipwright_engineering_01',' ','shipwright',50000,150000,' ',0,' ',' ','none',' ','private_shipwright_engineering_2','chassis_assembly=15,chassis_experimentation=15,engineering_reverse=2','craftShipwrightEngGroupB',' ',1,0),
 (996,'crafting_shipwright_engineering_03','crafting_shipwright_engineering_02','fourByFour',0,0,0,0,8000,3,0,'crafting_shipwright_engineering_02',' ','shipwright',100000,250000,' ',0,' ',' ','none',' ','private_shipwright_engineering_3','chassis_assembly=20,chassis_experimentation=20,engineering_reverse=2','craftShipwrightEngGroupC',' ',1,0),
 (997,'crafting_shipwright_engineering_04','crafting_shipwright_engineering_03','fourByFour',0,1,0,0,9000,2,0,'crafting_shipwright_engineering_03',' ','shipwright',150000,300000,' ',0,' ',' ','none',' ','private_shipwright_engineering_4','chassis_assembly=20,chassis_experimentation=20,engineering_reverse=2','craftShipwrightEngGroupD',' ',1,0),
 (998,'crafting_shipwright_propulsion_01','crafting_shipwright','fourByFour',0,0,0,0,6000,5,0,'crafting_shipwright_novice',' ','shipwright',20000,60000,' ',0,' ',' ','none',' ','private_shipwright_propulsion_1','engine_assembly=10,booster_assembly=10,engine_experimentation=20,booster_experimentation=20,propulsion_reverse=2','craftShipwrightPropulsionGroupA',' ',1,0),
 (999,'crafting_shipwright_propulsion_02','crafting_shipwright_propulsion_01','fourByFour',0,0,0,0,7000,4,0,'crafting_shipwright_propulsion_01',' ','shipwright',50000,150000,' ',0,' ',' ','none',' ','private_shipwright_propulsion_2','engine_assembly=15,booster_assembly=15,engine_experimentation=25,booster_experimentation=25,propulsion_reverse=2','craftShipwrightPropulsionGroupB',' ',1,0),
 (1000,'crafting_shipwright_propulsion_03','crafting_shipwright_propulsion_02','fourByFour',0,0,0,0,8000,3,0,'crafting_shipwright_propulsion_02',' ','shipwright',100000,250000,' ',0,' ',' ','none',' ','private_shipwright_propulsion_3','engine_assembly=20,booster_assembly=20,engine_experimentation=30,booster_experimentation=30,propulsion_reverse=2','craftShipwrightPropulsionGroupC',' ',1,0),
 (1001,'crafting_shipwright_propulsion_04','crafting_shipwright_propulsion_03','fourByFour',0,1,0,0,9000,2,0,'crafting_shipwright_propulsion_03',' ','shipwright',150000,300000,' ',0,' ',' ','none',' ','private_shipwright_propulsion_4','engine_assembly=20,booster_assembly=20,engine_experimentation=30,booster_experimentation=30,propulsion_reverse=2','craftShipwrightPropulsionGroupD',' ',1,0),
 (1002,'crafting_shipwright_systems_01','crafting_shipwright','fourByFour',0,0,0,0,6000,5,0,'crafting_shipwright_novice',' ','shipwright',20000,60000,' ',0,' ',' ','none',' ','private_shipwright_systems_1','power_systems=10,advanced_assembly=10,power_systems_experimentation=10,advanced_ship_experimentation=10,systems_reverse=2','craftShipwrightSystemsGroupA',' ',1,0),
 (1003,'crafting_shipwright_systems_02','crafting_shipwright_systems_01','fourByFour',0,0,0,0,7000,4,0,'crafting_shipwright_systems_01',' ','shipwright',50000,150000,' ',0,' ',' ','none',' ','private_shipwright_systems_2','power_systems=15,advanced_assembly=15,power_systems_experimentation=15,advanced_ship_experimentation=15,systems_reverse=2','craftShipwrightSystemsGroupB',' ',1,0),
 (1004,'crafting_shipwright_systems_03','crafting_shipwright_systems_02','fourByFour',0,0,0,0,8000,3,0,'crafting_shipwright_systems_02',' ','shipwright',100000,250000,' ',0,' ',' ','none',' ','private_shipwright_systems_3','power_systems=20,advanced_assembly=20,power_systems_experimentation=20,advanced_ship_experimentation=20,systems_reverse=2','craftShipwrightSystemsGroupC',' ',1,0),
 (1005,'crafting_shipwright_systems_04','crafting_shipwright_systems_03','fourByFour',0,1,0,0,9000,2,0,'crafting_shipwright_systems_03',' ','shipwright',150000,300000,' ',0,' ',' ','none',' ','private_shipwright_systems_4','power_systems=20,advanced_assembly=20,power_systems_experimentation=20,advanced_ship_experimentation=20,systems_reverse=2','craftShipwrightSystemsGroupD',' ',1,0),
 (1006,'crafting_shipwright_defense_01','crafting_shipwright','fourByFour',0,0,0,0,6000,5,0,'crafting_shipwright_novice',' ','shipwright',20000,60000,' ',0,' ',' ','none',' ','private_shipwright_defense_1','weapon_systems=10,weapon_systems_experimentation=20,defense_reverse=2,shields_assembly=10,shields_experimentation=10','craftShipwrightDefenseGroupA',' ',1,0),
 (1007,'crafting_shipwright_defense_02','crafting_shipwright_defense_01','fourByFour',0,0,0,0,7000,4,0,'crafting_shipwright_defense_01',' ','shipwright',50000,150000,' ',0,' ',' ','none',' ','private_shipwright_defense_2','weapon_systems=15,weapon_systems_experimentation=25,defense_reverse=2,shields_assembly=15,shields_experimentation=15','craftShipwrightDefenseGroupB',' ',1,0),
 (1008,'crafting_shipwright_defense_03','crafting_shipwright_defense_02','fourByFour',0,0,0,0,8000,3,0,'crafting_shipwright_defense_02',' ','shipwright',100000,250000,' ',0,' ',' ','none',' ','private_shipwright_defense_3','weapon_systems=20,weapon_systems_experimentation=30,defense_reverse=2,shields_assembly=20,shields_experimentation=20','craftShipwrightDefenseGroupC',' ',1,0),
 (1009,'crafting_shipwright_defense_04','crafting_shipwright_defense_03','fourByFour',0,1,0,0,9000,2,0,'crafting_shipwright_defense_03',' ','shipwright',150000,300000,' ',0,' ',' ','none',' ','private_shipwright_defense_4','weapon_systems=20,weapon_systems_experimentation=30,defense_reverse=2,shields_assembly=20,shields_experimentation=20','craftShipwrightDefenseGroupD',' ',1,0),
 (1010,'pilot',' ','fourByFour',0,0,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (1011,'pilot_rebel_navy','pilot','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (1012,'pilot_rebel_navy_novice','pilot_rebel_navy','fourByFour',0,1,0,0,100,0,0,' ','pilot_imperial_navy_novice,pilot_neutral_novice',' ',0,0,' ',0,' ',' ','none',' ','private_rebel_navy_novice,cert_starships_z95headhunter,cert_ordnance_level1,cert_droid_astromech_1,droidcommand_mutedroid',' ',' ',' ',1,0),
 (1013,'pilot_rebel_navy_master','pilot_rebel_navy','fourByFour',0,1,0,0,5000,0,0,'pilot_rebel_navy_starships_04,pilot_rebel_navy_weapons_04,pilot_rebel_navy_procedures_04,pilot_rebel_navy_droid_04',' ','space_combat_general',7500000,7500000,' ',0,' ',' ','none',' ','private_rebel_navy_master,cert_starships_bwing,cert_starships_ykl37r,cert_ordnance_level9,cert_ordnance_levelten,cert_droid_astromech_6,jstart3,inspacerr,cert_starships_firespray','pilot_special_tactics=20',' ',' ',1,0),
 (1014,'pilot_rebel_navy_starships_01','pilot_rebel_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_rebel_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','private_rebel_navy_starships_1,cert_starships_ywing',' ',' ',' ',1,0),
 (1015,'pilot_rebel_navy_starships_02','pilot_rebel_navy_starships_01','fourByFour',0,0,0,0,2000,0,0,'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','private_rebel_navy_starships_2,cert_starships_ywinglongprobe',' ',' ',' ',1,0),
 (1016,'pilot_rebel_navy_starships_03','pilot_rebel_navy_starships_02','fourByFour',0,0,0,0,3000,0,0,'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','private_rebel_navy_starships_3,cert_starships_xwing',' ',' ',' ',1,0),
 (1017,'pilot_rebel_navy_starships_04','pilot_rebel_navy_starships_03','fourByFour',0,1,0,0,4000,0,0,'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','private_rebel_navy_starships_4,cert_starships_awing',' ',' ',' ',1,0),
 (1018,'pilot_rebel_navy_weapons_01','pilot_rebel_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_rebel_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','cert_ordnance_level2,cert_ordnance_level3','missile_launching=65',' ',' ',1,0),
 (1019,'pilot_rebel_navy_weapons_02','pilot_rebel_navy_weapons_01','fourByFour',0,0,0,0,2000,0,0,'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','cert_ordnance_level4,cert_ordnance_level5','missile_launching=10',' ',' ',1,0),
 (1020,'pilot_rebel_navy_weapons_03','pilot_rebel_navy_weapons_02','fourByFour',0,0,0,0,3000,0,0,'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','cert_ordnance_level6,cert_ordnance_level7','missile_launching=10',' ',' ',1,0),
 (1021,'pilot_rebel_navy_weapons_04','pilot_rebel_navy_weapons_03','fourByFour',0,1,0,0,4000,0,0,'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','cert_ordnance_level8','missile_launching=15',' ',' ',1,0),
 (1022,'pilot_rebel_navy_procedures_01','pilot_rebel_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_rebel_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','iffscramble,jstart1','pilot_special_tactics=20',' ',' ',1,0),
 (1023,'pilot_rebel_navy_procedures_02','pilot_rebel_navy_procedures_01','fourByFour',0,0,0,0,2000,0,0,'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','eshields,vrepair','pilot_special_tactics=20',' ',' ',1,0),
 (1024,'pilot_rebel_navy_procedures_03','pilot_rebel_navy_procedures_02','fourByFour',0,0,0,0,3000,0,0,'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','jstart2,inspacerepair','pilot_special_tactics=20',' ',' ',1,0),
 (1025,'pilot_rebel_navy_procedures_04','pilot_rebel_navy_procedures_03','fourByFour',0,1,0,0,4000,0,0,'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','inspacereload,vrepairother','pilot_special_tactics=20',' ',' ',1,0),
 (1026,'pilot_rebel_navy_droid_01','pilot_rebel_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_rebel_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','private_rebel_navy_droid_1,droidcommand_shieldnormalize,droidcommand_shieldbacktofronttwenty,droidcommand_shieldfronttobacktwenty,droidcommand_shieldadjustfrontone,droidcommand_shieldadjustrearone,cert_droid_astromech_2',' ',' ',' ',1,0),
 (1027,'pilot_rebel_navy_droid_02','pilot_rebel_navy_droid_01','fourByFour',0,0,0,0,2000,0,0,'pilot_rebel_navy_starships_01,pilot_rebel_navy_weapons_01,pilot_rebel_navy_procedures_01,pilot_rebel_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','private_rebel_navy_droid_2,droidcommand_shieldbacktofrontfifty,droidcommand_shieldfronttobackfifty,droidcommand_shieldadjustfronttwo,droidcommand_shieldadjustreartwo,cert_droid_astromech_3',' ',' ',' ',1,0),
 (1028,'pilot_rebel_navy_droid_03','pilot_rebel_navy_droid_02','fourByFour',0,0,0,0,3000,0,0,'pilot_rebel_navy_starships_02,pilot_rebel_navy_weapons_02,pilot_rebel_navy_procedures_02,pilot_rebel_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','private_rebel_navy_droid_3,droidcommand_shieldbacktofronteighty,droidcommand_shieldfronttobackeighty,droidcommand_shieldadjustfrontthree,droidcommand_shieldadjustrearthree,cert_droid_astromech_4',' ',' ',' ',1,0),
 (1029,'pilot_rebel_navy_droid_04','pilot_rebel_navy_droid_03','fourByFour',0,1,0,0,4000,0,0,'pilot_rebel_navy_starships_03,pilot_rebel_navy_weapons_03,pilot_rebel_navy_procedures_03,pilot_rebel_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','private_rebel_navy_droid_4,droidcommand_shieldbacktofronthundred,droidcommand_shieldfronttobackhundred,droidcommand_shieldadjustfrontfour,droidcommand_shieldadjustrearfour,cert_droid_astromech_5,droidcommand_shieldemergencyfront,droidcommand_shieldemergencyrear',' ',' ',' ',1,0),
 (1030,'pilot_imperial_navy','pilot','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (1031,'pilot_imperial_navy_novice','pilot_imperial_navy','fourByFour',0,1,0,0,100,0,0,' ','pilot_rebel_navy_novice,pilot_neutral_novice',' ',0,0,' ',0,' ',' ','none',' ','private_imperial_navy_novice,cert_starships_tiefighterlight,cert_ordnance_level1,cert_droid_astromech_1,droidcommand_mutedroid',' ',' ',' ',1,0),
 (1032,'pilot_imperial_navy_master','pilot_imperial_navy','fourByFour',0,1,0,0,5000,0,0,'pilot_imperial_navy_starships_04,pilot_imperial_navy_weapons_04,pilot_imperial_navy_procedures_04,pilot_imperial_navy_droid_04',' ','space_combat_general',7500000,7500000,' ',0,' ',' ','none',' ','private_imperial_navy_master,cert_starships_decimator,cert_starships_tieoppressor,cert_ordnance_level9,cert_ordnance_levelten,cert_droid_astromech_6,bstrike3,cert_starships_firespray','pilot_special_tactics=20',' ',' ',1,0),
 (1033,'pilot_imperial_navy_starships_01','pilot_imperial_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_imperial_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','private_imperial_navy_starships_1,cert_starships_tiefighter',' ',' ',' ',1,0),
 (1034,'pilot_imperial_navy_starships_02','pilot_imperial_navy_starships_01','fourByFour',0,0,0,0,2000,0,0,'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','private_imperial_navy_starships_2,cert_starships_tiefighterin',' ',' ',' ',1,0),
 (1035,'pilot_imperial_navy_starships_03','pilot_imperial_navy_starships_02','fourByFour',0,0,0,0,3000,0,0,'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','private_imperial_navy_starships_3,cert_starships_tieinterceptor,cert_starships_tiebomber',' ',' ',' ',1,0),
 (1036,'pilot_imperial_navy_starships_04','pilot_imperial_navy_starships_03','fourByFour',0,1,0,0,4000,0,0,'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','private_imperial_navy_starships_4,cert_starships_tieadvanced,cert_starships_tieaggressor',' ',' ',' ',1,0),
 (1037,'pilot_imperial_navy_weapons_01','pilot_imperial_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_imperial_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','cert_ordnance_level2,cert_ordnance_level3','missile_launching=65',' ',' ',1,0),
 (1038,'pilot_imperial_navy_weapons_02','pilot_imperial_navy_weapons_01','fourByFour',0,0,0,0,2000,0,0,'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','cert_ordnance_level4,cert_ordnance_level5','missile_launching=10',' ',' ',1,0),
 (1039,'pilot_imperial_navy_weapons_03','pilot_imperial_navy_weapons_02','fourByFour',0,0,0,0,3000,0,0,'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','cert_ordnance_level6,cert_ordnance_level7','missile_launching=10',' ',' ',1,0),
 (1040,'pilot_imperial_navy_weapons_04','pilot_imperial_navy_weapons_03','fourByFour',0,1,0,0,4000,0,0,'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','cert_ordnance_level8','missile_launching=15',' ',' ',1,0),
 (1041,'pilot_imperial_navy_procedures_01','pilot_imperial_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_imperial_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','pumpreactor','pilot_special_tactics=20',' ',' ',1,0),
 (1042,'pilot_imperial_navy_procedures_02','pilot_imperial_navy_procedures_01','fourByFour',0,0,0,0,2000,0,0,'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','eweapons','pilot_special_tactics=20',' ',' ',1,0),
 (1043,'pilot_imperial_navy_procedures_03','pilot_imperial_navy_procedures_02','fourByFour',0,0,0,0,3000,0,0,'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','bstrike1,nblast','pilot_special_tactics=20',' ',' ',1,0),
 (1044,'pilot_imperial_navy_procedures_04','pilot_imperial_navy_procedures_03','fourByFour',0,1,0,0,4000,0,0,'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','bstrike2','pilot_special_tactics=20',' ',' ',1,0),
 (1045,'pilot_imperial_navy_droid_01','pilot_imperial_navy','fourByFour',0,0,0,0,1000,0,0,'pilot_imperial_navy_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','private_imperial_navy_droid_1,droidcommand_weaponoverloadone,droidcommand_weaponeffeciencyone,droidcommand_weaponnormalize,droidcommand_engineoverloadone,droidcommand_engineefficiencyone,droidcommand_enginenormalize,cert_droid_astromech_2',' ',' ',' ',1,0),
 (1046,'pilot_imperial_navy_droid_02','pilot_imperial_navy_droid_01','fourByFour',0,0,0,0,2000,0,0,'pilot_imperial_navy_starships_01,pilot_imperial_navy_weapons_01,pilot_imperial_navy_procedures_01,pilot_imperial_navy_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','private_imperial_navy_droid_2,droidcommand_weaponoverloadtwo,droidcommand_weaponeffeciencytwo,droidcommand_engineoverloadtwo,droidcommand_engineefficiencytwo,cert_droid_astromech_3',' ',' ',' ',1,0),
 (1047,'pilot_imperial_navy_droid_03','pilot_imperial_navy_droid_02','fourByFour',0,0,0,0,3000,0,0,'pilot_imperial_navy_starships_02,pilot_imperial_navy_weapons_02,pilot_imperial_navy_procedures_02,pilot_imperial_navy_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','private_imperial_navy_droid_3,droidcommand_weaponoverloadthree,droidcommand_weaponeffeciencythree,droidcommand_engineoverloadthree,droidcommand_engineefficiencythree,cert_droid_astromech_4',' ',' ',' ',1,0),
 (1048,'pilot_imperial_navy_droid_04','pilot_imperial_navy_droid_03','fourByFour',0,1,0,0,4000,0,0,'pilot_imperial_navy_starships_03,pilot_imperial_navy_weapons_03,pilot_imperial_navy_procedures_03,pilot_imperial_navy_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','private_imperial_navy_droid_4,droidcommand_weaponoverloadfour,droidcommand_weaponeffeciencyfour,droidcommand_engineoverloadfour,droidcommand_engineefficiencyfour,cert_droid_astromech_5',' ',' ',' ',1,0),
 (1049,'pilot_neutral','pilot','fourByFour',0,0,1,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ',' ',' ',' ',' ',1,0),
 (1050,'pilot_neutral_novice','pilot_neutral','fourByFour',0,1,0,0,100,0,0,' ','pilot_rebel_navy_novice,pilot_imperial_navy_novice',' ',0,0,' ',0,' ',' ','none',' ','private_neutral_novice,cert_starships_lighthuttfighter,cert_ordnance_level1,cert_droid_astromech_1,droidcommand_mutedroid',' ',' ',' ',1,0),
 (1051,'pilot_neutral_master','pilot_neutral','fourByFour',0,1,0,0,5000,0,0,'pilot_neutral_starships_04,pilot_neutral_weapons_04,pilot_neutral_procedures_04,pilot_neutral_droid_04',' ','space_combat_general',7500000,7500000,' ',0,' ',' ','none',' ','private_neutral_master,cert_starships_yt1300,cert_ordnance_level9,cert_ordnance_levelten,cert_droid_astromech_6,ptrap2,epulse3,cert_starships_firespray,cert_starships_hutt_turret_ship','pilot_special_tactics=20',' ',' ',1,0),
 (1052,'pilot_neutral_starships_01','pilot_neutral','fourByFour',0,0,0,0,1000,0,0,'pilot_neutral_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','private_neutral_starships_1,cert_starships_mediumhuttfighter',' ',' ',' ',1,0),
 (1053,'pilot_neutral_starships_02','pilot_neutral_starships_01','fourByFour',0,0,0,0,2000,0,0,'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','private_neutral_starships_2,cert_starships_heavyhuttfighter,cert_starships_lightblacksunfighter',' ',' ',' ',1,0),
 (1054,'pilot_neutral_starships_03','pilot_neutral_starships_02','fourByFour',0,0,0,0,3000,0,0,'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','private_neutral_starships_3,cert_starships_mediumblacksunfighter',' ',' ',' ',1,0),
 (1055,'pilot_neutral_starships_04','pilot_neutral_starships_03','fourByFour',0,1,0,0,4000,0,0,'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','private_neutral_starships_4,cert_starships_heavyblacksunfighter',' ',' ',' ',1,0),
 (1056,'pilot_neutral_weapons_01','pilot_neutral','fourByFour',0,0,0,0,1000,0,0,'pilot_neutral_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','cert_ordnance_level2,cert_ordnance_level3','missile_launching=65',' ',' ',1,0),
 (1057,'pilot_neutral_weapons_02','pilot_neutral_weapons_01','fourByFour',0,0,0,0,2000,0,0,'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','cert_ordnance_level4,cert_ordnance_level5','missile_launching=10',' ',' ',1,0),
 (1058,'pilot_neutral_weapons_03','pilot_neutral_weapons_02','fourByFour',0,0,0,0,3000,0,0,'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','cert_ordnance_level6,cert_ordnance_level7','missile_launching=10',' ',' ',1,0),
 (1059,'pilot_neutral_weapons_04','pilot_neutral_weapons_03','fourByFour',0,1,0,0,4000,0,0,'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','cert_ordnance_level8','missile_launching=15',' ',' ',1,0),
 (1060,'pilot_neutral_procedures_01','pilot_neutral','fourByFour',0,0,0,0,1000,0,0,'pilot_neutral_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','ethrust','pilot_special_tactics=20',' ',' ',1,0),
 (1061,'pilot_neutral_procedures_02','pilot_neutral_procedures_01','fourByFour',0,0,0,0,2000,0,0,'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','ptrap1','pilot_special_tactics=20',' ',' ',1,0),
 (1062,'pilot_neutral_procedures_03','pilot_neutral_procedures_02','fourByFour',0,0,0,0,3000,0,0,'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','iffscramble,epulse1','pilot_special_tactics=20',' ',' ',1,0),
 (1063,'pilot_neutral_procedures_04','pilot_neutral_procedures_03','fourByFour',0,1,0,0,4000,0,0,'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','epulse2','pilot_special_tactics=20',' ',' ',1,0),
 (1064,'pilot_neutral_droid_01','pilot_neutral','fourByFour',0,0,0,0,1000,0,0,'pilot_neutral_novice',' ','space_combat_general',7500,60000,' ',0,' ',' ','none',' ','private_neutral_droid_1,droidcommand_reactoroverloadone,droidcommand_reactornormalize,cert_droid_astromech_2,droidcommand_weapcappowerupone,droidcommand_weapcapequalize,droidcommand_weapcaptoshieldone',' ',' ',' ',1,0),
 (1065,'pilot_neutral_droid_02','pilot_neutral_droid_01','fourByFour',0,0,0,0,2000,0,0,'pilot_neutral_starships_01,pilot_neutral_weapons_01,pilot_neutral_procedures_01,pilot_neutral_droid_01',' ','space_combat_general',60000,200000,' ',0,' ',' ','none',' ','private_neutral_droid_2,droidcommand_reactoroverloadtwo,cert_droid_astromech_3,droidcommand_weapcappoweruptwo,droidcommand_weapcaptoshieldtwo',' ',' ',' ',1,0),
 (1066,'pilot_neutral_droid_03','pilot_neutral_droid_02','fourByFour',0,0,0,0,3000,0,0,'pilot_neutral_starships_02,pilot_neutral_weapons_02,pilot_neutral_procedures_02,pilot_neutral_droid_02',' ','space_combat_general',200000,1000000,' ',0,' ',' ','none',' ','private_neutral_droid_3,droidcommand_reactoroverloadthree,cert_droid_astromech_4,droidcommand_weapcappowerupthree,droidcommand_weapcaptoshieldthree',' ',' ',' ',1,0),
 (1067,'pilot_neutral_droid_04','pilot_neutral_droid_03','fourByFour',0,1,0,0,4000,0,0,'pilot_neutral_starships_03,pilot_neutral_weapons_03,pilot_neutral_procedures_03,pilot_neutral_droid_03',' ','space_combat_general',1000000,7500000,' ',0,' ',' ','none',' ','private_neutral_droid_4,droidcommand_reactoroverloadfour,cert_droid_astromech_5,droidcommand_weapcappowerupfour,droidcommand_weapcaptoshieldfour',' ',' ',' ',1,0),
 (1068,'pilot_spacetest','pilot','fourByFour',1,1,0,0,0,0,0,' ',' ',' ',0,0,' ',0,' ',' ','none',' ','droid+droidcommand_testweaponoverload1,droidcommand_testweaponoverload2,droidcommand_testweaponoverload3,droidcommand_testweaponoverload4,droidcommand_testweaponnormalize,droidcommand_testfronttobackfifty,droidcommand_testbacktofrontfifty',' ',' ',' ',1,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `skills` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`statictangibleobjects`
--

DROP TABLE IF EXISTS `swgemu`.`statictangibleobjects`;
CREATE TABLE  `swgemu`.`statictangibleobjects` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `zoneid` tinyint(4) NOT NULL,
  `parentid` bigint(20) NOT NULL,
  `name` varchar(255) NOT NULL,
  `template_file` varchar(200) NOT NULL,
  `template_type` int(255) NOT NULL,
  `template_name` varchar(255) NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `X` float NOT NULL,
  `Z` float NOT NULL,
  `Y` float NOT NULL,
  PRIMARY KEY (`id`),
  KEY `zone_id` (`zoneid`),
  FULLTEXT KEY `file_ix` (`template_file`)
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`statictangibleobjects`
--

/*!40000 ALTER TABLE `statictangibleobjects` DISABLE KEYS */;
LOCK TABLES `statictangibleobjects` WRITE;
INSERT INTO `swgemu`.`statictangibleobjects` VALUES  (1,5,0,'Jeff Freeman Memorial Fountain','object/tangible/furniture/city/fountain_heroic.iff',8203,'fountain_heroic',0,-0.401868,0,0.915698,-4879.48,6,4139.49),
 (2,8,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.768226,0,-0.640178,3533.04,5,-4796),
 (3,8,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.486657,0,0.873593,-1271.07,12,-3590.22),
 (4,5,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.309582,0,0.950873,-4876.99,6,4142.12),
 (5,0,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.664289,0,0.747476,-133.192,28,-4711.16),
 (6,0,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.346712,0,0.937972,-5049.64,21,-2304.52),
 (9,1,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.695864,0,0.718174,1585.68,4,-6368.95),
 (8,1,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.725999,0,-0.687696,-629.417,3,2481.24),
 (7,1,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.168608,0,0.985683,-4224.77,3,-2398.08),
 (27,8,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.514176,0,0.857684,-2896.35,5,2130.87),
 (26,8,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.989124,0,-0.147086,1299.08,7,3145.21),
 (15,3,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.932952,0,-0.360002,-963.537,73,1556.86),
 (14,3,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.723459,0,-0.690367,3240.5,24,-3484.79),
 (13,2,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.701463,0,0.712705,592.612,6,3089.84),
 (12,2,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.314904,0,0.949123,-67.6585,18,-1595.3),
 (11,0,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.290803,0,0.956783,3330.38,308,5517.14),
 (10,0,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.389024,0,0.921227,-3134.67,31,2790.19),
 (17,5,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.715602,0,-0.698509,4824.53,4.17,-4704.9),
 (20,6,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.0274543,0,0.999623,3672.91,96,-6441.07),
 (19,5,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.0116238,0,0.999932,5193.14,-192,6680.25),
 (18,5,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.0116238,0,-0.686427,1445.8,13,2771.98),
 (16,4,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.999879,0,0.015506,464.677,8.75806,5506.49),
 (25,7,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.996369,0,-0.0851417,4447.08,2,5286.96),
 (24,7,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.692641,0,0.721282,329.666,6,-2924.69),
 (23,7,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.986933,0,-0.161134,-2207.13,20,2320.67),
 (22,6,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.100263,0,0.994961,-5307.37,80.1274,-2216.91),
 (21,6,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.69192,0,0.721974,5370.22,80,5666.04),
 (30,9,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.705623,0,0.708587,-6917.18,73,-5732.25),
 (29,9,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.723339,0,-0.690493,4057.69,37,-6217.54),
 (28,0,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,-0.666281,0,0.745701,-136.437,28,-4730.23),
 (31,9,0,'','object/tangible/terminal/terminal_character_builder.iff',16400,'terminal_character_builder',0,0.00721678,0,0.999974,-293.367,35,4854.52);
UNLOCK TABLES;
/*!40000 ALTER TABLE `statictangibleobjects` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`trainers`
--

DROP TABLE IF EXISTS `swgemu`.`trainers`;
CREATE TABLE  `swgemu`.`trainers` (
  `Location` varchar(64) DEFAULT NULL,
  `Trainer Name` varchar(64) DEFAULT NULL,
  `Trainer Type` varchar(64) DEFAULT NULL,
  `Profession` varchar(64) NOT NULL,
  `CRC1` varchar(16) DEFAULT NULL,
  `CRC2` varchar(16) DEFAULT NULL,
  `CRC3` varchar(16) DEFAULT NULL,
  `Planet` smallint(6) DEFAULT NULL,
  `Cell` bigint(20) DEFAULT '0',
  `WorldX` double DEFAULT '0',
  `WorldY` double DEFAULT '0',
  `WorldZ` double DEFAULT '0',
  `CellX` double DEFAULT '0',
  `CellY` double DEFAULT '0',
  `CellZ` double DEFAULT '0',
  `oY` double DEFAULT '0',
  `oW` double DEFAULT '0',
  `pix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planetmapid` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`pix`),
  KEY `pix` (`pix`)
) ENGINE=MyISAM AUTO_INCREMENT=523 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`trainers`
--

/*!40000 ALTER TABLE `trainers` DISABLE KEYS */;
LOCK TABLES `trainers` WRITE;
INSERT INTO `swgemu`.`trainers` VALUES  ('Coronet ','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',0,0,-369,-4533,28,0,0,0,0.717733,0.696318,1,0),
 ('Doaba Guerfel','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',0,3075410,3105,5274,301,12,6,1.13306,1,0,2,0),
 ('Kor Vella','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',0,2955398,-3675,3064,87,12,6,1.13306,1,0,3,0),
 ('Tyrena','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',0,1935461,-5515,-2691,22,12,6,1.13306,1,0,4,0),
 ('Kaadara','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,1741468,5125,6792,-190,12,6,1.13306,1,0,5,0),
 ('Keren','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,0,1524,2782,25,0,0,0,0.320035,0.947406,6,0),
 ('Keren','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,1650541,1775,2559,13,12,6,1.13306,1,0,7,0),
 ('Keren','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,0,2005,2483,12,0,0,0,0.852886,-0.522097,8,0),
 ('Moenia','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,0,4819,-4704,4.17,0,0,0,-0.650473,0.75953,9,0),
 ('Moenia','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,1717553,4817,-4994,4,12,6,1.13306,1,0,10,0),
 ('Theed','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,0,-5129,4238,6,0,0,0,0.827,0.561,11,0),
 ('Theed','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,1692091,-5440,4002,7,12,6,1.13306,1,0,12,0),
 ('Theed','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',5,0,-5993,4286,6,0,0,0,0.566754,0.823887,13,0),
 ('Narmle','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',6,0,-5159,-2325,80,0,0,0,0.931801,0.362969,14,0),
 ('Narmle','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',6,4635411,-4998,-2412,81,12,6,1.13306,1,0,15,0),
 ('Restuss','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',6,0,5388,5673,80,0,0,0,0.821,0.5721,16,0),
 ('Dearic','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',7,3175559,614,-3047,7,12,6,1.13306,1,0,17,0),
 ('Nashal','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',7,4265413,4281,5129,3,12,6,1.13306,1,0,18,0),
 ('Bestine','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',8,1028579,-1257,-3527,13,12,6,1.13306,1,0,19,0),
 ('Mos Eisley','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',8,1189576,3338,-4717,6,12,6,1.13306,1,0,20,0),
 ('Mos Entha','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',8,0,1273,3151,7,0,0,0,0.984731,0.174081,21,0),
 ('Mos Entha','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',8,1154181,1308,3368,8,12,6,1.13306,1,0,22,0),
 ('Mos Espa','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',8,1256019,-3047,2070,6,12,6,1.13306,1,0,23,0),
 ('Doaba Guerfel','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',0,0,3284,5406,300,0,0,0,0.310022,0.95073,24,0),
 ('Kor Vella','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',0,0,-3320,3220,86,0,0,0,0,1,25,0),
 ('Mos Eisley','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',8,9655496,3528,-4762,5,4.4,-7.8,0.2,0.309956,0.950751,26,0),
 ('Mos Espa','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',8,0,-2964,2021,5,0,0,0,-0.279,0.96,27,0),
 ('Theed','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',5,0,-5565,4304,6,0,0,0,-0.66759,0.744529,28,0),
 ('Narmle','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',6,0,-5219,-2164,80.6094,0,0,0,0,1,29,0),
 ('Dearic','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',7,0,548.007,-2865.16,6,0,0,0,0.997019,0.0771557,30,0),
 ('Nashal','a Fencer trainer','trainer_1hsword','combat_1hsword','4B88D720','909F7FB7','D992183A',7,4265477,4511,5159,2,5,-8,0,-0.24217,0.970234,31,0),
 ('Mos Entha','a Commando trainer','trainer_commando','combat_commando','26491B73','98F1F3B2','387F613C',8,0,1551.92,3334.86,7,0,0,0,0.468842,0.883282,32,0),
 ('Wayfar','a Commando trainer','trainer_commando','combat_commando','26491B73','98F1F3B2','387F613C',8,0,-5038,-6609,75,0,0,0,0.919099,-0.394028,33,0),
 ('Narmle','a Commando trainer','trainer_commando','combat_commando','26491B73','98F1F3B2','387F613C',6,0,-5180,-2349,80,0,0,0,0.999763,0.0217487,34,0),
 ('Restuss','a Commando trainer','trainer_commando','combat_commando','26491B73','98F1F3B2','387F613C',6,4635689,5436,5811,81,9.51478,-10.433,1.13306,0.336511,0.941679,35,0),
 ('Rebel Outpost','a Commando trainer','trainer_commando','combat_commando','26491B73','98F1F3B2','387F613C',6,4505792,3695,-6484,96,-1.5837,2.75309,0.74,0.999913,0.0131604,36,0),
 ('Kor Vella','a Commando trainer','trainer_commando','combat_commando','26491B73','98F1F3B2','387F613C',0,0,-3344,3292,86,0,0,0,0,1,37,0),
 ('Imperial Oasis','a Commando trainer','trainer_commando','combat_commando','26491B73','98F1F3B2','387F613C',8,0,-5292,2718,6.76132,0,0,0,0.999696,-0.0246574,38,0),
 ('Theed','a Swordsman trainer','trainer_2hsword','combat_2hsword','19DD3748','C2CA9FDF','8BC7F852',5,0,-5382,4327,0,0,0,0,0,0,39,0),
 ('Kor Vella','a Swordsman trainer','trainer_2hsword','combat_2hsword','19DD3748','C2CA9FDF','8BC7F852',0,0,-3374,3285,86,0,0,0,0.690507,0.723326,40,0),
 ('Narmle','a Swordsman trainer','trainer_2hsword','combat_2hsword','19DD3748','C2CA9FDF','8BC7F852',6,0,-5214,-2167,80.4173,0,0,0,0,1,41,0),
 ('Dearic','a Swordsman trainer','trainer_2hsword','combat_2hsword','19DD3748','C2CA9FDF','8BC7F852',7,0,552,-2865,6,0,0,0,0.998527,0.0542564,42,0),
 ('Mos Espa','a Swordsman trainer','trainer_2hsword','combat_2hsword','19DD3748','C2CA9FDF','8BC7F852',8,0,-2971,2032,5,0,0,0,0.998451,0.0556371,43,0),
 ('Karen','a Rifleman trainer','trainer_rifleman','combat_rifleman','E56324EF','3E748C78','7779EBF5',5,0,1276,2685,13,0,0,0,-0.591354,0.806412,44,0),
 ('Mos Eisley','a Rifleman trainer','trainer_rifleman','combat_rifleman','E56324EF','3E748C78','7779EBF5',8,0,3426,-4917,5,0,0,0,0,1,45,0),
 ('Narmle','a Rifleman trainer','trainer_rifleman','combat_rifleman','E56324EF','3E748C78','7779EBF5',6,0,-5215,-2373,80,0,0,0,0.999804,-0.0198209,46,0),
 ('Rebel Outpost','a Rifleman trainer','trainer_rifleman','combat_rifleman','E56324EF','3E748C78','7779EBF5',6,0,3649,-6492,96,0,0,0,0.384359,0.923184,47,0),
 ('Tyrena','a Rifleman trainer','trainer_rifleman','combat_rifleman','E56324EF','3E748C78','7779EBF5',0,0,-5234,-2488,21,0,0,0,0.999421,0.034013,48,0),
 ('Dearic','a Rifleman trainer','trainer_rifleman','combat_rifleman','E56324EF','3E748C78','7779EBF5',7,0,587,-2870,6,0,0,0,0,1,49,0),
 ('Kor Vella','a Teras Kasi Artist trainer','trainer_unarmed','combat_unarmed','9C58CC5C','474F64CB','0E420346',0,0,-3570,3146,86,0,0,0,0.88544,-0.445034,50,0),
 ('Theed','a Teras Kasi Artist trainer','trainer_unarmed','combat_unarmed','9C58CC5C','474F64CB','0E420346',5,0,-5649,4206,6,0,0,0,0,1,51,0),
 ('Narmle','a Teras Kasi Artist trainer','trainer_unarmed','combat_unarmed','9C58CC5C','474F64CB','0E420346',6,0,-5288,-2508,79.0383,0,0,0,0,1,52,0),
 ('Dearic','a Teras Kasi Artist trainer','trainer_unarmed','combat_unarmed','9C58CC5C','474F64CB','0E420346',7,0,418,-2906,6,0,0,0,0,1,53,0),
 ('Mos Espa','a Teras Kasi Artist trainer','trainer_unarmed','combat_unarmed','9C58CC5C','474F64CB','0E420346',8,0,-2812,1973,0,0,0,0,0,0,54,0),
 ('Wayfar','a Teras Kasi Artist trainer','trainer_unarmed','combat_unarmed','9C58CC5C','474F64CB','0E420346',8,0,-5054,-6632,75,0,0,0,0.248871,0.968537,55,0),
 ('Bestine','a Bio-engineer trainer','trainer_bioengineer','outdoors_bio_engineer','79DD77E3','A2CADF74','EBC7B8F9',8,0,-1444.06,-3749.08,10,0,0,0,0.707921,0.706292,56,0),
 ('Nashal','a Bio-engineer trainer','trainer_bioengineer','outdoors_bio_engineer','79DD77E3','A2CADF74','EBC7B8F9',7,4265423,4343,5146,3,18,14,1.566,0.743,0.669,57,0),
 ('Theed','a Bio-engineer trainer','trainer_bioengineer','outdoors_bio_engineer','79DD77E3','A2CADF74','EBC7B8F9',5,0,-5017,4009,6,0,0,0,0,1,58,0),
 ('Coronet','a Bio-engineer trainer','trainer_bioengineer','outdoors_bio_engineer','79DD77E3','A2CADF74','EBC7B8F9',0,0,-424.092,-4651.85,28,0,0,0,-0.729596,0.683878,59,0),
 ('Coronet','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',0,1855508,-274,-4379,29,-11,-14,1.13306,0,1,60,20),
 ('Doaba Guerfel','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',0,3075361,3216,5239,301,-11,-14,1.13306,0,1,61,20),
 ('Tyrena','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',0,1935445,-5474,-2755,22,-11,-14,1.13306,0,1,62,20),
 ('Bela Vista','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',0,2365770,6885,-5794,316,-11,-14,1.13306,0,1,63,20),
 ('Kor Vella','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',0,2955427,-3400,3397,75,-11,-14,1.13306,0,1,64,20),
 ('Kor Vella','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',0,0,-3193,2799,31,0,0,0,0.983168,-0.182703,65,20),
 ('Keren','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,0,1890,2725,1.13306,0,0,0,0,1,66,20),
 ('Keren','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,1650535,1825,2625,13,-11,-12.5,1.13306,0,1,67,20),
 ('Theed','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,1692075,-5467,4089,7,-11,-13,1,0,1,68,20),
 ('Moenia','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,1717535,4710,-4997,4,-11.0386,-13.0273,1.13306,0.0021525,0.999998,69,20),
 ('Moenia','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,0,4800,-4734,4.17,0,0,0,0.968234,0.250046,70,20),
 ('Kaadara','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,0,5174.04,6639.92,-192,0,0,0,0.0312334,0.999512,71,20),
 ('Kaadara','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,1741462,5099,6792,-190,-11.887,-11.53443,1.13306,-0.00609633,0.999981,72,20),
 ('Keren','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',5,0,1537,2757,25,0,0,0,0,1,73,20),
 ('Narmle','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',6,0,-5212,-2449,80,0,0,0,0.999259,0.038503,74,20),
 ('Restuss','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',6,4635691,5457,5814,81,-11,-14,1,0,1,75,20),
 ('Rori','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',6,0,5335.31,5530.48,80,0,0,0,-0.349679,0.93687,76,20),
 ('Dearic','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',7,3175377,551,-2886,7,-11.1898,-13.9613,1.13306,-0.0227979,0.99974,77,20),
 ('Nashal','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',7,4265407,4286,5395,11,-11.0245,-13.1401,1.13306,0.0448135,0.998955,78,20),
 ('Bestine','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,1028553,-1266,-3596,13,-11.0089,-13.2203,1.13306,-0.00402526,0.999992,79,20),
 ('Bestine','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,0,-1278.75,-3540.47,12,0,0,0,0.637134,0.770753,80,20),
 ('Mos Eisley','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,1189639,3460,-4658,6,-10.982,-13.9557,1.13306,0.997906,0.0646797,81,20),
 ('Mos Eisley','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,0,3496,-4765,5,0,0,0,0.7,0.7,82,20),
 ('Mos Entha','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,1153566,1387,3043,8,-10.88,-13.1066,1.13306,0.0234174,0.999726,83,20),
 ('Mos Entha','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,0,1310,3088,7,0,0,0,0,1,84,20),
 ('Mos Entha','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,0,1741,3117,7,0,0,0,0,1,85,20),
 ('Mos Espa','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,1255994,-3029,2431,6,-11.2511,-13.1651,1.13306,-0.0317022,0.999497,86,20),
 ('Mos Espa ','a Brawler trainer','trainer_brawler','combat_brawler','BD157CF4','6602D463','2F0FB3EE',8,0,-2933,2125,5,0,0,0,0.749761,0.661708,87,20),
 ('Keren','a Bounty Hunter trainer','trainer_bountyhunter','combat_bountyhunter','24DB82C8','FFCC2A5F','B6C14DD2',5,0,2087,2575,0,0,0,0,0,0,88,0),
 ('Tyrena','a Bounty Hunter trainer','trainer_bountyhunter','combat_bountyhunter','24DB82C8','FFCC2A5F','B6C14DD2',0,0,-5130,-2302,0,0,0,0,0,0,89,0),
 ('Mos Eisley','a Bounty Hunter trainer','trainer_bountyhunter','combat_bountyhunter','24DB82C8','FFCC2A5F','B6C14DD2',8,0,3357.4,-4840.42,5,0,0,0,0.795537,-0.605904,90,0),
 ('Wayfar','a Bounty Hunter trainer','trainer_bountyhunter','combat_bountyhunter','24DB82C8','FFCC2A5F','B6C14DD2',8,1134561,-5151,-6587,74,19,-17,-0.894,0,1,91,0),
 ('Narmle','a Bounty Hunter trainer','trainer_bountyhunter','combat_bountyhunter','24DB82C8','FFCC2A5F','B6C14DD2',6,0,-5232,-2241,80,0,0,0,0,1,92,0),
 ('Tyrena','a Carbine trainer','trainer_carbine','combat_carbine','CFC43107','14D39990','5DDEFE1D',0,0,-5225,-2488,0,0,0,0,0,0,93,0),
 ('Mos Eisley','a Carbine trainer','trainer_carbine','combat_carbine','CFC43107','14D39990','5DDEFE1D',8,0,3534,-4695,0,0,0,0,0,0,94,0),
 ('Mos Entha','a Carbine trainer','trainer_carbine','combat_carbine','CFC43107','14D39990','5DDEFE1D',8,0,1158,3110,0,0,0,0,0,0,95,0),
 ('Narmle','a Carbine trainer','trainer_carbine','combat_carbine','CFC43107','14D39990','5DDEFE1D',6,0,-5138,-2514,0,0,0,0,0,0,96,0),
 ('Keren','a Carbine trainer','trainer_carbine','combat_carbine','CFC43107','14D39990','5DDEFE1D',5,0,1265.08,2677.88,13,0,0,0,0.0768892,0.99704,97,0),
 ('Dearic','a Carbine trainer','trainer_carbine','combat_carbine','CFC43107','14D39990','5DDEFE1D',7,0,583,-2873,6,0,0,0,0.869158,0.494534,98,0),
 ('Rebel Outpost','a Carbine trainer','trainer_carbine','combat_carbine','CFC43107','14D39990','5DDEFE1D',6,0,3627,-6433,96,0,0,0,-0.697913,0.716183,99,0),
 ('Keren','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',5,0,1840,2672,0,0,0,0,0,0,100,0),
 ('Moenia','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',5,0,4942,-4837,0,0,0,0,0,0,101,0),
 ('Doaba Guerfel','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',0,0,3070,5260,0,0,0,0,0,0,102,0),
 ('Restuss','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',6,0,5181,5668,0,0,0,0,0,0,103,0),
 ('Theed','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',5,0,-4877,4065,6,0,0,0,0,1,104,0),
 ('Nashal','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',7,0,4283,5172,2,0,0,0,0,1,105,0),
 ('Kor Vella','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',0,0,-3147,2792,31,0,0,0,0,1,106,0),
 ('Bestine','a Chef trainer','trainer_chef','crafting_chef','2E1A6C48','5489F466','008C0C6E',8,1223850,-1175,-3681,13,24,7,1.3,0.948,-0.317,107,0),
 ('Moenia','a Squad Leader trainer','trainer_squadleader','outdoors_squadleader','94ECB00F','4FFB1898','06F67F15',5,0,4701,-4939,3.75,0,0,0,0,1,108,0),
 ('Bestine','a Squad Leader trainer','trainer_squadleader','outdoors_squadleader','94ECB00F','4FFB1898','06F67F15',8,0,-1019,-3532,0,0,0,0,0,0,109,0),
 ('Dearic','a Squad Leader trainer','trainer_squadleader','outdoors_squadleader','94ECB00F','4FFB1898','06F67F15',7,0,590.114,-2934,6,0,0,0,0,1,110,0),
 ('Dearic','a Pikeman trainer','trainer_polearm','combat_polearm','E22AC202','393D6A95','70300D18',7,0,522,-2934,0,0,0,0,0,0,111,0),
 ('Narmle','a Pikeman trainer','trainer_polearm','combat_polearm','E22AC202','393D6A95','70300D18',6,0,-5278,-2328,0,0,0,0,0,0,112,0),
 ('Theed','a Pikeman trainer','trainer_polearm','combat_polearm','E22AC202','393D6A95','70300D18',5,0,-5375.06,4310.92,6,0,0,0,0.670499,0.74191,113,0),
 ('Kor Vella','a Pikeman trainer','trainer_polearm','combat_polearm','E22AC202','393D6A95','70300D18',0,0,-3412,3084,86,0,0,0,0,1,114,0),
 ('Mos Espa','a Pikeman trainer','trainer_polearm','combat_polearm','E22AC202','393D6A95','70300D18',8,0,-2931,2386,5,0,0,0,0,1,115,0),
 ('Keren','a Pistoleer trainer','trainer_pistol','combat_pistol','1F743053','C46398C4','8D6EFF49',5,0,1253,2686,0,0,0,0,0,0,116,0),
 ('Tyrena','a Pistoleer trainer','trainer_pistol','combat_pistol','1F743053','C46398C4','8D6EFF49',0,0,-5220,-2488,0,0,0,0,0,0,117,0),
 ('Narmle','a Pistoleer trainer','trainer_pistol','combat_pistol','1F743053','C46398C4','8D6EFF49',6,0,-5240,-2454,0,0,0,0,0,0,118,0),
 ('Dearic','a Pistoleer trainer','trainer_pistol','combat_pistol','1F743053','C46398C4','8D6EFF49',7,0,583,-2871,6,0,0,0,0.862615,0.505861,119,0),
 ('Mos Eisley','a Pistoleer trainer','trainer_pistol','combat_pistol','1F743053','C46398C4','8D6EFF49',8,0,3358,-4837,5,0,0,0,0,1,120,0),
 ('Keren','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',5,4045384,1708,2465,14,-20.97,74.23,2.1287,1,0,121,0),
 ('Keren','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',5,0,1253,2711,13,0,0,0,0,1,122,0),
 ('Theed','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',5,5475488,-5815,4255,8,-22.9,74.7,2.1287,0.871,0.491,123,0),
 ('Kaadara','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',5,4105619,5399,6786,-189,-21.662,75.0346,2.12878,0.992776,0.119984,124,0),
 ('Dee\'ja Peak','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',5,2725361,4856,-1494,362,-22.2396,72.4933,2.12878,0.999964,-0.00850745,125,0),
 ('Nashal','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',7,0,4346,5054,0,0,0,0,0,0,126,0),
 ('Dearic','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',7,3175573,518,-3076,8,-21.180973,73.4621,2.12878,0.999869,-0.0168002,127,0),
 ('Narmle','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',6,4635404,-5050,-2261,82,-21.5126,74.0536,2.12878,0.999967,-0.00813125,128,0),
 ('Restuss','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',6,0,5255,5850,0,0,0,0,0,0,129,0),
 ('Restuss','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',6,4635755,5489,5542,82,-22.3141,73.1359,2.12878,0.999667,-0.0257992,130,0),
 ('Coronet','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',0,2365400,-187,-4222,30,-21.4483,74.4461,2.12878,0.998887,-0.0471637,131,0),
 ('Tyrena','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',0,2365437,-5661,-2649,23,-21.8004,74.6487,2.12878,0.999478,-0.0322927,132,0),
 ('Doaba Guerfel','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',0,4395403,3470,5433,310,-2.51106,70.8023,2.12878,-0.0149958,0.999888,133,0),
 ('Mos Entha','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',8,1153604,1498,3318,9,-21.3524,74.1456,2.12878,0.99039,0.138304,134,0),
 ('Mos Eisley','an Image Designer trainer','trainer_imagedesigner','social_imagedesigner','D29F9084','09883813','40855F9E',8,1105854,3217,-4735,7,-20.9956,73.874,2.12878,0.999294,0.0375812,135,0),
 ('Kaadara','a Ranger trainer','trainer_ranger','outdoors_ranger','AB1511B9','7002B92E','390FDEA3',5,0,5279,6594,0,0,0,0,0,0,136,0),
 ('Nashal','a Ranger trainer','trainer_ranger','outdoors_ranger','AB1511B9','7002B92E','390FDEA3',7,0,4234,5262,0,0,0,0,0,0,137,0),
 ('Coronet','a Ranger trainer','trainer_ranger','outdoors_ranger','AB1511B9','7002B92E','390FDEA3',0,0,-505,-4633,0,0,0,0,0,0,138,0),
 ('Narmle','a Ranger trainer','trainer_ranger','outdoors_ranger','AB1511B9','7002B92E','390FDEA3',6,0,-5167,-2535,0,0,0,0,0,0,139,0),
 ('Mos Entha','a Ranger trainer','trainer_ranger','outdoors_ranger','AB1511B9','7002B92E','390FDEA3',8,0,1240,3356,7,0,0,0,0,1,140,0),
 ('Nashal','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',7,4265404,4304,5397,11,-12.6782,4.78809,1.13306,0.956145,0.292894,141,22),
 ('Nashal','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',7,0,4373.71,5302.45,2,0,0,0,0.703476,0.710719,142,22),
 ('Dearic','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',7,0,700,-2911,0,0,0,0,0,0,143,22),
 ('Dearic','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',7,3175374,553,-2904,7,-13.23,4.84733,1.13306,0.979116,0.203302,144,22),
 ('Kaadara','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,0,5192.38,6614.09,-192,0,0,0,0.0459989,0.998941,145,22),
 ('Kaadara','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,1741459,5110,6780,-190,-10.8899,4.89649,1.13306,0.978053,-0.208355,146,22),
 ('Keren','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,0,1512.27,2754.94,25,0,0,0,0.822118,0.569317,147,22),
 ('Keren','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,1650532,1840,2626,13,-12.0327,4.62955,1.13306,0.999938,0.0111458,148,22),
 ('Keren','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,0,1842.37,2709.61,12,0,0,0,0.920853,0.389909,149,22),
 ('Moenia','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,0,4836.08,-4703.96,4.17,0,0,0,0.734163,0.678973,150,22),
 ('Moenia','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,1717532,4710,-4979,4,-11.303,4.63738,1.13306,0.986202,-0.165548,151,22),
 ('Theed','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,0,-4909.36,4025.86,6,0,0,0,-0.0959236,0.995389,152,22),
 ('Theed','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,1692072,-5470,4106,7,-14.0781,3.79797,1.13306,0.945726,0.324966,153,22),
 ('Theed','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,0,-5986.5,4232.79,6,0,0,0,0.790587,0.61235,154,22),
 ('Theed','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',5,0,-4796,4103,6,0,0,0,0.8,-0.5,155,22),
 ('Mos Eisley','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,0,3519.76,-4786.9,5,0,0,0,0.620091,0.78453,156,22),
 ('Mos Eisley','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,1189636,3475,-4669,6,-10.559,4.83872,1.13306,0.978152,-0.207893,157,22),
 ('Mos Entha','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,0,1303,3199,0,0,0,0,0,0,158,22),
 ('Mos Entha','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,1153563,1389,3025,8,-11.8112,4.97548,1.13306,0.999683,-0.0251849,159,22),
 ('Mos Espa','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,1255991,-3012,2437,6,-13.0834,5.45675,1.13306,0.998576,0.0533543,160,22),
 ('Mos Espa','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,0,-2912.86,2106.67,5,0,0,0,-0.378736,0.0533543,161,22),
 ('Bestine','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,1028550,-254,-3582,13,-11.0016,5.08662,1.13306,0.998002,-0.0631855,162,22),
 ('Bestine','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,0,-1295.83,-3563.27,12,0,0,0,0.429229,0.903196,163,22),
 ('Wayfar','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',8,0,-5051.46,-6629.48,75,0,0,0,-0.0610823,0.998133,164,22),
 ('Narmle','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',6,0,-5211,-2925,0,0,0,0,0,0,165,22),
 ('Narmle','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',6,0,-4951.32,-2373.68,79.9841,0,0,0,0.857974,0.513693,166,22),
 ('Restuss','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',6,0,5371,5539,0,0,0,0,0,0,167,22),
 ('Restuss','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',6,4635688,5458,5796,81,-12.5744,4.79458,1.13306,1,0,168,22),
 ('Coronet','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,0,-169.45,-4712.58,28,0,0,0,0.919306,0.393544,169,22),
 ('Coronet','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,1855505,-254,-4378,29,-12,5.5,1.13306,1,0,170,22),
 ('Doaba Guerfel','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,3075358,3198,5232,301,-12,5.5,1.13306,1,0,171,22),
 ('Doaba Guerfel','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,0,3330.01,5512.46,308,0,0,0,0.977695,-0.210027,172,22),
 ('Kor Vella','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,2955424,-3399,3377,75,-12,5.5,1.13306,1,0,173,22),
 ('Kor Vella','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,0,-3164.42,2802.08,31,0,0,0,0.629216,0.77723,174,22),
 ('Tyrena','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,0,-5061.86,-2322.52,21,0,0,0,0.307687,0.951487,175,22),
 ('Tyrena','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,1935442,-5475,-2736,22,-12,5.5,1.13306,1,0,176,22),
 ('Bela Vistal','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,2365767,6866,-5795,316,-12,5.5,1.13306,1,0,177,22),
 ('Bela Vistal','a Scout trainer','trainer_scout','outdoors_scout','A0FDAE44','7BEA06D3','32E7615E',0,0,6737.85,-5491.3,315,0,0,0,-0.270338,0.962765,178,22),
 ('Tyrena','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',0,2625355,-5229,-2556,20,16.7961,-10.1031,-0.894993,0.0251754,0.999683,179,0),
 ('Tyrena','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',0,2365436,-5640,-2610,23,17.6008,53.4279,2.12878,0.035964,0.999353,180,0),
 ('Coronet','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',0,2365399,-227,-4202,30,18.5885,53.9366,2.12869,0.00145099,0.999999,181,0),
 ('Kor Vella','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',0,3005398,-3464,3056,78,34.5107,1.79681,0.105,-0.703289,0.710905,182,0),
 ('Doaba Guerfel','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',0,4395403,3445,5423,310,17.7541,53.6699,2.12875,0.00976595,0.999952,183,0),
 ('Kadaara','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',5,4105618,5378,6747,-189,17.6312,53.7646,2.12874,0.0128075,0.999918,184,0),
 ('Theed','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',5,5475487,-5774,4235,8,18.2374,53.9343,2.12871,0.0536358,0.998561,185,0),
 ('Deeja Peak','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',5,2725360,4875,-1454,362,17.8577,53.8179,2.12873,0.0201098,0.999798,186,0),
 ('Keren','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',5,0,1630.59,2574.54,12,0,0,0,0.760915,0.648852,187,0),
 ('Keren','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',5,4045383,1668,2486,14,18.188,53.8705,2.12871,0.0162866,0.999867,188,0),
 ('Moenia','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',5,0,4730,-4872,3.75,0,0,0,0.376299,0.926498,189,0),
 ('Narmle','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',6,4635403,-5010,-2282,82,18.0876,53.6634,2.12874,0.0108613,0.999941,190,0),
 ('Restuss','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',6,0,5437,5564,80.6,0,0,0,-0.690897,0.722954,191,0),
 ('Restuss','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',6,4635754,5449,5562,82,17.9253,53.5327,2.12876,-0.0275962,0.999619,192,0),
 ('Dearic','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',7,3175572,558,-3096,8,18.0588,53.9528,2.12871,-0.00642406,0.999979,193,0),
 ('Mos Eisley','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',8,1105853,3256,-4714,7,17.9873,53.6448,2.12874,0.0101167,0.999949,194,0),
 ('Mos Entha','a Dancer trainer','trainer_dancer','social_dancer','1DE98D36','C6FE25A1','1C1B7A22',8,1153603,1479,3278,9,17.812,53.8433,2.12873,0.0114298,0.999935,195,0),
 ('Mos Entha','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',8,1153582,1301,3296,7,20,-5.6,0.26,0.685,0.7278,196,0),
 ('Mos Entha','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',8,0,1370,3164,0,0,0,0,0,0,197,0),
 ('Mos Entha','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',8,1153586,1345,3296,7,-24.6019,-3.960492,0.26,0.96081,-0.277208,198,0),
 ('Anchorhead','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',8,1213346,130,-5363,53,1.53792,6.82596,1.00421,0.737798,-0.675021,199,0),
 ('Mos Espa','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',8,0,-3163.63,2122.39,5,0,0,0,-0.155701,0.987804,200,0),
 ('Mos Espa','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',8,4005424,-3143,2106,5,1.25736,0.598833,0.184067,0.995629,0.0933988,201,0),
 ('Mos Eisley','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',8,9655496,3523,-4748,5,-7.29914,0.0809266,0.184067,0.998728,-0.0504272,202,0),
 ('Kor Vella','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',0,3375392,-3810,3138,86,12,-1,0.184067,0,1,203,0),
 ('Vreni Island','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',0,7615446,-5309,-6403,4,-2.9,2.5,0.7,0.912038,0.410107,204,0),
 ('Coronet','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',0,1855535,-64,-4435,28,-25.2731,-5,0.26,-0.113595,0.993527,205,0),
 ('Doaba Guerfel','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',0,4345354,3272,5407,300,-3.95652,0.467273,0.184067,0.996825,0.0796281,206,0),
 ('Tyrena','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',0,0,-5002,-2459,0,0,0,0,0,0,207,0),
 ('Tyrena','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',0,1935831,-4959,-2468,21,21,-5,0.26,0,1,208,0),
 ('Tyrena','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',0,1935835,-4992,-2499,21,-24.2179,-3.63691,0.26,0.990943,-0.134282,209,0),
 ('Nym\'s Stronghold','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',4,2745866,572,5109,12,22.1279,-6.11676,0.26,0.0715797,0.698308,210,0),
 ('Nym\'s Stronghold','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',4,2745870,585,5155,12,-25.366,-4.25289,0.26,0.669369,0.74293,211,0),
 ('Kaadara','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,0,5021,6787,-192,0,0,0,0.0153915,0.999882,212,0),
 ('Kaadara','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,1741443,5114,6660,-191,-24.4979,-4.7603,0.26,0.998163,-0.0605819,213,0),
 ('Kaadara','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,1741439,5884,6626,-191,21.4466,-2.96069,0.26,0.316259,0.948673,214,0),
 ('Keren','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,0,1950,2645.86,19.25,0,0,0,0.76614,-0.642673,215,0),
 ('Keren','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,1661366,1954,2602,12,17.4,1,0.3,0.0745443,0.997218,216,0),
 ('Moenia','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,0,4887,-4899,0,0,0,0,0,0,217,0),
 ('Moenia','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,1717502,4937,-4933,4,19.6344,-4.81265,0.26,0.315352,0.948975,218,0),
 ('Moenia','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,1717506,4893,-4933,4,-25,-4,0.26,1,0,219,0),
 ('Theed','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,0,-5038,4146,0,0,0,0,0,0,220,0),
 ('Theed','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',5,1697360,-5005,4152,6,16.0979,-0.105232,0.26,0.73039,-0.68303,221,0),
 ('Narmle','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',6,4635420,-5146,-2206,80,20.5091,-6.05941,0.26,-0.104817,0.994491,222,0),
 ('Narmle','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',6,0,-5104,-2249,0,0,0,0,0,0,223,0),
 ('Narmle','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',6,4635424,-5101,-2207,80,-25.5,-4,0.26,1,0,224,0),
 ('Restuss','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',6,4635732,5322,5595,80,-25,-3,0.26,1,0,225,0),
 ('Restuss','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',6,4635728,5276,5596,80,20.8797,-4.8809,0.26,0.387926,0.92169,226,0),
 ('Nashal','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',7,4265477,4503,5102,2,-1,-3,0.184,0.66,0.75,227,0),
 ('Nashal','a Doctor trainer','trainer_doctor','science_doctor','4F51A313','ADB5FA08','D48C63ED',7,0,4490,5182,2,0,0,0,-0.319118,0.947715,228,0),
 ('Mos Eisley','a Smuggler trainer','trainer_smuggler','combat_smuggler','0368D166','D87F79F1','91721E7C',8,0,3401,-4879,5,0,0,0,-0.323164,0.946343,229,0),
 ('Keren','a Smuggler trainer','trainer_smuggler','combat_smuggler','0368D166','D87F79F1','91721E7C',5,0,1362.94,2833.96,13,0,0,0,-0.654378,0.756167,230,0),
 ('Keren','a Smuggler trainer','trainer_smuggler','combat_smuggler','0368D166','D87F79F1','91721E7C',5,0,1846,2772,12,0,0,0,0.27045,0.962734,231,0),
 ('Dearic','a Smuggler trainer','trainer_smuggler','combat_smuggler','0368D166','D87F79F1','91721E7C',7,0,167,-2892,6,0,0,0,0.749543,-0.661956,232,0),
 ('Restuss','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',6,0,5432.89,5569.12,80.6,0,0,0,-0.313928,0.949447,233,0),
 ('Restuss','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',6,4635754,5445,5552,82,21.6954,63.866,2.12795,0.0308312,0.999525,234,0),
 ('Narmle','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',6,4635403,-5007,-2272,82,21.5522,63.5137,2.12797,0,1,235,0),
 ('Keren','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',5,4045383,1665,2476,14,21.7887,63.5017,2.12809,-0.0232172,0.99973,236,0),
 ('Theed','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',5,5475487,-5770,4244,8,21.6399,63.523,2.12801,-0.00336892,0.999994,237,0),
 ('Deeja Peak','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',5,2725360,4865,-1450,362,21.8956,63.5,2.12814,0.00310462,0.999995,238,0),
 ('Kaadara','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',5,4105618,5388,6743,-189,21.7817,63.5,2.12808,-0.00606572,0.999982,239,0),
 ('Coronet','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',0,2365399,-230,-4211,30,21.8947,63.5,2.12814,0.00366012,0.999993,240,0),
 ('Doaba Guerfel','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',0,4395403,3452,5415,310,22.0995,63.5054,2.12823,0.00346623,0.999994,241,0),
 ('Tyrena','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',0,0,-5067,-2296,21,0,0,0,0.981343,0.192266,242,0),
 ('Tyrena','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',0,2625355,-5215,-2545,20,21.1399,8.20648,-0.894993,0.866156,0.499774,243,0),
 ('Tyrena','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',0,2365436,-5650,-2605,23,21.9985,63.5,2.12818,-0.00183045,0.999998,244,0),
 ('Vreni Island','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',0,0,-5408,-6260,24.7288,0,0,0,-0.419601,0.907709,245,0),
 ('Dearic','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',7,3175572,561,-3086,8,22.0619,63.5,2.12821,0.0074831,0.999972,246,0),
 ('Mos Eisley','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',8,0,3393,-4791,0,0,0,0,0,0,247,0),
 ('Mos Entha','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',8,0,1481,3267,7,0,0,0,0,1,248,0),
 ('Mos Espa','a Musician trainer','trainer_musician','social_musician','859A8CA5','5E8D2432','178043BF',8,0,-2882,2171,0,0,0,0,0,0,249,0),
 ('Doaba Guerfel','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',0,4345354,3277,5419,300,8.00847,5.47322,0.184067,0.688309,0.725418,250,0),
 ('Coronet','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',0,1855531,-116,-4445,28,26.676,5.41823,0.26,0.676775,0.73619,251,0),
 ('Coronet','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',0,0,-33.9759,-4435.08,28,0,0,0,0.73443,0.678685,252,0),
 ('Tyrena','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',0,0,-4996.29,-2451.61,21,0,0,0,0.903421,0.428755,253,0),
 ('Tyrena','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',0,1935835,-4997,-2484,0,-17,10,0.26,1,0,254,0),
 ('Kaadara','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,1741443,5120,6643,-191,-16.368,11.0637,0.26,0.997311,0.0732851,255,0),
 ('Kaadara','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,0,1927,2729.93,12,0,0,0,0.74166,-0.670775,256,0),
 ('Keren','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,1661366,1958,2592,12,27.2188,5.37779,0.26,0.616074,0.787688,257,0),
 ('Keren','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,1661370,1962,2636,12,-17,9,0.26,1,0,258,0),
 ('Keren','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,1717502,4945,-4923,4,27.0188,5.47931,0.26,0.654783,0.755817,259,0),
 ('Moenia','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,1717506,4901,-4918,4,-16.404,10.6808,0.26,0.997415,0.0718578,260,0),
 ('Moenia','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,1697364,-5023,4181,6,-16.4871,10.7738,0.26,0.999249,0.0387386,261,0),
 ('Theed','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',5,1697360,-4994,4149,6,26.5469,5.31169,0.26,0.707746,0.706467,262,0),
 ('Nashal','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',7,0,4389.18,5364.43,2,0,0,0,0.999637,0.0269525,263,0),
 ('Nashal','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',7,4265477,4509,5173,2,8.02653,5.45986,0.184067,0.683398,0.730046,264,0),
 ('Mos Eisley','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',8,9655496,3538,-4753,5,7.84086,5.40226,0.184067,0.645773,0.763529,265,0),
 ('Mos Entha','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',8,1153586,1338,3282,7,-16.4794,9.71928,0.26,0.98786,0.155345,266,0),
 ('Mos Entha','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',8,1153582,1293,3283,7,28,6.3,0.26,0.9,-0.4,267,0),
 ('Mos Espa','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',8,4005424,-3138,2113,5,7.93319,5.54261,0.184067,0.679963,0.733246,268,0),
 ('Narmle','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',6,4635424,-5110,-2223,80,-16.4,10.9,0.26,1,0,269,0),
 ('Narmle','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',6,4635420,-5153,-2217,80,26.6041,5.45989,0.26,0.662055,0.749455,270,0),
 ('Restuss','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',6,4635728,5271,5586,80,26.6144,5.52845,0.26,0.66869,0.743541,271,0),
 ('Restuss','a Combat Medic trainer','trainer_combatmedic','science_combatmedic','5F29D54D','65F1206F','190FB91C',6,4635732,5314,5581,80,-16.3425,10.8489,0.26,0.994935,0.100523,272,0),
 ('Dee\'ja Peak','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,4980,-1425,0,0,0,0,1,0,273,23),
 ('Dee\'ja Peak','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,4874,-1444,360.6,0,0,0,0,1,274,23),
 ('Kaadara','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,1741461,5090,6785,-190,0,-13,1.13306,0,1,275,23),
 ('Moenia','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,4794,-4730,4.17,0,0,0,0,1,276,23),
 ('Moenia','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,1717534,4721,-4997,4,0,-13,1.13306,0,1,277,23),
 ('Theed','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,-4674,3995,0,0,0,0,0,0,278,23),
 ('Theed','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,-5982,4254,0,0,0,0,0,0,279,23),
 ('Theed','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,-4863,4079,6,0,0,0,0,1,280,23),
 ('Theed','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,1692074,-5456,4089,7,0,-13,1.13306,0,1,281,23),
 ('Keren','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,1538,2751,0,0,0,0,0,0,282,23),
 ('Keren','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,1650534,1823,2614,13,0,-13,0,0,1,283,23),
 ('Keren','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,1992,2515,0,0,0,0,1,0,284,23),
 ('Dearic','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',7,3175376,539,-2885,7,0,-15,1.133,0,1,285,23),
 ('Dearic','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',7,0,586,-2873,6,0,0,0,0,1,286,23),
 ('Nashal','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',7,0,4366,5384,2,0,0,0,0.7,-0.7,287,23),
 ('Bela Vistal','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,0,6770,-5714,0,0,0,0,0,0,288,23),
 ('Bela Vistal','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,2365769,6885.5,-5783.5,316,0,-14,1.13306,0,1,289,23),
 ('Kor Vella','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,2955426,-3410.5,3397.5,75,0,-14,1.13306,0,1,290,23),
 ('Kor Vella','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,0,-3130,2791,0,0,0,0,0,0,291,23),
 ('Coronet','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,0,-165,-4746,28,0,0,0,0.717277,0.696708,292,23),
 ('Coronet','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,1855507,-274,-4390,29,0,-14,1.13306,0,1,293,23),
 ('Doaba Guerfel','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,3075360,3213,5250,301,0,-14,1.13306,0,1,294,23),
 ('Tyrena ','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,1935444,-5463,-2756,22,0,-14,1.13306,0,1,295,23),
 ('Bestine','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,0,-1272,-3538,0,0,0,0,1,0,296,23),
 ('Bestine','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,1028552,-1257,-3603,13,0,-13,1.13306,0,1,297,23),
 ('Mos Eisley','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,0,3506,-4760,5,0,0,0,1,0,298,23),
 ('Mos Eisley','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,0,3552,-4710,5,0,0,0,1,-0.3,299,23),
 ('Mos Eisley','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,1189638,3455,-4668,6,0,-13,1.13306,0,1,300,23),
 ('Mos Entha','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,1153565,1376,3043,8,0,-13,0,0,1,301,23),
 ('Mos Entha','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,0,1321,3105,0,0,0,0,0,0,302,23),
 ('Mos Espa','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,1255993,-3027,2420,6,0,-13,1.13306,0,1,303,23),
 ('Mos Espa','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',8,0,-2931,2121,5,0,0,0,0.7,0.7,304,23),
 ('Narmle','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',6,4615374,-5199,-2442,81,0,-13,1.13306,0,1,305,23),
 ('Restuss','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',6,4635690,5446,5813,81,0,-13,0,0,1,306,23),
 ('Restuss','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',6,0,5528,5641,80.7357,0,0,0,0.7,0.7,307,23),
 ('Rebel Outpost','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',6,4505601,3684,-6488,98,-2.5,3,2.01003,0.7,0.7,308,23),
 ('Kaadara','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',5,0,5182,6632,-192,0,0,0,0,1,309,23),
 ('Coronet','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,0,-35,-4372,0,0,0,0,0.7,-0.7,310,23),
 ('Doaba Guerfel','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,0,3338,5516,0,0,0,0,0,1,311,23),
 ('Tyrena','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,0,-5041,-2324,0,0,0,0,-0.7,0.7,312,23),
 ('Tyrena','a Marksman trainer','trainer_marksman','combat_marksman','46AE82E3','9DB92A74','D4B44DF9',0,0,-5249,-2306,21,0,0,0,1,0,313,23),
 ('Moenia','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,0,4808,-4724,4.17,0,0,0,0,1,314,25),
 ('Moenia','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1717506,4901,-4930,4,-17.2255,-1.2311,0.26,0.96553,0.26029,315,25),
 ('Moenia','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1717502,4934,-4123,4,16.6671,5.91467,0.26,0.99975,0.0223254,316,25),
 ('Theed','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1697360,-5004,4157,6,13.7645,4.7703,0.26,0.96395,0.26605,317,25),
 ('Theed','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,0,-4592,4125,6,0,0,0,0.94709,-0.32074,318,25),
 ('Theed','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1697364,-5031,4172,6,-17.1613,-0.82884,0.26,0.994029,0.109115,319,25),
 ('Kaadara','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1741443,5112,6650,-191,-16.43,0.33,0.26,0.998,0.057,320,25),
 ('Kaadara','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1741439,5994,6624,-191,15.4875,6.2929,0.26,-0.1694,0.9855,321,25),
 ('Karen','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,0,1982,2598,12,0,0,0,0,1,322,25),
 ('Keren','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1661370,1954,2636,12,-16.956,1.559,0.26,-0.2213,0.9774,323,25),
 ('Keren','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',5,1661366,1956,2605,12,14.1386,3.567,0.26,0.8991,0.4377,324,25),
 ('Mos Entha','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,1153582,1307,3286,7,14.1436,4.6585,0.26,0.99626,-0.08629,325,25),
 ('Mos Entha','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,1153586,1338,3293,7,-17.0194,-1.8269,0.26,0.97629,0.2643,326,25),
 ('Mos Entha','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,0,1325,3148,7,0,0,0,0.7,-0.7,327,25),
 ('Mos Espa','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,0,-3158,2122,5,0,0,0,0.04266,0.99908,328,25),
 ('Mos Espa','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,0,-2931,2116,5,0,0,0,0.53889,0.84237,329,25),
 ('Mos Eisley','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,0,3522,-4774,5,0,0,0,0.98418,-0.17712,330,25),
 ('Wayfar','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,1499420,-5123,-6615,76,-8.4035,8.19643,1.00421,0.82032,0.571892,331,25),
 ('Bestine','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',8,4005383,-1312,-3482,15.5,-8.7,0.1,0.2,0.7,0.7,332,25),
 ('Nym\'s Stronghold','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',4,2745870,585,5145,12,-16.0068,-2.42861,0.26,0.854309,0.519765,333,25),
 ('Narmle','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',6,4635420,-5139,-2217,80,13.545,5.01144,0.26,0.991878,0.127195,334,25),
 ('Narmle','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',6,4635424,-5109,-2212,80,-17.4597,0.00620247,0.26,0.031729,0.999496,335,25),
 ('Restuss','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',6,4635728,5284,5587,80,13.2069,4.92654,0.26,0.991233,0.132125,336,25),
 ('Dearic','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',7,3305354,316,-3054,6,-1.8295,0.51949,0.184067,-0.688502,0.725234,337,25),
 ('Kor Vella','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,0,-3139,2792,31,0,0,0,0,1,338,25),
 ('Kor Vella','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,3375392,-3786,3131,86,-12.6494,2.16918,0.18406,0.82221,0.56917,339,25),
 ('Coronet','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,1855535,-72,-4439,28,-17.7359,-0.58142,0.26,0.92937,0.36913,340,25),
 ('Coronet','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,1855531,-104,-4444,28,14.2688,4.66124,0.26,0.983456,0.181149,341,25),
 ('Coronet','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,0,-33,-4422,28,0,0,0,0.58742,0.80917,342,25),
 ('Doaba Guerfel','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,0,3341,5517,308,0,0,0,-0.40101,0.91607,343,25),
 ('Tyrena','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,1935835,-4989,-2490,21,-15.9755,0.30427,0.26,0.13124,0.99135,344,25),
 ('Tyrena','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,1935831,-4971,-2467,21,13.8906,3.8275,0.26,0.99968,-0.02512,345,25),
 ('Tyrena','a Medic trainer','trainer_medic','science_medic','F69E1717','2D89BF80','6484D80D',0,0,-5027,-2311,21,0,0,0,0.72954,-0.683928,346,25),
 ('Bela Vistal','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',0,2365799,6868.5,-5434.5,331,-12,5,1.1,1,0,347,0),
 ('Coronet','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',0,1855525,35,-4452,29,-12,5,1.1,1,0,348,0),
 ('Doaba Guerfel','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',0,3075411,3127,5285.5,301,-12,5,1.1,1,0,349,0),
 ('Kor Vella','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',0,2955399,-3696.5,3075,87,-12,5,1.1,1,0,350,0),
 ('Tyrena','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',0,0,-5118,-2337,21,0,0,0,0.908741,0.41736,351,0),
 ('Tyrena','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',0,1935462,-5516,-2667,22,-12,5,1.1,1,0,352,0),
 ('Deeja Peak','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',5,0,4771,-1272,0,0,0,0,0,0,353,0),
 ('Deeja Peak','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',5,1685237,4746,-1275,331,-15,0,1.1,0.707,0.707,354,0),
 ('Kaadara','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',5,1741469,5140,6815,-190,-15,0,1.1,0.937155,-0.348914,355,0),
 ('Keren','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',5,0,1890,2767,0,0,0,0,0,0,356,0),
 ('Keren','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',5,1650542,1801,2565,13,-15,0,1.133,0.68,0.72,357,0),
 ('Moenia','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',5,1717554,4790,-5000,4,-15,0,1.113,0.68,0.72,358,0),
 ('Theed','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',5,1692092,-5467,3996,7,-15,0,1.1,0.707,0.707,359,0),
 ('Dearic','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',7,0,351,-2875.9,6,0,0,0,-0.0205642,0.999789,360,0),
 ('Dearic','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',7,3175560,598,-3066,7,-12.427,3.69917,1.13306,0.988756,0.149535,361,0),
 ('Nashal','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',7,4265414,4273,5106,3,-12.3664,3.6764,1.13306,0.996777,0.0802227,362,0),
 ('Bestine','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',8,1028580,-1243,-3506,13,-12.8138,3.64955,1.13306,0.946147,0.0323737,363,0),
 ('Mos Eisley','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',8,1189577,3349,-4695,6,-12.2888,3.6161,1.13306,0.99684,0.0794398,364,0),
 ('Mos Entha','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',8,0,1247,3248,4,0,0,0,0.140535,0.990073,365,0),
 ('Mos Entha','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',8,1154182,1306,3392,8,-12.6959,3.59178,1.13306,0.973241,0.229786,366,0),
 ('Mos Espa','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',8,1256020,-3070,2061,6,-12.5142,3.63893,1.13306,0.991316,0.131503,367,0),
 ('Narmle','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',6,4635412,-5026,-2417,81,-15,0,1.133,0.68,0.72,368,0),
 ('Narmle','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',6,0,-5248,-2358,80,0,0,0,0.311946,0.9501,369,0),
 ('Restuss','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',6,4635773,5373,5611,81,-12.491,3.55001,1.13306,0.979196,0.202916,370,0),
 ('Rebel Outpost','an Armorsmith trainer','trainer_armorsmith','crafting_armorsmith','0AE502D0','D1F2AA47','98FFCDCA',6,0,3676,-6419,94.2,0,0,0,0.479154,0.877731,371,0),
 ('Moenia','a Tailor trainer','trainer_tailor','crafting_tailor','072D76FE','DC3ADE69','9537B9E4',5,0,4858,-4799,0,0,0,0,0,0,372,0),
 ('Restuss','a Tailor trainer','trainer_tailor','crafting_tailor','072D76FE','DC3ADE69','9537B9E4',6,0,5209,5729,0,0,0,0,0,0,373,0),
 ('Dearic','a Tailor trainer','trainer_tailor','crafting_tailor','072D76FE','DC3ADE69','9537B9E4',7,0,369,-2877,0,0,0,0,0,0,374,0),
 ('Bestine','a Tailor trainer','trainer_tailor','crafting_tailor','072D76FE','DC3ADE69','9537B9E4',8,0,-1348,-3677,0,0,0,0,0,0,375,0),
 ('Doaba Guerfel','a Tailor trainer','trainer_tailor','crafting_tailor','072D76FE','DC3ADE69','9537B9E4',0,0,3077,5251,300,0,0,0,0,1,376,0),
 ('Nashal','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',7,4265415,4299,5120,3,11,-14.5,1.133,0,1,377,0),
 ('Nashal','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',7,0,4220,5127,0,0,0,0,0.557713,0.830034,378,0),
 ('Dearic','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',7,3175561,627,-3062,7,11,-14.5,1.133,0,1,379,0),
 ('Dee\'ja Peak ','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',5,1685238,4720,-1261,331,11,-14.5,1.133,0,1,380,0),
 ('Keren','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',5,1650543,1775,2579,13,11,-14.5,1.133,0,1,381,0),
 ('Kaadara','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',5,1741470,5111,0,-190,11,-14.5,1.133,0,1,382,0),
 ('Moenia','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',5,1717555,4816,-5014,4,11,-14.5,1.133,0,1,383,0),
 ('Moenia','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',5,0,4779,-4973,3.75,0,0,0,0,1,384,0),
 ('Theed','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',5,1692093,-5440,3982,7,11,-14.5,1.133,0,1,385,0),
 ('Theed','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',5,0,-4931,4020,0,0,0,0,0.332242,0.943194,386,0),
 ('Bela Vistal','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',0,2365800,6851.5,-5409.5,331,11,-14,1.13306,0,1,387,0),
 ('Coronet','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',0,1855526,54,-4429,29,11,-14,1.13306,0,1,388,0),
 ('Doaba Guefel','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',0,3075412,3098,5293,301,11,-14,1.13306,0,1,389,0),
 ('Kor Vella','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',0,2955400,-3686,3047.5,87,11,-14,1.13306,0,1,390,0),
 ('Tyrena','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',0,1935463,-5535,-2690,22,11,-14,1.13306,0,1,391,0),
 ('Bestine','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',8,1028581,-1272,-3514,13,11,-14.5,1.133,0,1,392,0),
 ('Mos Eisley','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',8,1189578,3321,-4705,6,11,-14.5,1.133,0,1,393,0),
 ('Mos Entha','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',8,1154183,1288,3369,8,11,-14.5,1.133,0,1,394,0),
 ('Mos Espa','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',8,1256021,-3043,2050,6,11,-14.5,1.133,0,1,395,0),
 ('Mos Espa','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',8,0,-2872,2159,5,0,0,0,1,0,396,0),
 ('Narmle','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',6,4635413,-4999,-2432,81,11,-14.5,1.133,0,1,397,0),
 ('Restuss','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',6,4635774,5396,5593,81,11,-14.5,1.133,0,1,398,0),
 ('Restuss','an Architect trainer','trainer_architect','crafting_architect','8CFF964D','57E83EDA','1EE55957',6,0,5510,5663,80,0,0,0,0.957,-0.29,399,0),
 ('Coronet','a Creature Handler trainer','trainer_creaturehandler','outdoors_creaturehandler','C0738D47','D6D1707D','7DDD078F',0,0,-55,-4566,28,0,0,0,0,1,400,0),
 ('Doaba Guerfel','a Creature Handler trainer','trainer_creaturehandler','outdoors_creaturehandler','C0738D47','D6D1707D','7DDD078F',0,0,3162,5191,300,0,0,0,0,1,401,0),
 ('Kaadara','a Creature Handler trainer','trainer_creaturehandler','outdoors_creaturehandler','C0738D47','D6D1707D','7DDD078F',5,0,5181,6806,-192,0,0,0,0,1,402,0),
 ('Mos Entha','a Creature Handler trainer','trainer_creaturehandler','outdoors_creaturehandler','C0738D47','D6D1707D','7DDD078F',8,0,1374,3262,7,0,0,0,1,0,403,0),
 ('Mos Espa','a Creature Handler trainer','trainer_creaturehandler','outdoors_creaturehandler','C0738D47','D6D1707D','7DDD078F',8,0,-2994,2530,5,0,0,0,0.5,1,404,0),
 ('Restuss','a Creature Handler trainer','trainer_creaturehandler','outdoors_creaturehandler','C0738D47','D6D1707D','7DDD078F',6,0,5134,5749,80,0,0,0,1,0,405,0),
 ('Bela Vistal','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,2365947,6707,-5510.5,316,0,-14,1.13306,0,1,406,21),
 ('Bela Vistal','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,0,6755.99,-5655.01,314.994,0,0,0,0.712959,-0.701206,407,21),
 ('Coronet','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,1855517,-146,-4390,29,0,-14,1.13306,0,1,408,21);
INSERT INTO `swgemu`.`trainers` VALUES  ('Coronet','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,0,-187,-4700,28,0,0,0,0.717733,0.696318,409,21),
 ('Doaba Guerfel','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,3055771,3160,5043,291,0,-14,1.13306,0,1,410,21),
 ('Doaba Guerfel','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,0,3311,5530,308,0,0,0,0.664487,0.7473,411,21),
 ('Kor Vella','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,2955416,-3417.5,3170,79,0,-14,1.13306,0,1,412,21),
 ('Tyrena','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,0,-5081,-2307,21,0,0,0,0.919828,0.392321,413,21),
 ('Tyrena','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,0,-5300.07,-2383,21,0,0,0,0.999308,-0.0372055,414,21),
 ('Tyrena','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',0,1935454,-5417,-2756.5,22,0,-14,1.13306,0,1,415,21),
 ('Kaadara','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,1741510,5178,6691,-190,-0.031573,-14.1498,1.13306,0,1,416,21),
 ('Kaadara','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,0,5182,6686,-192,0,0,0,0.933277,0.359158,417,21),
 ('Keren','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,0,1522,2781,25,0,0,0,1,0,418,21),
 ('Keren','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,1396874,1751,2614,13,0.0976721,-13.6995,1.13306,-0.00312865,0.999995,419,21),
 ('Keren','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,0,2003.71,2484.06,12,0,0,0,0.852886,-0.522097,420,21),
 ('Moenia','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,0,4823.13,-4705.34,4.17,0,0,0,-0.650473,0.75953,421,21),
 ('Moenia','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,1717546,4926,-4780,4,-0.0177415,-13.3088,1.13306,0.000709873,1,422,21),
 ('Theed','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,0,-4946,4131,6,0,0,0,0.933799,0.357798,423,21),
 ('Theed','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,1692084,-55369,4108,7,0.0417929,-13.5584,1.13306,0.0134915,0.999909,424,21),
 ('Theed','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',5,0,-5996.85,4287.56,6,0,0,0,0.566754,0.823887,425,21),
 ('Narmle','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',6,0,-5160.97,-2325.27,80,0,0,0,0.931801,0.362969,426,21),
 ('Narmle','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',6,4615384,-5199,-2324,81,-0.124425,-13.6473,1.13306,0.0020789,0.999998,427,21),
 ('Restuss','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',6,4635664,5237,5688,81,-0.112948,-14.1468,1.13306,0,1,428,21),
 ('Restuss','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',6,0,5256,5600,80,0,0,0,-0.108968,0.994045,429,21),
 ('Dearic','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',7,3175386,539,-2885,7,-0.0376376,-13.9533,1.13306,0.00114352,0.999999,430,21),
 ('Dearic','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',7,0,500,-3043,6,0,0,0,0.0672449,0.997737,431,21),
 ('Nashal','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',7,0,4410,5309,2,0,0,0,0.698237,0.715866,432,21),
 ('Nashal','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',7,4265396,4518,5230,3,0.0424266,-14.6324,1.13306,0.000896588,1,433,21),
 ('Bestine','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,1028562,-1167,-3491,13,-0.0507306,-13.747,1.13306,0.000118111,1,434,21),
 ('Bestine','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,0,-1266,-3559,12,0,0,0,0.916902,-0.399112,435,21),
 ('Mos Eisley','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,1279964,3447,-4702,6,-0.0585386,-13.9039,1.13306,-4.59887,1,436,21),
 ('Mos Eisley','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,0,3503,-4809,5,0,0,0,0.357844,0.933782,437,21),
 ('Mos Entha','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,0,1276.55,3153.11,7,0,0,0,0.984731,0.174081,438,21),
 ('Mos Entha','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,0,1324,3141,7,0,0,0,0.818581,-0.57439,439,21),
 ('Mos Entha','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,0,1335,3487,7,0,0,0,0.940895,0.338699,440,21),
 ('Mos Entha','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,1153493,1561,3078,8,-0.0475945,-14.1102,1.13306,-0.00318113,0.999995,441,21),
 ('Mos Espa','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,1256011,-2826,1993,6,-0.0885271,-14.0283,1.13306,0.0149073,0.999889,442,21),
 ('Mos Espa','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,0,-2890,2142,5,0,0,0,-0.166686,0.98601,443,21),
 ('Wayfar','an Artisan trainer','trainer_artisan','crafting_artisan','00217BD7','DB36D340','923BB4CD',8,0,-5274,-6547,75,0,0,0,0.937074,0.349132,444,21),
 ('Bestine','a Politician trainer','trainer_industrialist','social_politician','52E49D58','89F335CF','C0FE5242',8,0,-1125,-3616,12.2,0,0,0,0.99121,0.1223,445,0),
 ('Narmle','a Politician trainer','trainer_industrialist','social_politician','52E49D58','89F335CF','C0FE5242',6,0,-5165,-2461,80,0,0,0,0.943042,0.332675,446,0),
 ('Coronet','a Politician trainer','trainer_industrialist','social_politician','52E49D58','89F335CF','C0FE5242',0,0,-218,-4500,28,0,0,0,0.294557,0.955634,447,0),
 ('Dee\'ja Peak','a Politician trainer','trainer_industrialist','social_politician','52E49D58','89F335CF','C0FE5242',5,0,4702,-1368,330,0,0,0,0.884584,0.466381,448,0),
 ('Dee\'ja Peak','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',5,1685239,4733,-1267,331,-2.5,-8.4,1.13306,0.7,0.7,449,0),
 ('Kaadara','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',5,1741471,5125,6812,-190,-2.5,-8.4,1.13306,0.7,0.7,450,0),
 ('Keren','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',5,1650544,1799,2573,13,-2.5,-8.4,1.13306,0.7,0.7,451,0),
 ('Keren','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',5,0,1905,2767,0,0,0,0,0,0,452,0),
 ('Moenia','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',5,1717556,4802,-5008,4,-2.5,-8.4,1.13306,0.7,0.7,453,0),
 ('Theed','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',5,1692094,0,0,0,-3.1,-8.2,1.1,0.7,0.7,454,0),
 ('Dearic','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',7,0,516,-2912,0,0,0,0,1,0,455,0),
 ('Dearic','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',7,3175562,614,-3067,7,-2.5,-8.4,1.13306,0.7,0.7,456,0),
 ('Nashal','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',7,4265416,4288,5110,3,-2.5,-8.4,1.13306,0.7,0.7,457,0),
 ('Narmle','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',6,4635414,-5013,-2426,81,-2.5,-8.4,1.13306,0.7,0.7,458,0),
 ('Narmle','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',6,0,-5274,-2424,0,0,0,0,0,0,459,0),
 ('Restuss','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',6,4635775,5383,5599,81,-2.5,-8.4,1.13306,0.7,0.7,460,0),
 ('Rebel Outpost','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',6,0,3681,-6420,0,0,0,0,0,0,461,0),
 ('Bela Vistal','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',0,2365801,6862,-5418,331,-2.5,-8.4,1.13306,0.7,0.7,462,0),
 ('Coronet','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',0,0,47,-4442,0,0,0,0,0,0,463,0),
 ('Doaba Guerfel','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',0,3075413,3112,5293,301,-2.5,-8.4,1.13306,0.7,0.7,464,0),
 ('Kor Vella','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',0,2955401,-3694,3058,87,-2.5,-8.4,1.13306,0.7,0.7,465,0),
 ('Tyrena','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',0,0,-5106,-2324,0,0,0,0,0,0,466,0),
 ('Tyrena','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',0,1935464,-5529,-2676,22,-2.5,-8.4,1.13306,0.7,0.7,467,0),
 ('Mos Entha','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',8,0,1210,3273,7.4,0,0,0,0.996437,0.084394,468,0),
 ('Mos Entha','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',8,0,1394,3447,7,0,0,0,0.738336,0.674433,469,0),
 ('Mos Entha','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',8,1154184,1294,3383,8,-3.1,-8.4,1.1,0.738336,0.674433,470,0),
 ('Mos Espa','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',8,1256022,-3058,2052,6,-2.95975,-8.77207,1.13306,0.815981,0.578078,471,0),
 ('Mos Espa','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',8,0,-2869,2146,5,0,0,0,0.0656768,0.997841,472,0),
 ('Mos Eisley','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',8,1189579,3334,-4696,6,-2.87328,-8.72939,1.13306,0.872882,0.48793,473,0),
 ('Bestine','a Weaponsmith trainer','trainer_weaponsmith','crafting_weaponsmith','60894C2C','BB9EE4BB','F2938336',8,1028582,-1258,-3506,13,-3,-8.3,1.13306,0.7,0.7,474,0),
 ('Keren','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',5,1650545,1797,2577,13,-11,-13,1.13306,0,1,475,0),
 ('Theed','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',5,1692095,-5462,3983,7,-11,-13,1.13306,0,1,476,0),
 ('Moenia','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',5,1717557,4793,-5014,4,-11.5102,-13.7835,1.13306,0.0206685,0.999786,477,0),
 ('Kaadara','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',5,1741472,5127,6822,-190,-10.8596,-14.4116,1.13306,0.00522962,0.999986,478,0),
 ('Dee\'ja Peak','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',5,1685240,4742,-1261,331,-11.3655,-13.793,1.13306,0.884445,-0.466643,479,0),
 ('Tyrena','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',0,1935465,3118,5302,301,-11,-14,1.13306,0,1,480,0),
 ('Kor Vella','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',0,2955402,-3705,3058,87,-11,-14,1.13306,0,1,481,0),
 ('Coronet','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',0,1855528,54,-4451,29,-11,-14,1.13306,0,1,482,0),
 ('Bela Vistal','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',0,2365802,6873,-5416,331,-11,-14,1.13306,0,1,483,0),
 ('Doaba Guerfel','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',0,3075414,3118,5302,301,-11,-14,1.13306,0,1,484,0),
 ('Bestine','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',8,1028583,-1257,-3497,13,-11.6346,-13.252,1.13306,0.019427,0.999811,485,0),
 ('Mos Entha','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',8,1154185,1289,3391,8,-11.2719,-13.4562,1.13306,-0.00121323,0.999999,486,0),
 ('Mos Espa','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',8,1256023,-3065,2046,6,-11.5362,-12.6351,1.13306,0.012226,0.999925,487,0),
 ('Mos Eisley','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',8,1189580,3334,-4687,6,-10.9183,-14.2845,1.13306,-0.0457645,0.998952,488,0),
 ('Dearic','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',7,3175563,611,-3077,7,-11.7587,-13.3207,1.13306,0.0581525,0.998308,489,0),
 ('Nashal','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',7,4265417,4289,5100,3,-11.088,-14.0044,1.13306,-0.00650418,0.999979,490,0),
 ('Restuss','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',6,4635776,5374,5594,81,-11.4803,-13.6866,1.13306,-0.0387217,0.99925,491,0),
 ('Narmle','a Droid Engineer trainer','trainer_droidengineer','crafting_droidengineer','3B94F411','244434C0','38C2CC11',6,4635415,-5121,-2430,81,-10.6439,-12.5741,1.13306,-0.0719766,0.997406,492,0),
 ('Bela Vistal','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,0,6829,-5429,330,0,0,0,0.999286,-0.0377764,493,24),
 ('Doaba Guerfel','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,4395403,3457,5403,310,30.358,73.5895,2.12878,0.737371,-0.675488,494,24),
 ('Doaba Guerfel','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,0,3305,5525,308,0,0,0,0.967509,0.252836,495,24),
 ('Kor Vella','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,0,-3152,2807,31,0,0,0,0.999826,0.0186444,496,24),
 ('Kor Vella','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,3005399,-3460,3067,77,26.1909,10.2549,-0.894994,0.766435,-0.642322,497,24),
 ('Tyrena','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,0,-5661,-2599.57,21.6,0,0,0,-0.122204,0.992505,498,24),
 ('Tyrena','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,2625358,-5243,-2557,20,6.15345,-19.3905,-0.894992,0.00181555,0.999998,499,24),
 ('Tyrena','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,0,-5062,-2291,21,0,0,0,0.882297,0.470693,500,24),
 ('Vreni Island','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,3005697,-5190,-6401,3,22.0446,11.7787,-0.894993,0.996665,-0.0816027,501,24),
 ('Coronet','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,0,-173,-4739,28,0,0,0,0,1,502,24),
 ('Coronet','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',0,0,-228,-4118,28.6,0,0,0,0,1,503,24),
 ('Kaadara','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',5,0,5209.69,6661.65,-192,0,0,0,0.783581,-0.621289,504,24),
 ('Keren','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',5,0,1772.77,2744.98,12,0,0,0,0.999915,0.013024,505,24),
 ('Keren','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',5,4045383,1657,2465,14,29.6396,74.0291,2.12878,0.708765,-0.705445,506,24),
 ('Moenia','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',5,0,4846,-4658,4.17,0,0,0,0.777062,-0.629424,507,24),
 ('Theed','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',5,5475487,-5764,4254,8,28.3235,73.5353,2.12854,0.708389,0.705822,508,24),
 ('Narmle','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',6,4635403,-4999,-2262,82,29.5159,73.6413,2.12878,-0.697109,0.716966,509,24),
 ('Narmle','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',6,0,-5078,-2354,80,0,0,0,0.957408,0.288739,510,24),
 ('Restuss','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',6,4635754,5437,5542,82,30.0595,73.1945,2.12878,-0.618294,0.785947,511,24),
 ('Restuss','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',6,0,5433,5558,80.6,0,0,0,0.718484,-0.695543,512,24),
 ('Dearic','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',7,3175572,569,-3076,8,29.7003,73.0836,2.12878,-0.697745,0.716347,513,24),
 ('Nashal','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',7,0,4366,5350,2,0,0,0,0.761549,-0.648109,514,24),
 ('Nashal','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',7,4265375,4308,5329,1,23.5446,11.6472,-0.894993,0.99854,0.05402,515,24),
 ('Bestine','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',8,0,-1266,-3626,12,0,0,0,-0.192217,0.981353,516,24),
 ('Mos Entha','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',8,1153603,1499,3266,9,29.9638,73.0406,2.12878,-0.703631,0.716565,517,24),
 ('Mos Entha','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',8,0,1287,3163,7,0,0,0,0.676311,0.736616,518,24),
 ('Mos Espa','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',8,0,-2889,2178,5,0,0,0,0.986429,0.164186,519,24),
 ('Mos Eisley','an Entertainer trainer','trainer_entertainer','social_entertainer','073354DE','61B3DB1E','EA2F0CEB',8,0,3477.89,-4791.6,5,0,0,0,0.952414,-0.304806,520,24),
 ('Rori','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',6,4635772,5397,5613,81,11.6338,5.69637,1.13306,0.999642,0.0267526,521,0),
 ('Bela Vistal','a Merchant trainer','trainer_merchant','crafting_merchant','D717AE2E','0C0006B9','450D6134',0,2365798,6845,-5428,331,12,6,1.13306,1,0,522,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `trainers` ENABLE KEYS */;


--
-- Definition of table `swgemu`.`world_server_static_spawns`
--

DROP TABLE IF EXISTS `swgemu`.`world_server_static_spawns`;
CREATE TABLE  `swgemu`.`world_server_static_spawns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zoneid` int(11) DEFAULT NULL,
  `parentid` bigint(20) DEFAULT '0',
  `file` varchar(200) DEFAULT NULL,
  `oX` float DEFAULT '0',
  `oY` float DEFAULT '0',
  `oZ` float DEFAULT '0',
  `oW` float DEFAULT '1',
  `x` float DEFAULT NULL,
  `z` float DEFAULT NULL,
  `y` float DEFAULT NULL,
  `level` int(11) DEFAULT '10',
  `mood_animation` varchar(45) DEFAULT NULL,
  `creature_bitmask` int(10) unsigned DEFAULT '0',
  `combat_flags` int(10) unsigned DEFAULT '0',
  `respawn_timer` float DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idworldserverspawns_UNIQUE` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9650 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `swgemu`.`world_server_static_spawns`
--

/*!40000 ALTER TABLE `world_server_static_spawns` DISABLE KEYS */;
LOCK TABLES `world_server_static_spawns` WRITE;
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (1,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-171.521,0,-4948.57,7,'neutral',128,1,100),
 (2,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-173.347,0,-4966.3,7,'neutral',128,1,100),
 (3,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-173.216,0,-4939.24,7,'neutral',128,1,100),
 (4,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-195.966,0,-4908.43,7,'neutral',128,1,100),
 (5,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-183.994,0,-4912.35,7,'neutral',128,1,100),
 (6,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-205.747,0,-4931.38,7,'neutral',128,1,100),
 (7,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-193.777,0,-4919.15,7,'neutral',128,1,100),
 (8,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-144.811,0,-4946.43,7,'neutral',128,1,100),
 (9,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-312.026,0,-4897.89,5,'neutral',128,1,100),
 (10,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-277.267,0,-4856.57,5,'neutral',128,1,100),
 (11,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-283.055,0,-4874.95,5,'neutral',128,1,100),
 (12,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-271.788,0,-4850.72,5,'neutral',128,1,100),
 (13,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-283.741,0,-4861.74,5,'neutral',128,1,100),
 (14,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-289.59,0,-4872.34,5,'neutral',128,1,100),
 (15,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-284.001,0,-4876.16,5,'neutral',128,1,100),
 (16,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-326.871,0,-4878.96,5,'neutral',128,1,100),
 (17,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-718.193,0,-4628.71,6,'neutral',128,1,100),
 (18,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-722.777,0,-4636.85,6,'neutral',128,1,100),
 (19,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-747.976,0,-4619.64,6,'neutral',128,1,100),
 (20,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-717.545,0,-4591.2,6,'neutral',128,1,100),
 (21,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-739.529,0,-4626.38,6,'neutral',128,1,100),
 (22,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-738.125,0,-4599.84,6,'neutral',128,1,100),
 (23,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-712.119,0,-4606.33,6,'neutral',128,1,100),
 (24,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-696.345,0,-4655.77,6,'neutral',128,1,100),
 (25,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-545.846,0,-4138.34,5,'neutral',128,1,100),
 (26,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-583.951,0,-4155.63,5,'neutral',128,1,100),
 (27,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-570.765,0,-4129.63,5,'neutral',128,1,100),
 (28,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-569.275,0,-4164,5,'neutral',128,1,100),
 (29,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-579.086,0,-4154.59,5,'neutral',128,1,100),
 (30,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-582.898,0,-4154.22,5,'neutral',128,1,100),
 (31,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-577.279,0,-4116.1,5,'neutral',128,1,100),
 (32,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-551.684,0,-4175.57,5,'neutral',128,1,100),
 (33,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-295.3,0,-4854.12,8,'neutral',128,1,100),
 (34,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-314.92,0,-4854.08,8,'neutral',128,1,100),
 (35,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-319.897,0,-4878.35,8,'neutral',128,1,100),
 (36,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-294.963,0,-4876.38,8,'neutral',128,1,100),
 (37,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-328.233,0,-4861.77,8,'neutral',128,1,100),
 (38,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-266.717,0,-4888.26,8,'neutral',128,1,100),
 (39,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-299.749,0,-4846.77,8,'neutral',128,1,100),
 (40,0,0,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-302.642,0,-4887.49,8,'neutral',128,1,100),
 (41,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-397.735,0,-4072.44,7,'neutral',128,1,100),
 (42,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-428.379,0,-4052.51,7,'neutral',128,1,100),
 (43,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-388.427,0,-4078.36,7,'neutral',128,1,100),
 (44,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-390.613,0,-4030.27,7,'neutral',128,1,100),
 (45,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-411.458,0,-4043.35,7,'neutral',128,1,100),
 (46,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-371.93,0,-4072.62,7,'neutral',128,1,100),
 (47,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-414.572,0,-4095.02,7,'neutral',128,1,100),
 (48,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-429.306,0,-4052.14,7,'neutral',128,1,100),
 (49,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-192.698,0,-3960.6,5,'neutral',128,1,100),
 (50,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-181.049,0,-4013.8,5,'neutral',128,1,100),
 (51,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-174.951,0,-3979.06,5,'neutral',128,1,100),
 (52,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-130.811,0,-3991.43,5,'neutral',128,1,100),
 (53,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-144.84,0,-3950.88,5,'neutral',128,1,100),
 (54,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-177.328,0,-3993.99,5,'neutral',128,1,100),
 (55,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-174.776,0,-3988.18,5,'neutral',128,1,100),
 (56,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-163.076,0,-3992.67,5,'neutral',128,1,100),
 (57,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-121.455,0,-4229.74,10,'neutral',128,1,100),
 (58,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-107.505,0,-4221.87,10,'neutral',128,1,100),
 (59,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-127.975,0,-4238.81,10,'neutral',128,1,100),
 (60,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-94.062,0,-4200.64,10,'neutral',128,1,100),
 (61,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-107.272,0,-4229.31,10,'neutral',128,1,100),
 (62,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-142.981,0,-4231.92,10,'neutral',128,1,100),
 (63,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-74.2082,0,-4236.97,10,'neutral',128,1,100),
 (64,0,0,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-118.508,0,-4247.62,10,'neutral',128,1,100),
 (65,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,233,0,-4628,5,'neutral',128,1,100),
 (66,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,230.244,0,-4603.39,5,'neutral',128,1,100),
 (67,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,224.34,0,-4618,5,'neutral',128,1,100),
 (68,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,250.207,0,-4588.43,5,'neutral',128,1,100),
 (69,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,255.229,0,-4589.98,5,'neutral',128,1,100),
 (70,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,248.451,0,-4587.29,5,'neutral',128,1,100),
 (71,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,267.749,0,-4595.29,5,'neutral',128,1,100),
 (72,0,0,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,252.856,0,-4606.16,5,'neutral',128,1,100),
 (73,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,118.384,0,-4806.01,6,'neutral',128,1,100),
 (74,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,122.771,0,-4843.69,6,'neutral',128,1,100),
 (75,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,92.1915,0,-4847.33,6,'neutral',128,1,100),
 (76,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,94.0736,0,-4838.75,6,'neutral',128,1,100),
 (77,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,118.974,0,-4811.65,6,'neutral',128,1,100),
 (78,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,110.03,0,-4815.49,6,'neutral',128,1,100),
 (79,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,122.089,0,-4811.05,6,'neutral',128,1,100),
 (80,0,0,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,81.9802,0,-4807.02,6,'neutral',128,1,100),
 (81,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-94.3807,0,-4049.01,6,'neutral',128,1,120),
 (82,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-76.2179,0,-4040.7,6,'neutral',128,1,120),
 (83,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-75.0008,0,-4042.09,6,'neutral',128,1,120),
 (84,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-77.7019,0,-4043.93,6,'neutral',128,1,120),
 (85,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-78.0003,0,-4042.03,6,'neutral',128,1,120),
 (86,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-1.636,0,-4128.46,5,'neutral',128,1,120),
 (87,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,15.9884,0,-4126.34,5,'neutral',128,1,120),
 (88,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-6.31615,0,-4129.24,5,'neutral',128,1,120),
 (89,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,1.1203,0,-4120.14,5,'neutral',128,1,120),
 (90,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-116.583,0,-4218.01,7,'neutral',128,1,120),
 (91,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-138.552,0,-4199.67,7,'neutral',128,1,120),
 (92,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-139.746,0,-4213.85,7,'neutral',128,1,120),
 (93,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-131.781,0,-4210.84,7,'neutral',128,1,120),
 (94,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,215.294,0,-4316.05,6,'neutral',128,1,120),
 (95,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,224.16,0,-4294.21,6,'neutral',128,1,120),
 (96,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,215.107,0,-4321.45,6,'neutral',128,1,120),
 (97,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,230.773,0,-4326,6,'neutral',128,1,120),
 (98,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,261.616,0,-4382.63,8,'neutral',128,1,120),
 (99,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,256.5,0,-4402.45,8,'neutral',128,1,120),
 (100,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,258.809,0,-4398.23,8,'neutral',128,1,120),
 (101,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,239.854,0,-4721.09,5,'neutral',128,1,120),
 (102,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,241.383,0,-4730.47,5,'neutral',128,1,120),
 (103,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,220,0,-4727.66,5,'neutral',128,1,120),
 (104,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,233.756,0,-4704.43,5,'neutral',128,1,120),
 (105,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,235.532,0,-4562.29,5,'neutral',128,1,120),
 (106,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,231.061,0,-4565.04,5,'neutral',128,1,120),
 (107,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,230.527,0,-4564.6,5,'neutral',128,1,120),
 (108,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,231.837,0,-4567.66,5,'neutral',128,1,120),
 (109,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,41.576,0,-4912.63,7,'neutral',128,1,120),
 (110,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,55.5831,0,-4911.1,7,'neutral',128,1,120),
 (111,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,46.1901,0,-4903.17,7,'neutral',128,1,120),
 (112,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,24.0487,0,-4918.4,7,'neutral',128,1,120),
 (113,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-96.0989,0,-4930.2,5,'neutral',128,1,120),
 (114,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-94.5724,0,-4943.94,5,'neutral',128,1,120),
 (115,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-105.818,0,-4938.92,5,'neutral',128,1,120),
 (116,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-84.6031,0,-4944.42,5,'neutral',128,1,120),
 (117,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-36.7556,0,-4176.43,86,'neutral',128,35,180),
 (118,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-28.9135,0,-4190.59,86,'neutral',128,35,180),
 (119,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-252.421,0,-4908.1,7,'neutral',128,1,30),
 (120,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-234,0,-4936.66,7,'neutral',128,1,30),
 (121,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-248.08,0,-4945.82,7,'neutral',128,1,30),
 (122,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-251.929,0,-4926.64,7,'neutral',128,1,30),
 (123,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-240.935,0,-4935.76,7,'neutral',128,1,30),
 (124,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-240.439,0,-4929.39,7,'neutral',128,1,30),
 (125,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-263.001,0,-4913.58,7,'neutral',128,1,30),
 (126,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-251.206,0,-4950.96,7,'neutral',128,1,30),
 (127,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-243.589,0,-4921.45,7,'neutral',128,1,30),
 (128,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-259.206,0,-4944.36,7,'neutral',128,1,30),
 (129,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-240.706,0,-4941.9,7,'neutral',128,1,30),
 (130,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-239.628,0,-4936.98,7,'neutral',128,1,30),
 (131,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-239,0,-4928,14,'neutral',128,35,40),
 (132,0,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0,0,0,10.3286,0,-4633.8,15,'calm',264,0,60),
 (133,0,0,'object/mobile/space_greeter_coronet_shipwright_indifferent.iff',0,0,0,0,-140.701,0,-4719.16,15,'neutral',264,0,60),
 (134,0,0,'object/mobile/space_greeter_coronet_shipwright_impatient.iff',0,0,0,0,-137.464,0,-4718.83,15,'neutral',264,0,60),
 (135,0,0,'object/mobile/r3.iff',0,0,0,0,-149.754,0,-4785.34,15,'calm',264,0,60),
 (136,0,0,'object/mobile/cll8_binary_load_lifter.iff',0,0,0,0,-146.217,0,-4738.99,15,'calm',264,0,60),
 (137,0,0,'object/mobile/r3.iff',0,0,0,0,-182.479,0,-4731.42,15,'calm',264,0,60),
 (138,0,1855683,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0,0,0,-62.7673,2.63942,40.6604,15,'conversation',264,0,60),
 (139,0,1855683,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',0,0,0,0,-62.7673,2.63942,41.7604,15,'conversation',264,0,60),
 (140,0,1855678,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,0,0,0,37.163,0.639417,39.6061,15,'conversation',264,0,60),
 (141,0,1855678,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,37.163,0.639417,40.7061,15,'conversation',264,0,60),
 (142,0,1855678,'object/mobile/dressed_mercenary_medic_rodian_female_01.iff',0,0,0,0,56.669,-0.521137,32.6689,15,'conversation',264,0,60),
 (143,0,1855678,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,0,0,0,56.669,-0.521137,33.7689,15,'conversation',264,0,60),
 (144,0,1855678,'object/mobile/dressed_bountyhunter_trainer_01.iff',0,0,0,0,55.569,-0.521137,33.7689,15,'conversation',264,0,60),
 (145,0,1855675,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,0,0,0,-4.61669,0.639424,66.7263,15,'conversation',264,0,60),
 (146,0,1855675,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0,0,0,-4.61669,0.639424,67.8263,15,'conversation',264,0,60),
 (147,0,1855675,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,0,0,0,1.1,0.639421,66.3,15,'explain',264,0,60),
 (148,0,1855672,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,0,0,0,8.65132,0.639421,74.4483,15,'conversation',264,0,60),
 (149,0,1855672,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',0,0,0,0,8.65132,0.639421,75.5483,15,'calm',264,0,60),
 (150,0,0,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,0,0,0,-51.7918,0,-4662.65,15,'calm',264,0,60),
 (151,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0,0,0,-59.6867,0,-4596.54,15,'neutral',264,0,60),
 (152,0,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-177.764,0,-4766.07,15,'npc_imperial',264,0,60),
 (153,0,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-175.887,0,-4765.95,15,'npc_imperial',264,0,60),
 (154,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-35.4,0,-4573.8,25,'neutral',128,0,180),
 (155,0,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0,0,0,-26.0533,0,-4558.43,15,'calm',264,0,60),
 (156,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0,0,0,-163.792,0,-4606.3,15,'calm',264,0,60),
 (157,0,0,'object/mobile/space_greeter_coronet_merchant.iff',0,0,0,0,-138.975,0,-4718.86,15,'neutral',264,0,60),
 (158,0,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-167.548,0,-4835.07,15,'npc_imperial',264,0,60),
 (159,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-221.1,0,-4798.1,25,'neutral',128,0,180),
 (160,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0,0,0,-187.1,0,-4835,15,'neutral',264,0,60),
 (161,0,0,'object/mobile/dressed_combatmedic_trainer_human_male_01.iff',0,0,0,0,19.7425,0,-4775.49,15,'calm',264,0,60),
 (162,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0,0,0,0,55.6269,0,-4782.24,15,'calm',264,0,60),
 (163,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,55.4532,0,-4895.35,7,'neutral',128,1,30),
 (164,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,43.5381,0,-4893.3,7,'neutral',128,1,30),
 (165,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,43.8761,0,-4890.44,7,'neutral',128,1,30),
 (166,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,44.8558,0,-4876.05,7,'neutral',128,1,30),
 (167,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,45.0509,0,-4891.86,7,'neutral',128,1,30),
 (168,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,50.4287,0,-4886.16,7,'neutral',128,1,30),
 (169,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,37.8859,0,-4894.25,7,'neutral',128,1,30),
 (170,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,43.3324,0,-4894.35,7,'neutral',128,1,30),
 (171,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,46.6146,0,-4894.96,7,'neutral',128,1,30),
 (172,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,44.378,0,-4887.4,7,'neutral',128,1,30),
 (173,0,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0,0,0,88.4953,0,-4727.94,15,'calm',264,0,60),
 (174,0,0,'object/mobile/dressed_criminal_swooper_human_female_01.iff',0,0,0,0,184.405,0,-4789.02,15,'calm',264,0,60),
 (175,0,0,'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff',0,0,0,0,185.612,0,-4773.74,15,'calm',264,0,60),
 (176,0,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,158.9,0,-4707.2,1,'neutral',128,0,180),
 (177,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,168.1,0,-4698.4,25,'neutral',128,0,180),
 (178,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0,0,0,185.754,0,-4685.24,15,'neutral',264,0,60),
 (179,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0,0,0,184.83,0,-4684.43,15,'neutral',264,0,60),
 (180,0,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,144.7,0,-4536.6,42,'neutral',128,0,180),
 (181,0,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,152.386,0,-4524.14,29,'neutral',128,0,180),
 (182,0,0,'object/mobile/dressed_rebel_brigadier_general_sullustan_male.iff',0,0,0,0,94.8749,0,-4519.08,15,'calm',264,0,60),
 (183,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0,0,0,71.9271,0,-4568.97,15,'calm',264,0,60),
 (184,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,128.21,0,-4459.57,25,'neutral',128,0,180),
 (185,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,112.862,0,-4440.48,15,'calm',264,0,60),
 (186,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,96.6,0,-4394.9,25,'neutral',128,0,180),
 (187,0,0,'object/mobile/dressed_commoner_fat_human_female_02.iff',0,0,0,0,40.5453,0,-4416.63,15,'calm',264,0,60),
 (188,0,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0,0,0,14.4606,0,-4407.11,15,'calm',264,0,60),
 (189,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,0,0,0,-1.67932,0,-4464.42,15,'neutral',264,0,60),
 (190,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0,0,0,-15.4515,0,-4415.25,15,'calm',264,0,60),
 (191,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,26.3,0,-4290.2,25,'neutral',128,0,180),
 (192,0,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,0,0,0,22.6,0,-4290.2,15,'neutral',264,0,60),
 (193,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,10.5,0,-4290.5,25,'neutral',128,0,180),
 (194,0,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0,0,0,0,-54.3716,0,-4304.72,15,'calm',264,0,60),
 (195,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-59.1,0,-4260.1,32,'neutral',128,0,180),
 (196,0,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,0,0,0,-56.7639,0,-4229.33,15,'calm',264,0,60),
 (197,0,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0,0,0,-78.7157,0,-4286.4,15,'calm',264,0,60),
 (198,0,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0,0,0,-103.047,0,-4182.61,15,'calm',264,0,60),
 (199,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0,0,0,-87.6481,0,-4302.16,15,'calm',264,0,60),
 (200,0,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0,0,0,-118.993,0,-4285.29,15,'calm',264,0,60),
 (201,0,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0,0,0,-163.872,0,-4181.48,15,'calm',264,0,60),
 (202,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-158.235,0,-4194.42,25,'neutral',128,0,180),
 (203,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0,0,0,-201.2,0,-4122,15,'neutral',264,0,60),
 (204,0,2365400,'object/mobile/drall_female.iff',0,0,0,0,-20.3488,2.12878,64.9854,15,'conversation',264,0,60),
 (205,0,2365400,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,0,0,0,-20.3488,2.12878,65.9854,15,'conversation',264,0,60),
 (206,0,2365399,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0,0,0,26.5189,2.12846,71.9319,15,'conversation',264,0,60),
 (207,0,2365399,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,0,0,0,26.5189,2.12858,73.0319,15,'conversation',264,0,60),
 (208,0,2365399,'object/mobile/dressed_noble_human_female_01.iff',0,0,0,0,19.26,2.12847,56.13,15,'calm',264,0,60),
 (209,0,2365399,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,0,0,0,21.99,2.12804,64.05,15,'calm',264,0,60),
 (210,0,2365398,'object/mobile/dressed_noble_bothan_male_01.iff',0,0,0,0,28.93,2.12878,58.19,15,'calm',264,0,60),
 (211,0,2365397,'object/mobile/dressed_commoner_naboo_human_female_07.iff',0,0,0,0,-6.12488,2.6,13.0431,15,'conversation',264,0,60),
 (212,0,2365397,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,0,0,0,-6.12488,2.6,14.1431,15,'conversation',264,0,60),
 (213,0,2365397,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',0,0,0,0,-7.22488,2.6,14.1431,15,'conversation',264,0,60),
 (214,0,2365397,'object/mobile/dressed_corsec_captain_human_female_01.iff',0,0,0,0,22.2962,0.788717,42.1976,15,'conversation',264,0,60),
 (215,0,2365397,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,0,0,0,22.2962,0.688613,43.2884,15,'conversation',264,0,60),
 (216,0,2365397,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,0,0,0,-17.5041,0.992207,39.9855,15,'conversation',264,0,60),
 (217,0,2365397,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0,0,0,-17.5041,0.887194,41.0759,15,'conversation',264,0,60),
 (218,0,2365397,'object/mobile/dressed_criminal_slicer_human_female_01.iff',0,0,0,0,-18.6041,0.887072,41.0759,15,'conversation',264,0,60),
 (219,0,2365392,'object/mobile/drall_female.iff',0,0,0,0,3.66172,0.6,-3.74185,15,'conversation',264,0,60),
 (220,0,2365392,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,0,0,0,3.66172,0.6,-2.64185,15,'conversation',264,0,60),
 (221,0,2365392,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0,0,0,2.56172,0.6,-2.64185,15,'conversation',264,0,60),
 (222,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,0,0,0,-203.95,0,-4076.98,15,'calm',264,0,60),
 (223,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-199.701,0,-4077.2,60,'neutral',128,0,180),
 (224,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-216.9,0,-4121.1,25,'neutral',128,0,180),
 (225,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,0,0,0,-222.123,0,-4065.14,15,'neutral',264,0,60),
 (226,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0,0,0,-350.892,0,-4219.92,15,'conversation',264,0,60),
 (227,0,0,'object/mobile/dressed_imperial_medic3_human_male_01.iff',0,0,0,0,-439.1,0,-4144.4,16,'neutral',128,0,180),
 (228,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-517.9,0,-4213.9,25,'neutral',128,0,180),
 (229,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-557.5,0,-4230.3,25,'neutral',128,0,180),
 (230,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-569.553,0,-4243.99,25,'neutral',128,0,180),
 (231,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0,0,0,-582.736,0,-4260.62,15,'neutral',264,0,60),
 (232,0,0,'object/mobile/dressed_imperial_medic3_human_male_01.iff',0,0,0,0,-582.441,0,-4259.52,16,'neutral',128,0,180),
 (233,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-593.7,0,-4502.9,25,'neutral',128,0,180),
 (234,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-533.6,0,-4626.5,25,'neutral',128,0,180),
 (235,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0,0,0,-545.52,0,-4669.28,15,'neutral',264,0,60),
 (236,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-526.1,0,-4675.8,25,'neutral',128,0,180),
 (237,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-446.5,0,-4744,25,'neutral',128,0,180),
 (238,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-306.7,0,-4785.9,25,'neutral',128,0,180),
 (239,0,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0,0,0,-135.995,0,-4745.63,15,'calm',264,0,60),
 (240,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0,0,0,101.283,0,-4554.86,15,'calm',264,0,60),
 (241,0,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0,0,0,-54.9984,0,-4530.84,15,'calm',264,0,60),
 (242,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-42.2,0,-4500.6,25,'neutral',128,0,180),
 (243,0,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0,0,0,-106.79,0,-4528.6,15,'calm',264,0,60),
 (244,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0,0,0,-14.9281,0,-4451.64,15,'calm',264,0,60),
 (245,0,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0,0,0,-92.217,0,-4471.14,15,'calm',264,0,60),
 (246,0,0,'object/mobile/dressed_commoner_fat_human_female_02.iff',0,0,0,0,-163.751,0,-4552.14,15,'calm',264,0,60),
 (247,0,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0,0,0,-158.666,0,-4526.31,15,'calm',264,0,60),
 (248,0,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0,0,0,-168.38,0,-4515.61,15,'calm',264,0,60),
 (249,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0,0,0,0,-181.008,0,-4505.08,15,'calm',264,0,60),
 (250,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,0,0,0,-37.2537,0,-4476.76,15,'calm',264,0,60),
 (251,0,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,0,0,0,-64.8198,0,-4398.56,15,'conversation',264,0,60),
 (252,0,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0,0,0,-71.0095,0,-4325.21,15,'calm',264,0,60),
 (253,0,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,0,0,0,-122.156,0,-4392.8,15,'conversation',264,0,60),
 (254,0,1855541,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0,0,0,21.5803,14.26,-8.84205,15,'conversation',264,0,60),
 (255,0,1855541,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',0,0,0,0,21.5803,14.26,-7.84205,15,'conversation',264,0,60),
 (256,0,1855535,'object/mobile/21b_surgical_droid.iff',0,0,0,0,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (257,0,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,0,0,0,-112.646,0,-4310.7,15,'calm',264,0,60),
 (258,0,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0,0,0,-302.182,0,-4300.76,15,'calm',264,0,60),
 (260,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0,0,0,-357.932,0,-4267.81,15,'calm',264,0,60),
 (261,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,0,0,0,-350.452,0,-4287.73,15,'calm',264,0,60),
 (262,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0,0,0,-350.998,0,-4250.76,15,'calm',264,0,60),
 (263,0,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-291.531,0,-4412.73,1,'neutral',128,0,180),
 (264,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-283.2,0,-4411,25,'neutral',128,0,180),
 (265,0,8105501,'object/mobile/dressed_villain_trandoshan_female_01.iff',0,0,0,0,-5.02826,-0.894991,-21.3375,15,'calm',264,0,60),
 (266,0,8105500,'object/mobile/dressed_commoner_naboo_human_male_03.iff',0,0,0,0,0.978477,-0.894992,21.4841,15,'calm',264,0,60),
 (267,0,8105496,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,0,0,0,7.60649,-0.894992,1.42464,15,'neutral',264,0,60),
 (268,0,8105496,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0,0,0,4.71201,-0.894992,-9.83418,15,'conversation',264,0,60),
 (269,0,8105496,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,0,0,0,4.71201,-0.894992,-8.73417,15,'conversation',264,0,60),
 (270,0,8105496,'object/mobile/dressed_robber_twk_male_01.iff',0,0,0,0,3.61201,-0.894992,-8.73417,15,'conversation',264,0,60),
 (271,0,8105496,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',0,0,0,1,2.80432,-0.894991,9.55434,15,'conversation',264,0,60),
 (272,0,8105496,'object/mobile/dressed_criminal_thug_human_female_01.iff',0,0,0,0,2.80432,-0.894991,10.6543,15,'conversation',264,0,60),
 (273,0,8105496,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,0,0,0,-7.91375,-0.894992,-5.88587,15,'conversation',264,0,60),
 (274,0,0,'object/mobile/dressed_commoner_tatooine_bith_male_02.iff',0,0,0,0,-306.539,0,-4546.52,15,'conversation',264,0,60),
 (275,0,0,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0,0,0,0,-231.211,0,-4381.69,15,'calm',264,0,60),
 (276,0,0,'object/mobile/dressed_noble_fat_zabrak_male_01.iff',0,0,0,0,-451.472,0,-4572.05,15,'calm',264,0,60),
 (277,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-458,0,-4585,25,'neutral',128,0,180),
 (278,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-276.7,0,-4535.2,25,'neutral',128,0,180),
 (279,0,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0,0,0,-312.404,0,-4646.51,15,'calm',264,0,60),
 (280,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0,0,0,-306.061,0,-4600.68,15,'calm',264,0,60),
 (281,0,1855554,'object/mobile/dressed_noble_bothan_male_01.iff',0,0,0,0.729514,-22.3764,1.6,-15.0418,15,'calm',264,0,60),
 (282,0,1855554,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0,0,0,-24,1.6,-4,15,'calm',264,0,60),
 (283,0,1855551,'object/mobile/dressed_noble_old_twk_male_02.iff',0,0,0,0,-15.4768,1,-8.20706,15,'calm',264,0,60),
 (284,0,1855549,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,24.3471,1.28309,8.93357,15,'conversation',264,0,60),
 (285,0,1855549,'object/mobile/dressed_robber_twk_female_01.iff',0,0,0,0,24.3471,1.28309,10.0336,15,'conversation',264,0,60),
 (286,0,1855549,'object/mobile/drall_female.iff',0,0,0,0,17.2826,1.28309,-12.8404,15,'conversation',264,0,60),
 (287,0,1855549,'object/mobile/dressed_artisan_trainer_02.iff',0,0,0,0,17.2826,1.28309,-11.8404,15,'conversation',264,0,60),
 (288,0,1855548,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0,0,0,7.44572,1.00001,-8.00652,15,'conversation',264,0,60),
 (289,0,1855548,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,7.44572,1.00001,-6.90652,15,'conversation',264,0,60),
 (290,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,0.987562,0,-0.157228,-258.479,28,-4620,15,'calm',264,0,60),
 (291,0,1855484,'object/mobile/dressed_noble_old_twk_female_02.iff',-1.08359e-07,6.05867e-06,6.56508e-13,1,11.9421,1.75,-19.8404,15,'conversation',264,0,60),
 (292,0,1855484,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',-1.08393e-07,2.60227e-06,2.82069e-13,1,-9.42234,1.75,-19.8259,15,'conversation',264,0,60),
 (293,0,1855484,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',-2.78818e-13,1,1.08389e-07,2.57238e-06,-9.42234,1.75,-18.7259,15,'conversation',264,0,60),
 (294,0,1855484,'object/mobile/dressed_corsec_officer_human_male_01.iff',-2.93304e-08,0.923864,7.08017e-08,0.382721,-10.5223,1.75,-18.7259,15,'conversation',264,0,60),
 (295,0,1855484,'object/mobile/space_privateer_tier2_corellia.iff',-0.000421129,0.249193,-0.0016364,0.968452,0.180826,1.75,-21.4842,15,'neutral',264,0,60),
 (296,0,1855484,'object/mobile/dressed_commoner_naboo_human_male_03.iff',0,0.902792,0,0.430077,11.9421,1.75,-18.7404,15,'calm',264,0,60),
 (297,0,1855477,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,-5.18331e-06,0,1,17.3045,2.25,18.2968,15,'conversation',264,0,60),
 (298,0,1855477,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,1,0,-5.17148e-06,17.3045,2.25,19.3968,15,'conversation',264,0,60),
 (299,0,1855477,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',0,0.923876,0,0.382692,16.2045,2.25,19.3968,15,'conversation',264,0,60),
 (300,0,1855483,'object/mobile/space_privateer_tier1_corellia.iff',0.0405324,0.00890323,0.002878,0.999134,1.70956,1.75,-14.1406,15,'neutral',264,0,60),
 (301,0,1855470,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',-1.78843e-07,3.81531e-06,6.90428e-13,1,37.1168,1.29422,-4.41488,15,'conversation',264,0,60),
 (302,0,1855470,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',-4.58651e-13,1,1.1919e-07,3.81408e-06,37.1168,1.29422,-3.41488,15,'conversation',264,0,60),
 (303,0,1855469,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,-2.58233e-06,0,1,21.8079,3.22324,25.517,15,'conversation',264,0,60),
 (304,0,1855469,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,1,0,-2.56524e-06,21.8079,3.22324,26.617,15,'conversation',264,0,60),
 (305,0,1855468,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',-3.25173e-07,2.58767e-06,8.41439e-13,1,-20.2743,3.22324,21.681,15,'conversation',264,0,60),
 (306,0,1855468,'object/mobile/dressed_corsec_detective_human_male_01.iff',-8.49676e-13,1,3.25175e-07,2.61298e-06,-20.2743,3.22324,22.781,15,'conversation',264,0,60),
 (307,0,1855468,'object/mobile/drall_male.iff',-8.79935e-08,0.923862,2.12407e-07,0.382727,-21.3743,3.22324,22.781,15,'conversation',264,0,60),
 (308,0,1855463,'object/mobile/dressed_criminal_thug_zabrak_female_01.iff',-6.50362e-07,5.9138e-07,3.84611e-13,1,-1.72746,7.9,-32.175,15,'conversation',264,0,60),
 (309,0,1855463,'object/mobile/dressed_hutt_medic2_twilek_male_01.iff',-3.4914e-13,1,6.50334e-07,5.36863e-07,-1.72746,7.9,-31.075,15,'conversation',264,0,60),
 (310,0,1855463,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',-0.000148388,-2.6248e-06,-3.8949e-10,1,-18.6014,1.30259,-11.3146,15,'conversation',264,0,60),
 (311,0,1855463,'object/mobile/dressed_criminal_pirate_human_male_01.iff',-3.8552e-10,1,-0.000147899,-2.60664e-06,-18.6014,1.30292,-10.2146,15,'conversation',264,0,60),
 (312,0,1855463,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',3.52262e-07,2.38194e-06,-8.39068e-13,1,5.22842,0.3,2.91677,15,'conversation',264,0,60),
 (313,0,1855463,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',8.46238e-13,1,-3.52282e-07,2.40216e-06,5.22842,0.3,4.01677,15,'conversation',264,0,60),
 (314,0,1855463,'object/mobile/dressed_noble_fat_zabrak_male_02.iff',9.53288e-08,0.923859,-2.3011e-07,0.382732,4.12842,0.3,4.01677,15,'conversation',264,0,60),
 (315,0,1855463,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',3.52258e-07,2.71127e-06,-9.55065e-13,1,0.767877,0.3,-4.00219,15,'conversation',264,0,60),
 (316,0,1855463,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',9.58166e-13,1,-3.52286e-07,2.71985e-06,0.767877,0.3,-2.90219,15,'conversation',264,0,60),
 (317,0,1855463,'object/mobile/dressed_corsec_pilot_human_male_01.iff',9.533e-08,0.923858,-2.30111e-07,0.382735,-0.332123,0.3,-2.90219,15,'conversation',264,0,60),
 (318,0,1855463,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',2.30104e-07,0.382717,-9.53218e-08,0.923866,-0.332123,0.3,-4.00219,15,'conversation',264,0,60),
 (319,0,1855463,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-4.89684e-07,-0.131264,-6.48387e-08,0.991347,5.43518,2.27819,-27.0615,15,'conversation',264,0,60),
 (320,0,1855463,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',-6.48008e-08,0.991353,4.89549e-07,0.131224,5.18395,2.27819,-26.1292,15,'conversation',264,0,60),
 (321,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-215.7,0,-4509.8,25,'neutral',128,0,180),
 (322,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-204.7,0,-4509.8,25,'neutral',128,0,180),
 (323,0,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.630663,0,0.776057,-239.932,28,-4522.15,15,'calm',264,0,60),
 (324,0,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0.00729651,0.978333,0.0350052,-0.203924,-202.143,28,-4504.32,15,'calm',264,0,60),
 (325,0,0,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',0,0.555097,0,0.831785,-306.34,28,-4620.82,15,'calm',264,0,60),
 (326,0,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.998454,0,-0.0555898,-195.909,28,-4451.7,15,'calm',264,0,60),
 (327,0,0,'object/mobile/dressed_herald_corellia_02.iff',0,0.684094,0,0.729394,-185.082,28,-4460.71,15,'calm',264,0,60),
 (328,0,0,'object/mobile/dressed_rebel_general_moncal_male_01.iff',0,0.24657,0,0.969125,-213.642,28,-4445.46,15,'calm',264,0,60),
 (329,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,-0.65752,0,0.753437,-324.144,28,-4442.29,15,'neutral',264,0,60),
 (330,0,0,'object/mobile/dressed_noble_rodian_male_01.iff',0,0.957025,0,-0.290005,6724.41,330,-5909.35,15,'calm',264,0,60),
 (331,0,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.920505,0,0.390731,6663.8,330,-5913.3,15,'neutral',264,0,60),
 (332,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6699.38,0,-5809.72,25,'neutral',128,0,180),
 (333,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6646.02,0,-5931.59,25,'neutral',128,0,180),
 (334,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6644.26,0,-5937.08,25,'neutral',128,0,180),
 (335,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6649.56,0,-5935.6,25,'neutral',128,0,180),
 (336,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6707.89,0,-5814.25,25,'neutral',128,0,180),
 (337,0,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,6650.38,0,-5938.43,42,'neutral',128,0,180),
 (338,0,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,6648.54,0,-5939.32,29,'neutral',128,0,180),
 (339,0,0,'object/mobile/r4.iff',0,0,0,1,6715.38,330,-5903.81,15,'calm',264,0,60),
 (340,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6685.7,0,-5943.3,25,'neutral',128,0,180),
 (341,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,6718.1,0,-5869.6,35,'neutral',128,0,180),
 (342,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6708,0,-5869.7,25,'neutral',128,0,180),
 (343,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,6712.78,0,-5810.38,31,'neutral',128,0,180),
 (344,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.285802,0,0.958289,6735,315,-5806.36,15,'neutral',264,0,60),
 (345,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.0463163,0,0.998927,6735,315,-5806.36,15,'neutral',264,0,60),
 (346,0,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,6752.1,0,-5823.5,29,'neutral',128,0,180),
 (347,0,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,0.998048,0,-0.0624524,6830.18,314.823,-5816.91,15,'npc_imperial',264,0,60),
 (348,0,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,-0.342834,0,0.939396,6829.48,315,-5813.46,15,'calm',264,0,60),
 (349,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0,0,0,6820.49,0,-5743.53,9,'neutral',128,0,180),
 (350,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6826.7,0,-5820.68,25,'neutral',128,0,180),
 (351,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,-0.403991,0,0.914763,6832.36,314.758,-5811.93,15,'neutral',264,0,60),
 (352,0,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,0.77435,0,0.632758,6760.75,315,-5733.05,15,'calm',264,0,60),
 (353,0,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,-0.627548,0,0.778578,6808.93,315,-5779.16,15,'calm',264,0,60),
 (354,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6837.95,0,-5806.84,25,'neutral',128,0,180),
 (355,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0,0,0,6832.21,0,-5811.19,9,'neutral',128,0,180),
 (356,0,0,'object/mobile/eg6_power_droid.iff',0,0.99843,0,0.0560153,6825.9,315,-5791.64,15,'calm',264,0,60),
 (357,0,3375367,'object/mobile/dressed_imperial_officer_m_5.iff',-1.02597e-06,-0.000100559,-1.03171e-10,1,-42.3991,0.105009,-24.3411,15,'conversation',264,0,60),
 (358,0,3375367,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',9.97002e-11,1,1.02623e-06,-9.71516e-05,-42.3991,0.105009,-23.2411,15,'conversation',264,0,60),
 (359,0,3375367,'object/mobile/dressed_hutt_medic2_twilek_male_01.iff',-2.80443e-07,0.92389,6.77103e-07,0.382657,-43.4991,0.105009,-23.2411,15,'conversation',264,0,60),
 (360,0,3375365,'object/mobile/dressed_ging_darjeek.iff',0,0.961255,0,0.275662,-24.6629,-0.519991,7.12104,15,'calm',264,0,60),
 (361,0,3375361,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',-3.92788e-06,1.67001e-05,6.55958e-11,1,-5.46842,-0.894998,20.8012,15,'conversation',264,0,60),
 (362,0,3375361,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',-6.0265e-11,1,3.08881e-06,1.95108e-05,-5.46842,-0.894996,21.9012,15,'conversation',264,0,60),
 (363,0,3375361,'object/mobile/dressed_commoner_old_twilek_male_02.iff',-8.5783e-07,0.92387,2.07083e-06,0.382708,-6.56842,-0.894996,21.9012,15,'conversation',264,0,60),
 (364,0,3375359,'object/mobile/dressed_palejo_reshad.iff',0,0.824828,0,0.565384,1.05969,-0.894992,21.2156,15,'calm',264,0,60),
 (365,0,3375356,'object/mobile/dressed_bountyhunter_trainer_04.iff',-3.33191e-06,-6.15497e-05,-2.05078e-10,1,21.6023,-0.894996,-18.5913,15,'conversation',264,0,60),
 (366,0,3375356,'object/mobile/dressed_criminal_assassin_human_male_01.iff',1.99678e-10,1,3.38687e-06,-5.89566e-05,21.6023,-0.894996,-17.4913,15,'conversation',264,0,60),
 (367,0,3375355,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.688355,0,0.725374,8.54,-0.894992,0.14,15,'neutral',264,0,60),
 (368,0,3375355,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,-0.179634,0,0.983734,-10.2935,-0.895782,7.13264,15,'calm',264,0,60),
 (369,0,3375355,'object/mobile/dressed_noble_human_female_02.iff',0,0.828073,0,-0.56062,5.80982,-0.894992,-5.41349,15,'calm',264,0,60),
 (370,0,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,6845.3,0,-5826.8,1,'neutral',128,0,180),
 (371,0,0,'object/mobile/cll8_binary_load_lifter.iff',0,0,0,1,6826.88,315,-5778.01,15,'calm',264,0,60),
 (372,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.958923,0,0.283666,6846.25,317.5,-5789.3,15,'neutral',264,0,60),
 (373,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.966099,0,-0.258172,6798.04,315,-5731.94,15,'calm',264,0,60),
 (374,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6852.9,0,-5826.9,25,'neutral',128,0,180),
 (375,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6837.4,0,-5774,25,'neutral',128,0,180),
 (376,0,0,'object/mobile/dressed_grondorn_muse.iff',0,0.72703,0,-0.686605,6838.16,315,-5767.67,15,'calm',264,0,60),
 (377,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.997324,0,0.0731146,6829.32,315,-5745.5,15,'calm',264,0,60),
 (378,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6852,0,-5831.51,25,'neutral',128,0,180),
 (379,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.0306345,0,0.999531,6761.43,315,-5695.98,15,'calm',264,0,60),
 (380,0,0,'object/mobile/dressed_corvette_rebel_pashna.iff',0,0.842094,0,-0.539331,6772.57,315,-5697.8,15,'calm',264,0,60),
 (381,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6819.9,0,-5720.1,25,'neutral',128,0,180),
 (382,0,0,'object/mobile/dressed_criminal_thug_rodian_female_01.iff',0,-0.0354561,0,0.999371,6871.34,315,-5753.42,15,'calm',264,0,60),
 (383,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.528572,0,0.848888,6775.44,315,-5690.23,15,'neutral',264,0,60),
 (384,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,-0.183405,0,0.983037,6867.23,315,-5758.29,15,'calm',264,0,60),
 (385,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6794.42,0,-5696.6,25,'neutral',128,0,180),
 (386,0,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,6853.17,0,-5696.6,42,'neutral',128,0,180),
 (387,0,0,'object/mobile/r2.iff',0,0,0,1,6857.06,315,-5702.8,15,'calm',264,0,60),
 (388,0,2365770,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (389,0,2365769,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (390,0,0,'object/mobile/dark_trooper.iff',0,0.902585,0,-0.430511,6749.3,315,-5684,15,'neutral',264,0,60),
 (391,0,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.995255,0,0.0973025,6740.98,315,-5674.9,15,'calm',264,0,60),
 (392,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6748.9,0,-5665.2,25,'neutral',128,0,180),
 (393,0,0,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,0.459046,0,0.888413,6847.34,315,-5617.89,15,'calm',264,0,60),
 (394,0,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.863178,0,0.5049,6829.04,315,-5626.01,15,'calm',264,0,60),
 (395,0,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.932315,0,0.361648,6810.15,315,-5699.05,15,'calm',264,0,60),
 (396,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6825.35,0,-5620.37,25,'neutral',128,0,180),
 (397,0,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.93793,0,0.346824,6755.2,314.926,-5625.98,15,'calm',264,0,60),
 (398,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6855,0,-5609.3,25,'neutral',128,0,180),
 (399,0,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.804417,0,-0.594065,6832.06,315,-5606.82,15,'calm',264,0,60),
 (400,0,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,-0.477069,0,0.878866,6821.55,314.999,-5611.9,15,'calm',264,0,60),
 (401,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,6842.92,0,-5604.11,25,'neutral',128,0,180),
 (402,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,6823.92,0,-5597.88,31,'neutral',128,0,180),
 (403,0,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,0.460504,0,0.887658,6846.25,315,-5588.75,15,'calm',264,0,60),
 (404,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.966424,0,0.256954,6834.25,315,-5577.61,15,'calm',264,0,60),
 (405,0,0,'object/mobile/dressed_imperial_officer_m_3.iff',0,0,0,0,6908.17,0,-5608.54,19,'neutral',128,0,180),
 (406,0,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,6909.29,0,-5606.48,17,'neutral',128,0,180),
 (407,0,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,-0.567139,0,0.823622,6896.18,330,-5577.91,15,'calm',264,0,60),
 (408,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,1,0,0,3300.28,308,5496.49,15,'conversation',264,0,60),
 (409,0,9665364,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',6.31865e-06,-4.76879e-05,3.00953e-10,1,-62.5737,2.63942,40.0043,15,'conversation',264,0,60),
 (410,0,9665364,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',9.65906e-11,1,-6.31819e-06,1.5259e-05,-62.5737,2.63942,41.0043,15,'conversation',264,0,60),
 (411,0,9665365,'object/mobile/dressed_noble_twilek_male_01.iff',0,0.874547,0,-0.48494,47.5747,0.974633,22.0108,15,'calm',264,0,60),
 (412,0,9665359,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0.808987,0,0.587827,52.3124,0.639417,48.2148,15,'calm',264,0,60),
 (413,0,9665359,'object/mobile/dressed_commoner_naboo_human_male_01.iff',5.55502e-06,3.4686e-06,-1.92681e-11,1,36.7068,0.639417,39.346,15,'neutral',264,0,60),
 (414,0,9665359,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',2.14783e-10,1,-5.63424e-06,3.81211e-05,36.7068,0.639417,40.446,15,'conversation',264,0,60),
 (415,0,9665366,'object/mobile/space_chassis_broker_04.iff',0,0.237703,0,0.971338,-56.6993,0.974563,8.57384,15,'neutral',264,0,60),
 (416,0,9665356,'object/mobile/dressed_corsec_captain_human_female_01.iff',-5.09364e-06,-3.1641e-05,-1.61168e-10,1,-4.68154,0.639424,59.8856,15,'conversation',264,0,60),
 (417,0,9665356,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',-1.51863e-11,1,4.95775e-06,3.06313e-06,-4.68154,0.639424,60.9856,15,'conversation',264,0,60),
 (418,0,9665356,'object/mobile/drall_male.iff',-1.34155e-06,0.923884,3.2389e-06,0.382672,-5.78154,0.639424,60.9856,15,'conversation',264,0,60),
 (419,0,9665356,'object/mobile/dressed_criminal_assassin_human_female_01.iff',-6.67547e-06,2.08608e-05,1.38819e-10,1,1.28595,0.639421,66.8733,15,'conversation',264,0,60),
 (420,0,9665356,'object/mobile/drall_male.iff',1.5904e-10,1,6.64612e-06,-2.39618e-05,1.28595,0.639422,67.8733,15,'conversation',264,0,60),
 (421,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,-0.167499,0,0.985872,3320.73,324,5709.36,15,'calm',264,0,60),
 (422,0,0,'object/mobile/dressed_scolex_grath.iff',0,0.812748,0,-0.582615,3347.39,308,5490.74,15,'calm',264,0,60),
 (423,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.0289376,0,0.999581,3316.17,308,5496.71,15,'calm',264,0,60),
 (424,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.920907,0,-0.389782,3307.64,308.031,5618.18,15,'calm',264,0,60),
 (425,0,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.960549,0,-0.27811,3357.46,308,5639.47,15,'calm',264,0,60),
 (426,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.957357,0,0.288907,3322.09,308,5484.42,15,'calm',264,0,60),
 (427,0,0,'object/mobile/dressed_commoner_naboo_human_female_07.iff',0,0.969405,0,-0.245467,3411.89,308,5515.19,15,'calm',264,0,60),
 (428,0,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0.874868,0,-0.484362,3414.81,308,5624.67,15,'calm',264,0,60),
 (429,0,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.984624,0,0.174685,3431.28,308,5563.41,15,'calm',264,0,60),
 (430,0,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.878945,0,0.476922,3297.95,308,5563.09,15,'neutral',264,0,60),
 (431,0,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.837471,0,0.546482,3362.39,308,5513.99,15,'npc_imperial',264,0,60),
 (432,0,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,0.740573,0,0.671976,3361.35,308,5483.26,15,'npc_imperial',264,0,60),
 (433,0,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,0.857306,0,-0.514807,3367.38,308,5495.93,15,'npc_imperial',264,0,60),
 (434,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,0.898512,0,-0.438949,3277.95,300,5438.73,15,'calm',264,0,60),
 (435,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,-0.681788,0,0.73155,3308.36,300,5396.79,15,'calm',264,0,60),
 (436,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.821894,0,-0.569641,3240.99,300,5415.5,15,'calm',264,0,60),
 (437,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,0.957897,0,0.287113,3199.22,300,5449.92,15,'calm',264,0,60),
 (438,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,-0.349856,0,0.936803,3303.05,300,5351.87,15,'calm',264,0,60),
 (439,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0.6514,0,0.758734,3159.78,300,5397.22,15,'calm',264,0,60),
 (440,0,4345355,'object/mobile/stormtrooper.iff',0,0,0,0,-8.45502,0.184067,-12.51,25,'neutral',128,0,180),
 (441,0,4345354,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-7.39196e-06,-6.10433e-05,-4.51488e-10,1,-3.23192,0.184067,-5.20004,15,'conversation',264,0,60),
 (442,0,4345354,'object/mobile/dressed_corsec_pilot_human_female_01.iff',4.51439e-10,1,7.38333e-06,-6.10335e-05,-3.23192,0.184067,-4.20004,15,'conversation',264,0,60),
 (443,0,4345354,'object/mobile/21b_surgical_droid.iff',0,0.903537,0,-0.42851,-1.19,0.184067,-1.89,15,'calm',264,0,60),
 (444,0,0,'object/mobile/dressed_noble_fat_zabrak_male_02.iff',0,0.647948,0,0.761685,3158.95,300,5352.24,15,'calm',264,0,60),
 (445,0,3075441,'object/mobile/dressed_bountyhunter_trainer_01.iff',-1.02625e-06,2.59593e-05,2.66407e-11,1,-42.098,0.105009,-24.1786,15,'conversation',264,0,60),
 (446,0,3075441,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',5.69479e-11,1,1.02619e-06,-5.54944e-05,-42.098,0.105009,-23.0786,15,'conversation',264,0,60),
 (447,0,3075439,'object/mobile/dressed_coraline_dynes.iff',0,0.404659,0,0.914468,-24.3937,-0.519991,10.5457,15,'calm',264,0,60),
 (448,0,3075432,'object/mobile/dressed_jadam_questrel.iff',0,0.752114,0,-0.659034,9.77643,-0.894992,-14.4836,15,'calm',264,0,60),
 (449,0,3075430,'object/mobile/dressed_corsec_captain_human_female_01.iff',-3.49454e-06,5.37354e-05,1.87781e-10,1,21.878,-0.894997,-15.7126,15,'conversation',264,0,60),
 (450,0,3075430,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',-1.84568e-10,1,3.54958e-06,5.19971e-05,21.878,-0.894997,-14.6126,15,'conversation',264,0,60),
 (451,0,3075429,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0.992784,0,0.119921,-4.00542,-0.894992,-2.41,15,'neutral',264,0,60),
 (452,0,3075429,'object/mobile/dressed_corsec_officer_human_male_01.iff',-1.46014e-06,-2.6223e-05,-3.83663e-11,1,8.35364,-0.894992,6.38149,15,'conversation',264,0,60),
 (453,0,3075429,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',-9.09448e-11,1,1.5498e-06,5.8654e-05,8.35364,-0.894992,7.38149,15,'conversation',264,0,60),
 (454,0,3075427,'object/mobile/dressed_corsec_detective_human_male_01.iff',-5.26175e-06,2.08612e-05,1.09766e-10,1,40.8822,0.104999,2.22818,15,'conversation',264,0,60),
 (455,0,3075427,'object/mobile/dressed_criminal_slicer_human_male_01.iff',-1.00343e-10,1,5.2604e-06,1.90752e-05,40.8822,0.104999,3.32819,15,'conversation',264,0,60),
 (456,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.910284,0,0.413984,3190.76,300,5269.61,15,'calm',264,0,60),
 (457,0,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.99713,0,0.0757099,3139.88,300,5247.41,15,'calm',264,0,60),
 (458,0,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.893529,0,-0.449006,3179.26,300,5213.19,15,'calm',264,0,60),
 (459,0,0,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,0.939886,0,-0.341489,3108.26,300,5229.01,15,'calm',264,0,60),
 (460,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0.97299,0,0.230848,3117.25,300,5194.73,15,'calm',264,0,60),
 (461,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0,0,1,3154.04,300,5172.07,15,'conversation',264,0,60),
 (462,0,0,'object/mobile/dressed_corsec_captain_human_female_01.iff',0,1,0,0,3154.04,300,5173.07,15,'conversation',264,0,60),
 (463,0,3075361,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (464,0,3075360,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (465,0,3075353,'object/mobile/dressed_corran_horn.iff',0,0.972031,0,0.234851,-2.80228,2.5,12.1046,15,'calm',264,0,60),
 (466,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.424623,0,0.90537,3103.05,300,5164.17,15,'calm',264,0,60),
 (467,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0,0,1,3184.22,300,5162.04,15,'conversation',264,0,60),
 (468,0,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,1,0,0,3184.22,300,5163.04,15,'conversation',264,0,60),
 (469,0,0,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,-0.599489,0,0.800383,3048.86,300,5196.51,15,'calm',264,0,60),
 (470,0,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.99655,0,-0.0829962,3192.45,302.606,5113.34,15,'calm',264,0,60),
 (471,0,0,'object/mobile/dark_trooper.iff',0,-0.648965,0,0.760818,3170.4,301.801,5100.6,15,'npc_imperial',264,0,60),
 (472,0,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.992085,0,0.125569,3191.1,290,5021.3,15,'neutral',264,0,60),
 (473,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,3169.44,0,5102.07,25,'neutral',128,0,180),
 (474,0,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.999452,0,0.0331135,3193.15,290.013,5040.79,15,'npc_imperial',264,0,60),
 (475,0,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',-0.0856086,-4.20834e-10,-4.89774e-09,0.996329,3196.61,295.033,5073.8,15,'conversation',264,0,60),
 (476,0,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,0.994296,0,0.106654,3198.2,290.356,5047.05,15,'npc_imperial',264,0,60),
 (477,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,3197.73,0,5049.23,25,'neutral',128,0,180),
 (478,0,3075372,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.836923,0,-0.547321,-24,1.6,-4,15,'calm',264,0,60),
 (479,0,3075367,'object/mobile/dressed_bountyhunter_trainer_03.iff',4.60537e-06,8.84009e-05,-4.07119e-10,1,17.1745,1.28309,-13.1361,15,'conversation',264,0,60),
 (480,0,3075367,'object/mobile/dressed_corsec_detective_human_male_01.iff',3.95316e-10,1,-4.60584e-06,8.58292e-05,17.1745,1.28309,-12.0361,15,'conversation',264,0,60),
 (481,0,3075366,'object/mobile/dressed_mercenary_messanger_hum_m.iff',3.30551e-06,4.01431e-05,-1.32693e-10,1,7.8197,1.00001,-7.0104,15,'conversation',264,0,60),
 (482,0,3075366,'object/mobile/dressed_corsec_captain_human_female_01.iff',1.31785e-10,1,-3.57659e-06,3.68465e-05,7.8197,1.00001,-5.9104,15,'conversation',264,0,60),
 (483,0,3075366,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',-1.95076e-06,5.13505e-05,1.00172e-10,1,-4.31306,0.999965,5.16959,15,'conversation',264,0,60),
 (484,0,3075366,'object/mobile/dressed_commoner_old_human_male_02.iff',-3.03929e-10,1,6.31332e-06,4.81409e-05,-4.31306,0.999956,6.26959,15,'conversation',264,0,60),
 (485,0,3075366,'object/mobile/dressed_corsec_officer_human_female_01.iff',-2.01636e-06,0.923861,4.86724e-06,0.382729,-5.41306,0.999953,6.26959,15,'conversation',264,0,60),
 (486,0,3075366,'object/mobile/dressed_rebel_army_captain_zabrak_female.iff',0,0.188859,0,0.982004,-1.1331,0.999991,1.50214,15,'neutral',264,0,60),
 (487,0,3075366,'object/mobile/dressed_rebel_army_captain_human_male_01.iff',0,-0.119712,0,0.992809,0.861081,0.999995,2.33215,15,'neutral',264,0,60),
 (488,0,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',-0.00456224,-1.06633e-12,-2.33726e-10,0.99999,3145.1,289.991,4994.55,15,'conversation',264,0,60),
 (489,0,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',1.81425e-10,0.99999,-0.00456224,8.27712e-13,3145.1,290,4995.55,15,'conversation',264,0,60),
 (490,0,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.253035,0,0.967457,3202.3,290,5034.41,15,'calm',264,0,60),
 (491,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0.713619,0,0.700534,3112.45,281.347,4982.51,15,'calm',264,0,60),
 (492,0,0,'object/mobile/dressed_corsec_captain_human_female_01.iff',0,0.804815,0,-0.593526,3112.43,280.843,4981.38,15,'calm',264,0,60),
 (493,0,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,1,0,0,3202.28,290,4989.06,15,'conversation',264,0,60),
 (494,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,0.788111,0,-0.615533,3162.05,290,4966.73,15,'calm',264,0,60),
 (495,0,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0,0,1,3202.28,290,4988.06,15,'conversation',264,0,60),
 (496,0,0,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0,0.931426,0,-0.36393,3204.19,290,5003.32,15,'calm',264,0,60),
 (497,0,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.986259,0,0.165209,3199.99,290,4992.48,15,'npc_imperial',264,0,60),
 (498,0,0,'object/mobile/dark_trooper.iff',0,-0.018519,0,0.999829,3200.02,290,5032.75,15,'npc_imperial',264,0,60),
 (499,0,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',-7.58329e-09,0.996329,-0.0856086,-6.51587e-10,3196.61,295.206,5074.8,15,'conversation',264,0,60),
 (500,0,3055771,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (501,0,3055767,'object/mobile/dressed_artisan_trainer_02.iff',0,0.0958458,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (502,0,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0,0,1,3300.28,308,5495.49,15,'conversation',264,0,60),
 (503,0,4395404,'object/mobile/dressed_commoner_naboo_human_female_03.iff',-3.6843e-06,4.33288e-05,1.59636e-10,1,-21.8263,2.12878,73.7963,15,'conversation',264,0,60),
 (504,0,4395404,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',-1.88507e-10,1,3.68506e-06,5.11545e-05,-21.8263,2.12878,74.8963,15,'conversation',264,0,60),
 (505,0,4395404,'object/mobile/dressed_mercenary_messanger_hum_f.iff',-9.97194e-07,0.923859,2.40707e-06,0.382733,-22.9263,2.12878,74.8963,15,'conversation',264,0,60),
 (506,0,4395404,'object/mobile/dressed_villain_trandoshan_male_01.iff',-4.05361e-06,9.17593e-19,2.26365e-13,1,-20.4229,2.12878,64.9439,15,'conversation',264,0,60),
 (507,0,4395404,'object/mobile/dressed_commoner_artisan_bith_male_01.iff',2.55132e-10,1,4.05299e-06,-6.29406e-05,-20.4229,2.12878,65.9439,15,'conversation',264,0,60),
 (508,0,4395403,'object/mobile/dressed_corsec_pilot_human_male_01.iff',-4.17236e-06,3.67167e-05,1.52939e-10,1,3.96145,2.12878,75.4149,15,'conversation',264,0,60),
 (509,0,4395403,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',-1.34212e-10,1,4.17178e-06,3.21823e-05,3.96145,2.12878,76.4149,15,'conversation',264,0,60),
 (510,0,4395403,'object/mobile/dressed_noble_fat_human_male_02.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (511,0,4395403,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (512,0,4395402,'object/mobile/dressed_noble_fat_human_female_02.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (513,0,4395401,'object/mobile/dressed_noble_old_zabrak_female_01.iff',0.0457469,2.44968e-05,-1.12183e-06,0.998953,15.2654,2.47978,23.7759,15,'conversation',264,0,60),
 (514,0,4395401,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',-1.35884e-06,0.998953,0.0457468,2.96725e-05,15.2654,2.37968,24.8667,15,'conversation',264,0,60),
 (515,0,4395401,'object/mobile/dressed_mercenary_weak_hum_f.iff',-2.60096e-06,-7.75799e-05,-2.01783e-10,1,-0.629707,2.6,2.33132,15,'conversation',264,0,60),
 (516,0,4395401,'object/mobile/dressed_artisan_trainer_01.iff',1.81455e-10,1,2.60094e-06,-6.9765e-05,-0.629707,2.6,3.43132,15,'conversation',264,0,60),
 (517,0,4395401,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0.0457546,-2.88184e-05,1.31996e-06,0.998953,-17.5346,0.765493,42.402,15,'conversation',264,0,60),
 (518,0,4395401,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',1.36196e-06,0.998953,0.0457388,-2.97458e-05,-17.5346,0.665389,43.4928,15,'conversation',264,0,60),
 (519,0,4395401,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0.0457474,4.17903e-05,-1.91111e-06,0.998953,-14.8394,2.41844,24.4443,15,'conversation',264,0,60),
 (520,0,4395401,'object/mobile/dressed_criminal_slicer_human_female_01.iff',2.92754e-06,0.998954,0.0457367,-6.38893e-05,-14.8394,2.32744,25.4359,15,'conversation',264,0,60),
 (521,0,4395401,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0.0457417,4.61066e-05,-2.10638e-06,0.998953,25.4426,0.746078,42.666,15,'conversation',264,0,60),
 (522,0,4395401,'object/mobile/dressed_commoner_naboo_human_male_02.iff',2.20719e-07,0.998954,0.0457322,-4.80342e-06,25.4426,0.655075,43.6577,15,'conversation',264,0,60),
 (523,0,4395397,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-3.0701e-06,-7.15363e-05,-2.19539e-10,1,-23.9134,0.6,-4.15254,15,'conversation',264,0,60),
 (524,0,4395397,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',-2.43167e-10,1,3.07018e-06,7.91689e-05,-23.9134,0.6,-3.15254,15,'conversation',264,0,60),
 (525,0,4395396,'object/mobile/dressed_artisan_trainer_01.iff',-2.8177e-06,-0.00010538,-2.96929e-10,1,-1.72179,0.6,-4.05766,15,'conversation',264,0,60),
 (526,0,4395396,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',2.74999e-10,1,2.8177e-06,-9.7597e-05,-1.72179,0.6,-2.95766,15,'conversation',264,0,60),
 (527,0,0,'object/mobile/durni_hue.iff',0,0.715041,0,-0.699082,3473.19,309.009,5717.85,15,'calm',264,0,60),
 (528,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.972293,0,0.233766,3482.36,309.006,5712.4,15,'calm',264,0,60),
 (529,0,0,'object/mobile/durni_hue.iff',0,-0.192989,0,0.981201,3464.33,309.251,5720.29,15,'calm',264,0,60),
 (530,0,0,'object/mobile/corellian_butterfly_hue.iff',0,-0.100131,0,0.994974,3475.82,309.942,5734.79,15,'calm',264,0,60),
 (531,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.679327,0,0.733835,3477.88,309.241,5727.85,15,'calm',264,0,60),
 (532,0,0,'object/mobile/gubbur_hue.iff',0,-0.0591418,0,0.99825,3478.56,309.042,5721.79,15,'calm',264,0,60),
 (533,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,0.852783,0,-0.522265,3385.33,308,5699.29,15,'calm',264,0,60),
 (534,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.989295,0,-0.145932,3296.88,324,5760.95,15,'calm',264,0,60),
 (535,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.0744628,0,0.997224,3278.87,324.625,5697.75,15,'calm',264,0,60),
 (536,0,0,'object/mobile/corellian_butterfly_hue.iff',0,-0.666381,0,0.745612,3263.87,326.357,5698.72,15,'calm',264,0,60),
 (537,0,0,'object/mobile/durni_hue.iff',0,-0.526091,0,0.850428,3266.38,325.985,5695.38,15,'calm',264,0,60),
 (538,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.908483,0,-0.417922,3260.03,326.808,5697.78,15,'calm',264,0,60),
 (539,0,0,'object/mobile/gubbur_hue.iff',0,0.532096,0,0.846684,3259.94,326.817,5697.71,15,'calm',264,0,60),
 (540,0,0,'object/mobile/corellian_butterfly_hue.iff',0,-0.0758312,0,0.997121,3259.6,324.839,5683.04,15,'calm',264,0,60),
 (541,0,0,'object/mobile/corellian_butterfly_hue.iff',0,-0.637269,0,0.770641,3204.82,364.451,5589.5,15,'calm',264,0,60),
 (542,0,0,'object/mobile/durni_hue.iff',0,0.999611,0,-0.0278912,3195.58,368.998,5598.72,15,'calm',264,0,60),
 (543,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.766321,0,0.642458,3193.84,368.834,5608.43,15,'calm',264,0,60),
 (544,0,0,'object/mobile/durni_hue.iff',0,0.967425,0,0.253156,3206.44,368.815,5599.84,15,'calm',264,0,60),
 (545,0,0,'object/mobile/durni_hue.iff',0,0.984941,0,-0.172888,3207.18,368.999,5605.01,15,'calm',264,0,60),
 (546,0,0,'object/mobile/durni_hue.iff',0,0.717392,0,0.69667,3201.33,368.666,5598.62,15,'calm',264,0,60),
 (547,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.51878,0,0.854908,3159,363.952,5585.07,15,'calm',264,0,60),
 (548,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-3074,0,2825,60,'neutral',128,0,180),
 (549,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-3093,0,2803,32,'neutral',128,0,180),
 (550,0,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0.994522,0,0.104528,-3112,31,2814,15,'neutral',264,0,60),
 (551,0,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,-0.0477692,0,0.998858,-3225.11,32.2567,2816.51,15,'calm',264,0,60),
 (552,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0,0,1,-3159.35,31,2813.02,15,'conversation',264,0,60),
 (553,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,1,0,1.95143e-08,-3177.78,31,2891.03,15,'conversation',264,0,60),
 (554,0,4255431,'object/mobile/dressed_corsec_detective_human_female_01.iff',5.40039e-07,0.00164518,-8.88462e-10,0.999999,-62.2367,2.63942,39.7337,15,'conversation',264,0,60),
 (555,0,4255431,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',-9.02631e-10,0.999999,-5.40089e-07,-0.00167126,-62.2331,2.63942,40.8373,15,'conversation',264,0,60),
 (556,0,4255426,'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff',-2.43838e-07,-5.55386e-05,-1.35425e-11,1,45.9927,-0.521138,34.7512,15,'conversation',264,0,60),
 (557,0,4255426,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',6.21774e-12,1,2.98046e-07,-2.08617e-05,45.9927,-0.521138,35.8512,15,'conversation',264,0,60),
 (558,0,4255426,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',-1.09979e-07,0.923876,2.65506e-07,0.382691,44.8927,-0.521138,35.8512,15,'conversation',264,0,60),
 (559,0,4255433,'object/mobile/space_chassis_broker_02.iff',0,0.109778,0,0.993956,-56.7101,0.974563,8.33237,15,'neutral',264,0,60),
 (560,0,4255423,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',-1.38506e-13,1,1.35452e-07,1.02255e-06,0.68378,0.639421,62.1666,15,'conversation',264,0,60),
 (561,0,4255423,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,0.71666,0,-0.697422,0.68378,0.639421,61.0666,15,'calm',264,0,60),
 (562,0,0,'object/mobile/dressed_criminal_thug_human_male_01.iff',0,1.42369e-08,0,1,-3162.17,31,2902.28,15,'conversation',264,0,60),
 (563,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,-2.95947e-08,0,1,-3177.78,31,2889.93,15,'conversation',264,0,60),
 (564,0,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,1,0,0,-3162.17,31,2903.38,15,'conversation',264,0,60),
 (565,0,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.92388,0,0.382683,-3163.27,31,2903.38,15,'conversation',264,0,60),
 (566,0,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,0.382683,0,0.92388,-3163.27,31,2902.28,15,'conversation',264,0,60),
 (567,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,1,-3172.38,31,2880.85,15,'conversation',264,0,60),
 (568,0,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,1,0,0,-3172.38,31,2881.95,15,'conversation',264,0,60),
 (569,0,0,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,-2.72556e-08,0,1,-3100.88,31,2889.15,15,'conversation',264,0,60),
 (570,0,0,'object/mobile/dressed_corsec_captain_human_female_01.iff',0,1,0,0,-3100.88,31,2890.25,15,'conversation',264,0,60),
 (571,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,0,0,1,-3101.09,31,2904.87,15,'conversation',264,0,60),
 (572,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,1,0,0,-3101.09,31,2905.97,15,'conversation',264,0,60),
 (573,0,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,-0.0939841,0,0.995574,-3199.88,30.6149,2786.24,15,'calm',264,0,60),
 (574,0,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.0084377,0,0.999964,-3160.26,30.6615,2762.28,15,'calm',264,0,60),
 (575,0,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,-0.584094,0,0.811686,-3178.84,31,2775.92,15,'calm',264,0,60),
 (576,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.265073,0,0.964228,-3115.47,31,2800.28,15,'calm',264,0,60),
 (577,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.887135,0,0.46151,-3112.88,31,2984.36,15,'calm',264,0,60),
 (578,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.923126,0,0.384498,-3131.04,31,2995.05,15,'calm',264,0,60),
 (579,0,0,'object/mobile/dressed_tie_fighter_m.iff',0,0.998806,0,0.0488628,-3144.67,31,2806.06,15,'neutral',264,0,60),
 (580,0,0,'object/mobile/dressed_stormtrooper_black_black.iff',0,0.969702,0,-0.24429,-3145.32,31,2803.95,15,'neutral',264,0,60),
 (581,0,0,'object/mobile/space_greeter_kor_vella_imperial_officer.iff',0,0.894351,0,-0.447366,-3143.7,31,2803.73,15,'neutral',264,0,60),
 (582,0,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,1,0,0,-3159.35,31,2814.02,15,'conversation',264,0,60),
 (583,0,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0,0,1,-3152.32,31,2971.71,15,'conversation',264,0,60),
 (584,0,0,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,1,0,0,-3152.32,31,2972.71,15,'conversation',264,0,60),
 (585,0,0,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,1,0,0,-3088.9,31,2903.18,15,'conversation',264,0,60),
 (586,0,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.92388,0,0.382683,-3090,31,2903.18,15,'conversation',264,0,60),
 (587,0,0,'object/mobile/r5.iff',0,0.717442,0,-0.696618,-3094.48,31,2972.63,15,'calm',264,0,60),
 (588,0,0,'object/mobile/dressed_noble_old_zabrak_male_01.iff',0,0.821098,0,-0.570788,-3095.48,31,2971.63,15,'calm',264,0,60),
 (589,0,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.915255,0,0.402875,-3066.9,31,2925.13,15,'calm',264,0,60),
 (590,0,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.0472254,0,0.998884,-3087.72,31,2984.93,15,'calm',264,0,60),
 (591,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,-0.623452,0,0.781861,-3151.32,31.114,2772.13,15,'calm',264,0,60),
 (592,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,-0.623467,0,0.78185,-3150.16,31.1352,2773.01,15,'calm',264,0,60),
 (593,0,0,'object/mobile/r3.iff',0,0.731691,0,-0.681635,-3151.77,31,2800,15,'calm',264,0,60),
 (594,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.725523,0,-0.688198,-3103.98,31,2988.38,15,'calm',264,0,60),
 (595,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,-0.62346,0,0.781856,-3149.45,31.1521,2771.7,15,'calm',264,0,60),
 (596,0,0,'object/mobile/r5.iff',0,0.65858,0,0.75251,-3134.32,31,2801.71,15,'calm',264,0,60),
 (597,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0.725513,0,-0.688209,-3102.95,31,2989.56,15,'calm',264,0,60),
 (598,0,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.649618,0,0.760261,-3095.09,31,2975.46,15,'calm',264,0,60),
 (599,0,0,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,0.725552,0,-0.688168,-3102.24,31,2988.47,15,'calm',264,0,60),
 (600,0,0,'object/mobile/drall_female.iff',0,0.661453,0,0.749987,-3173.48,31,2881.95,15,'calm',264,0,60),
 (601,0,0,'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff',0,0.954925,0,0.296846,-3073.63,31,2824.36,15,'calm',264,0,60),
 (602,0,0,'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff',0,0.994246,0,-0.107117,-3075.63,31,2819.36,15,'calm',264,0,60),
 (603,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3157.47,0,2797.69,25,'neutral',128,0,180),
 (604,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3155.56,0,2792.15,25,'neutral',128,0,180),
 (605,0,0,'object/mobile/dressed_criminal_swooper_human_female_01.iff',0,0.9259,0,0.377769,-3072.63,31,2822.36,15,'calm',264,0,60),
 (606,0,0,'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff',0,0.103946,0,0.994583,-3074.63,31,2825.36,15,'calm',264,0,60),
 (607,0,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.998527,0,-0.0542651,-3296.84,66.0938,2877.86,15,'calm',264,0,60),
 (608,0,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.342574,0,0.939491,-3311.8,69.6204,2886.94,15,'calm',264,0,60),
 (609,0,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.894235,0,0.447598,-3028.15,29.9485,2793.83,15,'calm',264,0,60),
 (610,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.295256,0,0.955418,-3123.76,31.3295,2704.9,15,'calm',264,0,60),
 (611,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.74063,0,0.671913,-3122.96,31.2444,2705.34,15,'calm',264,0,60),
 (612,0,0,'object/mobile/corellian_butterfly_hue.iff',0,-0.119042,0,0.992889,-3131.35,32.0668,2701.43,15,'calm',264,0,60),
 (613,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0.975741,0,0.218928,-3068.52,30.6373,2772.26,15,'calm',264,0,60),
 (614,0,0,'object/mobile/corellian_butterfly_hue.iff',0,-0.0571019,0,0.998368,-3049.56,26.37,2729.58,15,'calm',264,0,60),
 (615,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.998762,0,0.0497475,-3051.64,26.1904,2721.83,15,'calm',264,0,60),
 (616,0,0,'object/mobile/gubbur_hue.iff',0,0.995893,0,-0.0905357,-2968.55,28.8086,2824.15,15,'calm',264,0,60),
 (617,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.879832,0,0.475285,-2968.59,28.3172,2819.86,15,'calm',264,0,60),
 (618,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.363156,0,0.931728,-2968.39,28.4853,2821.15,15,'calm',264,0,60),
 (619,0,0,'object/mobile/corellian_butterfly_hue.iff',0,-0.30128,0,0.953536,-2964.87,28.479,2821.79,15,'calm',264,0,60),
 (620,0,0,'object/mobile/gubbur_hue.iff',0,0.882328,0,-0.470635,-2968.51,28.804,2824.93,15,'calm',264,0,60),
 (621,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.0131545,0,0.999913,-2961.61,28.0736,2831.61,15,'calm',264,0,60),
 (622,0,0,'object/mobile/durni_hue.iff',0,0.0344561,0,0.999406,-2973.34,30.7278,2948.52,15,'calm',264,0,60),
 (623,0,0,'object/mobile/durni_hue.iff',0,0.325814,0,0.945434,-2968.55,30.522,2952.81,15,'calm',264,0,60),
 (624,0,0,'object/mobile/gubbur_hue.iff',0,0.12657,0,0.991958,-2974.33,30.7521,2947.56,15,'calm',264,0,60),
 (625,0,0,'object/mobile/durni_hue.iff',0,0.664672,0,0.747135,-2964.67,30.4361,2954.11,15,'calm',264,0,60),
 (626,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.891648,0,0.452728,-2965.31,30.3629,2952.1,15,'calm',264,0,60),
 (627,0,0,'object/mobile/durni_hue.iff',0,-0.695757,0,0.718277,-2969.64,30.7686,2961.77,15,'calm',264,0,60),
 (628,0,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.94048,0,-0.339849,-3157.04,101,3077.75,15,'calm',264,0,60),
 (629,0,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,-0.540605,0,0.841276,-3191.67,101,3052.4,15,'calm',264,0,60),
 (630,0,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0.695983,0,0.718058,-3190.54,101,3073.46,15,'calm',264,0,60),
 (631,0,0,'object/mobile/dressed_giker_budz.iff',-0.170751,-0.624419,-0.137227,0.749742,-3336.21,72.4231,2926.19,15,'calm',264,0,60),
 (632,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3368.29,0,2949.6,25,'neutral',128,0,180),
 (633,0,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-3387,0,2960,1,'neutral',128,0,180),
 (634,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,-0.60376,0,0.797166,-3378.96,86,2985.53,15,'calm',264,0,60),
 (635,0,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,-0.0480123,0,0.998847,-3386,86,2992,15,'neutral',264,0,60),
 (636,0,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,0.999852,0,-0.0172127,-3403.44,86,2997.65,15,'calm',264,0,60),
 (637,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,-0.600175,0,0.799869,-3393.47,86,3007.94,15,'calm',264,0,60),
 (638,0,0,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,0,0,1,-3384.54,86,3007.15,15,'conversation',264,0,60),
 (639,0,0,'object/mobile/dressed_mercenary_weak_rod_m.iff',0,1,0,0,-3384.54,86,3008.15,15,'conversation',264,0,60),
 (640,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,0.0985295,0,0.995134,-3384.17,86,2958.24,15,'calm',264,0,60),
 (641,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3395.4,0,3017.79,25,'neutral',128,0,180),
 (642,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3395.16,0,3023.07,25,'neutral',128,0,180),
 (643,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.591196,0,0.806528,-3427.62,86,3029.21,15,'calm',264,0,60),
 (644,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,0,0,1,-3408.26,86,3048.35,15,'conversation',264,0,60),
 (645,0,0,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,1,0,0,-3408.26,86,3049.35,15,'conversation',264,0,60),
 (646,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.910911,0,0.412603,-3423.54,86,3043.61,15,'calm',264,0,60),
 (647,0,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,-0.673052,0,0.739595,-3458.31,78,3027.47,15,'calm',264,0,60),
 (648,0,0,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0,0,0,1,-3450.64,78,3030.31,15,'conversation',264,0,60),
 (649,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,1,0,0,-3450.64,78,3031.31,15,'conversation',264,0,60),
 (650,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3435.46,0,3034.56,25,'neutral',128,0,180),
 (651,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-3435.46,0,3034.56,31,'neutral',128,0,180),
 (652,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3414.17,0,3120.69,5,'neutral',128,1,120),
 (653,0,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.553202,0,0.833047,-3435.7,86,3119.29,15,'calm',264,0,60),
 (654,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.92639,0,0.376565,-3396.89,86,3131.64,15,'calm',264,0,60),
 (655,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-3460.41,0,3112.21,32,'neutral',128,0,180),
 (656,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3421.17,0,3114.69,5,'neutral',128,1,120),
 (657,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3420.17,0,3117.69,5,'neutral',128,1,120),
 (658,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3420.17,0,3120.69,5,'neutral',128,1,120),
 (659,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3406.24,0,3137.43,25,'neutral',128,0,180),
 (660,0,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,-0.146496,0,0.989211,-3426.15,86,3134.26,15,'calm',264,0,60),
 (661,0,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,0.901649,0,-0.432468,-3391.66,86,3140.05,15,'calm',264,0,60),
 (662,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3410.43,0,3142.78,25,'neutral',128,0,180),
 (663,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3414.17,0,3115.69,5,'neutral',128,1,120),
 (664,0,3005411,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',-1.17342e-06,-3.24236e-05,-3.80255e-11,1,-45.2379,0.105009,-21.6909,15,'conversation',264,0,60),
 (665,0,3005411,'object/mobile/dressed_mercenary_weak_rod_m.iff',-2.67407e-11,1,1.17352e-06,2.28892e-05,-45.2379,0.105009,-20.6909,15,'conversation',264,0,60),
 (666,0,3005409,'object/mobile/dressed_corsec_captain_human_female_01.iff',-7.74755e-07,-1.90709e-05,-1.47978e-11,1,-25.7262,-0.519991,10.5232,15,'conversation',264,0,60),
 (667,0,3005409,'object/mobile/dressed_criminal_pirate_human_female_01.iff',1.25381e-11,1,7.74795e-07,-1.62111e-05,-25.7262,-0.519991,11.5232,15,'conversation',264,0,60),
 (668,0,3005405,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',-1.93732e-06,4.42304e-05,8.572e-11,1,-2.41153,-0.894993,23.4367,15,'conversation',264,0,60),
 (669,0,3005405,'object/mobile/dressed_criminal_thug_aqualish_female_02.iff',-3.11977e-11,1,-2.44383e-06,-1.27556e-05,-2.41153,-0.894992,24.4367,15,'conversation',264,0,60),
 (670,0,3005403,'object/mobile/dressed_skinkner.iff',0,0.786838,0,0.617159,8.84694,-0.894992,21.4389,15,'calm',264,0,60),
 (671,0,3005402,'object/mobile/dressed_criminal_slicer_human_male_01.iff',-1.24636e-06,-1.86296e-05,-2.32192e-11,1,10.9405,-0.894992,-15.0189,15,'conversation',264,0,60),
 (672,0,3005402,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',7.84463e-11,1,1.13786e-06,-6.89419e-05,10.9405,-0.894992,-13.9189,15,'conversation',264,0,60),
 (673,0,3005401,'object/mobile/dressed_villain_trandoshan_male_01.iff',-1.24625e-06,1.29897e-05,1.61885e-11,1,22.6067,-0.894992,19.6263,15,'conversation',264,0,60),
 (674,0,3005401,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',4.64829e-11,1,1.24633e-06,-3.72958e-05,22.6067,-0.894992,20.7263,15,'conversation',264,0,60),
 (675,0,3005401,'object/mobile/dressed_commoner_naboo_human_male_03.iff',-3.37254e-07,0.923883,8.14221e-07,0.382676,21.5067,-0.894992,20.7263,15,'conversation',264,0,60),
 (676,0,3005400,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',3.27819e-07,5.34046e-05,-1.74935e-11,1,20.5946,-0.894996,-19.6063,15,'conversation',264,0,60),
 (677,0,3005400,'object/mobile/dressed_corsec_captain_human_female_01.iff',-7.85659e-13,1,-2.68255e-07,-2.86138e-06,20.5946,-0.894996,-18.6063,15,'conversation',264,0,60),
 (678,0,3005399,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.979573,0,0.201088,6.4346,-0.894992,-2.33458,15,'neutral',264,0,60),
 (679,0,3005398,'object/mobile/dressed_artisan_trainer_03.iff',1.69671e-06,5.37535e-05,-9.12042e-11,1,34.3598,0.104999,-8.03626,15,'conversation',264,0,60),
 (680,0,3005398,'object/mobile/dressed_mercenary_weak_rod_m.iff',5.89946e-12,1,-1.69673e-06,3.47696e-06,34.3598,0.104999,-6.93626,15,'conversation',264,0,60),
 (681,0,3005397,'object/mobile/dressed_lasha_bindari.iff',0,0.99632,0,-0.0857059,39.0615,0.104999,0.934001,15,'calm',264,0,60),
 (682,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.457872,0,0.889018,-3461.07,86,3156,15,'calm',264,0,60),
 (683,0,0,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,0,0,1,-3520.73,78,3125.57,15,'conversation',264,0,60),
 (684,0,0,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,1,0,0,-3520.73,78,3126.57,15,'conversation',264,0,60),
 (685,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',0,-0.445888,0,0.895089,-3509.45,78,3148.97,15,'calm',264,0,60),
 (686,0,0,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,0,0,1,-3557.49,86,3157.11,15,'conversation',264,0,60),
 (687,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3567.44,0,3144.32,25,'neutral',128,0,180),
 (688,0,3005397,'object/mobile/stormtrooper.iff',0,0,0,0,48.13,0.105,2.47,25,'neutral',128,0,180),
 (689,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,0.398674,0,0.917093,-3403.21,86,3111.2,15,'calm',264,0,60),
 (690,0,0,'object/mobile/dressed_commoner_naboo_human_male_03.iff',0,0.863814,0,-0.503811,-3378.65,86,3173.54,15,'calm',264,0,60),
 (691,0,0,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.968483,0,-0.249081,-3447.57,78,3219.08,15,'calm',264,0,60),
 (692,0,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,0.882982,0,0.469407,-3361.13,86,3217.26,15,'calm',264,0,60),
 (693,0,0,'object/mobile/dressed_noble_old_human_male_02.iff',0,0,0,1,-3459.55,78,3225.02,15,'conversation',264,0,60),
 (694,0,0,'object/mobile/dressed_crook_zabrak_female_01.iff',0,1,0,0,-3459.55,78,3226.02,15,'conversation',264,0,60),
 (695,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-3366,0,3232,31,'neutral',128,0,180),
 (696,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-3368.45,0,3242.5,31,'neutral',128,0,180),
 (697,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-3326.35,0,3231.94,32,'neutral',128,0,180),
 (698,0,0,'object/mobile/r3.iff',0,-0.375116,0,0.926978,-3327.95,86,3233.64,15,'calm',264,0,60),
 (699,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3344.8,0,3240.26,25,'neutral',128,0,180),
 (700,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3343.2,0,3240.54,25,'neutral',128,0,180),
 (701,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-3318.03,0,3230.13,32,'neutral',128,0,180),
 (702,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3420.17,0,3118.69,5,'neutral',128,1,120),
 (703,0,2955416,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (704,0,2955412,'object/mobile/dressed_artisan_trainer_03.iff',0,0.0958457,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (705,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.401433,0,0.915888,-3374.97,86,3265.02,15,'calm',264,0,60),
 (706,0,0,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,0.990411,0,-0.138151,-3276.7,86,3089.82,15,'calm',264,0,60),
 (707,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,-0.548456,0,0.836179,-3324.59,86,3261.86,15,'calm',264,0,60),
 (708,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff',0,0.955242,0,-0.295827,-3342.65,86,3268.3,15,'calm',264,0,60),
 (709,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0.397154,0,0.917752,-3365.89,86,3284.68,15,'calm',264,0,60),
 (710,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3358.96,0,3286.34,25,'neutral',128,0,180),
 (711,0,0,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',0,0.208632,0,0.977994,-3351.81,86,3303.25,15,'calm',264,0,60),
 (712,0,0,'object/mobile/dressed_mercenary_weak_hum_f.iff',-0.0200862,0.765999,0.0305971,0.6418,-3340.49,86,3292.76,15,'neutral',264,0,60),
 (713,0,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,0.564043,0,0.825745,-3332.89,86,3303.69,15,'neutral',264,0,60),
 (714,0,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0.788527,0,0.614999,-3330.1,86,3290.98,15,'neutral',264,0,60),
 (715,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0.739366,0,-0.673304,-3332.16,86,3307.2,15,'calm',264,0,60),
 (716,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3417.17,0,3121.69,5,'neutral',128,1,120),
 (717,0,0,'object/mobile/dressed_denell_kelvannon.iff',0,0.243095,0,0.970003,-3414.11,74,3336.52,15,'calm',264,0,60),
 (718,0,0,'object/mobile/dressed_commoner_tatooine_bith_male_02.iff',0,-0.671722,0,0.740803,-3322.3,86,3283.63,15,'calm',264,0,60),
 (719,0,0,'object/mobile/r3.iff',0,0.803775,0,-0.594933,-3423.05,80.6846,3333.75,15,'calm',264,0,60),
 (720,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3411.64,0,3344.7,25,'neutral',128,0,180),
 (721,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3416.53,0,3346.57,25,'neutral',128,0,180),
 (722,0,0,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',0,0.772177,0,-0.635407,-3323.82,101,3410.51,15,'calm',264,0,60),
 (723,0,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.850909,0,0.525313,-3455.84,78,3343.36,15,'calm',264,0,60),
 (724,0,0,'object/mobile/cll8_binary_load_lifter.iff',0,-0.00870377,0,0.999962,-3444.06,78,3384.03,15,'calm',264,0,60),
 (725,0,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-3404.35,0,3347.14,1,'neutral',128,0,180),
 (726,0,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,-0.511571,0,0.859241,-3522.13,70,3234.57,15,'calm',264,0,60),
 (727,0,0,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',0,1,0,0,-3557.49,86,3158.11,15,'conversation',264,0,60),
 (728,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3419.17,0,3119.69,5,'neutral',128,1,120),
 (729,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-3582,0,3143,31,'neutral',128,0,180),
 (730,0,0,'object/mobile/dressed_robber_human_female_01.iff',0,0,0,1,-3587.81,86,3134.7,15,'conversation',264,0,60),
 (731,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,1,0,0,-3587.81,86,3135.7,15,'conversation',264,0,60),
 (732,0,0,'object/mobile/dressed_combatmedic_trainer_human_female_01.iff',0,0,0,1,-3591.74,86,3179.01,15,'conversation',264,0,60),
 (733,0,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,1,0,0,-3591.74,86,3180.01,15,'conversation',264,0,60),
 (734,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3596.69,0,3122.97,25,'neutral',128,0,180),
 (735,0,0,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,0,0,1,-3602.67,86,3221.17,15,'conversation',264,0,60),
 (736,0,0,'object/mobile/drall_female.iff',0,1,0,0,-3602.67,86,3222.17,15,'conversation',264,0,60),
 (737,0,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,0,0,1,-3610.27,86,3198.4,15,'conversation',264,0,60),
 (738,0,0,'object/mobile/dressed_noble_human_female_01.iff',0,1,0,0,-3610.27,86,3199.4,15,'conversation',264,0,60),
 (739,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-3602.47,0,3214.02,32,'neutral',128,0,180),
 (740,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-3613.06,0,3212.07,32,'neutral',128,0,180),
 (741,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3621.27,0,3142.55,25,'neutral',128,0,180),
 (742,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3619.55,0,3121.89,25,'neutral',128,0,180),
 (743,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3421.17,0,3118.69,5,'neutral',128,1,120),
 (744,0,3005430,'object/mobile/dressed_commoner_fat_human_female_02.iff',0,0,0,1,-5.69316,-5.5,-10.3165,15,'conversation',264,0,60),
 (745,0,3005430,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,1,0,2.45042e-05,-5.69316,-5.5,-9.21648,15,'conversation',264,0,60),
 (746,0,3005430,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',0,4.31916e-06,0,1,3.19577,-5.5,-7.41594,15,'conversation',264,0,60),
 (747,0,3005430,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',3.6894e-12,1,2.1675e-07,-1.70215e-05,3.19577,-5.5,-6.31594,15,'conversation',264,0,60),
 (748,0,3005430,'object/mobile/dressed_crook_zabrak_male_01.iff',-5.8652e-08,0.92388,1.41599e-07,0.382681,2.09577,-5.5,-6.31594,15,'conversation',264,0,60),
 (749,0,3005428,'object/mobile/dressed_corsec_captain_human_female_01.iff',7.75507e-07,7.15243e-05,-5.54676e-11,1,3.9861,-0.0513746,-3.1463,15,'conversation',264,0,60),
 (750,0,3005428,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',-1.5974e-12,1,-7.7552e-07,-2.05978e-06,3.9861,-0.0513746,-2.0463,15,'conversation',264,0,60),
 (751,0,3005428,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',7.75517e-07,3.44718e-05,-2.67335e-11,1,5.57407,-0.0513746,1.83985,15,'conversation',264,0,60),
 (752,0,3005428,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-3.02611e-11,1,-7.7551e-07,-3.9021e-05,5.57407,-0.0513746,2.93985,15,'conversation',264,0,60),
 (753,0,3005428,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',2.09849e-07,0.92389,-5.06661e-07,0.382657,4.47407,-0.0513746,2.93985,15,'conversation',264,0,60),
 (754,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3631.32,0,3136.46,25,'neutral',128,0,180),
 (755,0,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.956129,0,-0.292945,-3572.52,70,3208.39,15,'calm',264,0,60),
 (756,0,0,'object/mobile/dressed_imperial_officer_m_4.iff',0,0.33422,0,0.942495,-3660.31,86,3103.26,15,'neutral',264,0,60),
 (757,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3639.85,0,3121.04,5,'neutral',128,1,120),
 (758,0,0,'object/mobile/r2.iff',0,-0.283478,0,0.958979,-3697.43,87.5185,3141.62,15,'calm',264,0,60),
 (759,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3635.85,0,3122.04,5,'neutral',128,1,120),
 (760,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3719.35,0,3175.2,25,'neutral',128,0,180),
 (761,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-3674.98,0,3104.95,60,'neutral',128,0,180),
 (762,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-3715.75,0,3169.75,32,'neutral',128,0,180),
 (763,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,1,0,0,-3713.14,86,3106.66,15,'conversation',264,0,60),
 (764,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3726.46,0,3185.97,25,'neutral',128,0,180),
 (765,0,0,'object/mobile/drall_female.iff',0,0.268587,0,0.963255,-3735.04,86,3219.3,15,'calm',264,0,60),
 (766,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0,0,1,-3713.14,86,3105.66,15,'conversation',264,0,60),
 (767,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3752,0,3170,25,'neutral',128,0,180),
 (768,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3761.11,0,3190.17,25,'neutral',128,0,180),
 (769,0,0,'object/mobile/eg6_power_droid.iff',0,0.45705,0,0.889441,-3766.44,86,3180.9,15,'calm',264,0,60),
 (770,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3631.85,0,3117.04,5,'neutral',128,1,120),
 (771,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3767.99,0,3180.85,25,'neutral',128,0,180),
 (772,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3774.65,0,3204.62,25,'neutral',128,0,180),
 (773,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,-3773.66,0,3203.13,35,'neutral',128,0,180),
 (774,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3774.9,0,3203.38,25,'neutral',128,0,180),
 (775,0,0,'object/mobile/dressed_imperial_officer_m.iff',0,-3.78268e-09,0,1,-3787.12,86,3147.97,15,'neutral',264,0,60),
 (776,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-3662.58,0,3090.82,60,'neutral',128,0,180),
 (777,0,3375393,'object/mobile/dressed_imperial_major_m.iff',0,0,0,0,-10.0845,0.184067,-12.51,1,'neutral',128,0,180),
 (778,0,3375392,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',7.90229e-08,-0.707089,7.90189e-08,0.707125,-0.842022,0.184067,1.59886,15,'conversation',264,0,60),
 (779,0,3375392,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',8.16533e-08,0.707126,-8.16576e-08,0.707088,-2.84202,0.184067,1.59886,15,'conversation',264,0,60),
 (780,0,3375392,'object/mobile/r2.iff',0,0.192765,0,0.981245,-1.84202,0.184067,2.59886,15,'calm',264,0,60),
 (781,0,3375392,'object/mobile/dressed_corsec_officer_human_male_01.iff',2.08602e-07,-1.94745e-05,4.05386e-12,1,0.280297,0.184067,7.39289,15,'conversation',264,0,60),
 (782,0,3375392,'object/mobile/dressed_criminal_pirate_human_male_01.iff',-2.49732e-12,1,-2.16063e-07,-1.15333e-05,0.280297,0.184067,8.39289,15,'conversation',264,0,60),
 (783,0,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.233193,0,0.972431,-3654.48,86,3081.81,15,'calm',264,0,60),
 (784,0,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0.711581,0,0.702604,-3256,86,3124.3,15,'calm',264,0,60),
 (785,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.829097,0,-0.559105,-3272.53,86,3071.96,15,'calm',264,0,60),
 (786,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-3420.17,0,3112.69,5,'neutral',128,1,120),
 (787,0,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,-0.434824,0,0.900516,-3185.75,101,3104.64,15,'calm',264,0,60),
 (788,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,-0.446965,0,0.894551,-3188.79,101,3156.71,15,'calm',264,0,60),
 (789,0,3005676,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.88579,0,0.464086,-24,1.6,-4,15,'calm',264,0,60),
 (790,0,3005674,'object/mobile/dressed_noble_old_human_female_02.iff',0,0.759248,0,0.650801,-8.54047,1.6,-11.59,15,'calm',264,0,60),
 (791,0,3005671,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',1.19207e-06,1.47572e-05,-1.75915e-11,1,21.6158,1.28309,8.94,15,'conversation',264,0,60),
 (792,0,3005671,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,1,-1.19199e-06,0,21.6158,1.28309,10.04,15,'conversation',264,0,60),
 (793,0,3005671,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',3.22547e-07,0.923888,-7.78745e-07,0.382663,20.5158,1.28309,10.04,15,'conversation',264,0,60),
 (794,0,3005670,'object/mobile/dark_trooper.iff',0,0.119712,0,0.992809,-0.521681,0.999963,6.38795,15,'npc_imperial',264,0,60),
 (795,0,3005670,'object/mobile/dressed_imperial_lieutenant_m.iff',0,-0.169182,0,0.985585,1.25263,0.999968,6.92433,15,'npc_imperial',264,0,60),
 (796,0,3005672,'object/mobile/drall_female.iff',1.02948e-06,1.21236e-05,-1.2481e-11,1,-16.9034,1.6,10.7646,15,'conversation',264,0,60),
 (797,0,3005672,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',-2.82559e-12,1,-1.08366e-06,-2.60745e-06,-16.9034,1.6,11.8646,15,'conversation',264,0,60),
 (798,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,0.272329,0,0.962204,-3153.75,101,3112.41,15,'calm',264,0,60),
 (799,0,0,'object/mobile/durni_hue.iff',0,0.869382,0,0.494141,-3172.9,101,3216.97,15,'calm',264,0,60),
 (800,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.687235,0,0.726436,-3162.98,101,3213.35,15,'calm',264,0,60),
 (801,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.951399,0,-0.30796,-3162.48,101,3224,15,'calm',264,0,60),
 (802,0,0,'object/mobile/gubbur_hue.iff',0,0.975001,0,0.222202,-3163.98,101,3224.56,15,'calm',264,0,60),
 (803,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.995538,0,0.0943661,-3170.48,101,3222.99,15,'calm',264,0,60),
 (804,0,0,'object/mobile/corellian_butterfly_hue.iff',0,0.931627,0,0.363416,-3172.56,101,3220.4,15,'calm',264,0,60),
 (805,0,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,0,0,1,-3088.9,31,2902.08,15,'conversation',264,0,60),
 (806,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5214.16,0,-2198.96,5,'neutral',128,1,120),
 (807,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5212.8,0,-2203.27,5,'neutral',128,1,120),
 (808,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5212.53,0,-2192.37,5,'neutral',128,1,120),
 (809,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5201.63,0,-2202.48,5,'neutral',128,1,120),
 (810,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5415.84,0,-2297.33,7,'neutral',128,1,120),
 (811,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5408.89,0,-2278.73,7,'neutral',128,1,120),
 (812,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5425.72,0,-2278.34,7,'neutral',128,1,120),
 (813,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5403.73,0,-2291.39,7,'neutral',128,1,120),
 (814,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5732.22,0,-2612.46,5,'neutral',128,1,120),
 (815,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5732.46,0,-2618.09,5,'neutral',128,1,120),
 (816,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5738.88,0,-2596.01,5,'neutral',128,1,120),
 (817,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5723.05,0,-2617.02,5,'neutral',128,1,120),
 (818,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5746.79,0,-2607.24,5,'neutral',128,1,120),
 (819,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5735.21,0,-2603.11,5,'neutral',128,1,120),
 (820,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5732.54,0,-2613.44,5,'neutral',128,1,120),
 (821,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5750.46,0,-2604.48,5,'neutral',128,1,120),
 (822,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5756.38,0,-2794.96,5,'neutral',128,1,120),
 (823,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5746.73,0,-2785.08,5,'neutral',128,1,120),
 (824,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5751.8,0,-2798.02,5,'neutral',128,1,120),
 (825,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5757.77,0,-2799.86,5,'neutral',128,1,120),
 (826,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5751.26,0,-2797.91,5,'neutral',128,1,120),
 (827,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-5754.06,0,-2788.35,5,'neutral',128,1,120),
 (828,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-5759.38,0,-2792.02,6,'neutral',128,1,120),
 (829,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-5753.52,0,-2787.45,6,'neutral',128,1,120),
 (830,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-5763.74,0,-2779.58,6,'neutral',128,1,120),
 (831,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-5741.99,0,-2799.5,8,'neutral',128,1,120),
 (832,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-5743.68,0,-2805.19,8,'neutral',128,1,120),
 (833,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4868.73,0,-2526.61,6,'neutral',128,1,120),
 (834,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4870.61,0,-2520.55,6,'neutral',128,1,120),
 (835,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4865.84,0,-2529.23,6,'neutral',128,1,120),
 (836,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4862.58,0,-2521.07,6,'neutral',128,1,120),
 (837,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4855.96,0,-2516.42,6,'neutral',128,1,120),
 (838,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4867.01,0,-2518.94,6,'neutral',128,1,120),
 (839,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-4873.62,0,-2389.24,5,'neutral',128,1,120),
 (840,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-4886.13,0,-2384.41,5,'neutral',128,1,120),
 (841,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-4876.11,0,-2392.99,5,'neutral',128,1,120),
 (842,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4862.27,0,-2531.77,6,'neutral',128,1,120),
 (843,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4858.72,0,-2521.45,6,'neutral',128,1,120),
 (844,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4860.53,0,-2526.39,6,'neutral',128,1,120),
 (845,0,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4868.71,0,-2522.02,6,'neutral',128,1,120),
 (846,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5346.57,0,-2302.16,6,'neutral',128,1,180),
 (847,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5340.02,0,-2303.9,6,'neutral',128,1,180),
 (848,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5341.76,0,-2296.37,6,'neutral',128,1,180),
 (849,0,0,'object/mobile/durni.iff',0,0,0,0,-5341.09,0,-2307.24,7,'neutral',128,1,180),
 (850,0,0,'object/mobile/durni.iff',0,0,0,0,-5336.14,0,-2300.73,7,'neutral',128,1,180),
 (851,0,0,'object/mobile/durni.iff',0,0,0,0,-5338.52,0,-2301.51,7,'neutral',128,1,180),
 (852,0,0,'object/mobile/durni.iff',0,0,0,0,-5340.97,0,-2299.78,7,'neutral',128,1,180),
 (853,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5343.54,0,-2312.36,7,'neutral',128,1,30),
 (854,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5345.75,0,-2302.61,7,'neutral',128,1,30),
 (855,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5339.95,0,-2310.57,7,'neutral',128,1,30),
 (856,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5340.44,0,-2302.98,7,'neutral',128,1,30),
 (857,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5337.23,0,-2305.23,7,'neutral',128,1,30),
 (858,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5343.99,0,-2299.68,7,'neutral',128,1,30),
 (859,0,0,'object/mobile/durni.iff',0,0,0,0,-5348.18,0,-2308.05,7,'neutral',128,1,180),
 (860,0,0,'object/mobile/durni.iff',0,0,0,0,-5345.6,0,-2304.95,7,'neutral',128,1,180),
 (861,0,0,'object/mobile/durni.iff',0,0,0,0,-5351.12,0,-2300.68,7,'neutral',128,1,180),
 (862,0,0,'object/mobile/durni.iff',0,0,0,0,-5348.12,0,-2309.17,7,'neutral',128,1,180),
 (863,0,0,'object/mobile/durni.iff',0,0,0,0,-5347.89,0,-2306.97,7,'neutral',128,1,180),
 (864,0,0,'object/mobile/durni.iff',0,0,0,0,-5356.57,0,-2305.23,7,'neutral',128,1,180),
 (865,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5351.11,0,-2307.06,7,'neutral',128,1,30),
 (866,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5344.93,0,-2298.3,7,'neutral',128,1,30),
 (867,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5354.62,0,-2305.21,7,'neutral',128,1,30),
 (868,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5352.64,0,-2304.63,7,'neutral',128,1,30),
 (869,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5352.99,0,-2285.76,6,'neutral',128,1,180),
 (870,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5351.89,0,-2293.94,6,'neutral',128,1,180),
 (871,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5354.57,0,-2298,6,'neutral',128,1,180),
 (872,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5354.3,0,-2298.31,6,'neutral',128,1,180),
 (873,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5388.79,0,-2382.4,5,'neutral',128,33,180),
 (874,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5388.83,0,-2390.91,5,'neutral',128,33,180),
 (875,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5387.96,0,-2392.29,5,'neutral',128,33,180),
 (876,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5393.86,0,-2389.62,7,'neutral',128,1,30),
 (877,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5389.52,0,-2392.66,7,'neutral',128,1,30),
 (878,0,0,'object/mobile/durni.iff',0,0,0,0,-5626.52,0,-2499.35,7,'neutral',128,1,180),
 (879,0,0,'object/mobile/durni.iff',0,0,0,0,-5625.89,0,-2498.88,7,'neutral',128,1,180),
 (880,0,0,'object/mobile/durni.iff',0,0,0,0,-5621.4,0,-2507.18,7,'neutral',128,1,180),
 (881,0,0,'object/mobile/durni.iff',0,0,0,0,-5621.28,0,-2498.35,7,'neutral',128,1,180),
 (882,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5628.54,0,-2507.55,6,'neutral',128,1,180),
 (883,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5623.25,0,-2498.39,6,'neutral',128,1,180),
 (884,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5620.02,0,-2494.53,6,'neutral',128,1,180),
 (885,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5616.82,0,-2496.69,6,'neutral',128,1,180),
 (886,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5620.65,0,-2509.04,6,'neutral',128,1,180),
 (887,0,0,'object/mobile/durni.iff',0,0,0,0,-5622.15,0,-2498.44,7,'neutral',128,1,180),
 (888,0,0,'object/mobile/durni.iff',0,0,0,0,-5627.16,0,-2498.71,7,'neutral',128,1,180),
 (889,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5616.74,0,-2498.62,7,'neutral',128,1,30),
 (890,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5619.19,0,-2503.01,7,'neutral',128,1,30),
 (891,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5618.17,0,-2502.93,7,'neutral',128,1,30),
 (892,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5620.16,0,-2499.86,7,'neutral',128,1,30),
 (893,0,0,'object/mobile/vynock.iff',0,0,0,0,-5722.1,0,-2481.61,9,'neutral',128,1,180),
 (894,0,0,'object/mobile/vynock.iff',0,0,0,0,-5718.7,0,-2482.91,9,'neutral',128,1,180),
 (895,0,0,'object/mobile/vynock.iff',0,0,0,0,-5731.24,0,-2497.45,9,'neutral',128,1,180),
 (896,0,0,'object/mobile/vynock.iff',0,0,0,0,-5804.33,0,-2693.02,9,'neutral',128,1,180),
 (897,0,0,'object/mobile/vynock.iff',0,0,0,0,-5800.88,0,-2685.78,9,'neutral',128,1,180),
 (898,0,0,'object/mobile/vynock.iff',0,0,0,0,-5799.87,0,-2681.84,9,'neutral',128,1,180),
 (899,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5462.82,0,-2485.92,6,'neutral',128,1,180),
 (900,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5459.14,0,-2488.82,6,'neutral',128,1,180),
 (901,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5458.98,0,-2484.66,6,'neutral',128,1,180),
 (902,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5728.93,0,-2847.59,6,'neutral',128,1,180),
 (903,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5721.52,0,-2860.29,6,'neutral',128,1,180),
 (904,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5723.11,0,-2852.81,6,'neutral',128,1,180),
 (905,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5717.24,0,-2850.89,6,'neutral',128,1,180),
 (906,0,0,'object/mobile/durni.iff',0,0,0,0,-5628.78,0,-2886.31,7,'neutral',128,1,180),
 (907,0,0,'object/mobile/durni.iff',0,0,0,0,-5635.31,0,-2904.14,7,'neutral',128,1,180),
 (908,0,0,'object/mobile/durni.iff',0,0,0,0,-5631.53,0,-2895.56,7,'neutral',128,1,180),
 (909,0,0,'object/mobile/durni.iff',0,0,0,0,-5633.9,0,-2891.82,7,'neutral',128,1,180),
 (910,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5651.64,0,-2897.28,6,'neutral',128,1,180),
 (911,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5644.98,0,-2886.17,6,'neutral',128,1,180),
 (912,0,0,'object/mobile/durni.iff',0,0,0,0,-5637.71,0,-2910.95,7,'neutral',128,1,180),
 (913,0,0,'object/mobile/durni.iff',0,0,0,0,-5635.5,0,-2906.44,7,'neutral',128,1,180),
 (914,0,0,'object/mobile/durni.iff',0,0,0,0,-5631.72,0,-2904.5,7,'neutral',128,1,180),
 (915,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5550.85,0,-2911.34,6,'neutral',128,1,180),
 (916,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5550.05,0,-2927.76,6,'neutral',128,1,180),
 (917,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5552.75,0,-2919.77,6,'neutral',128,1,180),
 (918,0,0,'object/mobile/durni.iff',0,0,0,0,-5571.88,0,-2904.45,7,'neutral',128,1,180),
 (919,0,0,'object/mobile/durni.iff',0,0,0,0,-5557.19,0,-2917.91,7,'neutral',128,1,180),
 (920,0,0,'object/mobile/durni.iff',0,0,0,0,-5564.19,0,-2925.19,7,'neutral',128,1,180),
 (921,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5549.14,0,-2903.04,6,'neutral',128,1,180),
 (922,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5559.7,0,-2916.08,6,'neutral',128,1,180),
 (923,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5564.48,0,-2915.71,7,'neutral',128,1,30),
 (924,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5544.36,0,-2920.52,7,'neutral',128,1,30),
 (925,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5551.97,0,-2924.3,7,'neutral',128,1,30),
 (926,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5563.88,0,-2928.46,7,'neutral',128,1,30),
 (927,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4917.5,0,-2589.37,6,'neutral',128,1,180),
 (928,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4915.82,0,-2593.81,6,'neutral',128,1,180),
 (929,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4929.94,0,-2596.4,6,'neutral',128,1,180),
 (930,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4919.23,0,-2612.52,6,'neutral',128,1,180),
 (931,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4921.98,0,-2590.71,6,'neutral',128,1,180),
 (932,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4924.05,0,-2600.1,6,'neutral',128,1,180),
 (933,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4863.99,0,-2473.57,6,'neutral',128,1,180),
 (934,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4860.62,0,-2468.26,6,'neutral',128,1,180),
 (935,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4876.14,0,-2455.92,6,'neutral',128,1,180),
 (936,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4875.76,0,-2466.81,6,'neutral',128,1,180),
 (937,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4863.23,0,-2301.49,6,'neutral',128,1,180),
 (938,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4862.17,0,-2301.48,6,'neutral',128,1,180),
 (939,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4863.14,0,-2306.72,6,'neutral',128,1,180),
 (940,0,0,'object/mobile/durni.iff',0,0,0,0,-4858.04,0,-2308.41,7,'neutral',128,1,180),
 (941,0,0,'object/mobile/durni.iff',0,0,0,0,-4857.18,0,-2299.88,7,'neutral',128,1,180),
 (942,0,0,'object/mobile/durni.iff',0,0,0,0,-4861.95,0,-2303.23,7,'neutral',128,1,180),
 (943,0,0,'object/mobile/vynock.iff',0,0,0,0,-4786.55,0,-2195.96,9,'neutral',128,1,180),
 (944,0,0,'object/mobile/vynock.iff',0,0,0,0,-4793.48,0,-2195.72,9,'neutral',128,1,180),
 (945,0,0,'object/mobile/vynock.iff',0,0,0,0,-4784.58,0,-2184.92,9,'neutral',128,1,180),
 (946,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4827.16,0,-2220.7,6,'neutral',128,1,180),
 (947,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4819.31,0,-2224.73,6,'neutral',128,1,180),
 (948,0,0,'object/mobile/wrix.iff',0,0,0,0,-4864.53,0,-2066.69,10,'neutral',128,33,180),
 (949,0,0,'object/mobile/wrix.iff',0,0,0,0,-4860.77,0,-2065.24,10,'neutral',128,33,180),
 (950,0,0,'object/mobile/gurrcat.iff',0,0,0,0,-4874.55,0,-2055.32,10,'neutral',128,1,180),
 (951,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-4978.54,0,-2098.8,5,'neutral',128,33,180),
 (952,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-4986.05,0,-2106.54,5,'neutral',128,33,180),
 (953,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-4979.7,0,-2095.61,5,'neutral',128,33,180),
 (954,0,0,'object/mobile/durni.iff',0,0,0,0,-4986.31,0,-2103.21,7,'neutral',128,1,180),
 (955,0,0,'object/mobile/durni.iff',0,0,0,0,-4979.93,0,-2100.88,7,'neutral',128,1,180),
 (956,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5001.53,0,-2085,5,'neutral',128,33,180),
 (957,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-4975.14,0,-2094.26,5,'neutral',128,33,180),
 (958,0,0,'object/mobile/durni.iff',0,0,0,0,-4987.46,0,-2100.92,7,'neutral',128,1,180),
 (959,0,0,'object/mobile/durni.iff',0,0,0,0,-5001.54,0,-2085.91,7,'neutral',128,1,180),
 (960,0,0,'object/mobile/durni.iff',0,0,0,0,-4995.51,0,-2085.85,7,'neutral',128,1,180),
 (961,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4974.02,0,-2094.48,6,'neutral',128,1,180),
 (962,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4969.49,0,-2102.24,6,'neutral',128,1,180),
 (963,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4977.79,0,-2085.81,6,'neutral',128,1,180),
 (964,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4985.01,0,-2098.35,6,'neutral',128,1,180),
 (965,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-4984.08,0,-2092.22,6,'neutral',128,1,180),
 (966,0,0,'object/mobile/vynock.iff',0,0,0,0,-5084.18,0,-2087.11,9,'neutral',128,1,180),
 (967,0,0,'object/mobile/vynock.iff',0,0,0,0,-5088.73,0,-2066.09,9,'neutral',128,1,180),
 (968,0,0,'object/mobile/vynock.iff',0,0,0,0,-5093.57,0,-2075.52,9,'neutral',128,1,180),
 (969,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5103.12,0,-2172.8,5,'neutral',128,33,180),
 (970,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5105.64,0,-2170.85,5,'neutral',128,33,180),
 (971,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5107.42,0,-2179.6,5,'neutral',128,33,180),
 (972,0,0,'object/mobile/durni.iff',0,0,0,0,-5095.45,0,-2163.91,7,'neutral',128,1,180),
 (973,0,0,'object/mobile/durni.iff',0,0,0,0,-5095.83,0,-2172.21,7,'neutral',128,1,180),
 (974,0,0,'object/mobile/durni.iff',0,0,0,0,-5098.55,0,-2169.29,7,'neutral',128,1,180),
 (975,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5113.59,0,-2180.66,7,'neutral',128,1,30),
 (976,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5112.26,0,-2181.49,7,'neutral',128,1,30),
 (977,0,0,'object/mobile/corellian_butterfly.iff',0,0,0,0,-5099.83,0,-2170.1,7,'neutral',128,1,30),
 (978,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5113.77,0,-2182.31,6,'neutral',128,1,180),
 (979,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5104.13,0,-2180.02,6,'neutral',128,1,180),
 (980,0,0,'object/mobile/gubbur_hue.iff',0,0,0,0,-5096.12,0,-2179.77,6,'neutral',128,1,180),
 (981,0,0,'object/mobile/dressed_imperial_officer_m_3.iff',0,0.636078,0,0.771625,-5112.1,21,-2279.3,15,'neutral',264,0,60),
 (982,0,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.914156,0,-0.405362,-5091.15,21,-2315.33,15,'calm',264,0,60),
 (983,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,-0.614239,0,0.78912,-5003.67,21,-2342.15,15,'calm',264,0,60),
 (984,0,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.955572,0,0.294758,-5050.13,21,-2288.73,15,'neutral',264,0,60),
 (985,0,0,'object/mobile/space_greeter_tyrena_pilot_friend.iff',0,0.834153,0,0.551533,-5050.23,21,-2291.69,15,'neutral',264,0,60),
 (986,0,0,'object/mobile/space_greeter_tyrena_disgraced_corsec.iff',0,0.877964,0,0.478726,-5048.68,21,-2291.24,15,'neutral',264,0,60),
 (987,0,0,'object/mobile/dressed_stormtrooper_bombardier_m.iff',0,0.950126,0,-0.311867,-5086.49,21,-2255.77,15,'npc_imperial',264,0,60),
 (988,0,1935695,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',-3.2505e-07,5.20081e-05,1.69052e-11,1,-62.089,2.63942,40.7477,15,'conversation',264,0,60),
 (989,0,1935695,'object/mobile/dressed_criminal_thug_zabrak_female_01.iff',-1.12692e-11,1,2.16785e-07,5.19835e-05,-62.089,2.63942,41.8477,15,'conversation',264,0,60),
 (990,0,1935695,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',-8.79951e-08,0.923852,2.12395e-07,0.382751,-63.189,2.63942,41.8477,15,'conversation',264,0,60),
 (991,0,1935688,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',3.67152e-05,-0.0457242,1.68054e-06,0.998954,31.7104,0.639212,63.2998,15,'conversation',264,0,60),
 (992,0,1935688,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',-1.69745e-06,0.99895,3.70187e-05,0.0458055,31.6347,0.63915,64.1249,15,'conversation',264,0,60),
 (993,0,1935687,'object/mobile/dressed_corsec_officer_human_female_01.iff',2.08649e-07,-5.43679e-05,1.13411e-11,1,-1.85381,0.639422,55.3013,15,'conversation',264,0,60),
 (994,0,1935687,'object/mobile/dressed_corsec_detective_human_female_01.iff',-1.29381e-11,1,-2.38407e-07,-5.42971e-05,-1.85381,0.639422,56.3013,15,'conversation',264,0,60),
 (995,0,1935687,'object/mobile/dressed_commoner_old_human_male_02.iff',0,-0.613458,0,0.789727,15.2091,0.639422,56.8933,15,'calm',264,0,60),
 (996,0,1935697,'object/mobile/space_chassis_broker_04.iff',0,0.232843,0,0.972514,-56.6393,0.974563,8.33815,15,'neutral',264,0,60),
 (997,0,1935690,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,-1.73729e-05,0,1,57.1873,-0.521137,35.1187,15,'conversation',264,0,60),
 (998,0,1935690,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,1,0,-1.73264e-05,57.1873,-0.521137,36.2187,15,'conversation',264,0,60),
 (999,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-5094.14,0,-2270.16,32,'neutral',128,0,180),
 (1000,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,-4975.9,0,-2323.7,35,'neutral',128,0,180),
 (1001,0,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,-5103.81,0,-2266.4,42,'neutral',128,0,180),
 (1002,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5112.07,0,-2248.89,25,'neutral',128,0,180),
 (1003,0,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-5097.16,0,-2271.05,1,'neutral',128,0,180),
 (1004,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5044.7,0,-2303,25,'neutral',128,0,180),
 (1005,0,0,'object/mobile/dressed_imperial_officer_m_6.iff',0.00240257,0.786921,-0.00859994,-0.61699,-5048.7,21,-2299.5,15,'neutral',264,0,60),
 (1006,0,0,'object/mobile/space_rebel_tier3_female_01.iff',0,0.285952,0,0.958244,-5073.17,21,-2342.77,15,'neutral',264,0,60),
 (1007,0,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.833061,0,-0.553182,-5089.39,21,-2344.25,15,'calm',264,0,60),
 (1008,0,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.96089,0,-0.276929,-5162.69,21,-2277.81,15,'calm',264,0,60),
 (1009,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,-0.535706,0,0.844405,-4960.23,21,-2357.14,15,'calm',264,0,60),
 (1010,0,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.899552,0,0.436813,-5064.44,21,-2392.07,15,'calm',264,0,60),
 (1011,0,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0,0,1,-5059.06,21,-2400.08,15,'conversation',264,0,60),
 (1012,0,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,1,0,0,-5059.06,21,-2399.08,15,'conversation',264,0,60),
 (1013,0,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.91572,0,-0.401817,-4965.54,21,-2383.55,15,'calm',264,0,60),
 (1014,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.998364,0,-0.0571782,-5156.26,21,-2376.59,15,'calm',264,0,60),
 (1015,0,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.99772,0,-0.0674927,-5114.89,21,-2424.44,15,'calm',264,0,60),
 (1016,0,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.220087,0,0.97548,-5144.16,21,-2413.14,15,'calm',264,0,60),
 (1017,0,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.551937,0,0.833886,-5123,21,-2425.3,15,'neutral',264,0,60),
 (1018,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5131.1,0,-2417.7,25,'neutral',128,0,180),
 (1019,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5195.9,0,-2253.9,25,'neutral',128,0,180),
 (1020,0,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.857573,0,0.514363,-5208.22,21,-2333.68,15,'calm',264,0,60),
 (1021,0,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.874655,0,-0.484746,-5207.41,21.425,-2247.49,15,'npc_imperial',264,0,60),
 (1022,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,-0.524371,0,0.85149,-5208.06,21.6077,-2246.46,15,'neutral',264,0,60),
 (1023,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,-0.25038,0,0.968148,-5227.3,21,-2272.3,15,'neutral',264,0,60),
 (1024,0,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.358368,0,0.93358,-5250.6,21,-2327.7,15,'neutral',264,0,60),
 (1025,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5270.9,0,-2360.7,25,'neutral',128,0,180),
 (1026,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5281.8,0,-2349.8,25,'neutral',128,0,180),
 (1027,0,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0.92388,0,-0.382683,-5302.1,21,-2379.2,15,'neutral',264,0,60),
 (1028,0,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.736945,0,0.675953,-5278.98,21,-2390.6,15,'calm',264,0,60),
 (1029,0,0,'object/mobile/eg6_power_droid.iff',0,0.878081,0,-0.478511,-5295.6,21,-2396.69,15,'calm',264,0,60),
 (1030,0,0,'object/mobile/r2.iff',0,-0.698465,0,0.715644,-5297.6,21,-2396.69,15,'calm',264,0,60),
 (1031,0,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,0.265099,0,0.964221,-5242.79,21,-2421.66,15,'calm',264,0,60),
 (1032,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5338.7,0,-2427.9,25,'neutral',128,0,180),
 (1033,0,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.720515,0,-0.693439,-5314.83,21,-2461.07,15,'calm',264,0,60),
 (1034,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.298447,0,0.954426,-5259.48,21,-2446.51,15,'calm',264,0,60),
 (1035,0,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,-9.28505e-05,0,1,-5342.53,21,-2468.78,15,'npc_imperial',264,0,60),
 (1036,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5343.5,0,-2471.7,25,'neutral',128,0,180),
 (1037,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,-0.310106,0,0.950702,-5291.55,21,-2479.74,15,'calm',264,0,60),
 (1038,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0,0,1,-5308.12,21,-2493.27,15,'conversation',264,0,60),
 (1039,0,0,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,1,0,0,-5308.12,21,-2492.27,15,'conversation',264,0,60),
 (1040,0,0,'object/mobile/r2.iff',0,0.989546,0,-0.144215,-5295.88,21,-2528.24,15,'calm',264,0,60),
 (1041,0,0,'object/mobile/r3.iff',0,0.531928,0,0.84679,-5312.13,25.7208,-2570.41,15,'calm',264,0,60),
 (1042,0,0,'object/mobile/dressed_imperial_captain_m.iff',-0.129329,0.810216,-0.143719,-0.553325,-5297.4,27.0806,-2552.21,15,'neutral',264,0,60),
 (1043,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5306.8,0,-2561.2,25,'neutral',128,0,180),
 (1044,0,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,-0.207912,0,0.978148,-5312.2,20.9286,-2572.6,15,'neutral',264,0,60),
 (1045,0,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0.71384,0,-0.700309,-5274.74,21,-2574.04,15,'calm',264,0,60),
 (1046,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.531904,0,0.846805,-5363.23,24.87,-2595.04,15,'neutral',264,0,60),
 (1047,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5301.8,0,-2572,25,'neutral',128,0,180),
 (1048,0,0,'object/mobile/r5.iff',0,0.879611,0,-0.475693,-5400.32,21,-2614.17,15,'calm',264,0,60),
 (1049,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5399.6,0,-2608.8,25,'neutral',128,0,180),
 (1050,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0.0745951,0,0.997214,-5400.54,21,-2613.88,15,'neutral',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (1051,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5396.8,0,-2614.9,25,'neutral',128,0,180),
 (1052,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,0.804378,0,0.594117,-5470.84,21,-2565.16,15,'calm',264,0,60),
 (1053,0,0,'object/mobile/dressed_noble_fat_twilek_female_01.iff',0,0.708112,0,-0.7061,-5441.11,21.0895,-2624.13,15,'calm',264,0,60),
 (1054,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,0.067684,0,0.997707,-5411.79,21,-2655.41,15,'calm',264,0,60),
 (1055,0,0,'object/mobile/dressed_commoner_naboo_moncal_female_02.iff',0,-0.589121,0,0.808045,-5465.78,21,-2601.9,15,'calm',264,0,60),
 (1056,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5485.9,0,-2585.8,25,'neutral',128,0,180),
 (1057,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0.804479,0,0.593982,-5470.71,21,-2566.52,15,'calm',264,0,60),
 (1058,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0.686524,0,0.727107,-5527.51,22,-2588.06,15,'neutral',264,0,60),
 (1059,0,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0,0,1,-5537.5,21,-2615.06,15,'conversation',264,0,60),
 (1060,0,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,0.0356204,0,0.999365,-5538.94,21,-2600.55,15,'calm',264,0,60),
 (1061,0,0,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',0,1,0,0,-5537.5,21,-2614.06,15,'conversation',264,0,60),
 (1062,0,0,'object/mobile/dressed_rebel_army_captain_human_male_01.iff',0,0,0,1,-5520,21.3,-2630.99,15,'calm',264,0,60),
 (1063,0,1935532,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,-0.0510322,0,0.998697,-24,1.6,-4,15,'calm',264,0,60),
 (1064,0,1935530,'object/mobile/dressed_noble_human_female_03.iff',0,0.567808,0,0.823161,-8.43192,1.6,-11.42,15,'calm',264,0,60),
 (1065,0,1935527,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',2.1676e-07,1.65242e-05,-3.58179e-12,1,17.3056,1.28309,-7.47174,15,'conversation',264,0,60),
 (1066,0,1935527,'object/mobile/dressed_corsec_detective_human_male_01.iff',4.7057e-12,1,-2.70947e-07,1.73676e-05,17.3056,1.28309,-6.37174,15,'conversation',264,0,60),
 (1067,0,1935527,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',2.98044e-07,0.000103004,-3.07126e-11,1,23.1824,1.28309,8.37019,15,'conversation',264,0,60),
 (1068,0,1935527,'object/mobile/dressed_mercenary_weak_rod_m.iff',3.68036e-11,1,-3.57603e-07,0.00010299,23.1824,1.28309,9.37019,15,'conversation',264,0,60),
 (1069,0,1935528,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',-6.20384e-05,-4.33414e-05,-2.68883e-09,1,-16.9721,1,-4.12621,15,'conversation',264,0,60),
 (1070,0,1935528,'object/mobile/dressed_mercenary_weak_hum_f.iff',-2.65703e-09,1,-6.25298e-05,-4.24922e-05,-16.9721,1.00014,-3.02621,15,'conversation',264,0,60),
 (1071,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5556.4,0,-2611.8,25,'neutral',128,0,180),
 (1072,0,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.636078,0,0.771625,-5556.4,21.6,-2643.5,15,'neutral',264,0,60),
 (1073,0,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.358351,0,0.933587,-5613.95,21,-2585.97,15,'npc_imperial',264,0,60),
 (1074,0,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,-5613.85,0,-2584,42,'neutral',128,0,180),
 (1075,0,2365435,'object/mobile/dressed_noble_human_female_02.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (1076,0,2365434,'object/mobile/drall_male.iff',0.0457463,-1.83433e-05,8.40018e-07,0.998953,-22.8236,0.709118,43.0098,15,'conversation',264,0,60),
 (1077,0,2365434,'object/mobile/dressed_commoner_old_twilek_female_02.iff',9.99809e-07,0.998954,0.045735,-2.1838e-05,-22.8235,0.609014,44.1007,15,'conversation',264,0,60),
 (1078,0,2365434,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0.0457438,2.13793e-05,-9.78996e-07,0.998953,-14.2562,2.4869,23.6983,15,'conversation',264,0,60),
 (1079,0,2365434,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',-1.0388e-06,0.998953,0.0457388,2.26878e-05,-14.2562,2.3868,24.7891,15,'conversation',264,0,60),
 (1080,0,2365434,'object/mobile/drall_female.iff',0,2.22901e-05,0,1,2.65839,2.6,3.05034,15,'conversation',264,0,60),
 (1081,0,2365434,'object/mobile/dressed_artisan_trainer_01.iff',2.56033e-12,1,-1.08368e-07,2.36263e-05,2.65839,2.6,4.15034,15,'conversation',264,0,60),
 (1082,0,2365434,'object/mobile/dressed_commoner_naboo_human_female_02.iff',2.93242e-08,0.923879,-7.07943e-08,0.382685,1.55839,2.6,4.15034,15,'conversation',264,0,60),
 (1083,0,2365434,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0.0457343,2.97771e-05,-1.36162e-06,0.998954,25.7618,0.784388,42.249,15,'conversation',264,0,60),
 (1084,0,2365434,'object/mobile/drall_female.iff',-1.23491e-06,0.998953,0.0457452,2.69025e-05,25.7618,0.693385,43.2406,15,'conversation',264,0,60),
 (1085,0,2365436,'object/mobile/dressed_corsec_pilot_human_male_01.iff',-2.16772e-07,1.58241e-05,3.43022e-12,1,5.33572,2.12878,71.6096,15,'conversation',264,0,60),
 (1086,0,2365436,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',-5.56536e-12,1,3.25047e-07,1.71217e-05,5.33572,2.12878,72.7096,15,'conversation',264,0,60),
 (1087,0,2365436,'object/mobile/dressed_noble_trandoshan_male_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (1088,0,2365436,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (1089,0,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,0,0,1,-5568.35,21,-2664.99,15,'conversation',264,0,60),
 (1090,0,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,1,0,0,-5568.35,21,-2663.99,15,'conversation',264,0,60),
 (1091,0,0,'object/mobile/dressed_criminal_slicer_human_female_01.iff',0,0,0,1,-5574.26,21,-2684.38,15,'conversation',264,0,60),
 (1092,0,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,0,0,1,-5596.05,21,-2762.83,15,'conversation',264,0,60),
 (1093,0,0,'object/mobile/dressed_artisan_trainer_03.iff',0,1,0,0,-5596.05,21,-2761.83,15,'conversation',264,0,60),
 (1094,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.758866,0,-0.651246,-5626.49,21,-2812.58,15,'calm',264,0,60),
 (1095,0,0,'object/mobile/dark_trooper.iff',0,0.995396,0,-0.0958457,-5654.8,21.1047,-2805.7,15,'neutral',264,0,60),
 (1096,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5633.8,0,-2824.4,25,'neutral',128,0,180),
 (1097,0,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,0.953014,0,-0.302925,-5583.79,21,-2764.8,15,'calm',264,0,60),
 (1098,0,0,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,0,0,1,-5564.23,21,-2777.78,15,'conversation',264,0,60),
 (1099,0,0,'object/mobile/drall_male.iff',0,1,0,0,-5564.23,21,-2776.78,15,'conversation',264,0,60),
 (1100,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5565.5,0,-2842.9,25,'neutral',128,0,180),
 (1101,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',-0.0305886,-0.382222,-0.0203165,0.92334,-5574.1,20.98,-2843.3,15,'neutral',264,0,60),
 (1102,0,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-5590.48,0,-2854.51,1,'neutral',128,0,180),
 (1103,0,0,'object/mobile/dark_trooper.iff',-0.0850801,-0.507589,-0.00419401,0.857378,-5565.3,20.6891,-2852.06,15,'neutral',264,0,60),
 (1104,0,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.047567,-0.508762,0.00273668,0.859588,-5560.96,20.6853,-2852.76,15,'neutral',264,0,60),
 (1105,0,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,0,0,1,-5491.88,30.0036,-2809.63,15,'conversation',264,0,60),
 (1106,0,0,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,1,0,0,-5491.88,30.0036,-2808.63,15,'conversation',264,0,60),
 (1107,0,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.999307,0,0.0372342,-5500.8,21,-2778.27,15,'calm',264,0,60),
 (1108,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.999048,0,0.0436193,-5468.4,21.1828,-2841.6,15,'neutral',264,0,60),
 (1109,0,0,'object/mobile/dressed_imperial_officer_m_4.iff',0,0,0,1,-5467.56,21,-2792.59,15,'conversation',264,0,60),
 (1110,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,1,0,0,-5467.56,21,-2791.59,15,'conversation',264,0,60),
 (1111,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5459.6,0,-2841.6,25,'neutral',128,0,180),
 (1112,0,1935477,'object/mobile/dressed_commoner_naboo_human_male_08.iff',-1.08375e-07,-5.39152e-05,-5.84305e-12,1,1.29504,1.75,-20.9672,15,'conversation',264,0,60),
 (1113,0,1935477,'object/mobile/dressed_hooligan_rodian_male_01.iff',5.83859e-12,1,1.08384e-07,-5.38696e-05,1.29504,1.75,-19.8672,15,'conversation',264,0,60),
 (1114,0,1935476,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',3.25125e-07,5.63324e-05,-1.83151e-11,1,-3.65637,1.1544,-8.77307,15,'conversation',264,0,60),
 (1115,0,1935476,'object/mobile/dressed_mercenary_messanger_hum_f.iff',1.83231e-11,1,-3.25151e-07,5.63526e-05,-3.65637,1.1544,-7.67307,15,'conversation',264,0,60),
 (1116,0,1935476,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',3.25092e-07,-6.19772e-05,2.01483e-11,1,5.78383,1.1544,-3.05638,15,'conversation',264,0,60),
 (1117,0,1935476,'object/mobile/dressed_noble_old_twk_male_01.iff',-2.35073e-11,1,-3.79297e-07,-6.19761e-05,5.78383,1.1544,-1.95638,15,'conversation',264,0,60),
 (1118,0,1935476,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',-2.70947e-07,-0.000106215,-2.87785e-11,1,11.2683,1.75,-6.35457,15,'conversation',264,0,60),
 (1119,0,1935476,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',2.87742e-11,1,2.70949e-07,-0.000106198,11.2683,1.75,-5.25457,15,'conversation',264,0,60),
 (1120,0,1935476,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',-4.39904e-08,0.923893,1.06213e-07,0.382651,10.1683,1.75,-5.25457,15,'conversation',264,0,60),
 (1121,0,1935472,'object/mobile/dressed_corellia_hal_horn.iff',0,0.917723,0,0.397221,-15.0532,2.25,11.1395,15,'calm',264,0,60),
 (1122,0,1935472,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',0,-2.51504e-05,0,1,-18.0229,9,13.2195,15,'conversation',264,0,60),
 (1123,0,1935472,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,1,0,-2.51515e-05,-18.0229,9,14.3195,15,'conversation',264,0,60),
 (1124,0,1935472,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.923889,0,0.382661,-19.1229,9,14.3195,15,'conversation',264,0,60),
 (1125,0,1935472,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,-0.707093,0,0.70712,-15.1386,2.25,17.5614,15,'conversation',264,0,60),
 (1126,0,1935472,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.707093,0,0.70712,-17.1386,2.25,17.5614,15,'conversation',264,0,60),
 (1127,0,1935472,'object/mobile/r3.iff',0,0.998311,0,0.0581049,-16.1386,2.25,18.5614,15,'calm',264,0,60),
 (1128,0,0,'object/mobile/dressed_herald_corellia_01.iff',0,0.49932,0,0.866417,-5418.26,20.9986,-2792.36,15,'calm',264,0,60),
 (1129,0,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0.0647867,0.838443,0.118169,-0.528065,-5418.2,20.9379,-2799.6,15,'neutral',264,0,60),
 (1130,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.951753,0,-0.306864,-5412.5,20.8978,-2794.47,15,'calm',264,0,60),
 (1131,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0.953288,0,-0.302062,-5410.17,20.9418,-2789.21,15,'calm',264,0,60),
 (1132,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5398.3,0,-2761.7,25,'neutral',128,0,180),
 (1133,0,0,'object/mobile/dark_trooper.iff',0,0.906308,0,0.422618,-5381.8,20.7451,-2741.1,15,'neutral',264,0,60),
 (1134,0,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,0.846829,0,-0.531865,-5409.42,21,-2700.49,15,'calm',264,0,60),
 (1135,0,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0.803543,0,0.595247,-5431.41,21,-2685.81,15,'calm',264,0,60),
 (1136,0,1935454,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (1137,0,1935453,'object/mobile/dressed_rebel_brigadier_general_rodian_female_01.iff',0,-0.214581,0,0.976706,14.1936,1.13306,-8.97227,15,'calm',264,0,60),
 (1138,0,1935450,'object/mobile/dressed_artisan_trainer_01.iff',0,0.0958458,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (1139,0,0,'object/mobile/dressed_corvette_rebel_adar.iff',0,0.803049,0,-0.595912,-5448.03,21,-2674.92,15,'neutral',264,0,60),
 (1140,0,0,'object/mobile/dressed_mercenary_messanger_hum_f.iff',0,1,0,0,-5398.52,21,-2675.03,15,'conversation',264,0,60),
 (1141,0,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,0,0,1,-5398.52,21,-2676.03,15,'conversation',264,0,60),
 (1142,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,-0.604072,0,0.79693,-5247.09,21,-2623.54,15,'calm',264,0,60),
 (1143,0,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.913545,0,-0.406737,-5245.9,20.9324,-2636.5,15,'neutral',264,0,60),
 (1144,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5212.9,0,-2650.9,25,'neutral',128,0,180),
 (1145,0,0,'object/mobile/dressed_rebel_brigadier_general_rodian_female_01.iff',0,-0.244589,0,0.969627,-5218.4,21,-2602.17,15,'calm',264,0,60),
 (1146,0,0,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,-0.43458,0,0.900633,-5200.74,21,-2638.47,15,'calm',264,0,60),
 (1147,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_03.iff',0,-0.23443,0,0.972133,-5200.12,21,-2594.79,15,'calm',264,0,60),
 (1148,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',-0.060453,-0.676379,-0.05052,0.732328,-5194.27,20.9887,-2653.85,15,'neutral',264,0,60),
 (1149,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5174.6,0,-2656.7,25,'neutral',128,0,180),
 (1150,0,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.394865,0,0.918739,-5192.9,21,-2545.55,15,'calm',264,0,60),
 (1151,0,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,0.994197,0,-0.107573,-5164.3,21,-2639.01,15,'calm',264,0,60),
 (1152,0,0,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,0,0,1,-5159.41,21,-2569.03,15,'conversation',264,0,60),
 (1153,0,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,1,0,0,-5159.41,21,-2568.03,15,'conversation',264,0,60),
 (1154,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5135.07,0,-2659.19,25,'neutral',128,0,180),
 (1155,0,0,'object/mobile/dressed_scout_trooper_white_white.iff',0.0180603,0.662536,-0.0413353,0.74767,-5128.84,21,-2652.86,15,'neutral',264,0,60),
 (1156,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5092.3,0,-2648.2,25,'neutral',128,0,180),
 (1157,0,0,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',0,0.96873,0,-0.248116,-5090.54,21,-2580.35,15,'calm',264,0,60),
 (1158,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,0.991089,0,-0.133204,-5060.41,21,-2604.37,15,'calm',264,0,60),
 (1159,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.991108,0,-0.13306,-5059.87,21,-2606.63,15,'calm',264,0,60),
 (1160,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5031.2,0,-2614.9,25,'neutral',128,0,180),
 (1161,0,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.930418,0,0.366501,-5055.1,21,-2616,15,'neutral',264,0,60),
 (1162,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0.924351,0,0.381543,-5058.83,21,-2579.08,15,'neutral',264,0,60),
 (1163,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.169977,0,0.985448,-5014.32,21,-2560.74,15,'calm',264,0,60),
 (1164,0,0,'object/mobile/dressed_corsec_detective_human_female_01.iff',0,0,0,1,-5061.36,21,-2532.53,15,'conversation',264,0,60),
 (1165,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,1,0,0,-5061.36,21,-2531.53,15,'conversation',264,0,60),
 (1166,0,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,-0.0783887,0,0.996923,-5073.15,21,-2521.26,15,'calm',264,0,60),
 (1167,0,0,'object/mobile/dressed_corsec_captain_human_male_01.iff',0,0.92388,0,0.382683,-5000.34,21,-2520.6,15,'conversation',264,0,60),
 (1168,0,0,'object/mobile/dressed_robber_human_male_01.iff',0,0.382683,0,0.92388,-5000.34,21,-2521.71,15,'conversation',264,0,60),
 (1169,0,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0,0,1,-4999.24,21,-2521.71,15,'conversation',264,0,60),
 (1170,0,0,'object/mobile/dressed_corsec_detective_human_male_01.iff',0,1,0,2.58005e-08,-4999.24,21,-2520.6,15,'conversation',264,0,60),
 (1171,0,0,'object/mobile/dark_trooper.iff',0.0255086,0.954794,0.00414453,-0.296144,-4941.2,20.8719,-2522,15,'neutral',264,0,60),
 (1172,0,0,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,1,0,0,-5009.39,21,-2496.09,15,'conversation',264,0,60),
 (1173,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0.92388,0,0.382683,-5010.49,21,-2496.09,15,'conversation',264,0,60),
 (1174,0,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0,0,1,-5095.02,21,-2514.56,15,'conversation',264,0,60),
 (1175,0,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,-0.53724,0,0.843429,-5048.34,21,-2490.91,15,'calm',264,0,60),
 (1176,0,0,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,1,0,0,-5095.02,21,-2513.56,15,'conversation',264,0,60),
 (1177,0,0,'object/mobile/dressed_corsec_officer_human_male_01.iff',0,0.362151,0,0.932119,-4944.48,21,-2488.58,15,'calm',264,0,60),
 (1178,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0.705188,0,0.709021,-4945.07,21,-2489.35,15,'calm',264,0,60),
 (1179,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4936.1,0,-2486.2,25,'neutral',128,0,180),
 (1180,0,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.999333,0,0.0365279,-5025.37,21,-2453.92,15,'calm',264,0,60),
 (1181,0,1935841,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',-4.76843e-07,-4.95916e-05,-2.36469e-11,1,29.3506,13.25,9.83587,15,'conversation',264,0,60),
 (1182,0,1935841,'object/mobile/dressed_corsec_officer_human_female_01.iff',2.36543e-11,1,4.76883e-07,-4.95958e-05,29.3506,13.25,10.8359,15,'conversation',264,0,60),
 (1183,0,1935837,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,0.00389472,0,0.999992,-5.6917,7.26,-0.915899,15,'conversation',264,0,60),
 (1184,0,1935837,'object/mobile/dressed_corsec_pilot_human_male_01.iff',9.4154e-10,0.999992,2.39912e-07,-0.00392455,-5.68393,7.26,0.077741,15,'conversation',264,0,60),
 (1185,0,1935835,'object/mobile/21b_surgical_droid.iff',0,0.050498,0,0.998724,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (1186,0,1935831,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',-1.63943e-07,9.53852e-06,1.57067e-12,1,24.4668,0.26,3.56238,15,'conversation',264,0,60),
 (1187,0,1935831,'object/mobile/dressed_criminal_thug_aqualish_male_01.iff',-1.13787e-12,1,1.192e-07,9.53598e-06,24.4668,0.26,4.56238,15,'conversation',264,0,60),
 (1188,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4942.5,0,-2438.9,25,'neutral',128,0,180),
 (1189,0,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.878817,0,0.477159,-4932.5,20.978,-2427.7,15,'neutral',264,0,60),
 (1190,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4944.3,0,-2387.8,25,'neutral',128,0,180),
 (1191,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4945.7,0,-2383.1,25,'neutral',128,0,180),
 (1192,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0.763172,0,0.646195,-4942.72,21,-2445.55,15,'calm',264,0,60),
 (1193,0,0,'object/mobile/r2.iff',0,0.228651,0,0.973508,-4954.63,21,-2376.82,15,'calm',264,0,60),
 (1194,0,0,'object/mobile/r5.iff',0,0.992595,0,0.121474,-4954.81,21,-2379.55,15,'calm',264,0,60),
 (1195,0,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.802469,0,0.596694,-5079.26,21,-2445.52,15,'calm',264,0,60),
 (1196,0,0,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,0,0,1,-5196.06,21,-2408.57,15,'conversation',264,0,60),
 (1197,0,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,1,0,0,-5196.06,21,-2407.57,15,'conversation',264,0,60),
 (1198,0,0,'object/mobile/dressed_noble_old_human_male_01.iff',0,0.99957,0,0.0293375,-5203.33,21,-2488.13,15,'calm',264,0,60),
 (1199,0,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,-0.661933,0,0.749563,-5200.63,21,-2505.59,15,'calm',264,0,60),
 (1200,0,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.789736,0,0.613447,-5110.54,21,-2505.6,15,'calm',264,0,60),
 (1201,0,0,'object/mobile/dressed_corsec_pilot_human_male_01.iff',0,0.92388,0,0.382683,-5069.93,21,-2474.8,15,'neutral',264,0,60),
 (1202,0,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,0,0,1,-5009.39,21,-2497.19,15,'conversation',264,0,60),
 (1203,0,1935828,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,-0.194688,0,0.980865,-24,1.6,-4,15,'calm',264,0,60),
 (1204,0,1935827,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',-4.21419e-08,0.707143,-4.21461e-08,-0.707071,-12.4312,1.6,-16.4443,15,'conversation',264,0,60),
 (1205,0,1935827,'object/mobile/dressed_commoner_fat_human_male_02.iff',4.21484e-08,0.707081,-4.21454e-08,0.707132,-14.4312,1.6,-16.4443,15,'conversation',264,0,60),
 (1206,0,1935827,'object/mobile/r2.iff',0,0.066971,0,0.997755,-13.4312,1.6,-15.4443,15,'calm',264,0,60),
 (1207,0,1935826,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',1.19204e-07,7.1999e-05,-8.58177e-12,1,-6.74614,1.6,-12.8336,15,'conversation',264,0,60),
 (1208,0,1935826,'object/mobile/drall_male.iff',8.56982e-12,1,-1.19228e-07,7.20135e-05,-6.74614,1.6,-11.8336,15,'conversation',264,0,60),
 (1209,0,1935823,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',2.3842e-07,-1.4782e-05,3.53794e-12,1,15.7701,1.28309,-9.57401,15,'conversation',264,0,60),
 (1210,0,1935823,'object/mobile/dressed_corsec_captain_human_female_01.iff',-3.63882e-12,1,-2.38443e-07,-1.52603e-05,15.7701,1.28309,-8.57401,15,'conversation',264,0,60),
 (1211,0,1935824,'object/mobile/dressed_mugger.iff',-0.00216758,1.12623e-05,2.44121e-08,0.999998,-23.3263,1.59523,3.86229,15,'conversation',264,0,60),
 (1212,0,1935824,'object/mobile/dressed_criminal_assassin_human_female_01.iff',3.19798e-08,0.999998,-0.00216729,1.47556e-05,-23.3263,1.6,4.96228,15,'conversation',264,0,60),
 (1213,0,0,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,0,0,1,-5146.7,21,-2548.18,15,'conversation',264,0,60),
 (1214,0,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,1,0,0,-5146.7,21,-2547.18,15,'conversation',264,0,60),
 (1215,0,2625366,'object/mobile/dressed_mercenary_messanger_hum_f.iff',1.56703e-07,0.750497,-1.77917e-07,-0.660874,-32.0578,0.10501,-21.5764,15,'calm',264,0,60),
 (1216,0,2625366,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',-1.26848e-07,0.834558,1.92203e-07,-0.55092,-32.0578,0.10501,-20.4764,15,'calm',264,0,60),
 (1217,0,2625365,'object/mobile/dressed_corsec_captain_human_female_01.iff',1.78821e-07,-0.000120167,2.14983e-11,1,-26.4983,-0.519991,9.85428,15,'conversation',264,0,60),
 (1218,0,2625365,'object/mobile/dressed_commoner_old_human_female_01.iff',2.14707e-11,1,-1.78825e-07,0.00012017,-26.4983,-0.519991,10.8543,15,'conversation',264,0,60),
 (1219,0,2625361,'object/mobile/dressed_noble_zabrak_female_01.iff',0,0.845759,0,0.533565,-7.91182,-0.895002,18.5763,15,'calm',264,0,60),
 (1220,0,2625360,'object/mobile/dressed_artisan_trainer_03.iff',1.52526e-05,-3.63868e-05,5.54993e-10,1,-8.04223,-0.894908,-17.7225,15,'conversation',264,0,60),
 (1221,0,2625360,'object/mobile/dressed_corsec_pilot_human_male_01.iff',-3.8339e-10,1,1.55508e-05,2.46541e-05,-8.04223,-0.894941,-16.6225,15,'conversation',264,0,60),
 (1222,0,2625356,'object/mobile/dressed_rebel_army_captain_bothan_male.iff',0,0,0,1,19.8219,-0.894996,-19.5533,15,'calm',264,0,60),
 (1223,0,2625355,'object/mobile/dressed_commoner_old_human_male_02.iff',0,-0.141052,0,0.990002,7.85884,-0.894992,0.356158,15,'neutral',264,0,60),
 (1224,0,2625353,'object/mobile/dressed_crev_bombaasa.iff',0.0013032,0.925321,-0.00783178,0.379102,45.2285,0.104999,0.017077,15,'calm',264,0,60),
 (1225,0,2625364,'object/mobile/shalera.iff',0,0.870125,0,-0.492831,-19.2041,-0.894989,22.0094,15,'calm',264,0,60),
 (1226,0,2625364,'object/mobile/dressed_nym_destroyer_rod_m.iff',0,0,0,1,-26.3961,-0.894991,23.1611,15,'nervous',264,0,60),
 (1227,0,0,'object/mobile/eg6_power_droid.iff',0,0.977993,0,0.208636,-5605.25,21,-2721.9,15,'calm',264,0,60),
 (1228,0,0,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,0,0,1,-5539.77,21,-2683.65,15,'conversation',264,0,60),
 (1229,0,0,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',0,1,0,0,-5539.77,21,-2682.65,15,'conversation',264,0,60),
 (1230,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,1,0,0,-5574.26,21,-2683.38,15,'conversation',264,0,60),
 (1231,0,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,0.725981,0,0.687714,-5633.73,21,-2757.46,15,'calm',264,0,60),
 (1232,0,1935445,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (1233,0,1935444,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (1234,0,1935441,'object/mobile/dressed_rebel_brigadier_general_moncal_female.iff',0,-0.416161,0,0.909291,9.53575,1.13306,0.330446,15,'calm',264,0,60),
 (1235,0,2625353,'object/mobile/stormtrooper.iff',0,0,0,0,48.13,0.105,2.47,25,'neutral',128,0,180),
 (1236,0,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.750851,0,0.660472,-5571.88,23.4,-6129.85,15,'calm',264,0,60),
 (1237,0,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.999843,0,-0.0176993,-5468.42,23.4,-6144.87,15,'calm',264,0,60),
 (1238,0,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0.862921,0,0.505339,-5549.18,23.4,-6189.25,15,'calm',264,0,60),
 (1239,0,0,'object/mobile/dressed_rebel_crewman_human_female_02.iff',0,0.947864,0,0.318674,-5501.09,23.4,-6128.22,15,'neutral',264,0,60),
 (1240,0,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',0,0.999848,0,-0.0174524,-5538.4,16.4902,-6054.7,15,'neutral',264,0,60),
 (1241,0,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0.828417,0,-0.560112,-5691.18,14.6,-6133.32,15,'calm',264,0,60),
 (1242,0,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0.953882,0,-0.300182,-5686.69,14.6,-6148.05,15,'calm',264,0,60),
 (1243,0,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.940886,0,0.338725,-5692.65,14.6,-6151.28,15,'calm',264,0,60),
 (1244,0,0,'object/mobile/r2.iff',0,0.670849,0,0.741594,-5528,23.4,-6195.05,15,'calm',264,0,60),
 (1245,0,0,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,0.708656,0,0.705554,-5568.4,23.4,-6199.11,15,'calm',264,0,60),
 (1246,0,0,'object/mobile/eg6_power_droid.iff',0,0.999995,0,0.0032577,-5692.65,14.6,-6151.28,15,'calm',264,0,60),
 (1247,0,0,'object/mobile/dressed_rebel_scout_human_male_01.iff',0,0.708528,0,0.705683,-5582.42,23.4,-6199.06,15,'calm',264,0,60),
 (1248,0,0,'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff',0,0.731354,0,0.681998,-5664,14.6,-6179.3,15,'neutral',264,0,60),
 (1249,0,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,0.731354,0,0.681998,-5664,14.7566,-6185.3,15,'neutral',264,0,60),
 (1250,0,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,-0.548509,0,0.836144,-5693.27,14.6,-6177.12,15,'calm',264,0,60),
 (1251,0,0,'object/mobile/dressed_combatmedic_trainer_human_male_01.iff',0,0.92025,0,-0.391332,-5557.29,23.4,-6203.08,15,'calm',264,0,60),
 (1252,0,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,-0.422618,0,0.906308,-5549.5,23.4,-6202.1,15,'neutral',264,0,60),
 (1253,0,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,-0.700909,0,0.71325,-5716.1,14.6,-6147.5,15,'neutral',264,0,60),
 (1254,0,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',0,0.71325,0,-0.700909,-5716.1,14.6,-6153.1,15,'neutral',264,0,60),
 (1255,0,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.528848,0,0.848717,-5708.22,14.6,-6157.68,15,'calm',264,0,60),
 (1256,0,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.886519,0,0.462692,-5551.88,23.4,-6221.48,15,'calm',264,0,60),
 (1257,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0.93358,0,0.358368,-5534.1,23.4,-6217.9,15,'neutral',264,0,60),
 (1258,0,0,'object/mobile/dressed_commoner_fat_human_female_02.iff',0,0.923107,0,0.384543,-5519.68,23.4,-6224.4,15,'calm',264,0,60),
 (1259,0,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.0117275,0,0.999931,-5504.22,23.4,-6211.56,15,'calm',264,0,60),
 (1260,0,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,-0.300459,0,0.953795,-5495.01,23.4,-6190.5,15,'calm',264,0,60),
 (1261,0,0,'object/mobile/dressed_commoner_fat_human_female_02.iff',0,-0.462853,0,0.886435,-5488.87,23.8964,-6242.6,15,'calm',264,0,60),
 (1262,0,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0,0,1,-5429.8,24,-6218.9,15,'neutral',264,0,60),
 (1263,0,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,-0.62932,0,0.777146,-5443.6,24,-6243,15,'neutral',264,0,60),
 (1264,0,2775419,'object/mobile/dressed_noble_human_male_03.iff',0,0.126579,0,0.991956,-24.96,1.6,-4.79578,15,'calm',264,0,60),
 (1265,0,2775419,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,-0.060684,0,0.998157,-24,1.6,-4,15,'calm',264,0,60),
 (1266,0,2775414,'object/mobile/dressed_corsec_detective_human_male_01.iff',2.70973e-07,-0.000115314,3.12469e-11,1,24.9055,1.28309,5.31569,15,'conversation',264,0,60),
 (1267,0,2775413,'object/mobile/dressed_corsec_detective_human_male_01.iff',-5.30446e-09,0.999853,3.09346e-07,0.0171448,9.49578,1.00001,10.5511,15,'conversation',264,0,60),
 (1268,0,2775415,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',-0.000122751,-0.000114466,-1.40508e-08,1,-22.5017,1.59973,3.53494,15,'conversation',264,0,60),
 (1269,0,2775415,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',3.60499e-08,1,-0.000123327,0.000292312,-22.5021,1.6,4.63468,15,'conversation',264,0,60),
 (1270,0,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.94104,0,0.338295,-5428.59,24.1812,-6228.31,15,'calm',264,0,60),
 (1271,0,0,'object/mobile/dressed_rebel_specforce_captain_trandoshan_male_01.iff',0,0.0436193,0,0.999048,-5411.4,24.9599,-6219.3,15,'neutral',264,0,60),
 (1272,0,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.85876,0,0.512379,-5385.68,24,-6239.93,15,'calm',264,0,60),
 (1273,0,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,0.731354,0,0.681998,-5320,24,-6237.8,15,'neutral',264,0,60),
 (1274,0,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,-0.69356,0,0.720399,-5505.69,23.4,-6118.63,15,'calm',264,0,60),
 (1275,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.842129,0,-0.539276,-5551.88,23.4,-6221.48,15,'neutral',264,0,60),
 (1276,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.676886,0,0.736088,-5468.42,23.4,-6144.87,15,'neutral',264,0,60),
 (1277,0,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,0.991282,0,-0.131758,-5549.18,23.4,-6189.25,15,'neutral',264,0,60),
 (1278,0,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,0.977021,0,-0.213143,-5519.68,23.4,-6224.4,15,'neutral',264,0,60),
 (1279,0,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,-0.575457,0,0.817832,-5504.22,23.4,-6211.56,15,'neutral',264,0,60),
 (1280,0,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0.978423,0,-0.206614,-5488.87,23.8964,-6242.6,15,'neutral',264,0,60),
 (1281,0,0,'object/mobile/dressed_rebel_crewman_human_male_02.iff',0,-0.319466,0,0.947598,-5487.59,23.4,-6146.27,15,'neutral',264,0,60),
 (1282,0,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,0.731354,0,0.681998,-5320,24,-6237.8,15,'neutral',264,0,60),
 (1283,0,0,'object/mobile/dressed_rebel_specforce_captain_trandoshan_male_01.iff',0,0.0436194,0,0.999048,-5411.4,24.9599,-6219.3,15,'neutral',264,0,60),
 (1284,0,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,-2.88896e-08,0,1,-5429.8,24,-6218.9,15,'neutral',264,0,60),
 (1285,0,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',0,-0.62932,0,0.777146,-5443.6,24,-6243,15,'neutral',264,0,60),
 (1286,0,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,0.93358,0,0.358368,-5534.1,23.4,-6217.9,15,'neutral',264,0,60),
 (1287,0,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,-0.422618,0,0.906308,-5549.5,23.4,-6202.1,15,'neutral',264,0,60),
 (1288,0,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,-0.105792,0,0.994388,-5385.68,24,-6239.93,15,'neutral',264,0,60),
 (1289,0,0,'object/mobile/dressed_corsec_detective_human_female_01.iff',0,0.999303,0,-0.037338,-5557.36,23.4,-6213.31,15,'neutral',264,0,60),
 (1290,0,0,'object/mobile/dressed_corsec_detective_human_female_01.iff',0,0.999305,0,-0.0372821,-5557.36,23.4,-6213.31,15,'neutral',264,0,60),
 (1291,0,0,'object/mobile/dressed_rebel_recruiter_human_female_01.iff',0,-3.64813e-08,0,1,-5516.08,23.4,-6186.7,15,'neutral',264,0,60),
 (1292,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-2489.6,0,2920,5,'neutral',128,35,300),
 (1293,0,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-2494,0,2913.6,5,'neutral',128,35,300),
 (1294,0,6035620,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-0.6,-13.7,-8.3,5,'neutral',128,35,300),
 (1295,0,6035620,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,11.3,-14.2,-5.5,5,'neutral',128,35,300),
 (1296,0,6035621,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,9.7,-23.9,-28.3,5,'neutral',128,35,300),
 (1297,0,6035621,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-11.3,-30.7,-27.1,5,'neutral',128,35,300),
 (1298,0,6035622,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-1.8,-40.7,-74.1,5,'neutral',128,35,300),
 (1299,0,6035622,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,2.6,-40.4,-62.4,5,'neutral',128,35,300),
 (1300,0,6035622,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,3.4,-41,-72.6,5,'neutral',128,35,300),
 (1301,0,6035623,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,49.3,-46.8,-53.7,5,'neutral',128,35,300),
 (1302,0,6035623,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,43.8,-46.1,-95.1,5,'neutral',128,35,300),
 (1303,0,6035623,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,23.6,-45.7,-102.8,5,'neutral',128,35,300),
 (1304,0,6035624,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-1.7,-45.8,-147.8,7,'neutral',128,35,300),
 (1305,0,6035624,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-11,-44.4,-136.4,7,'neutral',128,35,300),
 (1306,0,6035626,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4.2,-64,-234.2,7,'neutral',128,35,300),
 (1307,0,6035626,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-21.7,-65.4,-244.6,7,'neutral',128,35,300),
 (1308,0,6035627,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-95.3,-73.7,-170,5,'neutral',128,35,300),
 (1309,0,6035627,'object/creature/npc/base/selonian_base_female.iff',0,0,0,0,-83.5,-71.6,-169.2,11,'neutral',128,35,300),
 (1310,0,6035627,'object/creature/npc/base/selonian_base_female.iff',0,0,0,0,-100.5,-72.9,-159.1,11,'neutral',128,35,300),
 (1311,0,6035627,'object/creature/npc/base/selonian_base_female.iff',0,0,0,0,-111.7,-69.4,-170.6,11,'neutral',128,35,300),
 (1312,0,6035630,'object/creature/npc/base/selonian_base_female.iff',0,0,0,0,-85.4,-101.5,-111.2,11,'neutral',128,35,300),
 (1313,0,6035630,'object/creature/npc/base/selonian_base_female.iff',0,0,0,0,-92.8,-101.1,-111.9,11,'neutral',128,35,300),
 (1314,0,6035630,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-90.7,-101.1,-104.8,18,'neutral',128,35,300),
 (1315,0,0,'object/mobile/drall_male.iff',0,0,0,0,1039.72,0,4212.68,11,'neutral',128,35,180),
 (1316,0,0,'object/mobile/drall_male.iff',0,0,0,0,1039.11,0,4209.1,11,'neutral',128,35,180),
 (1317,0,0,'object/mobile/drall_male.iff',0,0,0,0,1040.45,0,4213.18,11,'neutral',128,35,180),
 (1318,0,0,'object/mobile/drall_male.iff',0,0,0,0,1040.44,0,4219.28,11,'neutral',128,35,180),
 (1319,0,0,'object/mobile/drall_male.iff',0,0,0,0,1041.59,0,4211.58,11,'neutral',128,35,180),
 (1320,0,0,'object/mobile/drall_male.iff',0,0,0,0,1036.83,0,4210.82,11,'neutral',128,35,180),
 (1321,0,4275375,'object/mobile/drall_male.iff',0,0,0,0,94.9613,-45.969,-141.494,14,'neutral',128,35,300),
 (1322,0,4275375,'object/mobile/drall_male.iff',0,0,0,0,94.9606,-46.1348,-140.686,14,'neutral',128,35,300),
 (1323,0,4275375,'object/mobile/drall_male.iff',0,0,0,0,93.8846,-46.7899,-137.141,14,'neutral',128,35,300),
 (1324,0,4275375,'object/mobile/drall_male.iff',0,0,0,0,84.3486,-46.4349,-143.028,19,'neutral',128,35,300),
 (1325,0,4275374,'object/mobile/drall_male.iff',0,0,0,0,49.479,-51.6782,-90.6474,13,'neutral',128,35,300),
 (1326,0,4275374,'object/mobile/drall_male.iff',0,0,0,0,47.3868,-51.6981,-89.3448,13,'neutral',128,35,300),
 (1327,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,114.507,-66.5942,-99.7065,14,'neutral',128,35,300),
 (1328,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,115.859,-66.123,-99.6911,14,'neutral',128,35,300),
 (1329,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,113.692,-66.8988,-95.8273,19,'neutral',128,35,300),
 (1330,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,140.63,-67.2151,-93.649,14,'neutral',128,35,300),
 (1331,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,141.309,-67.1265,-91.835,14,'neutral',128,35,300),
 (1332,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,131.786,-66.5463,-94.4613,19,'neutral',128,35,300),
 (1333,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,146.619,-67.2534,-121.876,14,'neutral',128,35,300),
 (1334,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,146.792,-67.2512,-121.536,14,'neutral',128,35,300),
 (1335,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,151.659,-66.7785,-120.672,14,'neutral',128,35,300),
 (1336,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,119.675,-66.0929,-125.599,14,'neutral',128,35,300),
 (1337,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,117.49,-65.433,-122.309,14,'neutral',128,35,300),
 (1338,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,119.092,-65.9394,-124.999,14,'neutral',128,35,300),
 (1339,0,4275372,'object/mobile/drall_male.iff',0,0,0,0,117.566,-65.4499,-123.057,14,'neutral',128,35,300),
 (1340,0,4275370,'object/mobile/drall_male.iff',0,0,0,0,51.6997,-74.9874,-103.876,14,'neutral',128,35,300),
 (1341,0,4275370,'object/mobile/drall_male.iff',0,0,0,0,52.1559,-75.6042,-99.5169,14,'neutral',128,35,300),
 (1342,0,4275370,'object/mobile/drall_male.iff',0,0,0,0,52.8326,-75.5277,-99.6247,14,'neutral',128,35,300),
 (1343,0,4275370,'object/mobile/drall_male.iff',0,0,0,0,64.9089,-66.5012,-136.16,14,'neutral',128,35,300),
 (1344,0,4275370,'object/mobile/drall_male.iff',0,0,0,0,63.1754,-65.521,-140.66,14,'neutral',128,35,300),
 (1345,0,4275370,'object/mobile/drall_male.iff',0,0,0,0,65.5611,-66.0824,-139.112,14,'neutral',128,35,300),
 (1346,0,4275370,'object/mobile/drall_male.iff',0,0,0,0,63.3956,-66.3614,-137.709,14,'neutral',128,35,300),
 (1347,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,94.9732,-46.4474,-109.455,14,'neutral',128,35,300),
 (1348,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,95.5046,-45.9461,-106.958,14,'neutral',128,35,300),
 (1349,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,92.7057,-46.81,-113.312,13,'neutral',128,35,300),
 (1350,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,94.0515,-46.7115,-110.705,13,'neutral',128,35,300),
 (1351,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,69.8311,-46.5389,-106.057,13,'neutral',128,35,300),
 (1352,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,71.239,-46.9293,-103.774,13,'neutral',128,35,300),
 (1353,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,71.9714,-46.824,-109.307,14,'neutral',128,35,300),
 (1354,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,89.098,-67.247,-117.505,14,'neutral',128,35,300),
 (1355,0,4275369,'object/mobile/drall_male.iff',0,0,0,0,92.1953,-66.2503,-119.719,14,'neutral',128,35,300),
 (1356,0,4275368,'object/mobile/drall_male.iff',0,0,0,0,78.3939,-74.6727,-54.8619,14,'neutral',128,35,300),
 (1357,0,4275368,'object/mobile/drall_male.iff',0,0,0,0,78.6548,-75.4851,-57.1953,14,'neutral',128,35,300),
 (1358,0,4275368,'object/mobile/drall_male.iff',0,0,0,0,93.0657,-75.814,-67.0719,14,'neutral',128,35,300),
 (1359,0,4275368,'object/mobile/drall_male.iff',0,0,0,0,94.1692,-75.735,-70.4781,14,'neutral',128,35,300),
 (1360,0,4275368,'object/mobile/drall_male.iff',0,0,0,0,60.8905,-75.7548,-72.5984,14,'neutral',128,35,300),
 (1361,0,4275368,'object/mobile/drall_male.iff',0,0,0,0,60.1865,-75.4855,-68.7501,14,'neutral',128,35,300),
 (1362,0,4275368,'object/mobile/drall_male.iff',0,0,0,0,77.062,-76.7926,-87.3286,19,'neutral',128,35,300),
 (1363,0,4275367,'object/mobile/drall_male.iff',0,0,0,0,88.0608,-62.0939,-14.5766,13,'neutral',128,35,300),
 (1364,0,4275367,'object/mobile/drall_male.iff',0,0,0,0,90.9203,-61.6801,-10.6248,13,'neutral',128,35,300),
 (1365,0,4275367,'object/mobile/drall_male.iff',0,0,0,0,91.0861,-61.7651,-12.5106,13,'neutral',128,35,300),
 (1366,0,4275367,'object/mobile/drall_male.iff',0,0,0,0,92.9224,-61.8811,-14.3483,13,'neutral',128,35,300),
 (1367,0,4275367,'object/mobile/drall_male.iff',0,0,0,0,64.5416,-68.5603,-35.5854,13,'neutral',128,35,300),
 (1368,0,4275367,'object/mobile/drall_male.iff',0,0,0,0,66.941,-68.1035,-34.5369,13,'neutral',128,35,300),
 (1369,0,4275367,'object/mobile/drall_male.iff',0,0,0,0,65.6497,-68.9077,-36.5526,13,'neutral',128,35,300),
 (1370,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,26.5828,-36.3232,-22.052,11,'neutral',128,35,180),
 (1371,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,23.0224,-35.6,-25.9666,11,'neutral',128,35,180),
 (1372,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,23.055,-35.0433,-22.3172,11,'neutral',128,35,180),
 (1373,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,50.0547,-48.8209,-26.9857,13,'neutral',128,35,300),
 (1374,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,48.9257,-48.6727,-28.0863,13,'neutral',128,35,300),
 (1375,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,49.1534,-48.7074,-28.1067,13,'neutral',128,35,300),
 (1376,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,53.1361,-68.0789,-41.4429,14,'neutral',128,35,300),
 (1377,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,47.9027,-48.5132,-61.7148,11,'neutral',128,35,180),
 (1378,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,44.7817,-47.4448,-61.3233,11,'neutral',128,35,180),
 (1379,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,53.5564,-48.4062,-65.2154,13,'neutral',128,35,300),
 (1380,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,50.5543,-48.5381,-65.2585,13,'neutral',128,35,300),
 (1381,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,21.7878,-41.9977,-63.4062,11,'neutral',128,35,180),
 (1382,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,22.9942,-42.0224,-61.2865,11,'neutral',128,35,180),
 (1383,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,23.7157,-42.2376,-61.6597,11,'neutral',128,35,180),
 (1384,0,4275366,'object/mobile/drall_male.iff',0,0,0,0,24.7955,-41.906,-60.3409,11,'neutral',128,35,180),
 (1385,0,4275365,'object/mobile/drall_male.iff',0,0,0,0,-15.91,-4.31228,-6.63194,11,'neutral',128,35,180),
 (1386,0,4275365,'object/mobile/drall_male.iff',0,0,0,0,-14.7116,-4.45407,-4.39501,11,'neutral',128,35,180),
 (1387,0,4275365,'object/mobile/drall_male.iff',0,0,0,0,-16.2111,-4.39057,-7.57538,11,'neutral',128,35,180),
 (1388,0,4275365,'object/mobile/drall_male.iff',0,0,0,0,7.66486,-19.3239,-5.99722,11,'neutral',128,35,180),
 (1389,0,4275365,'object/mobile/drall_male.iff',0,0,0,0,11.6784,-21.9985,-6.62297,11,'neutral',128,35,180),
 (1390,0,4275373,'object/mobile/drall_male.iff',0,0,0,0,160.621,-66.8701,-94.5413,14,'neutral',128,35,300),
 (1391,0,4275373,'object/mobile/drall_male.iff',0,0,0,0,161.602,-66.8385,-96.0548,14,'neutral',128,35,300),
 (1392,0,4275373,'object/mobile/drall_male.iff',0,0,0,0,182.54,-65.7828,-104.983,14,'neutral',128,35,300),
 (1393,0,4275373,'object/mobile/drall_male.iff',0,0,0,0,184.875,-65.6887,-103.695,14,'neutral',128,35,300),
 (1394,0,4275373,'object/mobile/drall_male.iff',0,0,0,0,182.472,-65.7483,-103.895,14,'neutral',128,35,300),
 (1395,0,4275373,'object/mobile/drall_male.iff',0,0,0,0,183.896,-65.7007,-104.63,14,'neutral',128,35,300),
 (1396,0,4275373,'object/mobile/drall_male.iff',0,0,0,0,185.658,-65.8866,-101.116,22,'neutral',128,35,300),
 (1397,0,0,'object/mobile/dressed_liberation_fanatic_bith_male_01.iff',0,0,0,0,1318.45,0,-344.924,20,'neutral',128,35,300),
 (1398,0,0,'object/mobile/dressed_liberation_fanatic_bith_male_01.iff',0,0,0,0,1385.47,0,-352.835,20,'neutral',128,35,300),
 (1399,0,0,'object/mobile/dressed_liberation_fanatic_bith_male_01.iff',0,0,0,0,1360.44,0,-301.507,20,'neutral',128,35,300),
 (1400,0,0,'object/mobile/dressed_liberation_fanatic_bith_male_01.iff',0,0,0,0,1310.1,0,-319.21,20,'neutral',128,35,300),
 (1401,0,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,0,0,0,1318.5,0,-359.536,31,'neutral',128,35,300),
 (1402,0,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,0,0,0,1358.39,0,-309.564,31,'neutral',128,35,300),
 (1403,0,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,0,0,0,1363.9,0,-334.958,31,'neutral',128,35,300),
 (1404,0,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,0,0,0,1380.35,0,-344.869,31,'neutral',128,35,300),
 (1405,0,0,'object/mobile/dressed_herald_servant_naboo_human_male.iff',0,0,0,0,1336.17,0,-319.81,8,'neutral',128,35,300),
 (1406,0,0,'object/mobile/dressed_herald_servant_naboo_human_male.iff',0,0,0,0,1356.58,0,-324.394,8,'neutral',128,35,300),
 (1407,0,0,'object/mobile/dressed_herald_servant_naboo_human_male.iff',0,0,0,0,1370.99,0,-346.151,8,'neutral',128,35,300),
 (1408,0,0,'object/mobile/dressed_herald_servant_naboo_human_male.iff',0,0,0,0,1341.03,0,-368.136,8,'neutral',128,35,300),
 (1409,0,0,'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff',0,0,0,0,1355.86,0,-308.192,50,'neutral',128,35,300),
 (1410,0,0,'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff',0,0,0,0,1355.33,0,-312.379,50,'neutral',128,35,300),
 (1411,0,0,'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff',0,0,0,0,1343.64,0,-328.364,50,'neutral',128,35,300),
 (1412,0,0,'object/mobile/dressed_criminal_swooper_zabrak_male_01.iff',0,0,0,0,1358.34,0,-313.368,50,'neutral',128,35,300),
 (1413,0,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,1350.94,0,-322.342,29,'neutral',128,35,300),
 (1414,0,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,1353.18,0,-316.912,29,'neutral',128,35,300),
 (1415,0,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,1317.98,0,-314.017,29,'neutral',128,35,300),
 (1416,0,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,1355.14,0,-325.09,29,'neutral',128,35,300),
 (1417,0,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,1346.98,0,-324.624,16,'neutral',128,35,300),
 (1418,0,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,1330.3,0,-306.608,16,'neutral',128,35,300),
 (1419,0,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,1336.19,0,-316.139,16,'neutral',128,35,300),
 (1420,0,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,1351.61,0,-276.028,16,'neutral',128,35,300),
 (1421,0,0,'object/mobile/dressed_zeelius_kraymunder.iff',0,0,0,0,1340.86,0,-326.067,25,'neutral',128,35,300),
 (1422,0,0,'object/mobile/dressed_zeelius_kraymunder.iff',0,0,0,0,1371.44,0,-317.051,25,'neutral',128,35,300),
 (1423,0,0,'object/mobile/dressed_zeelius_kraymunder.iff',0,0,0,0,1364.85,0,-356.979,25,'neutral',128,35,300),
 (1424,0,0,'object/mobile/dressed_zeelius_kraymunder.iff',0,0,0,0,1319.22,0,-282.599,25,'neutral',128,35,300),
 (1425,0,6035995,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,0.200391,0.25,5.98459,29,'neutral',128,35,300),
 (1426,0,6035995,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,-0.494639,0.25,6.25404,29,'neutral',128,35,300),
 (1427,0,6035996,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,3.6188,0.25,-4.09898,16,'neutral',128,35,300),
 (1428,0,6035996,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,2.61819,0.25,-3.44736,16,'neutral',128,35,300),
 (1429,0,6035998,'object/mobile/dressed_zeelius_kraymunder.iff',0,0,0,0,4.81463,-6.75,5.40781,25,'neutral',128,35,300),
 (1430,0,6035998,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,0,0,0,3.44729,-6.75,4.34948,31,'neutral',128,35,300),
 (1431,0,6035999,'object/mobile/dressed_zeelius_kraymunder.iff',0,0,0,0,2.80898,-6.75,-7.19805,25,'neutral',128,35,300),
 (1432,0,6036001,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,-5.37152,-13.7499,0.459682,16,'neutral',128,35,300),
 (1433,0,6036001,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,-3.0171,-13.7499,-0.894038,16,'neutral',128,35,300),
 (1434,0,6036001,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,-1.05993,-13.7499,-2.09377,29,'neutral',128,35,300),
 (1435,0,6036001,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,-5.53416,-13.75,-8.46985,29,'neutral',128,35,300),
 (1436,0,6036003,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,0,16.6905,-13.7584,4.76515,29,'neutral',128,35,300),
 (1437,0,6036003,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,0,0,0,14.4694,-13.7584,2.8743,31,'neutral',128,35,300),
 (1438,0,6036004,'object/mobile/dressed_lord_nyax.iff',0,0,0,0,19.4,-11.4,-21.1,129,'neutral',128,35,1800),
 (1439,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5289.35,0,1585.56,7,'neutral',128,35,300),
 (1440,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,5226.46,0,1586.13,12,'neutral',128,35,180),
 (1441,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5191.94,0,1581.67,9,'neutral',128,35,300),
 (1442,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5228.13,0,1612.15,9,'neutral',128,35,300),
 (1443,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5188.26,0,1585.69,9,'neutral',128,35,300),
 (1444,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5186.23,0,1580.61,9,'neutral',128,35,300),
 (1445,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5220.65,0,1612.59,9,'neutral',128,35,300),
 (1446,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5212.21,0,1644.32,7,'neutral',128,35,300),
 (1447,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5206.25,0,1638.24,7,'neutral',128,35,300),
 (1448,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5156.7,0,1604.63,7,'neutral',128,35,300),
 (1449,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5282.94,0,1586.55,7,'neutral',128,35,300),
 (1450,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,5231.85,0,1559.73,12,'neutral',128,35,180),
 (1451,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5164.25,0,1607.25,7,'neutral',128,35,300),
 (1452,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5200.07,0,1645.75,7,'neutral',128,35,300),
 (1453,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,5237.57,0,1560.18,12,'neutral',128,35,180),
 (1454,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5160.77,0,1614.07,7,'neutral',128,35,300),
 (1455,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5218.67,0,1606.46,9,'neutral',128,35,300),
 (1456,0,0,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,5225.84,0,1589.44,12,'neutral',128,35,180),
 (1457,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5263.73,0,1600.77,9,'neutral',128,35,300),
 (1458,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5263.02,0,1597.68,9,'neutral',128,35,300),
 (1459,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5278.46,0,1587.19,7,'neutral',128,35,300),
 (1460,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5172.3,0,1728.25,16,'neutral',128,35,300),
 (1461,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5173.3,0,1727.25,9,'neutral',128,35,300),
 (1462,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5194.14,0,1736.88,9,'neutral',128,35,300),
 (1463,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5179.79,0,1552.95,9,'neutral',128,35,300),
 (1464,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5184.53,0,1551.19,9,'neutral',128,35,300),
 (1465,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5275.36,0,1556.33,7,'neutral',128,35,300),
 (1466,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5280.64,0,1564.73,7,'neutral',128,35,300),
 (1467,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5288.51,0,1569.96,7,'neutral',128,35,300),
 (1468,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5229.39,0,1531.77,7,'neutral',128,35,300),
 (1469,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5229.39,0,1531.33,7,'neutral',128,35,300),
 (1470,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5230.24,0,1531.2,7,'neutral',128,35,300),
 (1471,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5203.84,0,1516.08,7,'neutral',128,35,300),
 (1472,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5202.9,0,1516.65,7,'neutral',128,35,300),
 (1473,0,0,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5203.95,0,1515.57,7,'neutral',128,35,300),
 (1474,0,1855738,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,-8.5337,0.184067,-4.68932,12,'neutral',128,35,180),
 (1475,0,1855738,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,-8.04331,0.184067,-6.41077,12,'neutral',128,35,180),
 (1476,0,1855738,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-0.362791,0.184067,-1.75668,16,'neutral',128,35,300),
 (1477,0,1855738,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,1.42683,0.184067,-1.26595,16,'neutral',128,35,300),
 (1478,0,1855738,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,8.16051,0.184067,4.47247,9,'neutral',128,35,300),
 (1479,0,1855738,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,6.84385,0.184067,5.36568,9,'neutral',128,35,300),
 (1480,0,1855730,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,2.97018,-20.75,18.8935,12,'neutral',128,35,180),
 (1481,0,1855730,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,3.64228,-20.75,19.8414,12,'neutral',128,35,180),
 (1482,0,1855730,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,3.81829,-20.75,29.4505,16,'neutral',128,35,300),
 (1483,0,1855730,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,3.92811,-20.75,29.2417,16,'neutral',128,35,300),
 (1484,0,1855730,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-0.396672,-20.75,30.4551,16,'neutral',128,35,300),
 (1485,0,1855730,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-0.588713,-20.75,30.3229,16,'neutral',128,35,300),
 (1486,0,1855729,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,1.57944,-20.7332,6.44421,12,'neutral',128,35,180),
 (1487,0,1855729,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,1.07265,-20.7332,6.66988,12,'neutral',128,35,180),
 (1488,0,1855729,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,1.72058,-20.7332,7.22143,12,'neutral',128,35,180),
 (1489,0,1855727,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,5.88434,-13.75,8.05682,9,'neutral',128,35,300),
 (1490,0,1855727,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,6.37424,-13.75,8.32327,9,'neutral',128,35,300),
 (1491,0,1855727,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,-7.792,-13.75,9.01741,12,'neutral',128,35,180),
 (1492,0,1855723,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,3.79148,0.25,-4.43451,9,'neutral',128,35,300),
 (1493,0,1855742,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-7.09854,0.184067,4.53837,7,'neutral',128,35,300),
 (1494,0,1855742,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-7.20637,0.184067,3.63048,7,'neutral',128,35,300),
 (1495,0,1855742,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-6.26315,0.184067,3.43603,7,'neutral',128,35,300),
 (1496,0,1855742,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,8.35353,0.184067,-5.43837,9,'neutral',128,35,300),
 (1497,0,1855742,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,9.04978,0.184067,-4.81532,9,'neutral',128,35,300),
 (1498,0,1855742,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,8.56591,0.184067,-4.68418,9,'neutral',128,35,300),
 (1499,0,1855746,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,4.40223,0.184067,5.63051,12,'neutral',128,35,180),
 (1500,0,1855746,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,4.33785,0.184067,6.23573,12,'neutral',128,35,180),
 (1501,0,1855746,'object/mobile/dressed_corsec_officer_human_female_01.iff',0,0,0,0,3.4687,0.184067,6.36916,12,'neutral',128,35,180),
 (1502,0,1855746,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-2.44245,0.184067,-5.46845,9,'neutral',128,35,300),
 (1503,0,1855746,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-3.34535,0.184067,-5.8709,9,'neutral',128,35,300),
 (1504,0,1855746,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-3.66798,0.184067,-6.35964,9,'neutral',128,35,300),
 (1505,0,1855746,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-3.10245,0.184067,-6.2934,9,'neutral',128,35,300),
 (1506,0,1855746,'object/mobile/dressed_corsec_pilot_human_female_01.iff',0,0,0,0,-3.93572,0.184067,-6.639,9,'neutral',128,35,300),
 (1507,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6521.54,0,5908.48,25,'neutral',128,0,300),
 (1508,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6572.57,0,5923.54,25,'neutral',128,0,300),
 (1509,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6570.11,0,5942.9,25,'neutral',128,0,300),
 (1510,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6529.17,0,5910.89,25,'neutral',128,0,300),
 (1511,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6492.68,0,6032.59,25,'neutral',128,0,300),
 (1512,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6486.34,0,6045.79,25,'neutral',128,0,300),
 (1513,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6467.84,0,6007.45,25,'neutral',128,0,300),
 (1514,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6445.45,0,5981.64,25,'neutral',128,0,300),
 (1515,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6470.54,0,5965.07,25,'neutral',128,0,300),
 (1516,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6460.12,0,5949.13,25,'neutral',128,0,300),
 (1517,0,0,'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff',0,0,0,0,-6480.63,0,5967.35,16,'neutral',128,0,300),
 (1518,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6551.65,0,5925.55,25,'neutral',128,0,300),
 (1519,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6581.31,0,5932.05,25,'neutral',128,0,300),
 (1520,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6531.55,0,5972.06,25,'neutral',128,0,300),
 (1521,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6442.51,0,5940.49,25,'neutral',128,0,300),
 (1522,0,0,'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff',0,0,0,0,-6550.13,0,5926.95,16,'neutral',128,0,300),
 (1523,0,0,'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff',0,0,0,0,-6569.58,0,5920.34,16,'neutral',128,0,300),
 (1524,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6462.16,0,6027.82,25,'neutral',128,0,300),
 (1525,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6494.04,0,5914.52,25,'neutral',128,0,300),
 (1526,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6438.44,0,6036.31,25,'neutral',128,0,300),
 (1527,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6430.63,0,6033.71,25,'neutral',128,0,300),
 (1528,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6482.1,0,5914.92,25,'neutral',128,0,300),
 (1529,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6478.36,0,5916.57,25,'neutral',128,0,300),
 (1530,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6435.16,0,6032.51,25,'neutral',128,0,300),
 (1531,0,0,'object/mobile/dressed_rebel_colonel_bothan_male.iff',0,0,0,0,-6550.11,0,5925.85,24,'neutral',128,0,300),
 (1532,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6539.2,0,5989.46,25,'neutral',128,0,300),
 (1533,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6508.07,0,6037.54,25,'neutral',128,0,300),
 (1534,0,0,'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff',0,0,0,0,-6415.72,0,6026.91,20,'neutral',128,0,180),
 (1535,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6473.95,0,5996.97,25,'neutral',128,0,300),
 (1536,0,0,'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff',0,0,0,0,-6496.33,0,5939.37,20,'neutral',128,0,180),
 (1537,0,0,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,-6414.04,0,6024.75,22,'neutral',128,0,300),
 (1538,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6519.96,0,6020.23,25,'neutral',128,0,300),
 (1539,0,0,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,-6488.53,0,5916.27,22,'neutral',128,0,300),
 (1540,0,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-6415.25,0,6025.21,30,'neutral',128,0,300),
 (1541,0,0,'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff',0,0,0,0,-6488.51,0,5916.28,16,'neutral',128,0,300),
 (1542,0,8555482,'object/mobile/dressed_rebel_colonel_bothan_male.iff',0,0,0,0,5.9,7.01,9.92,24,'neutral',128,0,300),
 (1543,0,8555481,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-11.13,7.00971,11.31,25,'neutral',128,0,300),
 (1544,0,8555481,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-12.94,7.00974,9.54,25,'neutral',128,0,300),
 (1545,0,8555481,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6.44793,7.00977,6.53793,25,'neutral',128,0,300),
 (1546,0,8555481,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-2.37,7.0096,6.54,25,'neutral',128,0,300),
 (1547,0,8555481,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,-3.45,7.00966,12.62,25,'neutral',128,0,300),
 (1548,0,8555481,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,0.02,7.00964,12.81,25,'neutral',128,0,300),
 (1549,0,8555480,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,5.59,7.00978,-0.3,25,'neutral',128,0,300),
 (1550,0,8555480,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,12.29,7.00978,-9.11,25,'neutral',128,0,300),
 (1551,0,8555478,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-13,1.01,-19,25,'neutral',128,0,300),
 (1552,0,8555477,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,-4,1.01,-20.94,25,'neutral',128,0,300),
 (1553,0,8555477,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,0.01,1.01,-22.01,25,'neutral',128,0,300),
 (1554,0,8555477,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-3.47,1.01,-19.22,25,'neutral',128,0,300),
 (1555,0,8555477,'object/mobile/dressed_rebel_second_lieutenant_human_female_01.iff',0,0,0,0,-0.55,1.01,-19.07,19,'neutral',128,0,180),
 (1556,0,8555475,'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff',0,0,0,0,12.73,1.01,1.77,20,'neutral',128,0,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (1557,0,8555475,'object/mobile/dressed_rebel_scout_bothan_male_01.iff',0,0,0,0,13.18,1.01,-6.59,15,'neutral',128,0,180),
 (1558,0,8555475,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,14.91,1.01,-6.68,25,'neutral',128,0,300),
 (1559,0,8555474,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,-20.12,1.01,19.27,25,'neutral',128,0,300),
 (1560,0,8555474,'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff',0,0,0,0,-15.73,1.01,14.19,16,'neutral',128,0,300),
 (1561,0,8555474,'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff',0,0,0,0,-15.8,1.01,18.62,20,'neutral',128,0,180),
 (1562,0,8555474,'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff',0,0,0,0,-17.95,1.01,14.48,16,'neutral',128,0,300),
 (1563,0,8555473,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,19.51,1.01,17.45,25,'neutral',128,0,300),
 (1564,0,8555473,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,19.49,1.01,19.96,25,'neutral',128,0,300),
 (1565,0,8555473,'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff',0,0,0,0,16.9,1.01,18.54,20,'neutral',128,0,180),
 (1566,0,8555471,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,4.5,1.01,16.86,25,'neutral',128,0,300),
 (1567,0,8555472,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,0.93,2.01,5.74,25,'neutral',128,0,300),
 (1568,0,8555472,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-2.31,2.01,3.86,25,'neutral',128,0,300),
 (1569,0,8555472,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-3.98,1.01,-0.67,25,'neutral',128,0,300),
 (1570,0,8555472,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,17.39,1.01,-11.38,25,'neutral',128,0,300),
 (1571,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6543.01,0,6003.13,25,'neutral',128,0,300),
 (1572,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6558.82,0,6019.99,25,'neutral',128,0,300),
 (1573,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6530.29,0,6018.85,25,'neutral',128,0,300),
 (1574,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6512.85,0,6053.11,25,'neutral',128,0,300),
 (1575,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6539.96,0,6040.96,25,'neutral',128,0,300),
 (1576,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6517.2,0,6034.73,25,'neutral',128,0,300),
 (1577,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6522.29,0,5942.27,25,'neutral',128,0,300),
 (1578,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6526.68,0,5963.81,25,'neutral',128,0,300),
 (1579,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6517.67,0,5959.82,25,'neutral',128,0,300),
 (1580,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6541.31,0,5975.54,25,'neutral',128,0,300),
 (1581,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6455.01,0,5924.57,25,'neutral',128,0,300),
 (1582,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6487.14,0,5966.7,25,'neutral',128,0,300),
 (1583,0,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-6484.12,0,5971.35,25,'neutral',128,0,300),
 (1584,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4679.67,0,-5825.53,25,'neutral',128,0,180),
 (1585,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4683.05,0,-5817.91,25,'neutral',128,0,180),
 (1586,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4671.5,0,-5825.07,25,'neutral',128,0,180),
 (1587,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4685.94,0,-5814.65,25,'neutral',128,0,180),
 (1588,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4688.05,0,-5815.13,25,'neutral',128,0,180),
 (1589,0,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,4671.87,0,-5813.91,42,'neutral',128,0,180),
 (1590,0,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,4634.26,0,-5799.64,22,'neutral',128,0,180),
 (1591,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4695.42,0,-5806.59,35,'neutral',128,0,180),
 (1592,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4694.86,0,-5799.92,35,'neutral',128,0,180),
 (1593,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4700.39,0,-5800.08,35,'neutral',128,0,180),
 (1594,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4695,0,-5806.51,35,'neutral',128,0,180),
 (1595,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4695.46,0,-5807.79,35,'neutral',128,0,180),
 (1596,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,4635.52,0,-5773.92,60,'neutral',128,0,180),
 (1597,0,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,4641.08,0,-5783.65,60,'neutral',128,0,180),
 (1598,0,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,4692.93,0,-5765.18,42,'neutral',128,0,180),
 (1599,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4684.86,0,-5756.71,25,'neutral',128,0,180),
 (1600,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4689.45,0,-5757.47,25,'neutral',128,0,180),
 (1601,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4694.15,0,-5767.79,25,'neutral',128,0,180),
 (1602,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4694.57,0,-5762.37,25,'neutral',128,0,180),
 (1603,0,0,'object/mobile/stormtrooper.iff',0,0,0,0,4691.71,0,-5762.57,25,'neutral',128,0,180),
 (1604,0,0,'object/mobile/dressed_imperial_major_cold_m.iff',0,0,0,0,4624.33,0,-5777.45,21,'neutral',128,0,180),
 (1605,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4677.37,0,-5746.04,35,'neutral',128,0,180),
 (1606,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4677.03,0,-5759.58,35,'neutral',128,0,180),
 (1607,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4672.21,0,-5745.12,35,'neutral',128,0,180),
 (1608,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4675.69,0,-5743.78,35,'neutral',128,0,180),
 (1609,0,0,'object/mobile/dark_trooper.iff',0,0,0,0,4683.4,0,-5742.15,35,'neutral',128,0,180),
 (1610,0,0,'object/mobile/atst.iff',0,0,0,0,4581.42,0,-5771.01,100,'neutral',128,0,1800),
 (1611,0,2715881,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-0.270963,0.125265,-0.966894,31,'neutral',128,0,180),
 (1612,0,2715959,'object/mobile/dressed_imperial_soldier_m.iff',0,0,0,0,0.967033,0.125264,-2.30098,15,'neutral',128,0,180),
 (1613,0,2715959,'object/mobile/dressed_imperial_soldier_m.iff',0,0,0,0,1.49,0.125264,-1.76992,15,'neutral',128,0,180),
 (1614,0,2715916,'object/mobile/dressed_imperial_soldier_m.iff',0,0,0,0,0.653544,0.125264,-3.43094,15,'neutral',128,0,180),
 (1615,0,2715916,'object/mobile/dressed_imperial_soldier_m.iff',0,0,0,0,0.270573,0.125265,-2.43859,15,'neutral',128,0,180),
 (1616,0,2716032,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-0.908103,0.125265,-0.261074,1,'neutral',128,0,180),
 (1617,0,2716035,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,-2.81023,0.125266,-4.08048,29,'neutral',128,0,180),
 (1618,0,2716039,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,0.00836489,0.125265,-0.74699,60,'neutral',128,0,180),
 (1619,0,2715952,'object/mobile/stormtrooper.iff',0,0,0,0,-0.537195,0.125265,-1.44629,25,'neutral',128,0,180),
 (1620,0,2715952,'object/mobile/stormtrooper.iff',0,0,0,0,-1.74,0.125266,-3.44346,25,'neutral',128,0,180),
 (1621,0,2715909,'object/mobile/stormtrooper.iff',0,0,0,0,-1.02819,0.125265,0.987271,25,'neutral',128,0,180),
 (1622,0,2715909,'object/mobile/stormtrooper.iff',0,0,0,0,-1.49,0.125265,0.047892,25,'neutral',128,0,180),
 (1623,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,-741,0,2102,291,'neutral',128,35,432000),
 (1624,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,3436.9,0,4975.92,291,'neutral',128,35,7200),
 (1625,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,2717.46,0,7318.41,265,'neutral',128,35,7200),
 (1626,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,2387.52,0,1825.22,291,'neutral',128,35,7200),
 (1627,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,3900.39,0,1351.22,265,'neutral',128,35,7200),
 (1628,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,-1186.7,0,4247.51,291,'neutral',128,35,7200),
 (1629,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,-2567.11,0,1162.01,265,'neutral',128,35,7200),
 (1630,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,-3887.19,0,579.782,291,'neutral',128,35,7200),
 (1631,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,727.973,0,1123.35,265,'neutral',128,35,7200),
 (1632,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,5744,0,2477.23,291,'neutral',128,35,7200),
 (1633,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,-383.984,0,5137.83,265,'neutral',128,35,7200),
 (1634,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,-6268.76,0,3261.04,291,'neutral',128,35,7200),
 (1635,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,-4645.47,0,5467.63,265,'neutral',128,35,7200),
 (1636,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,-3943.23,0,4274.58,291,'neutral',128,35,7200),
 (1637,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,4910.22,0,3229.79,265,'neutral',128,35,7200),
 (1638,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,6421.86,0,-5442.1,291,'neutral',128,35,7200),
 (1639,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,-511.323,0,-1701.83,265,'neutral',128,35,7200),
 (1640,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,-2778.39,0,-5775.81,291,'neutral',128,35,7200),
 (1641,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,3849.69,0,-7343.21,265,'neutral',128,35,7200),
 (1642,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,1857.13,0,-8006,291,'neutral',128,35,7200),
 (1643,1,0,'object/mobile/dressed_dark_jedi_human_female_01.iff',0,0,0,0,6873.48,0,-3049.86,265,'neutral',128,35,7200),
 (1644,1,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,-3440.92,0,-606.727,500,'neutral',128,35,1200),
 (1645,1,6555563,'object/mobile/dressed_rebel_first_lieutenant_bothan_male_01.iff',0,0,0,0,16.15,1.01,-1.65,20,'neutral',128,0,180),
 (1646,1,6555566,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-14.35,1.01,-21.61,30,'neutral',128,0,300),
 (1647,1,6555568,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-2.51,7.00964,-11.8,30,'neutral',128,0,300),
 (1648,1,6555568,'object/mobile/dressed_rebel_general_moncal_male_01.iff',0,0,0,0,-4.96,7.0096,-10.23,60,'neutral',128,0,300),
 (1649,1,6555568,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-2.23,7.00965,-8.86,30,'neutral',128,0,300),
 (1650,1,6555560,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-2.64471,1.01,-8.28112,30,'neutral',128,0,300),
 (1651,1,6555560,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-0.651597,1.01,-0.581735,30,'neutral',128,0,300),
 (1652,1,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-6817.92,0,5511.86,30,'neutral',128,0,300),
 (1653,1,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-6654.55,0,5560.66,30,'neutral',128,0,300),
 (1654,1,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-6651.86,0,5562.06,30,'neutral',128,0,300),
 (1655,1,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-6655.8,0,5563.41,30,'neutral',128,0,300),
 (1656,1,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-6653.01,0,5558.52,30,'neutral',128,0,300),
 (1657,1,0,'object/mobile/graul.iff',0,0,0,0,-6516.84,0,5451.89,30,'neutral',128,35,180),
 (1658,1,0,'object/mobile/graul.iff',0,0,0,0,-6515.84,0,5452.89,30,'neutral',128,35,180),
 (1659,1,0,'object/mobile/graul.iff',0,0,0,0,-6529.23,0,5497.17,30,'neutral',128,35,180),
 (1660,1,0,'object/mobile/graul.iff',0,0,0,0,-6552.55,0,5483.52,30,'neutral',128,35,180),
 (1661,1,0,'object/mobile/graul.iff',0,0,0,0,-6534.99,0,5483.8,30,'neutral',128,35,180),
 (1662,1,0,'object/mobile/graul.iff',0,0,0,0,-6490.51,0,5482.89,30,'neutral',128,35,180),
 (1663,1,0,'object/mobile/graul.iff',0,0,0,0,-6541.68,0,5490.57,30,'neutral',128,35,180),
 (1664,1,0,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',0,0.80003,0,0.59996,-4203.91,3,-2357.54,15,'calm',264,0,60),
 (1665,1,0,'object/mobile/dressed_sg_567.iff',0,-0.400283,0,0.916391,-4216.85,3,-2434.33,15,'calm',264,0,60),
 (1666,1,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.967903,0,0.251324,-4234.61,3,-2380.77,15,'calm',264,0,60),
 (1667,1,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.965258,0,0.261298,-4244.41,3,-2373.1,15,'calm',264,0,60),
 (1668,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0.75958,0,-0.650414,-4271.55,3,-2390.92,15,'calm',264,0,60),
 (1669,1,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,-0.631653,0,0.775251,-4258.64,3,-2425.92,15,'calm',264,0,60),
 (1670,1,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.877873,0,0.478893,-4229.36,3,-2423.44,15,'calm',264,0,60),
 (1671,1,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.653585,0,0.756853,-4210.71,3,-2411.83,15,'calm',264,0,60),
 (1672,1,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,0.884527,0,0.466489,-4221.08,3,-2370.49,15,'calm',264,0,60),
 (1673,1,0,'object/mobile/dressed_noble_twilek_male_01.iff',0,0.668221,0,0.743963,-4260.55,3,-2383.98,15,'calm',264,0,60),
 (1674,1,0,'object/mobile/dressed_noble_old_human_male_01.iff',0,0.167647,0,0.985847,-4223.3,3,-2410.04,15,'calm',264,0,60),
 (1675,1,0,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,-0.0189442,0,0.999821,-4214.17,3,-2394.5,15,'calm',264,0,60),
 (1676,1,0,'object/mobile/space_greeter_dantooine_imperial_pilot.iff',0,0.777072,0,-0.629412,-4221.97,3,-2386.5,15,'neutral',264,0,60),
 (1677,1,0,'object/mobile/space_greeter_dantooine_imperial_officer.iff',0,0.194346,0,0.980933,-4223.47,3,-2385.89,15,'neutral',264,0,60),
 (1678,1,0,'object/mobile/dressed_lx_466.iff',0,-0.127648,0,0.99182,-4181.94,3,-2385.99,15,'calm',264,0,60),
 (1679,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,0.980452,0,0.19676,-4182.56,3,-2422.72,15,'calm',264,0,60),
 (1680,1,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,0.945199,0,0.326495,-4186.81,3,-2388.66,15,'calm',264,0,60),
 (1681,1,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.874139,0,-0.485675,-4244.24,3,-2381.33,15,'calm',264,0,60),
 (1682,1,0,'object/mobile/r4.iff',0,0.710917,0,-0.703276,-4227.33,3,-2366.11,15,'calm',264,0,60),
 (1683,1,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-4249.26,0,-2402.07,15,'neutral',128,0,180),
 (1684,1,0,'object/mobile/r5.iff',0,0.413473,0,0.910517,-4228.33,3,-2367.11,15,'calm',264,0,60),
 (1685,1,0,'object/mobile/atst.iff',0,0,0,0,-4230.1,0,-2316.49,100,'neutral',128,0,1800),
 (1686,1,0,'object/mobile/atst.iff',0,0,0,0,-4230.77,0,-2475.27,100,'neutral',128,0,1800),
 (1687,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4244.07,0,-2396.45,25,'neutral',128,0,180),
 (1688,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4286.83,0,-2413.73,25,'neutral',128,0,180),
 (1689,1,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-4300.4,0,-2424.1,1,'neutral',128,0,180),
 (1690,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4184.38,0,-2416.56,25,'neutral',128,0,180),
 (1691,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4272.85,0,-2400.75,25,'neutral',128,0,180),
 (1692,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4253.38,0,-2482.54,25,'neutral',128,0,180),
 (1693,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4225.88,0,-2393.57,25,'neutral',128,0,180),
 (1694,1,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-4134.42,0,-2392.06,15,'neutral',128,0,180),
 (1695,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4132.65,0,-2391.12,25,'neutral',128,0,180),
 (1696,1,0,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-4198.16,0,-2419.87,1,'neutral',128,0,180),
 (1697,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4229.44,0,-2388.45,25,'neutral',128,0,180),
 (1698,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4227.09,0,-2393.93,25,'neutral',128,0,180),
 (1699,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4243.12,0,-2410.11,25,'neutral',128,0,180),
 (1700,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4302.66,0,-2425.25,25,'neutral',128,0,180),
 (1701,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4298.16,0,-2424.08,25,'neutral',128,0,180),
 (1702,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4211.84,0,-2380.47,25,'neutral',128,0,180),
 (1703,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4223.73,0,-2414.93,25,'neutral',128,0,180),
 (1704,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4205.11,0,-2333.57,25,'neutral',128,0,180),
 (1705,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4229.11,0,-2394.68,25,'neutral',128,0,180),
 (1706,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4232.87,0,-2383.02,25,'neutral',128,0,180),
 (1707,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4249.4,0,-2402.41,25,'neutral',128,0,180),
 (1708,1,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4243.7,0,-2400.93,25,'neutral',128,0,180),
 (1709,1,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0.279226,0,0.960225,-4196.58,3,-2425.71,15,'calm',264,0,60),
 (1710,1,1365879,'object/mobile/dressed_jatrian_lytus.iff',0,0.966681,0,-0.255984,3.1801,0.125266,3.64218,15,'calm',264,0,60),
 (1711,1,1365878,'object/mobile/space_imperial_tier4_corellia_nin_gursawe.iff',0,-0.13459,0,0.990901,0.0282143,0.125265,-5.72625,15,'npc_imperial',264,0,60),
 (1712,1,1380125,'object/mobile/dressed_xaan_talmaron.iff',0,0.985139,0,0.171757,0.923707,0.125264,-4.46262,15,'calm',264,0,60),
 (1713,1,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,-0.163214,0,0.986591,-643.274,3,2449.17,15,'calm',264,0,60),
 (1714,1,0,'object/mobile/dressed_kelvus_naria.iff',0,0.480093,0,0.877217,-618.741,3,2539.25,15,'calm',264,0,60),
 (1715,1,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-588.773,0,2499.09,1,'neutral',128,0,180),
 (1716,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.141904,0,0.98988,-600.968,3,2548.6,15,'calm',264,0,60),
 (1717,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0.255434,0,0.966827,-580.478,3,2530.11,15,'calm',264,0,60),
 (1718,1,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,0.967302,0,-0.253626,-611.019,3,2533.14,15,'calm',264,0,60),
 (1719,1,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.96566,0,0.25981,-628.867,3,2509.38,15,'calm',264,0,60),
 (1720,1,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.616942,0,0.787009,-615.606,3,2518.01,15,'calm',264,0,60),
 (1721,1,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,-0.21918,0,0.975684,-621.333,3,2500.8,15,'calm',264,0,60),
 (1722,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0.738639,0,-0.674101,-641.029,3,2472.4,15,'calm',264,0,60),
 (1723,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.722465,0,0.691408,-662.38,3,2482.07,15,'calm',264,0,60),
 (1724,1,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,0.125235,0,0.992127,-655.95,3,2461.93,15,'calm',264,0,60),
 (1725,1,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,-0.481835,0,0.876262,-631.376,3,2463.32,15,'calm',264,0,60),
 (1726,1,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,0.59682,0,0.802375,-647.258,3,2449.17,15,'calm',264,0,60),
 (1727,1,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,-0.408592,0,0.912717,-611.222,3,2488.13,15,'calm',264,0,60),
 (1728,1,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,-0.60843,0,0.793607,-602.673,3,2506.74,15,'calm',264,0,60),
 (1729,1,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.437641,0,0.89915,-568.808,3,2511.52,15,'calm',264,0,60),
 (1730,1,0,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,-0.122515,0,0.992467,-603.801,3,2485.05,15,'calm',264,0,60),
 (1731,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,0.999877,0,-0.0156575,-647.671,3,2456.81,15,'calm',264,0,60),
 (1732,1,0,'object/mobile/dressed_robber_human_female_01.iff',0,-0.635923,0,0.771753,-620.832,3,2450.5,15,'calm',264,0,60),
 (1733,1,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.97661,0,0.215017,-636.026,3,2507.14,15,'calm',264,0,60),
 (1734,1,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.3105,0,0.950573,-575.794,3,2503.31,15,'calm',264,0,60),
 (1735,1,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,0.655673,0,0.755045,-627.488,3,2531.97,15,'calm',264,0,60),
 (1736,1,0,'object/mobile/space_greeter_dantooine_brother_rebel.iff',0,0.964066,0,0.265663,-623.484,3,2481.77,15,'neutral',264,0,60),
 (1737,1,0,'object/mobile/space_greeter_dantooine_brother_imperial.iff',0,0.864544,0,0.502557,-625.684,3,2481.19,15,'neutral',264,0,60),
 (1738,1,0,'object/mobile/space_greeter_dantooine_brother_neutral.iff',0,0.687605,0,0.726085,-625.457,3,2479.41,15,'neutral',264,0,60),
 (1739,1,0,'object/mobile/r2.iff',0,-0.0536428,0,0.99856,-635.747,3,2503.81,15,'calm',264,0,60),
 (1740,1,0,'object/mobile/r4.iff',0,0.872391,0,0.488808,-666.582,3,2494.33,15,'calm',264,0,60),
 (1741,1,0,'object/mobile/r4.iff',0,0.903361,0,0.42888,-643.739,3,2506.86,15,'calm',264,0,60),
 (1742,1,0,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',0,0.403497,0,0.914981,-594.593,3,2500.3,15,'calm',264,0,60),
 (1743,1,0,'object/mobile/dressed_rebel_commando_rodian_male_01.iff',0,0.812263,0,0.583292,-562.046,3,2512.59,15,'calm',264,0,60),
 (1744,1,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,0.756042,0,-0.654524,-665.552,3,2462.61,15,'calm',264,0,60),
 (1745,1,0,'object/mobile/dressed_rebel_commando_zabrak_female_01.iff',0,-0.383965,0,0.923348,-616.905,3,2509.46,15,'calm',264,0,60),
 (1746,1,0,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',0,-0.218563,0,0.975823,-658.186,3,2480.4,15,'calm',264,0,60),
 (1747,1,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0.870132,0,0.492818,-665.821,3,2465.46,15,'calm',264,0,60),
 (1748,1,6205566,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',9.30971e-09,0.669637,-8.39399e-09,0.742689,-7.99398,0.624999,-6.06077,15,'calm',264,0,60),
 (1749,1,6205565,'object/mobile/space_privateer_tier4_corellia_adwan.iff',0,0.662155,0,0.749367,-9.37871,0.625,2.98841,15,'neutral',264,0,60),
 (1750,1,0,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',0,0.37387,0,0.927481,1547.06,4,-6398.33,15,'calm',264,0,60),
 (1751,1,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.799828,0,0.600229,1558.4,4,-6429.77,15,'calm',264,0,60),
 (1752,1,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,-0.136918,0,0.990582,1544.58,4,-6415.22,15,'calm',264,0,60),
 (1753,1,0,'object/mobile/junk_quich.iff',0,0.410627,0,0.911804,1579.04,4,-6374.52,15,'calm',264,0,60),
 (1754,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.969249,0,-0.246081,1597.65,4,-6416.21,15,'calm',264,0,60),
 (1755,1,0,'object/mobile/space_greeter_dantooine_old_pilot.iff',0,0.609149,0,0.793056,1572.26,4,-6417.06,15,'neutral',264,0,60),
 (1756,1,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.338149,0,0.941092,1629.53,4,-6370.75,15,'calm',264,0,60),
 (1757,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.984511,0,-0.17532,1580.07,4,-6439.9,15,'calm',264,0,60),
 (1758,1,0,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,0.0610848,0,0.998133,1583.4,4,-6439.85,15,'calm',264,0,60),
 (1759,1,0,'object/mobile/dressed_noble_human_female_02.iff',0,0.949242,0,0.314546,1558.14,4,-6367.31,15,'calm',264,0,60),
 (1760,1,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,-0.474324,0,0.88035,1571.08,4,-6397.15,15,'calm',264,0,60),
 (1761,1,0,'object/mobile/dressed_commoner_tatooine_bith_female_03.iff',0,0.996365,0,-0.0851884,1586.55,4,-6398.11,15,'calm',264,0,60),
 (1762,1,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,-0.307205,0,0.951643,1575.17,4,-6396.26,15,'calm',264,0,60),
 (1763,1,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,0.999862,0,0.0165832,1570,4,-6370.36,15,'calm',264,0,60),
 (1764,1,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,-0.592754,0,0.805383,1545.76,4,-6370.85,15,'calm',264,0,60),
 (1765,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.839219,0,-0.543794,1600.66,4,-6402.57,15,'calm',264,0,60),
 (1766,1,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,0.462934,0,0.886393,1605.57,4,-6377.91,15,'calm',264,0,60),
 (1767,1,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,0.477835,0,0.878449,1635.14,4,-6397.17,15,'calm',264,0,60),
 (1768,1,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0.994527,0,-0.104479,1614.39,4,-6428.41,15,'calm',264,0,60),
 (1769,1,0,'object/mobile/dressed_noble_human_male_02.iff',0,0.781922,0,0.623377,1603.42,4,-6434.54,15,'calm',264,0,60),
 (1770,1,0,'object/mobile/dressed_goon_twk_female_01.iff',0,0.816582,0,0.577229,1601.5,4,-6367.13,15,'calm',264,0,60),
 (1771,1,0,'object/mobile/cll8_binary_load_lifter.iff',0,-0.396918,0,0.917854,1573.25,4,-6412.41,15,'calm',264,0,60),
 (1772,1,0,'object/mobile/r3.iff',0,0.646507,0,0.762908,1592.98,4,-6400.58,15,'calm',264,0,60),
 (1773,1,0,'object/mobile/r2.iff',0,0.568216,0,0.822879,1583.12,4,-6407.59,15,'calm',264,0,60),
 (1774,1,0,'object/mobile/dressed_criminal_assassin_human_female_01.iff',0,0.296516,0,0.955028,1539.16,4,-6407.03,15,'calm',264,0,60),
 (1775,1,0,'object/mobile/dressed_villain_trandoshan_male_01.iff',0,-0.32693,0,0.945049,1635.07,4,-6402.37,15,'calm',264,0,60),
 (1776,1,0,'object/mobile/dressed_villain_trandoshan_male_01.iff',0,-0.32698,0,0.945031,1636.98,4,-6402.56,15,'calm',264,0,60),
 (1777,1,0,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,0.997114,0,-0.0759149,1556.88,4,-6411.9,15,'calm',264,0,60),
 (1778,1,6205499,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,0.844914,0,-0.534902,8.90672,0.625,-2.94252,15,'calm',264,0,60),
 (1779,1,6205498,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.997197,0,-0.0748175,-7.77368,0.624999,-5.2158,15,'calm',264,0,60),
 (1780,1,8535484,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,50.056,-47.4545,-6.97608,115,'neutral',128,35,300),
 (1781,1,8535484,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,51.387,-47.8643,-5.9065,115,'neutral',128,35,300),
 (1782,1,8535484,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,51.5238,-48.6576,-64.4212,115,'neutral',128,35,300),
 (1783,1,8535484,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,53.0072,-68.0963,-40.6676,115,'neutral',128,35,300),
 (1784,1,8535484,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,54.4778,-68.2985,-40.363,115,'neutral',128,35,300),
 (1785,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,68.0795,-75.4798,-56.001,115,'neutral',128,35,300),
 (1786,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,70.3888,-75.3941,-56.9811,115,'neutral',128,35,300),
 (1787,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,87.7348,-76.5133,-66.0111,115,'neutral',128,35,300),
 (1788,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,88.5358,-76.431,-66.9858,115,'neutral',128,35,300),
 (1789,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,66.0897,-75.4689,-64.6093,115,'neutral',128,35,300),
 (1790,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,65.1141,-75.4725,-64.8087,115,'neutral',128,35,300),
 (1791,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,75.2572,-76.9339,-88.0694,115,'neutral',128,35,300),
 (1792,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,75.9547,-76.8223,-87.7808,115,'neutral',128,35,300),
 (1793,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,91.1268,-76.3305,-82.3623,115,'neutral',128,35,300),
 (1794,1,8535486,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,89.6152,-76.5638,-83.1857,115,'neutral',128,35,300),
 (1795,1,529323,'object/mobile/dantari_male.iff',0,0,0,0,12.4066,-14.5825,-6.14652,70,'neutral',128,35,300),
 (1796,1,529324,'object/mobile/dantari_male.iff',0,0,0,0,11.1081,-23.6347,-27.6997,55,'neutral',128,35,300),
 (1797,1,529324,'object/mobile/dantari_male.iff',0,0,0,0,10.552,-23.7417,-28.5074,55,'neutral',128,35,300),
 (1798,1,529324,'object/mobile/dantari_male.iff',0,0,0,0,-11.5333,-37.5021,-46.877,42,'neutral',128,35,300),
 (1799,1,529324,'object/mobile/dantari_male.iff',0,0,0,0,-11.5333,-36.5021,-46.877,42,'neutral',128,35,300),
 (1800,1,529324,'object/mobile/dantari_male.iff',0,0,0,0,-7.87624,-37.3107,-48.0534,75,'neutral',128,35,300),
 (1801,1,529325,'object/mobile/dantari_male.iff',0,0,0,0,-11.9629,-40.5899,-81.2233,60,'neutral',128,35,300),
 (1802,1,529325,'object/mobile/dantari_male.iff',0,0,0,0,-11.9617,-39.5898,-81.226,60,'neutral',128,35,300),
 (1803,1,529325,'object/mobile/dantari_male.iff',0,0,0,0,8.72339,-39.6303,-72.8587,60,'neutral',128,35,300),
 (1804,1,529325,'object/mobile/dantari_male.iff',0,0,0,0,8.72339,-40.6303,-72.8587,60,'neutral',128,35,300),
 (1805,1,529325,'object/mobile/dantari_female.iff',0,0,0,0,13.9133,-40.7894,-72.0311,20,'neutral',128,35,300),
 (1806,1,529325,'object/mobile/dantari_female.iff',0,0,0,0,15.5467,-40.6371,-73.6737,20,'neutral',128,35,300),
 (1807,1,529325,'object/mobile/dantari_female.iff',0,0,0,0,19.1447,-40.7183,-73.3561,20,'neutral',128,35,300),
 (1808,1,529326,'object/mobile/dantari_male.iff',0,0,0,0,41.9375,-46.3636,-54.5361,50,'neutral',128,35,300),
 (1809,1,529326,'object/mobile/dantari_male.iff',0,0,0,0,41.938,-46.3638,-55.4142,50,'neutral',128,35,300),
 (1810,1,529326,'object/mobile/dantari_male.iff',0,0,0,0,51.7596,-45.9209,-93.118,60,'neutral',128,35,300),
 (1811,1,529326,'object/mobile/dantari_male.iff',0,0,0,0,50.9833,-46.02,-93.8796,60,'neutral',128,35,300),
 (1812,1,529326,'object/mobile/dantari_male.iff',0,0,0,0,48.6521,-46.1357,-96.0323,60,'neutral',128,35,300),
 (1813,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,21.6924,-45.732,-114.071,40,'neutral',128,35,300),
 (1814,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,21.6924,-46.732,-115.071,40,'neutral',128,35,300),
 (1815,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,20.4605,-45.6601,-113.634,40,'neutral',128,35,300),
 (1816,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,0.408354,-44.8273,-139.944,27,'neutral',128,35,300),
 (1817,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,0.392025,-44.8285,-139.956,27,'neutral',128,35,300),
 (1818,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,-8.38402,-44.9718,-143.266,27,'neutral',128,35,300),
 (1819,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,-9.87134,-44.5888,-139.159,27,'neutral',128,35,300),
 (1820,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,60.3726,-45.8467,-121.211,60,'neutral',128,35,300),
 (1821,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,61.2077,-46.7477,-124.879,75,'neutral',128,35,300),
 (1822,1,529327,'object/mobile/dantari_female.iff',0,0,0,0,30.9984,-51.7811,-140.954,20,'neutral',128,35,300),
 (1823,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,31.8162,-51.86,-140.87,60,'neutral',128,35,300),
 (1824,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,27.5708,-51.5033,-141.555,75,'neutral',128,35,300),
 (1825,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,63.3416,-53.9263,-145.854,75,'neutral',128,35,300),
 (1826,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,70.0869,-53.5352,-144.593,75,'neutral',128,35,300),
 (1827,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,71.1204,-53.9235,-146.156,75,'neutral',128,35,300),
 (1828,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,73.0166,-53.5581,-146.393,75,'neutral',128,35,300),
 (1829,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,74.6082,-53.6206,-147.674,60,'neutral',128,35,300),
 (1830,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,72.8704,-54.1437,-148.613,60,'neutral',128,35,300),
 (1831,1,529327,'object/mobile/dantari_male.iff',0,0,0,0,72.8321,-54.151,-148.636,60,'neutral',128,35,300),
 (1832,1,529328,'object/mobile/dantari_male.iff',0,0,0,0,8.21305,-63.8513,-183.039,40,'neutral',128,35,300),
 (1833,1,529328,'object/mobile/dantari_male.iff',0,0,0,0,7.32497,-63.8716,-181.735,40,'neutral',128,35,300),
 (1834,1,529328,'object/mobile/dantari_male.iff',0,0,0,0,7.32497,-61.8716,-180.735,40,'neutral',128,35,300),
 (1835,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-5.7547,-65.2814,-207.151,55,'neutral',128,35,300),
 (1836,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-13.712,-65.5437,-209.038,55,'neutral',128,35,300),
 (1837,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-20.1138,-65.2177,-214.255,55,'neutral',128,35,300),
 (1838,1,529329,'object/mobile/dantari_female.iff',0,0,0,0,-3.70887,-63.9975,-233.39,20,'neutral',128,35,300),
 (1839,1,529329,'object/mobile/dantari_female.iff',0,0,0,0,-3.70891,-63.9975,-233.391,20,'neutral',128,35,300),
 (1840,1,529329,'object/mobile/dantari_female.iff',0,0,0,0,-4.1058,-64.0534,-234.308,20,'neutral',128,35,300),
 (1841,1,529329,'object/mobile/dantari_female.iff',0,0,0,0,-2.4743,-64.0266,-235.804,20,'neutral',128,35,300),
 (1842,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-2.34874,-63.1429,-236.072,70,'neutral',128,35,300),
 (1843,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-2.35353,-64.1478,-237.12,70,'neutral',128,35,300),
 (1844,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-16.2829,-63.9134,-258.716,70,'neutral',128,35,300),
 (1845,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-9.7052,-63.7529,-260.759,70,'neutral',128,35,300),
 (1846,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-11.6882,-62.9534,-261.979,70,'neutral',128,35,300),
 (1847,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-12.206,-62.9622,-261.962,70,'neutral',128,35,300),
 (1848,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-14.7347,-63.0278,-261.263,70,'neutral',128,35,300),
 (1849,1,529329,'object/mobile/dantari_male.iff',0,0,0,0,-23.7427,-63.5171,-256.785,75,'neutral',128,35,300),
 (1850,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-53.6536,-70.0252,-185.05,70,'neutral',128,35,300),
 (1851,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-54.6536,-71.0252,-184.05,70,'neutral',128,35,300),
 (1852,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-53.4112,-70.672,-182.469,70,'neutral',128,35,300),
 (1853,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-57.1904,-71.05,-181.517,70,'neutral',128,35,300),
 (1854,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-68.7213,-69.7445,-166.462,70,'neutral',128,35,300),
 (1855,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-68.1388,-69.841,-163.666,70,'neutral',128,35,300),
 (1856,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-68.1406,-69.8417,-164.663,70,'neutral',128,35,300),
 (1857,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-69.4139,-70.3658,-160.849,70,'neutral',128,35,300),
 (1858,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-70.7271,-70.8252,-155.16,27,'neutral',128,35,300),
 (1859,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-90.1643,-73.0995,-170.01,40,'neutral',128,35,300),
 (1860,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-90.1643,-73.0995,-169.01,40,'neutral',128,35,300),
 (1861,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-90.9311,-73.2205,-172.997,40,'neutral',128,35,300),
 (1862,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-90.9337,-73.222,-173.006,40,'neutral',128,35,300),
 (1863,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-92.9627,-73.3059,-174.617,40,'neutral',128,35,300),
 (1864,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-96.2223,-73.061,-174.957,40,'neutral',128,35,300),
 (1865,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-97.5733,-72.8324,-173.492,40,'neutral',128,35,300),
 (1866,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-97.5232,-73.0605,-171.499,40,'neutral',128,35,300),
 (1867,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-96.4344,-73.5075,-169.481,40,'neutral',128,35,300),
 (1868,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-95.201,-73.8589,-168.446,40,'neutral',128,35,300),
 (1869,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-98.4775,-69.0244,-131.988,70,'neutral',128,35,300),
 (1870,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-99.4775,-69.0244,-133.988,70,'neutral',128,35,300),
 (1871,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-100.778,-68.8923,-135.376,70,'neutral',128,35,300),
 (1872,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-70.4259,-70.4358,-86.1143,70,'neutral',128,35,300),
 (1873,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-68.7838,-70.5731,-86.4943,70,'neutral',128,35,300),
 (1874,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-63.6591,-70.6302,-85.8611,70,'neutral',128,35,300),
 (1875,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-57.7496,-70.1578,-86.2185,70,'neutral',128,35,300),
 (1876,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-41.7721,-70.376,-84.0982,70,'neutral',128,35,300),
 (1877,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-38.6726,-70.7634,-85.6757,70,'neutral',128,35,300),
 (1878,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-35.6,-71.2449,-85.6534,70,'neutral',128,35,300),
 (1879,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-32.6185,-70.9111,-84.7599,70,'neutral',128,35,300),
 (1880,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-29.8434,-70.4906,-85.2122,70,'neutral',128,35,300),
 (1881,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-12.3675,-69.0273,-94.365,70,'neutral',128,35,300),
 (1882,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-9.98538,-68.8669,-97.9737,70,'neutral',128,35,300),
 (1883,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-9.16426,-68.0933,-101.977,70,'neutral',128,35,300),
 (1884,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-50.5919,-68.8513,-109.696,70,'neutral',128,35,300),
 (1885,1,529331,'object/mobile/dantari_male.iff',0,0,0,0,-52.1995,-68.7031,-109.638,70,'neutral',128,35,300),
 (1886,1,529332,'object/mobile/dantari_male.iff',0,0,0,0,-21.0804,-79.0753,-139.689,51,'neutral',128,33,300),
 (1887,1,529332,'object/mobile/dantari_male.iff',0,0,0,0,-20.4537,-79.0489,-138.448,51,'neutral',128,33,300),
 (1888,1,529332,'object/mobile/dantari_male.iff',0,0,0,0,-21.4537,-79.0489,-139.448,51,'neutral',128,33,300),
 (1889,1,529332,'object/mobile/dantari_male.iff',0,0,0,0,-26.4615,-79.0756,-137.958,51,'neutral',128,33,300),
 (1890,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-66.6057,-95.8322,-149.025,51,'neutral',128,33,300),
 (1891,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-69.9564,-96.9245,-147.057,51,'neutral',128,33,300),
 (1892,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-69.9564,-96.9245,-149.057,51,'neutral',128,33,300),
 (1893,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-69.8455,-96.9336,-145.585,51,'neutral',128,33,300),
 (1894,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-87.7488,-102.278,-133.056,75,'neutral',128,35,300),
 (1895,1,529330,'object/mobile/dantari_male.iff',0,0,0,0,-89.4025,-102.366,-133.289,75,'neutral',128,35,300),
 (1896,1,529333,'object/mobile/dantari_male.iff',0,0,0,0,-83.6196,-99.8945,-96.5043,60,'neutral',128,35,300),
 (1897,1,529333,'object/mobile/dantari_female.iff',0,0,0,0,-82.554,-99.7393,-95.762,20,'neutral',128,35,300),
 (1898,1,529333,'object/mobile/dantari_female.iff',0,0,0,0,-92.2355,-100.852,-94.8693,20,'neutral',128,35,300),
 (1899,1,529333,'object/mobile/dantari_female.iff',0,0,0,0,-94.8101,-101.024,-95.9428,20,'neutral',128,35,300),
 (1900,1,529333,'object/mobile/dantari_female.iff',0,0,0,0,-95.2344,-100.796,-93.1419,20,'neutral',128,35,300),
 (1901,1,529333,'object/mobile/dantari_male.iff',0,0,0,0,-90.9865,-99.6535,-89.6284,75,'neutral',128,35,300),
 (1902,1,529375,'object/mobile/dantari_male.iff',0,0,0,0,-14.2143,-27.6887,-26.258,16,'neutral',128,35,300),
 (1903,1,529375,'object/mobile/dantari_male.iff',0,0,0,0,-14.5814,-27.7164,-25.6945,70,'neutral',128,35,300),
 (1904,1,529375,'object/mobile/dantari_male.iff',0,0,0,0,-16.2474,-28.1649,-25.9607,37,'neutral',128,35,300),
 (1905,1,529375,'object/mobile/dantari_male.iff',0,0,0,0,-16.5589,-28.2995,-26.4224,37,'neutral',128,35,300),
 (1906,1,529375,'object/mobile/dantari_male.iff',0,0,0,0,-27.6811,-30.485,-15.8823,70,'neutral',128,35,300),
 (1907,1,529375,'object/mobile/dantari_male.iff',0,0,0,0,-27.8188,-30.5681,-16.687,70,'neutral',128,35,300),
 (1908,1,529377,'object/mobile/dantari_male.iff',0,0,0,0,-53.7822,-39.6042,-14.0297,70,'neutral',128,35,300),
 (1909,1,529377,'object/mobile/dantari_male.iff',0,0,0,0,-54.9096,-40.2098,-14.2235,51,'neutral',128,35,300),
 (1910,1,529378,'object/mobile/dantari_male.iff',0,0,0,0,-65.5722,-46.745,-52.2787,70,'neutral',128,35,300),
 (1911,1,529378,'object/mobile/dantari_male.iff',0,0,0,0,-65.5722,-46.745,-52.2787,70,'neutral',128,35,300),
 (1912,1,529378,'object/mobile/dantari_male.iff',0,0,0,0,-68.1336,-46.9154,-73.3115,70,'neutral',128,35,300),
 (1913,1,529378,'object/mobile/dantari_male.iff',0,0,0,0,-68.1217,-46.9159,-73.2691,70,'neutral',128,35,300),
 (1914,1,529379,'object/mobile/dantari_male.iff',0,0,0,0,-103.552,-52.7528,-61.9008,28,'neutral',128,35,300),
 (1915,1,529379,'object/mobile/dantari_male.iff',0,0,0,0,-103.345,-52.5108,-62.7428,71,'neutral',128,35,300),
 (1916,1,529379,'object/mobile/dantari_male.iff',0,0,0,0,-139.966,-49.5672,-62.8097,70,'neutral',128,35,300),
 (1917,1,529383,'object/mobile/dantari_male.iff',0,0,0,0,-174.559,-49.8562,-61.5414,48,'neutral',128,35,300),
 (1918,1,529383,'object/mobile/dantari_male.iff',0,0,0,0,-173.581,-50.0076,-61.4772,67,'neutral',128,35,300),
 (1919,1,529383,'object/mobile/dantari_male.iff',0,0,0,0,-173.613,-50.009,-62.856,70,'neutral',128,35,300),
 (1920,1,529383,'object/mobile/dantari_male.iff',0,0,0,0,-164.174,-49.2708,-84.0258,70,'neutral',128,35,300),
 (1921,1,529383,'object/mobile/dantari_male.iff',0,0,0,0,-164.174,-49.2708,-84.0258,70,'neutral',128,35,300),
 (1922,1,529383,'object/mobile/dantari_male.iff',0,0,0,0,-162.411,-49.8525,-80.8004,70,'neutral',128,35,300),
 (1923,1,529383,'object/mobile/dantari_male.iff',0,0,0,0,-158.966,-49.8973,-85.7471,70,'neutral',128,35,300),
 (1924,1,529385,'object/mobile/dantari_male.iff',0,0,0,0,-155.916,-55.8922,-122.385,70,'neutral',128,35,300),
 (1925,1,529385,'object/mobile/dantari_male.iff',0,0,0,0,-155.935,-55.9323,-122.113,70,'neutral',128,35,300),
 (1926,1,529384,'object/mobile/dantari_male.iff',0,0,0,0,-129.598,-53.7365,-83.4537,48,'neutral',128,35,300),
 (1927,1,529384,'object/mobile/dantari_male.iff',0,0,0,0,-129.598,-53.7365,-83.4537,48,'neutral',128,35,300),
 (1928,1,529387,'object/mobile/dantari_male.iff',0,0,0,0,-78.9529,-60.4205,-53.5309,70,'neutral',128,35,300),
 (1929,1,529387,'object/mobile/dantari_male.iff',0,0,0,0,-79.9406,-60.4942,-54.0314,70,'neutral',128,35,300),
 (1930,1,529387,'object/mobile/dantari_male.iff',0,0,0,0,-80.662,-60.2249,-53.6528,70,'neutral',128,35,300),
 (1931,1,529389,'object/mobile/dantari_male.iff',0,0,0,0,-107.378,-58.0648,-33.4903,51,'neutral',128,35,300),
 (1932,1,529389,'object/mobile/dantari_male.iff',0,0,0,0,-112.36,-57.8257,-33.4091,70,'neutral',128,35,300),
 (1933,1,529389,'object/mobile/dantari_male.iff',0,0,0,0,-112.72,-58.301,-29.4405,51,'neutral',128,35,300),
 (1934,1,529389,'object/mobile/dantari_male.iff',0,0,0,0,-107.381,-58.0679,-27.9229,70,'neutral',128,35,300),
 (1935,1,529393,'object/mobile/dantari_male.iff',0,0,0,0,-12.9245,-35.0324,-70.2134,51,'neutral',128,35,300),
 (1936,1,529393,'object/mobile/dantari_male.iff',0,0,0,0,-13.0769,-35.0451,-69.2131,70,'neutral',128,35,300),
 (1937,1,529393,'object/mobile/dantari_male.iff',0,0,0,0,-12.4304,-35.028,-67.917,48,'neutral',128,35,300),
 (1938,1,529393,'object/mobile/dantari_male.iff',0,0,0,0,-11.8674,-35.0311,-73.0617,70,'neutral',128,35,300),
 (1939,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-13.9715,-43.9283,-97.7401,70,'neutral',128,35,300),
 (1940,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-11.8969,-43.6334,-95.4646,71,'neutral',128,35,300),
 (1941,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-14.5376,-44.0158,-99.9397,77,'neutral',128,33,300),
 (1942,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-11.8795,-43.7558,-99.4835,77,'neutral',128,33,300),
 (1943,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-37.5177,-44.7283,-97.5924,77,'neutral',128,33,300),
 (1944,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-37.7842,-44.5795,-96.3096,77,'neutral',128,33,300),
 (1945,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-39.635,-45.0543,-97.9078,77,'neutral',128,33,300),
 (1946,1,529395,'object/mobile/dantari_male.iff',0,0,0,0,-51.8488,-49.2549,-108.14,70,'neutral',128,35,300),
 (1947,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-73.0915,-53.5126,-114.793,70,'neutral',128,35,300),
 (1948,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-73.0941,-53.5124,-114.792,70,'neutral',128,35,300),
 (1949,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-74.3412,-53.39,-114.001,70,'neutral',128,35,300),
 (1950,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-73.3369,-53.4132,-112.392,70,'neutral',128,35,300),
 (1951,1,529396,'object/mobile/dantari_male.iff',0,0,0,0,-125.545,-53.9573,-112.043,77,'neutral',128,33,300),
 (1952,1,529396,'object/mobile/dantari_male.iff',0,0,0,0,-125.296,-53.9934,-113.729,70,'neutral',128,35,300),
 (1953,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-100.697,-69.7678,-118.425,70,'neutral',128,35,300),
 (1954,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-99.1083,-69.8194,-116.324,70,'neutral',128,35,300),
 (1955,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-95.4988,-70.4981,-115.383,70,'neutral',128,35,300),
 (1956,1,529382,'object/mobile/dantari_male.iff',0,0,0,0,-88.4753,-71.7711,-109.709,70,'neutral',128,35,300),
 (1957,1,529398,'object/mobile/dantari_male.iff',0,0,0,0,-81.1212,-69.8059,-127.336,70,'neutral',128,35,300),
 (1958,1,529398,'object/mobile/dantari_male.iff',0,0,0,0,-80.1564,-69.5993,-127.804,70,'neutral',128,35,300),
 (1959,1,529398,'object/mobile/dantari_male.iff',0,0,0,0,-62.5197,-65.9557,-139.951,70,'neutral',128,35,300),
 (1960,1,529398,'object/mobile/dantari_male.iff',0,0,0,0,-62.0251,-65.917,-138.819,70,'neutral',128,35,300),
 (1961,1,529401,'object/mobile/dantari_male.iff',0,0,0,0,-78.8969,-66.1306,-175.841,70,'neutral',128,35,300),
 (1962,1,529401,'object/mobile/dantari_male.iff',0,0,0,0,-78.0238,-66.0206,-175.845,70,'neutral',128,35,300),
 (1963,1,529401,'object/mobile/dantari_male.iff',0,0,0,0,-76.9653,-65.9005,-176.457,77,'neutral',128,33,300),
 (1964,1,529401,'object/mobile/dantari_male.iff',0,0,0,0,-50.0529,-66.1259,-173.314,77,'neutral',128,33,300),
 (1965,1,529401,'object/mobile/dantari_male.iff',0,0,0,0,-51.9287,-65.9816,-174.748,77,'neutral',128,33,300),
 (1966,1,529401,'object/mobile/dantari_male.iff',0,0,0,0,-52.9378,-65.8469,-174.051,70,'neutral',128,35,300),
 (1967,1,529402,'object/mobile/dantari_male.iff',0,0,0,0,-60.1431,-66.3943,-236.407,70,'neutral',128,35,300),
 (1968,1,529402,'object/mobile/dantari_male.iff',0,0,0,0,-60.1431,-66.3943,-236.407,70,'neutral',128,35,300),
 (1969,1,529402,'object/mobile/dantari_male.iff',0,0,0,0,-59.4133,-66.1914,-234.452,67,'neutral',128,35,300),
 (1970,1,529399,'object/mobile/dantari_male.iff',0,0,0,0,-17.2357,-67.6942,-109.637,67,'neutral',128,35,300),
 (1971,1,529399,'object/mobile/dantari_male.iff',0,0,0,0,-18.9244,-67.9486,-111.213,67,'neutral',128,35,300),
 (1972,1,529400,'object/mobile/dantari_male.iff',0,0,0,0,45.4149,-67.3412,-69.4364,70,'neutral',128,35,300),
 (1973,1,529400,'object/mobile/dantari_male.iff',0,0,0,0,45.3591,-67.3451,-69.6316,70,'neutral',128,35,300),
 (1974,1,529400,'object/mobile/dantari_male.iff',0,0,0,0,46.2567,-67.2668,-71.5354,75,'neutral',128,35,300),
 (1975,1,529400,'object/mobile/dantari_male.iff',0,0,0,0,42.2127,-68.1787,-99.0423,75,'neutral',128,35,300),
 (1976,1,529400,'object/mobile/dantari_male.iff',0,0,0,0,37.3356,-68.9661,-105.388,75,'neutral',128,35,300),
 (1977,1,529400,'object/mobile/dantari_male.iff',0,0,0,0,40.1389,-69.043,-105.79,75,'neutral',128,35,300),
 (1978,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7257.92,0,-3316.29,47,'neutral',128,35,180),
 (1979,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7101.81,0,-3419.26,47,'neutral',128,35,180),
 (1980,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7100.83,0,-3418.41,70,'neutral',128,35,180),
 (1981,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7056.94,0,-3386.35,70,'neutral',128,35,180),
 (1982,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7058.87,0,-3386.54,70,'neutral',128,35,180),
 (1983,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7076.24,0,-3387.98,70,'neutral',128,35,180),
 (1984,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7076.47,0,-3388.67,70,'neutral',128,35,180),
 (1985,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7101.71,0,-3337.16,70,'neutral',128,35,180),
 (1986,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7102.61,0,-3336.81,70,'neutral',128,35,180),
 (1987,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7151.51,0,-3347.7,47,'neutral',128,35,180),
 (1988,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7152.79,0,-3348.59,47,'neutral',128,35,180),
 (1989,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7065.81,0,-3357.03,42,'neutral',128,35,180),
 (1990,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7065.41,0,-3356.03,42,'neutral',128,35,180),
 (1991,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7134.08,0,-3288.65,47,'neutral',128,35,180),
 (1992,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7133.81,0,-3290.59,47,'neutral',128,35,180),
 (1993,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7083.04,0,-3286.11,70,'neutral',128,35,180),
 (1994,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7083.49,0,-3287.45,70,'neutral',128,35,180),
 (1995,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7073.06,0,-3325.12,70,'neutral',128,35,180),
 (1996,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7071.47,0,-3323.53,70,'neutral',128,35,180),
 (1997,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7089.14,0,-3328.05,71,'neutral',128,35,180),
 (1998,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7090.18,0,-3329.27,71,'neutral',128,35,180),
 (1999,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7071.17,0,-3343.18,70,'neutral',128,35,180),
 (2000,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7071.41,0,-3342.43,70,'neutral',128,35,180),
 (2001,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7056.49,0,-3334.46,70,'neutral',128,35,180),
 (2002,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7057.69,0,-3332.66,70,'neutral',128,35,180),
 (2003,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7047.03,0,-3305.27,70,'neutral',128,35,180),
 (2004,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7045.86,0,-3303.63,70,'neutral',128,35,180),
 (2005,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7040.66,0,-3337.24,70,'neutral',128,35,180),
 (2006,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7040.55,0,-3338.33,70,'neutral',128,35,180),
 (2007,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7043.46,0,-3333.12,60,'neutral',128,35,180),
 (2008,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7051.57,0,-3331.18,47,'neutral',128,35,180),
 (2009,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7024.41,0,-3371.72,70,'neutral',128,35,180),
 (2010,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7025.06,0,-3371.91,70,'neutral',128,35,180),
 (2011,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7035.68,0,-3309.39,70,'neutral',128,35,180),
 (2012,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7037.35,0,-3310.79,70,'neutral',128,35,180),
 (2013,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7035.4,0,-3359.38,71,'neutral',128,35,180),
 (2014,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7037.38,0,-3358.75,71,'neutral',128,35,180),
 (2015,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7017.71,0,-3313.73,42,'neutral',128,35,180),
 (2016,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7019.53,0,-3312.04,42,'neutral',128,35,180),
 (2017,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-6995.71,0,-3320.54,70,'neutral',128,35,180),
 (2018,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-6995.79,0,-3320.19,70,'neutral',128,35,180),
 (2019,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-6972.77,0,-3384.93,47,'neutral',128,35,180),
 (2020,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-6974.72,0,-3386.3,47,'neutral',128,35,180),
 (2021,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7078.84,0,-3245.99,47,'neutral',128,35,180),
 (2022,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7076.88,0,-3245.42,47,'neutral',128,35,180),
 (2023,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7012.3,0,-3222.03,47,'neutral',128,35,180),
 (2024,1,0,'object/mobile/dantari_male.iff',0,0,0,0,-7013.64,0,-3222.04,47,'neutral',128,35,180),
 (2025,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5573.08,0,-635.405,75,'neutral',128,35,300),
 (2026,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5566.81,0,-644.43,70,'neutral',128,35,180),
 (2027,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5590.45,0,-614.236,32,'neutral',128,35,180),
 (2028,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5534.22,0,-692.701,32,'neutral',128,35,180),
 (2029,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5595.45,0,-622.07,43,'neutral',128,35,180),
 (2030,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5592.03,0,-646.633,20,'neutral',128,35,180),
 (2031,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5544.92,0,-682.596,47,'neutral',128,35,180),
 (2032,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5568.59,0,-655.277,47,'neutral',128,35,180),
 (2033,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5527.23,0,-696.351,26,'neutral',128,35,180),
 (2034,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5555.51,0,-618.376,60,'neutral',128,35,180),
 (2035,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5516.51,0,-708.176,20,'neutral',128,35,180),
 (2036,1,0,'object/mobile/dantari_male.iff',0,0,0,0,5573.73,0,-646.79,70,'neutral',128,35,180),
 (2037,1,8575684,'object/mobile/droideka.iff',0,0,0,0,-84.5614,-18,-100.725,60,'neutral',128,33,180),
 (2038,1,8575684,'object/mobile/droideka.iff',0,0,0,0,-83.8633,-18,-114.046,60,'neutral',128,33,180),
 (2039,1,8575684,'object/mobile/droideka.iff',0,0,0,0,-72.6057,-18,-106.357,60,'neutral',128,33,180),
 (2040,1,0,'object/mobile/droideka.iff',0,0,0,0,-103.376,-75.4908,8.57568e+06,60,'neutral',128,33,180),
 (2041,1,8575684,'object/mobile/warren_teraud_loyalist_cyborg_s01.iff',0,0,0,0,-64.0962,-18,-100.699,38,'neutral',128,35,180),
 (2042,1,8575684,'object/mobile/warren_teraud_loyalist_s02.iff',0,0,0,0,-68.0511,-18,-115.454,44,'neutral',128,35,180),
 (2043,1,8575685,'object/mobile/warren_teraud_loyalist_cyborg_s01.iff',0,0,0,0,-25.2036,-20,-94.1748,38,'neutral',128,35,180),
 (2044,1,8575677,'object/mobile/warren_teraud_loyalist_s02.iff',0,0,0,0,-8.55514,-20,-10.456,44,'neutral',128,35,180),
 (2045,1,8755675,'object/mobile/warren_teraud_loyalist_cyborg_s01.iff',0,0,0,0,3.90062,-12,29.3284,38,'neutral',128,35,180),
 (2046,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2543.44,0,-1674.96,60,'neutral',128,35,300),
 (2047,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2543.13,0,-1661.04,60,'neutral',128,35,300),
 (2048,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2543.03,0,-1671.24,60,'neutral',128,35,300),
 (2049,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,2558.44,0,-1682.54,81,'neutral',128,35,300),
 (2050,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,2555.21,0,-1672.31,81,'neutral',128,35,300),
 (2051,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,2548.95,0,-1677.06,81,'neutral',128,35,300),
 (2052,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,2540.04,0,-1616.34,78,'neutral',128,35,300),
 (2053,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2501.47,0,-1589.98,28,'neutral',128,35,180),
 (2054,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2525.38,0,-1651.82,28,'neutral',128,35,180),
 (2055,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2563.7,0,-1492.49,28,'neutral',128,35,180),
 (2056,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2534.61,0,-1501.14,28,'neutral',128,35,180),
 (2057,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2581.53,0,-1607.12,57,'neutral',128,35,300),
 (2058,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2533.71,0,-1664.72,57,'neutral',128,35,300),
 (2059,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2467.63,0,-1555.78,57,'neutral',128,35,300),
 (2060,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2413.29,0,-1630.76,57,'neutral',128,35,300),
 (2061,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2497,0,-1590,57,'neutral',128,35,300),
 (2062,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2543.33,0,-1592.39,57,'neutral',128,35,300),
 (2063,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2516.49,0,-1709.85,57,'neutral',128,35,300),
 (2064,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2387.52,0,-1685.84,57,'neutral',128,35,300),
 (2065,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2540.48,0,-1689.15,57,'neutral',128,35,300),
 (2066,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2448.87,0,-1640.15,57,'neutral',128,35,300),
 (2067,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2511.54,0,-1741.69,57,'neutral',128,35,300),
 (2068,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2743.85,0,-1736.48,57,'neutral',128,35,300),
 (2069,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2402.15,0,-1403.75,57,'neutral',128,35,300),
 (2070,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2607.34,0,-1975.2,57,'neutral',128,35,300),
 (2071,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2460.87,0,-1736.68,57,'neutral',128,35,300),
 (2072,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2586.73,0,-1519.07,57,'neutral',128,35,300),
 (2073,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2628.71,0,-1619.16,57,'neutral',128,35,300),
 (2074,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2672.14,0,-1582.07,57,'neutral',128,35,300),
 (2075,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2581.99,0,-1762.46,57,'neutral',128,35,300),
 (2076,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,2818.8,0,-1479.23,57,'neutral',128,35,300),
 (2077,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2533.64,0,-1692.89,28,'neutral',128,35,180),
 (2078,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,1888.99,0,-1511.15,28,'neutral',128,35,180),
 (2079,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2451.04,0,-1605.91,28,'neutral',128,35,180),
 (2080,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,1961.73,0,-1859.62,28,'neutral',128,35,180),
 (2081,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2413.78,0,-2291.05,28,'neutral',128,35,180),
 (2082,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2934.12,0,-1261.02,28,'neutral',128,35,180),
 (2083,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2522.36,0,-1626.34,28,'neutral',128,35,180),
 (2084,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,2421.84,0,-1422.22,28,'neutral',128,35,180),
 (2085,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,26.2,-39.1,-39,57,'neutral',128,35,300),
 (2086,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,22.2,-39.3,-40.3,57,'neutral',128,35,300),
 (2087,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,21.1,-41.4,-70.1,57,'neutral',128,35,300),
 (2088,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,23.3,-41.9,-70.4,57,'neutral',128,35,300),
 (2089,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,40.9,-47.2,-36.9,57,'neutral',128,35,300),
 (2090,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,45.6,-47.7,-37,57,'neutral',128,35,300),
 (2091,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,48.4,-47.6,-70.9,57,'neutral',128,35,300),
 (2092,2,8575576,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,53.5,-47.5,-69.8,57,'neutral',128,35,300),
 (2093,2,8575576,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,41.2,-46,-5.6,78,'neutral',128,35,300),
 (2094,2,8575579,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,82.6,-46.2,-118,78,'neutral',128,35,300),
 (2095,2,8575579,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,96.1,-45.6,-96.9,78,'neutral',128,35,300),
 (2096,2,8575579,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,91.6,-46.2,-100.3,78,'neutral',128,35,300),
 (2097,2,8575585,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,83.3,-46.2,-137.8,100,'neutral',128,35,300),
 (2098,2,8575585,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,81.5,-46.4,-147.9,100,'neutral',128,35,300),
 (2099,2,8575585,'object/mobile/dressed_dathomir_nightsister_elder.iff',0,0,0,0,72.1,-45.7,-142.8,278,'neutral',128,35,3600),
 (2100,2,8575577,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,90.2,-61.2,-7.9,60,'neutral',128,35,300),
 (2101,2,8575577,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,92.1,-61.7,-11.6,60,'neutral',128,35,300),
 (2102,2,8575577,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,83.6,-65.3,-28.6,10,'neutral',128,35,180),
 (2103,2,8575577,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,84.9,-64,-24.5,10,'neutral',128,35,180),
 (2104,2,8575577,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,86.2,-65,-28.9,10,'neutral',128,35,180),
 (2105,2,8575577,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,94.6,-67.7,-38.1,57,'neutral',128,35,300),
 (2106,2,8575577,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,95,-66.3,-34.5,57,'neutral',128,35,300),
 (2107,2,8575577,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,71.8,-68,-36,60,'neutral',128,35,300),
 (2108,2,8575577,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,70.5,-69.3,-39.4,60,'neutral',128,35,300),
 (2109,2,8575578,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,68.6,-76.7,-69.1,60,'neutral',128,35,300),
 (2110,2,8575578,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,63.8,-75.7,-69,60,'neutral',128,35,300),
 (2111,2,8575578,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,91,-76.4,-86.9,76,'neutral',128,35,300),
 (2112,2,8575578,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,95.6,-76.2,-85,76,'neutral',128,35,300),
 (2113,2,8575578,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,66,-76.8,-87.6,60,'neutral',128,35,300),
 (2114,2,8575578,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,63.2,-76.5,-65.2,60,'neutral',128,35,300),
 (2115,2,8575580,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,61.2,-69.1,-125.9,10,'neutral',128,35,180),
 (2116,2,8575580,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,57.7,-68.6,-126.4,10,'neutral',128,35,180),
 (2117,2,8575580,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,59,-69.4,-124.4,10,'neutral',128,35,180),
 (2118,2,8575580,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,59.7,-68.6,-127.1,10,'neutral',128,35,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (2119,2,8575579,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,96.7,-66.4,-106,86,'neutral',128,35,300),
 (2120,2,8575579,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,92.9,-66.6,-105,86,'neutral',128,35,300),
 (2121,2,8575582,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,114.4,-66.9,-86,95,'neutral',128,35,300),
 (2122,2,8575582,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,110.8,-66.8,-85.8,95,'neutral',128,35,300),
 (2123,2,8575582,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,112.9,-67.2,-87.6,95,'neutral',128,35,300),
 (2124,2,8575582,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,126.6,-66.6,-110.8,10,'neutral',128,35,180),
 (2125,2,8575582,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,126.2,-66.7,-107.6,10,'neutral',128,35,180),
 (2126,2,8575582,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,124.3,-66.8,-109.3,10,'neutral',128,35,180),
 (2127,2,8575582,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,125.3,-66.8,-107.3,10,'neutral',128,35,180),
 (2128,2,8575582,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,135.4,-66.4,-119.9,10,'neutral',128,35,180),
 (2129,2,8575582,'object/mobile/dressed_dathomir_nightsister_slave.iff',0,0,0,0,134.8,-66.2,-117.7,10,'neutral',128,35,180),
 (2130,2,8575582,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,156,-65.4,-129.4,95,'neutral',128,35,300),
 (2131,2,8575582,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,155.9,-65.4,-126,95,'neutral',128,35,300),
 (2132,2,8575582,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,154.2,-65.7,-128.5,95,'neutral',128,35,300),
 (2133,2,8575582,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,135.1,-66.9,-93.4,86,'neutral',128,35,300),
 (2134,2,8575582,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,137.4,-67.2,-95.3,86,'neutral',128,35,300),
 (2135,2,8575583,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,183.3,-66,-95.5,100,'neutral',128,35,300),
 (2136,2,8575583,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,183.9,-65.7,-105.8,100,'neutral',128,35,300),
 (2137,2,8575583,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,192.5,-66.7,-99.4,131,'neutral',128,35,300),
 (2138,2,2665882,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-11.88,2.01,-3.48,75,'neutral',128,35,300),
 (2139,2,2665883,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-14.2918,1.99149,-21.068,50,'neutral',128,35,300),
 (2140,2,2665880,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-12.62,2.01,9.1,156,'neutral',128,35,300),
 (2141,2,2665881,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-22.3,2.01,5.05,95,'neutral',128,35,300),
 (2142,2,2665880,'object/mobile/dressed_dathomir_sing_mt_clan_dragoon.iff',0,0,0,0,-12.78,2.38455,4.47,94,'neutral',128,35,180),
 (2143,2,2665880,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-11.39,2.38455,5.38,70,'neutral',128,35,300),
 (2144,2,2665880,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-12.7026,2.38455,6.38358,51,'neutral',128,35,300),
 (2145,2,2665882,'object/mobile/rancor.iff',0,0,0,0,-12.38,2.01,-5.48,55,'neutral',128,35,180),
 (2146,2,2665882,'object/mobile/rancor.iff',0,0,0,0,-13.38,2.01,-1.98,55,'neutral',128,35,180),
 (2147,2,2665879,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,2.14,2.01,19.37,51,'neutral',128,35,300),
 (2148,2,2665885,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,16.42,2.01,-10.87,51,'neutral',128,35,300),
 (2149,2,2665886,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,23.42,2.01,-21.14,30,'neutral',128,35,300),
 (2150,2,2665887,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,24.79,2.01,-12.47,30,'neutral',128,35,300),
 (2151,2,2665888,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,26.02,2.01,-4.12,30,'neutral',128,35,300),
 (2152,2,2665889,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,16.47,2.01,7.43,30,'neutral',128,35,300),
 (2153,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,533.263,0,4237.61,107,'neutral',128,35,300),
 (2154,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,664.944,0,4104.77,75,'neutral',128,35,300),
 (2155,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,663.944,0,4105.77,107,'neutral',128,35,300),
 (2156,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,650.316,0,4134.46,107,'neutral',128,35,300),
 (2157,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,670.294,0,4107.11,107,'neutral',128,35,300),
 (2158,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,656.369,0,4095.86,107,'neutral',128,35,300),
 (2159,2,0,'object/mobile/rancor.iff',0,0,0,0,654.237,0,4146.54,55,'neutral',128,35,180),
 (2160,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,717.034,0,4199.38,156,'neutral',128,35,300),
 (2161,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,716.034,0,4198.38,50,'neutral',128,35,300),
 (2162,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,733.227,0,4160.24,107,'neutral',128,35,300),
 (2163,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,706.922,0,4198.27,107,'neutral',128,35,300),
 (2164,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,701.083,0,4195.14,50,'neutral',128,35,300),
 (2165,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,728.846,0,4179.47,50,'neutral',128,35,300),
 (2166,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,331.212,0,4582.92,263,'neutral',128,35,300),
 (2167,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,320.453,0,4573.42,107,'neutral',128,35,300),
 (2168,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,358.88,0,4591.26,156,'neutral',128,35,300),
 (2169,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_dragoon.iff',0,0,0,0,320.833,0,4565.3,94,'neutral',128,35,180),
 (2170,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_dragoon.iff',0,0,0,0,161.434,0,4644.47,94,'neutral',128,35,180),
 (2171,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,570.358,0,4169.07,263,'neutral',128,35,300),
 (2172,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,569.965,0,4168,107,'neutral',128,35,300),
 (2173,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,574.54,0,4178.91,156,'neutral',128,35,300),
 (2174,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,570.07,0,4169,156,'neutral',128,35,300),
 (2175,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,578.933,0,4168.9,156,'neutral',128,35,300),
 (2176,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,566.188,0,4175.87,156,'neutral',128,35,300),
 (2177,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,604.194,0,4147.38,30,'neutral',128,35,300),
 (2178,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,606.706,0,4142.72,30,'neutral',128,35,300),
 (2179,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,506.191,0,4149.41,263,'neutral',128,35,300),
 (2180,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,508.732,0,4151,107,'neutral',128,35,300),
 (2181,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,511.5,0,4155.36,156,'neutral',128,35,300),
 (2182,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,513.688,0,4156.02,156,'neutral',128,35,300),
 (2183,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,504.402,0,4148.5,156,'neutral',128,35,300),
 (2184,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,504,0,4144.8,156,'neutral',128,35,300),
 (2185,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,503.093,0,4159.21,30,'neutral',128,35,300),
 (2186,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,507.209,0,4148.01,30,'neutral',128,35,300),
 (2187,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,559.911,0,4222.73,263,'neutral',128,35,300),
 (2188,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,555.382,0,4223.18,107,'neutral',128,35,300),
 (2189,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,555.087,0,4222.58,156,'neutral',128,35,300),
 (2190,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,555.208,0,4226.67,156,'neutral',128,35,300),
 (2191,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,563.996,0,4222.24,156,'neutral',128,35,300),
 (2192,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,560.473,0,4225.6,156,'neutral',128,35,300),
 (2193,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,563.857,0,4226.12,30,'neutral',128,35,300),
 (2194,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,558.575,0,4215.18,30,'neutral',128,35,300),
 (2195,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,972.983,0,3909.63,156,'neutral',128,35,300),
 (2196,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,631.092,0,4155.38,156,'neutral',128,35,300),
 (2197,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,521.352,0,4130.55,156,'neutral',128,35,300),
 (2198,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,658.434,0,4121.89,156,'neutral',128,35,300),
 (2199,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,379.953,0,4338.19,156,'neutral',128,35,300),
 (2200,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,383.382,0,3877.12,51,'neutral',128,35,300),
 (2201,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,411.06,0,4096.65,51,'neutral',128,35,300),
 (2202,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,735.689,0,3886.25,51,'neutral',128,35,300),
 (2203,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,706.083,0,4092.19,51,'neutral',128,35,300),
 (2204,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,654.481,0,3963.58,51,'neutral',128,35,300),
 (2205,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,608.257,0,4146.67,263,'neutral',128,35,300),
 (2206,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,678.523,0,3964.89,51,'neutral',128,35,300),
 (2207,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,600.832,0,3678.07,51,'neutral',128,35,300),
 (2208,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,847.608,0,3805.23,51,'neutral',128,35,300),
 (2209,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,537.466,0,3836.15,51,'neutral',128,35,300),
 (2210,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,297.715,0,4113.28,51,'neutral',128,35,300),
 (2211,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,319.044,0,4140.94,50,'neutral',128,35,300),
 (2212,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,601.958,0,4132.76,50,'neutral',128,35,300),
 (2213,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,619.47,0,3846.18,50,'neutral',128,35,300),
 (2214,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,655.281,0,4201.16,50,'neutral',128,35,300),
 (2215,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,735.646,0,4513.81,50,'neutral',128,35,300),
 (2216,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,814.783,0,3840.91,70,'neutral',128,35,300),
 (2217,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,739.504,0,4453.45,70,'neutral',128,35,300),
 (2218,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,588.291,0,4194.79,70,'neutral',128,35,300),
 (2219,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,648.245,0,4111.88,70,'neutral',128,35,300),
 (2220,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,474.014,0,4162.57,70,'neutral',128,35,300),
 (2221,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,653.498,0,4282.95,95,'neutral',128,35,300),
 (2222,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,350.841,0,3748.47,95,'neutral',128,35,300),
 (2223,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,653.107,0,4396.14,95,'neutral',128,35,300),
 (2224,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,690.441,0,3684.13,95,'neutral',128,35,300),
 (2225,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,700.118,0,4262.63,95,'neutral',128,35,300),
 (2226,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,309.52,0,4025,107,'neutral',128,35,300),
 (2227,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,690.275,0,4061.84,107,'neutral',128,35,300),
 (2228,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,461.116,0,3867.87,107,'neutral',128,35,300),
 (2229,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,806.318,0,3790.03,107,'neutral',128,35,300),
 (2230,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,611.088,0,4131.15,107,'neutral',128,35,300),
 (2231,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,346.953,0,3982.25,75,'neutral',128,35,300),
 (2232,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,642.816,0,3759.48,75,'neutral',128,35,300),
 (2233,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,600.227,0,4184,75,'neutral',128,35,300),
 (2234,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,671.583,0,4085.56,75,'neutral',128,35,300),
 (2235,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,685.071,0,4309.14,75,'neutral',128,35,300),
 (2236,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,430.458,0,4210.98,30,'neutral',128,35,300),
 (2237,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,578.307,0,4105.27,30,'neutral',128,35,300),
 (2238,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,411.514,0,4533.59,30,'neutral',128,35,300),
 (2239,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,567.811,0,4112.65,30,'neutral',128,35,300),
 (2240,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,737.258,0,3793.62,30,'neutral',128,35,300),
 (2241,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,451.141,0,4446.15,156,'neutral',128,35,300),
 (2242,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,492.043,0,4422.35,156,'neutral',128,35,300),
 (2243,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,571.684,0,4317.43,156,'neutral',128,35,300),
 (2244,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,775.557,0,4210.45,156,'neutral',128,35,300),
 (2245,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,847.198,0,4107.48,156,'neutral',128,35,300),
 (2246,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,371.01,0,4395.09,51,'neutral',128,35,300),
 (2247,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,570.753,0,4447.15,51,'neutral',128,35,300),
 (2248,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,605.044,0,4626.96,51,'neutral',128,35,300),
 (2249,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,579.164,0,4398.51,51,'neutral',128,35,300),
 (2250,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,600,0,4097,51,'neutral',128,35,300),
 (2251,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,599.004,0,4338.09,263,'neutral',128,35,300),
 (2252,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,642.164,0,4285.93,51,'neutral',128,35,300),
 (2253,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,574.366,0,4427.4,51,'neutral',128,35,300),
 (2254,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,1050.73,0,4353.74,51,'neutral',128,35,300),
 (2255,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,502.022,0,4730.97,51,'neutral',128,35,300),
 (2256,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,397.802,0,4059.7,51,'neutral',128,35,300),
 (2257,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,610.442,0,4358.49,50,'neutral',128,35,300),
 (2258,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,974.779,0,4237.58,50,'neutral',128,35,300),
 (2259,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,925.28,0,4620.76,50,'neutral',128,35,300),
 (2260,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,728.892,0,4819.03,50,'neutral',128,35,300),
 (2261,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,274.56,0,4262.87,50,'neutral',128,35,300),
 (2262,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,194.069,0,4424.28,70,'neutral',128,35,300),
 (2263,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,876.664,0,4113.96,70,'neutral',128,35,300),
 (2264,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,519.583,0,4392.24,70,'neutral',128,35,300),
 (2265,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,640.173,0,4271.14,70,'neutral',128,35,300),
 (2266,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,523.946,0,4194.96,70,'neutral',128,35,300),
 (2267,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,446.855,0,4556.71,95,'neutral',128,35,300),
 (2268,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,289.938,0,4421.08,95,'neutral',128,35,300),
 (2269,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,551.972,0,4112.05,95,'neutral',128,35,300),
 (2270,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,597.102,0,4337.22,95,'neutral',128,35,300),
 (2271,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,588.301,0,4433.28,95,'neutral',128,35,300),
 (2272,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,520.084,0,4129.81,107,'neutral',128,35,300),
 (2273,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,628.5,0,4663.76,107,'neutral',128,35,300),
 (2274,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,633.392,0,4509.78,107,'neutral',128,35,300),
 (2275,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,386.814,0,4319.35,107,'neutral',128,35,300),
 (2276,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,585.461,0,4359.56,107,'neutral',128,35,300),
 (2277,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,935.76,0,4564.47,75,'neutral',128,35,300),
 (2278,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,955.354,0,3994.84,75,'neutral',128,35,300),
 (2279,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,458.392,0,4318.1,75,'neutral',128,35,300),
 (2280,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,676.071,0,4501.14,75,'neutral',128,35,300),
 (2281,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,204.092,0,4497.96,75,'neutral',128,35,300),
 (2282,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,439.746,0,3978.06,30,'neutral',128,35,300),
 (2283,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,546.416,0,4384.58,30,'neutral',128,35,300),
 (2284,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,553.263,0,4360.8,30,'neutral',128,35,300),
 (2285,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,208.436,0,4053.51,30,'neutral',128,35,300),
 (2286,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,933.229,0,4617.61,30,'neutral',128,35,300),
 (2287,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,547.711,0,4624.38,156,'neutral',128,35,300),
 (2288,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,373.503,0,4529.54,156,'neutral',128,35,300),
 (2289,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,266.198,0,4464.1,156,'neutral',128,35,300),
 (2290,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,409.809,0,4128.18,156,'neutral',128,35,300),
 (2291,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,446.08,0,4413.01,156,'neutral',128,35,300),
 (2292,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,435.844,0,4422.23,51,'neutral',128,35,300),
 (2293,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,635.632,0,4257.51,51,'neutral',128,35,300),
 (2294,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,541.707,0,4452.61,51,'neutral',128,35,300),
 (2295,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,446.845,0,4480.29,51,'neutral',128,35,300),
 (2296,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,452.472,0,4235.84,51,'neutral',128,35,300),
 (2297,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,422.673,0,4421.36,263,'neutral',128,35,300),
 (2298,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,304.263,0,4495.16,51,'neutral',128,35,300),
 (2299,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,219.542,0,4268.94,51,'neutral',128,35,300),
 (2300,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,363.849,0,4396.17,51,'neutral',128,35,300),
 (2301,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,485.765,0,4229.01,51,'neutral',128,35,300),
 (2302,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,679.751,0,4546.69,51,'neutral',128,35,300),
 (2303,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,305.428,0,4438.15,50,'neutral',128,35,300),
 (2304,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,243.79,0,4637.6,50,'neutral',128,35,300),
 (2305,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,446.847,0,4404.5,50,'neutral',128,35,300),
 (2306,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,632.771,0,4265.41,50,'neutral',128,35,300),
 (2307,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,519.268,0,4678.6,50,'neutral',128,35,300),
 (2308,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,444.267,0,4408.16,70,'neutral',128,35,300),
 (2309,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,542.982,0,4156.26,70,'neutral',128,35,300),
 (2310,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,418.003,0,4419.9,70,'neutral',128,35,300),
 (2311,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,452.591,0,4500.67,70,'neutral',128,35,300),
 (2312,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,365.122,0,4363.17,70,'neutral',128,35,300),
 (2313,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,608.668,0,4127,95,'neutral',128,35,300),
 (2314,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,578.438,0,3972.67,95,'neutral',128,35,300),
 (2315,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,708.336,0,4043.13,95,'neutral',128,35,300),
 (2316,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,289.415,0,4035.96,95,'neutral',128,35,300),
 (2317,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,909.875,0,4059.73,95,'neutral',128,35,300),
 (2318,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,334.712,0,4321.89,107,'neutral',128,35,300),
 (2319,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,718.272,0,4440.86,107,'neutral',128,35,300),
 (2320,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,237.616,0,4629.81,107,'neutral',128,35,300),
 (2321,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,484.721,0,4467.02,107,'neutral',128,35,300),
 (2322,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,447.193,0,4336.31,107,'neutral',128,35,300),
 (2323,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,505.57,0,4621.59,75,'neutral',128,35,300),
 (2324,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,417.806,0,4422.05,75,'neutral',128,35,300),
 (2325,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,333.073,0,4167.55,75,'neutral',128,35,300),
 (2326,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,684.988,0,4443.18,75,'neutral',128,35,300),
 (2327,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,504.167,0,4592.57,75,'neutral',128,35,300),
 (2328,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,583.404,0,4644.91,30,'neutral',128,35,300),
 (2329,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,301.054,0,4186.56,30,'neutral',128,35,300),
 (2330,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,391.348,0,4582.49,30,'neutral',128,35,300),
 (2331,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,559.239,0,4626.43,30,'neutral',128,35,300),
 (2332,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,425.319,0,4453.58,30,'neutral',128,35,300),
 (2333,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-403.378,0,4671.73,156,'neutral',128,35,300),
 (2334,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-24.1029,0,4292.66,156,'neutral',128,35,300),
 (2335,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,980.252,0,3702.91,156,'neutral',128,35,300),
 (2336,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-302.257,0,5047.85,156,'neutral',128,35,300),
 (2337,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,505.35,0,4587.51,156,'neutral',128,35,300),
 (2338,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,426.3,0,4780.94,156,'neutral',128,35,300),
 (2339,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,963.864,0,4106,156,'neutral',128,35,300),
 (2340,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,7.81555,0,4877.78,156,'neutral',128,35,300),
 (2341,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,43.0762,0,4380.38,156,'neutral',128,35,300),
 (2342,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-274.894,0,4407.87,156,'neutral',128,35,300),
 (2343,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,1066.15,0,4499.34,156,'neutral',128,35,300),
 (2344,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-87.5595,0,3946.69,156,'neutral',128,35,300),
 (2345,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-469.321,0,4310.81,156,'neutral',128,35,300),
 (2346,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,455.379,0,5095.07,156,'neutral',128,35,300),
 (2347,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,339.254,0,3962.06,156,'neutral',128,35,300),
 (2348,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,459.816,0,4247.54,156,'neutral',128,35,300),
 (2349,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,267.913,0,4718.49,156,'neutral',128,35,300),
 (2350,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,302.37,0,4279.81,156,'neutral',128,35,300),
 (2351,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,420.872,0,4444.98,156,'neutral',128,35,300),
 (2352,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,688.685,0,4740.21,156,'neutral',128,35,300),
 (2353,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,506.831,0,4796.11,51,'neutral',128,35,300),
 (2354,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,442.574,0,4291.98,51,'neutral',128,35,300),
 (2355,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,564.448,0,4432.64,51,'neutral',128,35,300),
 (2356,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,401.468,0,3889.32,51,'neutral',128,35,300),
 (2357,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,176.041,0,4381.36,51,'neutral',128,35,300),
 (2358,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,504.787,0,4955.33,51,'neutral',128,35,300),
 (2359,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,1094.85,0,3911.47,51,'neutral',128,35,300),
 (2360,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,456.431,0,4836.41,51,'neutral',128,35,300),
 (2361,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,386.726,0,3944.16,51,'neutral',128,35,300),
 (2362,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,804.673,0,4679.47,51,'neutral',128,35,300),
 (2363,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,1236.85,0,4089.97,51,'neutral',128,35,300),
 (2364,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,248.376,0,4215.47,51,'neutral',128,35,300),
 (2365,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,478.007,0,4692.9,51,'neutral',128,35,300),
 (2366,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-13.993,0,4569.44,51,'neutral',128,35,300),
 (2367,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,228.891,0,4975.02,51,'neutral',128,35,300),
 (2368,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,784.16,0,4055.84,51,'neutral',128,35,300),
 (2369,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,1061.98,0,4295.21,51,'neutral',128,35,300),
 (2370,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-186.427,0,3643.81,51,'neutral',128,35,300),
 (2371,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,534.025,0,4047.04,51,'neutral',128,35,300),
 (2372,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,98.7694,0,4386.24,51,'neutral',128,35,300),
 (2373,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,128.054,0,4084.15,263,'neutral',128,35,300),
 (2374,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,630.595,0,4177.74,263,'neutral',128,35,300),
 (2375,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,333.397,0,4370,51,'neutral',128,35,300),
 (2376,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,728.142,0,4319.88,51,'neutral',128,35,300),
 (2377,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,380.796,0,4400.02,51,'neutral',128,35,300),
 (2378,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,536.525,0,3915.28,51,'neutral',128,35,300),
 (2379,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,797.902,0,4219.07,51,'neutral',128,35,300),
 (2380,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,448.9,0,4284.04,51,'neutral',128,35,300),
 (2381,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,355.776,0,4196.03,51,'neutral',128,35,300),
 (2382,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,413.447,0,4415.41,51,'neutral',128,35,300),
 (2383,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,620.321,0,3990.41,51,'neutral',128,35,300),
 (2384,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-363.302,0,4309.91,51,'neutral',128,35,300),
 (2385,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,536.703,0,4540.85,51,'neutral',128,35,300),
 (2386,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,564.858,0,3505.4,51,'neutral',128,35,300),
 (2387,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,145.61,0,4320.13,51,'neutral',128,35,300),
 (2388,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,420,0,4614,51,'neutral',128,35,300),
 (2389,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,530.531,0,4443.49,51,'neutral',128,35,300),
 (2390,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,334.269,0,3809.99,51,'neutral',128,35,300),
 (2391,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,572.742,0,5081.6,51,'neutral',128,35,300),
 (2392,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,1151.55,0,4124.44,51,'neutral',128,35,300),
 (2393,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,293.758,0,3704.04,51,'neutral',128,35,300),
 (2394,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,199.055,0,5027.04,51,'neutral',128,35,300),
 (2395,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,470.887,0,4495.44,50,'neutral',128,35,300),
 (2396,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,598.804,0,3578.79,50,'neutral',128,35,300),
 (2397,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,252.542,0,4763.34,50,'neutral',128,35,300),
 (2398,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,515.017,0,4314.47,50,'neutral',128,35,300),
 (2399,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,655.31,0,4107.73,50,'neutral',128,35,300),
 (2400,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,1309.99,0,4004.99,50,'neutral',128,35,300),
 (2401,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-241.909,0,4165.92,50,'neutral',128,35,300),
 (2402,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,515.339,0,4355.69,50,'neutral',128,35,300),
 (2403,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,574.976,0,4422.71,50,'neutral',128,35,300),
 (2404,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,408.532,0,4449.87,50,'neutral',128,35,300),
 (2405,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,416.237,0,4455.8,50,'neutral',128,35,300),
 (2406,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,131.731,0,4037.45,50,'neutral',128,35,300),
 (2407,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,287.729,0,3847.07,50,'neutral',128,35,300),
 (2408,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,374.53,0,4852.62,50,'neutral',128,35,300),
 (2409,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,195.72,0,4948.37,50,'neutral',128,35,300),
 (2410,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,830.197,0,4647.38,50,'neutral',128,35,300),
 (2411,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-25.5079,0,3678.55,50,'neutral',128,35,300),
 (2412,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-42.899,0,5290.59,50,'neutral',128,35,300),
 (2413,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,423.403,0,4614.97,50,'neutral',128,35,300),
 (2414,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,490.855,0,4493.37,50,'neutral',128,35,300),
 (2415,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,367.713,0,4388.58,70,'neutral',128,35,300),
 (2416,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,543.842,0,4491.5,70,'neutral',128,35,300),
 (2417,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,540.651,0,3437.38,70,'neutral',128,35,300),
 (2418,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,379.701,0,5188.94,70,'neutral',128,35,300),
 (2419,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,767.849,0,4865.23,70,'neutral',128,35,300),
 (2420,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,547.315,0,4028.16,70,'neutral',128,35,300),
 (2421,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,56.7514,0,4156.08,70,'neutral',128,35,300),
 (2422,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,659.772,0,4218.81,70,'neutral',128,35,300),
 (2423,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,573.951,0,4455.54,70,'neutral',128,35,300),
 (2424,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,413.892,0,4070.05,70,'neutral',128,35,300),
 (2425,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,319.092,0,3598.17,70,'neutral',128,35,300),
 (2426,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,580.254,0,4060.06,70,'neutral',128,35,300),
 (2427,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,367.678,0,4283.7,70,'neutral',128,35,300),
 (2428,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-266.741,0,5060.4,70,'neutral',128,35,300),
 (2429,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,143.323,0,4846.04,70,'neutral',128,35,300),
 (2430,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,1314.45,0,4659.67,70,'neutral',128,35,300),
 (2431,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,307.634,0,4369.97,70,'neutral',128,35,300),
 (2432,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,726.332,0,4562.85,70,'neutral',128,35,300),
 (2433,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,665.281,0,4633.22,70,'neutral',128,35,300),
 (2434,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,619.727,0,4581.74,70,'neutral',128,35,300),
 (2435,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,1105.28,0,3824.3,70,'neutral',128,35,300),
 (2436,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,176,0,3997.38,70,'neutral',128,35,300),
 (2437,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,75.8452,0,4860.5,70,'neutral',128,35,300),
 (2438,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,540.826,0,4048.14,70,'neutral',128,35,300),
 (2439,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,306.064,0,3883.98,70,'neutral',128,35,300),
 (2440,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,388.819,0,3974.09,70,'neutral',128,35,300),
 (2441,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,24.7273,0,4815.27,70,'neutral',128,35,300),
 (2442,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,456.035,0,4362.33,70,'neutral',128,35,300),
 (2443,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,355.386,0,4208.66,70,'neutral',128,35,300),
 (2444,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,463.94,0,4422.3,70,'neutral',128,35,300),
 (2445,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,413.459,0,4373.46,70,'neutral',128,35,300),
 (2446,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,710.51,0,4358.25,70,'neutral',128,35,300),
 (2447,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,437.938,0,4452.36,70,'neutral',128,35,300),
 (2448,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,231.305,0,4210.43,70,'neutral',128,35,300),
 (2449,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-55.6628,0,4986.87,70,'neutral',128,35,300),
 (2450,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,177.426,0,4359.52,70,'neutral',128,35,300),
 (2451,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,295.424,0,4254.68,70,'neutral',128,35,300),
 (2452,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,419.739,0,4417.01,70,'neutral',128,35,300),
 (2453,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,466.89,0,3884.05,70,'neutral',128,35,300),
 (2454,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,40.1788,0,4716.75,70,'neutral',128,35,300),
 (2455,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,534.86,0,4489.02,70,'neutral',128,35,300),
 (2456,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,833.445,0,4218.35,70,'neutral',128,35,300),
 (2457,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,144.415,0,3702.08,70,'neutral',128,35,300),
 (2458,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,30.0161,0,4351.24,70,'neutral',128,35,300),
 (2459,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,952.699,0,4382.75,70,'neutral',128,35,300),
 (2460,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-245.718,0,4688.97,70,'neutral',128,35,300),
 (2461,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,62.2805,0,4221.71,70,'neutral',128,35,300),
 (2462,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,1164.9,0,4498.29,70,'neutral',128,35,300),
 (2463,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-188.921,0,4641.63,70,'neutral',128,35,300),
 (2464,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,1212.17,0,4573.98,70,'neutral',128,35,300),
 (2465,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,173.121,0,4511.75,95,'neutral',128,35,300),
 (2466,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,641.889,0,4157.97,95,'neutral',128,35,300),
 (2467,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,733.053,0,3362.76,95,'neutral',128,35,300),
 (2468,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,1132.96,0,4276.64,95,'neutral',128,35,300),
 (2469,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,400.532,0,4522.09,95,'neutral',128,35,300),
 (2470,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,1018.97,0,4203.62,95,'neutral',128,35,300),
 (2471,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-264.559,0,3775.2,95,'neutral',128,35,300),
 (2472,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,786.138,0,3962.57,95,'neutral',128,35,300),
 (2473,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,525.835,0,3754.74,95,'neutral',128,35,300),
 (2474,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,193.436,0,3574.02,95,'neutral',128,35,300),
 (2475,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,691.219,0,4109.39,95,'neutral',128,35,300),
 (2476,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,151.914,0,4378.9,95,'neutral',128,35,300),
 (2477,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,170.067,0,4153.66,95,'neutral',128,35,300),
 (2478,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,526.725,0,5086.41,95,'neutral',128,35,300),
 (2479,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,857.478,0,4301.27,95,'neutral',128,35,300),
 (2480,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,600.71,0,3671.07,95,'neutral',128,35,300),
 (2481,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,1115.6,0,3520.4,95,'neutral',128,35,300),
 (2482,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-26.1284,0,4112.71,95,'neutral',128,35,300),
 (2483,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,162.562,0,3833.4,95,'neutral',128,35,300),
 (2484,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,1029.85,0,4971.96,95,'neutral',128,35,300),
 (2485,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,613.022,0,4385.96,107,'neutral',128,35,300),
 (2486,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,126.984,0,4871.2,107,'neutral',128,35,300),
 (2487,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,551.752,0,4588.63,107,'neutral',128,35,300),
 (2488,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,643.102,0,3587.37,107,'neutral',128,35,300),
 (2489,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,85.6637,0,4129.37,107,'neutral',128,35,300),
 (2490,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-75.7504,0,4188.83,107,'neutral',128,35,300),
 (2491,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-552.279,0,4213.34,107,'neutral',128,35,300),
 (2492,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,448.743,0,4431.61,107,'neutral',128,35,300),
 (2493,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,125.838,0,4550.97,107,'neutral',128,35,300),
 (2494,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,932.1,0,4329.7,107,'neutral',128,35,300),
 (2495,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-125.655,0,3945.67,107,'neutral',128,35,300),
 (2496,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,893.35,0,4395.19,107,'neutral',128,35,300),
 (2497,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-74.3735,0,4332.83,107,'neutral',128,35,300),
 (2498,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,514.99,0,4499.71,107,'neutral',128,35,300),
 (2499,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,691.591,0,4503.03,107,'neutral',128,35,300),
 (2500,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,439.856,0,4426.84,107,'neutral',128,35,300),
 (2501,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,31.9145,0,4467.65,107,'neutral',128,35,300),
 (2502,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-162.554,0,4196.38,107,'neutral',128,35,300),
 (2503,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,138.88,0,4208.16,107,'neutral',128,35,300),
 (2504,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,203.826,0,4438.91,107,'neutral',128,35,300),
 (2505,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,435.16,0,4367.13,75,'neutral',128,35,300),
 (2506,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,442.81,0,4093.8,75,'neutral',128,35,300),
 (2507,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,1201.77,0,4674.01,75,'neutral',128,35,300),
 (2508,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,123.867,0,4799.03,75,'neutral',128,35,300),
 (2509,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,623.168,0,4680.04,75,'neutral',128,35,300),
 (2510,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,1176.88,0,4406.79,75,'neutral',128,35,300),
 (2511,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,1358.9,0,4743.29,75,'neutral',128,35,300),
 (2512,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,490.562,0,4994.68,75,'neutral',128,35,300),
 (2513,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,80.2071,0,4431.87,75,'neutral',128,35,300),
 (2514,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,261.827,0,3902.64,75,'neutral',128,35,300),
 (2515,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-121.663,0,3896.92,75,'neutral',128,35,300),
 (2516,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,324.5,0,4381.42,75,'neutral',128,35,300),
 (2517,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,493.879,0,4514.56,75,'neutral',128,35,300),
 (2518,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,303.143,0,3682.2,75,'neutral',128,35,300),
 (2519,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,211.895,0,4460.45,75,'neutral',128,35,300),
 (2520,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,677.128,0,4355.89,75,'neutral',128,35,300),
 (2521,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,344.112,0,5142.02,75,'neutral',128,35,300),
 (2522,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,156.657,0,4248.98,75,'neutral',128,35,300),
 (2523,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-485.621,0,4143.12,75,'neutral',128,35,300),
 (2524,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,598.844,0,3752.55,75,'neutral',128,35,300),
 (2525,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,282.297,0,5200.95,30,'neutral',128,35,300),
 (2526,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,109.87,0,4526.79,30,'neutral',128,35,300),
 (2527,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,560.756,0,3757.79,30,'neutral',128,35,300),
 (2528,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,652.13,0,4263.43,30,'neutral',128,35,300),
 (2529,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1026.66,0,4483.76,30,'neutral',128,35,300),
 (2530,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,690.053,0,3840.87,30,'neutral',128,35,300),
 (2531,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,175.098,0,4711.86,30,'neutral',128,35,300),
 (2532,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,393.518,0,3914.69,30,'neutral',128,35,300),
 (2533,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-48,0,4420,30,'neutral',128,35,300),
 (2534,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,403.054,0,5390.85,30,'neutral',128,35,300),
 (2535,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,325.312,0,4225.86,30,'neutral',128,35,300),
 (2536,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,502.362,0,5361.4,30,'neutral',128,35,300),
 (2537,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1185.85,0,4110.58,30,'neutral',128,35,300),
 (2538,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,394.408,0,4908.33,30,'neutral',128,35,300),
 (2539,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,427.376,0,4367.52,30,'neutral',128,35,300),
 (2540,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,440.708,0,4464.41,30,'neutral',128,35,300),
 (2541,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,770.055,0,3901.02,30,'neutral',128,35,300),
 (2542,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-33.9034,0,4858.33,30,'neutral',128,35,300),
 (2543,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,327.539,0,4688.53,30,'neutral',128,35,300),
 (2544,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,686.697,0,4246.8,30,'neutral',128,35,300),
 (2545,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,986.539,0,3961.23,30,'neutral',128,35,300),
 (2546,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,665.122,0,4349.71,30,'neutral',128,35,300),
 (2547,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,954.699,0,4868.67,30,'neutral',128,35,300),
 (2548,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,451.925,0,3810.84,30,'neutral',128,35,300),
 (2549,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,426,0,4430.39,30,'neutral',128,35,300),
 (2550,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-318.179,0,4010.82,30,'neutral',128,35,300),
 (2551,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,533.565,0,5228.06,30,'neutral',128,35,300),
 (2552,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,460.643,0,4256.99,30,'neutral',128,35,300),
 (2553,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,390.422,0,4383.47,30,'neutral',128,35,300),
 (2554,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,188.494,0,4076.78,30,'neutral',128,35,300),
 (2555,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1096.34,0,4911.39,30,'neutral',128,35,300),
 (2556,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-499.805,0,4632.35,30,'neutral',128,35,300),
 (2557,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-395.048,0,4623.21,30,'neutral',128,35,300),
 (2558,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-259.838,0,4073.61,30,'neutral',128,35,300),
 (2559,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,768.16,0,4756.21,30,'neutral',128,35,300),
 (2560,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,432.99,0,4427.5,30,'neutral',128,35,300),
 (2561,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,428.548,0,4457.03,30,'neutral',128,35,300),
 (2562,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,380.758,0,4739.6,30,'neutral',128,35,300),
 (2563,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,416.864,0,4390.16,30,'neutral',128,35,300),
 (2564,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1236.58,0,4039.22,30,'neutral',128,35,300),
 (2565,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,914.554,0,4552.52,30,'neutral',128,35,300),
 (2566,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,410.647,0,4152.16,30,'neutral',128,35,300),
 (2567,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,169.772,0,4890.61,30,'neutral',128,35,300),
 (2568,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-471.049,0,4798.23,30,'neutral',128,35,300),
 (2569,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,339.535,0,4375.4,30,'neutral',128,35,300),
 (2570,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-84.5953,0,4874.34,30,'neutral',128,35,300),
 (2571,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1172.9,0,4036.38,30,'neutral',128,35,300),
 (2572,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,140.896,0,4150.47,30,'neutral',128,35,300),
 (2573,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,339.873,0,4240.03,30,'neutral',128,35,300),
 (2574,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,894.343,0,5072.88,30,'neutral',128,35,300),
 (2575,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-243.851,0,-522.94,156,'neutral',128,35,300),
 (2576,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,943.707,0,-2023.79,156,'neutral',128,35,300),
 (2577,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-5027.54,0,224.315,156,'neutral',128,35,300),
 (2578,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-4998.13,0,8.80333,156,'neutral',128,35,300),
 (2579,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,5267.68,0,249.611,156,'neutral',128,35,300),
 (2580,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,5328.48,0,-230.004,156,'neutral',128,35,300),
 (2581,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-881.771,0,3642.19,156,'neutral',128,35,300),
 (2582,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-2211.93,0,6078.83,156,'neutral',128,35,300),
 (2583,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,912.01,0,-3044.19,156,'neutral',128,35,300),
 (2584,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,1806.06,0,-5586.82,156,'neutral',128,35,300),
 (2585,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-4201.49,0,-5244.13,156,'neutral',128,35,300),
 (2586,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-7041.66,0,-4175.12,156,'neutral',128,35,300),
 (2587,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,5063.82,0,5136.85,156,'neutral',128,35,300),
 (2588,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,4737.25,0,7139.93,156,'neutral',128,35,300),
 (2589,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,4945.36,0,-3957.43,156,'neutral',128,35,300),
 (2590,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,3829,0,-7028.23,156,'neutral',128,35,300),
 (2591,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-5736.62,0,4022.47,156,'neutral',128,35,300),
 (2592,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-3924.44,0,2977.17,156,'neutral',128,35,300),
 (2593,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-77.8412,0,-43.1481,263,'neutral',128,35,300),
 (2594,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,1223.59,0,-678.249,263,'neutral',128,35,300),
 (2595,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-4410.13,0,1536.67,263,'neutral',128,35,300),
 (2596,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-3932.04,0,-1318.82,263,'neutral',128,35,300),
 (2597,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,4435.56,0,109.715,263,'neutral',128,35,300),
 (2598,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,5630.74,0,-1137.88,263,'neutral',128,35,300),
 (2599,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,922.235,0,6269.35,263,'neutral',128,35,300),
 (2600,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-177.242,0,5110.75,263,'neutral',128,35,300),
 (2601,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,1240.38,0,-3843.33,263,'neutral',128,35,300),
 (2602,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,589.751,0,-5061.99,263,'neutral',128,35,300),
 (2603,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-4575.63,0,-5275.59,263,'neutral',128,35,300),
 (2604,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-4820.27,0,-4723.24,263,'neutral',128,35,300),
 (2605,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,4197.64,0,3552.5,263,'neutral',128,35,300),
 (2606,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,5508.73,0,5383.36,263,'neutral',128,35,300),
 (2607,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,4242.25,0,-3298.06,263,'neutral',128,35,300),
 (2608,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,5156.36,0,-3212.83,263,'neutral',128,35,300),
 (2609,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-4695.79,0,4951.82,263,'neutral',128,35,300),
 (2610,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-5275.24,0,4814.35,263,'neutral',128,35,300),
 (2611,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-3875.02,0,-178.179,51,'neutral',128,35,300),
 (2612,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-3886.25,0,97.4401,51,'neutral',128,35,300),
 (2613,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,4889.26,0,-2113.1,51,'neutral',128,35,300),
 (2614,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,6805.73,0,1311.94,51,'neutral',128,35,300),
 (2615,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-865.456,0,4071.91,51,'neutral',128,35,300),
 (2616,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,1870.86,0,4934.67,51,'neutral',128,35,300),
 (2617,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-1511.45,0,-3065.43,51,'neutral',128,35,300),
 (2618,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,631.161,0,-4807.03,51,'neutral',128,35,300),
 (2619,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-4955.64,0,-4492.94,51,'neutral',128,35,300),
 (2620,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-7033.07,0,-4008.4,51,'neutral',128,35,300),
 (2621,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,6300.66,0,5252.82,51,'neutral',128,35,300),
 (2622,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,5150.9,0,5855.8,51,'neutral',128,35,300),
 (2623,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,3890.95,0,-4723.48,51,'neutral',128,35,300),
 (2624,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,5038.08,0,-3909.66,51,'neutral',128,35,300),
 (2625,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-6608.69,0,3650.15,51,'neutral',128,35,300),
 (2626,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-6173.99,0,4115.33,51,'neutral',128,35,300),
 (2627,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-450.252,0,1472.71,50,'neutral',128,35,300),
 (2628,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,92.5652,0,21.3703,50,'neutral',128,35,300),
 (2629,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-322.138,0,80.3181,50,'neutral',128,35,300),
 (2630,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,210.263,0,-98.0474,50,'neutral',128,35,300),
 (2631,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-1491.27,0,-1777.22,50,'neutral',128,35,300),
 (2632,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,1319.5,0,-2111.64,50,'neutral',128,35,300),
 (2633,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,1858.49,0,-1206.92,50,'neutral',128,35,300),
 (2634,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-25.1821,0,360.121,50,'neutral',128,35,300),
 (2635,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,1441.67,0,936.234,50,'neutral',128,35,300),
 (2636,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,286.268,0,93.0141,50,'neutral',128,35,300),
 (2637,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4870.44,0,666.525,50,'neutral',128,35,300),
 (2638,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-6658.94,0,352.618,50,'neutral',128,35,300),
 (2639,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-5247.59,0,-1761.69,50,'neutral',128,35,300),
 (2640,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4368.33,0,568.761,50,'neutral',128,35,300),
 (2641,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-6703.34,0,-553.449,50,'neutral',128,35,300),
 (2642,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3097.25,0,-928.032,50,'neutral',128,35,300),
 (2643,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-6203.5,0,2084.52,50,'neutral',128,35,300),
 (2644,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3524.11,0,-1328.89,50,'neutral',128,35,300);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (2645,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3330.57,0,1168.95,50,'neutral',128,35,300),
 (2646,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3612.09,0,-1206.49,50,'neutral',128,35,300),
 (2647,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4904.75,0,-1817.51,50,'neutral',128,35,300),
 (2648,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4801.11,0,-1619.84,50,'neutral',128,35,300),
 (2649,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,3131.34,0,-1624.4,50,'neutral',128,35,300),
 (2650,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5514.28,0,-1682.14,50,'neutral',128,35,300),
 (2651,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4073.28,0,-1900.05,50,'neutral',128,35,300),
 (2652,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5981.07,0,-2011.5,50,'neutral',128,35,300),
 (2653,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5532.43,0,496.495,50,'neutral',128,35,300),
 (2654,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,3099.05,0,-927.155,50,'neutral',128,35,300),
 (2655,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,6718.74,0,30.0007,50,'neutral',128,35,300),
 (2656,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5541.16,0,1274.9,50,'neutral',128,35,300),
 (2657,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-231.82,0,5162.32,50,'neutral',128,35,300),
 (2658,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-1488.59,0,6081.52,50,'neutral',128,35,300),
 (2659,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,629.542,0,5334.73,50,'neutral',128,35,300),
 (2660,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-420.136,0,4918.33,50,'neutral',128,35,300),
 (2661,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,842.996,0,5612.47,50,'neutral',128,35,300),
 (2662,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,1747.61,0,3821.22,50,'neutral',128,35,300),
 (2663,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,980.749,0,6255.3,50,'neutral',128,35,300),
 (2664,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-1894.84,0,5066.17,50,'neutral',128,35,300),
 (2665,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-508.49,0,4473.44,50,'neutral',128,35,300),
 (2666,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-740.336,0,5184.59,50,'neutral',128,35,300),
 (2667,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,458.95,0,-4453.04,50,'neutral',128,35,300),
 (2668,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,197.153,0,-4393.23,50,'neutral',128,35,300),
 (2669,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-1722.32,0,-5877.56,50,'neutral',128,35,300),
 (2670,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,1156.42,0,-4128.57,50,'neutral',128,35,300),
 (2671,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-694.732,0,-4826.78,50,'neutral',128,35,300),
 (2672,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,1445.32,0,-3394.81,50,'neutral',128,35,300),
 (2673,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-1080.04,0,-4215.31,50,'neutral',128,35,300),
 (2674,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-960.303,0,-5697.7,50,'neutral',128,35,300),
 (2675,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,131.783,0,-5295.99,50,'neutral',128,35,300),
 (2676,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-1414.79,0,-6810.85,50,'neutral',128,35,300),
 (2677,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-6319.7,0,-5403.47,50,'neutral',128,35,300),
 (2678,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4879.53,0,-6722.79,50,'neutral',128,35,300),
 (2679,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4758.38,0,-4401.97,50,'neutral',128,35,300),
 (2680,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-6940.16,0,-4369.61,50,'neutral',128,35,300),
 (2681,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-7165.56,0,-5703.63,50,'neutral',128,35,300),
 (2682,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3761.3,0,-3803.8,50,'neutral',128,35,300),
 (2683,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4738.89,0,-4241.69,50,'neutral',128,35,300),
 (2684,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3196.32,0,-5692.37,50,'neutral',128,35,300),
 (2685,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4907.98,0,-4937.93,50,'neutral',128,35,300),
 (2686,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-5834.12,0,-3893.09,50,'neutral',128,35,300),
 (2687,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4411.93,0,6060.91,50,'neutral',128,35,300),
 (2688,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,3404.69,0,5884.29,50,'neutral',128,35,300),
 (2689,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5043.67,0,5005.36,50,'neutral',128,35,300),
 (2690,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5577.18,0,7012.88,50,'neutral',128,35,300),
 (2691,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,6278.86,0,6697.1,50,'neutral',128,35,300),
 (2692,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5060.52,0,3267.06,50,'neutral',128,35,300),
 (2693,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,3937.56,0,5743.93,50,'neutral',128,35,300),
 (2694,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,3903.12,0,5987.64,50,'neutral',128,35,300),
 (2695,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5325.85,0,2942.65,50,'neutral',128,35,300),
 (2696,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4321.85,0,5457.42,50,'neutral',128,35,300),
 (2697,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4954.04,0,-6316.2,50,'neutral',128,35,300),
 (2698,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,7337.13,0,-4754.36,50,'neutral',128,35,300),
 (2699,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,6375.44,0,-6964.33,50,'neutral',128,35,300),
 (2700,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4430.52,0,-7284.08,50,'neutral',128,35,300),
 (2701,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5160.9,0,-4994.38,50,'neutral',128,35,300),
 (2702,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4165.51,0,-4970.86,50,'neutral',128,35,300),
 (2703,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,2827.79,0,-5705.79,50,'neutral',128,35,300),
 (2704,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,6307.12,0,-4445.16,50,'neutral',128,35,300),
 (2705,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,5606.32,0,-5282.73,50,'neutral',128,35,300),
 (2706,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,4838.34,0,-4890.96,50,'neutral',128,35,300),
 (2707,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4704.53,0,5275.53,50,'neutral',128,35,300),
 (2708,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4841.94,0,3712.67,50,'neutral',128,35,300),
 (2709,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-5164.4,0,4647.45,50,'neutral',128,35,300),
 (2710,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4113.28,0,5718.05,50,'neutral',128,35,300),
 (2711,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3717.9,0,4887.83,50,'neutral',128,35,300),
 (2712,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4619.31,0,3209.01,50,'neutral',128,35,300),
 (2713,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-3071.05,0,5516.86,50,'neutral',128,35,300),
 (2714,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-6043.17,0,3038.09,50,'neutral',128,35,300),
 (2715,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4966.43,0,4038.59,50,'neutral',128,35,300),
 (2716,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-4077.41,0,3335.6,50,'neutral',128,35,300),
 (2717,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-774.16,0,251.54,70,'neutral',128,35,300),
 (2718,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,2044.6,0,1431.65,70,'neutral',128,35,300),
 (2719,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,27.6236,0,395.035,70,'neutral',128,35,300),
 (2720,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-388.257,0,-172.863,70,'neutral',128,35,300),
 (2721,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2163.36,0,1102.29,70,'neutral',128,35,300),
 (2722,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,23.7004,0,1357.79,70,'neutral',128,35,300),
 (2723,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,32.1183,0,35.671,70,'neutral',128,35,300),
 (2724,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,1869.55,0,793.575,70,'neutral',128,35,300),
 (2725,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,193.4,0,379.569,70,'neutral',128,35,300),
 (2726,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-49.6008,0,403.966,70,'neutral',128,35,300),
 (2727,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5052.47,0,-117.847,70,'neutral',128,35,300),
 (2728,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-3568.97,0,-1118.04,70,'neutral',128,35,300),
 (2729,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4167.11,0,-1146.38,70,'neutral',128,35,300),
 (2730,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-6146.4,0,-996.554,70,'neutral',128,35,300),
 (2731,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-3941.47,0,-343.936,70,'neutral',128,35,300),
 (2732,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5682.68,0,732.085,70,'neutral',128,35,300),
 (2733,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4858.75,0,-1150.36,70,'neutral',128,35,300),
 (2734,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5019.17,0,14.4436,70,'neutral',128,35,300),
 (2735,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-6734.33,0,-1674.82,70,'neutral',128,35,300),
 (2736,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4949.71,0,107.851,70,'neutral',128,35,300),
 (2737,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5975.67,0,-434.395,70,'neutral',128,35,300),
 (2738,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,4857.43,0,-92.5886,70,'neutral',128,35,300),
 (2739,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,3456.91,0,531.327,70,'neutral',128,35,300),
 (2740,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,6115.7,0,-1077.42,70,'neutral',128,35,300),
 (2741,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5162.64,0,-333.453,70,'neutral',128,35,300),
 (2742,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5242.33,0,-1246.67,70,'neutral',128,35,300),
 (2743,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5523.47,0,1611.09,70,'neutral',128,35,300),
 (2744,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5012.96,0,123.321,70,'neutral',128,35,300),
 (2745,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5074.09,0,2121.71,70,'neutral',128,35,300),
 (2746,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,4726.55,0,-405.399,70,'neutral',128,35,300),
 (2747,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-17.6408,0,5061.52,70,'neutral',128,35,300),
 (2748,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-134.304,0,4909.41,70,'neutral',128,35,300),
 (2749,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2478.95,0,5173.34,70,'neutral',128,35,300),
 (2750,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,246.809,0,5125.76,70,'neutral',128,35,300),
 (2751,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,609.44,0,4825.25,70,'neutral',128,35,300),
 (2752,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,1216.72,0,6873.59,70,'neutral',128,35,300),
 (2753,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-791.141,0,3303.39,70,'neutral',128,35,300),
 (2754,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,306.613,0,4923.55,70,'neutral',128,35,300),
 (2755,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-1722.68,0,6206.23,70,'neutral',128,35,300),
 (2756,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-19.5786,0,4439.34,70,'neutral',128,35,300),
 (2757,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,1318.78,0,-5092.22,70,'neutral',128,35,300),
 (2758,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-57.5223,0,-5468.48,70,'neutral',128,35,300),
 (2759,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,665.664,0,-2678.55,70,'neutral',128,35,300),
 (2760,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,78.5458,0,-3876.74,70,'neutral',128,35,300),
 (2761,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,874.456,0,-7060.09,70,'neutral',128,35,300),
 (2762,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-167.46,0,-5214.34,70,'neutral',128,35,300),
 (2763,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,527.396,0,-5292.34,70,'neutral',128,35,300),
 (2764,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,464.886,0,-4087.61,70,'neutral',128,35,300),
 (2765,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,53.9494,0,-4383.36,70,'neutral',128,35,300),
 (2766,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-478.407,0,-5058.74,70,'neutral',128,35,300),
 (2767,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-6695,0,-5000,70,'neutral',128,35,300),
 (2768,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4611.7,0,-4766.69,70,'neutral',128,35,300),
 (2769,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5106.06,0,-4948.27,70,'neutral',128,35,300),
 (2770,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5741.82,0,-3067.49,70,'neutral',128,35,300),
 (2771,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4899.62,0,-5087.26,70,'neutral',128,35,300),
 (2772,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2926.48,0,-4286.03,70,'neutral',128,35,300),
 (2773,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-6714.25,0,-5950.23,70,'neutral',128,35,300),
 (2774,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-3200.32,0,-4198.73,70,'neutral',128,35,300),
 (2775,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5000,0,-5761,70,'neutral',128,35,300),
 (2776,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4901.5,0,-3591.44,70,'neutral',128,35,300),
 (2777,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5682.62,0,7100.88,70,'neutral',128,35,300),
 (2778,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,4859.16,0,4735.12,70,'neutral',128,35,300),
 (2779,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,6496.94,0,6496.94,70,'neutral',128,35,300),
 (2780,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,4115.64,0,4844.06,70,'neutral',128,35,300),
 (2781,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5101.14,0,5068.22,70,'neutral',128,35,300),
 (2782,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,3594.01,0,4515.88,70,'neutral',128,35,300),
 (2783,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,4750.49,0,3424.64,70,'neutral',128,35,300),
 (2784,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5059.76,0,4622.7,70,'neutral',128,35,300),
 (2785,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,4915.81,0,4810.9,70,'neutral',128,35,300),
 (2786,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,6418.06,0,4800.7,70,'neutral',128,35,300),
 (2787,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5053.14,0,-4938.87,70,'neutral',128,35,300),
 (2788,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,3293.8,0,-4445.62,70,'neutral',128,35,300),
 (2789,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5504.04,0,-6187.45,70,'neutral',128,35,300),
 (2790,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,3585.86,0,-5049.38,70,'neutral',128,35,300),
 (2791,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5785.22,0,-6683.92,70,'neutral',128,35,300),
 (2792,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,5032.74,0,-4964.9,70,'neutral',128,35,300),
 (2793,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,3579.42,0,-6420.58,70,'neutral',128,35,300),
 (2794,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,6205.87,0,-3562.9,70,'neutral',128,35,300),
 (2795,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,4018.99,0,-6350.25,70,'neutral',128,35,300),
 (2796,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,6425.61,0,-3803.77,70,'neutral',128,35,300),
 (2797,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5343.68,0,3383.12,70,'neutral',128,35,300),
 (2798,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5586.09,0,5937.94,70,'neutral',128,35,300),
 (2799,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5088.69,0,5272.95,70,'neutral',128,35,300),
 (2800,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-7038.6,0,3624.94,70,'neutral',128,35,300),
 (2801,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4531.51,0,6360.6,70,'neutral',128,35,300),
 (2802,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5781.82,0,4715.44,70,'neutral',128,35,300),
 (2803,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-5012.43,0,4989.93,70,'neutral',128,35,300),
 (2804,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-3992.83,0,5327.25,70,'neutral',128,35,300),
 (2805,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-6374.49,0,4806.83,70,'neutral',128,35,300),
 (2806,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-4147.08,0,4940.36,70,'neutral',128,35,300),
 (2807,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-87.4191,0,285.935,95,'neutral',128,35,300),
 (2808,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-1484.84,0,1769.56,95,'neutral',128,35,300),
 (2809,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,1102.8,0,-586.37,95,'neutral',128,35,300),
 (2810,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-650.114,0,-1275.92,95,'neutral',128,35,300),
 (2811,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,979.5,0,1696.54,95,'neutral',128,35,300),
 (2812,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-898.075,0,2017.11,95,'neutral',128,35,300),
 (2813,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-1541.1,0,560.913,95,'neutral',128,35,300),
 (2814,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-843.514,0,1655.49,95,'neutral',128,35,300),
 (2815,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,280.421,0,-2283.85,95,'neutral',128,35,300),
 (2816,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-378.415,0,-2389.22,95,'neutral',128,35,300),
 (2817,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5707.57,0,24.7088,95,'neutral',128,35,300),
 (2818,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5079.42,0,244.422,95,'neutral',128,35,300),
 (2819,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5211.92,0,849.979,95,'neutral',128,35,300),
 (2820,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-7002.04,0,-317.093,95,'neutral',128,35,300),
 (2821,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3944.93,0,-738.766,95,'neutral',128,35,300),
 (2822,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4709.2,0,415.31,95,'neutral',128,35,300),
 (2823,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5858.49,0,-953.455,95,'neutral',128,35,300),
 (2824,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4032.34,0,1002.04,95,'neutral',128,35,300),
 (2825,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3005.62,0,174.486,95,'neutral',128,35,300),
 (2826,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4694.46,0,327.646,95,'neutral',128,35,300),
 (2827,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,4032.65,0,-558.5,95,'neutral',128,35,300),
 (2828,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5066.28,0,28.1326,95,'neutral',128,35,300),
 (2829,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5773.88,0,583.159,95,'neutral',128,35,300),
 (2830,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5266.04,0,-2166.73,95,'neutral',128,35,300),
 (2831,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,4553.47,0,1163.24,95,'neutral',128,35,300),
 (2832,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,6063.55,0,-1702.03,95,'neutral',128,35,300),
 (2833,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5067.16,0,-345.533,95,'neutral',128,35,300),
 (2834,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5145.08,0,-97.8588,95,'neutral',128,35,300),
 (2835,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,3922.48,0,56.4705,95,'neutral',128,35,300),
 (2836,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5724.04,0,-675.178,95,'neutral',128,35,300),
 (2837,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,77.9945,0,4971.61,95,'neutral',128,35,300),
 (2838,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-1190.23,0,4166.59,95,'neutral',128,35,300),
 (2839,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-1734.74,0,4469.64,95,'neutral',128,35,300),
 (2840,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,897.974,0,6070.16,95,'neutral',128,35,300),
 (2841,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-661.751,0,4895.19,95,'neutral',128,35,300),
 (2842,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-24.055,0,4725.05,95,'neutral',128,35,300),
 (2843,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-449.902,0,3051.26,95,'neutral',128,35,300),
 (2844,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,1312.57,0,6564.26,95,'neutral',128,35,300),
 (2845,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,852.605,0,7110.27,95,'neutral',128,35,300),
 (2846,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-463.014,0,3854,95,'neutral',128,35,300),
 (2847,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-1111.24,0,-4278.35,95,'neutral',128,35,300),
 (2848,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-138.584,0,-4546.71,95,'neutral',128,35,300),
 (2849,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-245.314,0,-5442.56,95,'neutral',128,35,300),
 (2850,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-28.1816,0,-4596.98,95,'neutral',128,35,300),
 (2851,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-234.865,0,-5260.84,95,'neutral',128,35,300),
 (2852,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-1354.63,0,-5519.99,95,'neutral',128,35,300),
 (2853,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,177.51,0,-4651.62,95,'neutral',128,35,300),
 (2854,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,953.325,0,-3474.36,95,'neutral',128,35,300),
 (2855,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,547.053,0,-5510.13,95,'neutral',128,35,300),
 (2856,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-177.121,0,-3995.5,95,'neutral',128,35,300),
 (2857,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5035.63,0,-5015.86,95,'neutral',128,35,300),
 (2858,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5699.15,0,-5073.48,95,'neutral',128,35,300),
 (2859,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4358.42,0,-6511.47,95,'neutral',128,35,300),
 (2860,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4995.15,0,-4996.47,95,'neutral',128,35,300),
 (2861,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-6797.86,0,-5800.46,95,'neutral',128,35,300),
 (2862,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-7438.63,0,-4957.43,95,'neutral',128,35,300),
 (2863,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5806.97,0,-3187.53,95,'neutral',128,35,300),
 (2864,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3765.5,0,-2861.78,95,'neutral',128,35,300),
 (2865,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3940.65,0,-5036.99,95,'neutral',128,35,300),
 (2866,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4074.83,0,-3726.61,95,'neutral',128,35,300),
 (2867,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,3373.47,0,4309.58,95,'neutral',128,35,300),
 (2868,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5446.1,0,6789.23,95,'neutral',128,35,300),
 (2869,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5596.51,0,4289.11,95,'neutral',128,35,300),
 (2870,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,3211.09,0,5512.96,95,'neutral',128,35,300),
 (2871,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,4109.4,0,3393.32,95,'neutral',128,35,300),
 (2872,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5339.56,0,5484.94,95,'neutral',128,35,300),
 (2873,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5000,0,3325,95,'neutral',128,35,300),
 (2874,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,3594.74,0,4852.3,95,'neutral',128,35,300),
 (2875,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,4277.95,0,6357.97,95,'neutral',128,35,300),
 (2876,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,2959.14,0,4091.35,95,'neutral',128,35,300),
 (2877,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,4868.94,0,-4908.23,95,'neutral',128,35,300),
 (2878,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,6203.1,0,-6336.17,95,'neutral',128,35,300),
 (2879,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5051.1,0,-5065.4,95,'neutral',128,35,300),
 (2880,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,4412.07,0,-7050.37,95,'neutral',128,35,300),
 (2881,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,2933.88,0,-4446.39,95,'neutral',128,35,300),
 (2882,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,4947.29,0,-4994.46,95,'neutral',128,35,300),
 (2883,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,3395.04,0,-5648.44,95,'neutral',128,35,300),
 (2884,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5055.58,0,-6060.54,95,'neutral',128,35,300),
 (2885,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5495.23,0,-4789.79,95,'neutral',128,35,300),
 (2886,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,5888.66,0,-3396.82,95,'neutral',128,35,300),
 (2887,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4240.75,0,4738.57,95,'neutral',128,35,300),
 (2888,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3288.24,0,4636.15,95,'neutral',128,35,300),
 (2889,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3785.96,0,4915.11,95,'neutral',128,35,300),
 (2890,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-5083,0,5789.65,95,'neutral',128,35,300),
 (2891,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3338.04,0,6252.38,95,'neutral',128,35,300),
 (2892,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4695.42,0,6221.6,95,'neutral',128,35,300),
 (2893,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4843.19,0,4877.48,95,'neutral',128,35,300),
 (2894,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-4673.02,0,6854.39,95,'neutral',128,35,300),
 (2895,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-3247.56,0,6523.37,95,'neutral',128,35,300),
 (2896,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-6122.13,0,4123.3,95,'neutral',128,35,300),
 (2897,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,45.9485,0,-216.171,107,'neutral',128,35,300),
 (2898,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-733.562,0,-458.38,107,'neutral',128,35,300),
 (2899,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,166.576,0,-856.961,107,'neutral',128,35,300),
 (2900,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,257.022,0,-2093.28,107,'neutral',128,35,300),
 (2901,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-2163.19,0,-918.218,107,'neutral',128,35,300),
 (2902,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-6144.05,0,-582.924,107,'neutral',128,35,300),
 (2903,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-5095.15,0,1360.68,107,'neutral',128,35,300),
 (2904,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-4858.06,0,614.828,107,'neutral',128,35,300),
 (2905,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-3831.11,0,248.454,107,'neutral',128,35,300),
 (2906,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-5302.71,0,-141.154,107,'neutral',128,35,300),
 (2907,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,4268.77,0,1809.86,107,'neutral',128,35,300),
 (2908,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,4662.13,0,-388.675,107,'neutral',128,35,300),
 (2909,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,6351.78,0,-1669.31,107,'neutral',128,35,300),
 (2910,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,7348.17,0,-629.189,107,'neutral',128,35,300),
 (2911,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,5317.63,0,-1375.81,107,'neutral',128,35,300),
 (2912,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-1381.27,0,4629.89,107,'neutral',128,35,300),
 (2913,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-189.28,0,4729.68,107,'neutral',128,35,300),
 (2914,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,937.906,0,4458.5,107,'neutral',128,35,300),
 (2915,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-1708.17,0,5209.74,107,'neutral',128,35,300),
 (2916,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-19.4486,0,5110.3,107,'neutral',128,35,300),
 (2917,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-1480.32,0,-6532.91,107,'neutral',128,35,300),
 (2918,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-2075.35,0,-5796.65,107,'neutral',128,35,300),
 (2919,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-1540.57,0,-3839.1,107,'neutral',128,35,300),
 (2920,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,676.519,0,-4164.57,107,'neutral',128,35,300),
 (2921,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,1.08871e-13,0,-3222,107,'neutral',128,35,300),
 (2922,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-6287.79,0,-5546.63,107,'neutral',128,35,300),
 (2923,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-5500.31,0,-4973.78,107,'neutral',128,35,300),
 (2924,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-4923.48,0,-5874.66,107,'neutral',128,35,300),
 (2925,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-3321.8,0,-4321.96,107,'neutral',128,35,300),
 (2926,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-5928.47,0,-3096.35,107,'neutral',128,35,300),
 (2927,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,4476.96,0,7097.78,107,'neutral',128,35,300),
 (2928,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,2941.15,0,6141.24,107,'neutral',128,35,300),
 (2929,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,5841.49,0,4970.61,107,'neutral',128,35,300),
 (2930,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,4155.71,0,5844.29,107,'neutral',128,35,300),
 (2931,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,6606.97,0,5254.52,107,'neutral',128,35,300),
 (2932,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,3382.89,0,-5227.27,107,'neutral',128,35,300),
 (2933,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,4798.03,0,-5003.53,107,'neutral',128,35,300),
 (2934,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,2823.77,0,-5583.12,107,'neutral',128,35,300),
 (2935,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,6004.52,0,-6382.61,107,'neutral',128,35,300),
 (2936,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,4877.34,0,-4778.72,107,'neutral',128,35,300),
 (2937,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-6761.2,0,6376,107,'neutral',128,35,300),
 (2938,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-6173.24,0,3122.42,107,'neutral',128,35,300),
 (2939,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-4117.9,0,5594.98,107,'neutral',128,35,300),
 (2940,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-4966.53,0,5382.54,107,'neutral',128,35,300),
 (2941,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-4177.69,0,6131.81,107,'neutral',128,35,300),
 (2942,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,1094.83,0,19.1104,75,'neutral',128,35,300),
 (2943,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-933.775,0,475.782,75,'neutral',128,35,300),
 (2944,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-5768.65,0,716.78,75,'neutral',128,35,300),
 (2945,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-4934.25,0,-1882.85,75,'neutral',128,35,300),
 (2946,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,6558.94,0,-1174.74,75,'neutral',128,35,300),
 (2947,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,4129.51,0,587.153,75,'neutral',128,35,300),
 (2948,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-2072.83,0,5922.89,75,'neutral',128,35,300),
 (2949,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-2440,0,5000,75,'neutral',128,35,300),
 (2950,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,315.364,0,-5821.55,75,'neutral',128,35,300),
 (2951,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-189.534,0,-5291.86,75,'neutral',128,35,300),
 (2952,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-5129.1,0,-4960.53,75,'neutral',128,35,300),
 (2953,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-4722.21,0,-4940.95,75,'neutral',128,35,300),
 (2954,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,5294.84,0,4880.88,75,'neutral',128,35,300),
 (2955,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,4574.04,0,4893.8,75,'neutral',128,35,300),
 (2956,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,4671.81,0,-3311.6,75,'neutral',128,35,300),
 (2957,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,4926.62,0,-5698.15,75,'neutral',128,35,300),
 (2958,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-4724.22,0,5285.58,75,'neutral',128,35,300),
 (2959,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-5389.67,0,3800.72,75,'neutral',128,35,300),
 (2960,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-1005.68,0,-534.728,30,'neutral',128,35,300),
 (2961,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-62.3321,0,1189.37,30,'neutral',128,35,300),
 (2962,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,144.243,0,1648.7,30,'neutral',128,35,300),
 (2963,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1319.92,0,-1031.23,30,'neutral',128,35,300),
 (2964,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-898.151,0,-418.815,30,'neutral',128,35,300),
 (2965,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-581.184,0,-743.882,30,'neutral',128,35,300),
 (2966,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-13.3162,0,-762.884,30,'neutral',128,35,300),
 (2967,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-500.245,0,-52.5778,30,'neutral',128,35,300),
 (2968,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-864.057,0,1067.02,30,'neutral',128,35,300),
 (2969,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-291.095,0,685.776,30,'neutral',128,35,300),
 (2970,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5967.91,0,-1899.63,30,'neutral',128,35,300),
 (2971,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-7353.69,0,415.019,30,'neutral',128,35,300),
 (2972,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5505.52,0,-126.041,30,'neutral',128,35,300),
 (2973,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-4854.89,0,1658.66,30,'neutral',128,35,300),
 (2974,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-6566.43,0,1739.7,30,'neutral',128,35,300),
 (2975,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-3889.7,0,2088.17,30,'neutral',128,35,300),
 (2976,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5831.55,0,673.373,30,'neutral',128,35,300),
 (2977,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-6386.23,0,737.07,30,'neutral',128,35,300),
 (2978,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-4332.42,0,433.533,30,'neutral',128,35,300),
 (2979,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5481.83,0,1575.99,30,'neutral',128,35,300),
 (2980,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,4469.34,0,-2298.54,30,'neutral',128,35,300),
 (2981,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,6121.66,0,279.662,30,'neutral',128,35,300),
 (2982,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5000,0,1382,30,'neutral',128,35,300),
 (2983,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,4195.58,0,-1287.34,30,'neutral',128,35,300),
 (2984,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,6951.07,0,1470.23,30,'neutral',128,35,300),
 (2985,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,6592.43,0,-1115.03,30,'neutral',128,35,300),
 (2986,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5444.12,0,-835.268,30,'neutral',128,35,300),
 (2987,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,4903.31,0,-919.933,30,'neutral',128,35,300),
 (2988,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,2921.37,0,-1248.97,30,'neutral',128,35,300),
 (2989,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,7322.9,0,536.283,30,'neutral',128,35,300),
 (2990,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,426.954,0,4712.02,30,'neutral',128,35,300),
 (2991,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,594.983,0,4551.65,30,'neutral',128,35,300),
 (2992,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-537.312,0,4403.25,30,'neutral',128,35,300),
 (2993,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1612.72,0,4178.28,30,'neutral',128,35,300),
 (2994,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-359.318,0,4571.78,30,'neutral',128,35,300),
 (2995,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-656.197,0,5590.84,30,'neutral',128,35,300),
 (2996,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,524.5,0,5908.46,30,'neutral',128,35,300),
 (2997,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,405.579,0,4044.52,30,'neutral',128,35,300),
 (2998,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1176.85,0,4792.49,30,'neutral',128,35,300),
 (2999,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,183.2,0,5025.75,30,'neutral',128,35,300),
 (3000,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-2229.17,0,-4360.8,30,'neutral',128,35,300),
 (3001,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,417.915,0,-5575.21,30,'neutral',128,35,300),
 (3002,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-500.033,0,-3626.17,30,'neutral',128,35,300),
 (3003,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-1279.65,0,-6827.53,30,'neutral',128,35,300),
 (3004,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-1621.91,0,-5590.33,30,'neutral',128,35,300),
 (3005,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,644.19,0,-5955.05,30,'neutral',128,35,300),
 (3006,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1466.49,0,-6145.75,30,'neutral',128,35,300),
 (3007,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,69.3975,0,-6324.18,30,'neutral',128,35,300),
 (3008,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,1563.08,0,-4304.07,30,'neutral',128,35,300),
 (3009,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-61.4231,0,-3241.07,30,'neutral',128,35,300),
 (3010,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-3679.34,0,-5890.79,30,'neutral',128,35,300),
 (3011,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-4825.42,0,-4932.99,30,'neutral',128,35,300),
 (3012,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-2964.79,0,-4218.76,30,'neutral',128,35,300),
 (3013,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5071.82,0,-4994.98,30,'neutral',128,35,300),
 (3014,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5752.37,0,-3964.46,30,'neutral',128,35,300),
 (3015,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-3393.15,0,-3789.15,30,'neutral',128,35,300),
 (3016,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-7211.33,0,-4106.56,30,'neutral',128,35,300),
 (3017,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-3420.93,0,-4013.29,30,'neutral',128,35,300),
 (3018,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-6802.81,0,-5449.49,30,'neutral',128,35,300),
 (3019,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5152.21,0,-5175.09,30,'neutral',128,35,300),
 (3020,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,3898.26,0,5490.52,30,'neutral',128,35,300),
 (3021,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,4220.89,0,4731.73,30,'neutral',128,35,300),
 (3022,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5108.56,0,5772.41,30,'neutral',128,35,300),
 (3023,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5458.77,0,4433.46,30,'neutral',128,35,300),
 (3024,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5283.83,0,4990.09,30,'neutral',128,35,300),
 (3025,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,7258.62,0,4921.13,30,'neutral',128,35,300),
 (3026,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5000,0,4869,30,'neutral',128,35,300),
 (3027,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,6997.37,0,4719.29,30,'neutral',128,35,300),
 (3028,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,6033.05,0,4450.72,30,'neutral',128,35,300),
 (3029,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5342.5,0,4406.77,30,'neutral',128,35,300),
 (3030,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,7322.18,0,-5326.36,30,'neutral',128,35,300),
 (3031,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5916.6,0,-4491.92,30,'neutral',128,35,300),
 (3032,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5324.85,0,-5263.06,30,'neutral',128,35,300),
 (3033,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5553.67,0,-4078.55,30,'neutral',128,35,300),
 (3034,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,6679.02,0,-6090.37,30,'neutral',128,35,300),
 (3035,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,4149.36,0,-5119.55,30,'neutral',128,35,300),
 (3036,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,4960.7,0,-4815.13,30,'neutral',128,35,300),
 (3037,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,4402.36,0,-6123.99,30,'neutral',128,35,300),
 (3038,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,3995.48,0,-4126.79,30,'neutral',128,35,300),
 (3039,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,5296.04,0,-5911.11,30,'neutral',128,35,300),
 (3040,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-6224.55,0,3432.65,30,'neutral',128,35,300),
 (3041,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5222.7,0,5964.63,30,'neutral',128,35,300),
 (3042,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-4620.29,0,4457.72,30,'neutral',128,35,300),
 (3043,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-4435.72,0,6845.67,30,'neutral',128,35,300),
 (3044,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5011.58,0,4905.71,30,'neutral',128,35,300),
 (3045,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-3296.82,0,5520.71,30,'neutral',128,35,300),
 (3046,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-4693.82,0,4951.51,30,'neutral',128,35,300),
 (3047,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-3549.32,0,6611.14,30,'neutral',128,35,300),
 (3048,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5191.01,0,5712.85,30,'neutral',128,35,300),
 (3049,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-5147.06,0,5481.02,30,'neutral',128,35,300),
 (3050,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-4230.31,0,-2086.18,87,'neutral',128,35,180),
 (3051,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-4251.56,0,-2095.67,98,'neutral',128,35,600),
 (3052,2,4335463,'object/mobile/rancor.iff',0,0,0,0,15.1385,-4.47405,-6.70003,50,'neutral',128,35,180),
 (3053,2,4335463,'object/mobile/rancor.iff',0,0,0,0,-21.279,-26.9041,-7.13674,80,'neutral',128,35,180),
 (3054,2,4335464,'object/mobile/rancor_youth.iff',0,0,0,0,-21.9044,-40.2346,-45.7353,45,'neutral',128,35,180),
 (3055,2,4335464,'object/mobile/mutant_rancor.iff',0,0,0,0,-23.5048,-42.3566,-63.8942,87,'neutral',128,35,180),
 (3056,2,4335464,'object/mobile/rancor_youth.iff',0,0,0,0,-51.5143,-48.8983,-62.5288,45,'neutral',128,35,180),
 (3057,2,4335464,'object/mobile/bull_rancor.iff',0,0,0,0,-42.751,-46.9586,-10.3283,65,'neutral',128,35,180),
 (3058,2,4335465,'object/mobile/rancor_youth.iff',0,0,0,0,-74.1246,-60.5423,-10.3189,45,'neutral',128,35,180),
 (3059,2,4335465,'object/mobile/rancor.iff',0,0,0,0,-80.7402,-62.452,-14.511,50,'neutral',128,35,180),
 (3060,2,4335465,'object/mobile/bull_rancor.iff',0,0,0,0,-89.0712,-66.1011,-34.5327,65,'neutral',128,35,180),
 (3061,2,4335466,'object/mobile/rancor.iff',0,0,0,0,-68.8289,-75.4496,-56.2213,80,'neutral',128,35,180),
 (3062,2,4335466,'object/mobile/bull_rancor.iff',0,0,0,0,-91.5458,-76.0459,-68.5851,85,'neutral',128,35,600),
 (3063,2,4335466,'object/mobile/bull_rancor.iff',0,0,0,0,-84.3983,-76.5486,-86.4078,65,'neutral',128,35,180),
 (3064,2,4335468,'object/mobile/mutant_rancor.iff',0,0,0,0,-54.4698,-77.1138,-91.1161,87,'neutral',128,35,180),
 (3065,2,4335468,'object/mobile/bull_rancor.iff',0,0,0,0,-57.4521,-70.2253,-120.922,65,'neutral',128,35,180),
 (3066,2,4335469,'object/mobile/rancor.iff',0,0,0,0,-81.7676,-65.8217,-139.212,50,'neutral',128,35,180),
 (3067,2,4335467,'object/mobile/bull_rancor.iff',0,0,0,0,-93.9357,-66.4245,-109.79,65,'neutral',128,35,180),
 (3068,2,4335470,'object/mobile/mutant_rancor.iff',0,0,0,0,-114.332,-67.1559,-90.6148,87,'neutral',128,35,180),
 (3069,2,4335470,'object/mobile/rancor.iff',0,0,0,0,-137.299,-67.0822,-88.6898,80,'neutral',128,35,180),
 (3070,2,4335470,'object/mobile/bull_rancor.iff',0,0,0,0,-137.962,-66.446,-118.717,85,'neutral',128,35,600),
 (3071,2,4335470,'object/mobile/mutant_rancor.iff',0,0,0,0,-155.487,-66.2715,-113.002,87,'neutral',128,35,180),
 (3072,2,4335471,'object/mobile/mutant_rancor.iff',0,0,0,0,-162.186,-67.0103,-99.8746,87,'neutral',128,35,180),
 (3073,2,4335471,'object/mobile/bull_rancor.iff',0,0,0,0,-192.579,-66.8457,-101.426,98,'neutral',128,35,600),
 (3074,2,4335471,'object/mobile/rancor.iff',0,0,0,0,-193.936,-66.2722,-109.929,50,'neutral',128,35,180),
 (3075,2,4335471,'object/mobile/rancor.iff',0,0,0,0,-191.922,-66.37,-96.3279,50,'neutral',128,35,180),
 (3076,2,4335472,'object/mobile/rancor.iff',0,0,0,0,-49.6429,-51.8529,-86.2787,50,'neutral',128,35,180),
 (3077,2,4335467,'object/mobile/rancor.iff',0,0,0,0,-67.7254,-46.6077,-106.658,80,'neutral',128,35,180),
 (3078,2,4335467,'object/mobile/bull_rancor.iff',0,0,0,0,-89.7059,-46.721,-107.076,65,'neutral',128,35,180),
 (3079,2,4335473,'object/mobile/rancor_youth.iff',0,0,0,0,-75.8648,-46.4015,-140.821,45,'neutral',128,35,180),
 (3080,2,4335473,'object/mobile/rancor_youth.iff',0,0,0,0,-79.0697,-46.0094,-147.73,45,'neutral',128,35,180),
 (3081,2,4335473,'object/mobile/bull_rancor.iff',0,0,0,0,-88.7105,-46.9224,-144.215,85,'neutral',128,35,600),
 (3082,2,4335473,'object/mobile/rancor.iff',0,0,0,0,-90.5612,-46.2269,-130.403,80,'neutral',128,35,180),
 (3083,2,4335467,'object/mobile/rancor_youth.iff',0,0,0,0,-93.5684,-46.0266,-104.567,45,'neutral',128,35,180),
 (3084,2,0,'object/mobile/dressed_dathomir_nightsister_elder.iff',0,0,0,0,-3975.18,0,-174.426,278,'neutral',128,35,300),
 (3085,2,0,'object/mobile/dressed_dathomir_nightsister_elder.iff',0,0,0,0,-4007.96,0,-267.276,278,'neutral',128,35,300),
 (3086,2,0,'object/mobile/dressed_dathomir_nightsister_elder.iff',0,0,0,0,-4153.21,0,-97.6157,278,'neutral',128,35,300),
 (3087,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4100.96,0,-105.248,76,'neutral',128,35,300),
 (3088,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4107,0,-118,76,'neutral',128,35,300),
 (3089,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4112.15,0,-108.572,131,'neutral',128,35,300),
 (3090,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4130.87,0,-97.4913,131,'neutral',128,35,300),
 (3091,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4104.82,0,-108.733,100,'neutral',128,35,300),
 (3092,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4101.8,0,-75.5463,100,'neutral',128,35,300),
 (3093,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-3996.83,0,-124.556,76,'neutral',128,35,300),
 (3094,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4012.07,0,-138.237,76,'neutral',128,35,300),
 (3095,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4016.53,0,-139.848,131,'neutral',128,35,300),
 (3096,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4018.78,0,-119.195,131,'neutral',128,35,300),
 (3097,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4005.58,0,-149.79,100,'neutral',128,35,300),
 (3098,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4011.76,0,-136.35,100,'neutral',128,35,300),
 (3099,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-3983.65,0,-235.988,76,'neutral',128,35,300),
 (3100,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-3976.03,0,-231.697,76,'neutral',128,35,300),
 (3101,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4005.33,0,-239.616,131,'neutral',128,35,300),
 (3102,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-3995.85,0,-232.877,131,'neutral',128,35,300),
 (3103,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3980.5,0,-224.938,100,'neutral',128,35,300),
 (3104,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3969.95,0,-215.394,100,'neutral',128,35,300),
 (3105,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4298.01,0,-588.188,95,'neutral',128,35,300),
 (3106,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3995.1,0,-519.409,95,'neutral',128,35,300),
 (3107,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3310.06,0,-429.59,95,'neutral',128,35,300),
 (3108,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4096.3,0,-145.598,95,'neutral',128,35,300),
 (3109,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3697.7,0,-295.688,95,'neutral',128,35,300),
 (3110,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3901.43,0,300.631,95,'neutral',128,35,300),
 (3111,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4432.09,0,-130.911,95,'neutral',128,35,300),
 (3112,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4290.6,0,17.5264,95,'neutral',128,35,300),
 (3113,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3680.09,0,-83.3477,95,'neutral',128,35,300),
 (3114,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4681.35,0,-277.973,95,'neutral',128,35,300),
 (3115,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4273.26,0,-513.582,95,'neutral',128,35,300),
 (3116,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3913.38,0,-51.1987,95,'neutral',128,35,300),
 (3117,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4468.58,0,129.788,95,'neutral',128,35,300),
 (3118,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4279.1,0,-554.077,95,'neutral',128,35,300),
 (3119,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3544.68,0,-544.569,95,'neutral',128,35,300),
 (3120,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4422.38,0,116.826,95,'neutral',128,35,300),
 (3121,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4183.5,0,-90.8045,95,'neutral',128,35,300),
 (3122,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3769.47,0,-105.947,95,'neutral',128,35,300),
 (3123,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-3878.72,0,182.052,95,'neutral',128,35,300),
 (3124,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-4138.67,0,-111,95,'neutral',128,35,300),
 (3125,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3583.56,0,-275.542,57,'neutral',128,35,300),
 (3126,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4134.26,0,-511.089,57,'neutral',128,35,300),
 (3127,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3978.53,0,-112.398,57,'neutral',128,35,300),
 (3128,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4026.78,0,-236.738,57,'neutral',128,35,300),
 (3129,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4285.09,0,-315.307,57,'neutral',128,35,300),
 (3130,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3892.09,0,-282.779,57,'neutral',128,35,300),
 (3131,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3534.81,0,-760.013,57,'neutral',128,35,300),
 (3132,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4272.19,0,-138.349,57,'neutral',128,35,300),
 (3133,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4148.92,0,-243.832,57,'neutral',128,35,300),
 (3134,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3850.5,0,-518.133,57,'neutral',128,35,300),
 (3135,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3880.3,0,-204.882,57,'neutral',128,35,300),
 (3136,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3799.5,0,5.15529,57,'neutral',128,35,300),
 (3137,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4136.1,0,-104.995,57,'neutral',128,35,300),
 (3138,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4067.06,0,-618.93,57,'neutral',128,35,300),
 (3139,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4168.43,0,-230.813,57,'neutral',128,35,300),
 (3140,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4219.19,0,-574.31,57,'neutral',128,35,300),
 (3141,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4007.69,0,-480.962,57,'neutral',128,35,300),
 (3142,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3376.67,0,-109.287,57,'neutral',128,35,300),
 (3143,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4710.6,0,-248.576,57,'neutral',128,35,300),
 (3144,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3966.27,0,-181.847,57,'neutral',128,35,300),
 (3145,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3715,0,438.825,86,'neutral',128,35,300),
 (3146,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4076.55,0,-140.632,86,'neutral',128,35,300),
 (3147,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3632.35,0,-703.091,86,'neutral',128,35,300),
 (3148,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4171.27,0,210.221,86,'neutral',128,35,300),
 (3149,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3955.02,0,-142.387,86,'neutral',128,35,300),
 (3150,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3272.12,0,-170.735,86,'neutral',128,35,300),
 (3151,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4104.64,0,-102.611,86,'neutral',128,35,300),
 (3152,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4461.82,0,306.392,86,'neutral',128,35,300),
 (3153,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4032.39,0,-69.9763,86,'neutral',128,35,300),
 (3154,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4416.32,0,372.755,86,'neutral',128,35,300),
 (3155,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4063.86,0,-129.425,86,'neutral',128,35,300),
 (3156,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4085.47,0,-123.116,86,'neutral',128,35,300),
 (3157,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4333.39,0,-57.1301,86,'neutral',128,35,300),
 (3158,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3417.32,0,-589.815,86,'neutral',128,35,300),
 (3159,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3787.44,0,482.751,86,'neutral',128,35,300),
 (3160,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3819,0,-7.03285,86,'neutral',128,35,300),
 (3161,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4111.05,0,-527.36,86,'neutral',128,35,300),
 (3162,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4406.79,0,156.153,86,'neutral',128,35,300),
 (3163,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-4331,0,314.118,86,'neutral',128,35,300),
 (3164,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-3796.66,0,-45.6416,86,'neutral',128,35,300),
 (3165,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4040.72,0,-204.613,60,'neutral',128,35,300),
 (3166,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4132.13,0,-39.9694,60,'neutral',128,35,300),
 (3167,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3736.08,0,304.183,60,'neutral',128,35,300),
 (3168,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3797.58,0,-267.968,60,'neutral',128,35,300),
 (3169,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3967.08,0,-363.461,60,'neutral',128,35,300),
 (3170,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4015.41,0,-94.7444,60,'neutral',128,35,300),
 (3171,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4224.54,0,214.813,60,'neutral',128,35,300),
 (3172,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3701.63,0,334.882,60,'neutral',128,35,300),
 (3173,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4027.74,0,-189.37,60,'neutral',128,35,300);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (3174,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4066.51,0,-204.409,60,'neutral',128,35,300),
 (3175,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3484.2,0,-462.626,60,'neutral',128,35,300),
 (3176,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4505.58,0,111.335,60,'neutral',128,35,300),
 (3177,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4180.35,0,467.315,60,'neutral',128,35,300),
 (3178,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4016.21,0,332.132,60,'neutral',128,35,300),
 (3179,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4295.06,0,-119.612,60,'neutral',128,35,300),
 (3180,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3835.98,0,-204.404,60,'neutral',128,35,300),
 (3181,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4217.13,0,31.4469,60,'neutral',128,35,300),
 (3182,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-4454.08,0,-43.713,60,'neutral',128,35,300),
 (3183,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3743.77,0,-134.957,60,'neutral',128,35,300),
 (3184,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-3616.04,0,-648.962,60,'neutral',128,35,300),
 (3185,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4066.26,0,-171.256,76,'neutral',128,35,300),
 (3186,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-3364.55,0,-541.939,76,'neutral',128,35,300),
 (3187,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4114.15,0,-166.724,76,'neutral',128,35,300),
 (3188,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4059,0,-479,76,'neutral',128,35,300),
 (3189,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-3788.18,0,113.822,76,'neutral',128,35,300),
 (3190,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4096.84,0,-147.565,76,'neutral',128,35,300),
 (3191,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4239.91,0,518.182,76,'neutral',128,35,300),
 (3192,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4200.53,0,-592.584,76,'neutral',128,35,300),
 (3193,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4433,0,-804.787,76,'neutral',128,35,300),
 (3194,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4014.46,0,-52.0624,76,'neutral',128,35,300),
 (3195,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4046.04,0,-33.6793,76,'neutral',128,35,300),
 (3196,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4486.83,0,51.6647,76,'neutral',128,35,300),
 (3197,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4744.03,0,13.7969,76,'neutral',128,35,300),
 (3198,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-3764.46,0,81.5124,76,'neutral',128,35,300),
 (3199,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4194.45,0,611.15,76,'neutral',128,35,300),
 (3200,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-4294.47,0,567.705,76,'neutral',128,35,300),
 (3201,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3881.11,0,-163.212,100,'neutral',128,35,300),
 (3202,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3667.83,0,-307.156,100,'neutral',128,35,300),
 (3203,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4203.16,0,381.021,100,'neutral',128,35,300),
 (3204,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3764.1,0,-313.803,100,'neutral',128,35,300),
 (3205,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3918.72,0,118.321,100,'neutral',128,35,300),
 (3206,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4422.87,0,-79.6569,100,'neutral',128,35,300),
 (3207,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4065.91,0,-25.1809,100,'neutral',128,35,300),
 (3208,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3336.02,0,9.91368,100,'neutral',128,35,300),
 (3209,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3915.8,0,-52.962,100,'neutral',128,35,300),
 (3210,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3817.92,0,-44.5835,100,'neutral',128,35,300),
 (3211,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4339.72,0,123.721,100,'neutral',128,35,300),
 (3212,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3462.03,0,-461.174,100,'neutral',128,35,300),
 (3213,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4079.14,0,-137.55,100,'neutral',128,35,300),
 (3214,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4255.29,0,328.844,100,'neutral',128,35,300),
 (3215,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3572.19,0,-122.959,100,'neutral',128,35,300),
 (3216,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4062.15,0,-159.463,100,'neutral',128,35,300),
 (3217,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-3845.68,0,-541.833,131,'neutral',128,35,300),
 (3218,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4156.78,0,-172.487,131,'neutral',128,35,300),
 (3219,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4046.4,0,203.78,131,'neutral',128,35,300),
 (3220,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4383.08,0,-237.802,131,'neutral',128,35,300),
 (3221,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4057,0,-160.464,131,'neutral',128,35,300),
 (3222,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4003.42,0,-208.832,131,'neutral',128,35,300),
 (3223,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-3703.15,0,484.971,131,'neutral',128,35,300),
 (3224,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-3846.09,0,-127.078,131,'neutral',128,35,300),
 (3225,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4012.72,0,-101.845,131,'neutral',128,35,300),
 (3226,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4392.31,0,-399.168,131,'neutral',128,35,300),
 (3227,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4424.46,0,-368,131,'neutral',128,35,300),
 (3228,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-4522.4,0,457.949,131,'neutral',128,35,300),
 (3229,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4672.8,0,-404.99,100,'neutral',128,35,300),
 (3230,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4484.08,0,-539.743,100,'neutral',128,35,300),
 (3231,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4089.9,0,62.8395,100,'neutral',128,35,300),
 (3232,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4150.77,0,-203.761,100,'neutral',128,35,300),
 (3233,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4046.57,0,-258.24,100,'neutral',128,35,300),
 (3234,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4056.5,0,-141.197,100,'neutral',128,35,300),
 (3235,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4782.32,0,-406.06,100,'neutral',128,35,300),
 (3236,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4413.46,0,0.813818,100,'neutral',128,35,300),
 (3237,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4020.73,0,-468.659,100,'neutral',128,35,300),
 (3238,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4991.99,0,-42.4428,100,'neutral',128,35,300),
 (3239,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4006.53,0,342.25,100,'neutral',128,35,300),
 (3240,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3963.24,0,200.393,100,'neutral',128,35,300),
 (3241,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4745.07,0,-585.705,100,'neutral',128,35,300),
 (3242,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3928.95,0,-274.098,100,'neutral',128,35,300),
 (3243,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4180.55,0,45.2915,100,'neutral',128,35,300),
 (3244,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3481.78,0,530.908,100,'neutral',128,35,300),
 (3245,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-3457.63,0,-610.167,100,'neutral',128,35,300),
 (3246,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4224.9,0,-124.753,100,'neutral',128,35,300),
 (3247,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4015.67,0,-164.641,100,'neutral',128,35,300),
 (3248,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-4162.82,0,581.74,100,'neutral',128,35,300),
 (3249,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3600.33,0,430.068,78,'neutral',128,35,300),
 (3250,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4004.31,0,-1200.57,78,'neutral',128,35,300),
 (3251,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4079.16,0,131.296,78,'neutral',128,35,300),
 (3252,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4018.71,0,-132.793,78,'neutral',128,35,300),
 (3253,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4905.48,0,-186.56,78,'neutral',128,35,300),
 (3254,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2972.34,0,-368.226,78,'neutral',128,35,300),
 (3255,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3814.17,0,-47.9946,78,'neutral',128,35,300),
 (3256,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3294.29,0,462.251,78,'neutral',128,35,300),
 (3257,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2576.66,0,-286.688,78,'neutral',128,35,300),
 (3258,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3824.35,0,-580.316,78,'neutral',128,35,300),
 (3259,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3856.92,0,1280.87,78,'neutral',128,35,300),
 (3260,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4023.51,0,25.5827,78,'neutral',128,35,300),
 (3261,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4256.11,0,-1171.02,78,'neutral',128,35,300),
 (3262,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4328.95,0,850.461,78,'neutral',128,35,300),
 (3263,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4161.98,0,-995.701,78,'neutral',128,35,300),
 (3264,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-5287.59,0,314.612,78,'neutral',128,35,300),
 (3265,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3779.92,0,-44.2434,78,'neutral',128,35,300),
 (3266,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4491.32,0,-367.857,78,'neutral',128,35,300),
 (3267,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4835.98,0,450.042,78,'neutral',128,35,300),
 (3268,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4871.45,0,921.158,78,'neutral',128,35,300),
 (3269,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3975.13,0,318.662,78,'neutral',128,35,300),
 (3270,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4341.76,0,-482.28,78,'neutral',128,35,300),
 (3271,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-5177,0,-157,78,'neutral',128,35,300),
 (3272,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3376.55,0,-418.967,78,'neutral',128,35,300),
 (3273,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4160.19,0,-1313.58,78,'neutral',128,35,300),
 (3274,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3541.16,0,-1506.02,78,'neutral',128,35,300),
 (3275,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4061.36,0,-201.938,78,'neutral',128,35,300),
 (3276,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3471.3,0,210.234,78,'neutral',128,35,300),
 (3277,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4177.3,0,-713.566,78,'neutral',128,35,300),
 (3278,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3690.82,0,409.941,78,'neutral',128,35,300),
 (3279,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3222.51,0,-478.098,78,'neutral',128,35,300),
 (3280,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4059.94,0,-155.234,78,'neutral',128,35,300),
 (3281,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3664.01,0,-1448.97,78,'neutral',128,35,300),
 (3282,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4184.37,0,100.055,78,'neutral',128,35,300),
 (3283,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-5007.15,0,-502.098,78,'neutral',128,35,300),
 (3284,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3079.43,0,479.138,78,'neutral',128,35,300),
 (3285,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2969.5,0,-214.099,78,'neutral',128,35,300),
 (3286,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3382.06,0,144.392,78,'neutral',128,35,300),
 (3287,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4070.82,0,-154.916,78,'neutral',128,35,300),
 (3288,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3750.04,0,-200.422,78,'neutral',128,35,300),
 (3289,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3832.89,0,-1320.23,78,'neutral',128,35,300),
 (3290,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3690.93,0,535.231,78,'neutral',128,35,300),
 (3291,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3895.45,0,-507.741,78,'neutral',128,35,300),
 (3292,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3256.42,0,-241.354,78,'neutral',128,35,300),
 (3293,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4198.08,0,-316.998,78,'neutral',128,35,300),
 (3294,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3194.3,0,-232.651,78,'neutral',128,35,300),
 (3295,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4100.14,0,-627.204,78,'neutral',128,35,300),
 (3296,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4768.89,0,-534.455,78,'neutral',128,35,300),
 (3297,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3755.32,0,1158.4,78,'neutral',128,35,300),
 (3298,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-4240.15,0,-1300.74,78,'neutral',128,35,300),
 (3299,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4792.42,0,-514.711,81,'neutral',128,35,300),
 (3300,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4597.3,0,-331.904,81,'neutral',128,35,300),
 (3301,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4653.04,0,-316.174,81,'neutral',128,35,300),
 (3302,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4046.02,0,-151.756,81,'neutral',128,35,300),
 (3303,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4087.77,0,-184.786,81,'neutral',128,35,300),
 (3304,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-3988.85,0,240.862,81,'neutral',128,35,300),
 (3305,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-3874.5,0,-503.998,81,'neutral',128,35,300),
 (3306,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-3480.74,0,-451.64,81,'neutral',128,35,300),
 (3307,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4594.47,0,-894.014,81,'neutral',128,35,300),
 (3308,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-3947.25,0,106.264,81,'neutral',128,35,300),
 (3309,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-3894.48,0,-100.351,81,'neutral',128,35,300),
 (3310,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-3540.71,0,-753.221,81,'neutral',128,35,300),
 (3311,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4500.92,0,-126.098,81,'neutral',128,35,300),
 (3312,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4378.16,0,469.378,81,'neutral',128,35,300),
 (3313,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4086.78,0,-114.228,81,'neutral',128,35,300),
 (3314,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4962.73,0,-13.8625,81,'neutral',128,35,300),
 (3315,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4043.25,0,-175.113,81,'neutral',128,35,300),
 (3316,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4463.96,0,-107.277,81,'neutral',128,35,300),
 (3317,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4412.62,0,-563.788,81,'neutral',128,35,300),
 (3318,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-4289.45,0,-34.4679,81,'neutral',128,35,300),
 (3319,2,4115629,'object/mobile/dressed_dathomir_nightsister_axkva.iff',0,0,0,0,-91.0259,-101.059,-103.071,302,'neutral',128,35,43200),
 (3320,2,4115629,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-97.0333,-100.883,-116.283,100,'neutral',128,35,300),
 (3321,2,4115626,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-98.1117,-102.689,-131.572,131,'neutral',128,35,300),
 (3322,2,4115626,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-89.6414,-100.547,-149.769,95,'neutral',128,35,300),
 (3323,2,4115628,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-28.3439,-80.1922,-151.496,131,'neutral',128,35,300),
 (3324,2,4115628,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-22.2057,-80.5683,-151.813,95,'neutral',128,35,300),
 (3325,2,4115627,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-12.9025,-68.921,-96.3403,100,'neutral',128,35,300),
 (3326,2,4115627,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-19.9525,-69.7168,-92.0932,95,'neutral',128,35,300),
 (3327,2,4115627,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-53.6343,-69.8418,-87.8431,131,'neutral',128,35,300),
 (3328,2,4115627,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-77.9595,-70.2354,-89.9193,95,'neutral',128,35,300),
 (3329,2,4115626,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-107.147,-68.531,-113.11,131,'neutral',128,35,300),
 (3330,2,4115626,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-118.707,-69.6862,-123.213,95,'neutral',128,35,300),
 (3331,2,4115626,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-122.558,-69.332,-138.946,100,'neutral',128,35,300),
 (3332,2,4115626,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-104.958,-71.5983,-176.399,100,'neutral',128,35,300),
 (3333,2,4115626,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-115.398,-69.2239,-172.659,95,'neutral',128,35,300),
 (3334,2,4115626,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-121.94,-69.8514,-182.011,131,'neutral',128,35,300),
 (3335,2,4115626,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-115.618,-69.9586,-198.215,131,'neutral',128,35,300),
 (3336,2,4115626,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-101.324,-68.9513,-203.529,95,'neutral',128,35,300),
 (3337,2,4115626,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-68.4386,-69.8099,-196.707,131,'neutral',128,35,300),
 (3338,2,4115624,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-20.5611,-64.3706,-179.909,95,'neutral',128,35,300),
 (3339,2,4115624,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-11.0538,-64.4992,-199.182,95,'neutral',128,35,300),
 (3340,2,4115625,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-13.1121,-64.7617,-221.124,131,'neutral',128,35,300),
 (3341,2,4115625,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-10.2736,-65.1708,-240.442,131,'neutral',128,35,300),
 (3342,2,4115625,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-22.5375,-65.6053,-242.708,95,'neutral',128,35,300),
 (3343,2,4115625,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-21.7987,-63.2164,-259.727,100,'neutral',128,35,300),
 (3344,2,4115625,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-14.8913,-63.0358,-261.214,100,'neutral',128,35,300),
 (3345,2,4115625,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-12.1496,-64.6121,-259.169,131,'neutral',128,35,300),
 (3346,2,4115625,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-5.85405,-66.7536,-214.372,131,'neutral',128,35,300),
 (3347,2,4115624,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,14.0655,-63.2116,-184.377,95,'neutral',128,35,300),
 (3348,2,4115623,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,57.2187,-56.7709,-178.97,95,'neutral',128,35,300),
 (3349,2,4115623,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,61.2023,-57.0517,-174.241,131,'neutral',128,35,300),
 (3350,2,4115623,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,65.0699,-55.58,-159.308,131,'neutral',128,35,300),
 (3351,2,4115623,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,65.4328,-55.1946,-157.441,95,'neutral',128,35,300),
 (3352,2,4115623,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,37.6787,-52.6718,-143.421,95,'neutral',128,35,300),
 (3353,2,4115623,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,37.6899,-52.6698,-143.418,131,'neutral',128,35,300),
 (3354,2,4115623,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,17.99,-47.6612,-133.802,95,'neutral',128,35,300),
 (3355,2,4115623,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,1.69093,-44.6251,-129.463,131,'neutral',128,35,300),
 (3356,2,4115623,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,0.0473984,-45.1734,-143.086,100,'neutral',128,35,300),
 (3357,2,4115622,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,38.3645,-45.6514,-94.5238,95,'neutral',128,35,300),
 (3358,2,4115622,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,40.565,-46.6515,-76.2628,95,'neutral',128,35,300),
 (3359,2,4115622,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,48.2317,-47.0278,-54.4734,95,'neutral',128,35,300),
 (3360,2,4115622,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,44.0373,-46.6601,-51.444,95,'neutral',128,35,300),
 (3361,2,4115622,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,31.0654,-45.1049,-56.1405,95,'neutral',128,35,300),
 (3362,2,4115621,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,15.027,-40.2011,-76.6327,95,'neutral',128,35,300),
 (3363,2,4115621,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-5.96411,-40.5602,-65.8697,131,'neutral',128,35,300),
 (3364,2,4115621,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-10.1746,-39.3909,-54.6325,95,'neutral',128,35,300),
 (3365,2,4115620,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-9.30522,-31.6686,-33.0453,95,'neutral',128,35,300),
 (3366,2,4115620,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,5.27219,-24.4314,-26.0931,95,'neutral',128,35,300),
 (3367,2,4115619,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,2.20982,-11.8595,-2.93477,95,'neutral',128,35,300),
 (3368,2,3695712,'object/mobile/dressed_dathomir_spider_nightsister_elder.iff',0,0,0,0,-84.6892,-100.056,-95.8428,277,'neutral',128,35,180),
 (3369,2,3695712,'object/mobile/gaping_spider_queen.iff',0,0,0,0,-91.5224,-100.896,-99.4755,46,'neutral',128,35,180),
 (3370,2,3695712,'object/mobile/gaping_spider_recluse.iff',0,0,0,0,-85.1103,-100.508,-104.415,46,'neutral',128,35,180),
 (3371,2,3695712,'object/mobile/dressed_dathomir_spider_nightsister_crawler.iff',0,0,0,0,-93.0643,-100.89,-111.327,85,'neutral',128,35,180),
 (3372,2,3695712,'object/mobile/dressed_dathomir_spider_nightsister_sentinel.iff',0,0,0,0,-83.0746,-101.272,-111.31,92,'neutral',128,35,180),
 (3373,2,3695712,'object/mobile/dressed_dathomir_spider_nightsister_stalker.iff',0,0,0,0,-101.975,-99.374,-114.043,100,'neutral',128,35,180),
 (3374,2,3695709,'object/mobile/dressed_dathomir_spider_nightsister_web_dancer.iff',0,0,0,0,-83.0093,-98.85,-155.238,87,'neutral',128,35,180),
 (3375,2,3695709,'object/mobile/dressed_dathomir_spider_nightsister_sentinel.iff',0,0,0,0,-69.1858,-97.2977,-158.212,27,'neutral',128,35,180),
 (3376,2,3695709,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-62.5683,-93.8482,-151.052,8,'neutral',128,35,180),
 (3377,2,3695711,'object/mobile/gaping_spider.iff',0,0,0,0,-33.927,-80.1462,-138.086,27,'neutral',128,35,180),
 (3378,2,3695711,'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff',0,0,0,0,-23.5231,-79.7499,-145.53,64,'neutral',128,35,180),
 (3379,2,3695711,'object/mobile/gaping_spider_recluse.iff',0,0,0,0,-23.6056,-75.4547,-126.232,46,'neutral',128,35,180),
 (3380,2,3695710,'object/mobile/dressed_dathomir_spider_nightsister_web_dancer.iff',0,0,0,0,-20.0504,-68.7591,-105.586,87,'neutral',128,35,180),
 (3381,2,3695710,'object/mobile/gaping_spider_recluse_giant_kiin_dray.iff',0,0,0,0,-20.0132,-69.4954,-95.4978,116,'neutral',128,35,180),
 (3382,2,3695710,'object/mobile/gaping_spider.iff',0,0,0,0,-34.7426,-70.1131,-95.5194,46,'neutral',128,35,180),
 (3383,2,3695710,'object/mobile/gaping_spider.iff',0,0,0,0,-59.7843,-70.245,-86.2855,27,'neutral',128,35,180),
 (3384,2,3695709,'object/mobile/gaping_spider_queen.iff',0,0,0,0,-100.353,-69.5315,-110.941,70,'neutral',128,35,180),
 (3385,2,3695709,'object/mobile/gaping_spider.iff',0,0,0,0,-90.9804,-70.3761,-114.784,46,'neutral',128,35,180),
 (3386,2,3695709,'object/mobile/dressed_dathomir_spider_nightsister_protector.iff',0,0,0,0,-90.5309,-70.1495,-101.162,131,'neutral',128,35,180),
 (3387,2,3695709,'object/mobile/dressed_dathomir_spider_nightsister_spellweaver.iff',0,0,0,0,-98.7626,-73.1532,-162.472,107,'neutral',128,35,180),
 (3388,2,3695709,'object/mobile/dressed_dathomir_spider_nightsister_sentinel.iff',0,0,0,0,-120.89,-69.4,-171.349,27,'neutral',128,35,180),
 (3389,2,3695709,'object/mobile/gaping_spider_recluse_giant_kiin_dray.iff',0,0,0,0,-88.5806,-70.0338,-203.542,116,'neutral',128,35,180),
 (3390,2,3695709,'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff',0,0,0,0,-65.1667,-69.6235,-168.558,64,'neutral',128,35,180),
 (3391,2,3695709,'object/mobile/dressed_dathomir_spider_nightsister_crawler.iff',0,0,0,0,-43.3591,-68.8074,-181.902,85,'neutral',128,35,180),
 (3392,2,3695707,'object/mobile/gaping_spider.iff',0,0,0,0,-12.5702,-64.0662,-182.118,27,'neutral',128,35,180),
 (3393,2,3695707,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-11.2743,-64.2808,-196.998,8,'neutral',128,35,180),
 (3394,2,3695708,'object/mobile/gaping_spider.iff',0,0,0,0,-19.306,-64.5122,-220.926,46,'neutral',128,35,180),
 (3395,2,3695708,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-6.18561,-64.2199,-234.507,8,'neutral',128,35,180),
 (3396,2,3695708,'object/mobile/dressed_dathomir_spider_nightsister_web_dancer.iff',0,0,0,0,-15.0742,-63.3987,-260.447,87,'neutral',128,35,180),
 (3397,2,3695706,'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff',0,0,0,0,29.045,-59.7851,-176.419,64,'neutral',128,35,180),
 (3398,2,3695706,'object/mobile/gaping_spider.iff',0,0,0,0,53.7815,-47.6815,-122.698,27,'neutral',128,35,180),
 (3399,2,3695706,'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff',0,0,0,0,28.275,-49.9979,-138.205,64,'neutral',128,35,180),
 (3400,2,3695706,'object/mobile/gaping_spider.iff',0,0,0,0,-9.38735,-45.7554,-148.348,27,'neutral',128,35,180),
 (3401,2,3695706,'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff',0,0,0,0,1.74743,-44.5895,-128.501,64,'neutral',128,35,180),
 (3402,2,3695705,'object/mobile/gaping_spider.iff',0,0,0,0,45.7016,-46.3262,-92.5769,46,'neutral',128,35,180),
 (3403,2,3695705,'object/mobile/dressed_dathomir_spider_nightsister_spellweaver.iff',0,0,0,0,45.4498,-45.9378,-63.9082,107,'neutral',128,35,180),
 (3404,2,3695705,'object/mobile/gaping_spider_recluse.iff',0,0,0,0,46.4812,-46.5889,-50.0254,46,'neutral',128,35,180),
 (3405,2,3695704,'object/mobile/gaping_spider.iff',0,0,0,0,3.6023,-40.6914,-70.5406,27,'neutral',128,35,180),
 (3406,2,3695703,'object/mobile/dressed_dathomir_spider_nightsister_initiate.iff',0,0,0,0,-9.96199,-31.4156,-32.3244,64,'neutral',128,35,180),
 (3407,2,3695703,'object/mobile/gaping_spider.iff',0,0,0,0,9.75751,-23.7179,-26.0242,27,'neutral',128,35,180),
 (3408,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-2814.31,0,1448.83,156,'neutral',128,35,300),
 (3409,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-2635.07,0,1425.14,156,'neutral',128,35,300),
 (3410,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-2242.56,0,1666.36,156,'neutral',128,35,300),
 (3411,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-2207.69,0,1717.31,156,'neutral',128,35,300),
 (3412,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_guardian.iff',0,0,0,0,-2651,0,1600,156,'neutral',128,35,300),
 (3413,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2259.07,0,1547.34,51,'neutral',128,35,300),
 (3414,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2888.3,0,1815.29,51,'neutral',128,35,300),
 (3415,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2776.18,0,1979.08,51,'neutral',128,35,300),
 (3416,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2587.82,0,1927.94,51,'neutral',128,35,300),
 (3417,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2774.28,0,1409.14,51,'neutral',128,35,300),
 (3418,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-2530.9,0,1596.1,263,'neutral',128,35,300),
 (3419,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_councilwoman.iff',0,0,0,0,-2559.34,0,1593.76,263,'neutral',128,35,300),
 (3420,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2524.41,0,1604.21,51,'neutral',128,35,300),
 (3421,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2161.41,0,1567.75,51,'neutral',128,35,300),
 (3422,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2725.92,0,1536.34,51,'neutral',128,35,300),
 (3423,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2465.01,0,1598.87,51,'neutral',128,35,300),
 (3424,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_sentry.iff',0,0,0,0,-2218.02,0,1713.55,51,'neutral',128,35,300),
 (3425,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-2573.85,0,1589.88,50,'neutral',128,35,300),
 (3426,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-2535.15,0,1894.96,50,'neutral',128,35,300),
 (3427,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-2477.67,0,1227.66,50,'neutral',128,35,300),
 (3428,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-2349.17,0,1273.77,50,'neutral',128,35,300),
 (3429,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_initiate.iff',0,0,0,0,-2570.04,0,1716.3,50,'neutral',128,35,300),
 (3430,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2811.63,0,1443.89,70,'neutral',128,35,300),
 (3431,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2271.82,0,1942.61,70,'neutral',128,35,300),
 (3432,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2664.75,0,1951.03,70,'neutral',128,35,300),
 (3433,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2540.89,0,1601.53,70,'neutral',128,35,300),
 (3434,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2527.18,0,1594.7,70,'neutral',128,35,300),
 (3435,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-3274.33,0,1039.11,70,'neutral',128,35,300),
 (3436,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-1947.98,0,1702.63,70,'neutral',128,35,300),
 (3437,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2809.74,0,1095.34,70,'neutral',128,35,300),
 (3438,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-1859.1,0,1611.71,70,'neutral',128,35,300),
 (3439,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2545.16,0,1547.13,70,'neutral',128,35,300),
 (3440,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2650.5,0,1808.71,70,'neutral',128,35,300),
 (3441,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2168.61,0,2062.56,70,'neutral',128,35,300),
 (3442,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2099.03,0,789.454,70,'neutral',128,35,300),
 (3443,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2879.75,0,2159.71,70,'neutral',128,35,300),
 (3444,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2860.14,0,1050.56,70,'neutral',128,35,300),
 (3445,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2330.13,0,1460.05,70,'neutral',128,35,300),
 (3446,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2540.6,0,1649.89,70,'neutral',128,35,300),
 (3447,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2058.01,0,1955.67,70,'neutral',128,35,300),
 (3448,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2341.17,0,1051.6,70,'neutral',128,35,300),
 (3449,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-3014.91,0,1193.12,70,'neutral',128,35,300),
 (3450,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2710.31,0,1482.9,70,'neutral',128,35,300),
 (3451,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-3097.95,0,1358.92,70,'neutral',128,35,300),
 (3452,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2453.49,0,1377.8,70,'neutral',128,35,300),
 (3453,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2254.33,0,2357.39,70,'neutral',128,35,300),
 (3454,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-1783.87,0,1096.73,70,'neutral',128,35,300),
 (3455,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2378.96,0,1413.48,70,'neutral',128,35,300),
 (3456,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2527.43,0,1603.06,70,'neutral',128,35,300),
 (3457,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2090.08,0,736.615,70,'neutral',128,35,300),
 (3458,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2386.56,0,1520.49,70,'neutral',128,35,300),
 (3459,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_scout.iff',0,0,0,0,-2937.07,0,1178.47,70,'neutral',128,35,300),
 (3460,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-2443.07,0,1347.55,95,'neutral',128,35,300),
 (3461,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-2509.34,0,1561.15,95,'neutral',128,35,300),
 (3462,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-2933.57,0,1367,95,'neutral',128,35,300),
 (3463,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-2615.04,0,1425.63,95,'neutral',128,35,300),
 (3464,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_huntress.iff',0,0,0,0,-2675.64,0,1589.82,95,'neutral',128,35,300),
 (3465,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-2478.39,0,1606.34,107,'neutral',128,35,300),
 (3466,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-2820.82,0,1589.84,107,'neutral',128,35,300),
 (3467,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-2559.58,0,1447.85,107,'neutral',128,35,300),
 (3468,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-2344.12,0,1182.51,107,'neutral',128,35,300),
 (3469,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_arch_witch.iff',0,0,0,0,-2260.98,0,1842.23,107,'neutral',128,35,300),
 (3470,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-2347.19,0,1147.53,75,'neutral',128,35,300),
 (3471,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-2068.14,0,1484.85,75,'neutral',128,35,300),
 (3472,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-2139.83,0,1545.17,75,'neutral',128,35,300),
 (3473,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-2135.55,0,1381.35,75,'neutral',128,35,300),
 (3474,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_rancor_tamer.iff',0,0,0,0,-2268.46,0,1515.02,75,'neutral',128,35,300),
 (3475,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-2906.56,0,1632.94,30,'neutral',128,35,300),
 (3476,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-2393.17,0,1679,30,'neutral',128,35,300),
 (3477,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-2348.09,0,1319.88,30,'neutral',128,35,300),
 (3478,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-2525.44,0,1860.96,30,'neutral',128,35,300),
 (3479,2,0,'object/mobile/dressed_dathomir_sing_mt_clan_slave.iff',0,0,0,0,-2171.65,0,1723.39,30,'neutral',128,35,300),
 (3480,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-2501.51,0,1441.62,76,'neutral',128,35,300),
 (3481,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-2414.94,0,1351.43,76,'neutral',128,35,300),
 (3482,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-2680.76,0,1238.27,76,'neutral',128,35,300),
 (3483,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-2681.17,0,1308.83,76,'neutral',128,35,300),
 (3484,2,0,'object/mobile/dressed_dathomir_nightsister_rancor_tamer.iff',0,0,0,0,-2886.49,0,1494.47,76,'neutral',128,35,300),
 (3485,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2460.53,0,1616.9,78,'neutral',128,35,300),
 (3486,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2531.01,0,1399.68,78,'neutral',128,35,300),
 (3487,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2521.09,0,1823.95,78,'neutral',128,35,300),
 (3488,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2434.33,0,1442.41,78,'neutral',128,35,300),
 (3489,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2875.82,0,1212.85,78,'neutral',128,35,300),
 (3490,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-2522.47,0,1432.65,81,'neutral',128,35,300),
 (3491,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-2762.5,0,1158.22,81,'neutral',128,35,300),
 (3492,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-2715.69,0,1615.53,81,'neutral',128,35,300),
 (3493,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-2834.03,0,1537.01,81,'neutral',128,35,300),
 (3494,2,0,'object/mobile/dressed_dathomir_nightsister_outcast.iff',0,0,0,0,-2253.64,0,1493.28,81,'neutral',128,35,300),
 (3495,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-2856.56,0,1705.39,131,'neutral',128,35,300),
 (3496,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-2625.7,0,1403.11,131,'neutral',128,35,300),
 (3497,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-2437.59,0,1570.59,131,'neutral',128,35,300),
 (3498,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-2305.86,0,1152.95,131,'neutral',128,35,300),
 (3499,2,0,'object/mobile/dressed_dathomir_nightsister_protector.iff',0,0,0,0,-2552.57,0,1312.28,131,'neutral',128,35,300),
 (3500,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-2968.38,0,1451.24,100,'neutral',128,35,300),
 (3501,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-2591.28,0,1390.28,100,'neutral',128,35,300),
 (3502,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-2103.33,0,1641.33,100,'neutral',128,35,300),
 (3503,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-2073.53,0,1240.26,100,'neutral',128,35,300),
 (3504,2,0,'object/mobile/dressed_dathomir_nightsister_spellweaver.iff',0,0,0,0,-2272.08,0,1573.15,100,'neutral',128,35,300),
 (3505,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-2214.71,0,1223.03,86,'neutral',128,35,300),
 (3506,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-2724.05,0,1305.71,86,'neutral',128,35,300),
 (3507,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-2520.14,0,1471.91,86,'neutral',128,35,300),
 (3508,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-2487.43,0,1479.86,86,'neutral',128,35,300),
 (3509,2,0,'object/mobile/dressed_dathomir_nightsister_stalker.iff',0,0,0,0,-2525.35,0,1459.07,86,'neutral',128,35,300),
 (3510,2,0,'object/mobile/dressed_dathomir_nightsister_elder.iff',0,0,0,0,-2518.53,0,1473.12,278,'neutral',128,35,300),
 (3511,2,0,'object/mobile/dressed_dathomir_nightsister_elder.iff',0,0,0,0,-2509.34,0,1468.01,278,'neutral',128,35,300),
 (3512,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-2749.74,0,1916.47,60,'neutral',128,35,300),
 (3513,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-2588.61,0,1517.5,60,'neutral',128,35,300),
 (3514,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-2509.25,0,1409.25,60,'neutral',128,35,300),
 (3515,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-2653,0,1475,60,'neutral',128,35,300),
 (3516,2,0,'object/mobile/dressed_dathomir_nightsister_initiate.iff',0,0,0,0,-2449.02,0,1491.45,60,'neutral',128,35,300),
 (3517,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-2564,0,1475,95,'neutral',128,35,300),
 (3518,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-2304.62,0,1508.32,95,'neutral',128,35,300),
 (3519,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-2479.78,0,1499.66,95,'neutral',128,35,300),
 (3520,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-2047.91,0,1314.17,95,'neutral',128,35,300),
 (3521,2,0,'object/mobile/dressed_dathomir_nightsister_sentinal.iff',0,0,0,0,-2328.31,0,1267.66,95,'neutral',128,35,300),
 (3522,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2964.58,0,1411.82,78,'neutral',128,35,300),
 (3523,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3017.45,0,1251.29,78,'neutral',128,35,300),
 (3524,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2741.69,0,1463.12,78,'neutral',128,35,300),
 (3525,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2590.43,0,1429.68,78,'neutral',128,35,300),
 (3526,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2630.43,0,1905.8,78,'neutral',128,35,300),
 (3527,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2547.34,0,2092.15,78,'neutral',128,35,300),
 (3528,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3149.29,0,1705.86,78,'neutral',128,35,300),
 (3529,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2467.54,0,1269.41,78,'neutral',128,35,300),
 (3530,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2416.5,0,1204.37,78,'neutral',128,35,300),
 (3531,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3356.78,0,1548.65,78,'neutral',128,35,300),
 (3532,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-3386.47,0,1938.37,78,'neutral',128,35,300),
 (3533,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2097.69,0,1314.81,78,'neutral',128,35,300),
 (3534,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2548.92,0,1496.2,78,'neutral',128,35,300),
 (3535,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2868.39,0,1406.31,78,'neutral',128,35,300),
 (3536,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2123.05,0,1544.11,78,'neutral',128,35,300),
 (3537,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2037.82,0,1199.5,78,'neutral',128,35,300),
 (3538,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2229.92,0,1082.63,78,'neutral',128,35,300),
 (3539,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2222.94,0,1687.19,78,'neutral',128,35,300),
 (3540,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2680.96,0,809.377,78,'neutral',128,35,300),
 (3541,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2516.89,0,1475.65,78,'neutral',128,35,300),
 (3542,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2033.51,0,1991.34,78,'neutral',128,35,300),
 (3543,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2936.26,0,1082.17,78,'neutral',128,35,300),
 (3544,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2811.93,0,1751.89,78,'neutral',128,35,300),
 (3545,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2472.93,0,1292.79,78,'neutral',128,35,300),
 (3546,2,0,'object/mobile/dressed_dathomir_nightsister_ranger.iff',0,0,0,0,-2612.83,0,1220.13,78,'neutral',128,35,300),
 (3547,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6122.26,0,913.495,25,'neutral',128,0,180),
 (3548,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6139.13,0,1008.87,25,'neutral',128,0,180),
 (3549,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6269.12,0,782.901,25,'neutral',128,0,180),
 (3550,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6197.04,0,808.872,25,'neutral',128,0,180),
 (3551,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6228.09,0,650.954,25,'neutral',128,0,180),
 (3552,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6327.87,0,654.972,25,'neutral',128,0,180),
 (3553,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6447.35,0,692.938,25,'neutral',128,0,180),
 (3554,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6481.44,0,741.583,25,'neutral',128,0,180),
 (3555,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6422.39,0,697.655,25,'neutral',128,0,180),
 (3556,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6429.31,0,723.314,25,'neutral',128,0,180),
 (3557,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6386.6,0,752.189,25,'neutral',128,0,180),
 (3558,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6370.59,0,651.323,25,'neutral',128,0,180),
 (3559,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6397.22,0,724,25,'neutral',128,0,180),
 (3560,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6374.5,0,787.344,25,'neutral',128,0,180),
 (3561,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6266.63,0,890.043,25,'neutral',128,0,180),
 (3562,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6161.05,0,886.749,25,'neutral',128,0,180),
 (3563,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6150.49,0,844.743,25,'neutral',128,0,180),
 (3564,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6238.94,0,873.821,25,'neutral',128,0,180),
 (3565,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6149.22,0,870.018,25,'neutral',128,0,180),
 (3566,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6196.82,0,843.686,25,'neutral',128,0,180),
 (3567,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6202.93,0,852.359,25,'neutral',128,0,180),
 (3568,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6182.31,0,853.205,25,'neutral',128,0,180),
 (3569,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6168.77,0,1092.8,25,'neutral',128,0,180),
 (3570,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6120.52,0,1065.06,25,'neutral',128,0,180),
 (3571,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6132.4,0,1072.63,25,'neutral',128,0,180),
 (3572,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6152.91,0,1151.43,25,'neutral',128,0,180),
 (3573,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6133.08,0,1067.82,25,'neutral',128,0,180),
 (3574,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6194.46,0,1073.1,25,'neutral',128,0,180),
 (3575,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6180.52,0,1118.56,25,'neutral',128,0,180),
 (3576,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6190.81,0,1033.82,25,'neutral',128,0,180),
 (3577,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6486.3,0,647.094,25,'neutral',128,0,180),
 (3578,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6311.98,0,864.336,25,'neutral',128,0,180),
 (3579,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6135.16,0,877.466,25,'neutral',128,0,180),
 (3580,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6216.51,0,735.226,25,'neutral',128,0,180),
 (3581,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6164.31,0,887.546,25,'neutral',128,0,180),
 (3582,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6340.01,0,893.361,25,'neutral',128,0,180),
 (3583,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6234.67,0,614.646,25,'neutral',128,0,180),
 (3584,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6291.26,0,630.814,25,'neutral',128,0,180),
 (3585,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6210.44,0,581.675,25,'neutral',128,0,180),
 (3586,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6398.04,0,757.147,25,'neutral',128,0,180),
 (3587,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6441.48,0,555.822,25,'neutral',128,0,180),
 (3588,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6247.95,0,787.641,25,'neutral',128,0,180),
 (3589,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6076.67,0,624.145,25,'neutral',128,0,180),
 (3590,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6171.14,0,706.609,25,'neutral',128,0,180),
 (3591,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6420.74,0,810.977,25,'neutral',128,0,180),
 (3592,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6255.63,0,969.055,25,'neutral',128,0,180),
 (3593,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6446.73,0,835.613,25,'neutral',128,0,180),
 (3594,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6518.87,0,736.311,25,'neutral',128,0,180),
 (3595,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6315.92,0,858.167,25,'neutral',128,0,180),
 (3596,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6430.94,0,621.914,25,'neutral',128,0,180),
 (3597,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6330.12,0,1000.55,25,'neutral',128,0,180),
 (3598,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6371.05,0,710.955,25,'neutral',128,0,180),
 (3599,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6473.5,0,901.646,25,'neutral',128,0,180),
 (3600,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6396.77,0,753.078,25,'neutral',128,0,180),
 (3601,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6289.08,0,918.461,25,'neutral',128,0,180),
 (3602,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6592.66,0,594.676,25,'neutral',128,0,180),
 (3603,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6614.43,0,695.677,25,'neutral',128,0,180),
 (3604,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6259.55,0,768.631,25,'neutral',128,0,180),
 (3605,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6400,0,712.332,25,'neutral',128,0,180),
 (3606,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6320.04,0,447.946,25,'neutral',128,0,180),
 (3607,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6440.64,0,858.542,25,'neutral',128,0,180),
 (3608,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6327.4,0,858.716,25,'neutral',128,0,180),
 (3609,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6414.66,0,952.466,25,'neutral',128,0,180),
 (3610,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6443.26,0,959.205,25,'neutral',128,0,180),
 (3611,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6377.78,0,928.416,25,'neutral',128,0,180),
 (3612,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6377.39,0,935.528,25,'neutral',128,0,180),
 (3613,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6305.28,0,987.812,25,'neutral',128,0,180),
 (3614,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6353.14,0,963.802,25,'neutral',128,0,180),
 (3615,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6412,0,905.826,25,'neutral',128,0,180),
 (3616,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6463.48,0,910.978,25,'neutral',128,0,180),
 (3617,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6378,0,950.124,25,'neutral',128,0,180),
 (3618,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6432.24,0,889.085,25,'neutral',128,0,180),
 (3619,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6325,0,901.947,25,'neutral',128,0,180),
 (3620,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6354.79,0,967.176,25,'neutral',128,0,180),
 (3621,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6380.24,0,847.125,25,'neutral',128,0,180),
 (3622,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6444.73,0,1006.94,25,'neutral',128,0,180),
 (3623,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6417.41,0,955.567,25,'neutral',128,0,180),
 (3624,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6451.98,0,987.284,25,'neutral',128,0,180),
 (3625,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6512.68,0,975.321,25,'neutral',128,0,180),
 (3626,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6400.49,0,949.482,25,'neutral',128,0,180),
 (3627,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6347.25,0,938.244,25,'neutral',128,0,180),
 (3628,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6432.43,0,970.06,25,'neutral',128,0,180),
 (3629,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6412.62,0,917.594,25,'neutral',128,0,180),
 (3630,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6471.29,0,983.391,25,'neutral',128,0,180),
 (3631,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6337.65,0,927.326,25,'neutral',128,0,180),
 (3632,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6429.87,0,977.962,25,'neutral',128,0,180),
 (3633,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6368.78,0,1034.88,25,'neutral',128,0,180),
 (3634,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6428.22,0,963.062,25,'neutral',128,0,180),
 (3635,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6505.32,0,920.307,25,'neutral',128,0,180),
 (3636,2,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6462.81,0,977.059,25,'neutral',128,0,180),
 (3637,2,0,'object/mobile/atst.iff',0,0,0,0,-6418,0,712,100,'neutral',128,0,1800),
 (3638,2,0,'object/mobile/atst.iff',0,0,0,0,-6190,0,851,100,'neutral',128,0,1800),
 (3639,2,0,'object/mobile/atst.iff',0,0,0,0,-6122,0,1082,100,'neutral',128,0,1800),
 (3640,2,0,'object/mobile/atst.iff',0,0,0,0,-6274,0,712,100,'neutral',128,0,1800),
 (3641,2,0,'object/mobile/atst.iff',0,0,0,0,-6381,0,712,100,'neutral',128,0,1800),
 (3642,2,0,'object/mobile/atst.iff',0,0,0,0,-6164,0,972,100,'neutral',128,0,1800),
 (3643,2,0,'object/mobile/rancor.iff',0,0,0,0,-1811.64,0,2423.44,50,'neutral',128,35,180),
 (3644,2,0,'object/mobile/rancor.iff',0,0,0,0,-2039.57,0,2470.93,50,'neutral',128,35,180),
 (3645,2,0,'object/mobile/rancor.iff',0,0,0,0,-1939.96,0,3084.03,50,'neutral',128,35,180),
 (3646,2,0,'object/mobile/rancor.iff',0,0,0,0,-1663.13,0,3081.77,50,'neutral',128,35,180),
 (3647,2,0,'object/mobile/rancor.iff',0,0,0,0,-1194.61,0,3038.9,50,'neutral',128,35,180),
 (3648,2,0,'object/mobile/rancor.iff',0,0,0,0,-2042.58,0,2218.57,50,'neutral',128,35,180),
 (3649,2,0,'object/mobile/rancor.iff',0,0,0,0,-2077.97,0,2977.03,50,'neutral',128,35,180),
 (3650,2,0,'object/mobile/rancor.iff',0,0,0,0,-1542.31,0,3014.18,50,'neutral',128,35,180),
 (3651,2,0,'object/mobile/rancor.iff',0,0,0,0,-2227.09,0,2770.56,50,'neutral',128,35,180),
 (3652,2,0,'object/mobile/rancor.iff',0,0,0,0,-1453.37,0,3092.61,50,'neutral',128,35,180),
 (3653,2,0,'object/mobile/rancor.iff',0,0,0,0,-2283.06,0,3292.69,50,'neutral',128,35,180),
 (3654,2,0,'object/mobile/rancor.iff',0,0,0,0,-2168.25,0,2618.16,50,'neutral',128,35,180),
 (3655,2,0,'object/mobile/rancor.iff',0,0,0,0,-1774.09,0,3546.32,50,'neutral',128,35,180),
 (3656,2,0,'object/mobile/rancor.iff',0,0,0,0,-2710.66,0,2780,50,'neutral',128,35,180),
 (3657,2,0,'object/mobile/rancor.iff',0,0,0,0,-2110.14,0,3173.48,50,'neutral',128,35,180),
 (3658,2,0,'object/mobile/rancor.iff',0,0,0,0,-1900.06,0,3248,50,'neutral',128,35,180),
 (3659,2,0,'object/mobile/rancor.iff',0,0,0,0,-1759.96,0,2367.24,50,'neutral',128,35,180),
 (3660,2,0,'object/mobile/rancor.iff',0,0,0,0,-1539.09,0,2629.48,50,'neutral',128,35,180),
 (3661,2,0,'object/mobile/rancor.iff',0,0,0,0,-1221.09,0,3087.29,50,'neutral',128,35,180),
 (3662,2,0,'object/mobile/rancor.iff',0,0,0,0,-1560.45,0,3970.45,50,'neutral',128,35,180),
 (3663,2,0,'object/mobile/rancor.iff',0,0,0,0,-2122.99,0,2231.26,50,'neutral',128,35,180),
 (3664,2,0,'object/mobile/rancor.iff',0,0,0,0,-1683.67,0,2852.11,50,'neutral',128,35,180),
 (3665,2,0,'object/mobile/rancor.iff',0,0,0,0,-1336.98,0,3590.45,50,'neutral',128,35,180),
 (3666,2,0,'object/mobile/rancor.iff',0,0,0,0,-1322.05,0,3334.73,50,'neutral',128,35,180),
 (3667,2,0,'object/mobile/rancor.iff',0,0,0,0,-2077.72,0,3172.86,50,'neutral',128,35,180),
 (3668,2,0,'object/mobile/rancor.iff',0,0,0,0,-2617.04,0,3540.82,50,'neutral',128,35,180),
 (3669,2,0,'object/mobile/rancor.iff',0,0,0,0,-2098.47,0,3267.74,50,'neutral',128,35,180),
 (3670,2,0,'object/mobile/rancor.iff',0,0,0,0,-1965.26,0,3556.55,50,'neutral',128,35,180),
 (3671,2,0,'object/mobile/rancor.iff',0,0,0,0,-2644,0,2597.53,50,'neutral',128,35,180),
 (3672,2,0,'object/mobile/rancor.iff',0,0,0,0,-2064.65,0,3162.93,50,'neutral',128,35,180),
 (3673,2,0,'object/mobile/rancor.iff',0,0,0,0,-1955,0,2939.15,50,'neutral',128,35,180),
 (3674,2,0,'object/mobile/rancor.iff',0,0,0,0,-1962.48,0,3785.16,50,'neutral',128,35,180),
 (3675,2,0,'object/mobile/rancor.iff',0,0,0,0,-1987.54,0,3195.48,50,'neutral',128,35,180),
 (3676,2,0,'object/mobile/rancor.iff',0,0,0,0,-2129.4,0,3191.05,50,'neutral',128,35,180),
 (3677,2,0,'object/mobile/rancor.iff',0,0,0,0,-1546.16,0,2985.32,50,'neutral',128,35,180),
 (3678,2,0,'object/mobile/rancor.iff',0,0,0,0,-1402.72,0,3327.14,50,'neutral',128,35,180),
 (3679,2,0,'object/mobile/rancor.iff',0,0,0,0,-2996.75,0,3326.17,50,'neutral',128,35,180),
 (3680,2,0,'object/mobile/rancor.iff',0,0,0,0,-1858.14,0,3657.88,50,'neutral',128,35,180),
 (3681,2,0,'object/mobile/rancor.iff',0,0,0,0,-2009.8,0,2933.74,50,'neutral',128,35,180),
 (3682,2,0,'object/mobile/rancor.iff',0,0,0,0,-2107,0,3204.72,50,'neutral',128,35,180),
 (3683,2,0,'object/mobile/rancor.iff',0,0,0,0,-2075,0,3876,50,'neutral',128,35,180),
 (3684,2,0,'object/mobile/rancor.iff',0,0,0,0,-2120.93,0,2622.01,50,'neutral',128,35,180),
 (3685,2,0,'object/mobile/rancor.iff',0,0,0,0,-1520.72,0,2384.1,50,'neutral',128,35,180),
 (3686,2,0,'object/mobile/rancor.iff',0,0,0,0,-1625.15,0,3000.83,50,'neutral',128,35,180),
 (3687,2,0,'object/mobile/rancor.iff',0,0,0,0,-2086.39,0,3038.6,50,'neutral',128,35,180),
 (3688,2,0,'object/mobile/rancor.iff',0,0,0,0,-2642.22,0,3176.73,50,'neutral',128,35,180),
 (3689,2,0,'object/mobile/rancor.iff',0,0,0,0,-2494.09,0,3723.83,50,'neutral',128,35,180),
 (3690,2,0,'object/mobile/rancor.iff',0,0,0,0,-1978.5,0,3565,50,'neutral',128,35,180),
 (3691,2,0,'object/mobile/rancor.iff',0,0,0,0,-1847.99,0,2585.13,50,'neutral',128,35,180),
 (3692,2,0,'object/mobile/rancor.iff',0,0,0,0,-2840.88,0,3160.37,50,'neutral',128,35,180),
 (3693,2,0,'object/mobile/rancor.iff',0,0,0,0,-1781.98,0,3598.2,50,'neutral',128,35,180),
 (3694,2,0,'object/mobile/rancor.iff',0,0,0,0,-2684.35,0,3298.93,50,'neutral',128,35,180),
 (3695,2,0,'object/mobile/rancor.iff',0,0,0,0,-2714.03,0,3248.21,50,'neutral',128,35,180),
 (3696,2,0,'object/mobile/rancor.iff',0,0,0,0,-1962.74,0,3399.14,50,'neutral',128,35,180),
 (3697,2,0,'object/mobile/rancor.iff',0,0,0,0,-1731.74,0,2765.77,50,'neutral',128,35,180),
 (3698,2,0,'object/mobile/rancor.iff',0,0,0,0,-2138.72,0,3245.12,50,'neutral',128,35,180),
 (3699,2,0,'object/mobile/rancor.iff',0,0,0,0,-2070.92,0,3224.89,50,'neutral',128,35,180),
 (3700,2,0,'object/mobile/rancor.iff',0,0,0,0,-2132.9,0,3075.5,50,'neutral',128,35,180),
 (3701,2,0,'object/mobile/rancor.iff',0,0,0,0,-1484.44,0,3219.51,50,'neutral',128,35,180),
 (3702,2,0,'object/mobile/rancor.iff',0,0,0,0,-2768.14,0,2852.78,50,'neutral',128,35,180),
 (3703,2,0,'object/mobile/rancor.iff',0,0,0,0,-2091.37,0,3093.45,50,'neutral',128,35,180),
 (3704,2,0,'object/mobile/rancor.iff',0,0,0,0,-2096.98,0,3194.13,50,'neutral',128,35,180),
 (3705,2,0,'object/mobile/rancor.iff',0,0,0,0,-2019.08,0,2614.93,50,'neutral',128,35,180),
 (3706,2,0,'object/mobile/rancor.iff',0,0,0,0,-2650.68,0,3217.68,50,'neutral',128,35,180),
 (3707,2,0,'object/mobile/rancor.iff',0,0,0,0,-1458.9,0,3907.83,50,'neutral',128,35,180),
 (3708,2,0,'object/mobile/rancor.iff',0,0,0,0,-2246.5,0,3391.93,50,'neutral',128,35,180),
 (3709,2,0,'object/mobile/rancor.iff',0,0,0,0,-2877.58,0,3062.65,50,'neutral',128,35,180),
 (3710,2,0,'object/mobile/rancor.iff',0,0,0,0,-1191.12,0,2696.64,50,'neutral',128,35,180),
 (3711,2,0,'object/mobile/rancor.iff',0,0,0,0,-2178.28,0,3178.58,50,'neutral',128,35,180),
 (3712,2,0,'object/mobile/rancor.iff',0,0,0,0,-2108.66,0,3467.24,50,'neutral',128,35,180),
 (3713,2,0,'object/mobile/rancor.iff',0,0,0,0,-2520.39,0,2731.66,50,'neutral',128,35,180),
 (3714,2,0,'object/mobile/rancor.iff',0,0,0,0,-2873.31,0,3469.54,50,'neutral',128,35,180),
 (3715,2,0,'object/mobile/rancor.iff',0,0,0,0,-2107.04,0,3071.52,50,'neutral',128,35,180),
 (3716,2,0,'object/mobile/rancor.iff',0,0,0,0,-1404.51,0,2929.14,50,'neutral',128,35,180),
 (3717,2,0,'object/mobile/rancor.iff',0,0,0,0,-2309.26,0,2687.24,50,'neutral',128,35,180),
 (3718,2,0,'object/mobile/rancor.iff',0,0,0,0,-2442.05,0,3245.35,50,'neutral',128,35,180),
 (3719,2,0,'object/mobile/rancor.iff',0,0,0,0,-2773.36,0,2806.39,50,'neutral',128,35,180),
 (3720,2,0,'object/mobile/rancor.iff',0,0,0,0,-2383.14,0,3290.69,50,'neutral',128,35,180),
 (3721,2,0,'object/mobile/rancor.iff',0,0,0,0,-2416.64,0,3992.59,50,'neutral',128,35,180),
 (3722,2,0,'object/mobile/rancor.iff',0,0,0,0,-1683.56,0,2921,50,'neutral',128,35,180),
 (3723,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1953.2,0,3044.8,65,'neutral',128,35,180),
 (3724,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2075,0,2903,65,'neutral',128,35,180),
 (3725,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1710.99,0,3324.54,65,'neutral',128,35,180),
 (3726,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2326.57,0,3336.57,65,'neutral',128,35,180),
 (3727,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1998.87,0,2755.33,65,'neutral',128,35,180),
 (3728,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1939.68,0,2946.37,65,'neutral',128,35,180),
 (3729,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2098.8,0,3316.34,65,'neutral',128,35,180),
 (3730,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2125.11,0,3719.81,65,'neutral',128,35,180),
 (3731,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2161.32,0,3242.87,65,'neutral',128,35,180),
 (3732,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2088.39,0,3124.71,65,'neutral',128,35,180),
 (3733,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2083.9,0,3074.54,65,'neutral',128,35,180),
 (3734,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2234.81,0,3231.97,65,'neutral',128,35,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (3735,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1666.1,0,2838.87,65,'neutral',128,35,180),
 (3736,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2153.67,0,3049.86,65,'neutral',128,35,180),
 (3737,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2051.49,0,2810.82,65,'neutral',128,35,180),
 (3738,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2288.5,0,2818.24,65,'neutral',128,35,180),
 (3739,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1963.32,0,2927.81,65,'neutral',128,35,180),
 (3740,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1572.73,0,3339.8,65,'neutral',128,35,180),
 (3741,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-1840.99,0,3287.61,65,'neutral',128,35,180),
 (3742,2,0,'object/mobile/bull_rancor.iff',0,0,0,0,-2534.13,0,3391.13,65,'neutral',128,35,180),
 (3743,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1996.01,0,3220.66,75,'neutral',128,35,180),
 (3744,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2094.13,0,3302.83,75,'neutral',128,35,180),
 (3745,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2276.4,0,3077.65,75,'neutral',128,35,180),
 (3746,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2291.3,0,3444.72,75,'neutral',128,35,180),
 (3747,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2075.21,0,3141,75,'neutral',128,35,180),
 (3748,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1890.64,0,3101.03,75,'neutral',128,35,180),
 (3749,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1971.95,0,3261.44,75,'neutral',128,35,180),
 (3750,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2072.97,0,3134.16,75,'neutral',128,35,180),
 (3751,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2060.45,0,3313.36,75,'neutral',128,35,180),
 (3752,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2047.1,0,3546.03,75,'neutral',128,35,180),
 (3753,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1719.43,0,3090.68,75,'neutral',128,35,180),
 (3754,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2263.68,0,2887.31,75,'neutral',128,35,180),
 (3755,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2176.78,0,3412.14,75,'neutral',128,35,180),
 (3756,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2126.11,0,2998.55,75,'neutral',128,35,180),
 (3757,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2050.28,0,3188.14,75,'neutral',128,35,180),
 (3758,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2080.91,0,3259.85,75,'neutral',128,35,180),
 (3759,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2236.64,0,3282.63,75,'neutral',128,35,180),
 (3760,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2251.99,0,2814.13,75,'neutral',128,35,180),
 (3761,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2065.66,0,3150.58,75,'neutral',128,35,180),
 (3762,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1872.99,0,2897.54,75,'neutral',128,35,180),
 (3763,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1754.43,0,3221.01,75,'neutral',128,35,180),
 (3764,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2085.64,0,3214.16,75,'neutral',128,35,180),
 (3765,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2069.21,0,3167.19,75,'neutral',128,35,180),
 (3766,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2020.3,0,3315.34,75,'neutral',128,35,180),
 (3767,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2246.78,0,3180.39,75,'neutral',128,35,180),
 (3768,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2240.97,0,3214.05,75,'neutral',128,35,180),
 (3769,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2094.06,0,3178.72,75,'neutral',128,35,180),
 (3770,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2075,0,3404,75,'neutral',128,35,180),
 (3771,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1964.19,0,2784.56,75,'neutral',128,35,180),
 (3772,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1698.41,0,3227.05,75,'neutral',128,35,180),
 (3773,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1969.03,0,3194.18,75,'neutral',128,35,180),
 (3774,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2068.65,0,3328.89,75,'neutral',128,35,180),
 (3775,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1931.6,0,2809.17,75,'neutral',128,35,180),
 (3776,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2350.02,0,3361.87,75,'neutral',128,35,180),
 (3777,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1979.5,0,3108.42,75,'neutral',128,35,180),
 (3778,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2258.56,0,2801.77,75,'neutral',128,35,180),
 (3779,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1739.48,0,3325.4,75,'neutral',128,35,180),
 (3780,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2004.81,0,3236.83,75,'neutral',128,35,180),
 (3781,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1937.02,0,3144.59,75,'neutral',128,35,180),
 (3782,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2107.65,0,2961.86,75,'neutral',128,35,180),
 (3783,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2062.41,0,3082.21,75,'neutral',128,35,180),
 (3784,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2034.71,0,3122.79,75,'neutral',128,35,180),
 (3785,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2077.3,0,3212.96,75,'neutral',128,35,180),
 (3786,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2074.27,0,3126.01,75,'neutral',128,35,180),
 (3787,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1832.16,0,3350.76,75,'neutral',128,35,180),
 (3788,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2004.39,0,3154.42,75,'neutral',128,35,180),
 (3789,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-1984.91,0,3196.94,75,'neutral',128,35,180),
 (3790,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2319.16,0,2885.18,75,'neutral',128,35,180),
 (3791,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2070.01,0,3156.8,75,'neutral',128,35,180),
 (3792,2,0,'object/mobile/mutant_rancor.iff',0,0,0,0,-2070.99,0,3101.18,75,'neutral',128,35,180),
 (3793,2,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0.404186,0,0.914677,-37.0445,18,-1587.75,15,'calm',264,0,60),
 (3794,2,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.999999,0,0.00135513,-78.5124,18,-1618.16,15,'calm',264,0,60),
 (3795,2,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.868612,0,-0.495493,-98.9262,18,-1590.29,15,'calm',264,0,60),
 (3796,2,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,0.529635,0,0.848225,-64.4958,18,-1581.42,15,'calm',264,0,60),
 (3797,2,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,0.912188,0,0.409771,-79.6404,18,-1585.09,15,'calm',264,0,60),
 (3798,2,0,'object/mobile/cll8_binary_load_lifter.iff',0,-0.675039,0,0.737782,-107.307,18,-1603.07,15,'calm',264,0,60),
 (3799,2,0,'object/mobile/r3.iff',0,0.953493,0,0.301414,-78.3142,18,-1629.93,15,'calm',264,0,60),
 (3800,2,0,'object/mobile/r4.iff',0,0.387246,0,0.921976,-134.195,18,-1599.14,15,'calm',264,0,60),
 (3801,2,0,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',0,-0.0865116,0,0.996251,-88.9323,18,-1606.84,15,'calm',264,0,60),
 (3802,2,0,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,-0.146126,0,0.989266,-93.2763,18,-1569.32,15,'calm',264,0,60),
 (3803,2,0,'object/mobile/dressed_combatmedic_trainer_human_female_01.iff',0,0.518905,0,0.854832,-136.034,18,-1592.07,15,'calm',264,0,60),
 (3804,2,2835552,'object/mobile/dressed_criminal_thug_human_female_02.iff',0,0.0867709,0,0.996228,-3.46893,0.624996,-1.80359,15,'calm',264,0,60),
 (3805,2,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,-0.379463,0,0.925207,-70.8878,18,-1646.08,15,'calm',264,0,60),
 (3806,2,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.696083,0,0.717962,-60.7253,18,-1596.21,15,'calm',264,0,60),
 (3807,2,0,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,0.937394,0,-0.34827,-43.9919,18,-1585.86,15,'calm',264,0,60),
 (3808,2,0,'object/mobile/dressed_mercenary_weak_rod_m.iff',0,0.941438,0,-0.337187,-86.3374,18,-1555.75,15,'calm',264,0,60),
 (3809,2,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0.340141,0,0.940374,-100.976,18,-1573.64,15,'calm',264,0,60),
 (3810,2,2835570,'object/mobile/space_rebel_tier3_arnecio.iff',0,0.266731,0,0.963771,4.06465,0.624999,2.34456,15,'neutral',264,0,60),
 (3811,2,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0.801971,0,-0.597363,578.316,6,3092.44,15,'calm',264,0,60),
 (3812,2,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,-0.517058,0,0.855951,559.148,6.05656,3076.83,15,'calm',264,0,60),
 (3813,2,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff',0,-0.0772573,0,0.997011,621.667,6,3092.75,15,'calm',264,0,60),
 (3814,2,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,0.965072,0,0.261985,605.584,6,3080.71,15,'calm',264,0,60),
 (3815,2,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.92513,0,0.379651,616.733,6,3056.95,15,'calm',264,0,60),
 (3816,2,0,'object/mobile/dressed_commoner_naboo_human_female_08.iff',0,0.997976,0,0.0635882,618.605,6,3071.68,15,'calm',264,0,60),
 (3817,2,0,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',0,0.46076,0,0.887525,623.05,6,3037.98,15,'calm',264,0,60),
 (3818,2,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0.645912,0,0.763412,614.681,6,3081.65,15,'calm',264,0,60),
 (3819,2,0,'object/mobile/r4.iff',0,0.995298,0,-0.0968638,620.654,6,3085.98,15,'calm',264,0,60),
 (3820,2,0,'object/mobile/r5.iff',0,-0.652669,0,0.757643,627.744,6,3086.77,15,'calm',264,0,60),
 (3821,2,0,'object/mobile/r4.iff',0,-0.175813,0,0.984424,619.822,6,3097.36,15,'calm',264,0,60),
 (3822,2,0,'object/mobile/dressed_dathomir_nightsister_escaped_slave.iff',0,0,0,0,595.466,0,3045.35,28,'neutral',128,35,180),
 (3823,2,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.86062,0,0.509247,585.943,6,3051.56,15,'calm',264,0,60),
 (3824,2,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0.756932,0,-0.653493,598.679,6,3046.85,15,'calm',264,0,60),
 (3825,2,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.442965,0,0.896539,577.196,6,3100.6,15,'calm',264,0,60),
 (3826,2,0,'object/mobile/dressed_commoner_naboo_moncal_female_02.iff',0,0.94629,0,-0.32332,585.757,6,3072.92,15,'calm',264,0,60),
 (3827,2,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0.740099,0,-0.672498,590.176,6,3058.45,15,'calm',264,0,60),
 (3828,2,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0.99995,0,-0.00995803,594.44,6,3087.13,15,'calm',264,0,60),
 (3829,2,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',-2.11721e-06,-0.0015543,0.00136252,0.999998,611.089,6,3084.06,15,'calm',264,0,60),
 (3830,2,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,0.801766,0,-0.597638,584.255,6,3094.17,15,'calm',264,0,60),
 (3831,2,0,'object/mobile/dressed_mercenary_messanger_hum_f.iff',0,-0.614004,0,0.789303,566.589,6,3070.58,15,'calm',264,0,60),
 (3832,2,6955370,'object/mobile/dressed_mercenary_medic_rodian_female_01.iff',0,0.911135,0,-0.412108,8.38532,0.625,-5.44432,15,'calm',264,0,60),
 (3833,2,6955368,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.97372,0,0.227749,-8.09806,0.625,4.31086,15,'calm',264,0,60),
 (3834,2,6955367,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,0.987588,0,-0.157069,6.94935,0.624998,2.6394,15,'calm',264,0,60),
 (3835,2,6955369,'object/mobile/space_privateer_tier4_tatooine_nirame.iff',0,0.20846,0,0.978031,-2.1912,0.624999,-6.92293,15,'neutral',264,0,60),
 (3836,2,1392894,'object/mobile/dressed_noble_bothan_female_01.iff',0,-0.647283,0,0.76225,3.00888,0.125266,-2.92449,15,'calm',264,0,60),
 (3837,2,0,'object/mobile/dressed_sith_shadow_hum_m_02.iff',0,0,0,0,5296.85,0,-4101.96,101,'neutral',128,35,180),
 (3838,2,0,'object/mobile/dressed_sith_shadow_hum_m_02.iff',0,0,0,0,5336.53,0,-4125.92,101,'neutral',128,35,180),
 (3839,2,0,'object/mobile/dressed_sith_shadow_hum_m_02.iff',0,0,0,0,5287.89,0,-4129.25,101,'neutral',128,35,180),
 (3840,2,0,'object/mobile/dressed_sith_shadow_hum_m_02.iff',0,0,0,0,5281.46,0,-4175.31,101,'neutral',128,35,180),
 (3841,2,0,'object/mobile/dressed_sith_shadow_hum_m_02.iff',0,0,0,0,5273.03,0,-4161.8,101,'neutral',128,35,180),
 (3842,2,0,'object/mobile/dressed_sith_shadow_hum_m_02.iff',0,0,0,0,5327.67,0,-4173.75,101,'neutral',128,35,180),
 (3843,2,0,'object/mobile/dressed_sith_shadow_trn_m_01.iff',0,0,0,0,5230.41,0,-4159.69,101,'neutral',128,35,180),
 (3844,2,0,'object/mobile/dressed_sith_shadow_trn_m_01.iff',0,0,0,0,5228.45,0,-4129.93,101,'neutral',128,35,180),
 (3845,2,0,'object/mobile/dressed_sith_shadow_trn_m_01.iff',0,0,0,0,5326.85,0,-4154.72,101,'neutral',128,35,180),
 (3846,2,0,'object/mobile/dressed_sith_shadow_trn_m_01.iff',0,0,0,0,5308.58,0,-4149.29,101,'neutral',128,35,180),
 (3847,2,0,'object/mobile/dressed_sith_shadow_trn_m_01.iff',0,0,0,0,5391.36,0,-4134.52,101,'neutral',128,35,180),
 (3848,3,0,'object/mobile/gorax.iff',0,0,0,0,4995.56,0,6996.79,300,'neutral',128,35,43200),
 (3849,3,0,'object/mobile/gorax.iff',0,0,0,0,5938.64,0,7669.98,300,'neutral',128,35,43200),
 (3850,3,0,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',0,-0.0259779,0,0.999663,3267.14,24,-3457.08,15,'calm',264,0,60),
 (3851,3,0,'object/mobile/dressed_rebel_commando_human_male_01.iff',0,-0.00803899,0,0.999968,3267.17,24,-3457.15,15,'calm',264,0,60),
 (3852,3,0,'object/mobile/dressed_mercenary_messanger_hum_f.iff',0,-0.0188615,0,0.999822,3267.15,24,-3457.11,15,'calm',264,0,60),
 (3853,3,0,'object/mobile/cll8_binary_load_lifter.iff',0,-0.252554,0,0.967583,3250.85,24,-3463.83,15,'calm',264,0,60),
 (3854,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',-0.0219161,0.354279,-0.0220622,0.934623,3212.71,24.5,-3452.25,15,'calm',264,0,60),
 (3855,3,0,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,-0.326339,0,0.945253,3239.41,24,-3432.75,15,'calm',264,0,60),
 (3856,3,0,'object/mobile/dressed_noble_human_male_02.iff',0,0.135589,0,0.990765,3228.48,24,-3510.48,15,'calm',264,0,60),
 (3857,3,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,-0.575849,0,0.817556,3270.48,24,-3452.45,15,'calm',264,0,60),
 (3858,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,0.246084,0,0.969248,3246.59,24,-3500.57,15,'calm',264,0,60),
 (3859,3,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.947755,0,-0.318999,3209.65,24,-3493.64,15,'calm',264,0,60),
 (3860,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.990588,0,-0.136881,3255.57,24,-3483.66,15,'calm',264,0,60),
 (3861,3,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,-0.104038,0,0.994573,3201.34,24,-3509.29,15,'calm',264,0,60),
 (3862,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0.809878,0,-0.586599,3221.86,24,-3473.87,15,'calm',264,0,60),
 (3863,3,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,-0.0285365,0,0.999593,3267.14,24,-3457.08,15,'calm',264,0,60),
 (3864,3,0,'object/mobile/dressed_rebel_commando_twilek_female_01.iff',0,-0.000998857,0,0.999999,3196.77,24,-3483.16,15,'calm',264,0,60),
 (3865,3,0,'object/mobile/r5.iff',0,0.999978,0,-0.00668272,3249.85,24,-3464.83,15,'calm',264,0,60),
 (3866,3,0,'object/mobile/r3.iff',0,0.743813,0,-0.668387,3250.85,24,-3464.83,15,'calm',264,0,60),
 (3867,3,3605972,'object/mobile/dressed_villain_trandoshan_male_01.iff',0,0.985193,0,0.171449,4.60144,0.125266,3.19878,15,'calm',264,0,60),
 (3868,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.979882,0,0.199576,3175.37,24,-3490.78,15,'calm',264,0,60),
 (3869,3,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,0.784601,0,-0.620001,3190.35,24,-3434.93,15,'calm',264,0,60),
 (3870,3,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.997779,0,-0.0666138,3176.73,24,-3512.02,15,'calm',264,0,60),
 (3871,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,-0.657197,0,0.753719,3188.73,24,-3482.54,15,'calm',264,0,60),
 (3872,3,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0.996394,0,-0.0848453,3186.49,24,-3459.94,15,'calm',264,0,60),
 (3873,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,0.989345,0,-0.145587,3171.1,24,-3504.6,15,'calm',264,0,60),
 (3874,3,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,-0.319384,0,0.947625,3246.28,24,-3492.11,15,'calm',264,0,60),
 (3875,3,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,-0.323832,0,0.946115,3271.4,24,-3502.14,15,'calm',264,0,60),
 (3876,3,9925367,'object/mobile/space_imperial_tier4_tatooine_kilnstrider.iff',0,-0.247404,0,0.968912,-3.44448,0.624999,-6.82681,15,'npc_imperial',264,0,60),
 (3877,3,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,0.998924,0,-0.0463663,3272.55,24,-3438.99,15,'calm',264,0,60),
 (3878,3,0,'object/mobile/dressed_criminal_assassin_human_female_01.iff',0,0.803054,0,-0.595906,-890.91,76,1591.38,15,'calm',264,0,60),
 (3879,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,-0.231241,0,0.972897,-838.625,76,1574.97,15,'calm',264,0,60),
 (3880,3,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,0.999166,0,-0.040835,-864.293,79.5001,1598.78,15,'calm',264,0,60),
 (3881,3,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,-0.338799,0,0.940859,-828.009,76,1573.28,15,'calm',264,0,60),
 (3882,3,0,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,0.861699,0,-0.507419,-841.483,79.5144,1602.34,15,'calm',264,0,60),
 (3883,3,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0.871194,0,-0.490938,-851.058,80.0739,1555.56,15,'calm',264,0,60),
 (3884,3,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,0.670323,0,0.742069,-875.462,80.0597,1571.89,15,'calm',264,0,60),
 (3885,3,0,'object/mobile/dressed_commoner_naboo_moncal_male_01.iff',0,0.262322,0,0.96498,-880.276,76,1604.61,15,'calm',264,0,60),
 (3886,3,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,-0.687322,0,0.726353,-880.194,76,1624.44,15,'calm',264,0,60),
 (3887,3,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff',0,0.0972568,0,0.995259,-880.718,76,1638.25,15,'calm',264,0,60),
 (3888,3,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.851193,0,-0.524853,-896.026,80,1621.19,15,'calm',264,0,60),
 (3889,3,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.80802,0,0.589155,-899.977,78,1548.09,15,'calm',264,0,60),
 (3890,3,0,'object/mobile/dressed_mercenary_medic_rodian_female_01.iff',0,0.810805,0,0.585316,-874.656,80,1564.76,15,'calm',264,0,60),
 (3891,3,0,'object/mobile/dressed_noble_human_female_02.iff',0,0.742462,0,0.669888,-829.243,76,1567.61,15,'calm',264,0,60),
 (3892,3,0,'object/mobile/dressed_hutt_medic2_twilek_male_01.iff',0,0.988511,0,-0.151151,-845.301,79.5,1599.49,15,'calm',264,0,60),
 (3893,3,0,'object/mobile/r3.iff',0,-0.243912,0,0.969797,-950.705,73,1542.69,15,'calm',264,0,60),
 (3894,3,0,'object/mobile/dressed_criminal_slicer_human_female_01.iff',0,0.999713,0,-0.023974,-889.786,76,1591.32,15,'calm',264,0,60),
 (3895,3,0,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,-0.342799,0,0.939409,-889.732,76,1592.45,15,'calm',264,0,60),
 (3896,3,6016546,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,0.939983,-2.65303,2.02839,42,'neutral',128,35,300),
 (3897,3,6016546,'object/mobile/jinda_male.iff',0,0,0,0,0.683527,-13.2554,-16.7908,20,'neutral',128,35,300),
 (3898,3,6016547,'object/mobile/jinda_male.iff',0,0,0,0,-25.7053,-21.3242,-32.1584,20,'neutral',128,35,300),
 (3899,3,6016547,'object/mobile/jinda_male.iff',0,0,0,0,-22.61,-21.7201,-34.5165,20,'neutral',128,35,300),
 (3900,3,6016547,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-24.8564,-20.8335,-27.578,42,'neutral',128,35,300),
 (3901,3,6016547,'object/mobile/jinda_male.iff',0,0,0,0,-40.0823,-23.9552,-27.3109,20,'neutral',128,35,300),
 (3902,3,6016547,'object/mobile/jinda_male.iff',0,0,0,0,-42.6608,-25.5789,-24.2368,20,'neutral',128,35,300),
 (3903,3,6016547,'object/mobile/jinda_male.iff',0,0,0,0,-38.6084,-23.0843,-28.446,27,'neutral',128,35,300),
 (3904,3,6016549,'object/mobile/jinda_male.iff',0,0,0,0,-70.8691,-38.6993,-17.455,20,'neutral',128,35,300),
 (3905,3,6016549,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-55.3609,-33.7687,-21.377,42,'neutral',128,35,300),
 (3906,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-64.9633,-38.96,-42.593,32,'neutral',128,35,300),
 (3907,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-61.645,-38.7154,-71.5987,32,'neutral',128,35,300),
 (3908,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-62.6846,-38.6392,-74.5007,35,'neutral',128,35,300),
 (3909,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-66.1253,-38.6627,-75.2077,27,'neutral',128,35,300),
 (3910,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-65.1352,-38.7564,-70.2886,27,'neutral',128,35,300),
 (3911,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-67.2023,-38.7881,-70.354,20,'neutral',128,35,300),
 (3912,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-68.3373,-38.8005,-75.3304,20,'neutral',128,35,300),
 (3913,3,6016551,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-97.9566,-42.8849,-66.0983,42,'neutral',128,35,300),
 (3914,3,6016551,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-111.28,-43.0531,-54.2353,42,'neutral',128,35,300),
 (3915,3,6016551,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-141.184,-41.6273,-63.4313,42,'neutral',128,35,300),
 (3916,3,6016553,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-140.477,-41.7904,-47.5108,42,'neutral',128,35,300),
 (3917,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-159.481,-41.4291,-64.0015,20,'neutral',128,35,300),
 (3918,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-160.91,-41.5893,-64.2083,35,'neutral',128,35,300),
 (3919,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-174.893,-41.7769,-61.2116,20,'neutral',128,35,300),
 (3920,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-176.664,-41.5098,-60.4478,27,'neutral',128,35,300),
 (3921,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-174.22,-42.046,-66.1061,20,'neutral',128,35,300),
 (3922,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-176.033,-41.7663,-66.6647,27,'neutral',128,35,300),
 (3923,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-174.6,-41.6946,-72.461,27,'neutral',128,35,300),
 (3924,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-176.677,-41.481,-72.1429,35,'neutral',128,35,300),
 (3925,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-162.437,-41.7227,-71.6303,20,'neutral',128,35,300),
 (3926,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-162.363,-41.6863,-71.3353,27,'neutral',128,35,300),
 (3927,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-159.568,-41.966,-79.8734,20,'neutral',128,35,300),
 (3928,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-161.948,-41.9362,-79.7384,27,'neutral',128,35,300),
 (3929,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-159.431,-41.9326,-84.9003,35,'neutral',128,35,300),
 (3930,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-161.745,-41.6884,-85.2166,27,'neutral',128,35,300),
 (3931,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-177.572,-41.5902,-83.9125,27,'neutral',128,35,300),
 (3932,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-175.607,-41.6597,-83.6359,35,'neutral',128,35,300),
 (3933,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-175.101,-41.6922,-90.3555,35,'neutral',128,35,300),
 (3934,3,6016555,'object/mobile/jinda_male.iff',0,0,0,0,-176.904,-41.5528,-89.7063,27,'neutral',128,35,300),
 (3935,3,6016557,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-177.231,-45.536,-114.886,42,'neutral',128,35,300),
 (3936,3,6016557,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-172.935,-46.2123,-117.457,42,'neutral',128,35,300),
 (3937,3,6016557,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-145.656,-45.7544,-118.35,42,'neutral',128,35,300),
 (3938,3,6016557,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-144.957,-45.9909,-119.376,42,'neutral',128,35,300),
 (3939,3,6016556,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-144.885,-46.0273,-81.2263,42,'neutral',128,35,300),
 (3940,3,6016556,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-142.994,-46.0372,-80.4746,42,'neutral',128,35,300),
 (3941,3,6016556,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-143.24,-45.9093,-83.2688,42,'neutral',128,35,300),
 (3942,3,6016556,'object/mobile/jinda_male.iff',0,0,0,0,-120.065,-45.7974,-78.8997,35,'neutral',128,35,300),
 (3943,3,6016556,'object/mobile/jinda_male.iff',0,0,0,0,-120.324,-45.8279,-80.0533,27,'neutral',128,35,300),
 (3944,3,6016556,'object/mobile/jinda_male.iff',0,0,0,0,-112.772,-46.2257,-78.152,35,'neutral',128,35,300),
 (3945,3,6016556,'object/mobile/jinda_male.iff',0,0,0,0,-112.639,-46.3686,-80.3051,27,'neutral',128,35,300),
 (3946,3,6016556,'object/mobile/jinda_male.iff',0,0,0,0,-105.204,-46.4669,-78.6118,35,'neutral',128,35,300),
 (3947,3,6016556,'object/mobile/jinda_male.iff',0,0,0,0,-105.204,-46.4671,-78.6137,27,'neutral',128,35,300),
 (3948,3,6016556,'object/mobile/jinda_male.iff',0,0,0,0,-99.418,-47.0876,-81.2685,32,'neutral',128,35,300),
 (3949,3,6016559,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-80.2376,-49.5953,-80.1968,42,'neutral',128,35,300),
 (3950,3,6016559,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-80.5704,-50.0172,-41.4945,42,'neutral',128,35,300),
 (3951,3,6016559,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-83.2952,-49.5299,-42.6872,42,'neutral',128,35,300),
 (3952,3,6016561,'object/mobile/jinda_male.iff',0,0,0,0,-109.901,-49.9726,-26.6428,35,'neutral',128,35,300),
 (3953,3,6016561,'object/mobile/jinda_male.iff',0,0,0,0,-109.801,-49.5651,-24.8313,35,'neutral',128,35,300),
 (3954,3,6016561,'object/mobile/jinda_male.iff',0,0,0,0,-117.207,-49.9512,-25.5567,35,'neutral',128,35,300),
 (3955,3,6016561,'object/mobile/jinda_male.iff',0,0,0,0,-116.868,-49.8382,-24.1097,35,'neutral',128,35,300),
 (3956,3,6016561,'object/mobile/jinda_male.iff',0,0,0,0,-113.174,-49.2625,-37.3652,35,'neutral',128,35,300),
 (3957,3,6016561,'object/mobile/jinda_male.iff',0,0,0,0,-113.481,-49.8426,-34.5599,32,'neutral',128,35,300),
 (3958,3,6016563,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-132.624,-49.5343,-24.8964,42,'neutral',128,35,300),
 (3959,3,6016562,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-109.437,-35.4539,-10.2736,42,'neutral',128,35,300),
 (3960,3,6016561,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-103.513,-34.0908,-26.6999,42,'neutral',128,35,300),
 (3961,3,6016551,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-104.098,-27.9014,-65.8256,42,'neutral',128,35,300),
 (3962,3,6016551,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-125.835,-25.7018,-65.627,42,'neutral',128,35,300),
 (3963,3,6016556,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-128.253,-30.1308,-79.498,42,'neutral',128,35,300),
 (3964,3,6016556,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-105.572,-30.8874,-81.7088,42,'neutral',128,35,300),
 (3965,3,6016554,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-104.363,-30.1472,-121.899,42,'neutral',128,35,300),
 (3966,3,6016554,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-72.3321,-30.0052,-118.173,42,'neutral',128,35,300),
 (3967,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-62.2116,-22.1525,-72.1706,20,'neutral',128,35,300),
 (3968,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-62.7561,-23.044,-62.2603,32,'neutral',128,35,300),
 (3969,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-63.1364,-23.1532,-56.7498,27,'neutral',128,35,300),
 (3970,3,6016550,'object/mobile/jinda_male.iff',0,0,0,0,-63.109,-22.4321,-47.8636,35,'neutral',128,35,300),
 (3971,3,6016550,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-82.7456,-22.6924,-41.0614,42,'neutral',128,35,300),
 (3972,3,6016550,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-76.8253,-22.2398,-39.5508,42,'neutral',128,35,300),
 (3973,3,6016550,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-76.6084,-22.166,-43.7455,42,'neutral',128,35,300),
 (3974,3,6016548,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-46.3359,-21.8832,-47.4635,42,'neutral',128,35,300),
 (3975,3,6016548,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-31.3905,-21.7872,-47.9377,42,'neutral',128,35,300),
 (3976,3,6016547,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-8.7213,-22.2528,-49.9368,42,'neutral',128,35,300),
 (3977,3,6016547,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-6.87317,-22.35,-46.804,42,'neutral',128,35,300),
 (3978,3,6016547,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-7.24201,-22.1706,-43.9831,42,'neutral',128,35,300),
 (3979,3,6016564,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,20.2445,-19.1579,-38.6871,42,'neutral',128,35,300),
 (3980,3,6016565,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,14.5748,-27.5244,-74.3206,42,'neutral',128,35,300),
 (3981,3,6016565,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,10.2626,-27.8152,-79.3029,42,'neutral',128,35,300),
 (3982,3,6016565,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-17.0469,-27.0252,-75.2354,42,'neutral',128,35,300),
 (3983,3,6016565,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-16.2906,-26.9693,-73.4294,42,'neutral',128,35,300),
 (3984,3,6016565,'object/mobile/jinda_male.iff',0,0,0,0,-13.699,-26.7286,-65.0324,32,'neutral',128,35,300),
 (3985,3,6016565,'object/mobile/jinda_male.iff',0,0,0,0,-18.2185,-26.8074,-65.4718,32,'neutral',128,35,300),
 (3986,3,6016566,'object/mobile/jinda_male.iff',0,0,0,0,-23.0347,-26.9664,-64.52,32,'neutral',128,35,300),
 (3987,3,6016566,'object/mobile/jinda_male.iff',0,0,0,0,-28.1126,-27.4764,-65.0334,32,'neutral',128,35,300),
 (3988,3,6016566,'object/mobile/jinda_male.iff',0,0,0,0,-32.0436,-27.1928,-64.3814,35,'neutral',128,35,300),
 (3989,3,6016567,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-17.0152,-36.1279,-99.2899,42,'neutral',128,35,300),
 (3990,3,6016567,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-13.9502,-35.8365,-96.3397,42,'neutral',128,35,300),
 (3991,3,6016567,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-14.6271,-35.7916,-93.3594,42,'neutral',128,35,300),
 (3992,3,6016567,'object/mobile/jinda_male.iff',0,0,0,0,-39.7901,-37.1278,-107.52,20,'neutral',128,35,300),
 (3993,3,6016567,'object/mobile/jinda_male.iff',0,0,0,0,-43.1851,-38.3342,-105.13,20,'neutral',128,35,300),
 (3994,3,6016567,'object/mobile/jinda_male.iff',0,0,0,0,-38.4716,-37.189,-102.599,20,'neutral',128,35,300),
 (3995,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-68.9432,-45.6621,-114.68,27,'neutral',128,35,300),
 (3996,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-69.1923,-45.7269,-111.995,27,'neutral',128,35,300),
 (3997,3,6016554,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-87.5881,-45.8151,-112.859,42,'neutral',128,35,300),
 (3998,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-112.675,-46.0246,-113.975,27,'neutral',128,35,300),
 (3999,3,6016568,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-127.493,-46.1776,-115.062,42,'neutral',128,35,300),
 (4000,3,6016569,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-126.523,-52.0842,-133.845,42,'neutral',128,35,300),
 (4001,3,6016569,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-104.15,-58.9728,-134.684,42,'neutral',128,35,300),
 (4002,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-111.194,-61.7564,-110.954,20,'neutral',128,35,300),
 (4003,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-111.153,-61.7169,-116.466,20,'neutral',128,35,300),
 (4004,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-104.942,-61.4931,-103.679,35,'neutral',128,35,300),
 (4005,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-101.925,-61.8172,-103.697,35,'neutral',128,35,300),
 (4006,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-95.718,-62.6676,-103.762,20,'neutral',128,35,300),
 (4007,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-89.4348,-63.5316,-104.661,41,'neutral',128,35,300),
 (4008,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-78.9346,-63.7655,-107.365,41,'neutral',128,35,300),
 (4009,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-73.6896,-62.9087,-107.347,41,'neutral',128,35,300),
 (4010,3,6016554,'object/mobile/jinda_male.iff',0,0,0,0,-72.438,-62.9307,-117.067,41,'neutral',128,35,300),
 (4011,3,6016570,'object/mobile/jinda_male.iff',0,0,0,0,-69.2499,-59.3124,-137.899,35,'neutral',128,35,300),
 (4012,3,6016570,'object/mobile/jinda_male.iff',0,0,0,0,-61.5749,-57.8598,-139.613,35,'neutral',128,35,300),
 (4013,3,6016573,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-62.2113,-57.9028,-149.454,42,'neutral',128,35,300),
 (4014,3,6016573,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-67.3508,-57.4495,-148.259,42,'neutral',128,35,300),
 (4015,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-45.6513,-58.7774,-158.103,35,'neutral',128,35,300),
 (4016,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-44.5009,-58.7586,-160.224,35,'neutral',128,35,300),
 (4017,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-47.9212,-58.4927,-158.89,32,'neutral',128,35,300),
 (4018,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-79.5694,-57.1177,-160.041,32,'neutral',128,35,300),
 (4019,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-84.0273,-58.0529,-160.58,35,'neutral',128,35,300),
 (4020,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-82.6307,-57.4822,-156.457,35,'neutral',128,35,300),
 (4021,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-79.922,-57.9426,-182.403,35,'neutral',128,35,300),
 (4022,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-81.7037,-58.2538,-185.566,35,'neutral',128,35,300),
 (4023,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-53.0416,-58.6482,-181.282,35,'neutral',128,35,300),
 (4024,3,6016573,'object/mobile/jinda_male.iff',0,0,0,0,-53.2224,-58.2365,-185.698,32,'neutral',128,35,300),
 (4025,3,6016574,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-52.3231,-58.3154,-204.016,42,'neutral',128,35,300),
 (4026,3,6016574,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-54.9541,-58.4367,-203.555,42,'neutral',128,35,300),
 (4027,3,6016574,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-55.8954,-58.4647,-203.491,42,'neutral',128,35,300),
 (4028,3,6016574,'object/mobile/jinda_male.iff',0,0,0,0,-58.661,-58.2662,-235.265,41,'neutral',128,35,300),
 (4029,3,6016574,'object/mobile/jinda_male.iff',0,0,0,0,-60.4115,-58.3761,-238.001,35,'neutral',128,35,300),
 (4030,3,6016574,'object/mobile/jinda_male.iff',0,0,0,0,-53.897,-57.9082,-238.131,35,'neutral',128,35,300),
 (4031,3,6016574,'object/mobile/jinda_male.iff',0,0,0,0,-52.3294,-57.7847,-236.073,35,'neutral',128,35,300),
 (4032,3,6016574,'object/mobile/jinda_male.iff',0,0,0,0,-65.7892,-57.7171,-234.584,32,'neutral',128,35,300),
 (4033,3,6016574,'object/mobile/jinda_male.iff',0,0,0,0,-65.3978,-57.019,-231.918,32,'neutral',128,35,300),
 (4034,3,6016570,'object/mobile/jinda_male.iff',0,0,0,0,-47.3137,-61.1722,-127.351,35,'neutral',128,35,300),
 (4035,3,6016570,'object/mobile/jinda_male.iff',0,0,0,0,-48.2398,-61.315,-116.156,35,'neutral',128,35,300),
 (4036,3,6016567,'object/mobile/jinda_male.iff',0,0,0,0,-30.7899,-59.808,-108.527,32,'neutral',128,35,300),
 (4037,3,6016571,'object/mobile/jinda_male.iff',0,0,0,0,-19.7515,-59.991,-112.453,32,'neutral',128,35,300),
 (4038,3,6016571,'object/mobile/jinda_male.iff',0,0,0,0,-4.81989,-62.1379,-113.691,32,'neutral',128,35,300),
 (4039,3,6016571,'object/mobile/jinda_male.iff',0,0,0,0,-1.17319,-62.947,-114.049,35,'neutral',128,35,300),
 (4040,3,6016571,'object/mobile/jinda_male.iff',0,0,0,0,8.02573,-63.741,-106.214,35,'neutral',128,35,300),
 (4041,3,6016571,'object/mobile/jinda_male.iff',0,0,0,0,9.63707,-61.8555,-98.9565,32,'neutral',128,35,300),
 (4042,3,6016565,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,-0.257573,-59.2082,-73.8965,42,'neutral',128,35,300),
 (4043,3,6016565,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,1.96613,-59.4528,-70.6508,42,'neutral',128,35,300),
 (4044,3,6016565,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,1.96613,-59.4528,-70.6508,42,'neutral',128,35,300),
 (4045,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,36.6519,-59.163,-66.753,32,'neutral',128,35,300),
 (4046,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,36.6519,-59.163,-66.753,32,'neutral',128,35,300),
 (4047,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,39.571,-58.8956,-66.3947,32,'neutral',128,35,300),
 (4048,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,40.5986,-58.5055,-80.2344,35,'neutral',128,35,300),
 (4049,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,37.6716,-59.1152,-77.5815,35,'neutral',128,35,300),
 (4050,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,36.5345,-58.6552,-79.5954,35,'neutral',128,35,300),
 (4051,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,37.9317,-58.4165,-81.8868,35,'neutral',128,35,300),
 (4052,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,54.309,-57.7624,-84.282,35,'neutral',128,35,300),
 (4053,3,6016572,'object/creature/npc/base/jinda_base_male.iff',0,0,0,0,45.6765,-59.3868,-95.4851,42,'neutral',128,35,300),
 (4054,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,34.8329,-61.675,-112.841,35,'neutral',128,35,300),
 (4055,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,36.8966,-61.5281,-113.415,32,'neutral',128,35,300),
 (4056,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,32.3528,-61.3683,-111.552,32,'neutral',128,35,300),
 (4057,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,40.6452,-61.0668,-111.606,41,'neutral',128,35,300),
 (4058,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,40.9158,-61.0954,-110.762,35,'neutral',128,35,300),
 (4059,3,6016572,'object/mobile/jinda_male.iff',0,0,0,0,41.301,-61.0401,-107.607,35,'neutral',128,35,300),
 (4060,3,733360,'object/mobile/dulok_male.iff',0,0,0,0,10.6397,-21.5383,-5.42553,15,'neutral',128,35,300),
 (4061,3,733360,'object/mobile/dulok_male.iff',0,0,0,0,10.6241,-21.411,-6.37881,15,'neutral',128,35,300),
 (4062,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,23.0971,-37.9416,-31.3242,15,'neutral',128,35,300),
 (4063,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,23.9763,-41.0338,-52.6863,15,'neutral',128,35,300),
 (4064,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,44.7669,-47.692,-63.8927,13,'neutral',128,35,300),
 (4065,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,46.9913,-48.0295,-57.3756,13,'neutral',128,35,300),
 (4066,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,52.5087,-48.938,-55.2313,13,'neutral',128,35,300),
 (4067,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,54.4898,-48.7193,-60.5184,13,'neutral',128,35,300),
 (4068,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,53.926,-47.79,-67.7988,13,'neutral',128,35,300),
 (4069,3,733369,'object/mobile/dulok_male.iff',0,0,0,0,51.8663,-51.3897,-85.199,13,'neutral',128,35,300),
 (4070,3,733369,'object/mobile/dulok_male.iff',0,0,0,0,51.8663,-51.3897,-85.199,13,'neutral',128,35,300),
 (4071,3,733369,'object/mobile/dulok_male.iff',0,0,0,0,49.2306,-51.8501,-85.371,13,'neutral',128,35,300),
 (4072,3,733369,'object/mobile/dulok_male.iff',0,0,0,0,61.6721,-47.4859,-105.776,13,'neutral',128,35,300),
 (4073,3,733369,'object/mobile/dulok_male.iff',0,0,0,0,61.5443,-47.3983,-108.82,13,'neutral',128,35,300),
 (4074,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,74.6055,-46.3494,-107.099,10,'neutral',128,35,300),
 (4075,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,80.4606,-46.7888,-107.382,10,'neutral',128,35,300),
 (4076,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,96.2751,-45.5402,-97.8496,13,'neutral',128,35,300),
 (4077,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,96.2751,-45.5402,-97.8496,13,'neutral',128,35,300),
 (4078,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,95.1703,-46.6282,-110.309,10,'neutral',128,35,300),
 (4079,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,95.1703,-46.6282,-110.309,10,'neutral',128,35,300),
 (4080,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,93.3943,-46.717,-127.471,32,'neutral',128,35,300),
 (4081,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,90.997,-46.2333,-127.701,32,'neutral',128,35,300),
 (4082,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,95.962,-46.2447,-139.231,32,'neutral',128,35,300),
 (4083,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,89.0362,-47.193,-138.583,32,'neutral',128,35,300),
 (4084,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,89.4285,-46.6287,-146.051,32,'neutral',128,35,300),
 (4085,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,85.0824,-46.8146,-145.866,32,'neutral',128,35,300),
 (4086,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,78.5518,-46.2983,-144.819,35,'neutral',128,35,300),
 (4087,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,74.2918,-45.8654,-138.846,32,'neutral',128,35,300),
 (4088,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,74.2969,-45.9137,-139.181,32,'neutral',128,35,300),
 (4089,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,79.5877,-46.3733,-138.667,32,'neutral',128,35,300),
 (4090,3,733370,'object/mobile/dulok_male.iff',0,0,0,0,86.876,-46.9269,-137.873,32,'neutral',128,35,300),
 (4091,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,47.0347,-48.1113,-29.098,15,'neutral',128,35,300),
 (4092,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,46.4301,-47.1214,-8.36661,13,'neutral',128,35,300),
 (4093,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,42.6295,-46.4464,-13.5696,13,'neutral',128,35,300),
 (4094,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,42.658,-46.5381,-13.2853,13,'neutral',128,35,300),
 (4095,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,70.0045,-58.2122,-7.27187,32,'neutral',128,35,300),
 (4096,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,70.0045,-58.2122,-7.27187,32,'neutral',128,35,300),
 (4097,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,74.5335,-60.1999,-5.95103,32,'neutral',128,35,300),
 (4098,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,87.7647,-62.2751,-17.7668,32,'neutral',128,35,300),
 (4099,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,84.8006,-63.0964,-20.5387,32,'neutral',128,35,300),
 (4100,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,85.522,-63.0665,-20.9245,10,'neutral',128,35,300),
 (4101,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,52.5005,-67.8996,-45.5529,35,'neutral',128,35,300),
 (4102,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,52.0028,-68.0375,-38.076,32,'neutral',128,35,300),
 (4103,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,52.207,-67.9975,-37.1291,32,'neutral',128,35,300),
 (4104,3,733361,'object/mobile/dulok_male.iff',0,0,0,0,54.27,-67.894,-35.5111,32,'neutral',128,35,300),
 (4105,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,73.2176,-71.1021,-44.3854,10,'neutral',128,35,300),
 (4106,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,74.3345,-72.0664,-46.8498,10,'neutral',128,35,300),
 (4107,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,88.3332,-71.6709,-48.0321,10,'neutral',128,35,300),
 (4108,3,733362,'object/mobile/dulok_male.iff',0,0,0,0,86.0552,-71.9331,-48.5366,10,'neutral',128,35,300),
 (4109,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,90.5801,-76.6901,-80.5639,10,'neutral',128,35,300),
 (4110,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,83.8855,-76.7924,-83.747,10,'neutral',128,35,300),
 (4111,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,83.8855,-76.7924,-83.747,10,'neutral',128,35,300),
 (4112,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,67.5502,-77.0767,-80.8476,10,'neutral',128,35,300),
 (4113,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,66.4949,-77.0845,-78.7544,10,'neutral',128,35,300),
 (4114,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,72.1028,-77.6852,-71.5609,10,'neutral',128,35,300),
 (4115,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,78.0193,-77.7108,-70.3636,10,'neutral',128,35,300),
 (4116,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,85.1253,-76.9812,-71.1621,10,'neutral',128,35,300),
 (4117,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,82.4444,-76.1401,-67.3235,32,'neutral',128,35,300),
 (4118,3,733363,'object/mobile/dulok_male.iff',0,0,0,0,87.0439,-77.0789,-61.8704,32,'neutral',128,35,300),
 (4119,3,733365,'object/mobile/dulok_male.iff',0,0,0,0,53.6049,-76.7471,-87.1956,10,'neutral',128,35,300),
 (4120,3,733365,'object/mobile/dulok_male.iff',0,0,0,0,53.6049,-76.7471,-87.1956,10,'neutral',128,35,300),
 (4121,3,733365,'object/mobile/dulok_male.iff',0,0,0,0,64.1394,-66.8104,-133.395,32,'neutral',128,35,300),
 (4122,3,733365,'object/mobile/dulok_male.iff',0,0,0,0,60.2491,-66.2269,-134.255,32,'neutral',128,35,300),
 (4123,3,733365,'object/mobile/dulok_male.iff',0,0,0,0,60.4839,-66.2096,-134.49,32,'neutral',128,35,300),
 (4124,3,733366,'object/mobile/dulok_male.iff',0,0,0,0,83.9672,-66.1847,-139.538,10,'neutral',128,35,300),
 (4125,3,733366,'object/mobile/dulok_male.iff',0,0,0,0,88.2821,-66.9542,-140.251,10,'neutral',128,35,300),
 (4126,3,733366,'object/mobile/dulok_male.iff',0,0,0,0,88.2821,-66.9542,-140.251,10,'neutral',128,35,300),
 (4127,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,92.1928,-66.885,-110.679,10,'neutral',128,35,300),
 (4128,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,97.2717,-65.9012,-110.147,32,'neutral',128,35,300),
 (4129,3,733364,'object/mobile/dulok_male.iff',0,0,0,0,96.6905,-65.8073,-111.09,32,'neutral',128,35,300),
 (4130,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,109.945,-66.3841,-108.929,35,'neutral',128,35,300),
 (4131,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,111.107,-66.4427,-107.018,32,'neutral',128,35,300),
 (4132,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,111.147,-66.3735,-113.641,32,'neutral',128,35,300),
 (4133,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,115.044,-66.1154,-120.996,10,'neutral',128,35,300),
 (4134,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,116.245,-65.7274,-122.627,10,'neutral',128,35,300),
 (4135,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,136.546,-66.734,-124.853,32,'neutral',128,35,300),
 (4136,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,140.48,-66.6905,-125.208,32,'neutral',128,35,300),
 (4137,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,144.393,-66.847,-125.788,32,'neutral',128,35,300),
 (4138,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,146.827,-67.2207,-120.45,32,'neutral',128,35,300),
 (4139,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,146.581,-67.1691,-119.857,32,'neutral',128,35,300),
 (4140,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,142.378,-66.7653,-121.918,35,'neutral',128,35,300),
 (4141,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,134.079,-66.5652,-108.099,17,'neutral',128,35,300),
 (4142,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,134.079,-66.5652,-108.099,10,'neutral',128,35,300),
 (4143,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,134.332,-66.4634,-109.691,10,'neutral',128,35,300),
 (4144,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,140.509,-66.9769,-89.8805,10,'neutral',128,35,300),
 (4145,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,141.124,-67.2531,-93.095,32,'neutral',128,35,300),
 (4146,3,733367,'object/mobile/dulok_male.iff',0,0,0,0,143.881,-67.0362,-93.1213,17,'neutral',128,35,300),
 (4147,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,161.898,-66.916,-98.2648,17,'neutral',128,35,300),
 (4148,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,166.669,-66.6152,-98.1907,35,'neutral',128,35,300),
 (4149,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,193.665,-66.8731,-102.185,60,'neutral',128,35,300),
 (4150,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,193.653,-66.873,-102.185,47,'neutral',128,35,300),
 (4151,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,192.67,-66.92,-103.589,47,'neutral',128,35,300),
 (4152,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,192.958,-66.5354,-108.918,17,'neutral',128,35,300),
 (4153,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,192.567,-66.4326,-96.2166,35,'neutral',128,35,300),
 (4154,3,733368,'object/mobile/dulok_male.iff',0,0,0,0,191.03,-66.6757,-101.924,46,'neutral',128,35,300),
 (4155,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4774.79,0,-2278.53,44,'neutral',128,35,300),
 (4156,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4774.85,0,-2279.69,44,'neutral',128,35,300),
 (4157,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4767.58,0,-2278.28,44,'neutral',128,35,300),
 (4158,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4738.16,0,-2287.64,44,'neutral',128,35,300),
 (4159,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4738.16,0,-2287.64,44,'neutral',128,35,300),
 (4160,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4714.84,0,-2271.59,44,'neutral',128,35,300),
 (4161,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4714.95,0,-2271.59,44,'neutral',128,35,300),
 (4162,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4715.49,0,-2270.04,44,'neutral',128,35,300),
 (4163,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4713.83,0,-2259.01,55,'neutral',128,35,300),
 (4164,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4704.67,0,-2285.12,44,'neutral',128,35,300),
 (4165,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4704.67,0,-2285.12,44,'neutral',128,35,300),
 (4166,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4702.07,0,-2288.21,44,'neutral',128,35,300),
 (4167,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4697.16,0,-2263.76,55,'neutral',128,35,300),
 (4168,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4699.89,0,-2264.48,44,'neutral',128,35,300),
 (4169,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4679.85,0,-2268.26,44,'neutral',128,35,300),
 (4170,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4680.05,0,-2267.98,44,'neutral',128,35,300),
 (4171,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4680.14,0,-2271.22,44,'neutral',128,35,300),
 (4172,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4670.99,0,-2282.46,55,'neutral',128,35,300),
 (4173,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4679.62,0,-2279.2,44,'neutral',128,35,300),
 (4174,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4666.56,0,-2270.75,55,'neutral',128,35,300),
 (4175,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4663.98,0,-2275.96,44,'neutral',128,35,300),
 (4176,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4662.24,0,-2276.04,44,'neutral',128,35,300),
 (4177,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4629.98,0,-2280.54,44,'neutral',128,35,300),
 (4178,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4627.38,0,-2283.44,44,'neutral',128,35,300),
 (4179,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4629.28,0,-2288.9,44,'neutral',128,35,300),
 (4180,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4625.82,0,-2294.46,44,'neutral',128,35,300),
 (4181,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4617.04,0,-2294.34,55,'neutral',128,35,300),
 (4182,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4618.89,0,-2297.04,55,'neutral',128,35,300),
 (4183,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4622.21,0,-2295.53,55,'neutral',128,35,300),
 (4184,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4597.99,0,-2269.85,44,'neutral',128,35,300),
 (4185,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4589.29,0,-2266.67,44,'neutral',128,35,300),
 (4186,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4592.09,0,-2281.15,44,'neutral',128,35,300),
 (4187,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4589.93,0,-2281.99,44,'neutral',128,35,300),
 (4188,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4573.93,0,-2288.28,44,'neutral',128,35,300),
 (4189,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4574.31,0,-2293.97,44,'neutral',128,35,300),
 (4190,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4576.99,0,-2272.67,55,'neutral',128,35,300),
 (4191,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4572.21,0,-2270.42,55,'neutral',128,35,300),
 (4192,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4582.35,0,-2244.36,44,'neutral',128,35,300),
 (4193,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4578.71,0,-2242.76,55,'neutral',128,35,300),
 (4194,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4568.13,0,-2251.78,44,'neutral',128,35,300),
 (4195,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4572.26,0,-2257.64,44,'neutral',128,35,300),
 (4196,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4566.55,0,-2259.4,44,'neutral',128,35,300),
 (4197,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4563.89,0,-2297.42,55,'neutral',128,35,300),
 (4198,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4560.99,0,-2292.94,44,'neutral',128,35,300),
 (4199,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4566.68,0,-2292.91,44,'neutral',128,35,300),
 (4200,3,0,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,-4570.99,0,-2280.64,55,'neutral',128,35,300),
 (4201,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4585.2,0,-2257.91,44,'neutral',128,35,300),
 (4202,3,0,'object/mobile/marauder_male.iff',0,0,0,0,-4588.6,0,-2259.03,44,'neutral',128,35,300),
 (4203,3,5996315,'object/mobile/battle_droid.iff',0,0,0,0,-31.8,-12,-9.9,130,'neutral',128,35,180),
 (4204,3,5996315,'object/mobile/battle_droid.iff',0,0,0,0,-31.8,-12,-4.3,130,'neutral',128,35,180),
 (4205,3,5996316,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-15.8,-12,9.4,86,'neutral',128,35,180),
 (4206,3,5996316,'object/mobile/dressed_black_sun_henchman.iff',0,0,0,0,-15.8,-12,13.2,76,'neutral',128,35,180),
 (4207,3,5996319,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-57.4,-20,36.4,86,'neutral',128,35,180),
 (4208,3,5996319,'object/mobile/super_battle_droid.iff',0,0,0,0,-57.4,-20,27.9,228,'neutral',128,35,180),
 (4209,3,5996319,'object/mobile/dressed_black_sun_henchman.iff',0,0,0,0,-69.1,-20,30.6,76,'neutral',128,35,180),
 (4210,3,5996318,'object/mobile/dressed_black_sun_assassin.iff',0,0,0,0,6.2,-12,31.1,107,'neutral',128,35,180),
 (4211,3,5996318,'object/mobile/super_battle_droid.iff',0,0,0,0,-1.8,-12,32.9,228,'neutral',128,35,180),
 (4212,3,5996320,'object/mobile/super_battle_droid.iff',0,0,0,0,-74.2,-20,61.7,228,'neutral',128,35,180),
 (4213,3,5996320,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-77.2,-20,55.9,121,'neutral',128,35,180),
 (4214,3,5996320,'object/mobile/battle_droid.iff',0,0,0,0,-71.6,-20,50.6,130,'neutral',128,35,180),
 (4215,3,5996321,'object/mobile/battle_droid.iff',0,0,0,0,-78,-20,12,130,'neutral',128,35,180),
 (4216,3,5996321,'object/mobile/battle_droid.iff',0,0,0,0,-70,-20,12,130,'neutral',128,35,180),
 (4217,3,5996321,'object/mobile/battle_droid.iff',0,0,0,0,-70,-20,-10,130,'neutral',128,35,180),
 (4218,3,5996321,'object/mobile/battle_droid.iff',0,0,0,0,-78,-20,-10,130,'neutral',128,35,180),
 (4219,3,5996323,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-92.7,-20,-29.2,86,'neutral',128,35,180),
 (4220,3,5996323,'object/mobile/dressed_black_sun_assassin.iff',0,0,0,0,-90.2,-20,-31.3,107,'neutral',128,35,180),
 (4221,3,5996323,'object/mobile/dressed_black_sun_henchman.iff',0,0,0,0,-111.3,-20,-53.1,76,'neutral',128,35,180),
 (4222,3,5996325,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-126,-20,-48.8,178,'neutral',128,35,300),
 (4223,3,5996325,'object/mobile/battle_droid.iff',0,0,0,0,-130.4,-20,-53,130,'neutral',128,35,180),
 (4224,3,5996325,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-126,-20,-56,121,'neutral',128,35,180),
 (4225,3,5996324,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-126,-20,-20.8,121,'neutral',128,35,180),
 (4226,3,5996324,'object/mobile/battle_droid.iff',0,0,0,0,-132.1,-20,-24.9,130,'neutral',128,35,180),
 (4227,3,5996324,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-126,-20,-28.6,86,'neutral',128,35,180),
 (4228,3,5996326,'object/mobile/super_battle_droid.iff',0,0,0,0,-58.7,-20,-52.8838,228,'neutral',128,35,180),
 (4229,3,5996330,'object/mobile/super_battle_droid.iff',0,0,0,0,-78.2202,-20,-41.0019,228,'neutral',128,35,180),
 (4230,3,5996327,'object/mobile/dressed_black_sun_assassin.iff',0,0,0,0,-65.1956,-20,-74.5288,107,'neutral',128,35,180),
 (4231,3,5996327,'object/mobile/dressed_black_sun_henchman.iff',0,0,0,0,-61.6653,-20,-71.5085,76,'neutral',128,35,180),
 (4232,3,5996327,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-58.0641,-20,-71.6227,86,'neutral',128,35,180),
 (4233,3,5996326,'object/mobile/battle_droid.iff',0,0,0,0,-74.2578,-20,-99.7399,130,'neutral',128,35,180),
 (4234,3,5996326,'object/mobile/battle_droid.iff',0,0,0,0,-73.9588,-20,-90.4062,130,'neutral',128,35,180),
 (4235,3,5996326,'object/mobile/battle_droid.iff',0,0,0,0,-83.4655,-20,-81.0632,130,'neutral',128,35,180),
 (4236,3,5996326,'object/mobile/battle_droid.iff',0,0,0,0,-92.7776,-20,-80.9224,130,'neutral',128,35,180),
 (4237,3,5996326,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-94.2647,-20,-94.63,86,'neutral',128,35,180),
 (4238,3,5996328,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-103.352,-20,-102.523,121,'neutral',128,35,180),
 (4239,3,5996328,'object/mobile/super_battle_droid.iff',0,0,0,0,-114.684,-20,-95.2085,228,'neutral',128,35,180),
 (4240,3,5996328,'object/mobile/dressed_black_sun_assassin.iff',0,0,0,0,-106.028,-20,-90.7982,107,'neutral',128,35,180),
 (4241,3,5996326,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-87.4787,-20,-101.336,86,'neutral',128,35,180),
 (4242,3,5996329,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-80.7477,-20,-115.775,121,'neutral',128,35,180),
 (4243,3,5996329,'object/mobile/dressed_black_sun_henchman.iff',0,0,0,0,-95.4649,-20,-114.952,76,'neutral',128,35,180),
 (4244,3,5996330,'object/mobile/battle_droid.iff',0,0,0,0,-55.9976,-20,-40.9446,130,'neutral',128,35,180),
 (4245,3,5996330,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-38.0034,-20,-44.8654,86,'neutral',128,35,180),
 (4246,3,5996332,'object/mobile/battle_droid.iff',0,0,0,0,-4.97129,-20,-52.1686,130,'neutral',128,35,180),
 (4247,3,5996330,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-3.83936,-20,-47.1934,121,'neutral',128,35,180),
 (4248,3,5996332,'object/mobile/battle_droid.iff',0,0,0,0,25.0504,-20,-81.5319,130,'neutral',128,35,180),
 (4249,3,5996333,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,21.5348,-20,-44.1827,178,'neutral',128,35,300),
 (4250,3,5996333,'object/mobile/dressed_death_watch_grey.iff',0,0,0,0,25.0853,-20,-43.2465,152,'neutral',128,35,400),
 (4251,3,5996333,'object/mobile/super_battle_droid.iff',0,0,0,0,23.9093,-20,-31.3844,228,'neutral',128,35,180),
 (4252,3,5996336,'object/mobile/battle_droid.iff',0,0,0,0,29.8575,-20,-92.4883,130,'neutral',128,35,180),
 (4253,3,5996336,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,36.0396,-20,-87.0088,178,'neutral',128,35,300),
 (4254,3,5996336,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,36.2862,-28,-54.8448,178,'neutral',128,35,300),
 (4255,3,5996334,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-3.93636,-24,-113.77,178,'neutral',128,35,300),
 (4256,3,5996334,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-34.7704,-32,-112.954,178,'neutral',128,35,300),
 (4257,3,5996334,'object/mobile/super_battle_droid.iff',0,0,0,0,-57.9702,-32,-117.962,228,'neutral',128,35,180),
 (4258,3,5996331,'object/mobile/super_battle_droid.iff',0,0,0,0,-47.0168,-32,-102.3,228,'neutral',128,35,180),
 (4259,3,5996331,'object/mobile/super_battle_droid.iff',0,0,0,0,-8.96434,-32,-102.272,228,'neutral',128,35,180),
 (4260,3,5996331,'object/mobile/super_battle_droid.iff',0,0,0,0,-8.98854,-32,-52.6644,228,'neutral',128,35,180),
 (4261,3,5996335,'object/mobile/super_battle_droid.iff',0,0,0,0,-1.54555,-32,-51.9,228,'neutral',128,35,180),
 (4262,3,5996335,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-0.0537967,-32,-32.1507,178,'neutral',128,35,300),
 (4263,3,5996335,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-4.06986,-32,-35.3892,121,'neutral',128,35,180),
 (4264,3,5996337,'object/mobile/super_battle_droid.iff',0,0,0,0,5.86351,-31.9,-89.773,228,'neutral',128,35,180),
 (4265,3,5996336,'object/mobile/super_battle_droid.iff',0,0,0,0,6.11039,-28,-55.5441,228,'neutral',128,35,180),
 (4266,3,5996338,'object/mobile/battle_droid.iff',0,0,0,0,37.5009,-32,-114.082,130,'neutral',128,35,180),
 (4267,3,5996338,'object/mobile/battle_droid.iff',0,0,0,0,47.8113,-32,-114.372,130,'neutral',128,35,180),
 (4268,3,5996338,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,42.686,-36.7995,-101.057,121,'neutral',128,35,180),
 (4269,3,5996338,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,32.8018,-42.0002,-111.156,178,'neutral',128,35,300),
 (4270,3,5996338,'object/mobile/dressed_death_watch_grey.iff',0,0,0,0,33.2416,-42.0001,-103.257,152,'neutral',128,35,400),
 (4271,3,5996338,'object/mobile/super_battle_droid.iff',0,0,0,0,50.0253,-52,-132.531,228,'neutral',128,35,180),
 (4272,3,5996338,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,34.053,-52,-111.514,121,'neutral',128,35,180),
 (4273,3,5996339,'object/mobile/battle_droid.iff',0,0,0,0,71.307,-32,-101.01,130,'neutral',128,35,180),
 (4274,3,5996340,'object/mobile/super_battle_droid.iff',0,0,0,0,70.0806,-32,-90.7091,228,'neutral',128,35,180),
 (4275,3,5996340,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,71.7655,-32,-62.449,178,'neutral',128,35,300),
 (4276,3,5996340,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,45.7435,-32,-90.2733,178,'neutral',128,35,300),
 (4277,3,5996341,'object/mobile/super_battle_droid.iff',0,0,0,0,48.3139,-32,-48.2021,228,'neutral',128,35,180),
 (4278,3,5996341,'object/mobile/dressed_death_watch_grey.iff',0,0,0,0,46.9423,-32,-53.8254,152,'neutral',128,35,400),
 (4279,3,5996342,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,87.7674,-32,-88.099,178,'neutral',128,35,300),
 (4280,3,5996342,'object/mobile/battle_droid.iff',0,0,0,0,96.3589,-32,-81.0804,130,'neutral',128,35,180),
 (4281,3,5996342,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,96.7449,-32,-95.0204,121,'neutral',128,35,180),
 (4282,3,5996343,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,88.7591,-32,-64.9284,86,'neutral',128,35,180),
 (4283,3,5996343,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,91.8204,-32,-54.8949,121,'neutral',128,35,180),
 (4284,3,5996344,'object/mobile/dressed_death_watch_grey.iff',0,0,0,0,110.494,-32,-80.1201,152,'neutral',128,35,400),
 (4285,3,5996344,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,114.136,-32,-79.7362,178,'neutral',128,35,300),
 (4286,3,5996344,'object/mobile/super_battle_droid.iff',0,0,0,0,111.874,-32,-67.3782,228,'neutral',128,35,180),
 (4287,3,5996345,'object/mobile/super_battle_droid.iff',0,0,0,0,13.8579,-54.1054,-157.211,228,'neutral',128,35,180),
 (4288,3,5996345,'object/mobile/super_battle_droid.iff',0,0,0,0,-8.07963,-52,-142.984,228,'neutral',128,35,180),
 (4289,3,5996378,'object/mobile/battle_droid.iff',0,0,0,0,-30.8612,-52,-166.126,130,'neutral',128,35,180),
 (4290,3,5996378,'object/mobile/battle_droid.iff',0,0,0,0,-8.67036,-52,-169.752,130,'neutral',128,35,180),
 (4291,3,5996378,'object/mobile/battle_droid.iff',0,0,0,0,-8.95624,-52,-148.92,130,'neutral',128,35,180),
 (4292,3,5996378,'object/mobile/super_battle_droid.iff',0,0,0,0,-12.1131,-52,-151.956,228,'neutral',128,35,180),
 (4293,3,5996378,'object/mobile/super_battle_droid.iff',0,0,0,0,-30.535,-52,-148.17,228,'neutral',128,35,180),
 (4294,3,5996347,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,21.5384,-64,-111.007,178,'neutral',128,35,300),
 (4295,3,5996347,'object/mobile/super_battle_droid.iff',0,0,0,0,20.9192,-64,-97.0222,228,'neutral',128,35,180),
 (4296,3,5996347,'object/mobile/dressed_black_sun_assassin.iff',0,0,0,0,49.7107,-64,-123.034,107,'neutral',128,35,180),
 (4297,3,5996347,'object/mobile/super_battle_droid.iff',0,0,0,0,58.5191,-64,-137.012,228,'neutral',128,35,180),
 (4298,3,5996347,'object/mobile/battle_droid.iff',0,0,0,0,40.0776,-64,-155.552,130,'neutral',128,35,180),
 (4299,3,5996347,'object/mobile/battle_droid.iff',0,0,0,0,39.8998,-64,-147.522,130,'neutral',128,35,180),
 (4300,3,5996322,'object/mobile/dressed_black_sun_thug.iff',0,0,0,0,-82.716,-20,-25.6264,86,'neutral',128,35,180),
 (4301,3,5996352,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-2.18177,-60,-172.48,178,'neutral',128,35,300),
 (4302,3,5996352,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-22.3651,-60.0316,-187.469,230,'neutral',128,1,180),
 (4303,3,5996352,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-28.9105,-59.865,-176.715,230,'neutral',128,1,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (4304,3,5996352,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-37.6703,-59.2413,-186.656,230,'neutral',128,1,180),
 (4305,3,5996352,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-42.0866,-60.1997,-165.522,230,'neutral',128,1,180),
 (4306,3,5996352,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-62.2239,-60.1115,-175.351,230,'neutral',128,1,180),
 (4307,3,5996352,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-69.6748,-59.7157,-183.362,230,'neutral',128,1,180),
 (4308,3,5996353,'object/mobile/battle_droid.iff',0,0,0,0,-42.0822,-59.7989,-204.957,130,'neutral',128,35,180),
 (4309,3,5996354,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-10.9759,-59.9162,-203.972,230,'neutral',128,1,180),
 (4310,3,5996354,'object/mobile/remmer.iff',0,0,0,0,-17.3884,-59.1878,-221.123,100,'neutral',128,35,600),
 (4311,3,5996354,'object/mobile/remmer.iff',0,0,0,0,-7.15083,-59.8265,-235.101,100,'neutral',128,35,600),
 (4312,3,5996354,'object/mobile/super_battle_droid.iff',0,0,0,0,-9.56324,-60.3204,-253.361,228,'neutral',128,35,180),
 (4313,3,5996354,'object/mobile/dressed_mand_bunker_technician.iff',0,0,0,0,-16.7672,-60.1677,-257.284,230,'neutral',128,1,180),
 (4314,3,5996354,'object/mobile/remmer.iff',0,0,0,0,-17.5536,-60.1413,-278.515,100,'neutral',128,35,600),
 (4315,3,5996354,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-11.8299,-60.1689,-294.804,178,'neutral',128,35,300),
 (4316,3,5996355,'object/mobile/dressed_mand_bunker_technician.iff',0,0,0,0,21.8285,-60.3356,-304.825,230,'neutral',128,1,180),
 (4317,3,5996355,'object/mobile/dressed_mand_bunker_foreman.iff',0,0,0,0,26.2154,-61.6437,-303.126,230,'neutral',128,1,180),
 (4318,3,5996355,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,32.6635,-60.8291,-291.646,230,'neutral',128,1,180),
 (4319,3,5996356,'object/mobile/super_battle_droid.iff',0,0,0,0,-45.9543,-59.7989,-297.067,228,'neutral',128,35,180),
 (4320,3,5996356,'object/mobile/dressed_mand_bunker_foreman.iff',0,0,0,0,-46.0131,-59.7989,-317.026,230,'neutral',128,1,180),
 (4321,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-76.2364,-59.9511,-312.697,100,'neutral',128,35,600),
 (4322,3,5996357,'object/mobile/battle_droid.iff',0,0,0,0,-89.8071,-60.2464,-339.762,130,'neutral',128,35,180),
 (4323,3,5996357,'object/mobile/battle_droid.iff',0,0,0,0,-97.6422,-60.1974,-353.909,130,'neutral',128,35,180),
 (4324,3,5996357,'object/mobile/dressed_death_watch_grey.iff',0,0,0,0,-91.8254,-58.6337,-380.811,152,'neutral',128,35,400),
 (4325,3,5996357,'object/mobile/dressed_death_watch_red.iff',0,0,0,0,-101.761,-60.0693,-380.303,121,'neutral',128,35,180),
 (4326,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-109.325,-59.6467,-376.492,100,'neutral',128,35,600),
 (4327,3,5996357,'object/mobile/super_battle_droid.iff',0,0,0,0,-115.544,-59.8237,-378.11,228,'neutral',128,35,180),
 (4328,3,5996357,'object/mobile/super_battle_droid.iff',0,0,0,0,-126.348,-59.4366,-380.298,228,'neutral',128,35,180),
 (4329,3,5996357,'object/mobile/super_battle_droid.iff',0,0,0,0,-126.315,-60.0575,-370.359,228,'neutral',128,35,180),
 (4330,3,5996357,'object/mobile/dressed_death_watch_gold.iff',0,0,0,0,-124.371,-59.9688,-375.92,221,'neutral',128,35,300),
 (4331,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-119.999,-59.5107,-349.478,100,'neutral',128,35,600),
 (4332,3,5996357,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-131.816,-59.5831,-334.089,230,'neutral',128,1,180),
 (4333,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-119.421,-59.6919,-324.576,100,'neutral',128,35,600),
 (4334,3,5996357,'object/mobile/battle_droid.iff',0,0,0,0,-109.987,-59.4915,-310.84,130,'neutral',128,35,180),
 (4335,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-101.167,-59.5306,-306.337,100,'neutral',128,35,600),
 (4336,3,5996357,'object/mobile/dressed_mand_bunker_technician.iff',0,0,0,0,-88.5664,-60.2918,-292.938,230,'neutral',128,1,180),
 (4337,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-98.9249,-59.916,-276.045,100,'neutral',128,35,600),
 (4338,3,5996357,'object/mobile/dressed_mand_bunker_crazed_miner.iff',0,0,0,0,-89.2714,-59.8972,-262.447,230,'neutral',128,1,180),
 (4339,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-97.1917,-59.4581,-252.56,100,'neutral',128,35,600),
 (4340,3,5996359,'object/mobile/super_battle_droid.iff',0,0,0,0,-94.0251,-59.7989,-217.485,228,'neutral',128,35,180),
 (4341,3,5996358,'object/mobile/super_battle_droid.iff',0,0,0,0,-79.8998,-59.7989,-206.045,228,'neutral',128,35,180),
 (4342,3,5996360,'object/mobile/battle_droid.iff',0,0,0,0,-123.923,-59.7989,-187.272,130,'neutral',128,35,180),
 (4343,3,5996361,'object/mobile/remmer.iff',0,0,0,0,-124.623,-60.1486,-171.999,100,'neutral',128,35,600),
 (4344,3,5996361,'object/mobile/battle_droid.iff',0,0,0,0,-120.614,-60.0516,-158.857,130,'neutral',128,35,180),
 (4345,3,5996361,'object/mobile/remmer.iff',0,0,0,0,-129.244,-59.7336,-152.48,100,'neutral',128,35,600),
 (4346,3,5996361,'object/mobile/remmer.iff',0,0,0,0,-128.283,-59.9129,-138.49,100,'neutral',128,35,600),
 (4347,3,5996361,'object/mobile/remmer.iff',0,0,0,0,-121.49,-59.9984,-137.264,100,'neutral',128,35,600),
 (4348,3,5996361,'object/mobile/remmer.iff',0,0,0,0,-117.551,-59.462,-147.278,100,'neutral',128,35,600),
 (4349,3,5996362,'object/mobile/battle_droid.iff',0,0,0,0,-93.8407,-60.1009,-138.711,130,'neutral',128,35,180),
 (4350,3,5996362,'object/mobile/remmer.iff',0,0,0,0,-92.976,-59.8055,-150.179,100,'neutral',128,35,600),
 (4351,3,5996362,'object/mobile/remmer.iff',0,0,0,0,-79.262,-59.6109,-135.846,100,'neutral',128,35,600),
 (4352,3,5996362,'object/mobile/remmer.iff',0,0,0,0,-67.0377,-59.4366,-127.037,100,'neutral',128,35,600),
 (4353,3,5996362,'object/mobile/remmer.iff',0,0,0,0,-56.8736,-59.4619,-135.619,100,'neutral',128,35,600),
 (4354,3,5996362,'object/mobile/remmer.iff',0,0,0,0,-63.9848,-59.6173,-160.081,100,'neutral',128,35,600),
 (4355,3,5996362,'object/mobile/remmer.iff',0,0,0,0,-37.1483,-59.6342,-148.413,100,'neutral',128,35,600),
 (4356,3,5996362,'object/mobile/battle_droid.iff',0,0,0,0,-43.8614,-59.931,-134.326,130,'neutral',128,35,180),
 (4357,3,5996363,'object/mobile/battle_droid.iff',0,0,0,0,-141.623,-59.9945,-144.901,130,'neutral',128,35,180),
 (4358,3,5996364,'object/mobile/battle_droid.iff',0,0,0,0,-149.949,-59.886,-160.521,130,'neutral',128,35,180),
 (4359,3,5996364,'object/mobile/super_battle_droid.iff',0,0,0,0,-144.013,-60.3575,-192.863,228,'neutral',128,35,180),
 (4360,3,5996364,'object/mobile/remmer.iff',0,0,0,0,-145.213,-60.0202,-178.919,100,'neutral',128,35,600),
 (4361,3,5996364,'object/mobile/remmer.iff',0,0,0,0,-153.79,-59.6145,-183.966,100,'neutral',128,35,600),
 (4362,3,5996364,'object/mobile/remmer.iff',0,0,0,0,-152.166,-59.871,-202.182,100,'neutral',128,35,600),
 (4363,3,5996364,'object/mobile/remmer.iff',0,0,0,0,-143.556,-59.9911,-207.652,100,'neutral',128,35,600),
 (4364,3,5996365,'object/mobile/super_battle_droid.iff',0,0,0,0,-148.009,-59.7989,-126.816,228,'neutral',128,35,180),
 (4365,3,5996365,'object/mobile/super_battle_droid.iff',0,0,0,0,-156.764,-60,-106.992,228,'neutral',128,35,180),
 (4366,3,5996366,'object/mobile/super_battle_droid.iff',0,0,0,0,-171.875,-59.7989,-121.093,228,'neutral',128,35,180),
 (4367,3,5996369,'object/mobile/battle_droid.iff',0,0,0,0,-179.157,-60.108,-136.777,130,'neutral',128,35,180),
 (4368,3,5996369,'object/mobile/battle_droid.iff',0,0,0,0,-176.022,-60.0923,-154.081,130,'neutral',128,35,180),
 (4369,3,5996369,'object/mobile/remmer.iff',0,0,0,0,-173.464,-59.872,-146.805,100,'neutral',128,35,600),
 (4370,3,5996369,'object/mobile/remmer.iff',0,0,0,0,-180.185,-60.1039,-142.125,100,'neutral',128,35,600),
 (4371,3,5996369,'object/mobile/remmer.iff',0,0,0,0,-174.12,-60.0755,-138.693,100,'neutral',128,35,600),
 (4372,3,5996366,'object/mobile/super_battle_droid.iff',0,0,0,0,-200.772,-59.7989,-121.02,228,'neutral',128,35,180),
 (4373,3,5996367,'object/mobile/super_battle_droid.iff',0,0,0,0,-222,-60,-129.054,228,'neutral',128,35,180),
 (4374,3,5996372,'object/mobile/super_battle_droid.iff',0,0,0,0,-206.34,-60.1428,-145.42,228,'neutral',128,35,180),
 (4375,3,5996372,'object/mobile/remmer.iff',0,0,0,0,-213.27,-59.7697,-141.531,100,'neutral',128,35,600),
 (4376,3,5996372,'object/mobile/battle_droid.iff',0,0,0,0,-203.764,-60.488,-165.327,130,'neutral',128,35,180),
 (4377,3,5996372,'object/mobile/battle_droid.iff',0,0,0,0,-203.686,-60.6755,-173.319,130,'neutral',128,35,180),
 (4378,3,5996372,'object/mobile/remmer.iff',0,0,0,0,-212.35,-59.8572,-184.264,100,'neutral',128,35,600),
 (4379,3,5996372,'object/mobile/remmer.iff',0,0,0,0,-212.404,-60.1442,-199.762,100,'neutral',128,35,600),
 (4380,3,5996373,'object/mobile/super_battle_droid.iff',0,0,0,0,-223.765,-60,-225.198,228,'neutral',128,35,180),
 (4381,3,5996375,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-195.971,-59.7989,-216.823,178,'neutral',128,35,300),
 (4382,3,5996375,'object/mobile/super_battle_droid.iff',0,0,0,0,-174.189,-59.7989,-217.014,228,'neutral',128,35,180),
 (4383,3,5996376,'object/mobile/remmer.iff',0,0,0,0,-177.766,-60.4022,-230.954,100,'neutral',128,35,600),
 (4384,3,5996376,'object/mobile/remmer.iff',0,0,0,0,-171.909,-60.4466,-230.901,100,'neutral',128,35,600),
 (4385,3,5996376,'object/mobile/dressed_death_watch_silver.iff',0,0,0,0,-160.884,-60.3385,-236.694,178,'neutral',128,35,300),
 (4386,3,5996376,'object/mobile/super_battle_droid.iff',0,0,0,0,-187.387,-60.1961,-253.896,228,'neutral',128,35,180),
 (4387,3,5996376,'object/mobile/remmer.iff',0,0,0,0,-163.409,-59.8079,-257.356,100,'neutral',128,35,600),
 (4388,3,5996376,'object/mobile/remmer.iff',0,0,0,0,-171.972,-60.3595,-254.407,100,'neutral',128,35,600),
 (4389,3,5996376,'object/mobile/dressed_mand_bunker_technician.iff',0,0,0,0,-182.358,-60.2377,-268.172,230,'neutral',128,1,180),
 (4390,3,5996376,'object/mobile/remmer.iff',0,0,0,0,-176.324,-60.0186,-272.313,100,'neutral',128,35,600),
 (4391,3,5996377,'object/mobile/dressed_death_watch_grey.iff',0,0,0,0,-174.083,-59.7989,-282.656,152,'neutral',128,35,400),
 (4392,3,5996377,'object/mobile/super_battle_droid.iff',0,0,0,0,-174.019,-59.7989,-298.164,228,'neutral',128,35,180),
 (4393,3,5996377,'object/mobile/dressed_death_watch_grey.iff',0,0,0,0,-174.05,-59.7989,-316.872,152,'neutral',128,35,400),
 (4394,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-134.309,-59.5654,-322.849,100,'neutral',128,35,600),
 (4395,3,5996357,'object/mobile/remmer.iff',0,0,0,0,-151.951,-59.9937,-311.501,100,'neutral',128,35,600),
 (4396,3,5996332,'object/mobile/dressed_mand_bunker_foreman.iff',0,0,0,0,4.40332,-22,-74.189,230,'neutral',128,1,180),
 (4397,3,5996332,'object/mobile/dressed_mand_bunker_technician.iff',0,0,0,0,12.7973,-20,-56.4439,230,'neutral',128,1,180),
 (4398,3,733407,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,76.244,-45.7226,-147.517,55,'neutral',128,35,180),
 (4399,3,733407,'object/mobile/dressed_feral_marauder.iff',0,0,0,0,88.2185,-46.512,-147.15,44,'neutral',128,35,180),
 (4400,3,733407,'object/mobile/dressed_blood_crazed_plains_marauder.iff',0,0,0,0,93.5954,-46.7012,-126.672,56,'neutral',128,35,180),
 (4401,3,733401,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,80.872,-46.6671,-108.179,55,'neutral',128,35,180),
 (4402,3,733406,'object/mobile/dressed_feral_marauder.iff',0,0,0,0,51.759,-49.1331,-99.4603,44,'neutral',128,35,180),
 (4403,3,733398,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,50.0505,-48.05,-68.2716,55,'neutral',128,35,180),
 (4404,3,733398,'object/mobile/dressed_feral_marauder.iff',0,0,0,0,25.9672,-42.8981,-66.9122,44,'neutral',128,35,180),
 (4405,3,733398,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,22.9371,-38.8113,-36.0893,55,'neutral',128,35,180),
 (4406,3,733397,'object/mobile/dressed_feral_marauder.iff',0,0,0,0,14.1267,-22.4775,-7.35934,44,'neutral',128,35,180),
 (4407,3,733398,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,44.649,-47.1953,-10.6195,55,'neutral',128,35,180),
 (4408,3,733399,'object/mobile/dressed_blood_crazed_plains_marauder.iff',0,0,0,0,92.9065,-63.1154,-23.3776,56,'neutral',128,35,180),
 (4409,3,733399,'object/mobile/dressed_feral_marauder.iff',0,0,0,0,75.4411,-69.034,-40.6543,44,'neutral',128,35,180),
 (4410,3,733400,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,68.4084,-76.1797,-67.178,55,'neutral',128,35,180),
 (4411,3,733400,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,92.337,-76.0671,-71.8919,55,'neutral',128,35,300),
 (4412,3,733402,'object/mobile/dressed_feral_marauder.iff',0,0,0,0,61.5656,-66.1807,-135.937,44,'neutral',128,35,180),
 (4413,3,733403,'object/mobile/dressed_blood_crazed_plains_marauder.iff',0,0,0,0,91.7436,-67.0289,-135.848,56,'neutral',128,35,180),
 (4414,3,733404,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,113.687,-66.9011,-95.735,55,'neutral',128,35,180),
 (4415,3,733404,'object/mobile/dressed_wandering_desert_marauder.iff',0,0,0,0,115.952,-66.438,-127.468,55,'neutral',128,35,300),
 (4416,3,733404,'object/mobile/dressed_blood_crazed_plains_marauder.iff',0,0,0,0,151.297,-65.8294,-97.7587,56,'neutral',128,35,180),
 (4417,3,733405,'object/mobile/dressed_grassland_blood_marauder.iff',0,0,0,0,186.872,-66.0775,-100.049,50,'neutral',128,35,180),
 (4418,4,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,-0.149796,0,0.988717,356.668,12.0208,4918.65,15,'calm',264,0,60),
 (4419,4,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,-0.594285,0,0.804255,360.315,11.9448,4966.58,15,'calm',264,0,60),
 (4420,4,0,'object/mobile/dressed_nym_technician_2.iff',-0.0105631,0.271881,0.00298451,0.962268,374.599,11.9876,4986.77,15,'neutral',264,0,60),
 (4421,4,0,'object/mobile/dressed_nym_guard_elite_rod_m.iff',0,0.899093,0,-0.437757,381.62,11.9928,5013.95,15,'calm',264,0,60),
 (4422,4,0,'object/mobile/dressed_nym_guard_weak_nikto_m.iff',0,0.44517,0,0.895446,405.535,12.5279,5032.45,15,'calm',264,0,60),
 (4423,4,2745876,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',1.34383e-05,-6.00164e-05,8.06521e-10,1,4.19353,13.5019,7.65925,15,'conversation',264,0,60),
 (4424,4,2745876,'object/mobile/zabrak_male.iff',-6.00278e-10,1,1.3005e-05,4.61573e-05,4.19353,13.5019,8.75924,15,'conversation',264,0,60),
 (4425,4,2745876,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,-7.36752e-05,0,1,29.5658,13.25,9.61881,15,'conversation',264,0,60),
 (4426,4,2745876,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,1,0,3.29417e-05,29.5658,13.25,10.7188,15,'conversation',264,0,60),
 (4427,4,2745876,'object/mobile/dressed_noble_fat_twilek_female_01.iff',0,0.923871,0,0.382705,28.4658,13.25,10.7188,15,'conversation',264,0,60),
 (4428,4,2745876,'object/mobile/dressed_criminal_thug_aqualish_female_02.iff',-4.33454e-07,0.00038142,1.65328e-10,1,32.2156,14.26,-9.06471,15,'conversation',264,0,60),
 (4429,4,2745876,'object/mobile/dressed_doctor_trainer_moncal_female_01.iff',1.86366e-10,1,4.33434e-07,-0.000429975,32.2166,14.26,-7.96455,15,'conversation',264,0,60),
 (4430,4,2745876,'object/mobile/dressed_criminal_slicer_human_female_01.iff',-2.34549e-07,0.923974,5.66646e-07,0.382456,31.1166,14.26,-7.96455,15,'conversation',264,0,60),
 (4431,4,2745876,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',-2.83229e-07,0.382656,1.17307e-07,0.923891,31.1166,14.26,-9.06455,15,'conversation',264,0,60),
 (4432,4,2745876,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,0.476377,0,0.879241,16.74,14.26,-2.05184,15,'calm',264,0,60),
 (4433,4,2745876,'object/mobile/dressed_bountyhunter_trainer_03.iff',0,-0.619727,0,0.784817,16.74,14.26,-0.951844,15,'calm',264,0,60),
 (4434,4,2745876,'object/mobile/dressed_criminal_thug_rodian_female_01.iff',0,-0.474665,0,0.880167,15.64,14.26,-0.951844,15,'calm',264,0,60),
 (4435,4,2745874,'object/mobile/rodian_female.iff',4.33501e-07,-5.37569e-05,2.33037e-11,1,32.2502,7.25,-2.56477,15,'conversation',264,0,60),
 (4436,4,2745874,'object/mobile/dressed_commoner_tatooine_bith_male_03.iff',2.33044e-11,1,-4.33495e-07,5.37594e-05,32.2502,7.25,-1.46477,15,'conversation',264,0,60),
 (4437,4,2745874,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',4.33498e-07,6.99841e-06,-3.03379e-12,1,31.1714,7.25,11.2841,15,'conversation',264,0,60),
 (4438,4,2745874,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',-4.69931e-11,1,-4.33476e-07,-0.00010841,31.1714,7.25,12.3841,15,'conversation',264,0,60),
 (4439,4,2745874,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',1.17295e-07,0.923903,-2.83224e-07,0.382627,30.0714,7.25,12.3841,15,'conversation',264,0,60),
 (4440,4,2745872,'object/mobile/dressed_artisan_trainer_02.iff',-4.33472e-07,2.28848e-05,9.91991e-12,1,0.856204,7.26,-13.2226,15,'conversation',264,0,60),
 (4441,4,2745872,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',3.748e-11,1,4.33477e-07,-8.64636e-05,0.856204,7.26,-12.1226,15,'conversation',264,0,60),
 (4442,4,2745872,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-1.17296e-07,0.923899,2.83217e-07,0.382638,-0.243796,7.26,-12.1226,15,'conversation',264,0,60),
 (4443,4,2745872,'object/mobile/dressed_criminal_pirate_human_female_01.iff',2.16749e-07,-3.83854e-05,8.32e-12,1,3.95102,7.26,8.48572,15,'conversation',264,0,60),
 (4444,4,2745872,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',1.47005e-11,1,-2.16749e-07,6.78228e-05,3.95102,7.26,9.58572,15,'conversation',264,0,60),
 (4445,4,2745870,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',-1.08371e-07,-2.17388e-05,-2.35585e-12,1,-13.7191,0.26,-10.4865,15,'conversation',264,0,60),
 (4446,4,2745870,'object/mobile/dressed_commoner_artisan_bith_male_01.iff',-9.16554e-12,1,1.08378e-07,8.45699e-05,-13.7191,0.26,-9.38652,15,'conversation',264,0,60),
 (4447,4,2745870,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',-1.49012e-07,-2.63691e-05,-3.92931e-12,1,-13.3486,0.26,5.66362,15,'conversation',264,0,60),
 (4448,4,2745870,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',-1.07503e-11,1,1.35471e-07,7.93547e-05,-13.3486,0.26,6.76362,15,'conversation',264,0,60),
 (4449,4,2745870,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',-3.66589e-08,0.92386,8.84898e-08,0.38273,-14.4486,0.26,6.76362,15,'conversation',264,0,60),
 (4450,4,2745870,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',-1.49009e-07,1.29936e-05,1.93616e-12,1,-24.5603,0.26,-1.63238,15,'conversation',264,0,60),
 (4451,4,2745870,'object/mobile/dressed_noble_old_zabrak_male_01.iff',1.56447e-11,1,1.62551e-07,-9.62447e-05,-24.5603,0.26,-0.532375,15,'conversation',264,0,60),
 (4452,4,2745870,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-4.3985e-08,0.923902,1.06207e-07,0.38263,-25.6603,0.26,-0.532375,15,'conversation',264,0,60),
 (4453,4,2745870,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',-1.35461e-07,1.82339e-05,2.46998e-12,1,-29.0395,0.26,8.63541,15,'conversation',264,0,60),
 (4454,4,2745870,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',1.10995e-11,1,1.21915e-07,-9.1043e-05,-29.0395,0.26,9.73541,15,'conversation',264,0,60),
 (4455,4,2745870,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',-0.000244769,0.9239,0.000591014,0.382634,-30.1395,0.25801,9.73541,15,'conversation',264,0,60),
 (4456,4,2745870,'object/mobile/dressed_criminal_thug_human_female_02.iff',-0.000279012,0.382684,0.000115571,0.923879,-30.1395,0.259061,8.63541,15,'conversation',264,0,60),
 (4457,4,2745870,'object/mobile/21b_surgical_droid.iff',0,0.984425,0,0.175807,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (4458,4,2745866,'object/mobile/dressed_rebel_trooper_human_male_01.iff',-1.35469e-07,-9.88243e-05,-1.33877e-11,1,14.5598,0.26,3.77176,15,'conversation',264,0,60),
 (4459,4,2745866,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',-9.97204e-13,1,1.35467e-07,7.36123e-06,14.5598,0.26,4.87176,15,'conversation',264,0,60),
 (4460,4,2745866,'object/mobile/dressed_bountyhunter_trainer_02.iff',-1.21922e-07,-4.94721e-05,-6.03174e-12,1,29.0555,0.26,7.22789,15,'conversation',264,0,60),
 (4461,4,2745866,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',-6.86918e-12,1,1.2192e-07,5.63415e-05,29.0555,0.26,8.32789,15,'conversation',264,0,60),
 (4462,4,2745866,'object/mobile/dressed_criminal_assassin_human_female_01.iff',-1.35463e-07,3.72799e-05,5.05006e-12,1,10.5837,0.26,-8.17547,15,'conversation',264,0,60),
 (4463,4,2745866,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',9.74807e-12,1,1.35459e-07,-7.19635e-05,10.5837,0.26,-7.07547,15,'conversation',264,0,60),
 (4464,4,2745866,'object/mobile/dressed_robber_human_female_01.iff',-3.66541e-08,0.923898,8.85028e-08,0.382639,9.48372,0.26,-7.07547,15,'conversation',264,0,60),
 (4465,4,2745866,'object/mobile/dressed_criminal_slicer_human_female_01.iff',-8.84924e-08,0.382698,3.66564e-08,0.923874,9.48372,0.26,-8.17547,15,'conversation',264,0,60),
 (4466,4,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,-0.466626,0,0.884455,522.568,11.8075,4964.65,15,'calm',264,0,60),
 (4467,4,0,'object/mobile/dressed_nym_guard_elite_rod_m.iff',0,0.557339,0,0.830285,437.698,12.5279,5025.38,15,'calm',264,0,60),
 (4468,4,0,'object/mobile/dressed_nym_guard_elite_hum_m.iff',0,0.899088,0,-0.437768,381.4,11.9939,5015.13,15,'calm',264,0,60),
 (4469,4,0,'object/mobile/dressed_nym_guard_strong_hum_m.iff',0,0.445285,0,0.895389,406.16,12.5279,5031.63,15,'calm',264,0,60),
 (4470,4,0,'object/mobile/dressed_nym_technician_3.iff',0,0.820593,0,-0.571512,481.309,23,4961.29,15,'neutral',264,0,60),
 (4471,4,0,'object/mobile/junk_reggi.iff',0,0.573484,0,0.819217,443.925,12,4879.41,15,'calm',264,0,60),
 (4472,4,0,'object/mobile/dressed_nym_guard_elite_hum_m.iff',0,-0.600092,0,0.799931,384.094,11.9992,4996.7,15,'calm',264,0,60),
 (4473,4,0,'object/mobile/dressed_nym_guard_strong_rod_m.iff',0,-0.599905,0,0.800071,406.311,11.8705,4991.53,15,'calm',264,0,60),
 (4474,4,0,'object/mobile/dressed_nym_guard_elite_nikto_m.iff',0,-0.234434,0,0.972132,405.535,12.5279,5032.45,15,'calm',264,0,60),
 (4475,4,0,'object/mobile/dressed_nym_guard_elite_nikto_m.iff',0,0.830304,0,-0.55731,435.932,12.5279,5024.65,15,'calm',264,0,60),
 (4476,4,0,'object/mobile/dressed_nym_guard_elite_rod_m.iff',0,0.557323,0,0.830296,438.415,12.5279,5024.61,15,'calm',264,0,60),
 (4477,4,0,'object/mobile/dressed_nym_guard_strong_rod_m.iff',0,0.951,0,-0.30919,350.446,12.0004,4975.94,15,'calm',264,0,60),
 (4478,4,0,'object/mobile/dressed_nym_guard_weak_rod_m.iff',0,0.171244,0,0.985229,348.219,12.1248,4940.84,15,'calm',264,0,60),
 (4479,4,0,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0,0,0,1,391.143,12,5056.74,15,'conversation',264,0,60),
 (4480,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,1,0,0,391.143,12,5057.74,15,'conversation',264,0,60),
 (4481,4,0,'object/mobile/dressed_nym_guard_weak_nikto_m.iff',0,-0.0285007,0,0.999594,343.53,12.5909,4902.71,15,'calm',264,0,60),
 (4482,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.749387,0,0.662132,342.313,11.9993,5024.26,15,'calm',264,0,60),
 (4483,4,0,'object/mobile/dressed_nym_surveyer_rod_f.iff',-1.8156e-09,0.999764,-0.0217341,-3.94697e-11,484.493,11.9154,5091.56,15,'conversation',264,0,60),
 (4484,4,0,'object/mobile/dressed_commoner_fat_human_female_02.iff',-0.0217341,0,0,0.999764,484.493,11.8719,5090.56,15,'conversation',264,0,60),
 (4485,4,0,'object/mobile/dressed_commoner_tatooine_bith_male_02.iff',0,-0.204421,0,0.978883,372.58,12.0976,5003.43,15,'calm',264,0,60),
 (4486,4,0,'object/mobile/dressed_nym_guard_weak_hum_m.iff',0,0.122642,0,0.992451,331.611,11.9777,4898.94,15,'calm',264,0,60),
 (4487,4,0,'object/mobile/dressed_nym_guard_strong_nikto_m.iff',0,-0.0897886,0,0.995961,334.572,11.9605,4892.89,15,'calm',264,0,60),
 (4488,4,0,'object/mobile/dressed_nym_guard_elite_nikto_m.iff',0,-0.6354,0,0.772183,393.078,12.5279,5032.98,15,'calm',264,0,60),
 (4489,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.945513,0,-0.325583,280.329,11.9265,5027.91,15,'calm',264,0,60),
 (4490,4,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,-0.374816,0,0.927099,363.384,11.8774,5104.73,15,'calm',264,0,60),
 (4491,4,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0.0870703,-0.00951469,-0.140852,0.986149,429.839,13,5136.92,15,'calm',264,0,60),
 (4492,4,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.832741,0,0.553662,449.967,12,5141.31,15,'calm',264,0,60),
 (4493,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.679214,0,0.733941,285.432,11.9758,5117.33,15,'calm',264,0,60),
 (4494,4,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.446457,0,0.894805,371.229,12.06,5167.84,15,'calm',264,0,60),
 (4495,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.204588,0,0.978848,462.534,11.8294,5148.35,15,'calm',264,0,60),
 (4496,4,0,'object/mobile/dressed_herald_lok_01.iff',0,-0.599024,0,0.800731,371.717,11.8618,5179.1,15,'calm',264,0,60),
 (4497,4,8145362,'object/mobile/dressed_mercenary_weak_hum_m.iff',1.08395e-07,3.42724e-06,-3.71497e-13,1,-23.8096,1.6,-6.26968,15,'conversation',264,0,60),
 (4498,4,8145362,'object/mobile/dressed_artisan_trainer_01.iff',3.80038e-13,1,-1.08387e-07,3.5063e-06,-23.8096,1.6,-5.16968,15,'conversation',264,0,60),
 (4499,4,8145357,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',-1.62562e-07,-5.15814e-06,-8.3852e-13,1,19.6068,1.28309,-15.5961,15,'conversation',264,0,60),
 (4500,4,8145357,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',8.3979e-13,1,1.62539e-07,-5.16669e-06,19.6068,1.28309,-14.4961,15,'conversation',264,0,60),
 (4501,4,8145357,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',-1.0836e-07,-4.3316e-06,-4.69374e-13,1,19.8783,1.28309,8.0449,15,'conversation',264,0,60),
 (4502,4,8145357,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',6.96844e-13,1,1.62561e-07,-4.28666e-06,19.8783,1.28309,9.1449,15,'conversation',264,0,60),
 (4503,4,8145357,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-4.39887e-08,0.923879,1.06197e-07,0.382686,18.7783,1.28309,9.1449,15,'conversation',264,0,60),
 (4504,4,8145361,'object/mobile/space_rebel_tier4_warvog.iff',0,-0.560509,0,0.828148,-12.1246,1.6,-16.3553,15,'neutral',264,0,60),
 (4505,4,8145356,'object/mobile/dressed_combatmedic_trainer_human_male_01.iff',8.39759e-07,-2.29032e-06,1.92332e-12,1,-1.26922,1,-2.0738,15,'conversation',264,0,60),
 (4506,4,8145356,'object/mobile/dressed_criminal_thug_zabrak_female_01.iff',1.74458e-12,1,7.5865e-07,-2.29958e-06,-1.26922,0.999998,-0.973796,15,'conversation',264,0,60),
 (4507,4,8145356,'object/mobile/dressed_commoner_old_twilek_male_02.iff',-3.25077e-07,5.85534e-06,1.90343e-12,1,6.78896,1.00001,8.59957,15,'conversation',264,0,60),
 (4508,4,8145356,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',2.22199e-12,1,-3.79315e-07,5.8579e-06,6.78896,1.00001,9.69957,15,'conversation',264,0,60),
 (4509,4,8145356,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',-5.41958e-07,-2.17574e-06,-1.17916e-12,1,5.37638,1,-8.18525,15,'conversation',264,0,60),
 (4510,4,8145356,'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff',-7.0688e-13,1,-3.25173e-07,-2.17385e-06,5.37638,1.00001,-7.08525,15,'conversation',264,0,60),
 (4511,4,8145356,'object/mobile/dressed_criminal_thug_human_male_01.iff',2.9331e-08,0.923863,-7.08026e-08,0.382723,4.27638,1.00001,-7.08525,15,'conversation',264,0,60),
 (4512,4,8145356,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',4.19854e-06,1.75657e-06,-7.37502e-12,1,-2.27845,0.999959,6.45641,15,'conversation',264,0,60),
 (4513,4,8145356,'object/mobile/dressed_commoner_naboo_human_female_05.iff',-7.83019e-12,1,4.49798e-06,1.74082e-06,-2.27845,0.999949,7.55641,15,'conversation',264,0,60),
 (4514,4,8145356,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',-1.52512e-06,0.923868,3.68164e-06,0.382712,-3.37845,0.999947,7.55641,15,'conversation',264,0,60),
 (4515,4,8145356,'object/mobile/dressed_criminal_assassin_human_male_01.iff',1.98216e-06,0.382636,-8.20919e-07,0.923899,-3.37845,0.999956,6.45641,15,'conversation',264,0,60),
 (4516,4,8145358,'object/mobile/dressed_ruffian_zabrak_female_01.iff',0.000501075,4.38457e-06,-2.197e-09,1,-23.1849,1.58923,0.850721,15,'conversation',264,0,60),
 (4517,4,8145358,'object/mobile/dressed_noble_human_female_04.iff',-8.73767e-10,1,0.000500835,1.74462e-06,-23.1848,1.58812,1.95072,15,'conversation',264,0,60),
 (4518,4,8145358,'object/mobile/dressed_doctor_trainer_human_female_01.iff',-4.04826e-05,-1.73547e-06,-7.02565e-11,1,-10.445,1,-3.99877,15,'conversation',264,0,60),
 (4519,4,8145358,'object/mobile/dressed_commoner_naboo_human_male_06.iff',-6.9238e-11,1,-4.04315e-05,-1.71248e-06,-10.445,1.00009,-2.89877,15,'conversation',264,0,60),
 (4520,4,8145358,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',2.65897e-05,0.923859,-6.41835e-05,0.382733,-11.545,1.00022,-2.89877,15,'conversation',264,0,60),
 (4521,4,8145358,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',-2.6409e-05,0.382715,1.094e-05,0.923867,-11.545,1,-3.99877,15,'conversation',264,0,60),
 (4522,4,8145358,'object/mobile/dressed_commoner_naboo_human_female_02.iff',-9.63576e-05,5.63071e-06,5.42562e-10,1,-14.6521,1.0008,7.50857,15,'conversation',264,0,60),
 (4523,4,8145358,'object/mobile/dressed_noble_old_twk_male_02.iff',5.47229e-10,1,-9.63621e-05,5.67888e-06,-14.6521,1.00101,8.60857,15,'conversation',264,0,60),
 (4524,4,8145358,'object/mobile/dressed_criminal_slicer_human_male_01.iff',5.1404e-05,0.923859,-0.000124082,0.382732,-15.7521,1.00122,8.60857,15,'conversation',264,0,60),
 (4525,4,0,'object/mobile/dressed_nym_guard_strong_hum_m.iff',0,0.755744,0,0.654867,537.325,11.9367,5112.7,15,'calm',264,0,60),
 (4526,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.895659,0,0.444742,462.685,11.9861,5192.39,15,'calm',264,0,60),
 (4527,4,0,'object/mobile/dressed_nym_guard_strong_hum_m.iff',0,-0.382806,0,0.923829,539.299,11.9604,5112.16,15,'calm',264,0,60),
 (4528,4,0,'object/mobile/dressed_nym_guard_elite_hum_m.iff',0,0.765591,0,0.643328,537.297,11.9374,5112.7,15,'calm',264,0,60),
 (4529,4,0,'object/mobile/dressed_nym_guard_weak_nikto_m.iff',0,0.807292,0,-0.590153,537.641,11.9565,5110.93,15,'calm',264,0,60),
 (4530,4,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.90575,0,-0.423811,535.709,11.9925,5135.86,15,'calm',264,0,60),
 (4531,4,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.894623,0,0.446821,545.596,11.959,5081.45,15,'calm',264,0,60),
 (4532,4,0,'object/mobile/dressed_nym_guard_weak_rod_m.iff',0,-0.103701,0,0.994609,538.921,12.0463,5125.2,15,'calm',264,0,60),
 (4533,4,0,'object/mobile/dressed_nym_guard_strong_hum_m.iff',0,-0.103296,0,0.994651,540.129,12.073,5124.46,15,'calm',264,0,60),
 (4534,4,0,'object/mobile/dressed_crook_zabrak_male_01.iff',0,0.98448,0,0.175497,525.319,11.8584,5156.53,15,'calm',264,0,60),
 (4535,4,0,'object/mobile/dressed_combatmedic_trainer_human_male_01.iff',0,0,0,1,552.494,11.89,5110.84,15,'conversation',264,0,60),
 (4536,4,0,'object/mobile/dressed_rebel_specforce_pathfinder_human_male_01.iff',0,1,0,0,552.494,11.89,5111.84,15,'conversation',264,0,60),
 (4537,4,8145389,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,0.688355,0,0.725374,-36.21,0.10501,-13.93,15,'neutral',264,0,60),
 (4538,4,8145388,'object/mobile/han_solo.iff',0,0.382683,0,0.92388,-30.2,-0.519991,7.24,15,'neutral',264,0,60),
 (4539,4,8145388,'object/mobile/chewbacca.iff',0,0.104528,0,0.994522,-28.48,-0.519991,5.87,15,'neutral',264,0,60),
 (4540,4,8145387,'object/mobile/dressed_villain_trandoshan_male_01.iff',-5.41897e-08,-2.07771e-05,-1.1259e-12,1,-24.251,-0.894991,22.5325,15,'conversation',264,0,60),
 (4541,4,8145387,'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff',-3.72951e-12,1,8.12876e-08,4.58804e-05,-24.251,-0.894991,23.6325,15,'conversation',264,0,60),
 (4542,4,8145383,'object/mobile/dressed_noble_old_human_male_01.iff',0,0.104528,0,0.994522,-13.19,-0.894991,-20.28,15,'npc_sitting_chair',264,0,60),
 (4543,4,8145382,'object/mobile/dressed_noble_fat_human_female_02.iff',5.4179e-08,5.22129e-05,-2.82884e-12,1,5.94117,-0.894992,20.6966,15,'conversation',264,0,60),
 (4544,4,8145382,'object/mobile/dressed_mercenary_messanger_hum_f.iff',-9.16669e-13,1,-5.41834e-08,-1.69179e-05,5.94117,-0.894992,21.7966,15,'conversation',264,0,60),
 (4545,4,8145382,'object/mobile/dressed_criminal_slicer_human_female_01.iff',1.46618e-08,0.923887,-3.53988e-08,0.382664,4.84117,-0.894992,21.7966,15,'conversation',264,0,60),
 (4546,4,8145382,'object/mobile/dressed_noble_bothan_male_01.iff',3.53947e-08,0.382677,-1.46607e-08,0.923882,4.84117,-0.894992,20.6966,15,'conversation',264,0,60),
 (4547,4,8145381,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,-0.66262,0,0.748956,11.63,-0.894992,-16.56,15,'neutral',264,0,60),
 (4548,4,8145381,'object/mobile/dressed_criminal_slicer_human_male_01.iff',5.41795e-08,4.04107e-05,-2.18943e-12,1,1.83273,-0.894992,-15.3461,15,'conversation',264,0,60),
 (4549,4,8145381,'object/mobile/dressed_nym_surveyer_rod_m.iff',-1.55971e-12,1,-5.41829e-08,-2.87859e-05,1.83273,-0.894992,-14.2461,15,'conversation',264,0,60),
 (4550,4,8145380,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.700909,0,0.71325,12.82,-0.894992,21.49,15,'npc_sitting_chair',264,0,60),
 (4551,4,8145380,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0.638118,0,0.769939,18.1642,-0.894992,19.3991,15,'calm',264,0,60),
 (4552,4,8145378,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.287585,0,0.957755,-11.2794,-0.894992,1.36624,15,'neutral',264,0,60),
 (4553,4,8145378,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',2.70917e-08,1.38356e-05,-3.74832e-13,1,23.1893,-0.894994,8.7231,15,'conversation',264,0,60),
 (4554,4,8145378,'object/mobile/dressed_mercenary_messanger_hum_f.iff',-5.98763e-12,1,-1.35445e-07,-4.42071e-05,23.1893,-0.894993,9.8231,15,'conversation',264,0,60),
 (4555,4,8145378,'object/mobile/dressed_nym_surveyer_hum_m.iff',-2.43838e-07,-5.63472e-06,-1.37396e-12,1,-2.13049,-0.894991,6.9956,15,'conversation',264,0,60),
 (4556,4,8145378,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',1.66874e-11,1,-2.70976e-07,6.15827e-05,-2.13049,-0.894991,8.0956,15,'conversation',264,0,60),
 (4557,4,8145378,'object/mobile/dressed_doctor_trainer_human_female_01.iff',8.06605e-08,0.923852,-1.94692e-07,0.382751,-3.23049,-0.894991,8.0956,15,'conversation',264,0,60),
 (4558,4,8145378,'object/mobile/dressed_goon_twk_male_01.iff',2.70937e-08,-3.89779e-06,1.05605e-13,1,-4.95629,-0.894992,-6.53149,15,'conversation',264,0,60),
 (4559,4,8145378,'object/mobile/dressed_criminal_slicer_human_female_01.iff',5.14649e-12,1,-8.1291e-08,6.33095e-05,-4.95629,-0.894992,-5.43149,15,'conversation',264,0,60),
 (4560,4,8145378,'object/mobile/dressed_combatmedic_trainer_human_female_01.iff',-1.89634e-07,2.86165e-05,5.42667e-12,1,25.7848,-0.894993,-9.85091,15,'conversation',264,0,60),
 (4561,4,8145378,'object/mobile/dressed_mercenary_weak_hum_f.iff',3.9943e-12,1,1.35451e-07,-2.94889e-05,25.7848,-0.894993,-8.75091,15,'conversation',264,0,60),
 (4562,4,8145378,'object/mobile/dressed_mercenary_messanger_hum_m.iff',9.52954e-08,0.923895,-2.3009e-07,0.382645,24.6848,-0.894992,-8.75091,15,'conversation',264,0,60),
 (4563,4,8145378,'object/mobile/dressed_noble_human_female_02.iff',-2.70888e-08,6.26143e-05,1.69614e-12,1,7.54821,-0.894991,-8.57564,15,'conversation',264,0,60),
 (4564,4,8145378,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',7.22414e-13,1,1.0837e-07,-6.6662e-06,7.54821,-0.894991,-7.47564,15,'conversation',264,0,60),
 (4565,4,8145378,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',-5.13179e-08,0.923883,1.23896e-07,0.382675,6.44821,-0.894991,-7.47564,15,'conversation',264,0,60),
 (4566,4,8145378,'object/mobile/dressed_commoner_fat_human_male_01.iff',-1.23879e-07,0.382676,5.1311e-08,0.923883,6.44821,-0.894991,-8.57564,15,'conversation',264,0,60),
 (4567,4,8145376,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',-5.08327e-08,0.000707919,3.59854e-11,1,43.6314,0.104999,0.264886,15,'conversation',264,0,60),
 (4568,4,8145376,'object/mobile/dressed_commoner_old_human_female_02.iff',3.76583e-11,1,5.08309e-08,-0.000740855,43.6331,0.104999,1.36432,15,'conversation',264,0,60),
 (4569,4,8145384,'object/mobile/dressed_patron_sullustan_01.iff',0,0.642788,0,0.766044,-12.12,-0.894992,23.08,15,'npc_sitting_chair',264,0,60),
 (4570,4,8145384,'object/mobile/dressed_criminal_slicer_human_male_01.iff',-9.7522e-07,4.83641e-05,4.71656e-11,1,-5.72977,-0.894996,21.8507,15,'conversation',264,0,60),
 (4571,4,8145384,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',-1.46555e-11,1,-7.04385e-07,-2.08061e-05,-5.72977,-0.894994,22.9507,15,'conversation',264,0,60),
 (4572,4,8145384,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',1.75942e-07,0.923888,-4.24788e-07,0.382663,-6.82977,-0.894994,22.9507,15,'conversation',264,0,60),
 (4573,4,8145379,'object/mobile/dressed_mercenary_messanger_hum_m.iff',-8.12702e-08,3.81827e-05,3.10311e-12,1,18.2791,-0.894996,-14.4794,15,'conversation',264,0,60),
 (4574,4,8145379,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',2.25277e-12,1,1.08363e-07,-2.07892e-05,18.2791,-0.894996,-13.3794,15,'conversation',264,0,60),
 (4575,4,8145379,'object/mobile/space_privateer_tier3_ramna.iff',1.85208e-07,0.175155,-5.6445e-08,0.984541,19.5548,-0.894995,-20.1381,15,'neutral',264,0,60),
 (4576,4,0,'object/mobile/dressed_nym_guard_weak_hum_m.iff',0,0.181608,0,0.983371,550.868,11.8339,5164.56,15,'calm',264,0,60),
 (4577,4,0,'object/mobile/dressed_nym_guard_elite_rod_m.iff',0,0.0892177,0,0.996012,550.517,11.7979,5167.25,15,'calm',264,0,60),
 (4578,4,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.793464,0,0.608618,514.113,11.4851,5196.38,15,'calm',264,0,60),
 (4579,4,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.372548,0,0.928013,562.914,11.8302,5171.75,15,'calm',264,0,60),
 (4580,4,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,0,0,1,432.639,12,5218.48,15,'conversation',264,0,60),
 (4581,4,0,'object/mobile/dressed_imperial_officer_m_4.iff',0,1,0,0,432.639,12,5219.48,15,'conversation',264,0,60),
 (4582,4,0,'object/mobile/3po_protocol_droid.iff',0.017508,0.965139,-0.0669411,0.252426,630,12.7003,5055,15,'calm',264,0,60),
 (4583,4,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0.921588,0,-0.38817,618.591,11.8421,5013.77,15,'calm',264,0,60),
 (4584,4,0,'object/mobile/dressed_herald_lok_02.iff',0,-0.153594,0,0.988134,221.864,17.0919,5154.99,15,'calm',264,0,60),
 (4585,4,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,0.924801,0,0.380451,332.33,12.0215,5159.29,15,'calm',264,0,60),
 (4586,4,0,'object/mobile/dressed_nym_guard_weak_nikto_m.iff',0,0.808327,0,0.588734,324.077,12.0596,5051.55,15,'calm',264,0,60),
 (4587,4,0,'object/mobile/dressed_criminal_thug_aqualish_male_01.iff',0,0.926325,0,0.376724,221.718,11.9626,4987.57,15,'calm',264,0,60),
 (4588,4,0,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,0.725414,0,-0.688312,226.672,12.0826,4954.08,15,'calm',264,0,60),
 (4589,4,6595518,'object/mobile/dressed_nym_pirate_elite_rod_m.iff',0,0.694658,0,0.71934,37.49,2.29422,-1.17,15,'neutral',264,0,60),
 (4590,4,6595518,'object/mobile/dressed_nym_pirate_elite_hum_m.iff',0,0.694658,0,0.71934,36.71,2.29422,-2.92,15,'neutral',264,0,60),
 (4591,4,6595518,'object/mobile/dressed_nym_pirate_weak_hum_f.iff',0,0.694658,0,0.71934,33.5,2.29422,-2.2,15,'npc_sitting_chair',264,0,60),
 (4592,4,6595518,'object/mobile/dressed_nym_pirate_weak_nikto_m.iff',0,0.694658,0,0.71934,33.65,2.29422,-3.4,15,'npc_sitting_chair',264,0,60),
 (4593,4,6595518,'object/mobile/dressed_nym_pirate_strong_nikto_m.iff',0,0.515038,0,0.857167,34.79,2.29422,-5.1,15,'neutral',264,0,60),
 (4594,4,6595515,'object/mobile/dressed_nym_bodyguard_hum_f.iff',0,0.178261,0,0.983983,-28.92,2.29545,0.72999,15,'neutral',264,0,60),
 (4595,4,6595514,'object/mobile/dressed_nym_technician_1.iff',-3.08693e-05,0.0339734,-0.000907519,0.999422,-23.9332,4.22324,-37.5265,15,'neutral',264,0,60),
 (4596,4,6595511,'object/mobile/nym.iff',0,-0.0348995,0,0.999391,-0.06,3.27819,-22.9,15,'npc_sitting_chair',264,0,60),
 (4597,4,6595511,'object/mobile/kole.iff',0.0015509,0.976206,-0.00698576,0.216727,-1.83002,3.33806,-19.11,15,'neutral',264,0,60),
 (4598,4,6595511,'object/mobile/jinkins.iff',-0.0828946,0.826792,0.123331,0.542524,3.07003,3.29302,-21.31,15,'neutral',264,0,60),
 (4599,4,6595511,'object/mobile/kusak_hue.iff',0,0.333807,0,0.942641,-3.62,3.27819,-25.44,15,'calm',264,0,60),
 (4600,4,6595511,'object/mobile/kusak_hue.iff',0,-0.300706,0,0.953717,3.62,3.27819,-25.44,15,'bored',264,0,60),
 (4601,4,6595511,'object/mobile/space_privateer_tier4_naboo_diness.iff',0,0.933839,0,0.357693,-2.2483,4.0782,-10.4691,15,'neutral',264,0,60),
 (4602,4,6595511,'object/mobile/dressed_nym_guard_elite_hum_m.iff',0,-0.00872651,0,0.999962,3.12,4.0782,-9.55,15,'neutral',264,0,60),
 (4603,4,6595511,'object/mobile/dressed_nym_guard_elite_hum_m.iff',0,-0.00872652,0,0.999962,-3.1239,4.0782,-9.55698,15,'neutral',264,0,60),
 (4604,4,6595511,'object/mobile/dressed_nym_guard_elite_nikto_m.iff',0,0,0,1,1.98,8.9,-30.5,15,'neutral',264,0,60),
 (4605,4,6595511,'object/mobile/dressed_nym_guard_elite_nikto_m.iff',0,-1.90723e-08,0,1,-1.91,8.9,-30.5,15,'neutral',264,0,60),
 (4606,4,6595511,'object/mobile/dressed_nym_guard_strong_nikto_m.iff',0,0.999848,0,0.0174524,-18.91,2.29916,9.74,15,'neutral',264,0,60),
 (4607,4,6595511,'object/mobile/dressed_nym_guard_weak_hum_m.iff',0,0.999962,0,-0.00872644,18.98,2.29948,10.51,15,'neutral',264,0,60),
 (4608,4,6595511,'object/mobile/dressed_nym_guard_weak_hum_f.iff',0,0.026177,0,0.999657,-20.26,2.29947,-18.62,15,'neutral',264,0,60),
 (4609,4,6595511,'object/mobile/dressed_nym_brawler_hum_f.iff',0,0.999657,0,0.026177,-8.11,1.3,-1.06,15,'neutral',264,0,60),
 (4610,4,6595511,'object/mobile/dressed_nym_surveyer_rod_f.iff',0,0.0610486,0,0.998135,-8.05,1.3,-2.3,15,'neutral',264,0,60),
 (4611,4,6595511,'object/mobile/dressed_nym_brawler_rod_m.iff',0,0.284015,0,0.95882,4.17,1.3,-5.62,15,'neutral',264,0,60),
 (4612,4,6595511,'object/mobile/dressed_nym_bodyguard_hum_m.iff',0,-0.622515,0,0.782608,5.86,1.3,-5.04,15,'neutral',264,0,60),
 (4613,4,6595511,'object/mobile/dressed_nym_surveyer_hum_m.iff',0,0.96363,0,0.267238,4.39,1.3,-3.87,15,'neutral',264,0,60),
 (4614,4,6595511,'object/mobile/dressed_nym_bodyguard_hum_f.iff',0,0.700909,0,0.71325,-3.58,1.3,4.01,15,'neutral',264,0,60),
 (4615,4,6595511,'object/mobile/dressed_nym_destroyer_rod_m.iff',0,0.725374,0,-0.688355,-1.79,1.3,3.94,15,'neutral',264,0,60),
 (4616,4,0,'object/mobile/kimogila_hatchling.iff',0,0,0,0,-104.7,0,2650.16,22,'neutral',128,35,300),
 (4617,4,0,'object/mobile/kimogila_hatchling.iff',0,0,0,0,-98.8467,0,2653.42,22,'neutral',128,35,300),
 (4618,4,0,'object/mobile/kimogila_hatchling.iff',0,0,0,0,-98.0349,0,2647.25,22,'neutral',128,35,300),
 (4619,4,0,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',0,-2.84146e-08,0,1,-89.4283,12,2679.48,15,'neutral',128,1,60),
 (4620,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,0,0,1,-95.9296,12,2685.26,15,'neutral',128,1,60),
 (4621,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,0,0,1,-102.416,12,2685.17,15,'neutral',128,1,60),
 (4622,4,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,-4.21353e-08,0,1,-109.065,12,2690.12,15,'neutral',128,1,60),
 (4623,4,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,0,0,1,-102.322,12,2684.85,15,'neutral',128,1,60),
 (4624,4,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0,0,1,-86.1488,12,2709.89,15,'neutral',128,1,60),
 (4625,4,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,-2.65745e-08,0,1,-92.9387,12.1031,2708.29,15,'neutral',128,1,60),
 (4626,4,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,-4.17849e-08,0,1,-95.2094,12,2710.35,15,'neutral',128,1,60),
 (4627,4,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,2.97231e-08,0,1,-98.4221,12,2716.59,15,'neutral',128,1,60),
 (4628,4,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0,0,1,-93.4888,12,2717.4,15,'neutral',128,1,60),
 (4629,4,0,'object/mobile/kimogila_hatchling.iff',0,0,0,0,-125.891,0,2747.89,22,'neutral',128,35,300),
 (4630,4,0,'object/mobile/kimogila_hatchling.iff',0,0,0,0,-127.63,0,2751.88,22,'neutral',128,35,300),
 (4631,4,0,'object/mobile/kimogila_hatchling.iff',0,0,0,0,-134.281,0,2759.8,22,'neutral',128,35,300),
 (4632,4,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,0,0,1,-51.6445,12,2718.56,15,'neutral',128,1,60),
 (4633,4,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,2.79108e-08,0,1,-45.2733,12,2713.45,15,'neutral',128,1,60),
 (4634,4,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,-1.35902e-08,0,1,-41.4249,12,2711.64,15,'neutral',128,1,60),
 (4635,4,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0,0,1,-35.1539,12.1139,2708.05,15,'neutral',128,1,60),
 (4636,4,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,0,0,1,-42.6069,12,2713.9,15,'neutral',128,1,60),
 (4637,4,0,'object/mobile/dressed_lok_cas_vankoo.iff',0,0,0,0,-18.5213,0,2729.13,117,'neutral',128,35,600),
 (4638,4,0,'object/mobile/giant_dune_kimogila.iff',0,0,0,0,-3.64837,0,2716.32,153,'neutral',128,35,4200),
 (4639,4,0,'object/mobile/dressed_corsair_pirate_strong_hum_f.iff',0,0,0,0,-3844.54,0,-3751.62,36,'neutral',128,35,180),
 (4640,4,0,'object/mobile/dressed_corsair_pirate_strong_hum_f.iff',0,0,0,0,-3844.79,0,-3753.15,36,'neutral',128,35,180),
 (4641,4,0,'object/mobile/dressed_corsair_guard_hum_f.iff',0,0,0,0,-3834.5,0,-3757.28,36,'neutral',128,35,180),
 (4642,4,0,'object/mobile/dressed_corsair_guard_hum_f.iff',0,0,0,0,-3833.47,0,-3756.39,36,'neutral',128,35,180),
 (4643,4,0,'object/mobile/dressed_corsair_guard_hum_f.iff',0,0,0,0,-3832.73,0,-3757.65,36,'neutral',128,35,180),
 (4644,4,0,'object/mobile/dressed_corsair_cutthroat_hum_f.iff',0,0,0,0,-3838.68,0,-3764.72,35,'neutral',128,35,180),
 (4645,4,0,'object/mobile/dressed_corsair_cutthroat_hum_f.iff',0,0,0,0,-3836.72,0,-3766.26,35,'neutral',128,35,180),
 (4646,4,0,'object/mobile/dressed_corsair_cutthroat_hum_f.iff',0,0,0,0,-3839.28,0,-3788.14,35,'neutral',128,35,180),
 (4647,4,0,'object/mobile/dressed_corsair_cutthroat_hum_f.iff',0,0,0,0,-3838.19,0,-3789.09,35,'neutral',128,35,180),
 (4648,4,0,'object/mobile/dressed_corsair_captain_hum_m.iff',0,0,0,0,-3886.93,0,-3805.57,50,'neutral',128,35,180),
 (4649,4,0,'object/mobile/dressed_corsair_pirate_weak_hum_f.iff',0,0,0,0,-3856.17,0,-3814.22,29,'neutral',128,35,180),
 (4650,4,0,'object/mobile/dressed_corsair_pirate_weak_hum_f.iff',0,0,0,0,-3855.94,0,-3814.78,29,'neutral',128,35,180),
 (4651,4,0,'object/mobile/dressed_corsair_pirate_weak_hum_f.iff',0,0,0,0,-3853.05,0,-3817.17,29,'neutral',128,35,180),
 (4652,4,0,'object/mobile/dressed_corsair_pirate_weak_hum_f.iff',0,0,0,0,-3907.36,0,-3802.34,29,'neutral',128,35,180),
 (4653,4,0,'object/mobile/dressed_corsair_pirate_weak_hum_f.iff',0,0,0,0,-3908.05,0,-3803.43,29,'neutral',128,35,180),
 (4654,4,0,'object/mobile/dressed_corsair_pirate_weak_hum_f.iff',0,0,0,0,-3907.85,0,-3800.5,29,'neutral',128,35,180),
 (4655,4,0,'object/mobile/dressed_corsair_guard_hum_f.iff',0,0,0,0,-3889.79,0,-3823.26,36,'neutral',128,35,180),
 (4656,4,0,'object/mobile/dressed_corsair_guard_hum_f.iff',0,0,0,0,-3891.17,0,-3822.06,36,'neutral',128,35,180),
 (4657,4,0,'object/mobile/dressed_corsair_scout_hum_f.iff',0,0,0,0,-3920.82,0,-3807.26,29,'neutral',128,35,180),
 (4658,4,0,'object/mobile/dressed_corsair_scout_hum_f.iff',0,0,0,0,-3922.01,0,-3806.78,29,'neutral',128,35,180),
 (4659,4,0,'object/mobile/dressed_corsair_scout_hum_f.iff',0,0,0,0,-3924.25,0,-3808.51,29,'neutral',128,35,180),
 (4660,4,0,'object/mobile/dressed_corsair_destroyer_hum_m.iff',0,0,0,0,-3843.46,0,-3740.67,45,'neutral',128,35,180),
 (4661,4,0,'object/mobile/dressed_corsair_destroyer_hum_m.iff',0,0,0,0,-3841.13,0,-3741.91,45,'neutral',128,35,180),
 (4662,4,0,'object/mobile/dressed_corsair_destroyer_hum_f.iff',0,0,0,0,-3786.02,0,-3889.48,40,'neutral',128,35,180),
 (4663,4,0,'object/mobile/dressed_corsair_pirate_strong_hum_f.iff',0,0,0,0,-3814.31,0,-3915.87,36,'neutral',128,35,180),
 (4664,4,0,'object/mobile/dressed_corsair_pirate_strong_hum_f.iff',0,0,0,0,-3814.52,0,-3914.79,36,'neutral',128,35,180),
 (4665,4,0,'object/mobile/dressed_corsair_destroyer_hum_f.iff',0,0,0,0,-3862.74,0,-3921.95,40,'neutral',128,35,180),
 (4666,4,0,'object/mobile/dressed_corsair_scout_hum_f.iff',0,0,0,0,-3809.99,0,-3971.04,29,'neutral',128,35,180),
 (4667,4,0,'object/mobile/dressed_corsair_scout_hum_f.iff',0,0,0,0,-3810.73,0,-3971.48,29,'neutral',128,35,180),
 (4668,4,0,'object/mobile/dressed_corsair_scout_hum_f.iff',0,0,0,0,-3882.35,0,-3970.2,29,'neutral',128,35,180),
 (4669,4,0,'object/mobile/dressed_corsair_scout_hum_f.iff',0,0,0,0,-3880.4,0,-3968.24,29,'neutral',128,35,180),
 (4670,4,0,'object/mobile/gurk.iff',0,0,0,0,-3761.13,0,-3478.55,30,'neutral',128,1,180),
 (4671,4,0,'object/mobile/gurk.iff',0,0,0,0,-3760.92,0,-3478.79,30,'neutral',128,1,180),
 (4672,4,0,'object/mobile/gurk.iff',0,0,0,0,-3762.08,0,-3478.89,30,'neutral',128,1,180),
 (4673,4,0,'object/mobile/gurk.iff',0,0,0,0,-3763.32,0,-3478.7,30,'neutral',128,1,180),
 (4674,4,0,'object/mobile/recluse_gurk_king.iff',0,0,0,0,-3764,0,-3469,45,'neutral',128,35,180),
 (4675,4,0,'object/mobile/stormtrooper.iff',0,0,0,0,-1844.59,0,-3064.84,25,'neutral',128,0,180),
 (4676,4,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-1987.38,0,-3032.3,32,'neutral',128,0,180),
 (4677,4,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-1886.53,0,-3117.1,32,'neutral',128,0,180),
 (4678,4,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-1973.01,0,-3020.4,32,'neutral',128,0,180),
 (4679,4,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-2002.46,0,-3073.19,22,'neutral',128,0,180),
 (4680,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1988.73,0,-3032.29,1,'neutral',128,0,180),
 (4681,4,8615421,'object/mobile/dressed_imperial_general_m.iff',0,0,0,0,19.18,1.01,21.65,28,'neutral',128,0,180),
 (4682,4,8615420,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-2.47,2.01,3.93,22,'neutral',128,0,180),
 (4683,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1881.24,0,-3177.33,1,'neutral',128,0,180),
 (4684,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1832.66,0,-3121.43,1,'neutral',128,0,180),
 (4685,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1829.47,0,-3055.71,1,'neutral',128,0,180),
 (4686,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1824.75,0,-3098.92,1,'neutral',128,0,180),
 (4687,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1864.62,0,-3117.3,1,'neutral',128,0,180),
 (4688,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1887.41,0,-3118.43,1,'neutral',128,0,180),
 (4689,4,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-1980.3,0,-3033.85,22,'neutral',128,0,180),
 (4690,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-2003.97,0,-3072.63,1,'neutral',128,0,180),
 (4691,4,8615420,'object/mobile/dressed_imperial_medic3_human_male_01.iff',0,0,0,0,1.97081,1.01,-8.96818,16,'neutral',128,0,180),
 (4692,4,8615420,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,2.82782,1.01,-0.408184,60,'neutral',128,0,180),
 (4693,4,8615420,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-6.31,1.01,-1.1,22,'neutral',128,0,180),
 (4694,4,8615420,'object/mobile/dressed_imperial_major_m.iff',0,0,0,0,-6.37,1.01,-3.93,1,'neutral',128,0,180),
 (4695,4,8615420,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-0.24,2.01,3.89,22,'neutral',128,0,180),
 (4696,4,8615420,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,3.11233,1.01,-11.7189,22,'neutral',128,0,180),
 (4697,4,8615420,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-7.29497,1.01,-9.9787,60,'neutral',128,0,180),
 (4698,4,8615422,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-18,1.01,18.7,60,'neutral',128,0,180),
 (4699,4,8615430,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,13.7,7.01,10,1,'neutral',128,0,180),
 (4700,4,8615430,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,6.3,7.01,9.6,1,'neutral',128,0,180),
 (4701,4,8615419,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-7.5,1.01,21,1,'neutral',128,0,180),
 (4702,4,8615419,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,9.7,1.01,21.7,1,'neutral',128,0,180),
 (4703,4,8615428,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-4.25493,7.00961,-10.3318,1,'neutral',128,0,180),
 (4704,4,8615428,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,10.3426,7.00978,-12.1486,1,'neutral',128,0,180),
 (4705,4,8615428,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,2.51915,7.00978,-3.77331,1,'neutral',128,0,180),
 (4706,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1888.4,0,-3117.24,1,'neutral',128,0,180),
 (4707,4,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0,0,0,-1973.81,0,-3021.62,32,'neutral',128,0,180),
 (4708,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-2003.1,0,-3071.26,1,'neutral',128,0,180),
 (4709,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1827.43,0,-3085.11,1,'neutral',128,0,180),
 (4710,4,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-1857.17,0,-3033.83,22,'neutral',128,0,180),
 (4711,4,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-1827.51,0,-3083.86,60,'neutral',128,0,180),
 (4712,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1999.99,0,-3072.35,1,'neutral',128,0,180),
 (4713,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1943.58,0,-3102.56,1,'neutral',128,0,180),
 (4714,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1820.07,0,-3086.91,1,'neutral',128,0,180),
 (4715,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1919.16,0,-3178.45,1,'neutral',128,0,180),
 (4716,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1832.7,0,-3051.63,1,'neutral',128,0,180),
 (4717,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1901.13,0,-2984.99,1,'neutral',128,0,180),
 (4718,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1899.96,0,-3058.17,1,'neutral',128,0,180),
 (4719,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1870.58,0,-3117.27,1,'neutral',128,0,180),
 (4720,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1963.96,0,-3006.12,1,'neutral',128,0,180),
 (4721,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1904.35,0,-3108.06,1,'neutral',128,0,180),
 (4722,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1970.7,0,-3028.1,1,'neutral',128,0,180),
 (4723,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1914.46,0,-3132.84,1,'neutral',128,0,180),
 (4724,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1960.93,0,-3151.4,1,'neutral',128,0,180),
 (4725,4,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0,0,0,-1821.8,0,-3118.72,1,'neutral',128,0,180),
 (4726,4,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0,0,0,-1891.56,0,-3175.97,1,'neutral',128,0,180),
 (4727,4,568978,'object/mobile/droideka.iff',0,0,0,0,-19.4994,-42.4514,-89.7155,32,'neutral',128,35,180),
 (4728,4,568978,'object/mobile/droideka.iff',0,0,0,0,-20.0661,-41.6519,-88.2371,32,'neutral',128,35,180),
 (4729,4,568961,'object/mobile/droideka.iff',0,0,0,0,-72.8105,-47.013,-66.2669,32,'neutral',128,35,180),
 (4730,4,568961,'object/mobile/droideka.iff',0,0,0,0,-69.8575,-46.9789,-63.7004,32,'neutral',128,35,180),
 (4731,4,568961,'object/mobile/droideka.iff',0,0,0,0,-69.2804,-46.9525,-63.4123,32,'neutral',128,35,180),
 (4732,4,568967,'object/mobile/droideka.iff',0,0,0,0,-103.861,-39.0618,-90.1406,32,'neutral',128,35,180),
 (4733,4,568967,'object/mobile/droideka.iff',0,0,0,0,-103.165,-38.949,-90.7798,32,'neutral',128,35,180),
 (4734,4,568965,'object/mobile/droideka.iff',0,0,0,0,-82.8853,-72.2447,-107.67,32,'neutral',128,35,180),
 (4735,4,568965,'object/mobile/droideka.iff',0,0,0,0,-84.7078,-72.2321,-108.151,32,'neutral',128,35,180),
 (4736,4,568965,'object/mobile/droideka.iff',0,0,0,0,-97.1487,-70.598,-107.476,32,'neutral',128,35,180),
 (4737,4,568984,'object/mobile/droideka.iff',0,0,0,0,-52.6974,-65.899,-175.005,32,'neutral',128,35,180),
 (4738,4,568967,'object/mobile/droideka.iff',0,0,0,0,-126.13,-53.8224,-80.0247,32,'neutral',128,35,180),
 (4739,4,568967,'object/mobile/droideka.iff',0,0,0,0,-127.61,-53.7945,-77.6944,32,'neutral',128,35,180),
 (4740,4,568967,'object/mobile/droideka.iff',0,0,0,0,-126.696,-53.8429,-80.5156,32,'neutral',128,35,180),
 (4741,4,568965,'object/mobile/droideka.iff',0,0,0,0,-108.565,-69.7008,-111.759,32,'neutral',128,35,180),
 (4742,4,568965,'object/mobile/droideka.iff',0,0,0,0,-108.477,-69.701,-111.832,32,'neutral',128,35,180),
 (4743,4,568965,'object/mobile/droideka.iff',0,0,0,0,-109.632,-69.7644,-112.014,32,'neutral',128,35,180),
 (4744,4,568965,'object/mobile/droideka.iff',0,0,0,0,-109.13,-69.7644,-113.383,32,'neutral',128,35,180),
 (4745,4,568984,'object/mobile/droideka.iff',0,0,0,0,-62.5842,-65.828,-195.56,32,'neutral',128,35,180),
 (4746,4,568962,'object/mobile/droideka.iff',0,0,0,0,-141.053,-49.5385,-58.1497,32,'neutral',128,35,180),
 (4747,4,568962,'object/mobile/droideka.iff',0,0,0,0,-143.504,-49.6781,-59.5247,32,'neutral',128,35,180),
 (4748,4,568962,'object/mobile/droideka.iff',0,0,0,0,-141.302,-49.5873,-59.9256,32,'neutral',128,35,180),
 (4749,4,568962,'object/mobile/droideka.iff',0,0,0,0,-139.349,-49.5114,-60.5468,32,'neutral',128,35,180),
 (4750,4,568985,'object/mobile/droideka.iff',0,0,0,0,-60.2451,-65.1552,-226.784,32,'neutral',128,35,180),
 (4751,4,568961,'object/mobile/ig_assassin_droid.iff',0,0,0,0,-77.3635,-46.7192,-58.7179,15,'neutral',128,33,180),
 (4752,4,568961,'object/mobile/ig_assassin_droid.iff',0,0,0,0,-76.8193,-46.5837,-55.0339,15,'neutral',128,33,180),
 (4753,4,568961,'object/mobile/droideka.iff',0,0,0,0,-67.5879,-30.97,-62.4046,32,'neutral',128,35,180),
 (4754,4,568972,'object/mobile/ig_assassin_droid.iff',0,0,0,0,-113.622,-58.3549,-31.0468,15,'neutral',128,33,180),
 (4755,4,568972,'object/mobile/ig_assassin_droid.iff',0,0,0,0,-115.402,-58.4006,-32.8891,15,'neutral',128,33,180),
 (4756,4,568966,'object/mobile/droideka.iff',0,0,0,0,-171.272,-49.61,-68.2734,32,'neutral',128,35,180),
 (4757,4,568984,'object/mobile/droideka.iff',0,0,0,0,-42.0314,-66.12,-183.467,32,'neutral',128,35,180),
 (4758,4,568966,'object/mobile/droideka.iff',0,0,0,0,-170.703,-49.5775,-68.417,32,'neutral',128,35,180),
 (4759,4,568984,'object/mobile/droideka.iff',0,0,0,0,-86.969,-65.514,-187.487,32,'neutral',128,35,180),
 (4760,4,568984,'object/mobile/droideka.iff',0,0,0,0,-75.2007,-65.6829,-175.593,32,'neutral',128,35,180),
 (4761,4,568967,'object/mobile/droideka.iff',0,0,0,0,-111.205,-54.493,-84.491,32,'neutral',128,35,180),
 (4762,4,568984,'object/mobile/ig_assassin_droid.iff',0,0,0,0,-86.6708,-65.9381,-167.544,15,'neutral',128,33,180),
 (4763,4,568983,'object/mobile/ig_assassin_droid.iff',0,0,0,0,41.8398,-67.2176,-67.2497,15,'neutral',128,33,180),
 (4764,4,568983,'object/mobile/ig_assassin_droid.iff',0,0,0,0,39.2876,-66.9251,-67.7522,15,'neutral',128,33,180),
 (4765,4,568983,'object/mobile/ig_assassin_droid.iff',0,0,0,0,40.4065,-67.0679,-68.877,15,'neutral',128,33,180),
 (4766,4,568982,'object/mobile/ig_assassin_droid.iff',0,0,0,0,2.46388,-71.6313,-115.099,15,'neutral',128,33,180),
 (4767,4,568982,'object/mobile/ig_assassin_droid.iff',0,0,0,0,3.99628,-71.924,-114.258,15,'neutral',128,33,180),
 (4768,4,568983,'object/mobile/droideka.iff',0,0,0,0,43.6685,-65.7202,-85.5619,32,'neutral',128,35,180),
 (4769,4,568978,'object/mobile/droideka.iff',0,0,0,0,-31.7296,-43.7401,-92.6785,32,'neutral',128,35,180),
 (4770,4,568978,'object/mobile/droideka.iff',0,0,0,0,-31.2047,-43.7331,-92.9632,32,'neutral',128,35,180),
 (4771,4,568983,'object/mobile/droideka.iff',0,0,0,0,28.7101,-67.4849,-92.8715,32,'neutral',128,35,180),
 (4772,4,568983,'object/mobile/droideka.iff',0,0,0,0,26.9429,-67.3026,-92.3332,32,'neutral',128,35,180),
 (4773,4,568981,'object/mobile/droideka.iff',0,0,0,0,-63.2977,-66.0882,-139.139,32,'neutral',128,35,180),
 (4774,4,568981,'object/mobile/droideka.iff',0,0,0,0,-63.8009,-66.0369,-139.819,32,'neutral',128,35,180),
 (4775,4,568979,'object/mobile/ig_assassin_droid.iff',0,0,0,0,-123.104,-53.7857,-111.913,15,'neutral',128,33,180),
 (4776,4,568979,'object/mobile/ig_assassin_droid.iff',0,0,0,0,-123.7,-53.8558,-110.666,15,'neutral',128,33,180),
 (4777,4,568983,'object/mobile/droideka.iff',0,0,0,0,35.4725,-68.9676,-102.414,32,'neutral',128,35,180),
 (4778,4,568958,'object/mobile/droideka.iff',0,0,0,0,-12.0153,-30.5936,-46.66,32,'neutral',128,35,180),
 (4779,5,6335650,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,73.0528,-12,58.381,60,'neutral',128,0,180),
 (4780,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,58.0794,-12,1.34274,35,'neutral',128,0,180),
 (4781,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,61.306,-12,0.0155749,35,'neutral',128,0,180),
 (4782,5,6335647,'object/mobile/dark_trooper.iff',0,0,0,0,-74.8116,-20,78.1938,35,'neutral',128,0,180),
 (4783,5,6335647,'object/mobile/dark_trooper.iff',0,0,0,0,-73.7573,-20,74.1152,35,'neutral',128,0,180),
 (4784,5,6335647,'object/mobile/dark_trooper.iff',0,0,0,0,-72.8036,-20,76.1443,35,'neutral',128,0,180),
 (4785,5,6335647,'object/mobile/dark_trooper.iff',0,0,0,0,-71.9375,-20,74.9699,35,'neutral',128,0,180),
 (4786,5,6335645,'object/mobile/dark_trooper.iff',0,0,0,0,-70.8131,-20,65.649,35,'neutral',128,0,180),
 (4787,5,6335645,'object/mobile/dark_trooper.iff',0,0,0,0,-72.6151,-20,65.6006,35,'neutral',128,0,180),
 (4788,5,6335645,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-57.5335,-20,62.9942,22,'neutral',128,0,180),
 (4789,5,6335645,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-59.4221,-20,63.598,22,'neutral',128,0,180),
 (4790,5,6335645,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-56.3625,-20,66.8888,22,'neutral',128,0,180),
 (4791,5,6335645,'object/mobile/dressed_imperial_general_m.iff',0,0,0,0,-75.9312,-20,49.2464,26,'neutral',128,0,180),
 (4792,5,6335646,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-75.4694,-20,10.0471,1,'neutral',128,0,180),
 (4793,5,6335645,'object/mobile/dark_trooper.iff',0,0,0,0,-73.4622,-20,26.7658,35,'neutral',128,0,180),
 (4794,5,6335645,'object/mobile/dark_trooper.iff',0,0,0,0,-73.9559,-20,32.3263,35,'neutral',128,0,180),
 (4795,5,6335645,'object/mobile/dark_trooper.iff',0,0,0,0,-64.9943,-20,51.475,35,'neutral',128,0,180),
 (4796,5,6335645,'object/mobile/dark_trooper.iff',0,0,0,0,-62.5533,-20,54.2541,35,'neutral',128,0,180),
 (4797,5,6335645,'object/mobile/dark_trooper.iff',0,0,0,0,-61.1144,-20,51.4331,35,'neutral',128,0,180),
 (4798,5,6335646,'object/mobile/dark_trooper.iff',0,0,0,0,-67.7876,-20,16.799,35,'neutral',128,0,180),
 (4799,5,6335646,'object/mobile/dark_trooper.iff',0,0,0,0,-71.4415,-20,19.0178,35,'neutral',128,0,180),
 (4800,5,6335646,'object/mobile/dark_trooper.iff',0,0,0,0,-68.1352,-20,17.4588,35,'neutral',128,0,180),
 (4801,5,6335651,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,35.2884,-20,143.698,1,'neutral',128,0,180),
 (4802,5,6335651,'object/mobile/dressed_imperial_exterminator.iff',0,0,0,0,38.7069,-20,139.098,28,'neutral',128,0,180),
 (4803,5,6335651,'object/mobile/dark_trooper.iff',0,0,0,0,33.5029,-20,117.093,35,'neutral',128,0,180),
 (4804,5,6335651,'object/mobile/dark_trooper.iff',0,0,0,0,28.5469,-20,119.119,35,'neutral',128,0,180),
 (4805,5,6335649,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,71.3139,-12,82.7743,60,'neutral',128,0,180),
 (4806,5,6335657,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-9.49691,-20,101.325,1,'neutral',128,0,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (4807,5,6335651,'object/mobile/dark_trooper.iff',0,0,0,0,15.8486,-20,120.754,35,'neutral',128,0,180),
 (4808,5,6335651,'object/mobile/dark_trooper.iff',0,0,0,0,11.7203,-20,122.346,35,'neutral',128,0,180),
 (4809,5,6335651,'object/mobile/dark_trooper.iff',0,0,0,0,15.1597,-20,123.489,35,'neutral',128,0,180),
 (4810,5,6335643,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,5.64265,-12,62.1227,15,'neutral',128,0,180),
 (4811,5,6335643,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,4.16069,-12,60.0852,15,'neutral',128,0,180),
 (4812,5,6335643,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,7.15969,-12,58.1926,15,'neutral',128,0,180),
 (4813,5,6335643,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,3.65376,-12,67.493,1,'neutral',128,0,180),
 (4814,5,6335643,'object/mobile/dark_trooper.iff',0,0,0,0,23.772,-12,48.853,35,'neutral',128,0,180),
 (4815,5,6335643,'object/mobile/dark_trooper.iff',0,0,0,0,23.4361,-12,52.9453,35,'neutral',128,0,180),
 (4816,5,6335659,'object/mobile/dark_trooper.iff',0,0,0,0,-0.570365,-20,76.1657,35,'neutral',128,0,180),
 (4817,5,6335659,'object/mobile/dark_trooper.iff',0,0,0,0,-2.09977,-20,76.4725,35,'neutral',128,0,180),
 (4818,5,6335659,'object/mobile/dark_trooper.iff',0,0,0,0,-6.88214,-20,76.556,35,'neutral',128,0,180),
 (4819,5,6335650,'object/mobile/dark_trooper.iff',0,0,0,0,45.7861,-12,57.1328,35,'neutral',128,0,180),
 (4820,5,6335650,'object/mobile/dark_trooper.iff',0,0,0,0,48.9336,-12,57.8799,35,'neutral',128,0,180),
 (4821,5,6335650,'object/mobile/dark_trooper.iff',0,0,0,0,46.3574,-12,59.3605,35,'neutral',128,0,180),
 (4822,5,6335649,'object/mobile/dark_trooper.iff',0,0,0,0,48.1131,-12,85.5281,35,'neutral',128,0,180),
 (4823,5,6335649,'object/mobile/dark_trooper.iff',0,0,0,0,48.0592,-12,83.901,35,'neutral',128,0,180),
 (4824,5,6335649,'object/mobile/dark_trooper.iff',0,0,0,0,49.1392,-12,80.8613,35,'neutral',128,0,180),
 (4825,5,6335648,'object/mobile/dark_trooper.iff',0,0,0,0,36.0508,-12,84.2784,35,'neutral',128,0,180),
 (4826,5,6335648,'object/mobile/dark_trooper.iff',0,0,0,0,34.3725,-12,86.9625,35,'neutral',128,0,180),
 (4827,5,6335657,'object/mobile/dark_trooper.iff',0,0,0,0,-10.0563,-20,96.7655,35,'neutral',128,0,180),
 (4828,5,6335657,'object/mobile/dark_trooper.iff',0,0,0,0,-13.49,-20,98.8534,35,'neutral',128,0,180),
 (4829,5,6335643,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,23.1275,-12,43.8315,60,'neutral',128,0,180),
 (4830,5,6335643,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,1.66989,-12,32.0126,60,'neutral',128,0,180),
 (4831,5,6335643,'object/mobile/dark_trooper.iff',0,0,0,0,3.30225,-12,25.0645,35,'neutral',128,0,180),
 (4832,5,6335643,'object/mobile/dark_trooper.iff',0,0,0,0,5.7315,-12,24.9838,35,'neutral',128,0,180),
 (4833,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,46.9072,-12,13.8579,35,'neutral',128,0,180),
 (4834,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,44.3986,-12,10.6972,35,'neutral',128,0,180),
 (4835,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,43.0176,-12,9.93895,35,'neutral',128,0,180),
 (4836,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,44.7515,-12,20.5375,35,'neutral',128,0,180),
 (4837,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,44.0444,-12,19.5105,35,'neutral',128,0,180),
 (4838,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,21.4126,-12,11.9898,35,'neutral',128,0,180),
 (4839,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,21.2811,-12,16.397,35,'neutral',128,0,180),
 (4840,5,6335652,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,39.1865,-12,13.8709,22,'neutral',128,0,180),
 (4841,5,6335652,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,36.8164,-12,20.2197,22,'neutral',128,0,180),
 (4842,5,6335659,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-5.45532,-20,67.8655,15,'neutral',128,0,180),
 (4843,5,6335659,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-4.88807,-20,71.6704,15,'neutral',128,0,180),
 (4844,5,6335659,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-4.97205,-20,69.1183,15,'neutral',128,0,180),
 (4845,5,6335648,'object/mobile/dark_trooper.iff',0,0,0,0,33.6148,-12,35.4732,35,'neutral',128,0,180),
 (4846,5,6335648,'object/mobile/dark_trooper.iff',0,0,0,0,30.7993,-12,33.9577,35,'neutral',128,0,180),
 (4847,5,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-6511.78,0,-3311.19,22,'neutral',128,0,180),
 (4848,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,-6504.62,0,-3307.9,35,'neutral',128,0,180),
 (4849,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,-6505.81,0,-3308.04,35,'neutral',128,0,180),
 (4850,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,-6506.43,0,-3307.9,35,'neutral',128,0,180),
 (4851,5,6335657,'object/mobile/dark_trooper.iff',0,0,0,0,-29.7225,-20,95.0582,35,'neutral',128,0,180),
 (4852,5,6335657,'object/mobile/dark_trooper.iff',0,0,0,0,-37.3046,-20,97.14,35,'neutral',128,0,180),
 (4853,5,6335657,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-35.8713,-20,102.257,1,'neutral',128,0,180),
 (4854,5,6335643,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-16.1949,-12,43.8587,60,'neutral',128,0,180),
 (4855,5,6335643,'object/mobile/dark_trooper.iff',0,0,0,0,-19.6626,-12,48.6668,35,'neutral',128,0,180),
 (4856,5,6335643,'object/mobile/dark_trooper.iff',0,0,0,0,-14.5957,-12,50.6252,35,'neutral',128,0,180),
 (4857,5,0,'object/mobile/atst.iff',0,0,0,0,-6479.85,0,-3330.99,100,'neutral',128,0,1800),
 (4858,5,6335656,'object/mobile/dark_trooper.iff',0,0,0,0,-31.155,-20,65.2032,35,'neutral',128,0,180),
 (4859,5,6335656,'object/mobile/dark_trooper.iff',0,0,0,0,-29.6366,-20,65.2499,35,'neutral',128,0,180),
 (4860,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,31.4688,-12,4.01341,35,'neutral',128,0,180),
 (4861,5,6335652,'object/mobile/dark_trooper.iff',0,0,0,0,33.7954,-12,7.85718,35,'neutral',128,0,180),
 (4862,5,6335647,'object/mobile/dressed_imperial_inquisitor_human_male_01.iff',0,0,0,0,-48.5804,-20,77.4282,120,'neutral',128,0,180),
 (4863,5,6335656,'object/mobile/dark_trooper.iff',0,0,0,0,-30.5259,-20,29.3622,35,'neutral',128,0,180),
 (4864,5,6335656,'object/mobile/dark_trooper.iff',0,0,0,0,-29.985,-20,30.563,35,'neutral',128,0,180),
 (4865,5,6335644,'object/mobile/dark_trooper.iff',0,0,0,0,-41.8011,-20,46.1981,35,'neutral',128,0,180),
 (4866,5,6335644,'object/mobile/dark_trooper.iff',0,0,0,0,-40.2271,-20,47.3302,35,'neutral',128,0,180),
 (4867,5,6335644,'object/mobile/dark_trooper.iff',0,0,0,0,-44.5188,-20,46.5469,35,'neutral',128,0,180),
 (4868,5,6335640,'object/mobile/dark_trooper.iff',0,0,0,0,0.396301,0.25,2.18481,35,'neutral',128,0,180),
 (4869,5,6335640,'object/mobile/dark_trooper.iff',0,0,0,0,0.144554,0.25,4.1565,35,'neutral',128,0,180),
 (4870,5,6335654,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-16.21,-20,6.83947,15,'neutral',128,0,180),
 (4871,5,6335654,'object/mobile/dressed_imperial_officer_m_2.iff',0,0,0,0,-18.9396,-20,7.37634,15,'neutral',128,0,180),
 (4872,5,0,'object/mobile/atst.iff',0,0,0,0,-6531.6,0,-3332.27,100,'neutral',128,0,1800),
 (4873,5,6335645,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-57.03,-20,31.8162,22,'neutral',128,0,180),
 (4874,5,6335654,'object/mobile/dark_trooper.iff',0,0,0,0,-15.648,-20,-2.72702,35,'neutral',128,0,180),
 (4875,5,6335654,'object/mobile/dark_trooper.iff',0,0,0,0,-14.8228,-20,1.82935,35,'neutral',128,0,180),
 (4876,5,6335654,'object/mobile/dark_trooper.iff',0,0,0,0,-17.489,-20,-2.78078,35,'neutral',128,0,180),
 (4877,5,6335646,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-50.6929,-20,17.1446,1,'neutral',128,0,180),
 (4878,5,6335646,'object/mobile/dressed_imperial_colonel_m.iff',0,0,0,0,-60.3899,-20,7.88672,1,'neutral',128,0,180),
 (4879,5,6335646,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-65.1346,-20,13.1448,30,'neutral',128,0,180),
 (4880,5,0,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,-6499.47,0,-3247.96,42,'neutral',128,0,180),
 (4881,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6495.99,0,-3248.58,25,'neutral',128,0,180),
 (4882,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6493.78,0,-3255.57,25,'neutral',128,0,180),
 (4883,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6488.16,0,-3252.3,25,'neutral',128,0,180),
 (4884,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6503.71,0,-3254.29,25,'neutral',128,0,180),
 (4885,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-6494.4,0,-3258.32,25,'neutral',128,0,180),
 (4886,5,0,'object/mobile/atst.iff',0,0,0,0,-6500.51,0,-3270.09,100,'neutral',128,0,1800),
 (4887,5,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0,0,0,-6508.07,0,-3270.66,60,'neutral',128,0,180),
 (4888,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,-6495.17,0,-3287.04,29,'neutral',128,0,180),
 (4889,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,-6494.39,0,-3288.16,29,'neutral',128,0,180),
 (4890,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2857.96,0,1086.93,16,'neutral',128,35,180),
 (4891,5,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,2857.98,0,-1089.66,11,'neutral',128,35,180),
 (4892,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2863.93,0,1091.12,16,'neutral',128,35,180),
 (4893,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2865.29,0,1140.64,16,'neutral',128,35,180),
 (4894,5,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,2882.66,0,1155.11,11,'neutral',128,35,180),
 (4895,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2880.02,0,1146.29,16,'neutral',128,35,180),
 (4896,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2895.38,0,1189.01,16,'neutral',128,35,180),
 (4897,5,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,2894.01,0,1189.15,11,'neutral',128,35,180),
 (4898,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2888.55,0,1193.52,16,'neutral',128,35,180),
 (4899,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2977.88,0,1136.1,16,'neutral',128,35,180),
 (4900,5,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,2982.78,0,1124.13,11,'neutral',128,35,180),
 (4901,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2973.94,0,1122.06,16,'neutral',128,35,180),
 (4902,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2948.93,0,1090.35,16,'neutral',128,35,180),
 (4903,5,0,'object/mobile/dressed_mauler_apprentice.iff',0,0,0,0,2954.23,0,1085.58,11,'neutral',128,35,180),
 (4904,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2944.9,0,1104.06,16,'neutral',128,35,180),
 (4905,5,0,'object/mobile/dressed_mauler_master.iff',0,0,0,0,2912.62,0,1120.51,54,'neutral',128,35,180),
 (4906,5,0,'object/mobile/dressed_mauler_lord.iff',0,0,0,0,2909.78,0,1120.36,27,'neutral',128,35,180),
 (4907,5,0,'object/mobile/dressed_mauler_acolyte.iff',0,0,0,0,2891.27,0,1108.89,14,'neutral',128,35,180),
 (4908,5,0,'object/mobile/dressed_mauler_acolyte.iff',0,0,0,0,2890.13,0,1117.28,14,'neutral',128,35,180),
 (4909,5,0,'object/mobile/dressed_mauler_acolyte.iff',0,0,0,0,2921.02,0,1140.16,14,'neutral',128,35,180),
 (4910,5,0,'object/mobile/dressed_mauler_acolyte.iff',0,0,0,0,2903.11,0,1142.82,14,'neutral',128,35,180),
 (4911,5,0,'object/mobile/dressed_mauler.iff',0,0,0,0,2903.48,0,1128.44,16,'neutral',128,35,180),
 (4912,5,1696447,'object/mobile/dressed_mauler_acolyte.iff',0,0,0,0,-4.53203,0.7,-0.105848,14,'neutral',128,35,180),
 (4913,5,1696446,'object/mobile/dressed_mauler_acolyte.iff',0,0,0,0,4.50644,0.7,-4.96186,14,'neutral',128,35,180),
 (4914,5,0,'object/mobile/gungan_s02_male.iff',0.0297456,0,0,0.999557,5331.01,326.568,-1558.65,15,'conversation',264,0,60),
 (4915,5,0,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0,0.845391,0,0.534148,5360.86,326.998,-1552.36,15,'calm',264,0,60),
 (4916,5,0,'object/mobile/dressed_bountyhunter_trainer_01.iff',0,0.999557,0.0297456,0,5331.01,326.509,-1557.65,15,'conversation',264,0,60),
 (4917,5,0,'object/mobile/r3.iff',0,-0.487828,0,0.87294,5299.96,329.566,-1599.64,15,'calm',264,0,60),
 (4918,5,0,'object/mobile/r3.iff',0,-0.625995,0,0.779827,5306.49,320.921,-1565.57,15,'calm',264,0,60),
 (4919,5,0,'object/mobile/eg6_power_droid.iff',0,-0.56496,0,0.825118,5319.64,326.116,-1586.29,15,'calm',264,0,60),
 (4920,5,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0.981313,0,-0.192419,5326.29,326.118,-1563.17,15,'npc_imperial',264,0,60),
 (4921,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,0.981301,0,-0.192478,5326.95,326.179,-1564.89,15,'npc_imperial',264,0,60),
 (4922,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.981312,0,-0.192426,5327.71,326.348,-1563.01,15,'neutral',264,0,60),
 (4923,5,0,'object/mobile/dressed_imperial_officer_m_5.iff',0,0.937703,0,-0.347437,5185.79,326.062,-1554.38,15,'neutral',264,0,60),
 (4924,5,0,'object/mobile/dressed_stormtrooper_m.iff',0.00448646,0.990212,-0.131933,0.045315,5178.3,318.973,-1578,15,'neutral',264,0,60),
 (4925,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,-0.622515,0,0.782608,5177.1,326,-1552.9,15,'neutral',264,0,60),
 (4926,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.913545,0,0.406737,5163.4,346.5,-1522,15,'neutral',264,0,60),
 (4927,5,0,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0,0,0,1,5168.81,346.5,-1500.16,15,'conversation',264,0,60),
 (4928,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,1,0,0,5168.81,346.5,-1499.16,15,'conversation',264,0,60),
 (4929,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,0.963936,0,-0.266133,5147.08,346.5,-1532.98,15,'calm',264,0,60),
 (4930,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.951057,0,0.309017,5165.1,346.5,-1484.6,15,'neutral',264,0,60),
 (4931,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.212383,0,0.977187,5109.29,350,-1553.02,15,'calm',264,0,60),
 (4932,5,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.772703,0,-0.634767,5077.95,350,-1494.55,15,'calm',264,0,60),
 (4933,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,-0.346563,0,0.938027,5114.68,350,-1427.31,15,'calm',264,0,60),
 (4934,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.748956,0,0.66262,5048.7,352.886,-1530.8,15,'neutral',264,0,60),
 (4935,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0.941503,0,-0.337005,5170.98,350,-1407.79,15,'calm',264,0,60),
 (4936,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0.214559,0,0.976711,5057.39,360,-1457.28,15,'calm',264,0,60),
 (4937,5,0,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0,0,0,1,5185.84,350,-1388.11,15,'conversation',264,0,60),
 (4938,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,1,0,0,5185.84,350,-1387.11,15,'conversation',264,0,60),
 (4939,5,0,'object/mobile/gungan_s03_male.iff',0,0,0,1,5012.47,360,-1495.11,15,'conversation',264,0,60),
 (4940,5,0,'object/mobile/dressed_crook_zabrak_female_01.iff',0,1,0,0,5012.47,360,-1494.11,15,'conversation',264,0,60),
 (4941,5,1419019,'object/mobile/dressed_imperial_officer_m_5.iff',-2.49259e-06,-2.34117e-05,-5.83558e-11,1,-21.4447,1.6,-14.0882,15,'conversation',264,0,60),
 (4942,5,1419019,'object/mobile/dressed_royal_officer_human_female_01.iff',-7.9966e-11,1,2.49252e-06,3.20824e-05,-21.4447,1.6,-12.9882,15,'conversation',264,0,60),
 (4943,5,1419019,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,0.509632,0,0.860393,-24,1.6,-4,15,'calm',264,0,60),
 (4944,5,1419017,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',-2.7419e-06,-2.95648e-05,-8.10473e-11,1,-5.23823,1.6,-8.58102,15,'conversation',264,0,60),
 (4945,5,1419017,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',2.60083e-10,1,2.7418e-06,-9.489e-05,-5.23823,1.6,-7.58102,15,'conversation',264,0,60),
 (4946,5,1419014,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',4.6058e-06,-4.85506e-05,2.23614e-10,1,26.2736,1.28309,-1.22541,15,'conversation',264,0,60),
 (4947,5,1419014,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',3.19412e-11,1,-4.60582e-06,6.93497e-06,26.2736,1.28309,-0.125408,15,'conversation',264,0,60),
 (4948,5,1419015,'object/mobile/dressed_mercenary_weak_hum_f.iff',-2.3842e-06,3.81449e-05,9.0945e-11,1,-16.3737,1.6,11.471,15,'conversation',264,0,60),
 (4949,5,1419015,'object/mobile/dressed_rsf_security_officer.iff',-2.28348e-10,1,2.43835e-06,9.36484e-05,-16.3737,1.6,12.571,15,'conversation',264,0,60),
 (4950,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,-0.375432,0,0.92685,4997.93,360,-1460.84,15,'calm',264,0,60),
 (4951,5,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0,-0.611179,0,0.791493,4958.31,360,-1419.21,15,'calm',264,0,60),
 (4952,5,0,'object/mobile/eg6_power_droid.iff',0,-0.45941,0,0.888224,4992.46,360,-1470.23,15,'calm',264,0,60),
 (4953,5,0,'object/mobile/r5.iff',0,-0.706067,0,0.708145,4991.46,360,-1469.23,15,'calm',264,0,60),
 (4954,5,0,'object/mobile/r2.iff',0,0.802204,0,0.59705,4993.46,360,-1470.23,15,'calm',264,0,60),
 (4955,5,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,-0.289624,0,0.957141,4994.93,360,-1500.28,15,'calm',264,0,60),
 (4956,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,0.219506,0,0.975611,4933.21,360,-1372.51,15,'calm',264,0,60),
 (4957,5,0,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,0,0,1,4963.13,360.6,-1488.54,15,'conversation',264,0,60),
 (4958,5,0,'object/mobile/dressed_bountyhunter_trainer_03.iff',0,1,0,0,4963.13,360.6,-1487.54,15,'conversation',264,0,60),
 (4959,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.997564,0,-0.0697564,4914.6,360,-1397.6,15,'neutral',264,0,60),
 (4960,5,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,0.872016,0,-0.489478,4893.76,360,-1377.42,15,'calm',264,0,60),
 (4961,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,0.33763,0,0.941279,5012.26,360,-1459.85,15,'calm',264,0,60),
 (4962,5,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,-0.352352,0,0.935868,4887.82,360,-1397.11,15,'neutral',264,0,60),
 (4963,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.758912,0,-0.651193,4863.71,360,-1388.88,15,'neutral',264,0,60),
 (4964,5,2725360,'object/mobile/dressed_rsf_security_officer.iff',-3.79308e-06,1.40628e-05,5.33412e-11,1,2.01993,2.12878,75.6565,15,'conversation',264,0,60),
 (4965,5,2725360,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',-9.30713e-11,1,3.79245e-06,2.45412e-05,2.01993,2.12878,76.7565,15,'conversation',264,0,60),
 (4966,5,2725360,'object/mobile/dressed_noble_fat_human_male_02.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (4967,5,2725360,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (4968,5,2725359,'object/mobile/dressed_noble_fat_zabrak_male_02.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (4969,5,2725358,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0.0479209,2.09546e-05,-1.00532e-06,0.998851,-16.4013,1.03616,39.5066,15,'conversation',264,0,60),
 (4970,5,2725358,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',9.2272e-07,0.99885,0.0479431,-1.9224e-05,-16.4012,0.931264,40.597,15,'conversation',264,0,60),
 (4971,5,2725353,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',-2.70914e-06,1.73694e-05,4.70561e-11,1,10.629,0.6,-8.84614,15,'conversation',264,0,60),
 (4972,5,2725353,'object/mobile/dressed_rsf_security_guard.iff',7.51723e-11,1,2.70909e-06,-2.77482e-05,10.629,0.6,-7.74614,15,'conversation',264,0,60),
 (4973,5,2725353,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',-7.33063e-07,0.923892,1.76994e-06,0.382652,9.52903,0.6,-7.74614,15,'conversation',264,0,60),
 (4974,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,-0.59642,0,0.802672,4856.73,360,-1356.73,15,'calm',264,0,60),
 (4975,5,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.836004,0,0.548724,4854.03,360,-1408.46,15,'calm',264,0,60),
 (4976,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0.879121,0,0.476599,4947.86,360,-1535.93,15,'calm',264,0,60),
 (4977,5,0,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,0.986412,0,-0.164289,4875.5,360,-1524.54,15,'calm',264,0,60),
 (4978,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,0.870839,0,0.491569,4817.4,336.5,-1477.03,15,'calm',264,0,60),
 (4979,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.423166,0,0.906052,4791.56,335.707,-1475.86,15,'calm',264,0,60),
 (4980,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,-0.589207,0,0.807982,4932.12,360,-1560.14,15,'calm',264,0,60),
 (4981,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,-0.31027,0,0.950649,4700.69,330,-1440.46,15,'calm',264,0,60),
 (4982,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.973741,0,0.22766,4717.38,330,-1398.67,15,'calm',264,0,60),
 (4983,5,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.658286,0,0.752768,4745.23,329.931,-1356.99,15,'calm',264,0,60),
 (4984,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.629591,0,0.776926,4685.67,330,-1361.02,15,'calm',264,0,60),
 (4985,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,-0.331086,0,0.9436,4691.08,330,-1348.89,15,'neutral',264,0,60),
 (4986,5,0,'object/mobile/r2.iff',0,0.916323,0,-0.400441,4724.81,330,-1352.18,15,'calm',264,0,60),
 (4987,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,-0.3311,0,0.943596,4696.38,330,-1355.52,15,'npc_imperial',264,0,60),
 (4988,5,0,'object/mobile/dark_trooper.iff',0,-0.331086,0,0.943601,4696,330,-1353.08,15,'npc_imperial',264,0,60),
 (4989,5,0,'object/mobile/r2.iff',0,0.811242,0,0.58471,4723.81,330,-1353.18,15,'calm',264,0,60),
 (4990,5,0,'object/mobile/r2.iff',0,-0.617037,0,0.786934,4724.81,330,-1353.18,15,'calm',264,0,60),
 (4991,5,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,0.914825,0,-0.40385,4751.02,330,-1284.86,15,'calm',264,0,60),
 (4992,5,0,'object/mobile/gungan_s04_male.iff',0,0,0,1,4722.63,332.5,-1298.05,15,'conversation',264,0,60),
 (4993,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,1,0,0,4722.63,332.5,-1297.05,15,'conversation',264,0,60),
 (4994,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0,0,1,4701.18,330,-1313.92,15,'conversation',264,0,60),
 (4995,5,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,0.963476,0,0.267795,4695.75,330.02,-1286,15,'calm',264,0,60),
 (4996,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,0.402714,0,0.915326,4616.31,330,-1379.2,15,'calm',264,0,60),
 (4997,5,1945398,'object/mobile/dressed_rsf_pilot.iff',9.53545e-07,-9.53545e-07,8.99301e-13,1,17.3153,3.22324,-27.7856,15,'conversation',264,0,60),
 (4998,5,1945398,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',-1.03381e-11,1,-1.07297e-06,-9.53749e-06,17.3153,3.22324,-26.7856,15,'conversation',264,0,60),
 (4999,5,1945397,'object/mobile/dressed_imperial_officer_m_6.iff',1.734e-06,1.76294e-06,-3.05693e-12,1,33.1704,1.29422,1.82424,15,'conversation',264,0,60),
 (5000,5,1945397,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-2.98093e-12,1,-1.73389e-06,-1.71922e-06,33.1704,1.29422,2.92424,15,'conversation',264,0,60),
 (5001,5,1945396,'object/mobile/dressed_commoner_naboo_human_male_04.iff',7.58599e-07,-6.95524e-06,5.27624e-12,1,21.8846,3.22324,27.3395,15,'conversation',264,0,60),
 (5002,5,1945396,'object/mobile/dressed_rsf_palace_guard.iff',-9.76683e-12,1,-8.66973e-07,-1.12654e-05,21.8846,3.22324,28.4395,15,'conversation',264,0,60),
 (5003,5,1945396,'object/mobile/dressed_commoner_fat_human_female_02.iff',2.34601e-07,0.923882,-5.66387e-07,0.382677,20.7846,3.22324,28.4395,15,'conversation',264,0,60),
 (5004,5,1945395,'object/mobile/gungan_male.iff',5.41827e-07,4.33234e-05,-2.34738e-11,1,-20.0822,3.22324,22.2463,15,'conversation',264,0,60),
 (5005,5,1945395,'object/mobile/dressed_philosopher.iff',2.11317e-11,1,-5.41887e-07,3.89964e-05,-20.0822,3.22324,23.3463,15,'conversation',264,0,60),
 (5006,5,1945394,'object/mobile/dressed_commoner_naboo_human_male_08.iff',1.79232e-06,4.38608e-05,0.000102783,1,-35.2409,1.29422,-1.5257,15,'conversation',264,0,60),
 (5007,5,1945394,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',6.70161e-11,1,-1.84798e-06,3.62442e-05,-35.2409,1.29422,-0.525697,15,'conversation',264,0,60),
 (5008,5,1945393,'object/mobile/dressed_commoner_naboo_human_female_08.iff',7.58629e-07,1.73045e-05,-1.31277e-11,1,-24.5868,3.22324,-35.1659,15,'conversation',264,0,60),
 (5009,5,1945393,'object/mobile/dressed_scout_trooper_white_white.iff',1.05189e-11,1,-7.58574e-07,1.38667e-05,-24.5868,3.22324,-34.0659,15,'neutral',264,0,60),
 (5010,5,1945393,'object/mobile/gungan_s04_male.iff',2.05268e-07,0.923881,-4.95566e-07,0.382681,-25.6868,3.22324,-34.0659,15,'conversation',264,0,60),
 (5011,5,1945393,'object/mobile/gungan_male.iff',7.58558e-07,-1.2836e-06,9.73683e-13,1,-15.1955,3.22324,-28.7307,15,'conversation',264,0,60),
 (5012,5,1945393,'object/mobile/gungan_s04_male.iff',-4.5568e-12,1,-8.6702e-07,-5.2557e-06,-15.1955,3.22324,-27.6307,15,'conversation',264,0,60),
 (5013,5,1945392,'object/mobile/dressed_rebel_trooper_human_male_01.iff',-3.61775e-05,-9.0833e-05,-3.28611e-09,1,1.72965,7.90012,-40.331,15,'conversation',264,0,60),
 (5014,5,1945392,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',1.47343e-09,1,-3.3718e-05,4.36987e-05,1.72954,7.90017,-39.5532,15,'conversation',264,0,60),
 (5015,5,1945390,'object/mobile/dressed_commoner_naboo_human_female_04.iff',-3.90127e-06,3.4652e-06,1.35187e-11,1,4.96782,2.27819,-27.7077,15,'conversation',264,0,60),
 (5016,5,1945390,'object/mobile/gungan_s02_male.iff',2.49598e-12,1,3.90147e-06,-6.39753e-07,4.96782,2.27819,-26.6077,15,'conversation',264,0,60),
 (5017,5,1945390,'object/mobile/gungan_s04_male.iff',2.81795e-06,-4.88262e-05,1.3759e-10,1,1.53013,7.9,-32.1,15,'conversation',264,0,60),
 (5018,5,1945390,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',-1.4908e-10,1,-2.81736e-06,-5.29148e-05,1.53013,7.9,-31,15,'conversation',264,0,60),
 (5019,5,1945390,'object/mobile/dressed_criminal_thug_human_female_01.iff',0.0276897,0.000263709,-7.30484e-06,0.999617,-1.89889,2.353,-16.5459,15,'conversation',264,0,60),
 (5020,5,1945390,'object/mobile/dressed_commoner_naboo_human_female_06.iff',5.62324e-06,0.999616,0.0276936,-0.000202974,-1.89845,2.29205,-15.4469,15,'conversation',264,0,60),
 (5021,5,1945390,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',-0.00848588,0.923603,0.0204793,0.382708,-2.99839,2.28403,-15.447,15,'conversation',264,0,60),
 (5022,5,1945390,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0.0180859,0.382899,-0.00749807,0.923583,-2.99889,2.353,-16.5459,15,'conversation',264,0,60),
 (5023,5,1945390,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0.000236167,-2.68756e-05,6.34714e-09,1,-17.5508,1.3028,2.42804,15,'conversation',264,0,60),
 (5024,5,1945390,'object/mobile/dressed_noble_zabrak_female_01.iff',7.48645e-09,1,0.000239908,-3.12055e-05,-17.5508,1.30227,3.52804,15,'conversation',264,0,60),
 (5025,5,1945390,'object/mobile/gungan_s02_male.iff',5.55379e-06,3.33732e-05,-1.85348e-10,1,-3.03791,0.3,-5.17766,15,'conversation',264,0,60),
 (5026,5,1945390,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',1.62641e-10,1,-5.55429e-06,2.92821e-05,-3.03791,0.3,-4.07766,15,'conversation',264,0,60),
 (5027,5,1945390,'object/mobile/dressed_commoner_naboo_human_male_07.iff',5.55491e-06,-1.14795e-05,6.37674e-11,1,5.4939,0.3,2.7099,15,'conversation',264,0,60),
 (5028,5,1945390,'object/mobile/gungan_s02_male.iff',-8.67188e-11,1,-5.55317e-06,-1.56161e-05,5.4939,0.3,3.8099,15,'conversation',264,0,60),
 (5029,5,1945390,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',5.88275e-05,-1.71655e-05,1.00977e-09,1,16.3801,1.29971,10.3157,15,'conversation',264,0,60),
 (5030,5,1945390,'object/mobile/dressed_commoner_artisan_bith_male_01.iff',1.51718e-09,1,5.89479e-05,-2.57487e-05,16.3801,1.2996,11.3157,15,'conversation',264,0,60),
 (5031,5,0,'object/mobile/dressed_plainsfolk.iff',0.0752213,0,0,0.997167,4600.46,322.825,-1326.97,15,'conversation',264,0,60),
 (5032,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',-2.77448e-09,0.997167,0.0752213,2.09293e-10,4600.46,322.673,-1325.97,15,'conversation',264,0,60),
 (5033,5,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,1,0,0,4701.18,330,-1312.92,15,'conversation',264,0,60),
 (5034,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,-0.414693,0,0.909961,4606.6,323.327,-1321.9,15,'neutral',264,0,60),
 (5035,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.296648,0,0.954987,4785.46,330,-1260.38,15,'calm',264,0,60),
 (5036,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,0.822795,0,-0.568338,5011.88,360,-1570.16,15,'calm',264,0,60),
 (5037,5,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0,0.959954,0,-0.280159,4972.24,360,-1582.84,15,'calm',264,0,60),
 (5038,5,0,'object/mobile/dressed_imperial_officer_m_4.iff',0,0.947523,0,0.319688,4983.72,360.01,-1588.95,15,'neutral',264,0,60),
 (5039,5,1685124,'object/mobile/dressed_nym_guard_elite_nikto_m.iff',-0.0249844,0.869511,0.0143949,-0.493072,-8.1,6.1,-9.9,15,'npc_imperial',264,0,60),
 (5040,5,1685124,'object/mobile/dressed_nym_guard_elite_hum_m.iff',-0.0256633,0.844158,0.0131464,-0.535319,-8.09981,6.1,-7.40014,15,'npc_imperial',264,0,60),
 (5041,5,1418886,'object/mobile/palpatine.iff',0,0,0,0,13.05,21.0007,-26.07,700,'neutral',128,0,43200),
 (5042,5,1418884,'object/mobile/darth_vader.iff',0,0,0,0,-57.25,0.200002,-24.06,500,'neutral',128,0,3600),
 (5043,5,1418884,'object/mobile/space_imperial_tier4_naboo_inquisitor.iff',-3e-06,0.198956,-7e-06,0.980008,-44.0155,0.200001,-31.5855,15,'npc_imperial',264,0,60),
 (5044,5,1418879,'object/mobile/mouse_droid.iff',0,-0.693698,0,0.72029,-45.79,0.200001,-12.5,15,'neutral',264,0,60),
 (5045,5,1418876,'object/mobile/lord_hethrir.iff',-4e-06,-0.398778,1e-06,0.917047,4.98,0.200735,-41.82,15,'neutral',264,0,60),
 (5046,5,1418876,'object/mobile/ra7_bug_droid.iff',0,-0.052336,0,0.99863,4,0.200735,-45.3,15,'neutral',264,0,60),
 (5047,5,1418875,'object/mobile/loam_redge.iff',-1e-06,0.519065,0,0.854735,19.29,0.2,-41.96,15,'neutral',264,0,60),
 (5048,5,1418875,'object/mobile/space_imperial_tier3_naboo_vrke.iff',-2e-06,0.110912,0,0.99383,23.1274,0.2,-42.5309,15,'npc_imperial',264,0,60),
 (5049,5,1418875,'object/mobile/mouse_droid.iff',0,0.935313,0,0.353856,23.83,0.2,-40.42,15,'neutral',264,0,60),
 (5050,5,1418874,'object/mobile/dressed_corvette_imperial_velso.iff',1e-06,0.915357,7e-06,-0.402642,23.6259,0.2,-19.0985,15,'npc_imperial',264,0,60),
 (5051,5,1418874,'object/mobile/stormtrooper.iff',0,0,0,0,1.58,0.2,-23.35,25,'neutral',128,0,180),
 (5052,5,1418874,'object/mobile/stormtrooper.iff',0,0,0,0,3.58,0.2,-23.35,25,'neutral',128,0,180),
 (5053,5,1418874,'object/mobile/mouse_droid.iff',0,0.591327,0,0.806455,12.2506,0.199998,-24.38,15,'neutral',264,0,60),
 (5054,5,1418873,'object/mobile/theme_park_record_keeper_imperial.iff',-3e-06,0.075535,0,0.997143,33.342,0.2,-35.8394,15,'npc_imperial',264,0,60),
 (5055,5,1418872,'object/mobile/kaja_orzee.iff',-3e-06,0.673244,-1e-06,0.739421,2.06,0.2,-13.74,15,'neutral',264,0,60),
 (5056,5,0,'object/mobile/space_imperial_tier2_naboo.iff',0,0.977988,0,-0.208663,2444.23,292,-3896.67,15,'npc_imperial',264,0,60),
 (5057,5,0,'object/mobile/naboo_npc/thrawn.iff',0,0.68422,0,0.729275,2369.5,291.909,-3922,15,'neutral',264,0,60),
 (5058,5,0,'object/mobile/naboo_npc/veers.iff',-0.00629,0.777236,-0.005092,0.629157,2369,291.909,-3921,15,'conversation',264,0,60),
 (5059,5,0,'object/mobile/dressed_tie_fighter_m.iff',0,0.968887,0,-0.247504,2447.5,292,-3898,15,'npc_sitting_chair',264,0,60),
 (5060,5,0,'object/mobile/dressed_tie_fighter_m.iff',0,0.989016,0,-0.147809,2431.98,292,-3887.32,15,'npc_use_terminal_high',264,0,60),
 (5061,5,0,'object/mobile/dressed_noble_fat_zabrak_male_01.iff',0,0.982066,0,0.188536,2413.23,292,-3939.15,15,'neutral',264,0,60),
 (5062,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2360.5,0,-4102.83,25,'neutral',128,0,180),
 (5063,5,0,'object/mobile/dressed_imperial_captain_m.iff',0,0.264089,0,0.964498,2414.94,292,-3948.01,15,'npc_imperial',264,0,60),
 (5064,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,2455.69,0,-3947.99,35,'neutral',128,0,180),
 (5065,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,2456.94,0,-3938.96,35,'neutral',128,0,180),
 (5066,5,0,'object/mobile/atst.iff',0,0,0,0,2456.07,0,-3942.03,100,'neutral',128,0,1800),
 (5067,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,2451.27,0,-3930.31,35,'neutral',128,0,180),
 (5068,5,0,'object/mobile/atst.iff',0,0,0,0,2440.44,0,-3975.22,100,'neutral',128,0,1800),
 (5069,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,2336.18,0,-3949.59,29,'neutral',128,0,180),
 (5070,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2424.98,0,-3983.18,25,'neutral',128,0,180),
 (5071,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2420.63,0,-3975.93,25,'neutral',128,0,180),
 (5072,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,2439.72,0,-3939.76,35,'neutral',128,0,180),
 (5073,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2353.53,0,-4099.08,25,'neutral',128,0,180),
 (5074,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2428.22,0,-3970.91,25,'neutral',128,0,180),
 (5075,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,2347.46,0,-3965.7,29,'neutral',128,0,180),
 (5076,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0,0,0,2333,0,-3954.55,29,'neutral',128,0,180),
 (5077,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2554.14,0,-3868.55,25,'neutral',128,0,180),
 (5078,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2558.77,0,-3864.6,25,'neutral',128,0,180),
 (5079,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,2563.12,0,-3859.05,25,'neutral',128,0,180),
 (5080,5,0,'object/mobile/dressed_imperial_officer_m_4.iff',0,0.035375,0,0.999374,5383.42,-192,6643.69,15,'neutral',264,0,60),
 (5081,5,0,'object/mobile/dressed_imperial_medic1_human_male_01.iff',0,0.103106,0,0.99467,5294.87,-191.4,6754.71,15,'neutral',264,0,60),
 (5082,5,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,0.948324,0,-0.317305,5386,-192,6711,15,'neutral',264,0,60),
 (5083,5,0,'object/mobile/dressed_imperial_captain_m.iff',0,0.953717,0,-0.300706,5383,-192,6713,15,'neutral',264,0,60),
 (5084,5,0,'object/mobile/atst.iff',0,0.0697564,0,0.997564,5348,-192,6596,15,'neutral',264,0,60),
 (5085,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,-0.371286,0,0.928519,5179.34,-192,6727.08,15,'calm',264,0,60),
 (5086,5,1741544,'object/mobile/dressed_rsf_security_officer.iff',1.02973e-06,-2.86423e-05,2.94938e-11,1,-26.4926,1.63942,52.999,15,'conversation',264,0,60),
 (5087,5,1741544,'object/mobile/dressed_combatmedic_trainer_human_female_01.iff',1.04359e-10,1,-1.08392e-06,9.62793e-05,-26.4926,1.63942,54.099,15,'conversation',264,0,60),
 (5088,5,1741542,'object/mobile/dressed_royal_officer_human_female_01.iff',-2.16773e-06,-7.45156e-05,-1.6153e-10,1,44.6962,-0.521138,30.9844,15,'conversation',264,0,60),
 (5089,5,1741542,'object/mobile/dressed_rsf_security_officer.iff',-1.128e-10,1,2.16795e-06,5.20306e-05,44.6962,-0.521138,32.0844,15,'conversation',264,0,60),
 (5090,5,1741542,'object/mobile/dressed_criminal_thug_aqualish_male_01.iff',-8.04552e-07,4.19559e-05,3.38113e-11,1,51.6463,0.639418,47.081,15,'conversation',264,0,60),
 (5091,5,1741542,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',-3.47628e-11,1,1.01321e-06,3.43298e-05,51.6463,0.639418,48.081,15,'conversation',264,0,60),
 (5092,5,1741539,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,0.284015,0,0.95882,1.1,0.639421,66.3,15,'explain',264,0,60),
 (5093,5,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.906992,0,0.421149,5245.71,-192,6765.44,15,'calm',264,0,60),
 (5094,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.899055,0,-0.437835,5216.2,-192,6721.88,15,'npc_imperial',264,0,60),
 (5095,5,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,0.915499,0,-0.402321,5239.3,-192,6793.45,15,'calm',264,0,60),
 (5096,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.85245,0,0.522809,5211.87,-192,6642.48,15,'calm',264,0,60),
 (5097,5,0,'object/mobile/dressed_commoner_naboo_human_female_07.iff',0,0.880003,0,0.474968,5270.85,-192,6596.08,15,'calm',264,0,60),
 (5098,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,0.937233,0,-0.348703,5296.48,-192,6594.51,15,'calm',264,0,60),
 (5099,5,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.417412,0,0.908717,5271.78,-192,6787.81,15,'calm',264,0,60),
 (5100,5,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,0.994011,0,-0.109278,5239.16,-192,6720.19,15,'calm',264,0,60),
 (5101,5,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,-0.392767,0,0.919638,5216.53,-192,6742.42,15,'calm',264,0,60),
 (5102,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,-0.530134,0,0.847914,5210.94,-192,6754.5,15,'calm',264,0,60),
 (5103,5,0,'object/mobile/dressed_noble_human_male_04.iff',0,0.561628,0,0.82739,5238.15,-192,6729.7,15,'calm',264,0,60),
 (5104,5,0,'object/mobile/dressed_goon_twk_female_01.iff',0,0.278821,0,0.960343,5225.26,-192,6584.55,15,'calm',264,0,60),
 (5105,5,0,'object/mobile/space_greeter_kadaara_mistress.iff',0,0.973847,0,0.227202,5207.32,-192,6681.31,15,'neutral',264,0,60),
 (5106,5,0,'object/mobile/space_greeter_kadaara_imperial_officer.iff',0,0.749105,0,-0.662451,5206.5,-192,6680.65,15,'neutral',264,0,60),
 (5107,5,4105618,'object/mobile/dressed_noble_trandoshan_female_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (5108,5,4105618,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (5109,5,4105617,'object/mobile/dressed_noble_rodian_male_01.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (5110,5,4105616,'object/mobile/dressed_artisan_trainer_02.iff',-2.60121e-06,-8.73759e-05,-2.27283e-10,1,-4.81963,2.6,1.08421,15,'conversation',264,0,60),
 (5111,5,4105616,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',2.30504e-10,1,2.60042e-06,-8.86409e-05,-4.81963,2.6,2.18421,15,'conversation',264,0,60),
 (5112,5,4105616,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',-2.38418e-06,4.68179e-05,1.11622e-10,1,8.71378,2.6,6.76814,15,'conversation',264,0,60),
 (5113,5,4105616,'object/mobile/dressed_criminal_slicer_human_male_01.iff',-1.0359e-10,1,2.27562e-06,4.55216e-05,8.71378,2.6,7.86814,15,'conversation',264,0,60),
 (5114,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.848459,0,-0.529261,5325.66,-192,6607.67,15,'calm',264,0,60),
 (5115,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0.862557,0,-0.50596,5312.15,-192,6595.7,15,'calm',264,0,60),
 (5116,5,0,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,0.948748,0,0.316034,5374.03,-191.4,6734.62,15,'calm',264,0,60),
 (5117,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,-0.460315,0,0.887755,5343.55,-192,6709.87,15,'calm',264,0,60),
 (5118,5,0,'object/mobile/dressed_noble_trandoshan_male_01.iff',0,0.798478,0,-0.602024,5342.5,-192,6716.59,15,'calm',264,0,60),
 (5119,5,0,'object/mobile/dressed_noble_old_zabrak_male_01.iff',0,0.544255,0,0.83892,5390,-192,6721.24,15,'calm',264,0,60),
 (5120,5,0,'object/mobile/eg6_power_droid.iff',0,0.962527,0,0.271186,5181.17,-192,6669.5,15,'calm',264,0,60),
 (5121,5,0,'object/mobile/cll8_binary_load_lifter.iff',0,-0.640583,0,0.767889,5181.17,-192,6669.5,15,'calm',264,0,60),
 (5122,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.734368,0,0.678751,5258.8,-192,6750.81,15,'calm',264,0,60),
 (5123,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,0.734376,0,0.678743,5256.24,-192,6749.88,15,'calm',264,0,60),
 (5124,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,0.734313,0,0.678811,5256.09,-192,6751.02,15,'calm',264,0,60),
 (5125,5,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0.999661,0,-0.0260359,5401.77,-192,6667.47,15,'calm',264,0,60),
 (5126,5,0,'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff',0,0.271449,0,0.962453,5180.08,-192,6648.55,15,'neutral',264,0,60),
 (5127,5,0,'object/mobile/zabrak_male.iff',0,0,0,1,5383.39,-192,6658.79,15,'calm',264,0,60),
 (5128,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.000485901,0,1,5294.23,-191.4,6754.17,15,'npc_imperial',264,0,60),
 (5129,5,0,'object/mobile/dressed_robber_twk_female_01.iff',0,0,0,1,5296.9,-192,6579.91,15,'calm',264,0,60),
 (5130,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,-0.0441157,0,0.999026,5177.78,-192,6780.08,15,'calm',264,0,60),
 (5131,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.945391,0,-0.32594,5160.6,-192,6764.05,15,'calm',264,0,60),
 (5132,5,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,0.994313,0,-0.106494,5159.54,-192,6756.92,15,'neutral',264,0,60),
 (5133,5,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-5.62539e-07,0.106494,-5.25234e-06,0.994313,5157.16,-192,6745.93,15,'neutral',264,0,60),
 (5134,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.997804,0,-0.0662346,5147.49,-192,6756.83,15,'neutral',264,0,60),
 (5135,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',-1.37215e-07,-0.342946,-7.04839e-08,0.939355,5138.42,-192,6732.99,15,'neutral',264,0,60),
 (5136,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,-0.342941,0,0.939357,5138.33,-192,6733.09,15,'neutral',264,0,60),
 (5137,5,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,-0.18506,0,0.982727,5163.6,-192,6642.08,15,'calm',264,0,60),
 (5138,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.908972,0,-0.416858,5140.88,-192,6744.54,15,'calm',264,0,60),
 (5139,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,-0.342928,0,0.939362,5138.17,-192,6733.28,15,'neutral',264,0,60),
 (5140,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.0261769,0,0.999657,5137,-192,6719,15,'neutral',264,0,60),
 (5141,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,-0.342944,0,0.939356,5138.08,-192,6733.39,15,'neutral',264,0,60),
 (5142,5,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,-0.555937,0,0.831224,5144.8,-192,6674.66,15,'npc_imperial',264,0,60),
 (5143,5,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.931323,0,-0.364195,5179.66,-192,6614.84,15,'calm',264,0,60),
 (5144,5,0,'object/mobile/dressed_stormtrooper_m.iff',-1.19957e-08,0.939354,9.48556e-09,0.342949,5130.56,-192,6742.32,15,'neutral',264,0,60),
 (5145,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.230964,0,0.972962,5132.44,-192,6761.91,15,'neutral',264,0,60),
 (5146,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.382683,0,0.92388,5122.78,-192,6703.47,15,'neutral',264,0,60),
 (5147,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,-0.265423,0,0.964132,5125.82,-192,6729.93,15,'calm',264,0,60),
 (5148,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.951556,0,0.307475,5163.99,-192,6804.36,15,'neutral',264,0,60),
 (5149,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0.00202282,0.951662,0.000666429,0.307142,5161.89,-192,6805.17,15,'neutral',264,0,60),
 (5150,5,0,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,0.583183,0,0.812341,5106.77,-192,6694.65,15,'calm',264,0,60),
 (5151,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.587785,0,0.809017,5116,-192,6744,15,'neutral',264,0,60),
 (5152,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.195775,0,0.980649,5106.88,-192,6724.57,15,'calm',264,0,60),
 (5153,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0.991791,0,-0.127866,5185.31,-192,6559.76,15,'calm',264,0,60),
 (5154,5,1741510,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (5155,5,1741509,'object/mobile/dressed_imperial_officer_m_4.iff',0,-0.545033,0,0.838415,13.9615,1.13306,-9.1667,15,'npc_imperial',264,0,60),
 (5156,5,1741506,'object/mobile/dressed_artisan_trainer_03.iff',0,0.0958457,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (5157,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.568194,0,0.822895,5096.58,-192,6752.68,15,'npc_imperial',264,0,60),
 (5158,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.922042,0,0.387091,5073.26,-191.739,6702.36,15,'neutral',264,0,60),
 (5159,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.199638,0,0.97987,5057.21,-192,6643.08,15,'calm',264,0,60),
 (5160,5,1741443,'object/mobile/dressed_criminal_pirate_human_male_01.iff',2.72719e-06,-5.81801e-05,1.58477e-10,1,-20.8786,0.26,8.23819,15,'conversation',264,0,60),
 (5161,5,1741443,'object/mobile/dressed_commoner_fat_human_male_01.iff',-2.75888e-10,1,-2.72686e-06,-0.000101088,-20.8786,0.26,9.23819,15,'conversation',264,0,60),
 (5162,5,1741443,'object/mobile/21b_surgical_droid.iff',0,-0.0739675,0,0.997261,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (5163,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.918452,0,0.395532,5042,-192,6682,15,'neutral',264,0,60),
 (5164,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.418251,0,0.908332,5049.58,-192,6733.6,15,'neutral',264,0,60),
 (5165,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.892001,0,0.452033,5032.85,-192,6689.91,15,'neutral',264,0,60),
 (5166,5,0,'object/mobile/dressed_crook_zabrak_male_01.iff',0,-0.452033,0,0.892001,5037.71,-192,6686.35,15,'neutral',264,0,60),
 (5167,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.741224,0,-0.671257,5058.58,-192,6749.43,15,'calm',264,0,60),
 (5168,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.873448,0,0.486917,5056.62,-192,6764.09,15,'calm',264,0,60),
 (5169,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.769078,0,0.639155,5030,-192,6709,15,'neutral',264,0,60),
 (5170,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.784435,0,-0.620212,5023.3,-192,6695.39,15,'neutral',264,0,60),
 (5171,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.957948,0,-0.286943,5021,-192,6662,15,'neutral',264,0,60),
 (5172,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.994836,0,0.1015,5132.48,-192,6734.76,15,'calm',264,0,60),
 (5173,5,0,'object/mobile/dressed_imperial_medic3_human_male_01.iff',0,0.893979,0,0.448108,5083.98,-192,6789.64,15,'npc_imperial',264,0,60),
 (5174,5,0,'object/mobile/dressed_imperial_officer_m_3.iff',0,0.901202,0,0.433399,5052.69,-192,6734.06,15,'neutral',264,0,60),
 (5175,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,-0.543778,0,0.83923,5040.34,-192,6729.92,15,'neutral',264,0,60),
 (5176,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,-0.296431,0,0.955054,5087.24,-192,6804.38,15,'calm',264,0,60),
 (5177,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,-0.690407,0,0.723421,5015.78,-192,6715.83,15,'calm',264,0,60),
 (5178,5,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,0.718487,0,-0.69554,5017.17,-192,6747.21,15,'calm',264,0,60),
 (5179,5,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,-0.0120269,0,0.999928,5068.4,-192,6793.56,15,'calm',264,0,60),
 (5180,5,0,'object/mobile/dressed_doctor_trainer_moncal_female_01.iff',0,0.572892,0,0.819631,5088.82,-192,6794.73,15,'calm',264,0,60),
 (5181,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.374607,0,0.927184,5035,-192,6762,15,'neutral',264,0,60),
 (5182,5,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,-0.224583,0,0.974455,5100.64,-192,6808.86,15,'calm',264,0,60),
 (5183,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,-0.0223476,0,0.99975,5036.65,-192,6783.93,15,'calm',264,0,60),
 (5184,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,-0.469472,0,0.882948,5039,-192,6792,15,'neutral',264,0,60),
 (5185,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.889496,0,0.456944,5171.63,-192,6823.32,15,'calm',264,0,60),
 (5186,5,1741462,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (5187,5,1741461,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (5188,5,1741458,'object/mobile/dressed_imperial_officer_m_2.iff',0,0.812127,0,0.58348,9.7375,1.13306,0.490394,15,'npc_imperial',264,0,60),
 (5189,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,0.996421,0,0.0845352,5030.66,-192,6796.27,15,'calm',264,0,60),
 (5190,5,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,-0.690838,0,0.72301,5024.88,-192,6806.7,15,'calm',264,0,60),
 (5191,5,0,'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff',0,0.917083,0,-0.398697,5027.39,-192,6814.02,15,'calm',264,0,60),
 (5192,5,0,'object/mobile/dressed_imperial_officer_m_4.iff',0,0.622515,0,0.782608,4997,-192,6738,15,'neutral',264,0,60),
 (5193,5,0,'object/mobile/dressed_mugger.iff',0,0,0,1,5005.13,-192,6792.08,15,'calm',264,0,60),
 (5194,5,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,-0.365925,0,0.930644,5000.9,-192,6800.11,15,'calm',264,0,60),
 (5195,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_03.iff',0,0.999607,0,0.0280254,5045.25,-192,6760.82,15,'calm',264,0,60),
 (5196,5,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.530098,0,0.847937,5010.71,-192,6813.34,15,'calm',264,0,60),
 (5197,5,0,'object/mobile/dressed_swamp_trooper_m.iff',0,-0.669131,0,0.743145,5016,-192,6812,15,'neutral',264,0,60),
 (5198,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0.999487,0,0.0320176,4980.63,-192,6821.19,15,'calm',264,0,60),
 (5199,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,-0.026177,0,0.999657,4968,-192,6806,15,'neutral',264,0,60),
 (5200,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.986192,0,-0.165607,4965.23,-192,6769.42,15,'neutral',264,0,60),
 (5201,5,0,'object/mobile/dressed_imperial_officer_m_3.iff',0,-0.681998,0,0.731354,5001,-192,6824,15,'neutral',264,0,60),
 (5202,5,0,'object/mobile/r4.iff',0,-0.702625,0,0.711561,4974.27,-192,6774.2,15,'calm',264,0,60),
 (5203,5,0,'object/mobile/r3.iff',0,0.932449,0,-0.361301,4974.27,-192,6776.2,15,'calm',264,0,60),
 (5204,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.909883,0,-0.414865,4989.79,-192,6810.44,15,'neutral',264,0,60),
 (5205,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.152688,0,0.988274,4867.83,-210.92,6614.87,15,'calm',264,0,60),
 (5206,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',0,0.373283,0,0.927717,4954.59,-192,6766.57,15,'calm',264,0,60),
 (5207,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.67559,0,0.737277,4961,-192,6790,15,'neutral',264,0,60),
 (5208,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.988415,0,-0.151777,4939.84,-192,6697.71,15,'calm',264,0,60),
 (5209,5,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0.990865,0,-0.134858,4929.24,-192,6738.04,15,'calm',264,0,60),
 (5210,5,0,'object/mobile/dressed_desperado_bith_female_01.iff',0,0.444171,0,0.895942,4992.66,-192,6743.77,15,'calm',264,0,60),
 (5211,5,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,-0.475113,0,0.879925,4941.53,-192,6757.62,15,'calm',264,0,60),
 (5212,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.296698,0,0.954971,4833.68,-206.333,6909.84,15,'calm',264,0,60),
 (5213,5,64,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.757446,0,0.652898,7.91779,-0.894992,2.58107,15,'neutral',264,0,60),
 (5214,5,64,'object/mobile/dressed_herald_pirate_naboo_human_male.iff',-5.94562e-08,0.877036,3.31242e-07,0.480425,12.3596,-0.894992,0.433575,15,'calm',264,0,60),
 (5215,5,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0.781443,0,-0.623977,5038.74,-203.151,6897.17,15,'calm',264,0,60),
 (5216,5,0,'object/mobile/dressed_robber_human_male_01.iff',0,0.904497,0,-0.42648,5021.43,-204.523,6894.13,15,'calm',264,0,60),
 (5217,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_03.iff',0,-0.220581,0,0.975369,4977.35,-192,6816.87,15,'calm',264,0,60),
 (5218,5,0,'object/mobile/dressed_villain_trandoshan_female_01.iff',0,0.567851,0,0.823132,5044.41,-202.961,6902.75,15,'calm',264,0,60),
 (5219,5,0,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0,0.419001,0,0.907986,5031.68,-203.839,6903.79,15,'calm',264,0,60),
 (5220,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.566053,0,0.824369,4909,-207.999,6954.79,15,'calm',264,0,60),
 (5221,5,0,'object/mobile/dressed_criminal_thug_rodian_female_01.iff',0,-0.680405,0,0.732837,4882.03,-200.106,6847.21,15,'calm',264,0,60),
 (5222,5,0,'object/mobile/dressed_robber_human_female_01.iff',0,0.914382,0,-0.404853,4882.12,-199.875,6845.05,15,'calm',264,0,60),
 (5223,5,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,0.869012,0,0.494792,4892.24,-200.457,6845.57,15,'calm',264,0,60),
 (5224,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.94466,0,0.32805,4793.14,-211.009,6878.33,15,'calm',264,0,60),
 (5225,5,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0.767907,0,0.640562,4877.68,-199.729,6845.39,15,'calm',264,0,60),
 (5226,5,0,'object/mobile/dressed_plasma_thief.iff',0,0.937586,0,-0.347754,4968.28,-208.724,6944.96,15,'calm',264,0,60),
 (5227,5,0,'object/mobile/dressed_plasma_bandit.iff',0,-0.134516,0,0.990912,4972.78,-208.787,6951.52,15,'calm',264,0,60),
 (5228,5,0,'object/mobile/dressed_plasma_bandit.iff',0,-0.47878,0,0.877935,4972.81,-208.823,6953.2,15,'calm',264,0,60),
 (5229,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.127772,0,0.991804,4967.73,-192,6651.36,15,'calm',264,0,60),
 (5230,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.996076,0,-0.0884998,4966,-192,6641,15,'neutral',264,0,60),
 (5231,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.55996,0,0.82852,4979.33,-192,6630.55,15,'calm',264,0,60),
 (5232,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.98811,0,0.153747,4977,-192,6634,15,'neutral',264,0,60),
 (5233,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.991791,0,0.127866,4974,-192,6637,15,'neutral',264,0,60),
 (5234,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.81243,0,-0.583059,4897.03,-208.439,6638.38,15,'calm',264,0,60),
 (5235,5,0,'object/mobile/chuba_hue.iff',0,0.70369,0,0.710507,4916.25,-204.897,6636.6,15,'calm',264,0,60),
 (5236,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.999916,0,0.0129837,4906.63,-207.531,6626.47,15,'calm',264,0,60),
 (5237,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.214998,0,0.976615,4908.24,-206.757,6634.13,15,'calm',264,0,60),
 (5238,5,0,'object/mobile/chuba_hue.iff',0,-0.204088,0,0.978953,4909.02,-206.645,6633.57,15,'calm',264,0,60),
 (5239,5,0,'object/mobile/nuna_hue.iff',0,-0.371364,0,0.928487,4909.98,-206.207,6636.85,15,'calm',264,0,60),
 (5240,5,0,'object/mobile/dressed_mugger.iff',-0.0747499,0.994952,0.0383165,0.0549097,4973.57,-193.521,6586.63,15,'neutral',264,0,60),
 (5241,5,0,'object/mobile/dressed_robber_twk_male_01.iff',-0.0335152,0.474216,0.0955411,0.874567,4980.02,-192.61,6583.81,15,'neutral',264,0,60),
 (5242,5,0,'object/mobile/dressed_villain_trandoshan_male_01.iff',-0.0415327,0.74044,0.0618862,0.667978,4986.5,-191.623,6573.3,15,'neutral',264,0,60),
 (5243,5,0,'object/mobile/dressed_ruffian_zabrak_female_01.iff',-0.0275852,0.680439,0.0711239,0.728823,4975.84,-192.778,6575.11,15,'neutral',264,0,60),
 (5244,5,0,'object/mobile/hermit_spider_hue.iff',0,0.0915384,0,0.995802,4908.45,-205.093,6531.64,15,'calm',264,0,60),
 (5245,5,0,'object/mobile/nuna_hue.iff',0,0.995641,0,0.0932679,5052.61,-193.019,6526.02,15,'calm',264,0,60),
 (5246,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.951537,0,0.307536,5050.03,-193.077,6524.21,15,'calm',264,0,60),
 (5247,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.905448,0,0.424457,5054.83,-192.961,6505.63,15,'calm',264,0,60),
 (5248,5,0,'object/mobile/nuna_hue.iff',0,0.999991,0,-0.00435459,5045.77,-193.37,6507.9,15,'calm',264,0,60),
 (5249,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.518527,0,0.855062,5059.04,-192.786,6516.94,15,'calm',264,0,60),
 (5250,5,0,'object/mobile/chuba_hue.iff',0,0.950253,0,0.311481,5062.65,-192.543,6506.26,15,'calm',264,0,60),
 (5251,5,0,'object/mobile/nuna_hue.iff',0,0.993681,0,0.11224,5233.76,-195.59,6472.68,15,'calm',264,0,60),
 (5252,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.849264,0,-0.527969,5234.87,-195.621,6472.75,15,'calm',264,0,60),
 (5253,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.806351,0,-0.591438,5236.13,-195.623,6469.52,15,'calm',264,0,60),
 (5254,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.999602,0,-0.028209,5239.48,-195.664,6465.94,15,'calm',264,0,60),
 (5255,5,0,'object/mobile/nuna_hue.iff',0,0.841338,0,0.54051,5252.54,-195.982,6464.21,15,'calm',264,0,60),
 (5256,5,0,'object/mobile/dressed_criminal_thug_rodian_female_01.iff',0,0.9345,0,-0.355963,5338.33,-197.813,6458.62,15,'calm',264,0,60),
 (5257,5,0,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0,0.384377,0,0.923176,5339.4,-197.825,6461.15,15,'calm',264,0,60),
 (5258,5,0,'object/mobile/dressed_ruffian_zabrak_female_01.iff',0,0.699331,0,0.714798,5343.01,-197.751,6458.22,15,'calm',264,0,60),
 (5259,5,0,'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff',0,0.891115,0,0.453778,5343.93,-197.75,6459.3,15,'calm',264,0,60),
 (5260,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.144801,0,0.989461,5436.89,-197.915,6485.29,15,'calm',264,0,60),
 (5261,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.83693,0,-0.547309,5362.57,-192,6581.25,15,'calm',264,0,60),
 (5262,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.656059,0,0.75471,5382,-192,6596,15,'neutral',264,0,60),
 (5263,5,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0,0,1,5366.05,-197.19,6441.53,15,'calm',264,0,60),
 (5264,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.999961,0,-0.00879057,5488.94,-196.52,6353.53,15,'calm',264,0,60),
 (5265,5,0,'object/mobile/dressed_mugger.iff',0,0.934161,0,0.356851,5475.52,-191.884,6577.5,15,'calm',264,0,60),
 (5266,5,0,'object/mobile/dressed_robber_human_male_01.iff',0,0.754044,0,-0.656824,5462.29,-191.677,6584.89,15,'calm',264,0,60),
 (5267,5,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,-0.571913,0,0.820315,5471.1,-190.721,6587.9,15,'calm',264,0,60),
 (5268,5,0,'object/mobile/dressed_desperado_bith_male_01.iff',0,0.91336,0,-0.407152,5393.74,-192,6606.85,15,'calm',264,0,60),
 (5269,5,0,'object/mobile/chuba_hue.iff',0,0.400488,0,0.916302,5441.46,-197.293,6513.81,15,'calm',264,0,60),
 (5270,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.430525,0,0.902579,5431.31,-197.58,6499.86,15,'calm',264,0,60),
 (5271,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.935081,0,-0.354435,5429.39,-197.332,6509.54,15,'calm',264,0,60),
 (5272,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.835367,0,-0.549692,5433.09,-197.378,6509.05,15,'calm',264,0,60),
 (5273,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.134932,0,0.990855,5572.7,-194.979,6744.85,15,'calm',264,0,60),
 (5274,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.995335,0,-0.0964833,5551.4,-194.232,6731.98,15,'calm',264,0,60),
 (5275,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.415997,0,0.909366,5552.71,-195.541,6773.09,15,'calm',264,0,60),
 (5276,5,0,'object/mobile/dressed_criminal_thug_bothan_female_01.iff',0,0.989959,0,0.141358,5473.9,-191.722,6579.23,15,'calm',264,0,60),
 (5277,5,0,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,-0.173762,0,0.984788,5542.14,-191.73,6587.01,15,'calm',264,0,60),
 (5278,5,0,'object/mobile/dressed_ruffian_zabrak_female_01.iff',0,0.780522,0,0.625129,5544.22,-191.575,6589.62,15,'calm',264,0,60),
 (5279,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.45264,0,0.891693,5488.44,-188.427,6644.58,15,'calm',264,0,60),
 (5280,5,0,'object/mobile/dressed_criminal_thug_rodian_female_01.iff',0,0.170411,0,0.985373,5487.83,-192.996,6747.6,15,'calm',264,0,60),
 (5281,5,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0.616458,0,0.787388,5486.95,-192.841,6745.78,15,'calm',264,0,60),
 (5282,5,0,'object/mobile/dressed_crook_zabrak_female_01.iff',0,0.884672,0,-0.466215,5484.29,-192.197,6737.32,15,'calm',264,0,60),
 (5283,5,0,'object/mobile/dressed_robber_human_male_01.iff',0,0.847765,0,0.530371,5492.6,-192.398,6732.05,15,'calm',264,0,60),
 (5284,5,0,'object/mobile/chuba_hue.iff',0,-0.687995,0,0.725716,5488.18,-188.446,6645.12,15,'calm',264,0,60),
 (5285,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.988005,0,0.154424,5225.08,-192,6700.38,15,'neutral',264,0,60),
 (5286,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.579465,0,0.814997,5205.35,-192,6781.37,15,'calm',264,0,60),
 (5287,5,1741495,'object/mobile/gungan_male.iff',-1.08367e-07,-3.60988e-05,-3.91192e-12,1,1.07671,1.75,-18.2345,15,'conversation',264,0,60),
 (5288,5,1741495,'object/mobile/dressed_rsf_pilot.iff',-9.381e-12,1,1.08372e-07,8.65632e-05,1.07671,1.75,-17.1345,15,'conversation',264,0,60),
 (5289,5,1741494,'object/mobile/dressed_imperial_trainer_space_03.iff',0,-0.0998334,0,0.995004,-0.199565,1.75,-13.9666,15,'npc_imperial',264,0,60),
 (5290,5,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,2.96202e-08,0,1,5159.54,-192,6756.92,15,'neutral',264,0,60),
 (5291,5,62,'object/mobile/dressed_stormtrooper_m.iff',0,0.817747,0,-0.575578,48.13,0.105,2.47,15,'neutral',264,0,60),
 (5292,5,0,'object/mobile/dressed_desperado_bith_female_01.iff',0,0,0,1,5037.71,-192,6686.35,15,'calm',264,0,60),
 (5293,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',0,0.999799,0,-0.0200368,1293.76,13,2666.5,15,'calm',264,0,60),
 (5294,5,0,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,-0.417232,0,0.9088,1274.89,13,2726.67,15,'calm',264,0,60),
 (5295,5,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,0.883216,0,0.468966,1274.23,13,2804.78,15,'calm',264,0,60),
 (5296,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.68496,0,0.728581,1266.79,13,2778.09,15,'calm',264,0,60),
 (5297,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.686308,0,0.727311,1242.26,7.42003,2523.96,15,'calm',264,0,60),
 (5298,5,0,'object/mobile/dressed_lt_vana_sage.iff',0,0.985251,0,0.171115,1277.25,13,2746.5,15,'calm',264,0,60),
 (5299,5,2125390,'object/mobile/dressed_plainsfolk.iff',-1.20982e-07,0.00998149,1.20763e-09,0.99995,-45.8886,2.63942,27.6452,15,'conversation',264,0,60),
 (5300,5,2125390,'object/mobile/dressed_criminal_slicer_human_male_01.iff',-1.19687e-09,0.999951,-1.20982e-07,-0.00989246,-45.869,2.63942,28.6304,15,'conversation',264,0,60),
 (5301,5,2125385,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',-1.62554e-07,-3.98645e-05,-6.48014e-12,1,56.3789,-0.521138,39.7713,15,'neutral',264,0,60),
 (5302,5,2125385,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',2.25869e-12,1,2.16747e-07,-1.04208e-05,56.3789,-0.521138,40.8713,15,'conversation',264,0,60),
 (5303,5,2125385,'object/mobile/dressed_rsf_pilot.iff',-5.86514e-08,0.92388,1.41598e-07,0.382682,55.2789,-0.521138,40.8713,15,'conversation',264,0,60),
 (5304,5,2125385,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',-1.062e-07,0.382659,4.39864e-08,0.92389,55.2789,-0.521138,39.7713,15,'conversation',264,0,60),
 (5305,5,2125382,'object/mobile/dressed_gavyn_sykes.iff',2.04135e-08,0.510366,-8.22981e-08,0.859957,8.95512,0.639422,66.4439,15,'calm',264,0,60),
 (5306,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,0,0,1,1325.38,13,2667.21,15,'conversation',264,0,60),
 (5307,5,0,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,1,0,-3.82403e-08,1369.9,13,2729.6,15,'conversation',264,0,60),
 (5308,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',0,0.919908,0,0.392133,1329.19,13,2667,15,'calm',264,0,60),
 (5309,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,-0.0787604,0,0.996894,1318.37,13,2669.4,15,'calm',264,0,60),
 (5310,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.340126,0,0.94038,1324.21,13,2835.32,15,'calm',264,0,60),
 (5311,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,-0.240665,0,0.970608,1300.18,13,2836.44,15,'calm',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (5312,5,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,1,0,0,1325.38,13,2668.21,15,'conversation',264,0,60),
 (5313,5,0,'object/mobile/3po_protocol_droid.iff',0,0.474327,0,0.880349,1396,13,2686,15,'neutral',264,0,60),
 (5314,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.887151,0,-0.46148,1405.78,13,2835.92,15,'calm',264,0,60),
 (5315,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.728175,0,0.685391,1426.01,13,2807.48,15,'npc_imperial',264,0,60),
 (5316,5,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,0.864823,0,0.502078,1432.15,13,2746.34,15,'calm',264,0,60),
 (5317,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.967217,0,0.253951,1421.62,13,2729.5,15,'calm',264,0,60),
 (5318,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.697029,0,0.717042,1422.33,9.31154,2567.8,15,'calm',264,0,60),
 (5319,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.991561,0,-0.129643,1418.72,9.36931,2519.79,15,'calm',264,0,60),
 (5320,5,0,'object/mobile/dressed_combatmedic_trainer_human_male_01.iff',0,0,0,1,1428.35,13,2741.53,15,'conversation',264,0,60),
 (5321,5,0,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,1,0,0,1428.35,13,2742.53,15,'conversation',264,0,60),
 (5322,5,0,'object/mobile/nuna_hue.iff',0,0.988183,0,-0.153276,1431.38,13.8711,2688.78,15,'calm',264,0,60),
 (5323,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.0673044,0,0.997732,1439.63,14.8057,2678.74,15,'calm',264,0,60),
 (5324,5,0,'object/mobile/nuna_hue.iff',0,-0.0311525,0,0.999515,1449.54,16.1264,2689.67,15,'calm',264,0,60),
 (5325,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,0.937574,0,-0.347785,1541.47,25,2825.17,15,'calm',264,0,60),
 (5326,5,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.993519,0,-0.11367,1556.66,25,2791.52,15,'calm',264,0,60),
 (5327,5,0,'object/mobile/chuba_hue.iff',0,0.998064,0,0.0621994,1445.78,15.5943,2682.05,15,'calm',264,0,60),
 (5328,5,0,'object/mobile/chuba_hue.iff',0,0.977359,0,-0.211587,1449.56,16.0319,2677.48,15,'calm',264,0,60),
 (5329,5,0,'object/mobile/chuba_hue.iff',0,0.994368,0,-0.105979,1450.17,16.034,2676.78,15,'calm',264,0,60),
 (5330,5,0,'object/mobile/chuba_hue.iff',0,0.994514,0,-0.104602,1341.24,12.0202,2603.76,15,'calm',264,0,60),
 (5331,5,0,'object/mobile/nuna_hue.iff',0,-0.055345,0,0.998467,1339.84,12.1668,2615.44,15,'calm',264,0,60),
 (5332,5,0,'object/mobile/nuna_hue.iff',0,0.449971,0,0.893043,1334.98,11.8102,2598.15,15,'calm',264,0,60),
 (5333,5,0,'object/mobile/chuba_hue.iff',0,-0.0310569,0,0.999518,1342.19,12.0931,2607.43,15,'calm',264,0,60),
 (5334,5,0,'object/mobile/chuba_hue.iff',0,0.993838,0,0.110841,1339.84,11.655,2589.12,15,'calm',264,0,60),
 (5335,5,0,'object/mobile/hermit_spider_hue.iff',0,-0.293573,0,0.955937,1284.39,9.8453,2547.76,15,'calm',264,0,60),
 (5336,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.964957,0,0.262406,1338.79,11.6076,2588.12,15,'calm',264,0,60),
 (5337,5,0,'object/mobile/nuna_hue.iff',0,-0.313458,0,0.949602,1277.36,13.0817,2616.19,15,'calm',264,0,60),
 (5338,5,0,'object/mobile/hermit_spider_hue.iff',0,0.781065,0,0.62445,1290.3,7.25954,2529.82,15,'calm',264,0,60),
 (5339,5,0,'object/mobile/nuna_hue.iff',0,0.333952,0,0.94259,1263.01,12.8767,2607.42,15,'calm',264,0,60),
 (5340,5,0,'object/mobile/nuna_hue.iff',0,0.698361,0,0.715745,1272.96,12.9234,2606.49,15,'calm',264,0,60),
 (5341,5,0,'object/mobile/chuba_hue.iff',0,-0.408096,0,0.912939,1269.28,12.2031,2600.08,15,'calm',264,0,60),
 (5342,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.831363,0,-0.555729,1269.66,13,2708.32,15,'calm',264,0,60),
 (5343,5,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0.977467,0,0.21109,1215.93,13,2740.33,15,'calm',264,0,60),
 (5344,5,0,'object/mobile/nuna_hue.iff',0,0.70724,0,0.706974,1261.55,10.6673,2602.74,15,'calm',264,0,60),
 (5345,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.800073,0,0.599903,1273.03,10.5998,2593.21,15,'calm',264,0,60),
 (5346,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.964589,0,0.263758,1054.24,11.2112,2682.89,15,'calm',264,0,60),
 (5347,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.961345,0,0.275345,1053.76,13.3205,2776.55,15,'calm',264,0,60),
 (5348,5,0,'object/mobile/chuba_hue.iff',0,-0.213328,0,0.976981,1155.79,17.1226,2720.27,15,'calm',264,0,60),
 (5349,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.925409,0,-0.378969,1156.79,16.8321,2713.27,15,'calm',264,0,60),
 (5350,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.280496,0,0.959855,1154.79,16.8377,2713.27,15,'calm',264,0,60),
 (5351,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.399905,0,0.916556,1160.79,17.1003,2720.27,15,'calm',264,0,60),
 (5352,5,0,'object/mobile/nuna_hue.iff',0,0.489718,0,0.871881,1160.79,17.0436,2718.27,15,'calm',264,0,60),
 (5353,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,-0.380185,0,0.924911,1244.71,13,2762.18,15,'calm',264,0,60),
 (5354,5,0,'object/mobile/nuna_hue.iff',0,0.595526,0,0.803336,1150.79,17.1071,2719.27,15,'calm',264,0,60),
 (5355,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.971661,0,0.236378,1166.49,11.7783,2812.36,15,'calm',264,0,60),
 (5356,5,0,'object/mobile/chuba_hue.iff',0,0.450234,0,0.892911,1162.64,11.8412,2813.85,15,'calm',264,0,60),
 (5357,5,0,'object/mobile/chuba_hue.iff',0,0.922728,0,0.385451,1173.79,11.0777,2820.55,15,'calm',264,0,60),
 (5358,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,0.995,0,0.0998708,1249.3,13,2797.25,15,'calm',264,0,60),
 (5359,5,0,'object/mobile/chuba_hue.iff',0,0.998326,0,0.0578324,1151.14,12.1736,2819.97,15,'calm',264,0,60),
 (5360,5,0,'object/mobile/nuna_hue.iff',0,0.997798,0,0.0663222,1149.84,12.6577,2810.87,15,'calm',264,0,60),
 (5361,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.0761208,0,0.997099,1155.92,11.3683,2830.81,15,'calm',264,0,60),
 (5362,5,0,'object/mobile/nuna_hue.iff',0,0.893213,0,-0.449634,1209.97,5.84847,2879.79,15,'calm',264,0,60),
 (5363,5,0,'object/mobile/nuna_hue.iff',0,0.733088,0,-0.680133,1210.99,6.91459,2873.15,15,'calm',264,0,60),
 (5364,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.770621,0,0.637294,1206.94,6.25599,2875.67,15,'calm',264,0,60),
 (5365,5,0,'object/mobile/chuba_hue.iff',0,0.769304,0,0.638882,1213.66,5.93546,2878.48,15,'calm',264,0,60),
 (5366,5,0,'object/mobile/nuna_hue.iff',0,0.336347,0,0.941738,1205.06,5.8408,2880.62,15,'calm',264,0,60),
 (5367,5,0,'object/mobile/hermit_spider_hue.iff',0,0.994451,0,-0.1052,1146.27,8.83021,2930.05,15,'calm',264,0,60),
 (5368,5,0,'object/mobile/hermit_spider_hue.iff',0,0.264725,0,0.964324,1216.5,6.32027,2957.84,15,'calm',264,0,60),
 (5369,5,0,'object/mobile/hermit_spider_hue.iff',0,-0.0924447,0,0.995718,1195.68,6.80226,2949.71,15,'calm',264,0,60),
 (5370,5,0,'object/mobile/hermit_spider_hue.iff',0,0.394299,0,0.918982,1216.13,6.31779,2958.77,15,'calm',264,0,60),
 (5371,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.365371,0,0.930862,1215.24,6.39263,2889.73,15,'calm',264,0,60),
 (5372,5,0,'object/mobile/chuba_hue.iff',0,-0.205519,0,0.978653,1256.68,9.78428,2915.57,15,'calm',264,0,60),
 (5373,5,0,'object/mobile/chuba_hue.iff',0,0.997404,0,0.0720148,1267.25,10.8298,2912.62,15,'calm',264,0,60),
 (5374,5,0,'object/mobile/nuna_hue.iff',0,0.584576,0,0.811339,1256.06,10.0525,2908.42,15,'calm',264,0,60),
 (5375,5,0,'object/mobile/nuna_hue.iff',0,0.729963,0,-0.683487,1270.57,10.8971,2917.91,15,'calm',264,0,60),
 (5376,5,0,'object/mobile/nuna_hue.iff',0,-0.685062,0,0.728485,1259.26,9.49465,2927.39,15,'calm',264,0,60),
 (5377,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.52736,0,0.849642,1273.81,11.3393,2913.74,15,'calm',264,0,60),
 (5378,5,0,'object/mobile/hermit_spider_hue.iff',0,0.478403,0,0.878141,1325.15,10.083,3001.67,15,'calm',264,0,60),
 (5379,5,0,'object/mobile/hermit_spider_hue.iff',0,0.518356,0,0.855165,1315.75,9.52074,2998.83,15,'calm',264,0,60),
 (5380,5,0,'object/mobile/nuna_hue.iff',0,-0.655839,0,0.754901,1435.56,13.1432,2867.61,15,'calm',264,0,60),
 (5381,5,0,'object/mobile/nuna_hue.iff',0,0.82638,0,0.563112,1434.96,13.0209,2869.59,15,'calm',264,0,60),
 (5382,5,0,'object/mobile/nuna_hue.iff',0,0.114827,0,0.993385,1437.27,13.1548,2878.23,15,'calm',264,0,60),
 (5383,5,0,'object/mobile/chuba_hue.iff',0,0.837536,0,0.546381,1456.5,16.372,2881.88,15,'calm',264,0,60),
 (5384,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.134939,0,0.990854,1445.36,14.8215,2870.08,15,'calm',264,0,60),
 (5385,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.655163,0,0.755488,1438.99,13.6525,2861.35,15,'calm',264,0,60),
 (5386,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0.0346924,0.965425,-0.170993,0.193679,1574.29,24.9966,2822.56,15,'calm',264,0,60),
 (5387,5,0,'object/mobile/nuna_hue.iff',0,0.838802,0,-0.544437,1503.65,25,2685.46,15,'calm',264,0,60),
 (5388,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.365683,0,0.93074,1509.03,25,2684.16,15,'calm',264,0,60),
 (5389,5,0,'object/mobile/nuna_hue.iff',0,0.536049,0,0.844187,1512.17,25,2681.42,15,'calm',264,0,60),
 (5390,5,0,'object/mobile/chuba_hue.iff',0,0.982267,0,0.187485,1508.53,25,2668.58,15,'calm',264,0,60),
 (5391,5,0,'object/mobile/nuna_hue.iff',0,-0.173125,0,0.9849,1509.09,25,2681.77,15,'calm',264,0,60),
 (5392,5,0,'object/mobile/chuba_hue.iff',0,0.991598,0,0.129359,1509.05,25,2667.7,15,'calm',264,0,60),
 (5393,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.875208,0,0.483746,1632.02,12,2666.53,15,'neutral',264,0,60),
 (5394,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.931574,0,-0.363553,1621.31,12,2633.4,15,'calm',264,0,60),
 (5395,5,0,'object/mobile/dressed_rsf_pilot.iff',0,0,0,1,1661.45,21.0036,2696.13,15,'conversation',264,0,60),
 (5396,5,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,1,0,0,1661.45,21.0036,2697.13,15,'conversation',264,0,60),
 (5397,5,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,-4.18083e-08,0,1,1677.62,12,2707.17,15,'conversation',264,0,60),
 (5398,5,0,'object/mobile/dressed_rsf_palace_guard.iff',0,1,0,1.45768e-08,1677.62,12,2708.27,15,'conversation',264,0,60),
 (5399,5,0,'object/mobile/gungan_s04_male.iff',0,0.92389,0,0.382658,1676.52,12,2708.27,15,'conversation',264,0,60),
 (5400,5,0,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.162295,0,0.986742,1687.57,12,2670.04,15,'calm',264,0,60),
 (5401,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0,0,1,1667.3,12,2628.98,15,'conversation',264,0,60),
 (5402,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,1,0,0,1667.3,12,2629.98,15,'conversation',264,0,60),
 (5403,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,-0.370866,0,0.928686,1698.78,23.2611,2747.94,15,'neutral',264,0,60),
 (5404,5,0,'object/mobile/dressed_stormtrooper_m.iff',-0.010505,0.206241,-0.0386185,0.977682,1697.08,13.799,2709.5,15,'neutral',264,0,60),
 (5405,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.719952,0,-0.694024,1674.11,12,2626.24,15,'calm',264,0,60),
 (5406,5,0,'object/mobile/dressed_imperial_officer_m_5.iff',0,0,0,1,1693.34,12,2641.29,15,'conversation',264,0,60),
 (5407,5,0,'object/mobile/dressed_official.iff',0,1,0,0,1693.34,12,2642.29,15,'conversation',264,0,60),
 (5408,5,0,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',0,0,0,1,1713.56,12,2735.4,15,'conversation',264,0,60),
 (5409,5,0,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,1,0,0,1713.56,12,2736.4,15,'conversation',264,0,60),
 (5410,5,0,'object/mobile/dressed_stormtrooper_m.iff',-0.00146768,0.929713,0.000817747,0.36828,1723.53,12,2721.78,15,'neutral',264,0,60),
 (5411,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.980666,0,0.195691,1697.6,23.5775,2744.47,15,'neutral',264,0,60),
 (5412,5,0,'object/mobile/dark_trooper.iff',0,0.564585,0,0.825375,1722.67,12,2722.7,15,'neutral',264,0,60),
 (5413,5,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0.652841,0,0.757495,1725.94,12,2734.49,15,'calm',264,0,60),
 (5414,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,-0.42158,0,0.906791,1731.77,12,2711.7,15,'calm',264,0,60),
 (5415,5,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,0.746473,0,0.665416,1700.71,12,2620.53,15,'calm',264,0,60),
 (5416,5,0,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,0.999152,0,-0.0411699,1640.27,12,2577.94,15,'calm',264,0,60),
 (5417,5,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,0.868053,0,0.496471,1692.48,12,2595.99,15,'calm',264,0,60),
 (5418,5,0,'object/mobile/dressed_herald_servant_naboo_human_male.iff',0.0138917,0.995951,0.0518717,-0.0721023,1673.87,12,2582.69,15,'calm',264,0,60),
 (5419,5,0,'object/mobile/r5.iff',0,0.244419,0,0.96967,1676.91,12,2585.31,15,'calm',264,0,60),
 (5420,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.743813,0,-0.668388,1719.01,14.5,2616.39,15,'neutral',264,0,60),
 (5421,5,0,'object/mobile/nuna_hue.iff',0,0.390357,0,0.920664,1560.46,25,2562.7,15,'calm',264,0,60),
 (5422,5,0,'object/mobile/chuba_hue.iff',0,0.624841,0,0.780752,1553.36,25,2550.61,15,'calm',264,0,60),
 (5423,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.0541851,0,0.998531,1545.94,25,2549.85,15,'calm',264,0,60),
 (5424,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.0979899,0,0.995187,1539.6,25,2562.94,15,'calm',264,0,60),
 (5425,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.972982,0,-0.23088,1544.6,25,2552.79,15,'calm',264,0,60),
 (5426,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.989535,0,0.144296,1538.54,25,2561.59,15,'calm',264,0,60),
 (5427,5,4045384,'object/mobile/dressed_rsf_security_guard.iff',-2.38422e-07,-1.2398e-05,-2.95619e-12,1,-22.0169,2.12878,74.3914,15,'conversation',264,0,60),
 (5428,5,4045384,'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff',3.1793e-12,1,2.38415e-07,-1.33512e-05,-22.0169,2.12878,75.3914,15,'conversation',264,0,60),
 (5429,5,4045383,'object/mobile/dressed_commoner_fat_human_female_01.iff',1.08363e-07,-1.38882e-05,1.50497e-12,1,25.0535,2.12878,74.6274,15,'conversation',264,0,60),
 (5430,5,4045383,'object/mobile/dressed_rsf_commando.iff',0,1,0,-1.38644e-05,25.0535,2.12878,75.7274,15,'conversation',264,0,60),
 (5431,5,4045383,'object/mobile/dressed_noble_fat_zabrak_male_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (5432,5,4045383,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (5433,5,4045382,'object/mobile/dressed_noble_fat_zabrak_female_01.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (5434,5,4045381,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',1.08368e-07,2.51214e-05,-2.72234e-12,1,-14.0175,2.6,19.9722,15,'conversation',264,0,60),
 (5435,5,4045381,'object/mobile/dressed_criminal_thug_aqualish_male_01.iff',2.72616e-12,1,-1.08367e-07,2.51568e-05,-14.0175,2.6,21.0722,15,'conversation',264,0,60),
 (5436,5,4045381,'object/mobile/dressed_rsf_palace_guard.iff',0.0457382,-2.26863e-05,1.03872e-06,0.998953,12.9146,1.96568,29.361,15,'conversation',264,0,60),
 (5437,5,4045381,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',1.26188e-06,0.998953,0.045744,-2.75568e-05,12.9146,1.86558,30.4518,15,'conversation',264,0,60),
 (5438,5,4045381,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0.0457364,9.17921e-06,-4.20264e-07,0.998954,11.5401,0.827296,41.7641,15,'conversation',264,0,60),
 (5439,5,4045381,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',-1.99932e-07,0.998953,0.0457449,4.366e-06,11.5402,0.727192,42.8549,15,'conversation',264,0,60),
 (5440,5,4045376,'object/mobile/dressed_royal_officer_human_female_01.iff',-1.08378e-07,-1.04001e-05,-1.12715e-12,1,8.33743,0.6,-7.4598,15,'conversation',264,0,60),
 (5441,5,4045376,'object/mobile/dressed_mercenary_messanger_hum_m.iff',1.17456e-12,1,1.0838e-07,-1.08374e-05,8.33743,0.6,-6.3598,15,'conversation',264,0,60),
 (5442,5,4045376,'object/mobile/dressed_commoner_old_human_female_01.iff',-2.93277e-08,0.923874,7.08006e-08,0.382696,7.23742,0.6,-6.3598,15,'conversation',264,0,60),
 (5443,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0,0.972487,0,0.232957,1644.43,12,2450.93,15,'calm',264,0,60),
 (5444,5,0,'object/mobile/dressed_rsf_security_guard.iff',-0.14934,0.0069609,0.0460373,0.987689,1662.83,12,2458.53,15,'conversation',264,0,60),
 (5445,5,0,'object/mobile/dressed_rsf_security_guard.iff',3.88254e-09,0.988761,-0.149502,5.87044e-10,1662.83,12.3095,2459.53,15,'conversation',264,0,60),
 (5446,5,1685077,'object/mobile/dressed_athok_dinvar.iff',0,-0.693738,0,0.720227,-5.70412,-4.9,-0.24182,15,'calm',264,0,60),
 (5447,5,1685077,'object/mobile/dressed_kritus_morven.iff',0,0.957626,0,-0.288014,-5.43257,-4.9,-8.89239,15,'calm',264,0,60),
 (5448,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.992862,0,-0.119267,1619.87,12.6999,2426.2,15,'calm',264,0,60),
 (5449,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.142188,0,0.98984,1665.35,12,2428.85,15,'calm',264,0,60),
 (5450,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.723115,0,0.690728,1678.57,12,2432.37,15,'calm',264,0,60),
 (5451,5,0,'object/mobile/dressed_official.iff',0,0,0,1,1666.1,12,2437.15,15,'conversation',264,0,60),
 (5452,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0.99566,0,0.0930679,1729.85,12,2525.68,15,'calm',264,0,60),
 (5453,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.95859,0,0.284791,1678.76,12,2415.22,15,'calm',264,0,60),
 (5454,5,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,0.933051,0,-0.359745,1727.81,12,2467.92,15,'calm',264,0,60),
 (5455,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.71419,0,-0.699952,1738.27,12,2561.54,15,'neutral',264,0,60),
 (5456,5,0,'object/mobile/dressed_criminal_thug_bothan_female_01.iff',0,1,0,0,1666.1,12,2438.15,15,'conversation',264,0,60),
 (5457,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.998791,0,0.0491681,1765.49,12,2494.45,15,'calm',264,0,60),
 (5458,5,0,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,0,0,1,1766.86,12,2466.38,15,'conversation',264,0,60),
 (5459,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,1,0,0,1766.86,12,2467.38,15,'conversation',264,0,60),
 (5460,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.999355,0,-0.035911,1785.47,12.1872,2457.18,15,'neutral',264,0,60),
 (5461,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.712324,0,-0.70185,1779.43,12,2523.06,15,'neutral',264,0,60),
 (5462,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.997725,0,-0.0674145,1792.81,12.1872,2457.18,15,'neutral',264,0,60),
 (5463,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.704848,0,0.709358,1795.05,12,2522.92,15,'neutral',264,0,60),
 (5464,5,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,-0.676119,0,0.736793,1798.77,12,2525.79,15,'calm',264,0,60),
 (5465,5,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.191158,0,0.981559,1841.35,12,2461.53,15,'calm',264,0,60),
 (5466,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.999722,0,-0.0235946,1783.38,14.5,2546.91,15,'neutral',264,0,60),
 (5467,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,0.33533,0,0.942101,1861.98,12,2447.85,15,'calm',264,0,60),
 (5468,5,0,'object/mobile/gungan_s02_male.iff',0,0,0,1,1878.94,12,2430.46,15,'conversation',264,0,60),
 (5469,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,1,0,0,1878.94,12,2431.46,15,'neutral',264,0,60),
 (5470,5,0,'object/mobile/dressed_commoner_naboo_human_female_07.iff',0,0.501715,0,0.865033,1887.99,12,2399.26,15,'neutral',264,0,60),
 (5471,5,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0.429696,0,0.902974,1880.74,12,2418.22,15,'calm',264,0,60),
 (5472,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.705817,0,0.708394,1882.02,12,2425.4,15,'neutral',264,0,60),
 (5473,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0,0,1,1892.56,12,2369.88,15,'conversation',264,0,60),
 (5474,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,1,0,0,1892.56,12,2370.88,15,'conversation',264,0,60),
 (5475,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',0,0.181749,0,0.983345,1906.41,12,2425.21,15,'calm',264,0,60),
 (5476,5,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,0.91691,0,-0.399094,1890.11,12,2382.05,15,'calm',264,0,60),
 (5477,5,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,0.973154,0,-0.230155,1926.2,12,2415.7,15,'calm',264,0,60),
 (5478,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.828803,0,0.55954,1912.59,12,2380.25,15,'neutral',264,0,60),
 (5479,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.743612,0,-0.668612,1931.07,12,2388.43,15,'calm',264,0,60),
 (5480,5,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.542289,0,0.840192,1920.16,12,2378.24,15,'calm',264,0,60),
 (5481,5,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.584121,0,0.811667,1942.15,12,2442.15,15,'neutral',264,0,60),
 (5482,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.795184,0,-0.606368,1949.46,12,2419.42,15,'calm',264,0,60),
 (5483,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.989262,0,-0.146152,1947.59,12,2456.74,15,'neutral',264,0,60),
 (5484,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,0.778585,0,0.627539,1963.35,12,2435.67,15,'calm',264,0,60),
 (5485,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.245683,0,0.96935,1958.19,12,2461.16,15,'neutral',264,0,60),
 (5486,5,0,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',0,0,0,1,1956.57,12,2395.64,15,'conversation',264,0,60),
 (5487,5,0,'object/mobile/dressed_bountyhunter_trainer_03.iff',0,1,0,0,1956.57,12,2396.64,15,'conversation',264,0,60),
 (5488,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.951659,0,-0.307157,1961.3,12,2450.63,15,'neutral',264,0,60),
 (5489,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.88357,0,0.468299,1949.92,12,2356.98,15,'calm',264,0,60),
 (5490,5,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,0.850448,0,-0.52606,1966.49,12,2477.69,15,'calm',264,0,60),
 (5491,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.065384,0,0.99786,1936.63,11.9078,2328.63,15,'neutral',264,0,60),
 (5492,5,0,'object/mobile/dressed_stormtrooper_bombardier_m.iff',0,0.659668,0,0.751557,1941.37,12.1748,2334.17,15,'npc_imperial',264,0,60),
 (5493,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,-0.133061,0,0.991108,1939.22,11.7777,2326.15,15,'npc_imperial',264,0,60),
 (5494,5,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.134615,0,0.990898,1958.72,1.88,2296.49,15,'npc_imperial',264,0,60),
 (5495,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.40785,0,0.913049,2175.46,30,2427.67,15,'calm',264,0,60),
 (5496,5,0,'object/mobile/chuba_hue.iff',0,0.474572,0,0.880217,2090.12,10.2168,2350.71,15,'calm',264,0,60),
 (5497,5,0,'object/mobile/nuna_hue.iff',0,0.923799,0,-0.382878,2078.83,8.62472,2340.08,15,'calm',264,0,60),
 (5498,5,0,'object/mobile/chuba_hue.iff',0,-0.0707842,0,0.997492,2077.09,8.632,2339.9,15,'calm',264,0,60),
 (5499,5,0,'object/mobile/capper_spineflap_hue.iff',0,-0.435398,0,0.900238,2086.86,8.5231,2340.97,15,'calm',264,0,60),
 (5500,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.0360193,0,0.999351,2234.42,22.6023,2474.1,15,'calm',264,0,60),
 (5501,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.821543,0,-0.570147,2096.81,9.39158,2346.59,15,'calm',264,0,60),
 (5502,5,0,'object/mobile/nuna_hue.iff',0,0.159417,0,0.987211,2095.82,9.02963,2344.7,15,'calm',264,0,60),
 (5503,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.872123,0,0.489286,2043.83,30,2400.88,15,'calm',264,0,60),
 (5504,5,0,'object/mobile/nuna_hue.iff',0,0.557574,0,0.830127,2050.5,30,2413.07,15,'calm',264,0,60),
 (5505,5,0,'object/mobile/nuna_hue.iff',0,0.945399,0,-0.325917,2042.23,30,2413.24,15,'calm',264,0,60),
 (5506,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.384068,0,0.923305,2052.84,30,2421.9,15,'calm',264,0,60),
 (5507,5,0,'object/mobile/nuna_hue.iff',0,0.72503,0,0.688717,2043.83,30,2419.33,15,'calm',264,0,60),
 (5508,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.985844,0,0.167666,2050.79,30,2414.22,15,'calm',264,0,60),
 (5509,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.996416,0,-0.0845909,2003.73,12,2501.17,15,'neutral',264,0,60),
 (5510,5,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,-0.0917724,0,0.99578,1991.67,12,2509.05,15,'calm',264,0,60),
 (5511,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.976079,0,0.217418,2211.42,30,2586.19,15,'calm',264,0,60),
 (5512,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.82571,0,-0.564095,1992.84,12.8554,2494.75,15,'neutral',264,0,60),
 (5513,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.388398,0,0.921492,1999.19,12,2517.15,15,'neutral',264,0,60),
 (5514,5,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,-0.636371,0,0.771383,2018.95,19,2537.63,15,'calm',264,0,60),
 (5515,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.750883,0,-0.660435,2009.13,18.9221,2535.58,15,'neutral',264,0,60),
 (5516,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.388225,0,0.921565,1999.44,12,2517.37,15,'neutral',264,0,60),
 (5517,5,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.274895,0,0.961474,2000.03,12,2538.33,15,'calm',264,0,60),
 (5518,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,0.991728,0,-0.128355,2049.59,19,2549.33,15,'calm',264,0,60),
 (5519,5,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.927566,0,-0.373658,2036.4,19,2548.99,15,'calm',264,0,60),
 (5520,5,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0,0,1,2046.08,19,2545.99,15,'conversation',264,0,60),
 (5521,5,0,'object/mobile/dressed_artisan_trainer_03.iff',0,1,0,0,2046.08,19,2546.99,15,'conversation',264,0,60),
 (5522,5,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,-0.229465,0,0.973317,2013.9,18.9925,2542.03,15,'neutral',264,0,60),
 (5523,5,0,'object/mobile/dark_trooper.iff',0,0.999957,0,0.00930247,1966.82,12,2517.37,15,'neutral',264,0,60),
 (5524,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,-0.328265,0,0.944586,1977.19,12,2557.14,15,'calm',264,0,60),
 (5525,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.810801,0,-0.585322,2071.51,27.4221,2579.25,15,'neutral',264,0,60),
 (5526,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,-0.530786,0,0.847506,2058.13,26,2574.26,15,'neutral',264,0,60),
 (5527,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.810776,0,-0.585357,2071.65,27.5338,2579.29,15,'neutral',264,0,60),
 (5528,5,5,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,0.956755,0,-0.290895,-10.957,-0.894992,1.80883,15,'neutral',264,0,60),
 (5529,5,5,'object/mobile/dressed_lergo_brazee.iff',0,0.891447,0,-0.453124,3.8616,-0.894992,-4.97955,15,'calm',264,0,60),
 (5530,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.571355,0,0.820703,2076.81,30,2584.26,15,'neutral',264,0,60),
 (5531,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.666331,0,0.745656,2116.64,30,2577.93,15,'neutral',264,0,60),
 (5532,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,0.0998341,0,0.995004,2076.05,30,2601.63,15,'calm',264,0,60),
 (5533,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.453918,0,0.891043,2000.17,12,2593.59,15,'calm',264,0,60),
 (5534,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.349762,0,0.936839,2101.46,30.1343,2606.03,15,'neutral',264,0,60),
 (5535,5,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.991885,0,-0.127137,1988.95,12,2621.6,15,'calm',264,0,60),
 (5536,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.940881,0,-0.338738,2018.84,29.788,2623.19,15,'neutral',264,0,60),
 (5537,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.593392,0,0.804914,2276.53,25,2674.45,15,'calm',264,0,60),
 (5538,5,0,'object/mobile/hermit_spider_hue.iff',0,0.901755,0,0.432248,2181.5,30,2646.83,15,'calm',264,0,60),
 (5539,5,0,'object/mobile/dressed_mercenary_messanger_hum_f.iff',0,2.79323e-08,0,1,1959.04,12,2662.77,15,'conversation',264,0,60),
 (5540,5,0,'object/mobile/dressed_rebel_specforce_pathfinder_moncal_female_01.iff',0,1,0,4.16817e-08,1959.04,12,2663.87,15,'conversation',264,0,60),
 (5541,5,0,'object/mobile/dressed_noble_human_male_04.iff',0,0.92389,0,0.382658,1957.94,12,2663.87,15,'conversation',264,0,60),
 (5542,5,0,'object/mobile/gungan_s04_male.iff',0,0,0,1,1939.81,12,2653.34,15,'conversation',264,0,60),
 (5543,5,0,'object/mobile/dressed_stormtrooper_m.iff',0,-0.700729,0,0.713427,1987.83,30.1908,2692.9,15,'neutral',264,0,60),
 (5544,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,1,0,1.45205e-08,1939.81,12,2654.44,15,'conversation',264,0,60),
 (5545,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,-0.556953,0,0.830544,1911.28,12.3594,2583.83,15,'neutral',264,0,60),
 (5546,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0.976483,0,-0.215594,1973.57,12,2504.72,15,'calm',264,0,60),
 (5547,5,1865369,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.914309,0,0.405016,-24,1.6,-4,15,'calm',264,0,60),
 (5548,5,1865364,'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff',-2.38471e-06,-2.65792e-06,-6.33835e-12,1,22.0322,1.28309,-8.06448,15,'conversation',264,0,60),
 (5549,5,1865364,'object/mobile/gungan_s04_male.iff',6.19444e-12,1,2.33032e-06,-2.65819e-06,22.0322,1.28309,-6.96448,15,'conversation',264,0,60),
 (5550,5,1865364,'object/mobile/ankura_gungan.iff',-6.30589e-07,0.923867,1.52223e-06,0.382714,20.9322,1.28309,-6.96448,15,'conversation',264,0,60),
 (5551,5,1865365,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',-2.438e-06,1.75965e-06,4.29003e-12,1,-19.3974,1.6,7.61066,15,'conversation',264,0,60),
 (5552,5,1865365,'object/mobile/dressed_artisan_trainer_02.iff',-6.28869e-12,1,2.43853e-06,2.57889e-06,-19.3974,1.6,8.71066,15,'conversation',264,0,60),
 (5553,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.468984,0,0.883207,-5540.16,-150,-70.5507,15,'calm',264,0,60),
 (5554,5,0,'object/mobile/dressed_noble_fat_twilek_female_01.iff',0,0.985772,0,0.168085,-5573.75,-150,-33.5977,15,'calm',264,0,60),
 (5555,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,-0.430114,0,0.902775,-5563.67,-150,-26.0826,15,'calm',264,0,60),
 (5556,5,0,'object/mobile/dressed_noble_human_male_02.iff',0,-0.471591,0,0.881818,-5551.4,-150,-52.1113,15,'calm',264,0,60),
 (5557,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.996677,0,-0.0814583,-5519.18,-150,19.4341,15,'calm',264,0,60),
 (5558,5,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,-0.147551,0,0.989055,-5563,-150,-50.6782,15,'calm',264,0,60),
 (5559,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,-0.557828,0,0.829957,-5541.6,-150,12.823,15,'calm',264,0,60),
 (5560,5,0,'object/mobile/junk_sheani.iff',0,0.167931,0,0.985799,-5496.62,-150,-71.393,15,'calm',264,0,60),
 (5561,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0.963888,0,0.266308,-5482.29,-150,-69.7897,15,'calm',264,0,60),
 (5562,5,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.537272,0,0.843409,-5498.98,-150,-4.51918,15,'calm',264,0,60),
 (5563,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.671262,0,0.74122,-5478.22,-150,-44.0861,15,'calm',264,0,60),
 (5564,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.866755,0,-0.498734,-5469.32,-150,-1.26187,15,'calm',264,0,60),
 (5565,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,0.170539,0,0.985351,-5546.26,-150,-20.2224,15,'calm',264,0,60),
 (5566,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,0.825225,0,-0.564804,-5552.3,-149,-24.0993,15,'calm',264,0,60),
 (5567,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.945849,0,-0.324607,-5518.95,-150,16.2849,15,'calm',264,0,60),
 (5568,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.863014,0,-0.50518,-5555.35,-149,-26.4764,15,'calm',264,0,60),
 (5569,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.413192,0,0.910644,-5546.26,-150,-20.3765,15,'calm',264,0,60),
 (5570,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.438842,0,0.898564,-5549.59,-149,-24.6808,15,'calm',264,0,60),
 (5571,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.863112,0,-0.505013,-5553.08,-149,-25.2049,15,'calm',264,0,60),
 (5572,5,0,'object/mobile/gungan_s02_male.iff',0.137087,0.853654,-0.0429971,0.500632,-5629.88,-156.283,-3.19017,15,'calm',264,0,60),
 (5573,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',0,0.978301,0,0.207191,-5510.78,-150,-95.5615,15,'calm',264,0,60),
 (5574,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,-0.424596,0,0.905383,-5449.2,-132.394,122.148,15,'neutral',264,0,60),
 (5575,5,0,'object/mobile/peko_peko_hue.iff',0,-0.0426801,0,0.999089,-5576.12,-143.808,229.513,15,'neutral',264,0,60),
 (5576,5,0,'object/mobile/peko_peko_hue.iff',0,0.960672,0,0.277687,-5537,-131.602,237.556,15,'neutral',264,0,60),
 (5577,5,0,'object/mobile/dressed_stormtrooper_medic_m.iff',0,0.733791,0,-0.679375,-5431.95,-121.134,129.367,15,'npc_imperial',264,0,60),
 (5578,5,4215418,'object/mobile/dressed_plainsfolk.iff',1.08381e-07,-1.91212e-05,2.07238e-12,1,-46.7952,2.63942,30.1834,15,'conversation',264,0,60),
 (5579,5,4215418,'object/mobile/dressed_commoner_naboo_human_female_03.iff',-8.64758e-12,1,2.16781e-07,3.98909e-05,-46.7952,2.63942,31.2834,15,'conversation',264,0,60),
 (5580,5,4215413,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,-7.10469e-05,0,1,55.8212,-0.521138,43.1018,15,'conversation',264,0,60),
 (5581,5,4215413,'object/mobile/gungan_male.iff',0,1,0,0.000112726,55.8212,-0.521138,44.2018,15,'conversation',264,0,60),
 (5582,5,4215413,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,0.923859,0,0.382734,54.7212,-0.521138,44.2018,15,'conversation',264,0,60),
 (5583,5,4215407,'object/mobile/dressed_mercenary_messanger_hum_f.iff',-5.95874e-08,1.62078e-05,9.65951e-13,1,9.1177,0.639421,74.1823,15,'conversation',264,0,60),
 (5584,5,4215407,'object/mobile/dressed_commoner_naboo_human_female_06.iff',4.64078e-09,1,5.96039e-08,0.000133988,9.1177,0.639421,75.1823,15,'conversation',264,0,60),
 (5585,5,4215410,'object/mobile/dressed_commoner_old_human_female_01.iff',0.00585732,-0.572991,-0.00837714,0.819498,15.4096,0.639422,56.3535,15,'calm',264,0,60),
 (5586,5,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.953505,0,0.301377,4786.54,4.17,-4714.56,15,'calm',264,0,60),
 (5587,5,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',9.07745e-08,0.999963,-7.77232e-10,-0.0085541,4816.74,4.17,-4727.57,15,'calm',264,0,60),
 (5588,5,0,'object/mobile/dressed_plasma_thief.iff',0,-0.201753,0,0.979436,4631.56,5.36607,-4657.23,15,'calm',264,0,60),
 (5589,5,0,'object/mobile/space_rebel_tier1_naboo_v3fx.iff',0,0.978083,0,0.208215,4764.34,6.13357,-4794.99,15,'neutral',264,0,60),
 (5590,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',1.59139e-17,0.796141,6.34975e-18,-0.605112,4692.67,3.75,-4800.69,15,'calm',264,0,60),
 (5591,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.204142,0,0.978941,4667.04,3.75,-4792.22,15,'calm',264,0,60),
 (5592,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.969228,0,-0.246163,4674.62,3.75,-4772.33,15,'calm',264,0,60),
 (5593,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',-0.00107317,0.413992,-0.000450563,0.91028,4692.75,4.16587,-4722.33,15,'calm',264,0,60),
 (5594,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.99681,0,-0.079808,4755.44,4.17,-4726.16,15,'calm',264,0,60),
 (5595,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.780321,0,0.625379,4806.74,4.17,-4674.09,15,'calm',264,0,60),
 (5596,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.951406,0,0.307939,4767.37,4.17,-4574.35,15,'calm',264,0,60),
 (5597,5,0,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,0.772079,0,0.635526,4775.33,4.17,-4601.68,15,'calm',264,0,60),
 (5598,5,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0,0.867661,0,-0.497157,4762.59,4.17,-4583.87,15,'calm',264,0,60),
 (5599,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.417927,0,0.908481,4727.15,4.17,-4576.43,15,'calm',264,0,60),
 (5600,5,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',7.76001e-05,0.967711,2.02126e-05,0.252061,4662.3,4.17,-4674.62,15,'calm',264,0,60),
 (5601,5,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,0.127847,0,0.991794,4684.97,4.17,-4573.87,15,'calm',264,0,60),
 (5602,5,0,'object/mobile/dressed_commoner_old_human_female_02.iff',-0.00536934,-0.621787,-0.0104566,0.783098,4640.72,4.22812,-4638.9,15,'calm',264,0,60),
 (5603,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0.000202179,0.417021,0.0016792,0.908895,4644.28,4.16444,-4616.01,15,'calm',264,0,60),
 (5604,5,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.458877,0,0.8885,4664.49,4.17,-4588.39,15,'calm',264,0,60),
 (5605,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.979108,0,0.20334,4564.95,7.78811,-4527.9,15,'calm',264,0,60),
 (5606,5,0,'object/mobile/space_rebel_tier1_naboo_kiizete.iff',0,0.983531,0,-0.180737,4766.36,6.13357,-4795.8,15,'neutral',264,0,60),
 (5607,5,0,'object/mobile/space_greeter_moenia_undercover_rebel.iff',0,0.669835,0,0.74251,4803.36,4.17,-4697.64,15,'neutral',264,0,60),
 (5608,5,0,'object/mobile/dressed_plainsfolk.iff',0,0,0,1,4667.1,3.75,-4784.34,15,'conversation',264,0,60),
 (5609,5,0,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,0,0,1,4682.7,4.17,-4582.35,15,'conversation',264,0,60),
 (5610,5,0,'object/mobile/dressed_criminal_pirate_human_male_01.iff',-0.00585418,0.999975,-0.00407726,-2.38696e-05,4661.19,4.16082,-4708.75,15,'conversation',264,0,60),
 (5611,5,0,'object/mobile/gungan_s02_male.iff',-0.00407733,9.50092e-07,0.000233016,0.999992,4661.19,4.15266,-4709.75,15,'conversation',264,0,60),
 (5612,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,1,0,0,4713.02,4.17,-4710.61,15,'conversation',264,0,60),
 (5613,5,0,'object/mobile/dressed_noble_old_human_female_01.iff',0,0,0,1,4713.02,4.17,-4711.61,15,'conversation',264,0,60),
 (5614,5,0,'object/mobile/dressed_bountyhunter_trainer_01.iff',0,1,0,0,4667.1,3.75,-4783.34,15,'conversation',264,0,60),
 (5615,5,0,'object/mobile/cll8_binary_load_lifter.iff',0,-0.53683,0,0.84369,4660.37,4.22007,-4692.25,15,'calm',264,0,60),
 (5616,5,0,'object/mobile/r3.iff',0,0.973883,0,0.22705,4637.77,4.68513,-4655.67,15,'calm',264,0,60),
 (5617,5,0,'object/mobile/r4.iff',0,0.336282,0,0.941761,4647.33,4.17,-4628.73,15,'calm',264,0,60),
 (5618,5,0,'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff',0.0592119,0.625805,0.0139532,0.777604,4615.65,5.06538,-4625.35,15,'neutral',264,0,60),
 (5619,5,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',-0.00425465,0.958278,-0.0142832,-0.28545,4792.87,4.17,-4698.36,15,'neutral',264,0,60),
 (5620,5,0,'object/mobile/dressed_plasma_bandit.iff',0.0204938,0.721571,-0.0213786,0.691708,4640.12,4.67446,-4663.72,15,'calm',264,0,60),
 (5621,5,0,'object/mobile/dressed_plasma_thief.iff',-0.0338441,0.414215,-0.0291067,0.909084,4646.81,4.30598,-4666.17,15,'calm',264,0,60),
 (5622,5,0,'object/mobile/dressed_rebel_specforce_guerrilla_zabrak_female_01.iff',0,0.839459,0,-0.543423,4835.36,4.17,-4711.35,15,'neutral',264,0,60),
 (5623,5,0,'object/mobile/dressed_rebel_ris_03.iff',4.60922e-05,0.978152,-4.89887e-05,-0.20789,4669.55,4.17,-4566.91,15,'calm',264,0,60),
 (5624,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',-0.0126963,0.854278,-0.00799246,0.519599,4764.53,3.75173,-4815.27,15,'calm',264,0,60),
 (5625,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,-0.650474,0,0.759529,4712.91,3.75,-4825.99,15,'calm',264,0,60),
 (5626,5,0,'object/mobile/dressed_commoner_old_human_male_01.iff',-0.00135641,0.999999,-1.36262e-09,-2.85996e-08,4695.03,3.75,-4825.25,15,'conversation',264,0,60),
 (5627,5,0,'object/mobile/dressed_criminal_assassin_human_female_01.iff',0,0,0,1,4695.03,3.75,-4826.25,15,'conversation',264,0,60),
 (5628,5,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',-0.00135915,0.184296,-0.0104009,0.982815,4835.58,4.10447,-4731.85,15,'neutral',264,0,60),
 (5629,5,0,'object/mobile/dressed_mercenary_medic_rodian_female_01.iff',0.0280644,0.708712,-0.0044903,-0.704926,4842.58,3.9073,-4728.78,15,'calm',264,0,60),
 (5630,5,0,'object/mobile/dressed_noble_human_female_01.iff',0,1,0,1.83931e-34,4839.32,4.17,-4678.33,15,'conversation',264,0,60),
 (5631,5,0,'object/mobile/dressed_rsf_palace_guard.iff',0,5.92079e-34,0,1,4839.32,4.17,-4679.33,15,'conversation',264,0,60),
 (5632,5,0,'object/mobile/dressed_villain_trandoshan_female_01.iff',0,-0.517234,0,0.855844,4850.63,4.17,-4684.7,15,'calm',264,0,60),
 (5633,5,0,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,0.963353,0,-0.268236,4856.39,4.17,-4688.57,15,'calm',264,0,60),
 (5634,5,0,'object/mobile/dressed_hooligan_rodian_female_01.iff',0,0.718073,0,0.695968,4855.9,4.17,-4686.51,15,'calm',264,0,60),
 (5635,5,0,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',0,-0.356079,0,0.934456,4855.2,4.17,-4673.62,15,'calm',264,0,60),
 (5636,5,0,'object/mobile/dressed_criminal_thug_human_male_01.iff',0,-0.313633,0,0.949544,4766.05,3.75,-4834.73,15,'calm',264,0,60),
 (5637,5,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.853668,0,0.520818,4825.92,4.17,-4619.65,15,'calm',264,0,60),
 (5638,5,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0.596676,0,0.802482,4850.1,10.9268,-4756.6,15,'neutral',264,0,60),
 (5639,5,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,0.999999,0,-0.001671,4765.88,3.75,-4835.79,15,'calm',264,0,60),
 (5640,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',5.7743e-05,0.943024,-2.03724e-05,-0.332724,4864.94,3.75,-4770.52,15,'calm',264,0,60),
 (5641,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',-1.04781e-08,-0.605399,2.82431e-08,0.795922,4851.27,3.75,-4790.06,15,'calm',264,0,60),
 (5642,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.864952,0,-0.501854,4815.14,3.75,-4824.06,15,'calm',264,0,60),
 (5643,5,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0.0297804,0.930145,-0.00223311,-0.365976,4893.62,3.77492,-4667.2,15,'calm',264,0,60),
 (5644,5,0,'object/mobile/dressed_commoner_naboo_moncal_male_01.iff',0,0.973191,0,-0.229999,4870.85,3.75,-4789.2,15,'calm',264,0,60),
 (5645,5,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,0.98805,0,0.154133,4863.26,3.75,-4788.49,15,'neutral',264,0,60),
 (5646,5,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0.93529,0,-0.353883,4886.42,3.75,-4807.33,15,'neutral',264,0,60),
 (5647,5,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',-0.00293992,0.792297,5.48975e-05,-0.610128,4832.93,4.17,-4573.81,15,'calm',264,0,60),
 (5648,5,121,'object/mobile/borvo.iff',-1.52421e-08,0.267385,4.22951e-09,0.96359,-29.3933,-0.519991,8.17921,15,'calm',264,0,60),
 (5649,5,117,'object/mobile/dressed_desperado_bith_male_01.iff',-6.72266e-08,0.952851,-7.03629e-07,-0.303439,-3.71719,-0.894992,24.1046,15,'calm',264,0,60),
 (5650,5,117,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',-4.0649e-07,2.68934e-05,1.09319e-11,1,-7.15339,-0.895001,18.4528,15,'conversation',264,0,60),
 (5651,5,117,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',2.2445e-11,1,-4.60475e-07,4.87432e-05,-7.15339,-0.895,19.5528,15,'conversation',264,0,60),
 (5652,5,117,'object/mobile/dressed_criminal_thug_human_female_01.iff',1.02613e-07,0.923892,-2.47754e-07,0.382653,-8.25339,-0.895,19.5528,15,'conversation',264,0,60),
 (5653,5,114,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',-1.62535e-07,-4.20407e-05,-6.83307e-12,1,11.1574,-0.894992,-14.8935,15,'conversation',264,0,60),
 (5654,5,114,'object/mobile/bith_female.iff',-3.24432e-12,1,-1.62582e-07,-1.9955e-05,11.1574,-0.894992,-13.7935,15,'conversation',264,0,60),
 (5655,5,114,'object/mobile/dressed_rsf_palace_guard.iff',4.39948e-08,0.923869,-1.06205e-07,0.382708,10.0574,-0.894992,-13.7935,15,'conversation',264,0,60),
 (5656,5,111,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,0.287219,0,0.957865,-11.4301,-0.894992,1.13442,15,'neutral',264,0,60),
 (5657,5,111,'object/mobile/dressed_rsf_captain.iff',0,0.725904,0,0.687796,12.8278,-0.894992,0.955306,15,'calm',264,0,60),
 (5658,5,111,'object/mobile/gungan_s04_male.iff',2.37217e-12,1,-2.70887e-08,8.75703e-05,12.8278,-0.894992,2.05531,15,'conversation',264,0,60),
 (5659,5,111,'object/mobile/junk_lila.iff',1.47345e-07,0.962943,-6.22148e-08,-0.269705,25.7796,-0.894994,10.5733,15,'calm',264,0,60),
 (5660,5,111,'object/mobile/dressed_noble_human_male_01.iff',-3.38515e-08,0.967847,-8.79781e-09,0.251538,10.2879,-0.894992,4.26504,15,'calm',264,0,60),
 (5661,5,111,'object/mobile/dressed_rebel_crewman_human_male_04.iff',3.79697e-08,0.319956,-2.22627e-07,0.947432,18.6758,-0.894992,2.42413,15,'calm',264,0,60),
 (5662,5,110,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',2.30566e-06,-0.673882,-2.42371e-06,0.738839,34.8123,0.105,2.14081,15,'calm',264,0,60),
 (5663,5,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',-0.000460381,0.610282,-0.00182023,0.792182,4833.19,4.17,-4573.76,15,'calm',264,0,60),
 (5664,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.418431,0,0.908249,5044.81,6.20647,-4478.32,15,'calm',264,0,60),
 (5665,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.95498,0,0.296671,4657.01,3.813,-4424.91,15,'calm',264,0,60),
 (5666,5,0,'object/mobile/dressed_rebel_medic3_moncal_female_01.iff',2.21288e-07,0.809211,1.57173e-07,0.587518,4701.47,4.17,-4548.8,15,'calm',264,0,60),
 (5667,5,0,'object/mobile/chuba_hue.iff',0,0.999196,0,0.0400938,4739.9,4.17,-4510.53,15,'calm',264,0,60),
 (5668,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.985188,0,-0.17148,4716.26,4.69695,-4505.73,15,'calm',264,0,60),
 (5669,5,0,'object/mobile/nuna_hue.iff',0,-0.344317,0,0.938854,4731.88,4.67676,-4501.9,15,'calm',264,0,60),
 (5670,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.160182,0,0.987088,4731.97,6.18563,-4488.74,15,'calm',264,0,60),
 (5671,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.177608,0,0.984101,4717.62,5.54044,-4497.86,15,'calm',264,0,60),
 (5672,5,0,'object/mobile/capper_spineflap_hue.iff',0,0.176023,0,0.984386,4725.1,5.49451,-4495.59,15,'calm',264,0,60),
 (5673,5,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,1,0,0,4682.7,4.17,-4581.35,15,'conversation',264,0,60),
 (5674,5,0,'object/mobile/hermit_spider_hue.iff',0,0.937212,0,0.34876,4660.27,4.71695,-4455.81,15,'calm',264,0,60),
 (5675,5,0,'object/mobile/hermit_spider_hue.iff',0,-0.435635,0,0.900124,4645.42,4.51688,-4455.19,15,'calm',264,0,60),
 (5676,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.859447,0,-0.511224,4433.26,7.67782,-4583.48,15,'calm',264,0,60),
 (5677,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.13633,0,0.990663,4409.76,8.06477,-4613.64,15,'calm',264,0,60),
 (5678,5,0,'object/mobile/fanned_rawl_hue.iff',0,0.987706,0,-0.15632,4428.45,6.62719,-4655.33,15,'calm',264,0,60),
 (5679,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.342428,0,0.939544,4539.51,1.99077,-4840.31,15,'calm',264,0,60),
 (5680,5,0,'object/mobile/chuba_hue.iff',0,-0.317616,0,0.94822,4558.76,6.74803,-4674.68,15,'calm',264,0,60),
 (5681,5,0,'object/mobile/chuba_hue.iff',0,-0.680432,0,0.732812,4549.13,7.61733,-4666.3,15,'calm',264,0,60),
 (5682,5,0,'object/mobile/peko_peko_hue.iff',0,0.876252,0,0.481853,4596.81,7.95528,-4505.63,15,'neutral',264,0,60),
 (5683,5,0,'object/mobile/peko_peko_hue.iff',0,0.964891,0,0.26265,4628.15,6.64071,-4528.56,15,'neutral',264,0,60),
 (5684,5,0,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',0,0,0,1,4673.29,3.75,-4862.1,15,'conversation',264,0,60),
 (5685,5,0,'object/mobile/dressed_artisan_trainer_03.iff',0,1,0,0,4673.29,3.75,-4861.1,15,'conversation',264,0,60),
 (5686,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.990569,0,-0.137016,4702.09,3.75,-4878.94,15,'calm',264,0,60),
 (5687,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.581027,0,0.813884,4685.18,3.75,-4866.25,15,'calm',264,0,60),
 (5688,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,-0.600438,0,0.799672,4743.49,3.75,-4855.41,15,'calm',264,0,60),
 (5689,5,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',-0.0157731,0.950554,0.0495387,0.306178,4708.25,3.75,-4867.11,15,'neutral',264,0,60),
 (5690,5,0,'object/mobile/dressed_robber_twk_female_01.iff',0,0.165064,0,0.986283,4769.24,3.75,-4830.24,15,'calm',264,0,60),
 (5691,5,0,'object/mobile/dressed_robber_twk_male_01.iff',0,0.997013,0,-0.0772335,4767.05,3.75,-4837.73,15,'calm',264,0,60),
 (5692,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0.409958,0,0.912105,4765.89,3.75,-4850.33,15,'calm',264,0,60),
 (5693,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,1,0,0,4779.93,3.75,-4845.85,15,'conversation',264,0,60),
 (5694,5,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0.0681343,0.809559,-0.0610537,0.579866,4685.88,4.74997,-4891.52,15,'neutral',264,0,60),
 (5695,5,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',-0.0167816,0.790885,-0.0129773,0.611597,4730.74,3.75,-4867.78,15,'neutral',264,0,60),
 (5696,5,0,'object/mobile/r2.iff',0,0.985008,0,0.172509,4687.46,4.74999,-4893.79,15,'calm',264,0,60),
 (5697,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,0.869422,0,-0.49407,4705.29,3.75,-4892.94,15,'calm',264,0,60),
 (5698,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0,0,1,4779.93,3.75,-4846.85,15,'conversation',264,0,60),
 (5699,5,0,'object/mobile/r4.iff',0,0.891755,0,-0.452519,4777.3,4.27214,-4872.08,15,'calm',264,0,60),
 (5700,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,1,0,0,4785.74,3.75,-4890.31,15,'conversation',264,0,60),
 (5701,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',-3.44677e-13,0.634913,-4.18747e-13,0.772584,4763.08,3.75,-4899.77,15,'calm',264,0,60),
 (5702,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,-0.276213,0,0.961097,4770.04,3.75,-4885.68,15,'calm',264,0,60),
 (5703,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.78833,0,0.615252,4777.25,3.75,-4895.02,15,'calm',264,0,60),
 (5704,5,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.975466,0,0.220151,4700.69,3.75,-4906.24,15,'calm',264,0,60),
 (5705,5,0,'object/mobile/gungan_s02_male.iff',0,0,0,1,4785.74,3.75,-4891.31,15,'conversation',264,0,60),
 (5706,5,0,'object/mobile/dressed_rsf_commando.iff',0,1,0,0,4825.4,3.75,-4840.72,15,'conversation',264,0,60),
 (5707,5,0,'object/mobile/dressed_noble_old_zabrak_female_02.iff',0,0,0,1,4825.4,3.75,-4841.72,15,'conversation',264,0,60),
 (5708,5,0,'object/mobile/dressed_rebel_specforce_captain_trandoshan_male_01.iff',-0.0548715,-0.344338,-0.0209643,0.937006,4740.97,3.75,-4913.74,15,'neutral',264,0,60),
 (5709,5,0,'object/mobile/dressed_commoner_naboo_human_female_08.iff',0,0.993727,0,-0.111835,4836.84,3.75,-4836.09,15,'calm',264,0,60),
 (5710,5,0,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,0,0,1,4680.01,3.75,-4914.9,15,'conversation',264,0,60),
 (5711,5,0,'object/mobile/gungan_male.iff',0,1,0,0,4680.01,3.75,-4913.9,15,'conversation',264,0,60),
 (5712,5,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',0,0.987379,0,0.158377,4808.21,4.27214,-4887.51,15,'neutral',264,0,60),
 (5713,5,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,0.874805,0,-0.484475,4842.38,3.75,-4839.99,15,'calm',264,0,60),
 (5714,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.276154,0,0.961113,4785.68,3.75,-4822.31,15,'calm',264,0,60),
 (5715,5,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.907826,0,0.419348,4853.81,3.75,-4869.46,15,'calm',264,0,60),
 (5716,5,0,'object/mobile/dressed_rsf_palace_guard.iff',0,1,0,0,4830.47,3.75,-4884.94,15,'conversation',264,0,60),
 (5717,5,0,'object/mobile/dressed_official.iff',0,0,0,1,4830.47,3.75,-4885.94,15,'conversation',264,0,60),
 (5718,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0.945596,0,0.325344,4888.97,3.75,-4813.91,15,'calm',264,0,60),
 (5719,5,0,'object/mobile/r3.iff',0,0.698683,0,0.715431,4871.61,3.75,-4862.61,15,'calm',264,0,60),
 (5720,5,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0.788827,0,-0.614616,4848.69,10.9267,-4763.33,15,'neutral',264,0,60),
 (5721,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.692711,0,0.721215,4888.1,3.75,-4851.13,15,'calm',264,0,60),
 (5722,5,0,'object/mobile/dressed_noble_human_male_02.iff',0,0.992327,0,0.123639,4869.64,3.75,-4875.59,15,'calm',264,0,60),
 (5723,5,0,'object/mobile/ankura_gungan.iff',0,0,0,1,4888.86,3.75,-4858.07,15,'conversation',264,0,60),
 (5724,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.923869,0,0.38271,4904.82,3.75,-4839.5,15,'calm',264,0,60),
 (5725,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',-7.16392e-08,0.9998,1.43531e-09,-0.0200215,4877.11,3.75,-4887.47,15,'calm',264,0,60),
 (5726,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.955505,0,0.294976,4931.65,3.75,-4847.79,15,'calm',264,0,60),
 (5727,5,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',-1.22178e-07,-0.606016,1.60343e-07,0.795452,4958.88,3.75,-4784.13,15,'calm',264,0,60),
 (5728,5,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,0.944519,0,0.328457,4964,3.75,-4792.58,15,'calm',264,0,60),
 (5729,5,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',1.34057e-05,0.999957,-1.07911e-05,0.00928734,4859.72,4.17,-4556.68,15,'calm',264,0,60),
 (5730,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.57394,0,0.818897,4940.42,3.75,-4860.32,15,'calm',264,0,60),
 (5731,5,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.875425,0,0.483354,4852.73,3.75,-4902.63,15,'calm',264,0,60),
 (5732,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.77067,0,-0.637235,4817.83,3.75,-4908.93,15,'calm',264,0,60),
 (5733,5,0,'object/mobile/gungan_s02_male.iff',0,0,0,1,4861.64,3.75,-4910.21,15,'conversation',264,0,60),
 (5734,5,0,'object/mobile/gungan_s04_male.iff',0,1,0,0,4861.64,3.75,-4909.21,15,'conversation',264,0,60),
 (5735,5,1717546,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (5736,5,1717542,'object/mobile/dressed_artisan_trainer_02.iff',0,0.0958458,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (5737,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',1.19273e-06,0.82798,8.08487e-07,0.560758,4910.85,3.75,-4892.73,15,'calm',264,0,60),
 (5738,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,1,0,0,4960.66,3.75,-4855.79,15,'conversation',264,0,60),
 (5739,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,-0.323126,0,0.946356,4849.17,3.75,-4926.19,15,'calm',264,0,60),
 (5740,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',7.20125e-05,0.913286,-3.21186e-05,-0.407319,4957.26,3.75,-4885.94,15,'calm',264,0,60),
 (5741,5,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',-0.0442304,0.94775,0.0147281,-0.315588,4969.21,4.35,-4885.05,15,'neutral',264,0,60),
 (5742,5,0,'object/mobile/dressed_rebel_specforce_guerrilla_human_female_01.iff',0,0.787251,0,-0.616633,4970.5,3.75,-4873.39,15,'neutral',264,0,60),
 (5743,5,0,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0.00328483,0.850312,0.00530771,-0.526241,4826.15,3.75,-4918.71,15,'neutral',264,0,60),
 (5744,5,0,'object/mobile/dressed_villain_trandoshan_female_01.iff',-0.00647581,0.710431,0.00653769,0.703707,4901.59,3.75,-4948.93,15,'calm',264,0,60),
 (5745,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,-0.0643129,0,0.99793,4799.32,3.75,-4918.4,15,'calm',264,0,60),
 (5746,5,0,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0,0.994774,0,-0.102107,4901.59,3.75,-4948.93,15,'calm',264,0,60),
 (5747,5,0,'object/mobile/dressed_commoner_naboo_moncal_female_02.iff',0,0.990793,0,0.135385,4879.23,3.75,-4956.47,15,'calm',264,0,60),
 (5748,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',-0.00115917,0.906456,-0.0103636,-0.422172,4923.97,3.7822,-4891.47,15,'calm',264,0,60),
 (5749,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',0,-0.378647,0,0.925541,4972.3,3.75,-4929.22,15,'calm',264,0,60),
 (5750,5,0,'object/mobile/dressed_criminal_pirate_human_female_01.iff',0,0,0,1,4918.34,3.75,-4956.39,15,'conversation',264,0,60),
 (5751,5,0,'object/mobile/dressed_plainsfolk.iff',0,1,0,0,4918.34,3.75,-4955.39,15,'conversation',264,0,60),
 (5752,5,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0.00633317,-0.374458,-0.0180812,0.927046,4826.9,3.86497,-4944.21,15,'calm',264,0,60),
 (5753,5,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,0,0,1,4960.66,3.75,-4856.79,15,'conversation',264,0,60),
 (5754,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,-0.0781483,0,0.996942,4926.35,3.75,-4970.37,15,'calm',264,0,60),
 (5755,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,0.736794,0,0.676117,4942.97,3.75,-4956.86,15,'calm',264,0,60),
 (5756,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,-0.584035,0,0.811728,4971.79,3.75,-4956.96,15,'calm',264,0,60),
 (5757,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',-1.44178e-05,0.922875,-6.01629e-06,0.385101,4815.52,3.75,-4952.41,15,'calm',264,0,60),
 (5758,5,0,'object/mobile/dressed_noble_human_male_03.iff',0,0.657731,0,0.753253,4893.01,3.75,-4997.63,15,'calm',264,0,60),
 (5759,5,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,-0.623233,0,0.782036,4983.37,3.75,-4973.63,15,'neutral',264,0,60),
 (5760,5,1717508,'object/mobile/dressed_rsf_captain.iff',0,-1.31149e-05,0,1,0.324245,7.26,-12.5638,15,'conversation',264,0,60),
 (5761,5,1717508,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',0,1,0,-1.31111e-05,0.324245,7.26,-11.5638,15,'conversation',264,0,60),
 (5762,5,1717506,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',1.04296e-07,8.67793e-05,-7.1807e-08,1,-18.1686,0.26,9.53119,15,'conversation',264,0,60),
 (5763,5,1717506,'object/mobile/dressed_mercenary_weak_rod_m.iff',9.06015e-12,1,-1.04314e-07,8.67894e-05,-18.1686,0.26,10.5312,15,'conversation',264,0,60),
 (5764,5,1717506,'object/mobile/21b_surgical_droid.iff',0,0.972315,0,0.233673,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (5765,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.723172,0,0.690668,4901.09,3.75,-4994.69,15,'calm',264,0,60),
 (5766,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,-0.264334,0,0.964431,4975.07,3.75,-4976.35,15,'calm',264,0,60),
 (5767,5,0,'object/mobile/dressed_rsf_captain.iff',0,0,0,1,4992.61,3.75,-4946.68,15,'conversation',264,0,60),
 (5768,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,1,0,0,4992.61,3.75,-4945.68,15,'conversation',264,0,60),
 (5769,5,0,'object/mobile/dressed_rebel_sergeant_rodian_male_01.iff',0,-0.567694,0,0.82324,4978.18,3.75,-4975.15,15,'calm',264,0,60),
 (5770,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',-3.19708e-09,-0.112484,1.34571e-08,0.993654,4814.19,3.75,-4964.77,15,'calm',264,0,60),
 (5771,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',-1.73968e-09,0.743878,2.19944e-09,0.668315,4799.36,3.75,-4964.18,15,'calm',264,0,60),
 (5772,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,0.446505,0,0.894781,4831.58,3.75,-4980.31,15,'calm',264,0,60),
 (5773,5,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',-8.18848e-07,0.960164,2.38311e-07,-0.279437,4801.33,3.75,-4952.58,15,'neutral',264,0,60),
 (5774,5,0,'object/mobile/dressed_herald_naboo_02.iff',-0.163356,0.0969999,0.0161416,0.981654,4810.24,3.75,-4977.96,15,'calm',264,0,60),
 (5775,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.95645,0,0.291895,4778.73,3.75,-4946.12,15,'calm',264,0,60),
 (5776,5,0,'object/mobile/dressed_mercenary_medic_rodian_female_01.iff',0,0,0,1,4826.19,3.75,-4998.7,15,'conversation',264,0,60),
 (5777,5,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,1,0,0,4826.19,3.75,-4997.7,15,'conversation',264,0,60),
 (5778,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',-2.36507e-15,0.109297,-2.13335e-14,0.994009,4740.37,3.75,-4938.5,15,'calm',264,0,60),
 (5779,5,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,0.260075,0,0.965588,4764.57,3.75,-4967.05,15,'calm',264,0,60),
 (5780,5,0,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',0,0,0,1,4764.7,3.75,-4976.72,15,'conversation',264,0,60),
 (5781,5,0,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,1,0,0,4764.7,3.75,-4975.72,15,'conversation',264,0,60),
 (5782,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',4.39967e-09,0.611717,-3.34214e-10,0.791077,4859.25,3.75,-4970.8,15,'calm',264,0,60),
 (5783,5,0,'object/mobile/dressed_rebel_crewman_human_male_03.iff',0,0.870313,0,-0.4925,4725.9,3.75,-4931.36,15,'neutral',264,0,60),
 (5784,5,0,'object/mobile/dressed_rebel_crewman_human_female_01.iff',0,0.209369,0,0.977837,4722.66,3.75,-4932.75,15,'neutral',264,0,60),
 (5785,5,0,'object/mobile/fanned_rawl_hue.iff',0,-0.70346,0,0.710735,5073.17,5.00317,-5054.93,15,'calm',264,0,60),
 (5786,5,0,'object/mobile/3po_protocol_droid_red.iff',0,-0.110809,0,0.993842,4723.89,3.75,-4935.28,15,'calm',264,0,60),
 (5787,5,0,'object/mobile/eg6_power_droid.iff',0,0.0153193,0,0.999883,4722.7,3.75,-4932.75,15,'calm',264,0,60),
 (5788,5,0,'object/mobile/r5.iff',0,0.0334719,0,0.99944,4718.96,3.75,-4949.77,15,'calm',264,0,60),
 (5789,5,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0.00167514,-0.0376047,6.30376e-05,0.999291,4808.39,6.25,-4981.9,15,'neutral',264,0,60),
 (5790,5,0,'object/mobile/r3.iff',0,0.974224,0,0.225584,4717.57,6.25,-4963.21,15,'calm',264,0,60),
 (5791,5,1717552,'object/mobile/dressed_imperial_captain_m.iff',-1.61533e-08,0.353453,6.1034e-09,0.935452,-1.65561,1.13306,-3.82466,15,'npc_imperial',264,0,60),
 (5792,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,0.932258,0,0.361794,4701.05,3.75,-4929.73,15,'calm',264,0,60),
 (5793,5,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,-0.373222,0,0.927742,4708.4,3.75,-5010.44,15,'calm',264,0,60),
 (5794,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.098474,0,0.99514,4699.44,3.75,-4984.31,15,'calm',264,0,60),
 (5795,5,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,-0.289466,0,0.957188,4725.8,6.25,-4966.24,15,'neutral',264,0,60),
 (5796,5,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.745303,0,0.666726,4653.53,3.75,-4928.08,15,'calm',264,0,60),
 (5797,5,1717535,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (5798,5,1717534,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (5799,5,0,'object/mobile/dressed_rebel_first_lieutenant_sullustan_male_01.iff',0,0.837508,0,0.546425,4633.06,3.75,-4923.9,15,'calm',264,0,60),
 (5800,5,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,0.912154,0,0.409848,4631.95,3.75,-4924.08,15,'calm',264,0,60),
 (5801,5,0,'object/mobile/dressed_rebel_lieutenant_colonel_rodian_male_01.iff',0,-0.702499,0,0.711685,4632.88,3.75,-4922.79,15,'calm',264,0,60),
 (5802,5,1717475,'object/mobile/dressed_commoner_naboo_human_male_02.iff',-5.8769e-09,0.99814,-3.45777e-08,0.0609676,-24,1.6,-4,15,'calm',264,0,60),
 (5803,5,1717474,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',1.08352e-07,2.03503e-05,-2.205e-12,1,-14.17,1.6,-16.339,15,'conversation',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (5804,5,1717474,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',3.38169e-12,1,-1.08381e-07,3.12019e-05,-14.17,1.6,-15.239,15,'conversation',264,0,60),
 (5805,5,1717473,'object/mobile/dressed_commoner_naboo_human_male_02.iff',7.40698e-08,-0.14957,6.22569e-08,0.988751,-4.92524,1.6,-11.167,15,'calm',264,0,60),
 (5806,5,1717470,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',5.97729e-08,-8.70294e-05,5.20106e-12,1,21.7837,1.28309,-6.39962,15,'conversation',264,0,60),
 (5807,5,1717470,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',6.51724e-12,1,-5.97775e-08,0.000109034,21.7833,1.28309,-5.40241,15,'conversation',264,0,60),
 (5808,5,1717468,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',-5.36866e-06,-8.62348e-05,-4.62965e-10,1,3.35318,0.99995,17.5898,15,'conversation',264,0,60),
 (5809,5,1717468,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-1.72085e-10,1,-5.48667e-06,-3.13642e-05,3.35318,0.999959,18.3449,15,'conversation',264,0,60),
 (5810,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5009.58,0,3903.61,7,'neutral',128,1,180),
 (5811,5,0,'object/mobile/nightspider.iff',0,0,0,0,-4973.33,0,3823.86,7,'neutral',128,1,180),
 (5812,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5071.43,0,3920.64,7,'neutral',128,1,180),
 (5813,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5028.75,0,3974.88,7,'neutral',128,1,180),
 (5814,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5140.19,0,3898.19,7,'neutral',128,1,180),
 (5815,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5057.92,0,3882.48,7,'neutral',128,1,180),
 (5816,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5009.65,0,3895.96,7,'neutral',128,1,180),
 (5817,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5174.99,0,3886.46,7,'neutral',128,1,180),
 (5818,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5058.06,0,3898.77,7,'neutral',128,1,180),
 (5819,5,0,'object/mobile/nightspider.iff',0,0,0,0,-5067.78,0,3896.32,7,'neutral',128,1,180),
 (5820,5,0,'object/mobile/nuna.iff',0,0,0,0,-5010.04,0,3840.44,6,'neutral',128,1,180),
 (5821,5,0,'object/mobile/nuna.iff',0,0,0,0,-5109.56,0,3990.42,6,'neutral',128,1,180),
 (5822,5,0,'object/mobile/nuna.iff',0,0,0,0,-5103.52,0,3885.26,6,'neutral',128,1,180),
 (5823,5,0,'object/mobile/nuna.iff',0,0,0,0,-5167.37,0,3883.54,6,'neutral',128,1,180),
 (5824,5,0,'object/mobile/nuna.iff',0,0,0,0,-5145.25,0,3930.71,6,'neutral',128,1,180),
 (5825,5,0,'object/mobile/nuna.iff',0,0,0,0,-5101.44,0,3858.62,6,'neutral',128,1,180),
 (5826,5,0,'object/mobile/nuna.iff',0,0,0,0,-4986.3,0,3870.65,6,'neutral',128,1,180),
 (5827,5,0,'object/mobile/nuna.iff',0,0,0,0,-5040.1,0,3952.22,6,'neutral',128,1,180),
 (5828,5,0,'object/mobile/nuna.iff',0,0,0,0,-5087.51,0,3855.89,6,'neutral',128,1,180),
 (5829,5,0,'object/mobile/nuna.iff',0,0,0,0,-5044.49,0,3881.13,6,'neutral',128,1,180),
 (5830,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-4974.95,0,3897.71,6,'neutral',128,1,180),
 (5831,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5117.44,0,4033.27,6,'neutral',128,1,180),
 (5832,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5008.74,0,3785.58,6,'neutral',128,1,180),
 (5833,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5044.23,0,3838.37,6,'neutral',128,1,180),
 (5834,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5006.39,0,3875.9,6,'neutral',128,1,180),
 (5835,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5155.75,0,3859.9,6,'neutral',128,1,180),
 (5836,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-4953.97,0,3810.69,6,'neutral',128,1,180),
 (5837,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5113.24,0,3934.18,6,'neutral',128,1,180),
 (5838,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5072.7,0,4049.45,6,'neutral',128,1,180),
 (5839,5,0,'object/mobile/capper_spineflap.iff',0,0,0,0,-5029.65,0,4013.46,6,'neutral',128,1,180),
 (5840,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5153.95,0,3829.43,6,'neutral',128,1,180),
 (5841,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5019.13,0,3977.46,6,'neutral',128,1,180),
 (5842,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5083.26,0,3955.05,6,'neutral',128,1,180),
 (5843,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-4971.37,0,3780.9,6,'neutral',128,1,180),
 (5844,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5029.05,0,3811.74,6,'neutral',128,1,180),
 (5845,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-4988.8,0,4003.98,6,'neutral',128,1,180),
 (5846,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5013.84,0,3967.77,6,'neutral',128,1,180),
 (5847,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5075.36,0,3761.66,6,'neutral',128,1,180),
 (5848,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5091.15,0,3970.15,6,'neutral',128,1,180),
 (5849,5,0,'object/mobile/chuba_hue.iff',0,0,0,0,-5084.88,0,3923.8,6,'neutral',128,1,180),
 (5850,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-4960.79,0,3788.45,7,'neutral',128,1,180),
 (5851,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-4941.59,0,3901.99,7,'neutral',128,1,180),
 (5852,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-5001.41,0,3867.34,7,'neutral',128,1,180),
 (5853,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-5041.12,0,3929.23,7,'neutral',128,1,180),
 (5854,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-5097.72,0,3943.78,7,'neutral',128,1,180),
 (5855,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-4935.11,0,3814.13,7,'neutral',128,1,180),
 (5856,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-5051.27,0,3917.79,7,'neutral',128,1,180),
 (5857,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-5138.05,0,3896.87,7,'neutral',128,1,180),
 (5858,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-5104.92,0,3918.92,7,'neutral',128,1,180),
 (5859,5,0,'object/mobile/shaupaut.iff',0,0,0,0,-5087.75,0,3891.62,7,'neutral',128,1,180),
 (5860,5,1697365,'object/mobile/dressed_imperial_officer_m_6.iff',-0.000489593,-0.58655,-0.000366951,0.809913,-33.7329,0.259996,14.005,15,'conversation',264,0,60),
 (5861,5,1697365,'object/mobile/dressed_mercenary_messanger_hum_f.iff',0.000718017,0.689521,-0.000683572,0.724265,-33.7333,0.259997,14.0052,15,'conversation',264,0,60),
 (5862,5,1697364,'object/mobile/21b_surgical_droid.iff',0,-0.27352,0,0.961866,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (5863,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,2.20161e-08,0,1,-5041.71,6,4192.84,15,'conversation',264,0,60),
 (5864,5,0,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',0,1,0,0,-5041.71,6,4193.94,15,'conversation',264,0,60),
 (5865,5,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.0347596,0,0.999396,-5135.69,6,4219.76,15,'calm',264,0,60),
 (5866,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.997381,0,-0.0723317,-5124.32,6,4230.7,15,'calm',264,0,60),
 (5867,5,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,0.716251,0,-0.697843,-5123.13,6,4201.32,15,'calm',264,0,60),
 (5868,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.336208,0,0.941788,-5101.22,6,4246.47,15,'calm',264,0,60),
 (5869,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,-0.649984,0,0.759947,-5106.97,6,4296.89,15,'calm',264,0,60),
 (5870,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,-0.466024,0,0.884772,-5069.74,6,4262.45,15,'calm',264,0,60),
 (5871,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.776624,0,-0.629964,-5075.93,6,4204.5,15,'calm',264,0,60),
 (5872,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,0.879044,0,-0.47674,-5053.71,6,4151.61,15,'calm',264,0,60),
 (5873,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,-0.301631,0,0.953425,-5090.67,6,4173.27,15,'calm',264,0,60),
 (5874,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',0,0.403464,0,0.914995,-5076.56,6,4162.09,15,'calm',264,0,60),
 (5875,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,1,0,0.000170187,-5032.44,6,4131.62,15,'calm',264,0,60),
 (5876,5,0,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,-0.0446273,0,0.999004,-5019.1,6,4125.83,15,'calm',264,0,60),
 (5877,5,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,0.97946,0,0.20164,-5007.98,6,4111.83,15,'calm',264,0,60),
 (5878,5,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.120344,0,0.992732,-5021.05,6,4230.04,15,'calm',264,0,60),
 (5879,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0,0,1,-5138.49,6,4228.36,15,'conversation',264,0,60),
 (5880,5,0,'object/mobile/gungan_s04_male.iff',0,1,0,0,-5138.49,6,4229.36,15,'conversation',264,0,60),
 (5881,5,0,'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff',0,0,0,1,-5117.92,6,4266.21,15,'conversation',264,0,60),
 (5882,5,0,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,1,0,0,-5117.92,6,4267.21,15,'conversation',264,0,60),
 (5883,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0,0,1,-5030.32,6,4238.22,15,'conversation',264,0,60),
 (5884,5,0,'object/mobile/dressed_noble_fat_twilek_male_02.iff',0,1,0,0,-5030.32,6,4239.22,15,'conversation',264,0,60),
 (5885,5,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,0,0,1,-5082.41,6,4260.15,15,'conversation',264,0,60),
 (5886,5,0,'object/mobile/dressed_bounty_hunter_zabrak_female_01.iff',0,1,0,0,-5082.41,6,4261.15,15,'conversation',264,0,60),
 (5887,5,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,0,0,1,-5054.68,6,4228.23,15,'conversation',264,0,60),
 (5888,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,1,0,0,-5054.68,6,4229.23,15,'neutral',264,0,60),
 (5889,5,0,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,0,0,1,-5062.03,13.25,4182.08,15,'conversation',264,0,60),
 (5890,5,0,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0,1,0,0,-5062.03,13.25,4183.08,15,'conversation',264,0,60),
 (5891,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4933.43,0,4233.84,25,'neutral',128,0,180),
 (5892,5,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,-0.0361604,0,0.999346,-4991.86,6,4125.22,15,'calm',264,0,60),
 (5893,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.982478,0,0.186377,-4978.62,6,4119.77,15,'calm',264,0,60),
 (5894,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.456406,0,0.889772,-4941.05,6,4184.26,15,'calm',264,0,60),
 (5895,5,0,'object/mobile/dressed_commoner_naboo_moncal_male_01.iff',0,0.476775,0,0.879025,-4968.55,6,4158.78,15,'calm',264,0,60),
 (5896,5,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.921552,0,-0.388256,-4978.84,6,4263.64,15,'calm',264,0,60),
 (5897,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',0,0.246318,0,0.969189,-4973.93,6,4220.31,15,'calm',264,0,60),
 (5898,5,0,'object/mobile/dressed_commoner_naboo_human_female_07.iff',0,0.322684,0,0.946507,-4981.69,6,4244.41,15,'calm',264,0,60),
 (5899,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.460187,0,0.887822,-4985.97,6,4212.75,15,'calm',264,0,60),
 (5900,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0.989054,0,0.147556,-4973.2,6,4175.16,15,'calm',264,0,60),
 (5901,5,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.801384,0,0.598151,-4956.42,6,4205.06,15,'calm',264,0,60),
 (5902,5,0,'object/mobile/dressed_official.iff',0,0,0,1,-4965.4,6,4193.15,15,'conversation',264,0,60),
 (5903,5,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,1,0,0,-4965.4,6,4194.15,15,'conversation',264,0,60),
 (5904,5,0,'object/mobile/gungan_s02_male.iff',0,0,0,1,-4946.3,6,4223.38,15,'conversation',264,0,60),
 (5905,5,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,1,0,0,-4946.3,6,4224.38,15,'conversation',264,0,60),
 (5906,5,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.00118422,-0.368186,0.00105984,0.929751,-5149.35,6,4292.25,15,'neutral',264,0,60),
 (5907,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5016.16,0,4107,25,'neutral',128,0,180),
 (5908,5,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,0.971901,0,0.235387,-5065.71,6,4146.31,15,'neutral',264,0,60),
 (5909,5,0,'object/mobile/dressed_philosopher.iff',0,1,0,0,-4913.23,6,4198.98,15,'conversation',264,0,60),
 (5910,5,0,'object/mobile/gungan_s02_male.iff',0,0,0,1,-4913.23,6,4197.98,15,'conversation',264,0,60),
 (5911,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5126.48,0,4130.79,25,'neutral',128,0,180),
 (5912,5,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,0.378046,0,0.925787,-5165.37,6,4173.32,15,'calm',264,0,60),
 (5913,5,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.94889,0,-0.315608,-5160.99,6.52214,4159.54,15,'neutral',264,0,60),
 (5914,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,0.989247,0,0.146252,-4974.13,6,4196.91,15,'calm',264,0,60),
 (5915,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',0,0.580333,0,0.814379,-4897.7,6,4193.27,15,'calm',264,0,60),
 (5916,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,-0.0625354,0,0.998043,-4896.15,6,4167.85,15,'calm',264,0,60),
 (5917,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0,0,1,-4870.86,6,4179.63,15,'conversation',264,0,60),
 (5918,5,0,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,1,0,0,-4870.86,6,4180.63,15,'conversation',264,0,60),
 (5919,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4857.84,0,4178.31,25,'neutral',128,0,180),
 (5920,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,-0.115606,0,0.993295,-4866.72,6,4160.45,15,'calm',264,0,60),
 (5921,5,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,-0.0808775,0,0.996724,-4902.73,6,4106.81,15,'calm',264,0,60),
 (5922,5,0,'object/mobile/3po_protocol_droid_silver.iff',0,-0.217548,0,0.97605,-4856.56,6,4158.12,15,'neutral',264,0,60),
 (5923,5,0,'object/mobile/dressed_official.iff',0,0,0,1,-4917.91,6,4099.26,15,'conversation',264,0,60),
 (5924,5,0,'object/mobile/dressed_noble_fat_twilek_female_02.iff',0,1,0,0,-4917.91,6,4100.26,15,'conversation',264,0,60),
 (5925,5,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,-0.382683,0,0.92388,-4918.8,6,4096.2,15,'neutral',264,0,60),
 (5926,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4848.1,0,4172.25,25,'neutral',128,0,180),
 (5927,5,0,'object/mobile/space_greeter_theed_freighter_captain.iff',0,-0.381574,0,0.924338,-4854.98,6,4157.94,15,'neutral',264,0,60),
 (5928,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4845.17,0,4167.68,25,'neutral',128,0,180),
 (5929,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,0.980885,0,0.19459,-5032.08,6,4091.71,15,'calm',264,0,60),
 (5930,5,0,'object/mobile/dressed_noble_human_male_01.iff',0,0.982354,0,0.18703,-4912.59,6,4088.96,15,'calm',264,0,60),
 (5931,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.897951,0,0.440096,-4911.53,6,4089.7,15,'neutral',264,0,60),
 (5932,5,1692104,'object/mobile/dressed_mercenary_weak_hum_f.iff',-2.16719e-07,7.28135e-05,1.57801e-11,1,-29.8622,7.9418,9.79571,15,'conversation',264,0,60),
 (5933,5,1692104,'object/mobile/dressed_crook_zabrak_male_01.iff',5.26739e-12,1,2.16756e-07,-2.4301e-05,-29.8622,7.9418,10.8957,15,'conversation',264,0,60),
 (5934,5,1692104,'object/mobile/dressed_mugger.iff',-2.3839e-07,1.90712e-06,1.54901e-07,1,-37.5788,7.9418,22.3791,15,'conversation',264,0,60),
 (5935,5,1692104,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',5.56936e-08,1,2.3845e-07,-7.63053e-05,-37.5788,7.9418,23.3791,15,'conversation',264,0,60),
 (5936,5,1692103,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',-1.0839e-07,-7.10809e-05,-7.70443e-12,1,28.3576,0.749357,-68.7484,15,'conversation',264,0,60),
 (5937,5,1692103,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',-7.41531e-14,1,8.12848e-08,9.12262e-07,28.3576,0.749358,-67.6484,15,'conversation',264,0,60),
 (5938,5,1692102,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,2.34382e-05,0,1,-23.1153,0.749357,-72.4079,15,'conversation',264,0,60),
 (5939,5,1692102,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,1,0,9.53557e-05,-23.1153,0.749357,-71.3079,15,'conversation',264,0,60),
 (5940,5,1692102,'object/mobile/gungan_s04_male.iff',0,0.923858,0,0.382734,-24.2153,0.749357,-71.3079,15,'conversation',264,0,60),
 (5941,5,0,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0,0.902919,0,-0.42981,-4970.37,6,4069.78,15,'calm',264,0,60),
 (5942,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.910219,0,0.414127,-4892.24,6,4083,15,'calm',264,0,60),
 (5943,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0,0,1,-4835.28,6,4150.09,15,'conversation',264,0,60),
 (5944,5,0,'object/mobile/dressed_mercenary_messanger_hum_m.iff',0,1,0,0,-4835.28,6,4151.09,15,'conversation',264,0,60),
 (5945,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,-0.302813,0,0.95305,-4921.08,6,4061.48,15,'calm',264,0,60),
 (5946,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-4790.48,0,4108.7,25,'neutral',128,0,180),
 (5947,5,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.832901,0,0.553422,-4924.84,6,4034.9,15,'calm',264,0,60),
 (5948,5,0,'object/mobile/dressed_mercenary_messanger_sullustan_m.iff',0,0,0,1,-4900.05,6,4013.14,15,'conversation',264,0,60),
 (5949,5,0,'object/mobile/dressed_combatmedic_trainer_human_male_01.iff',0,1,0,0,-4900.05,6,4014.14,15,'conversation',264,0,60),
 (5950,5,0,'object/mobile/dressed_stormtrooper_black_gold.iff',0,-0.0977094,0,0.995215,-4974.62,6,4066.24,15,'npc_imperial',264,0,60),
 (5951,5,0,'object/mobile/dressed_stormtrooper_squad_leader_black_black.iff',-0.00316721,-0.0977148,0.00171699,0.995208,-4974.62,6,4066.24,15,'neutral',264,0,60),
 (5952,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,-0.0355576,0,0.999368,-4933.63,6,4090.17,15,'calm',264,0,60),
 (5953,5,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,-0.602714,0,0.797957,-5004.8,6,4067.54,15,'calm',264,0,60),
 (5954,5,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.830785,0,0.556593,-5023.92,6,4040.07,15,'calm',264,0,60),
 (5955,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,0.126872,0,0.991919,-5037.78,6,4078.71,15,'calm',264,0,60),
 (5956,5,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',4.82432e-05,0.739468,-0.000242122,0.673192,-5090.71,6,4052.01,15,'neutral',264,0,60),
 (5957,5,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.739461,0,0.673199,-5089.54,6,4050.7,15,'neutral',264,0,60),
 (5958,5,0,'object/mobile/dressed_imperial_captain_m.iff',0.00832658,0.737349,-0.0547863,0.673235,-5088.9,6,4051.85,15,'neutral',264,0,60),
 (5959,5,1697383,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.628537,0,0.777779,-24,1.6,-4,15,'calm',264,0,60),
 (5960,5,1697383,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',1.19208e-07,-7.53393e-05,8.98092e-12,1,-21.5772,1.6,-15.1795,15,'conversation',264,0,60),
 (5961,5,1697383,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',-1.8191e-11,1,-1.19214e-07,-0.000152594,-21.5772,1.6,-14.1795,15,'conversation',264,0,60),
 (5962,5,1697381,'object/mobile/dressed_commoner_naboo_human_male_08.iff',1.08363e-07,-6.54381e-05,7.09109e-12,1,-7.0383,1.6,-12.1532,15,'conversation',264,0,60),
 (5963,5,1697381,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',1.62733e-11,1,-1.08369e-07,0.000150166,-7.0383,1.6,-11.0532,15,'conversation',264,0,60),
 (5964,5,1697378,'object/mobile/dressed_commoner_fat_human_female_02.iff',5.41877e-08,6.06799e-05,-3.2881e-12,1,18.9004,1.28309,-6.40631,15,'conversation',264,0,60),
 (5965,5,1697378,'object/mobile/dressed_commoner_naboo_human_female_03.iff',-1.97369e-12,1,-5.4181e-08,-3.64278e-05,18.9004,1.28309,-5.30631,15,'conversation',264,0,60),
 (5966,5,1697378,'object/mobile/dressed_commoner_old_twilek_female_02.iff',1.4661e-08,0.923895,-3.5399e-08,0.382645,17.8004,1.28309,-5.30631,15,'conversation',264,0,60),
 (5967,5,1697378,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,-9.36907e-05,0,1,22.7477,1.28309,-11.7455,15,'conversation',264,0,60),
 (5968,5,1697378,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,1,0,-2.16272e-05,22.7477,1.28309,-10.6455,15,'conversation',264,0,60),
 (5969,5,1697378,'object/mobile/dressed_commoner_old_twilek_female_01.iff',5.41988e-08,-8.68971e-06,4.70972e-13,1,20.063,1.28309,-15.6127,15,'conversation',264,0,60),
 (5970,5,1697378,'object/mobile/dressed_rsf_pilot.iff',3.42729e-12,1,-5.41854e-08,6.32511e-05,20.063,1.28309,-14.5127,15,'conversation',264,0,60),
 (5971,5,1697378,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',5.41914e-08,7.80241e-05,-4.22824e-12,1,22.9832,1.28309,-1.18185,15,'conversation',264,0,60),
 (5972,5,1697378,'object/mobile/dressed_plainsfolk.iff',-1.02965e-12,1,-5.41772e-08,-1.90052e-05,22.9832,1.28309,-0.081854,15,'conversation',264,0,60),
 (5973,5,1697378,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',5.41798e-08,-9.27402e-05,5.02464e-12,1,16.996,1.28309,7.10314,15,'conversation',264,0,60),
 (5974,5,1697378,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',0,1,0,0.000122259,16.996,1.28309,8.20314,15,'conversation',264,0,60),
 (5975,5,1697378,'object/mobile/dressed_rebel_specforce_pathfinder_moncal_female_01.iff',0,0.923856,0,0.38274,15.896,1.28309,8.20314,15,'conversation',264,0,60),
 (5976,5,1697378,'object/mobile/dressed_mercenary_weak_hum_f.iff',5.41757e-08,-3.29384e-05,1.78446e-12,1,25.5911,1.28309,5.30904,15,'conversation',264,0,60),
 (5977,5,1697378,'object/mobile/dressed_plainsfolk.iff',0,1,0,1.38664e-05,25.5911,1.28309,6.40904,15,'conversation',264,0,60),
 (5978,5,1697378,'object/mobile/dressed_commoner_naboo_human_male_04.iff',-5.96165e-08,1.62157e-05,9.66408e-13,1,23.9674,1.56616,13.2884,15,'conversation',264,0,60),
 (5979,5,1697378,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,1,0,-6.10247e-05,23.9674,1.56616,14.2884,15,'conversation',264,0,60),
 (5980,5,1697377,'object/mobile/dressed_artisan_trainer_01.iff',4.38937e-06,-9.8857e-05,4.3392e-10,1,-1.60874,0.999962,6.25947,15,'conversation',264,0,60),
 (5981,5,1697377,'object/mobile/gungan_male.iff',-1.93049e-10,1,4.30774e-06,4.48145e-05,-1.60874,0.999952,7.35947,15,'conversation',264,0,60),
 (5982,5,1697377,'object/mobile/gungan_s02_male.iff',-2.70932e-07,2.66732e-05,7.22664e-12,1,2.5207,1.00001,-5.76374,15,'conversation',264,0,60),
 (5983,5,1697377,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',-1.91099e-11,1,-2.70911e-07,-7.05395e-05,2.5207,1.00001,-4.66374,15,'conversation',264,0,60),
 (5984,5,1697377,'object/mobile/gungan_male.iff',-3.25136e-07,2.61854e-05,8.51381e-12,1,7.0973,1.00001,8.95992,15,'conversation',264,0,60),
 (5985,5,1697377,'object/mobile/dressed_criminal_thug_human_female_02.iff',-2.68682e-11,1,-3.79255e-07,-7.08447e-05,7.0973,1.00001,10.0599,15,'conversation',264,0,60),
 (5986,5,1697377,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',-2.19906e-07,0.923905,5.31e-07,0.382622,5.9973,1.00001,10.0599,15,'conversation',264,0,60),
 (5987,5,1697379,'object/mobile/dressed_philosopher.iff',-0.00131925,3.20732e-05,4.23125e-08,0.999999,-23.0798,1.58876,1.90112,15,'conversation',264,0,60),
 (5988,5,1697379,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',-8.10024e-09,0.999999,-0.00131936,-6.13952e-06,-23.0798,1.59166,3.00121,15,'conversation',264,0,60),
 (5989,5,1697379,'object/mobile/gungan_male.iff',-0.000892955,0.923884,0.0021559,0.382665,-24.1798,1.5815,3.00112,15,'conversation',264,0,60),
 (5990,5,1697379,'object/mobile/gungan_s04_male.iff',-0.00269052,0.382648,0.00111433,0.92389,-24.1798,1.5826,1.90112,15,'conversation',264,0,60),
 (5991,5,1697379,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0.000395286,0.707134,0.000395316,-0.70708,-21.2681,1.59776,11.3505,15,'conversation',264,0,60),
 (5992,5,1697379,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0.0003953,0.707102,-0.000395294,0.707112,-23.2681,1.6,11.3505,15,'conversation',264,0,60),
 (5993,5,1697379,'object/mobile/r4.iff',0,0.0568791,0,0.998381,-22.2681,1.6,12.3505,15,'calm',264,0,60),
 (5994,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0.00812689,0.717939,0.000938868,-0.696057,-5159.72,6,4114.67,15,'neutral',264,0,60),
 (5995,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5161.69,0,4114.85,25,'neutral',128,0,180),
 (5996,5,0,'object/mobile/dressed_imperial_officer_m.iff',-0.00488546,-0.367045,-0.0027056,0.930186,-5163.8,6,4117.11,15,'neutral',264,0,60),
 (5997,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0.916757,0,-0.399446,-5156.23,6.21391,4129.35,15,'calm',264,0,60),
 (5998,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.703071,0,0.71112,-5171.36,6,4148.39,15,'calm',264,0,60),
 (5999,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.913216,0,-0.407475,-5088.5,6,4152.21,15,'calm',264,0,60),
 (6000,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.0326735,0,0.999466,-5194.95,6,4189.82,15,'calm',264,0,60),
 (6001,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5206.32,0,4182.8,25,'neutral',128,0,180),
 (6002,5,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.858428,0,0.512933,-5204.81,6,4190.88,15,'neutral',264,0,60),
 (6003,5,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,0,0,1,-5127.71,6,4336.34,15,'conversation',264,0,60),
 (6004,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,1,0,0,-5127.71,6,4337.34,15,'neutral',264,0,60),
 (6005,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,0.92357,0,-0.383429,-5219.06,6,4291.75,15,'calm',264,0,60),
 (6006,5,91,'object/mobile/dressed_commoner_naboo_human_female_08.iff',4.84465e-08,0.683263,-4.33635e-09,0.730172,5.28267,-0.894992,-5.62239,15,'calm',264,0,60),
 (6007,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.96076,0,-0.277383,-5140.78,6,4404.92,15,'calm',264,0,60),
 (6008,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,-0.46926,0,0.88306,-5279.6,6,4317.03,15,'neutral',264,0,60),
 (6009,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0.400391,0,0.916345,-5281.75,6,4325.98,15,'calm',264,0,60),
 (6010,5,0,'object/mobile/dressed_stormtrooper_black_black.iff',0,0.950417,0,-0.310979,-5283.85,6,4336.2,15,'neutral',264,0,60),
 (6011,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0.13465,-1.51303e-09,1.11345e-08,0.990893,-5258.93,6.27689,4186.17,15,'conversation',264,0,60),
 (6012,5,0,'object/mobile/dressed_criminal_thug_human_female_01.iff',-6.77567e-09,0.990893,0.13465,9.20728e-10,-5258.93,6,4187.17,15,'conversation',264,0,60),
 (6013,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.918312,0,-0.395856,-5280.52,6,4372.79,15,'calm',264,0,60),
 (6014,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,-0.648143,0,0.761519,-5282.92,6,4405.65,15,'calm',264,0,60),
 (6015,5,0,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.624284,0,0.781198,-5306.24,6,4357.56,15,'calm',264,0,60),
 (6016,5,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,0.632104,0,0.774884,-5309.23,6,4307.01,15,'calm',264,0,60),
 (6017,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,-0.598059,0,0.801452,-5319.27,6,4365.19,15,'calm',264,0,60),
 (6018,5,0,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0,0.996673,0,0.0815025,-5327.58,6,4267.42,15,'calm',264,0,60),
 (6019,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.999369,0,0.0355255,-5320.16,6,4236.39,15,'calm',264,0,60),
 (6020,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.84915,0,-0.528152,-5256.72,6,4254.43,15,'calm',264,0,60),
 (6021,5,0,'object/mobile/dark_trooper.iff',0,0.0105657,0,0.999944,-5323.21,3.63061,4214.35,15,'neutral',264,0,60),
 (6022,5,0,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0,-0.320653,0,0.947197,-5291.01,6,4428.53,15,'calm',264,0,60),
 (6023,5,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.481277,0,0.876568,-5371.2,6,4337.4,15,'calm',264,0,60),
 (6024,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0.967046,0,0.2546,-5370.57,6,4384.5,15,'calm',264,0,60),
 (6025,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.582041,0,0.81316,-5384.95,6,4283.38,15,'calm',264,0,60),
 (6026,5,0,'object/mobile/dressed_stormtrooper_commander_black_black.iff',0,0.950238,0,-0.311525,-5286.56,6,4444.88,15,'neutral',264,0,60),
 (6027,5,0,'object/mobile/dressed_commoner_tatooine_bith_female_03.iff',0,0.977414,0,0.211333,-5326.21,6,4292.88,15,'calm',264,0,60),
 (6028,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.602428,0,0.798173,-5392.94,6,4361.06,15,'calm',264,0,60),
 (6029,5,0,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',0,0,0,1,-5391.55,6,4382.25,15,'conversation',264,0,60),
 (6030,5,0,'object/mobile/dressed_desperado_bith_male_01.iff',0,1,0,0,-5391.55,6,4383.25,15,'conversation',264,0,60),
 (6031,5,0,'object/mobile/dressed_philosopher.iff',0,1,0,0,-5371.71,15.0036,4413.35,15,'conversation',264,0,60),
 (6032,5,0,'object/mobile/dressed_plainsfolk.iff',0,0,0,1,-5391.04,6,4394.77,15,'conversation',264,0,60),
 (6033,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,1,0,0,-5391.04,6,4395.87,15,'conversation',264,0,60),
 (6034,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.92388,0,0.382683,-5392.14,6,4395.87,15,'conversation',264,0,60),
 (6035,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.998595,0,0.0529818,-5418.26,6,4347.1,15,'calm',264,0,60),
 (6036,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0.43559,0,0.900145,-5409.46,6,4386.55,15,'calm',264,0,60),
 (6037,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5419.06,0,4315.82,25,'neutral',128,0,180),
 (6038,5,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.98319,0,0.182583,-5425.82,6,4371.62,15,'calm',264,0,60),
 (6039,5,0,'object/mobile/dressed_rsf_security_guard.iff',0,1.37176e-08,0,1,-5429.73,6,4271.9,15,'conversation',264,0,60),
 (6040,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,1,0,1.38106e-08,-5429.73,6,4273,15,'conversation',264,0,60),
 (6041,5,0,'object/mobile/dressed_artisan_trainer_03.iff',0,0.92388,0,0.382683,-5430.83,6,4273,15,'conversation',264,0,60),
 (6042,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,0.985622,0,-0.168964,-5437.58,6,4301.41,15,'calm',264,0,60),
 (6043,5,1688873,'object/mobile/space_privateer_tier4_naboo_diness.iff',-1.02859e-07,0.717722,-9.97932e-08,0.69633,-45.6677,33,-93.9157,15,'neutral',264,0,60),
 (6044,5,1688867,'object/mobile/space_privateer_tier3_naboo.iff',1.68371e-06,0.732149,-1.09388e-06,-0.681145,40.4187,33,-93.753,15,'neutral',264,0,60),
 (6045,5,1688867,'object/mobile/dressed_noble_twilek_female_01.iff',-2.30341e-07,0.455482,-4.50205e-07,0.890245,39.71,33,-96.81,15,'calm',264,0,60),
 (6046,5,1688861,'object/mobile/dressed_stormtrooper_captain_white_white.iff',-2.09538e-05,-0.367949,-3.47643e-05,0.929846,29.3493,23.0013,-34.4641,15,'neutral',264,0,60),
 (6047,5,1688861,'object/mobile/dressed_stormtrooper_captain_white_white.iff',2.93163e-05,0.770406,2.62233e-05,-0.637554,29.1187,23.0014,-30.5979,15,'neutral',264,0,60),
 (6048,5,1688861,'object/mobile/dressed_imperial_admiral_m.iff',-0.000493784,0.726339,0.000517859,-0.687336,30.3745,23.0013,-32.3904,15,'npc_imperial',264,0,60),
 (6049,5,1688860,'object/mobile/space_privateer_tier2_naboo.iff',-2.49286e-07,-0.00195927,2.56743e-07,0.999998,1.29871,21,-44.2894,15,'neutral',264,0,60),
 (6050,5,1688859,'object/mobile/space_privateer_tier1_naboo.iff',-1.80071e-07,-0.00550703,1.26547e-05,0.999985,0.800999,12.0109,6.36823,15,'neutral',264,0,60),
 (6051,5,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,-0.392196,0,0.919882,-5399.67,6,4424.78,15,'calm',264,0,60),
 (6052,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,0.906751,0,0.421667,-5416.72,6,4413.87,15,'calm',264,0,60),
 (6053,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',0,0.737971,0,-0.674833,-5458.78,6,4343.19,15,'calm',264,0,60),
 (6054,5,0,'object/mobile/dressed_rsf_security_officer.iff',0,0,0,1,-5455.01,6,4332.45,15,'conversation',264,0,60),
 (6055,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,1,0,0,-5455.01,6,4333.45,15,'conversation',264,0,60),
 (6056,5,0,'object/mobile/gungan_s04_male.iff',0,1,0,0,-5462.9,6,4320.21,15,'conversation',264,0,60),
 (6057,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.646945,0,0.762536,-5404.2,6,4199.59,15,'calm',264,0,60),
 (6058,5,0,'object/mobile/dressed_stormtrooper_commander_black_black.iff',0,1,0,0,-5484.94,6,4348.21,15,'neutral',264,0,60),
 (6059,5,0,'object/mobile/dressed_stormtrooper_black_gold.iff',0,1,0,0,-5484.94,6,4349.83,15,'neutral',264,0,60),
 (6060,5,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.811348,0,-0.584563,-5485.31,6,4373.11,15,'calm',264,0,60),
 (6061,5,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,0.735754,0,0.677249,-5492.21,6,4337.69,15,'calm',264,0,60),
 (6062,5,0,'object/mobile/dressed_herald_noble_twk_female_01.iff',-2.65602e-10,-0.590315,3.6321e-10,0.807173,-5480.82,6,4397.97,15,'calm',264,0,60),
 (6063,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.961626,0,-0.274363,-5489.61,6,4378.21,15,'neutral',264,0,60),
 (6064,5,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,0.961619,0,-0.274387,-5489.3,6,4376.42,15,'neutral',264,0,60),
 (6065,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5487.94,0,4378.62,25,'neutral',128,0,180),
 (6066,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.961645,0,-0.274298,-5489.08,6,4379.06,15,'neutral',264,0,60),
 (6067,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.961629,0,-0.274355,-5487.42,6,4379.46,15,'neutral',264,0,60),
 (6068,5,0,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,0.0782832,0,0.996931,-5449.78,6,4428.75,15,'calm',264,0,60),
 (6069,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,-0.254587,0,0.96705,-5507.67,6,4309.38,15,'calm',264,0,60),
 (6070,5,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,-0.606345,0,0.795202,-5428.98,6,4447.99,15,'calm',264,0,60),
 (6071,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,0.909694,0,-0.41528,-5489.16,6,4404.33,15,'calm',264,0,60),
 (6072,5,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.849301,0,-0.527909,-5520.11,6,4349.32,15,'calm',264,0,60),
 (6073,5,0,'object/mobile/dressed_imperial_officer_m.iff',-0.000881935,0.707105,0.00138293,0.707106,-5479.68,10,4422.67,15,'neutral',264,0,60),
 (6074,5,0,'object/mobile/dressed_herald_naboo_01.iff',0,-0.42905,0,0.903281,-5484.34,10,4424.48,15,'calm',264,0,60),
 (6075,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0,0,1,-5462.9,6,4319.21,15,'conversation',264,0,60),
 (6076,5,0,'object/mobile/dressed_noble_human_male_04.iff',0,0.783757,0,0.621067,-5538,6,4365.1,15,'calm',264,0,60),
 (6077,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.504322,0,0.863516,-5541.38,6,4302.99,15,'calm',264,0,60),
 (6078,5,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0.645084,0,0.764111,-5516.19,6,4404.77,15,'npc_imperial',264,0,60),
 (6079,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.785204,0,-0.619237,-5554.8,6,4319.26,15,'calm',264,0,60),
 (6080,5,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,-0.120892,0,0.992666,-5453.08,6,4198.55,15,'calm',264,0,60),
 (6081,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5464.75,0,4447.8,25,'neutral',128,0,180),
 (6082,5,0,'object/mobile/dressed_royal_officer_human_female_01.iff',0,0.954511,0,-0.298175,-5511,9.93211,4422,15,'neutral',264,0,60),
 (6083,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.872407,0,-0.48878,-5541.82,6,4394.46,15,'calm',264,0,60),
 (6084,5,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.976595,0,0.215087,-5547.21,6,4383.24,15,'calm',264,0,60),
 (6085,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0.111024,0,0.993818,-5558.64,6,4283.8,15,'calm',264,0,60),
 (6086,5,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.7195,0,-0.694492,-5544.22,6,4232.32,15,'calm',264,0,60),
 (6087,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,-0.508383,0,0.861131,-5487.23,6,4193.99,15,'calm',264,0,60),
 (6088,5,1305893,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',-1.08382e-07,-5.26222e-05,-5.70328e-12,1,1.03672,1.75,-20.8648,15,'conversation',264,0,60),
 (6089,5,1305893,'object/mobile/gungan_s04_male.iff',-1.62344e-12,1,1.08395e-07,1.49771e-05,1.03672,1.75,-19.7648,15,'conversation',264,0,60),
 (6090,5,1305893,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',-2.93321e-08,0.923857,7.08021e-08,0.382739,-0.063285,1.75,-19.7648,15,'conversation',264,0,60),
 (6091,5,1305892,'object/mobile/gungan_s04_male.iff',0,-3.81235e-05,0,1,11.7898,1.75,-2.99849,15,'conversation',264,0,60),
 (6092,5,1305892,'object/mobile/dressed_hooligan_rodian_female_01.iff',0,1,0,3.16654e-05,11.7898,1.75,-1.89849,15,'conversation',264,0,60),
 (6093,5,1305892,'object/mobile/dressed_rebel_specforce_pathfinder_twk_female_01.iff',-1.08364e-07,0.000104455,1.13191e-11,1,-4.34171,1.1544,-8.52823,15,'conversation',264,0,60),
 (6094,5,1305892,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',5.17138e-12,1,1.08364e-07,-4.77222e-05,-4.34171,1.1544,-7.42823,15,'conversation',264,0,60),
 (6095,5,1305892,'object/mobile/dressed_plainsfolk.iff',-2.93226e-08,0.923896,7.07995e-08,0.382645,-5.44171,1.1544,-7.42823,15,'conversation',264,0,60),
 (6096,5,1305892,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',-7.07864e-08,0.382714,2.93234e-08,0.923867,-5.44171,1.1544,-8.52823,15,'conversation',264,0,60),
 (6097,5,1305888,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.70714,0,-0.707074,-17.0001,2.25,17.4832,15,'conversation',264,0,60),
 (6098,5,1305888,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.707123,0,0.707091,-19.0001,2.25,17.4832,15,'conversation',264,0,60),
 (6099,5,1305888,'object/mobile/r2.iff',0,0.992327,0,-0.123638,-18.0001,2.25,18.4832,15,'calm',264,0,60),
 (6100,5,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.525487,0,0.850801,-5555.25,6,4241.44,15,'calm',264,0,60),
 (6101,5,0,'object/mobile/dressed_commoner_tatooine_bith_male_03.iff',0,0.903264,0,0.429085,-5507.69,6,4195.83,15,'calm',264,0,60),
 (6102,5,0,'object/mobile/dressed_imperial_officer_m_5.iff',0,0.95509,0,0.296316,-5431.8,6,4168.58,15,'npc_imperial',264,0,60),
 (6103,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,-0.137006,0,0.99057,-5583.5,6,4237.52,15,'calm',264,0,60),
 (6104,5,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,-0.289949,0,0.957042,-5562.58,6,4208.34,15,'calm',264,0,60),
 (6105,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.188674,0,0.98204,-5457.43,6,4156.44,15,'calm',264,0,60),
 (6106,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0.860058,0,-0.510196,-5599.43,6,4261.62,15,'calm',264,0,60),
 (6107,5,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.993172,0,0.116661,-5497.13,6,4148.57,15,'calm',264,0,60),
 (6108,5,0,'object/mobile/dark_trooper.iff',-0.00152418,0.999996,0.000503285,-0.00236567,-5486.48,6,4021.96,15,'neutral',264,0,60),
 (6109,5,0,'object/mobile/dark_trooper.iff',5.40412e-06,0.999997,1.77808e-05,-0.00237131,-5486.47,6,4021.96,15,'neutral',264,0,60),
 (6110,5,0,'object/mobile/bothan_male.iff',0,0,0,1,-5605.87,6,4180.74,15,'conversation',264,0,60),
 (6111,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,1,0,0,-5605.87,6,4181.74,15,'conversation',264,0,60),
 (6112,5,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.804403,0,-0.594084,-5537.28,6,4411.34,15,'calm',264,0,60),
 (6113,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5519.19,0,4428.98,25,'neutral',128,0,180),
 (6114,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.283728,0,0.958905,-5525.24,6,4430.28,15,'calm',264,0,60),
 (6115,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5508.92,0,4432.61,25,'neutral',128,0,180),
 (6116,5,0,'object/mobile/dark_trooper.iff',0,0,0,0,-5493.28,0,4450.34,35,'neutral',128,0,180),
 (6117,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5498.9,0,4450.34,25,'neutral',128,0,180),
 (6118,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5501.04,0,4470.3,25,'neutral',128,0,180),
 (6119,5,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',-0.00114342,-0.0818693,-0.00827492,0.996608,-5491.14,14,4470.24,15,'neutral',264,0,60),
 (6120,5,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,-0.500816,0,0.865553,-5457.38,6,4469.32,15,'calm',264,0,60),
 (6121,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,0.875684,0,0.482884,-5565.53,6,4469.02,15,'calm',264,0,60),
 (6122,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,0.224515,0,0.974471,-5468.87,6,4432.8,15,'calm',264,0,60),
 (6123,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.959168,0,-0.282838,-5586.88,6,4495.26,15,'calm',264,0,60),
 (6124,5,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,-0.448353,0,0.893856,-5396.24,6,4492.81,15,'calm',264,0,60),
 (6125,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0,-0.301584,0,0.95344,-5545.73,6,4466.12,15,'calm',264,0,60),
 (6126,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,0.996117,0,0.0880355,-5394.06,6,4519.32,15,'calm',264,0,60),
 (6127,5,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,0.537389,0,0.843334,-5380.45,6,4628.71,15,'calm',264,0,60),
 (6128,5,0,'object/mobile/dark_trooper.iff',0,0.160363,0,0.987058,-5586.63,7,4763.36,15,'npc_imperial',264,0,60),
 (6129,5,0,'object/mobile/dressed_stormtrooper_black_black.iff',0,0.987058,0,-0.160362,-5608.25,7,4698.56,15,'neutral',264,0,60),
 (6130,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,-0.468772,0,0.883319,-5686.06,6,4307.41,15,'calm',264,0,60),
 (6131,5,0,'object/mobile/zabrak_male.iff',0,0,0,1,-5697.07,6,4312.92,15,'conversation',264,0,60),
 (6132,5,0,'object/mobile/dressed_philosopher.iff',0,1,0,0,-5697.07,6,4313.92,15,'conversation',264,0,60),
 (6133,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.77048,0,-0.637464,-5714.21,6.49014,4350.21,15,'neutral',264,0,60),
 (6134,5,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.993284,0,-0.115698,-5675.02,6,4238.39,15,'calm',264,0,60),
 (6135,5,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',0,-0.153269,0,0.988185,-5727.93,6,4316.95,15,'calm',264,0,60),
 (6136,5,0,'object/mobile/gungan_s04_male.iff',0,0,0,1,-5657.23,6,4216.6,15,'conversation',264,0,60),
 (6137,5,0,'object/mobile/dressed_noble_zabrak_female_01.iff',0,1,0,0,-5657.23,6,4217.6,15,'conversation',264,0,60),
 (6138,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5710.12,0,4261.56,25,'neutral',128,0,180),
 (6139,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0.918792,0,0.394743,-5741.57,6,4304.91,15,'calm',264,0,60),
 (6140,5,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.889618,0,0.456704,-5592.68,6,4154.97,15,'calm',264,0,60),
 (6141,5,0,'object/mobile/dark_trooper.iff',0,0.997081,0,0.0763518,-5751,6,4203.5,15,'neutral',264,0,60),
 (6142,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5722.06,0,4185.15,25,'neutral',128,0,180),
 (6143,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0.294702,0,0.955589,-5663.64,6,4136.03,15,'calm',264,0,60),
 (6144,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0.871702,0,0.490036,-5632.25,6,4137.72,15,'calm',264,0,60),
 (6145,5,1677400,'object/mobile/dressed_commoner_naboo_human_female_08.iff',1.08383e-07,8.41577e-05,-9.12124e-12,1,-22.6115,1.6,-11.4739,15,'conversation',264,0,60),
 (6146,5,1677400,'object/mobile/gungan_male.iff',9.10764e-12,1,-1.08352e-07,8.40561e-05,-22.6115,1.6,-10.3739,15,'conversation',264,0,60),
 (6147,5,1677400,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.86452,0,-0.502599,-24,1.6,-4,15,'calm',264,0,60),
 (6148,5,1677399,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',1.19208e-07,3.76696e-05,-4.48608e-12,1,-11.7266,1.6,-16.4722,15,'conversation',264,0,60),
 (6149,5,1677399,'object/mobile/dressed_philosopher.iff',4.49149e-12,1,-1.19211e-07,3.76706e-05,-11.7266,1.6,-15.4722,15,'conversation',264,0,60),
 (6150,5,1677395,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',-1.62543e-07,-1.73392e-05,-2.81836e-12,1,16.6641,1.28309,-3.47071,15,'conversation',264,0,60),
 (6151,5,1677395,'object/mobile/dressed_scout_trooper_white_white.iff',-2.81589e-12,1,-1.62559e-07,-1.73223e-05,16.6641,1.28309,-2.37071,15,'neutral',264,0,60),
 (6152,5,1677395,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',4.39881e-08,0.923882,-1.06199e-07,0.382677,15.5641,1.28309,-2.37071,15,'conversation',264,0,60),
 (6153,5,1677394,'object/mobile/dressed_commoner_naboo_human_female_03.iff',-5.4189e-07,-5.74291e-05,-3.11202e-11,1,4.2931,1,-7.62435,15,'conversation',264,0,60),
 (6154,5,1677394,'object/mobile/dressed_noble_fat_twilek_female_01.iff',-1.86716e-11,1,-3.2507e-07,-5.74389e-05,4.2931,1.00001,-6.52435,15,'conversation',264,0,60),
 (6155,5,1677394,'object/mobile/dressed_robber_twk_female_01.iff',0,0.000104212,0,1,-4.2087,0.999986,1.15452,15,'conversation',264,0,60),
 (6156,5,1677394,'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff',3.10236e-12,1,-2.97956e-08,0.000104165,-4.2087,0.999986,2.15452,15,'conversation',264,0,60),
 (6157,5,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.210717,0,0.977547,-5709.29,6,4134.09,15,'calm',264,0,60),
 (6158,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,-0.390912,0,0.920428,-5690.65,6,4124.1,15,'calm',264,0,60),
 (6159,5,0,'object/mobile/dressed_royal_officer_human_male_01.iff',0,0.999806,0,0.0197027,-5694.07,6,4116.03,15,'neutral',264,0,60),
 (6160,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,0.509379,0,0.860543,-5751.98,6,4147.86,15,'calm',264,0,60),
 (6161,5,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,-0.46509,0,0.885264,-5729.03,6,4120.76,15,'calm',264,0,60),
 (6162,5,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.734888,0,0.678188,-5733.6,6,4109.89,15,'neutral',264,0,60),
 (6163,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5733.78,0,4111.28,25,'neutral',128,0,180),
 (6164,5,0,'object/mobile/dressed_stormtrooper_squad_leader_black_black.iff',-0.00249793,-0.70499,0.000319917,0.709213,-5677.49,6,4092.76,15,'neutral',264,0,60),
 (6165,5,0,'object/mobile/dressed_stormtrooper_black_gold.iff',-0.00307555,-0.704992,0.000341656,0.709208,-5677.48,6,4092.76,15,'neutral',264,0,60),
 (6166,5,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,0.463358,0,0.886171,-5600.12,6,4053.65,15,'calm',264,0,60),
 (6167,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5687.08,0,4038.4,25,'neutral',128,0,180),
 (6168,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5671.62,0,4038.61,25,'neutral',128,0,180),
 (6169,5,0,'object/mobile/dressed_commoner_naboo_human_female_08.iff',0,0.942393,0,-0.334508,-5803.39,6,4101.34,15,'calm',264,0,60),
 (6170,5,0,'object/mobile/stormtrooper.iff',0,0,0,0,-5802.04,0,4095.09,25,'neutral',128,0,180),
 (6171,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.028081,0,0.999606,-5806.81,13.1767,4063.66,15,'neutral',264,0,60),
 (6172,5,5475487,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',2.16747e-07,4.3865e-06,-9.50763e-13,1,3.05224,2.12878,71.4469,15,'conversation',264,0,60),
 (6173,5,5475487,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',-1.4092e-12,1,3.25083e-07,4.33488e-06,3.05224,2.12878,72.5469,15,'conversation',264,0,60),
 (6174,5,5475487,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',1.28758e-07,8.44894e-05,-4.35992e-07,1,-11.5446,2.12878,75.9709,15,'conversation',264,0,60),
 (6175,5,5475487,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',1.08725e-11,1,-1.28748e-07,8.44588e-05,-11.5446,2.12878,76.8966,15,'conversation',264,0,60),
 (6176,5,5475487,'object/mobile/dressed_noble_old_twk_female_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (6177,5,5475487,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',-0.00014582,0.531615,5.18266e-05,0.846986,21.99,2.12804,64.05,15,'calm',264,0,60),
 (6178,5,5475486,'object/mobile/dressed_noble_rodian_male_01.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (6179,5,5475485,'object/mobile/dressed_rsf_pilot.iff',0.0457489,5.9409e-05,-2.72074e-06,0.998953,-16.4118,1.12919,38.4929,15,'conversation',264,0,60),
 (6180,5,5475485,'object/mobile/dressed_noble_human_male_04.iff',-2.71968e-06,0.998954,0.0457335,5.94059e-05,-16.4118,1.02908,39.5837,15,'conversation',264,0,60),
 (6181,5,5475485,'object/mobile/dressed_desperado_bith_male_01.iff',0.0457331,-0.000105653,4.8369e-06,0.998954,19.6394,0.764492,42.4583,15,'conversation',264,0,60),
 (6182,5,5475485,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',5.07931e-06,0.998953,0.0457487,-0.00011091,19.6394,0.664388,43.5491,15,'conversation',264,0,60),
 (6183,5,5475485,'object/mobile/dressed_rsf_palace_guard.iff',-0.0124247,0.922597,0.0298197,0.384409,18.5394,0.664266,43.5491,15,'conversation',264,0,60),
 (6184,5,5475485,'object/mobile/gungan_s02_male.iff',0.0457365,3.89059e-05,-1.78128e-06,0.998954,12.4716,2.41226,24.5116,15,'conversation',264,0,60),
 (6185,5,5475485,'object/mobile/dressed_noble_bothan_male_01.iff',-1.77879e-06,0.998953,0.045746,3.88434e-05,12.4716,2.31216,25.6024,15,'conversation',264,0,60),
 (6186,5,5475485,'object/mobile/dressed_commoner_artisan_sullustan_male_01.iff',0.0457335,-9.31716e-05,4.26482e-06,0.998954,-22.5486,1.61223,33.2294,15,'conversation',264,0,60),
 (6187,5,5475485,'object/mobile/dressed_rsf_pilot.iff',4.26631e-06,0.998953,0.0457468,-9.31991e-05,-22.5486,1.52122,34.221,15,'conversation',264,0,60),
 (6188,5,5475480,'object/mobile/dressed_mercenary_messanger_hum_f.iff',-8.12892e-08,-5.61635e-05,-4.56549e-12,1,-6.34119,0.6,-9.37965,15,'conversation',264,0,60),
 (6189,5,5475480,'object/mobile/dressed_rsf_palace_guard.iff',6.07995e-12,1,1.08349e-07,-5.61145e-05,-6.34119,0.6,-8.27965,15,'conversation',264,0,60),
 (6190,5,0,'object/mobile/gungan_s02_male.iff',0,0,0,1,-5827.81,6,4172.98,15,'conversation',264,0,60),
 (6191,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,1,0,0,-5827.81,6,4173.98,15,'conversation',264,0,60),
 (6192,5,0,'object/mobile/dark_trooper.iff',0,0.994253,0,0.107054,-5807.59,6,4036.85,15,'neutral',264,0,60),
 (6193,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.999721,0,0.0236204,-5858.79,6,4147.3,15,'calm',264,0,60),
 (6194,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.76096,0,0.648799,-5857.35,6,4163.42,15,'neutral',264,0,60),
 (6195,5,0,'object/mobile/dressed_imperial_officer_m_6.iff',0.000833003,0.996306,0.00291846,-0.0858185,-5824.39,6,3997.55,15,'neutral',264,0,60),
 (6196,5,0,'object/mobile/dressed_stormtrooper_bombardier_m.iff',0.000813962,0.99515,0.00242453,-0.0983341,-5825.86,6,3998.03,15,'neutral',264,0,60),
 (6197,5,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.99669,0,0.0812975,-5889.07,6,4235.87,15,'calm',264,0,60),
 (6198,5,0,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.475487,0,0.879722,-5928.72,6,4217.24,15,'calm',264,0,60),
 (6199,5,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.981352,0,0.192217,-5954.03,6,4214.79,15,'neutral',264,0,60),
 (6200,5,0,'object/mobile/dressed_imperial_colonel_m.iff',0,0.981353,0,0.192215,-5954.91,6,4216.95,15,'neutral',264,0,60),
 (6201,5,0,'object/mobile/dressed_imperial_medic3_human_male_01.iff',0,0.981324,0,0.192363,-5955.2,6,4217.67,15,'npc_imperial',264,0,60),
 (6202,5,0,'object/mobile/dressed_imperial_officer_m_5.iff',0,0.829174,0,0.558991,-5945.26,6,4216.18,15,'neutral',264,0,60),
 (6203,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.835535,0,0.549438,-5946.18,6,4215.5,15,'neutral',264,0,60),
 (6204,5,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.995486,0,0.0949121,-5968.83,6,4287.92,15,'calm',264,0,60),
 (6205,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',-0.000952293,0.998355,0.000297514,0.0573259,-5969.83,6,4246.76,15,'neutral',264,0,60),
 (6206,5,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,0.998355,0,0.0573266,-5969.83,6,4246.77,15,'neutral',264,0,60),
 (6207,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0.663925,0,0.747799,-6012.09,6,4241.61,15,'calm',264,0,60),
 (6208,5,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,-0.280313,0,0.959909,-5996.82,6,4309.73,15,'calm',264,0,60),
 (6209,5,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,-0.430919,0,0.90239,-6023.52,6,4213.29,15,'calm',264,0,60),
 (6210,5,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,-0.292757,0,0.956187,-6040.72,6,4260.46,15,'calm',264,0,60),
 (6211,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0,0.959396,0,0.282062,-6036.18,6,4286.85,15,'calm',264,0,60),
 (6212,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,0.578044,0,0.816006,-5996.87,6,4269.75,15,'calm',264,0,60),
 (6213,5,0,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,0.998394,0,-0.0566497,-6055.49,6,4319.64,15,'calm',264,0,60),
 (6214,5,0,'object/mobile/dressed_official.iff',0,0,0,1,-5886.59,6,4368.23,15,'conversation',264,0,60),
 (6215,5,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,1,0,0,-5886.59,6,4369.23,15,'conversation',264,0,60),
 (6216,5,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,0.97863,0,0.205629,-5941.62,6,4339.4,15,'calm',264,0,60),
 (6217,5,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,0.222704,0,0.974886,-5818.26,6,4407.8,15,'calm',264,0,60),
 (6218,5,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,1,0,0,-5778.43,6,4397.54,15,'conversation',264,0,60),
 (6219,5,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.740666,0,0.671873,-5779.85,8.03265,4406.52,15,'neutral',264,0,60),
 (6220,5,0,'object/mobile/dressed_stormtrooper_black_black.iff',0,0.943019,0,-0.332739,-5746.41,6,4393.06,15,'neutral',264,0,60),
 (6221,5,0,'object/mobile/dark_trooper.iff',0,0.874862,0,-0.484374,-5749.12,6,4387.13,15,'npc_imperial',264,0,60),
 (6222,5,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,-0.524259,0,0.851559,-5757.67,6,4411.04,15,'calm',264,0,60),
 (6223,5,0,'object/mobile/dressed_imperial_colonel_m.iff',0,-0.054945,0,0.998489,-5743.54,6,4398.58,15,'npc_imperial',264,0,60),
 (6224,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.291752,0,0.956494,-5747.35,6,4403.1,15,'neutral',264,0,60),
 (6225,5,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.978881,0,-0.204433,-5740.26,6,4394.04,15,'neutral',264,0,60),
 (6226,5,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0,0,0,-4895,0,4193,7,'calm',264,0,180),
 (6227,5,0,'object/mobile/narglatch.iff',0,0,0,0,5857.06,0,-4735.69,12,'neutral',128,35,180),
 (6228,5,5285904,'object/mobile/narglatch_cub.iff',0,0,0,0,59.1563,-48.2338,-105.9,8,'neutral',128,33,180),
 (6229,5,5285904,'object/mobile/narglatch_cub.iff',0,0,0,0,59.9239,-48.0151,-105.848,8,'neutral',128,33,180),
 (6230,5,5285904,'object/mobile/narglatch_cub.iff',0,0,0,0,59.2891,-48.1575,-106.455,8,'neutral',128,33,180),
 (6231,5,5285904,'object/mobile/narglatch_cub.iff',0,0,0,0,58.6679,-48.374,-105.204,8,'neutral',128,33,180),
 (6232,5,5285904,'object/mobile/narglatch.iff',0,0,0,0,51.2337,-51.2872,-81.9015,18,'neutral',128,35,180),
 (6233,5,5285904,'object/mobile/narglatch.iff',0,0,0,0,50.2935,-51.4655,-81.2462,18,'neutral',128,35,180),
 (6234,5,5285904,'object/mobile/narglatch.iff',0,0,0,0,49.7328,-51.0798,-80.6538,18,'neutral',128,35,180),
 (6235,5,5285903,'object/mobile/narglatch.iff',0,0,0,0,188.433,-65.8127,-96.0352,22,'neutral',128,35,180),
 (6236,5,5285903,'object/mobile/narglatch_cub.iff',0,0,0,0,188.399,-65.8936,-105.666,8,'neutral',128,33,180),
 (6237,5,5285903,'object/mobile/narglatch_cub.iff',0,0,0,0,188.437,-65.8282,-106.207,8,'neutral',128,33,180),
 (6238,5,5285903,'object/mobile/narglatch_cub.iff',0,0,0,0,186.971,-65.5715,-107.227,8,'neutral',128,33,180),
 (6239,5,5285903,'object/mobile/narglatch_cub.iff',0,0,0,0,186.356,-65.5219,-108.394,8,'neutral',128,33,180),
 (6240,5,5285903,'object/mobile/narglatch.iff',0,0,0,0,190.219,-66.5608,-101.405,27,'neutral',128,35,180),
 (6241,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,154.726,-66.2054,-97.0398,22,'neutral',128,35,180),
 (6242,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,153.984,-66.1003,-96.709,22,'neutral',128,35,180),
 (6243,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,154.57,-66.1752,-97.0431,22,'neutral',128,35,180),
 (6244,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,155.203,-66.3735,-97.7713,22,'neutral',128,35,180),
 (6245,5,5285902,'object/mobile/narglatch_female.iff',0,0,0,0,124.829,-66.7547,-87.9985,23,'neutral',128,35,180),
 (6246,5,5285902,'object/mobile/narglatch_female.iff',0,0,0,0,123.467,-66.727,-87.7582,23,'neutral',128,35,180),
 (6247,5,5285902,'object/mobile/narglatch_female.iff',0,0,0,0,136.382,-66.4899,-120.494,23,'neutral',128,35,180),
 (6248,5,5285902,'object/mobile/narglatch_female.iff',0,0,0,0,136.293,-66.4107,-119.244,23,'neutral',128,35,180),
 (6249,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,106.14,-66.2979,-106.777,22,'neutral',128,35,180),
 (6250,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,107.509,-66.2915,-108.184,22,'neutral',128,35,180),
 (6251,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,107.208,-66.2926,-107.5,22,'neutral',128,35,180),
 (6252,5,5285902,'object/mobile/narglatch.iff',0,0,0,0,107.977,-66.5127,-106.369,22,'neutral',128,35,180),
 (6253,5,5285899,'object/mobile/narglatch_female.iff',0,0,0,0,86.3064,-46.6698,-109.72,23,'neutral',128,35,180),
 (6254,5,5285899,'object/mobile/narglatch_female.iff',0,0,0,0,86.8994,-46.7851,-108.768,23,'neutral',128,35,180),
 (6255,5,5285898,'object/mobile/narglatch.iff',0,0,0,0,74.6552,-77.0677,-88.5809,22,'neutral',128,35,180),
 (6256,5,5285898,'object/mobile/narglatch.iff',0,0,0,0,79.4059,-75.6855,-59.4771,22,'neutral',128,35,180),
 (6257,5,5285898,'object/mobile/narglatch.iff',0,0,0,0,79.8804,-75.7066,-59.0985,22,'neutral',128,35,180),
 (6258,5,5285898,'object/mobile/narglatch.iff',0,0,0,0,79.3953,-75.6892,-59.8034,22,'neutral',128,35,180),
 (6259,5,5285898,'object/mobile/narglatch_female.iff',0,0,0,0,72.215,-77.3807,-90.5184,23,'neutral',128,35,180),
 (6260,5,5285897,'object/mobile/narglatch_female.iff',0,0,0,0,80.0613,-62.7106,-16.379,23,'neutral',128,35,180),
 (6261,5,5285897,'object/mobile/narglatch_cub.iff',0,0,0,0,83.8814,-62.1124,-12.7906,8,'neutral',128,33,180),
 (6262,5,5285897,'object/mobile/narglatch_cub.iff',0,0,0,0,84.8026,-62.3222,-14.1039,8,'neutral',128,33,180),
 (6263,5,5285897,'object/mobile/narglatch_cub.iff',0,0,0,0,85.7581,-62.1249,-13.2416,8,'neutral',128,33,180),
 (6264,5,5285897,'object/mobile/narglatch_cub.iff',0,0,0,0,86.8824,-62.004,-11.9496,8,'neutral',128,33,180),
 (6265,5,5285896,'object/mobile/narglatch_female.iff',0,0,0,0,51.1727,-67.489,-44.9174,23,'neutral',128,35,180),
 (6266,5,5285896,'object/mobile/narglatch_cub.iff',0,0,0,0,51.1845,-67.6346,-47.5875,8,'neutral',128,33,180),
 (6267,5,5285896,'object/mobile/narglatch_cub.iff',0,0,0,0,51.3974,-67.6616,-48.7445,8,'neutral',128,33,180),
 (6268,5,5285896,'object/mobile/narglatch_cub.iff',0,0,0,0,51.6902,-67.6934,-48.6905,8,'neutral',128,33,180),
 (6269,5,5285896,'object/mobile/narglatch_cub.iff',0,0,0,0,50.7219,-67.539,-47.8711,8,'neutral',128,33,180),
 (6270,5,5285896,'object/mobile/narglatch.iff',0,0,0,0,45.8427,-47.2964,-26.0894,18,'neutral',128,35,180),
 (6271,5,5285896,'object/mobile/narglatch.iff',0,0,0,0,45.2566,-46.9206,-24.8118,18,'neutral',128,35,180),
 (6272,5,5285896,'object/mobile/narglatch.iff',0,0,0,0,27.5306,-43.3069,-67.1476,12,'neutral',128,35,180),
 (6273,5,5285896,'object/mobile/narglatch.iff',0,0,0,0,24.5021,-37.9369,-31.854,18,'neutral',128,35,180),
 (6274,5,5285896,'object/mobile/narglatch.iff',0,0,0,0,25.3447,-37.7154,-31.1389,18,'neutral',128,35,180),
 (6275,5,5285896,'object/mobile/narglatch_cub.iff',0,0,0,0,21.5772,-41.9673,-66.2902,8,'neutral',128,33,180),
 (6276,5,5285896,'object/mobile/narglatch_cub.iff',0,0,0,0,22.6629,-42.1857,-66.8769,8,'neutral',128,33,180),
 (6277,5,5285896,'object/mobile/narglatch_cub.iff',0,0,0,0,23.982,-42.4837,-67.5169,8,'neutral',128,33,180),
 (6278,5,5285895,'object/mobile/narglatch_cub.iff',0,0,0,0,20.056,-27.2205,-8.69811,8,'neutral',128,33,180),
 (6279,5,5285895,'object/mobile/narglatch_cub.iff',0,0,0,0,19.2017,-27.1022,-8.761,8,'neutral',128,33,180),
 (6280,5,5285895,'object/mobile/narglatch_cub.iff',0,0,0,0,19.8043,-26.7543,-7.50212,8,'neutral',128,33,180),
 (6281,5,5285895,'object/mobile/narglatch_cub.iff',0,0,0,0,20.4196,-26.4089,-6.54443,8,'neutral',128,33,180),
 (6282,5,5285895,'object/mobile/narglatch.iff',0,0,0,0,-0.0842351,-12.6628,-10.128,12,'neutral',128,35,180),
 (6283,5,5285895,'object/mobile/narglatch.iff',0,0,0,0,0.57355,-13.1971,-10.0831,12,'neutral',128,35,180),
 (6284,5,0,'object/mobile/narglatch.iff',0,0,0,0,5833.88,0,-4673.6,18,'neutral',128,35,180),
 (6285,5,0,'object/mobile/narglatch.iff',0,0,0,0,5859.51,0,-4736.48,12,'neutral',128,35,180),
 (6286,5,0,'object/mobile/narglatch.iff',0,0,0,0,5858.02,0,-4735.05,12,'neutral',128,35,180),
 (6287,5,0,'object/mobile/narglatch.iff',0,0,0,0,5835.26,0,-4674.7,18,'neutral',128,35,180),
 (6288,5,5285900,'object/mobile/narglatch.iff',0,0,0,0,55.609,-72.4672,-111.031,22,'neutral',128,35,180),
 (6289,5,5285900,'object/mobile/narglatch.iff',0,0,0,0,55.7263,-72.4423,-111.107,22,'neutral',128,35,180),
 (6290,5,5285900,'object/mobile/narglatch.iff',0,0,0,0,56.0992,-71.9749,-112.282,22,'neutral',128,35,180),
 (6291,5,5285905,'object/mobile/narglatch_cub.iff',0,0,0,0,76.6839,-46.1883,-137.218,8,'neutral',128,33,180),
 (6292,5,5285905,'object/mobile/narglatch_cub.iff',0,0,0,0,76.0665,-46.1734,-138.453,8,'neutral',128,33,180),
 (6293,5,5285905,'object/mobile/narglatch_female.iff',0,0,0,0,78.0875,-46.5705,-143.613,23,'neutral',128,35,180),
 (6294,5,5285901,'object/mobile/narglatch_female.iff',0,0,0,0,82.2869,-66.0361,-136.77,23,'neutral',128,35,180),
 (6295,5,5285901,'object/mobile/narglatch_female.iff',0,0,0,0,81.6276,-65.8453,-137.914,23,'neutral',128,35,180),
 (6296,5,5285905,'object/mobile/narglatch.iff',0,0,0,0,83.5343,-46.4091,-143.324,22,'neutral',128,35,180),
 (6297,5,5285905,'object/mobile/narglatch.iff',0,0,0,0,82.0385,-46.588,-144.784,22,'neutral',128,35,180),
 (6298,5,5285901,'object/mobile/narglatch_cub.iff',0,0,0,0,84.4604,-66.3536,-138.625,8,'neutral',128,33,180),
 (6299,5,5285901,'object/mobile/narglatch_cub.iff',0,0,0,0,84.7233,-66.4678,-137.191,8,'neutral',128,33,180),
 (6300,5,5285901,'object/mobile/narglatch_cub.iff',0,0,0,0,84.3998,-66.4002,-137.437,8,'neutral',128,33,180),
 (6301,5,5285901,'object/mobile/narglatch_cub.iff',0,0,0,0,85.8107,-66.6873,-136.395,8,'neutral',128,33,180),
 (6302,5,4295402,'object/mobile/giant_veermok.iff',0,0,0,0,186.36,-65.8279,-103.569,26,'neutral',128,35,180),
 (6303,5,4295398,'object/mobile/veermok.iff',0,0,0,0,89.8296,-46.6359,-107.641,13,'neutral',128,35,180),
 (6304,5,4295398,'object/mobile/veermok.iff',0,0,0,0,89.0039,-46.8252,-107.053,13,'neutral',128,35,180),
 (6305,5,4295394,'object/mobile/veermok.iff',0,0,0,0,22.8066,-27.6296,-8.61728,9,'neutral',128,35,180),
 (6306,5,4295395,'object/mobile/veermok.iff',0,0,0,0,43.8358,-47.1767,-10.5634,13,'neutral',128,35,180),
 (6307,5,4295395,'object/mobile/veermok.iff',0,0,0,0,43.142,-47.063,-9.21997,13,'neutral',128,35,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (6308,5,0,'object/mobile/veermok.iff',0,0,0,0,5718.63,0,-1540.31,9,'neutral',128,35,180),
 (6309,5,4295395,'object/mobile/veermok.iff',0,0,0,0,54.2333,-68.2449,-37.7192,13,'neutral',128,35,180),
 (6310,5,4295395,'object/mobile/veermok.iff',0,0,0,0,46.5483,-48.1294,-62.6541,13,'neutral',128,35,180),
 (6311,5,4295397,'object/mobile/veermok.iff',0,0,0,0,74.728,-75.281,-60.3768,15,'neutral',128,35,180),
 (6312,5,4295397,'object/mobile/veermok.iff',0,0,0,0,74.9886,-75.3027,-59.7139,15,'neutral',128,35,180),
 (6313,5,4295397,'object/mobile/veermok.iff',0,0,0,0,75.3978,-75.295,-60.9466,15,'neutral',128,35,180),
 (6314,5,4295396,'object/mobile/veermok.iff',0,0,0,0,77.3609,-61.5438,-10.5813,13,'neutral',128,35,180),
 (6315,5,4295396,'object/mobile/veermok.iff',0,0,0,0,78.6118,-61.6992,-9.94681,13,'neutral',128,35,180),
 (6316,5,4295404,'object/mobile/veermok.iff',0,0,0,0,78.1737,-46.6238,-142.412,15,'neutral',128,35,180),
 (6317,5,4295404,'object/mobile/veermok.iff',0,0,0,0,77.1832,-46.5064,-143.699,15,'neutral',128,35,180),
 (6318,5,4295400,'object/mobile/veermok.iff',0,0,0,0,92.0334,-66.1276,-127.145,18,'neutral',128,35,180),
 (6319,5,4295401,'object/mobile/veermok.iff',0,0,0,0,134.715,-66.4296,-107.272,18,'neutral',128,35,180),
 (6320,5,4295401,'object/mobile/veermok.iff',0,0,0,0,134.391,-66.4696,-106.357,18,'neutral',128,35,180),
 (6321,6,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.779773,0,-0.626063,-5443.54,80,-2174.68,15,'calm',264,0,60),
 (6322,6,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,0.115259,0,0.993335,-5418.39,80,-2093.5,15,'calm',264,0,60),
 (6323,6,4635445,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',-6.50263e-07,-5.19987e-05,-3.38128e-11,1,-46.8088,2.63942,30.7844,15,'conversation',264,0,60),
 (6324,6,4635445,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',-2.10437e-11,1,7.58674e-07,2.77375e-05,-46.8088,2.63942,31.8844,15,'conversation',264,0,60),
 (6325,6,4635445,'object/mobile/dressed_spice_collective_courier_rodian_male_01.iff',-2.05299e-07,0.923866,4.95584e-07,0.382717,-47.9088,2.63942,31.8844,15,'conversation',264,0,60),
 (6326,6,4635442,'object/mobile/dressed_criminal_pirate_human_female_01.iff',8.12845e-07,-2.59965e-05,2.11312e-11,1,-34.4809,1.63942,60.9461,15,'conversation',264,0,60),
 (6327,6,4635442,'object/mobile/dressed_criminal_slicer_human_female_01.iff',-1.97371e-11,1,-7.5854e-07,-2.60199e-05,-34.4809,1.63942,62.0461,15,'conversation',264,0,60),
 (6328,6,4635440,'object/mobile/dressed_noble_old_twk_male_01.iff',-1.30035e-06,-7.11086e-05,-9.24663e-11,1,40.9354,0.639417,36.9425,15,'conversation',264,0,60),
 (6329,6,4635440,'object/mobile/dressed_commoner_naboo_human_female_02.iff',9.2504e-11,1,1.30056e-06,-7.11265e-05,40.9354,0.639417,38.0425,15,'conversation',264,0,60),
 (6330,6,0,'object/mobile/dressed_zeelius_kraymunder.iff',0.0110368,0.994803,-0.00735555,0.10095,-5317.51,80.4691,-2266.1,15,'calm',264,0,60),
 (6331,6,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,-0.347728,0,0.937596,-5313.48,80,-2114.04,15,'calm',264,0,60),
 (6332,6,0,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',0,0.189661,0,0.98185,-5325.77,80.093,-2068.85,15,'calm',264,0,60),
 (6333,6,0,'object/mobile/dressed_imperial_major_m.iff',0,0.482879,0,0.875687,-5273.15,80.0817,-2234.29,15,'npc_imperial',264,0,60),
 (6334,6,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.221127,0,0.975245,-5298.83,80.0772,-2198.9,15,'calm',264,0,60),
 (6335,6,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,-0.262592,0,0.964907,-5259.69,80.0145,-2239.88,15,'calm',264,0,60),
 (6336,6,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.993431,0,-0.114434,-5299,80.0686,-2098.49,15,'npc_imperial',264,0,60),
 (6337,6,0,'object/mobile/eg6_power_droid.iff',0,-0.405222,0,0.914219,-5312.76,80.102,-2219.53,15,'calm',264,0,60),
 (6338,6,0,'object/mobile/dressed_narmle_guard_rodian_female_01.iff',0,0.999974,0,-0.00722321,-5278.7,80.2784,-2148.79,15,'calm',264,0,60),
 (6339,6,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.375456,0,0.92684,-5257.05,80,-2254.85,15,'npc_imperial',264,0,60),
 (6340,6,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,-0.129922,0,0.991524,-5231.19,80.067,-2208.19,15,'calm',264,0,60),
 (6341,6,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.0478879,0,0.998853,-5230.23,80.3685,-2182.25,15,'calm',264,0,60),
 (6342,6,0,'object/mobile/dressed_narmle_guard_rodian_male_01.iff',0,0.014089,0,0.999901,-5254.36,80,-2310.88,15,'calm',264,0,60),
 (6343,6,0,'object/mobile/eg6_power_droid.iff',0,0.925163,0,0.379571,-5209.77,80.0124,-2207.36,15,'calm',264,0,60),
 (6344,6,0,'object/mobile/r5.iff',0,0.0285716,0,0.999592,-5208.93,80,-2249.14,15,'calm',264,0,60),
 (6345,6,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.907323,0,0.420435,-5210.74,80,-2269.67,15,'calm',264,0,60),
 (6346,6,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,0.418449,0,0.90824,-5268.57,80,-2335.87,15,'calm',264,0,60),
 (6347,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',-0.0365893,0.881697,-0.0693397,-0.465257,-5564.39,79.2752,-2119.46,15,'neutral',264,0,60),
 (6348,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',-0.030727,0.92085,-0.0741551,-0.381565,-5565.39,79.2833,-2118.46,15,'neutral',264,0,60),
 (6349,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,0.751602,0,0.659617,-5564.39,79.2214,-2121.46,15,'neutral',264,0,60),
 (6350,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',-0.0189905,0.953336,-0.0613708,-0.294999,-5566.39,79.0528,-2117.46,15,'neutral',264,0,60),
 (6351,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',-0.0142031,0.963194,-0.0519461,-0.263357,-5566.39,78.9822,-2116.46,15,'neutral',264,0,60),
 (6352,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,0.88841,0,0.459052,-5535.71,84.5403,-2044.39,15,'calm',264,0,60),
 (6353,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',-0.0656047,-0.416644,-0.00382836,0.906691,-5537.58,85.8373,-2041.19,15,'neutral',264,0,60),
 (6354,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,0.829338,0,-0.558747,-5547.64,84.7919,-2044.2,15,'calm',264,0,60),
 (6355,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',-0.0332831,0.152716,-0.00653299,0.987688,-5547.54,83.8982,-2035.57,15,'neutral',264,0,60),
 (6356,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,0.993155,0,0.1168,-5565.39,79.424,-2117.46,15,'neutral',264,0,60),
 (6357,6,0,'object/mobile/hermit_spider_hue.iff',0,0.810857,0,0.585244,-5293.89,81.1887,-1982.46,15,'calm',264,0,60),
 (6358,6,0,'object/mobile/hermit_spider_hue.iff',0,-0.369189,0,0.929355,-5279.75,80.8355,-1987.34,15,'calm',264,0,60),
 (6359,6,0,'object/mobile/squall_hue.iff',0,-0.662973,0,0.748643,-5297.37,80.2596,-1989.49,15,'calm',264,0,60),
 (6360,6,0,'object/mobile/squall_hue.iff',0,0.786019,0,-0.618202,-5297.44,80.2243,-1989.04,15,'calm',264,0,60),
 (6361,6,0,'object/mobile/squall_hue.iff',0,0.982223,0,-0.187718,-5289.33,81.1627,-1985.13,15,'calm',264,0,60),
 (6362,6,0,'object/mobile/chuba_hue.iff',0,-0.0919431,0,0.995764,-5280.62,80.7132,-1987.53,15,'calm',264,0,60),
 (6363,6,0,'object/mobile/hermit_spider_hue.iff',0,0.975349,0,0.220667,-5095.11,80.3015,-2110.63,15,'calm',264,0,60),
 (6364,6,0,'object/mobile/hermit_spider_hue.iff',0,-0.297359,0,0.954766,-5103.64,80.6804,-2116.08,15,'calm',264,0,60),
 (6365,6,4635424,'object/mobile/21b_surgical_droid.iff',0,0.576679,0,0.816971,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (6366,6,4635424,'object/mobile/dressed_narmle_lieutenant_twk_female_01.iff',0.0542775,0.781322,-0.00802101,0.621712,-5.37358,0.26,-4.18154,15,'neutral',264,0,60),
 (6367,6,4635423,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,0.999999,0.00106742,0,-33.7407,0.259965,-13.9897,15,'conversation',264,0,60),
 (6368,6,4635423,'object/mobile/dressed_noble_old_zabrak_male_01.iff',0.00144544,0,0,0.999999,-33.7407,0.259972,-13.9927,15,'conversation',264,0,60),
 (6369,6,4635423,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,0.951844,-0.306582,0,-33.7407,0.259965,-13.9897,15,'conversation',264,0,60),
 (6370,6,4635423,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,0.978815,-0.204747,0,-33.7407,0.259972,-13.9927,15,'conversation',264,0,60),
 (6371,6,4635423,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',-4.50636e-09,0.978815,-0.204747,-2.15431e-08,-33.7407,0.259972,-13.9927,15,'conversation',264,0,60),
 (6372,6,4635423,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',1.0374e-08,0.978815,-0.204747,4.95939e-08,-33.7407,0.259972,-13.9927,15,'conversation',264,0,60),
 (6373,6,4635423,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,0.999999,0.00106742,0,-33.7407,0.259965,-13.9897,15,'conversation',264,0,60),
 (6374,6,0,'object/mobile/warren_teraud_loyalist_scientist.iff',0,0.962753,0,0.270383,-5130.31,80,-2270,15,'calm',264,0,60),
 (6375,6,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,-0.490541,0,0.871418,-5089.55,80,-2268.5,15,'calm',264,0,60),
 (6376,6,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.889882,0,-0.456192,-5033.6,80.0574,-2224.65,15,'calm',264,0,60),
 (6377,6,0,'object/mobile/dressed_narmle_guard_rodian_male_01.iff',0,0.965665,0,0.259792,-5062.24,80.2318,-2255.34,15,'calm',264,0,60),
 (6378,6,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.881529,0,-0.47213,-5010.3,80.2656,-2228.89,15,'calm',264,0,60),
 (6379,6,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,-0.543146,0,0.839638,-5088.04,80,-2296.7,15,'calm',264,0,60),
 (6380,6,0,'object/mobile/hermit_spider_hue.iff',0,0.985096,0,-0.172003,-4959.83,78.8972,-2195.52,15,'calm',264,0,60),
 (6381,6,0,'object/mobile/3po_protocol_droid.iff',0.0058587,0.214234,-0.00128499,0.976764,-4975,79.8943,-2227,15,'calm',264,0,60),
 (6382,6,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.976613,0,-0.215005,-4983.01,79.9956,-2297.39,15,'calm',264,0,60),
 (6383,6,0,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0,0.916767,0,0.399422,-4966.21,79.9706,-2321.09,15,'calm',264,0,60),
 (6384,6,0,'object/mobile/squall_hue.iff',0,-0.630558,0,0.776142,-4951.35,79.0596,-2194.99,15,'calm',264,0,60),
 (6385,6,0,'object/mobile/chuba_hue.iff',0,0.168291,0,0.985737,-4949.52,79.5275,-2200.28,15,'calm',264,0,60),
 (6386,6,0,'object/mobile/squall_hue.iff',0,-0.0318288,0,0.999493,-4956.7,79.3006,-2179.24,15,'calm',264,0,60),
 (6387,6,0,'object/mobile/chuba_hue.iff',0,-0.581238,0,0.813734,-4965.59,80.1912,-2176,15,'calm',264,0,60),
 (6388,6,0,'object/mobile/squall_hue.iff',0,0.812049,0,-0.583589,-4957.25,79.2141,-2189.09,15,'calm',264,0,60),
 (6389,6,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0.0725806,0,0.997363,-4984.34,80,-2335.05,15,'calm',264,0,60),
 (6390,6,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0.792295,0,0.610139,-4873.48,82.0523,-2256.69,15,'calm',264,0,60),
 (6391,6,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0.968951,0,-0.247252,-4877.1,81.0647,-2251.47,15,'calm',264,0,60),
 (6392,6,0,'object/mobile/dressed_cobral_thug_rodian_male_01.iff',0,0.227357,0,0.973812,-4864.56,80.8399,-2247.82,15,'calm',264,0,60),
 (6393,6,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0.950042,0,-0.312122,-4883.47,81.097,-2246.39,15,'calm',264,0,60),
 (6394,6,0,'object/mobile/dressed_cobral_mugger_human_female_01.iff',0,0.865345,0,-0.501176,-4864.19,80.5081,-2246.87,15,'calm',264,0,60),
 (6395,6,0,'object/mobile/dressed_cobral_thief_human_male_01.iff',0,0.989053,0,-0.147562,-4863.33,80.5281,-2253.58,15,'calm',264,0,60),
 (6396,6,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0.958097,0,-0.286443,-4872.13,79.6112,-2244.19,15,'calm',264,0,60),
 (6397,6,0,'object/mobile/squall_hue.iff',0,-0.689716,0,0.72408,-4908.96,78.4111,-2239.6,15,'calm',264,0,60),
 (6398,6,0,'object/mobile/squall_hue.iff',0,-0.183506,0,0.983019,-4916.64,78.8661,-2227.33,15,'calm',264,0,60),
 (6399,6,0,'object/mobile/squall_hue.iff',0,-0.558708,0,0.829364,-4915.71,78.2762,-2236.72,15,'calm',264,0,60),
 (6400,6,0,'object/mobile/squall_hue.iff',0,0.904955,0,0.425508,-4907.7,78.2424,-2237,15,'calm',264,0,60),
 (6401,6,0,'object/mobile/chuba_hue.iff',0,0.715819,0,-0.698286,-4923.22,78.4302,-2239.76,15,'calm',264,0,60),
 (6402,6,0,'object/mobile/squall_hue.iff',0,-0.010497,0,0.999945,-4906.88,78.1283,-2231.66,15,'calm',264,0,60),
 (6403,6,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,0.938318,0,0.345773,-4967.75,79.9998,-2379.52,15,'calm',264,0,60),
 (6404,6,0,'object/mobile/hermit_spider_hue.iff',0,0.99826,0,-0.0589665,-4851.61,78.1927,-2306.58,15,'calm',264,0,60),
 (6405,6,0,'object/mobile/hermit_spider_hue.iff',0,0.985554,0,-0.169362,-4839.16,80.2828,-2307.73,15,'calm',264,0,60),
 (6406,6,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,-0.422881,0,0.906185,-4866.9,77.8474,-2301.82,15,'calm',264,0,60),
 (6407,6,0,'object/mobile/dressed_robber_twk_female_01.iff',0,-0.422892,0,0.90618,-4867.56,77.7862,-2301.95,15,'calm',264,0,60),
 (6408,6,0,'object/mobile/dressed_ruffian_zabrak_female_01.iff',0,0.973736,0,0.227682,-4833.67,79.773,-2310.94,15,'calm',264,0,60),
 (6409,6,4635403,'object/mobile/dressed_oxil_sarban.iff',-9.49902e-06,-0.591812,1.23181e-05,0.806076,15.588,2.12878,72.3985,15,'calm',264,0,60),
 (6410,6,4635403,'object/mobile/dressed_noble_trandoshan_male_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (6411,6,4635403,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (6412,6,4635402,'object/mobile/dressed_noble_old_human_female_02.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (6413,6,0,'object/mobile/dressed_commoner_tatooine_bith_male_02.iff',0,0.934135,0,-0.35692,-4968,79.9912,-2399,15,'calm',264,0,60),
 (6414,6,0,'object/mobile/dressed_crook_zabrak_female_01.iff',0,0.605139,0,0.79612,-4822.52,79.1924,-2301.21,15,'calm',264,0,60),
 (6415,6,0,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,0.983964,0,-0.178365,-4822.33,77.9171,-2248.25,15,'calm',264,0,60),
 (6416,6,0,'object/mobile/dressed_narmle_captain_bith_female_01.iff',0,-0.591704,0,0.806155,-5001.12,80.6,-2297.02,15,'calm',264,0,60),
 (6417,6,0,'object/mobile/dressed_narmle_captain_bith_female_01.iff',0,-0.601838,0,0.798618,-5001.12,80.6,-2299.95,15,'calm',264,0,60),
 (6418,6,0,'object/mobile/dressed_narmle_ensign_human_male_01.iff',0,0.998377,0,-0.0569513,-5039.88,80,-2383.97,15,'neutral',264,0,60),
 (6419,6,0,'object/mobile/r3.iff',0,0.712181,0,0.701996,-5065.29,80,-2334.08,15,'calm',264,0,60),
 (6420,6,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0.943432,0,0.331566,-5036.13,80,-2402.18,15,'calm',264,0,60),
 (6421,6,0,'object/mobile/hermit_spider_hue.iff',0,0.990752,0,-0.135689,-4908.06,75.3753,-2483.58,15,'calm',264,0,60),
 (6422,6,0,'object/mobile/hermit_spider_hue.iff',0,-0.503473,0,0.864011,-4902.74,76.3764,-2482.05,15,'calm',264,0,60),
 (6423,6,0,'object/mobile/hermit_spider_hue.iff',0,0.922715,0,0.385483,-4942.31,76.4418,-2576.6,15,'calm',264,0,60),
 (6424,6,0,'object/mobile/chuba_hue.iff',0,0.982803,0,-0.184656,-4907.87,76.1747,-2491.71,15,'calm',264,0,60),
 (6425,6,0,'object/mobile/squall_hue.iff',0,0.934451,0,-0.356091,-4907.94,76.101,-2489.61,15,'calm',264,0,60),
 (6426,6,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.0320998,0,0.999485,-5088.79,80.0022,-2444.55,15,'calm',264,0,60),
 (6427,6,0,'object/mobile/dressed_narmle_ensign_human_female_01.iff',0,0.965617,0,0.259967,-5084.94,80.2418,-2501.65,15,'calm',264,0,60),
 (6428,6,0,'object/mobile/dressed_narmle_ensign_human_female_01.iff',0,0.598695,0,0.800977,-5082.88,80.2418,-2502.38,15,'calm',264,0,60),
 (6429,6,0,'object/mobile/hermit_spider_hue.iff',0,0.0686796,0,0.997639,-5050.26,76.3996,-2598.38,15,'calm',264,0,60),
 (6430,6,0,'object/mobile/hermit_spider_hue.iff',0,0.236506,0,0.97163,-5054.32,76.2719,-2603.34,15,'calm',264,0,60),
 (6431,6,0,'object/mobile/hermit_spider_hue.iff',0,0.951197,0,0.308584,-5054.86,76.2439,-2601.46,15,'calm',264,0,60),
 (6432,6,0,'object/mobile/hermit_spider_hue.iff',0,-0.105351,0,0.994435,-5054.8,76.279,-2603.57,15,'calm',264,0,60),
 (6433,6,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.161872,0,0.986812,-5120.56,80,-2443.12,15,'calm',264,0,60),
 (6434,6,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,0.885025,0,-0.465544,-5160.16,80,-2499.29,15,'calm',264,0,60),
 (6435,6,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.213605,0,0.97692,-5189.88,80,-2501.35,15,'calm',264,0,60),
 (6436,6,0,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0,0.839051,0,0.544053,-5190.22,80,-2461.09,15,'calm',264,0,60),
 (6437,6,0,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0.330335,0,0.943864,-5131.61,76.1337,-2660.4,15,'calm',264,0,60),
 (6438,6,0,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,-0.302616,0,0.953113,-5142.7,76.6997,-2664.06,15,'calm',264,0,60),
 (6439,6,0,'object/mobile/hermit_spider_hue.iff',0,0.943225,0,-0.332154,-5210.51,75.7071,-2621.65,15,'calm',264,0,60),
 (6440,6,0,'object/mobile/dressed_cobral_thug_rodian_male_01.iff',0,-0.535623,0,0.844457,-5137.61,76.8892,-2671.86,15,'calm',264,0,60),
 (6441,6,0,'object/mobile/dressed_cobral_bandit_bith_male_01.iff',0,-0.422138,0,0.906532,-5130.94,76.5926,-2669.41,15,'calm',264,0,60),
 (6442,6,0,'object/mobile/squall_hue.iff',0,-0.672449,0,0.740144,-5196.36,76.681,-2620.44,15,'calm',264,0,60),
 (6443,6,0,'object/mobile/squall_hue.iff',0,-0.696929,0,0.71714,-5201.36,76.1738,-2619.44,15,'calm',264,0,60),
 (6444,6,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,-0.34884,0,0.937182,-5235.04,80,-2430.93,15,'calm',264,0,60),
 (6445,6,0,'object/mobile/dressed_sidoras_bey.iff',0,-0.476536,0,0.879155,-5246.95,80,-2387.01,15,'calm',264,0,60),
 (6446,6,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,0.931716,0,0.363187,-5235.88,80,-2387.38,15,'calm',264,0,60),
 (6447,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,0.667298,0,0.744791,-5372.18,82.6622,-2453.89,15,'calm',264,0,60),
 (6448,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0.00178277,0.997913,-0.0370066,0.0528903,-5383.56,87.1206,-2452.88,15,'neutral',264,0,60),
 (6449,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,0.804353,0,0.594152,-5374.21,82.9652,-2443.29,15,'calm',264,0,60),
 (6450,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',0,0.905821,0,0.423661,-5390.35,86.1163,-2457.35,15,'calm',264,0,60),
 (6451,6,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,0.492312,0,0.870419,-5238.69,80,-2355.76,15,'calm',264,0,60),
 (6452,6,0,'object/mobile/dressed_commoner_tatooine_bith_male_02.iff',0,-0.440874,0,0.897569,-5323.84,80.1242,-2307.54,15,'calm',264,0,60),
 (6453,6,4635599,'object/mobile/dressed_sindra_lintikoor.iff',1.53165e-07,0.385937,-6.40766e-08,0.922525,-23.809,1.6,-11.9706,15,'calm',264,0,60),
 (6454,6,4635599,'object/mobile/dressed_commoner_old_human_female_02.iff',0,-0.697278,0,0.716801,-24,1.6,-4,15,'calm',264,0,60),
 (6455,6,4635599,'object/mobile/kole.iff',0,0.5373,0,0.843391,-23.3,1.6,-17.6,15,'calm',264,0,60),
 (6456,6,4635594,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',1.13792e-06,-6.96048e-06,7.92048e-12,1,26.0684,1.28309,-0.818005,15,'conversation',264,0,60),
 (6457,6,4635594,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',-7.88034e-12,1,-1.13779e-06,-6.92599e-06,26.0684,1.28309,0.281995,15,'conversation',264,0,60),
 (6458,6,4635594,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',3.07881e-07,0.92389,-7.4335e-07,0.382657,24.9684,1.28309,0.281995,15,'conversation',264,0,60),
 (6459,6,4635593,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',-1.89668e-06,-5.1772e-05,-9.81949e-11,1,4.86047,0.999988,5.92573,15,'conversation',264,0,60),
 (6460,6,4635593,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',-1.72767e-10,1,-3.33259e-06,-5.18416e-05,4.86047,0.999992,7.02573,15,'conversation',264,0,60),
 (6461,6,4635595,'object/mobile/dressed_criminal_pirate_human_female_01.iff',-0.000118764,9.44705e-05,1.12197e-08,1,-13.3747,1.00011,-3.41628,15,'conversation',264,0,60),
 (6462,6,4635595,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',1.1024e-08,1,-0.000116664,9.44936e-05,-13.3747,1.00037,-2.31628,15,'conversation',264,0,60),
 (6463,6,0,'object/mobile/dressed_goru_rainstealer.iff',0,0.60663,0,0.794985,-5431.64,79.9998,-2242.36,15,'calm',264,0,60),
 (6464,6,0,'object/mobile/hermit_spider_hue.iff',0,0.991123,0,-0.132945,-5473.93,79.1925,-2351.53,15,'calm',264,0,60),
 (6465,6,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',0,0.990804,0,-0.135302,-5479.26,80,-2117.4,15,'calm',264,0,60),
 (6466,6,0,'object/mobile/hermit_spider_hue.iff',0,0.952406,0,0.304832,-5607.22,77.6464,-2179.85,15,'calm',264,0,60),
 (6467,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',0,0.858565,0,0.512704,-5570.39,77.9482,-2126.46,15,'neutral',264,0,60),
 (6468,6,0,'object/mobile/hermit_spider_hue.iff',0,0.774154,0,0.632997,-5607.29,77.3375,-2186.26,15,'calm',264,0,60),
 (6469,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,0.946893,0,0.321548,-5568.39,78.644,-2125.46,15,'neutral',264,0,60),
 (6470,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',-0.0721302,0.78256,-0.092315,-0.611453,-5565.39,79.3759,-2122.46,15,'neutral',264,0,60),
 (6471,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',-0.0189905,0.953335,-0.0613708,-0.294999,-5566.39,79.0528,-2117.46,15,'neutral',264,0,60),
 (6472,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',0,-0.504001,0,0.863703,-5564.39,79.2066,-2122.46,15,'neutral',264,0,60),
 (6473,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_male_01.iff',0,-0.212729,0,0.977111,-5562.39,79.2817,-2120.46,15,'neutral',264,0,60),
 (6474,6,0,'object/mobile/dressed_garyn_prowler_trandoshan_female_01.iff',0,-0.0737192,0,0.997279,-5572.39,77.6972,-2125.46,15,'neutral',264,0,60),
 (6475,6,0,'object/mobile/eg6_power_droid.iff',0,-0.649571,0,0.760301,-5187.37,80,-2283.09,15,'calm',264,0,60),
 (6476,6,0,'object/mobile/dressed_narmle_captain_bith_male_01.iff',0,-0.00907188,0,0.999959,-5129.37,80,-2308.26,15,'calm',264,0,60),
 (6477,6,0,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,0.903459,0,0.428674,-5096.5,80,-2317.99,15,'calm',264,0,60),
 (6478,6,0,'object/mobile/dressed_narmle_captain_bith_female_01.iff',0,0.712168,0,0.702009,-5090.41,80,-2333.72,15,'calm',264,0,60),
 (6479,6,0,'object/mobile/dressed_narmle_guard_rodian_male_01.iff',0,0.712113,0,0.702065,-5090.42,80,-2334.78,15,'calm',264,0,60),
 (6480,6,0,'object/mobile/dressed_narmle_guard_rodian_male_01.iff',0,0.711907,0,0.702274,-5091.47,80,-2333.7,15,'calm',264,0,60),
 (6481,6,0,'object/mobile/dressed_narmle_guard_rodian_male_01.iff',0,0.300291,0,0.953848,-5224.99,80,-2381.31,15,'calm',264,0,60),
 (6482,6,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.970994,0,0.239102,-5137.08,80,-2408.5,15,'calm',264,0,60),
 (6483,6,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.934112,0,0.356979,-5088.2,80,-2407.66,15,'calm',264,0,60),
 (6484,6,4615384,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (6485,6,4615383,'object/mobile/dressed_imperial_officer_m_4.iff',0,0.803685,0,-0.595055,14.307,1.13306,-8.87086,15,'npc_imperial',264,0,60),
 (6486,6,4615380,'object/mobile/dressed_artisan_trainer_03.iff',0,0.0958458,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (6487,6,4615375,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (6488,6,4615374,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (6489,6,4615371,'object/mobile/dressed_imperial_officer_m_5.iff',0,0.932033,0,-0.362373,9.68564,1.13306,0.462498,15,'npc_imperial',264,0,60),
 (6490,6,4635529,'object/mobile/dressed_criminal_assassin_human_female_01.iff',0,-6.79871e-06,0,1,-1.64601,-9,-17.4847,15,'conversation',264,0,60),
 (6491,6,4635529,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,1,0,-7.67033e-06,-1.64601,-9,-16.3847,15,'conversation',264,0,60),
 (6492,6,4635529,'object/mobile/dressed_criminal_assassin_human_female_01.iff',0,0.923894,0,0.382649,-2.74601,-9,-16.3847,15,'conversation',264,0,60),
 (6493,6,4635528,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,-3.52803e-05,0,1,3.05378,-9,-3.38406,15,'conversation',264,0,60),
 (6494,6,4635528,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,1,0,-3.62157e-05,3.05378,-9,-2.28406,15,'conversation',264,0,60),
 (6495,6,4635527,'object/mobile/dressed_jaleela_bindoo.iff',0,0.839566,0,-0.543257,-10.8894,1.75,-21.0555,15,'calm',264,0,60),
 (6496,6,4635527,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',-1.0836e-07,-3.29361e-05,-3.56897e-12,1,11.5718,1.75,-20.3291,15,'conversation',264,0,60),
 (6497,6,4635527,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',3.664e-12,1,1.08374e-07,-3.38088e-05,11.5718,1.75,-19.2291,15,'conversation',264,0,60),
 (6498,6,4635526,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,-4.5616e-06,0,1,3.50051,2.25,6.16449,15,'conversation',264,0,60),
 (6499,6,4635526,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,1,0,-6.00684e-06,3.50051,2.25,6.74,15,'conversation',264,0,60),
 (6500,6,4635526,'object/mobile/dressed_commoner_naboo_human_female_05.iff',-1.08369e-07,-5.29265e-05,-5.73561e-12,1,-9.28285,1.75,-5.60831,15,'conversation',264,0,60),
 (6501,6,4635526,'object/mobile/dressed_robber_human_male_01.iff',5.82472e-12,1,1.08365e-07,-5.37508e-05,-9.28285,1.75,-4.50831,15,'conversation',264,0,60),
 (6502,6,4635526,'object/mobile/dressed_commoner_naboo_moncal_female_02.iff',3.25158e-07,-5.54858e-05,1.80417e-11,1,5.64659,1.1544,-9.1775,15,'conversation',264,0,60),
 (6503,6,4635526,'object/mobile/dressed_criminal_assassin_human_female_01.iff',1.76795e-11,1,-3.25045e-07,5.43908e-05,5.64659,1.1544,-8.0775,15,'conversation',264,0,60),
 (6504,6,4635526,'object/mobile/dressed_rebel_specforce_pathfinder_rodian_female_01.iff',8.79556e-08,0.92389,-2.1236e-07,0.382658,4.54659,1.1544,-8.0775,15,'conversation',264,0,60),
 (6505,6,4635526,'object/mobile/devaronian_male.iff',2.12418e-07,0.382688,-8.79874e-08,0.923878,4.54659,1.1544,-9.1775,15,'conversation',264,0,60),
 (6506,6,4635522,'object/mobile/dressed_biribas_tarun.iff',0,0.395651,0,0.918401,-17.9957,2.25,17.3679,15,'calm',264,0,60),
 (6507,6,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0.82583,0,-0.563919,-5160.44,80,-2382.87,15,'calm',264,0,60),
 (6508,6,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-1133.01,0,4545.38,30,'neutral',128,0,300),
 (6509,6,0,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,-1121.02,0,4529.31,30,'neutral',128,0,300),
 (6510,6,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-1110.36,0,4547.27,25,'neutral',128,0,300),
 (6511,6,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-1107.64,0,4541.17,25,'neutral',128,0,300),
 (6512,6,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-1114.58,0,4544.99,25,'neutral',128,0,300),
 (6513,6,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-1147.69,0,4515.02,25,'neutral',128,0,300),
 (6514,6,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-1165.59,0,4526.89,25,'neutral',128,0,300),
 (6515,6,0,'object/mobile/dressed_rebel_surface_marshal_human_male_01.iff',0,0,0,0,-1131,0,4540.54,30,'neutral',128,0,300),
 (6516,6,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0,0,0,-1119.69,0,4547.95,18,'neutral',128,0,300),
 (6517,6,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0,0,0,-1123.94,0,4543.92,18,'neutral',128,0,300),
 (6518,6,0,'object/mobile/dressed_rebel_medic1_bothan_male_01.iff',0,0,0,0,-1138.15,0,4543.8,16,'neutral',128,0,300),
 (6519,6,0,'object/mobile/dressed_rebel_medic1_bothan_male_01.iff',0,0,0,0,-1139.3,0,4538.18,16,'neutral',128,0,300),
 (6520,6,0,'object/mobile/dressed_rebel_medic1_bothan_male_01.iff',0,0,0,0,-1134.89,0,4540.55,16,'neutral',128,0,300),
 (6521,6,479818,'object/mobile/dressed_rebel_medic1_bothan_male_01.iff',0,0,0,0,3.8,0.3,-4.1,16,'neutral',128,0,300),
 (6522,6,479817,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-4.4,0.3,3.3,25,'neutral',128,0,300),
 (6523,6,479820,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,-0.8,-12,25.2,22,'neutral',128,0,300),
 (6524,6,479820,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-0.7,-12,37.6,25,'neutral',128,0,300),
 (6525,6,479820,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-1.3,-12,37.8,25,'neutral',128,0,300),
 (6526,6,479820,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,25.9,-12,40.9,22,'neutral',128,0,300),
 (6527,6,479820,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,9.1,-12,65.4,25,'neutral',128,0,300),
 (6528,6,479820,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,6.3,-12,65.5,25,'neutral',128,0,300),
 (6529,6,479820,'object/mobile/dressed_rebel_corporal_bith_female_01.iff',0,0,0,0,0.8,-12,66.2,25,'neutral',128,0,300),
 (6530,6,479820,'object/mobile/dressed_rebel_sergeant_fat_zabrak_male_01.iff',0,0,0,0,-18.8,-12,41.6,16,'neutral',128,0,300),
 (6531,6,479821,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-42.7,-20,45.8,25,'neutral',128,0,300),
 (6532,6,479821,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-43.8,-20,48,25,'neutral',128,0,300),
 (6533,6,479822,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0,0,0,-54.1,-20,37.7,18,'neutral',128,0,300),
 (6534,6,479822,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0,0,0,-57.7,-20,36.4,18,'neutral',128,0,300),
 (6535,6,479822,'object/mobile/dressed_rebel_surface_marshal_human_male_01.iff',0,0,0,0,-70.3,-20,56,30,'neutral',128,0,300),
 (6536,6,479822,'object/mobile/dressed_rebel_surface_marshal_human_male_01.iff',0,0,0,0,-68.9,-20,58.9,30,'neutral',128,0,300),
 (6537,6,479822,'object/mobile/dressed_rebel_sergeant_major_bothan_male_01.iff',0,0,0,0,-51.5,-20,66,17,'neutral',128,0,300),
 (6538,6,479824,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,-69.5,-20,75.2,22,'neutral',128,0,300),
 (6539,6,479824,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,-71.8,-20,77.4,22,'neutral',128,0,300),
 (6540,6,479824,'object/mobile/dressed_rebel_colonel_bothan_male.iff',0,0,0,0,-55.2,-20,78.4,24,'neutral',128,0,300),
 (6541,6,479824,'object/mobile/dressed_rebel_colonel_bothan_male.iff',0,0,0,0,-52.5,-20,82.2,24,'neutral',128,0,300),
 (6542,6,479823,'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff',0,0,0,0,-75.2,-20,8.1,27,'neutral',128,0,300),
 (6543,6,479823,'object/mobile/dressed_rebel_general_moncal_male_01.iff',0,0,0,0,-68.2,-20,13.3,60,'neutral',128,0,300),
 (6544,6,479823,'object/mobile/dressed_rebel_major_zabrak_female_01.iff',0,0,0,0,-59.9,-20,7.7,26,'neutral',128,0,300),
 (6545,6,479823,'object/mobile/dressed_rebel_major_zabrak_female_01.iff',0,0,0,0,-51.6,-20,17.9,26,'neutral',128,0,300),
 (6546,6,479834,'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff',0,0,0,0,-30.1,-20,99.7,16,'neutral',128,0,300),
 (6547,6,479834,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-12.1,-20,97.6,25,'neutral',128,0,300),
 (6548,6,479834,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-16.2,-20,104.5,25,'neutral',128,0,300),
 (6549,6,479834,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-9.6,-20,102,25,'neutral',128,0,300),
 (6550,6,479836,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0,0,0,-5.3,-20,66.7,48,'neutral',128,0,300),
 (6551,6,479836,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0,0,0,-1,-20,65.8,48,'neutral',128,0,300),
 (6552,6,479825,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,32.1,-12,71.2,25,'neutral',128,0,300),
 (6553,6,479825,'object/mobile/dressed_rebel_medic1_bothan_male_01.iff',0,0,0,0,35.4,-12,72,16,'neutral',128,0,300),
 (6554,6,479828,'object/mobile/dressed_rebel_medic1_bothan_male_01.iff',0,0,0,0,29.6,-20,142.2,16,'neutral',128,0,300),
 (6555,6,479828,'object/mobile/dressed_rebel_medic1_bothan_male_01.iff',0,0,0,0,26.6,-20,140.7,16,'neutral',128,0,300),
 (6556,6,479828,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,18.9,-20,126.6,22,'neutral',128,0,300),
 (6557,6,479828,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,14.6,-20,124.6,25,'neutral',128,0,300),
 (6558,6,479828,'object/mobile/dressed_rebel_major_human_female_01.iff',0,0,0,0,16.3,-20,122.1,22,'neutral',128,0,300),
 (6559,6,479827,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,71.9,-12,55.6,30,'neutral',128,0,300),
 (6560,6,479827,'object/mobile/dressed_rebel_commando_human_female_01.iff',0,0,0,0,71.3,-12,61.7,30,'neutral',128,0,300),
 (6561,6,479826,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,46.1,-12,79.7,25,'neutral',128,0,300),
 (6562,6,479826,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,44.9,-12,78,25,'neutral',128,0,300),
 (6563,6,479826,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,47.1,-12,78.4,25,'neutral',128,0,300),
 (6564,6,479829,'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff',0,0,0,0,45.3,-12,-0.8,16,'neutral',128,0,300),
 (6565,6,479829,'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff',0,0,0,0,50.7,-12,1.1,16,'neutral',128,0,300),
 (6566,6,479829,'object/mobile/dressed_rebel_staff_corporal_bith_female_01.iff',0,0,0,0,54.9,-12,2.9,16,'neutral',128,0,300),
 (6567,6,479829,'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff',0,0,0,0,51.3,-12,17.9,27,'neutral',128,0,300),
 (6568,6,479829,'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff',0,0,0,0,52.1,-12,23.8,27,'neutral',128,0,300),
 (6569,6,479829,'object/mobile/dressed_rebel_lieutenant_colonel_human_male_01.iff',0,0,0,0,48.7,-12,24.3,27,'neutral',128,0,300),
 (6570,6,479829,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,34.7,-12,15.8,25,'neutral',128,0,300),
 (6571,6,479829,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,29,-12,14.2,25,'neutral',128,0,300),
 (6572,6,479829,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,30.6,-12,18.4,25,'neutral',128,0,300),
 (6573,6,479831,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-16.6,-20,5,25,'neutral',128,0,300),
 (6574,6,479831,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-15.2,-20,0.9,25,'neutral',128,0,300),
 (6575,6,479831,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-19.6,-20,0.1,25,'neutral',128,0,300),
 (6576,6,479831,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,0,-14.7,-20,-2.1,25,'neutral',128,0,300),
 (6577,6,5095971,'object/mobile/torton.iff',0,0,0,0,-12.0131,-32.5936,-74.9845,22,'neutral',128,35,180),
 (6578,6,5095971,'object/mobile/torton.iff',0,0,0,0,4.41652,-32.292,-57.3518,22,'neutral',128,35,180),
 (6579,6,5095971,'object/mobile/torton.iff',0,0,0,0,15.6173,-32.06,-78.298,26,'neutral',128,35,180),
 (6580,6,5095973,'object/mobile/torton.iff',0,0,0,0,-29.6407,-51.1413,-165.07,26,'neutral',128,35,180),
 (6581,6,5095973,'object/mobile/torton.iff',0,0,0,0,69.6611,-49.8469,-181.884,26,'neutral',128,35,180),
 (6582,6,5095973,'object/mobile/torton.iff',0,0,0,0,68.008,-37.3695,-122.345,26,'neutral',128,35,180),
 (6583,6,5095973,'object/mobile/torton.iff',0,0,0,0,18.4139,-40.7744,-137.317,22,'neutral',128,35,180),
 (6584,6,5095973,'object/mobile/torton.iff',0,0,0,0,-10.8728,-37.0454,-130.832,22,'neutral',128,35,180),
 (6585,6,5095973,'object/mobile/torton.iff',0,0,0,0,-5.60481,-37.743,-146.244,26,'neutral',128,35,180),
 (6586,6,5095975,'object/mobile/shallow_torton.iff',0,0,0,0,-17.8545,-57.1086,-218.424,12,'neutral',128,35,180),
 (6587,6,5095975,'object/mobile/shallow_torton.iff',0,0,0,0,-1.67277,-56.0004,-236.679,12,'neutral',128,35,180),
 (6588,6,5095975,'object/mobile/torton.iff',0,0,0,0,-22.1934,-55.3687,-258.385,26,'neutral',128,35,180),
 (6589,6,5095976,'object/mobile/torton.iff',0,0,0,0,-123.737,-61.3056,-137.778,22,'neutral',128,35,180),
 (6590,6,5095976,'object/mobile/torton.iff',0,0,0,0,-97.0526,-65.2079,-171.14,22,'neutral',128,35,180),
 (6591,6,5095976,'object/mobile/torton.iff',0,0,0,0,-85.0376,-62.1699,-124.251,22,'neutral',128,35,180),
 (6592,6,5095976,'object/mobile/torton.iff',0,0,0,0,-108.848,-61.8629,-123.896,26,'neutral',128,35,180),
 (6593,6,5095977,'object/mobile/torton.iff',0,0,0,0,-46.4268,-61.486,-95.1505,26,'neutral',128,35,180),
 (6594,6,5095977,'object/mobile/torton.iff',0,0,0,0,-67.3348,-60.3581,-107.223,26,'neutral',128,35,180),
 (6595,6,5095977,'object/mobile/torton.iff',0,0,0,0,-69.2451,-62.7041,-83.0434,26,'neutral',128,35,180),
 (6596,6,5095977,'object/mobile/torton.iff',0,0,0,0,-20.2173,-60.9535,-108.995,22,'neutral',128,35,180),
 (6597,6,5095977,'object/mobile/torton.iff',0,0,0,0,-26.7674,-62.0211,-82.4335,22,'neutral',128,35,180),
 (6598,6,5095977,'object/mobile/torton.iff',0,0,0,0,-16.1071,-61.234,-94.7116,26,'neutral',128,35,180),
 (6599,6,5095976,'object/mobile/torton.iff',0,0,0,0,-95.4419,-93.8695,-142.174,26,'neutral',128,35,180),
 (6600,6,5095976,'object/mobile/torton.iff',0,0,0,0,-101.64,-93.2214,-133.129,26,'neutral',128,35,180),
 (6601,6,5095979,'object/mobile/torton.iff',0,0,0,0,-104.403,-91.0017,-122.283,26,'neutral',128,35,180),
 (6602,6,5095979,'object/mobile/torton.iff',0,0,0,0,-81.7801,-91.9079,-102.428,22,'neutral',128,35,180),
 (6603,6,5095979,'object/mobile/torton.iff',0,0,0,0,-100.063,-91.4321,-105.879,22,'neutral',128,35,180),
 (6604,6,5095979,'object/mobile/torton.iff',0,0,0,0,-91.1146,-92.9979,-101.775,26,'neutral',128,35,180),
 (6605,6,5407164,'object/mobile/borgle.iff',0,0,0,0,-10.7104,-30.7506,-27.6953,12,'neutral',128,35,180),
 (6606,6,5407164,'object/mobile/borgle.iff',0,0,0,0,11.6023,-23.5405,-27.0177,12,'neutral',128,35,180),
 (6607,6,5407163,'object/mobile/borgle.iff',0,0,0,0,10.5387,-16.7088,-11.0266,12,'neutral',128,35,180),
 (6608,6,5407163,'object/mobile/borgle.iff',0,0,0,0,-0.646031,-13.1638,-6.05019,12,'neutral',128,35,180),
 (6609,6,5407165,'object/mobile/great_borgle.iff',0,0,0,0,-8.95989,-40.4571,-59.9686,14,'neutral',128,35,180),
 (6610,6,5407165,'object/mobile/great_borgle.iff',0,0,0,0,3.40077,-40.4773,-60.2748,14,'neutral',128,35,180),
 (6611,6,5407165,'object/mobile/borgle.iff',0,0,0,0,-13.365,-40.6606,-80.2888,14,'neutral',128,35,180),
 (6612,6,5407165,'object/mobile/borgle.iff',0,0,0,0,23.475,-40.819,-71.2203,14,'neutral',128,35,180),
 (6613,6,5407165,'object/mobile/borgle.iff',0,0,0,0,16.3624,-40.0471,-77.8466,14,'neutral',128,35,180),
 (6614,6,5407165,'object/mobile/borgle.iff',0,0,0,0,16.4014,-40.044,-77.8612,15,'neutral',128,35,180),
 (6615,6,5407167,'object/mobile/great_borgle.iff',0,0,0,0,76.0949,-51.5047,-141.404,14,'neutral',128,35,180),
 (6616,6,5407167,'object/mobile/borgle.iff',0,0,0,0,37.8476,-53.8295,-146.336,14,'neutral',128,35,180),
 (6617,6,5407167,'object/mobile/borgle.iff',0,0,0,0,55.0876,-57.1915,-185.116,14,'neutral',128,35,180),
 (6618,6,5407167,'object/mobile/great_borgle.iff',0,0,0,0,74.4857,-54.3413,-150.48,14,'neutral',128,35,180),
 (6619,6,5407167,'object/mobile/borgle.iff',0,0,0,0,30.0658,-57.7951,-159.895,14,'neutral',128,35,180),
 (6620,6,5407167,'object/mobile/borgle.iff',0,0,0,0,66.4093,-57.113,-177.98,14,'neutral',128,35,180),
 (6621,6,5407167,'object/mobile/borgle.iff',0,0,0,0,47.0774,-56.4102,-181.658,14,'neutral',128,35,180),
 (6622,6,5407169,'object/mobile/great_borgle.iff',0,0,0,0,-21.2394,-65.2114,-211.051,14,'neutral',128,35,180),
 (6623,6,5407169,'object/mobile/great_borgle.iff',0,0,0,0,-4.93405,-65.8911,-211.466,14,'neutral',128,35,180),
 (6624,6,5407169,'object/mobile/borgle.iff',0,0,0,0,-21.5338,-64.5125,-222.383,14,'neutral',128,35,180),
 (6625,6,5407169,'object/mobile/borgle.iff',0,0,0,0,0.988663,-63.6492,-229.175,14,'neutral',128,35,180),
 (6626,6,5407169,'object/mobile/great_borgle.iff',0,0,0,0,-1.33259,-64.6559,-240.467,14,'neutral',128,35,180),
 (6627,6,5407169,'object/mobile/borgle.iff',0,0,0,0,-21.7696,-65.6784,-241.65,14,'neutral',128,35,180),
 (6628,6,5407169,'object/mobile/borgle.iff',0,0,0,0,-22.3734,-63.5838,-256.725,14,'neutral',128,35,180),
 (6629,6,5407169,'object/mobile/borgle.iff',0,0,0,0,-11.9455,-63.5805,-260.854,14,'neutral',128,35,180),
 (6630,6,5407170,'object/mobile/great_borgle.iff',0,0,0,0,-79.2807,-99.3106,-158.089,14,'neutral',128,35,180),
 (6631,6,5407173,'object/mobile/great_borgle.iff',0,0,0,0,-78.9131,-100.982,-125.446,14,'neutral',128,35,180),
 (6632,6,5407173,'object/mobile/borgle.iff',0,0,0,0,-98.9296,-100.214,-114.861,14,'neutral',128,35,180),
 (6633,6,5407173,'object/mobile/borgle.iff',0,0,0,0,-88.6416,-100.269,-94.7218,14,'neutral',128,35,180),
 (6634,6,5407173,'object/mobile/borgle.iff',0,0,0,0,-99.8152,-100.779,-95.0054,14,'neutral',128,35,180),
 (6635,6,5407173,'object/mobile/borgle.iff',0,0,0,0,-91.3736,-100.159,-92.5278,15,'neutral',128,35,180),
 (6636,6,5095990,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,-10.8242,-6.63117,-3.91753,9,'neutral',128,33,180),
 (6637,6,5095990,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,-12.7857,-5.58473,-10.433,10,'neutral',128,35,180),
 (6638,6,5095990,'object/mobile/bark_mite.iff',0,0,0,0,12.7243,-21.6234,-10.433,10,'neutral',128,33,180),
 (6639,6,5095990,'object/mobile/bark_mite.iff',0,0,0,0,10.4318,-21.2248,-7.29796,12,'neutral',128,35,180),
 (6640,6,5095990,'object/mobile/bark_mite.iff',0,0,0,0,13.2081,-22.1498,-4.83854,24,'neutral',128,35,180),
 (6641,6,5095990,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,26.1517,-26.9209,-6.86818,9,'neutral',128,33,180),
 (6642,6,5095991,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,25.5885,-39.551,-41.1103,10,'neutral',128,35,180),
 (6643,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,21.4339,-39.1994,-40.7456,10,'neutral',128,33,180),
 (6644,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,19.9182,-41.5054,-65.4364,12,'neutral',128,35,180),
 (6645,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,23.2746,-42.3356,-65.0135,24,'neutral',128,35,180),
 (6646,6,5095991,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,24.6592,-42.6327,-67.7593,9,'neutral',128,33,180),
 (6647,6,5095991,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,40.7187,-46.25,-58.509,10,'neutral',128,35,180),
 (6648,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,40.9718,-47.3934,-46.5537,10,'neutral',128,33,180),
 (6649,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,53.9032,-49.3994,-53.8984,12,'neutral',128,35,180),
 (6650,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,56.3801,-48.5071,-57.0968,24,'neutral',128,35,180),
 (6651,6,5095999,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,47.0191,-51.5958,-89.7172,9,'neutral',128,33,180),
 (6652,6,5095999,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,46.713,-51.8284,-86.2531,10,'neutral',128,35,180),
 (6653,6,5095999,'object/mobile/bark_mite.iff',0,0,0,0,53.8543,-50.5329,-83.5781,10,'neutral',128,33,180),
 (6654,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,57.066,-48.9315,-31.0629,12,'neutral',128,35,180),
 (6655,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,41.267,-46.3876,-9.75884,24,'neutral',128,35,180),
 (6656,6,5095991,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,43.3375,-47.038,-7.30223,16,'neutral',128,35,180),
 (6657,6,5095991,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,49.252,-47.7483,-15.7196,38,'neutral',128,35,180),
 (6658,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,80.1673,-60.9871,-4.89092,24,'neutral',128,35,180),
 (6659,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,84.5715,-61.5585,-9.38575,24,'neutral',128,35,180),
 (6660,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,91.3174,-61.793,-13.2502,12,'neutral',128,35,180),
 (6661,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,79.4668,-63.7333,-19.9321,12,'neutral',128,35,180),
 (6662,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,93.475,-63.9741,-28.5898,24,'neutral',128,35,180),
 (6663,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,62.912,-69.1187,-40.4236,24,'neutral',128,35,180),
 (6664,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,62.4511,-68.4126,-35.2669,12,'neutral',128,35,180),
 (6665,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,57.6101,-68.492,-43.3969,24,'neutral',128,35,180),
 (6666,6,5095991,'object/mobile/bark_mite.iff',0,0,0,0,56.6653,-68.4609,-42.9931,12,'neutral',128,35,180),
 (6667,6,5095991,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,52.2258,-67.9685,-36.6841,16,'neutral',128,35,180),
 (6668,6,5095993,'object/mobile/bark_mite.iff',0,0,0,0,61.7159,-75.2103,-56.9554,24,'neutral',128,35,180),
 (6669,6,5095993,'object/mobile/bark_mite.iff',0,0,0,0,88.2402,-74.6528,-52.8024,12,'neutral',128,35,180),
 (6670,6,5095992,'object/mobile/bark_mite.iff',0,0,0,0,93.0885,-68.2403,-41.6487,24,'neutral',128,35,180),
 (6671,6,5095993,'object/mobile/bark_mite.iff',0,0,0,0,94.0085,-75.8932,-82.5576,12,'neutral',128,35,180),
 (6672,6,5095993,'object/mobile/bark_mite.iff',0,0,0,0,88.6188,-75.9802,-87.9577,12,'neutral',128,35,180),
 (6673,6,5095994,'object/mobile/bark_mite.iff',0,0,0,0,69.1738,-76.7953,-95.7274,12,'neutral',128,35,180),
 (6674,6,5095993,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,60.379,-76.0897,-75.6917,16,'neutral',128,35,180),
 (6675,6,5095995,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,50.522,-75.5236,-85.6924,38,'neutral',128,35,180),
 (6676,6,5095995,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,49.5435,-76.4462,-93.6285,16,'neutral',128,35,180),
 (6677,6,5095995,'object/mobile/bark_mite.iff',0,0,0,0,51.5635,-71.4649,-113.209,12,'neutral',128,35,180),
 (6678,6,5095995,'object/mobile/bark_mite.iff',0,0,0,0,53.2982,-72.1936,-111.443,12,'neutral',128,35,180),
 (6679,6,5095995,'object/mobile/bark_mite.iff',0,0,0,0,60.8979,-65.5548,-138.124,12,'neutral',128,35,180),
 (6680,6,5095995,'object/mobile/bark_mite.iff',0,0,0,0,65.7781,-65.5635,-141.206,12,'neutral',128,35,180),
 (6681,6,5095996,'object/mobile/bark_mite.iff',0,0,0,0,86.6952,-66.796,-142.298,24,'neutral',128,35,180),
 (6682,6,5095996,'object/mobile/bark_mite.iff',0,0,0,0,88.4341,-66.8537,-141.973,12,'neutral',128,35,180),
 (6683,6,5095994,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,97.1783,-65.8855,-116.608,16,'neutral',128,35,180),
 (6684,6,5095994,'object/mobile/bark_mite.iff',0,0,0,0,94.3063,-66.0451,-113.098,12,'neutral',128,35,180),
 (6685,6,5095997,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,115.242,-66.4059,-127.536,16,'neutral',128,35,180),
 (6686,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,118.188,-66.7208,-131.081,12,'neutral',128,35,180),
 (6687,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,127.653,-66.5475,-110.478,12,'neutral',128,35,180),
 (6688,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,126.676,-66.6999,-105.126,24,'neutral',128,35,180),
 (6689,6,5095997,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,111.196,-67.1054,-89.0926,16,'neutral',128,35,180),
 (6690,6,5095997,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,116.833,-66.895,-85.7494,38,'neutral',128,35,180),
 (6691,6,5095997,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,137.062,-66.9158,-86.4624,16,'neutral',128,35,180),
 (6692,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,144.762,-66.4989,-89.8975,12,'neutral',128,35,180),
 (6693,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,143.315,-66.0362,-101.256,24,'neutral',128,35,180),
 (6694,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,136.954,-66.0574,-114.489,12,'neutral',128,35,180),
 (6695,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,127.917,-66.8498,-127.602,12,'neutral',128,35,180),
 (6696,6,5095997,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,129.637,-66.4736,-130.488,16,'neutral',128,35,180),
 (6697,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,134.474,-66.8494,-124.671,12,'neutral',128,35,180),
 (6698,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,149.898,-66.1225,-129.943,24,'neutral',128,35,180),
 (6699,6,5095997,'object/mobile/bark_mite.iff',0,0,0,0,156.107,-65.2657,-125.204,12,'neutral',128,35,180),
 (6700,6,5095998,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,165.466,-67.0331,-94.7812,16,'neutral',128,35,180),
 (6701,6,5095998,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,167.399,-66.5666,-97.4421,16,'neutral',128,35,180),
 (6702,6,5095998,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,166.303,-66.6452,-99.9661,16,'neutral',128,35,180),
 (6703,6,5095998,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,177.201,-66.2549,-100.266,16,'neutral',128,35,180),
 (6704,6,5095998,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,176.912,-66.0568,-94.7239,38,'neutral',128,35,180),
 (6705,6,5095998,'object/mobile/bark_mite.iff',0,0,0,0,178.466,-66.0385,-96.1991,24,'neutral',128,35,180),
 (6706,6,5095998,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,185.764,-65.6899,-94.8379,38,'neutral',128,35,180),
 (6707,6,5095998,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,188.931,-66.0245,-96.9927,16,'neutral',128,35,180),
 (6708,6,5095998,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,190.749,-66.5864,-103.953,38,'neutral',128,35,180),
 (6709,6,5095998,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,187.243,-65.8609,-104.103,16,'neutral',128,35,180),
 (6710,6,5095998,'object/mobile/bark_mite.iff',0,0,0,0,186.371,-65.824,-103.702,24,'neutral',128,35,180),
 (6711,6,5095994,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,76.9895,-46.8485,-105.195,16,'neutral',128,35,180),
 (6712,6,5095994,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,77.1734,-46.6679,-106.486,16,'neutral',128,35,180),
 (6713,6,5095994,'object/mobile/bark_mite.iff',0,0,0,0,90.5894,-47.0628,-98.126,12,'neutral',128,35,180),
 (6714,6,5095994,'object/mobile/bark_mite.iff',0,0,0,0,96.2621,-46.1194,-108.456,24,'neutral',128,35,180),
 (6715,6,5095994,'object/mobile/bark_mite.iff',0,0,0,0,85.1033,-45.9412,-119.031,24,'neutral',128,35,180),
 (6716,6,5096000,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,89.3802,-45.4454,-125.531,16,'neutral',128,35,180),
 (6717,6,5096000,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,95.3861,-46.3524,-127.124,38,'neutral',128,35,180),
 (6718,6,5096000,'object/mobile/bark_mite.iff',0,0,0,0,88.665,-47.2213,-138.897,24,'neutral',128,35,180),
 (6719,6,5096000,'object/mobile/bark_mite.iff',0,0,0,0,93.2435,-46.3073,-147.562,24,'neutral',128,35,180),
 (6720,6,5096000,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,84.7344,-46.4732,-138.611,38,'neutral',128,35,180),
 (6721,6,5096000,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,80.2509,-46.5009,-143.606,16,'neutral',128,35,180),
 (6722,6,5096000,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,83.4881,-46.4235,-148.172,38,'neutral',128,35,180),
 (6723,6,6055630,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,0.748601,0.25,2.54716,12,'neutral',128,35,180),
 (6724,6,6055630,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-0.549952,0.25,2.75751,12,'neutral',128,35,180),
 (6725,6,6055630,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-4.27735,0.25,4.25,13,'neutral',128,35,180),
 (6726,6,6055630,'object/mobile/dressed_cobral_thug_rodian_female_01.iff',0,0,0,0,-4.27735,0.25,4.25,12,'neutral',128,35,180),
 (6727,6,6055631,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,4.2791,0.25,-4.10779,13,'neutral',128,35,180),
 (6728,6,6055632,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,3.78834,-3.25,3.79367,13,'neutral',128,35,180),
 (6729,6,6055632,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-3.89288,-6.75,4.96134,15,'neutral',128,35,180),
 (6730,6,6055633,'object/mobile/dressed_cobral_thief_human_female_01.iff',0,0,0,0,-4.40971,-8.72955,-2.33423,13,'neutral',128,35,180),
 (6731,6,6055633,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,4.28269,-13.75,-6.86785,15,'neutral',128,35,180),
 (6732,6,6055634,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,2.62533,-13.75,2.68078,15,'neutral',128,35,180),
 (6733,6,6055634,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,4.37249,-13.75,2.63778,33,'neutral',128,35,180),
 (6734,6,6055635,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,4.82352,-13.75,6.33587,30,'neutral',128,35,180),
 (6735,6,6055635,'object/mobile/dressed_cobral_assassin_twk_female_01.iff',0,0,0,0,5.9138,-13.75,4.52945,25,'neutral',128,35,180),
 (6736,6,6055635,'object/mobile/dressed_cobral_hitman_human_female_01.iff',0,0,0,0,3.8778,-13.75,9.33114,21,'neutral',128,35,180),
 (6737,6,6055635,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,0.90439,-13.75,5.27877,20,'neutral',128,35,180),
 (6738,6,6055635,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-1.75544,-13.75,5.46225,20,'neutral',128,35,180),
 (6739,6,6055635,'object/mobile/dressed_cobral_assassin_twk_female_01.iff',0,0,0,0,-3.99802,-13.75,5.69414,25,'neutral',128,35,180),
 (6740,6,6055635,'object/mobile/dressed_cobral_assassin_twk_female_01.iff',0,0,0,0,-4.33632,-13.75,7.17239,25,'neutral',128,35,180),
 (6741,6,6055635,'object/mobile/dressed_cobral_hitman_human_female_01.iff',0,0,0,0,-1.69789,-13.75,9.9937,21,'neutral',128,35,180),
 (6742,6,6055635,'object/mobile/dressed_cobral_hitman_human_female_01.iff',0,0,0,0,1.33318,-13.75,9.61619,21,'neutral',128,35,180),
 (6743,6,6055635,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-10.3486,-13.75,6.66086,33,'neutral',128,35,180),
 (6744,6,6055636,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,-6.64886,-17.25,-4.37908,15,'neutral',128,35,180),
 (6745,6,6055636,'object/mobile/dressed_cobral_runner_trandoshan_female_01.iff',0,0,0,0,2.41675,-20.75,-4.27091,15,'neutral',128,35,180),
 (6746,6,6055637,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,-1.80217,-20.7332,5.15434,33,'neutral',128,35,180),
 (6747,6,6055637,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,4.90844,-20.7332,2.87088,30,'neutral',128,35,180),
 (6748,6,6055637,'object/mobile/dressed_cobral_assassin_twk_female_01.iff',0,0,0,0,1.27422,-20.7332,4.27634,25,'neutral',128,35,180),
 (6749,6,6055637,'object/mobile/dressed_cobral_bandit_bith_female_01.iff',0,0,0,0,-1.1631,-20.7332,10.5056,20,'neutral',128,35,180),
 (6750,6,6055637,'object/mobile/dressed_cobral_hitman_human_female_01.iff',0,0,0,0,3.9278,-20.7332,9.36443,21,'neutral',128,35,180),
 (6751,6,6055638,'object/mobile/dressed_cobral_overlord_human_female_01.iff',0,0,0,0,1.57337,-20.75,31.5853,33,'neutral',128,35,180),
 (6752,6,6055638,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-1.20985,-20.75,32.8973,30,'neutral',128,35,180),
 (6753,6,6055638,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,4.49099,-20.75,32.9952,30,'neutral',128,35,180),
 (6754,6,6055638,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,5.46169,-20.75,24.8122,30,'neutral',128,35,180),
 (6755,6,6055638,'object/mobile/dressed_cobral_boss_twk_female_01.iff',0,0,0,0,-3.30541,-20.75,25.4025,30,'neutral',128,35,180),
 (6756,6,6055638,'object/mobile/dressed_cobral_hitman_human_female_01.iff',0,0,0,0,-1.84216,-20.75,15.2382,21,'neutral',128,35,180),
 (6757,6,6055638,'object/mobile/dressed_cobral_hitman_human_female_01.iff',0,0,0,0,4.39767,-20.75,15.3512,21,'neutral',128,35,180),
 (6758,6,6055638,'object/mobile/dressed_cobral_assassin_twk_female_01.iff',0,0,0,0,-2.81001,-20.75,29.7861,25,'neutral',128,35,180),
 (6759,6,6055638,'object/mobile/dressed_cobral_assassin_twk_female_01.iff',0,0,0,0,6.39964,-20.75,29.3651,25,'neutral',128,35,180),
 (6760,6,479723,'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff',0,0,0,0,-3.73463,-10.9139,-8.27462,12,'neutral',128,35,180),
 (6761,6,479723,'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff',0,0,0,0,0.0431311,-13.0394,-7.75389,12,'neutral',128,35,180),
 (6762,6,479723,'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff',0,0,0,0,12.5994,-22.3172,-6.79687,12,'neutral',128,35,180),
 (6763,6,479723,'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff',0,0,0,0,12.5994,-22.3172,-6.79683,12,'neutral',128,35,180),
 (6764,6,479723,'object/mobile/dressed_kobola_guard_trandoshan_female_01.iff',0,0,0,0,25.1822,-27.9221,-9.10301,12,'neutral',128,35,180),
 (6765,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,21.8576,-27.6497,-8.98172,18,'neutral',128,35,180),
 (6766,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,19.9643,-26.742,-7.36223,18,'neutral',128,35,180),
 (6767,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,10.4872,-21.2806,-6.9944,18,'neutral',128,35,180),
 (6768,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,-1.34794,-12.1735,-8.23122,18,'neutral',128,35,180),
 (6769,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,-8.31993,-8.06668,-7.17227,18,'neutral',128,35,180),
 (6770,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,-16.4491,-4.09887,-5.41424,18,'neutral',128,35,180),
 (6771,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,-15.1195,-4.15835,-3.60382,18,'neutral',128,35,180),
 (6772,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,-8.36003,-8.02228,-7.50254,18,'neutral',128,35,180),
 (6773,6,479723,'object/mobile/dressed_kobola_assassin_zabrak_male_01.iff',0,0,0,0,3.76133,-15.3262,-10.4382,18,'neutral',128,35,180),
 (6774,6,0,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,0,0,0,9,'neutral',128,33,180),
 (6775,6,0,'object/mobile/bark_mite_hatchling.iff',0,0,0,0,0,0,0,10,'neutral',128,35,180),
 (6776,6,0,'object/mobile/bark_mite.iff',0,0,0,0,0,0,0,10,'neutral',128,33,180),
 (6777,6,0,'object/mobile/bark_mite.iff',0,0,0,0,0,0,0,12,'neutral',128,35,180),
 (6778,6,0,'object/mobile/bark_mite.iff',0,0,0,0,0,0,0,24,'neutral',128,35,180),
 (6779,6,0,'object/mobile/gnarled_bark_mite_queen.iff',0,0,0,0,0,0,0,16,'neutral',128,35,180),
 (6780,6,0,'object/mobile/bark_mite_burrower_queen.iff',0,0,0,0,0,0,0,38,'neutral',128,35,180),
 (6781,7,0,'object/mobile/dressed_criminal_thug_human_female_01.iff',0,0.646503,0,0.762911,206.594,6,-2867.81,15,'calm',264,0,60),
 (6782,7,0,'object/mobile/dressed_crook_zabrak_male_01.iff',0,0.749753,0,0.661717,209.627,6,-2864.86,15,'calm',264,0,60),
 (6783,7,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0.213592,0,0.976923,154.399,6,-2932.81,15,'calm',264,0,60),
 (6784,7,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.987852,0,0.155399,161.414,6,-2868.57,15,'calm',264,0,60),
 (6785,7,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.984567,0,-0.175008,197.748,6,-3065.09,15,'calm',264,0,60),
 (6786,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,0.92633,0,-0.376714,172.678,6,-3031.56,15,'calm',264,0,60),
 (6787,7,0,'object/mobile/dressed_criminal_thug_bothan_female_01.iff',0,0.59322,0,0.80504,155.187,6,-3032.21,15,'calm',264,0,60),
 (6788,7,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.80659,0,0.591111,168.921,6,-2923.67,15,'calm',264,0,60),
 (6789,7,3175364,'object/mobile/dressed_noble_old_human_male_02.iff',-3.25118e-07,8.64092e-06,2.80932e-12,1,-61.2565,2.63942,40.4022,15,'conversation',264,0,60),
 (6790,7,3175364,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',1.50199e-12,1,-2.16742e-07,6.92985e-06,-61.2565,2.63942,41.5022,15,'conversation',264,0,60),
 (6791,7,3175364,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',2.9325e-08,0.923879,-7.07967e-08,0.382684,-62.3565,2.63942,41.5022,15,'conversation',264,0,60),
 (6792,7,3175361,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',-1.08373e-07,-8.70192e-06,-9.43053e-13,1,-32.0259,1.63942,61.8678,15,'conversation',264,0,60),
 (6793,7,3175361,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',9.41311e-13,1,1.08371e-07,-8.68603e-06,-32.0259,1.63942,62.9678,15,'conversation',264,0,60),
 (6794,7,3175359,'object/mobile/dressed_noble_fat_zabrak_male_01.iff',1.62559e-07,2.60134e-05,-4.22871e-12,1,46.4105,0.639418,45.0009,15,'conversation',264,0,60),
 (6795,7,3175359,'object/mobile/dressed_mercenary_weak_hum_m.iff',-2.63267e-12,1,1.08371e-07,2.42931e-05,46.4105,0.639418,46.1009,15,'conversation',264,0,60),
 (6796,7,3175359,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',-1.31963e-07,0.923876,3.18578e-07,0.382692,45.3105,0.639417,46.1009,15,'conversation',264,0,60),
 (6797,7,3175356,'object/mobile/dressed_criminal_thug_aqualish_female_02.iff',-8.12806e-08,-9.70888e-06,-7.89143e-13,1,0.904988,0.639421,54.983,15,'conversation',264,0,60),
 (6798,7,3175356,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',6.12347e-13,1,5.4185e-08,-1.1301e-05,0.904988,0.639421,56.083,15,'conversation',264,0,60),
 (6799,7,3175356,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',-1.46493e-08,0.924669,3.55744e-08,0.380773,-0.186001,0.639421,56.083,15,'conversation',264,0,60),
 (6800,7,3175356,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',-8.94087e-08,3.79093e-05,3.38958e-12,1,-1.32019,0.639422,59.6488,15,'conversation',264,0,60),
 (6801,7,3175356,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',-3.24845e-12,1,8.94053e-08,3.62985e-05,-1.32019,0.639422,60.6488,15,'conversation',264,0,60),
 (6802,7,3175366,'object/mobile/space_chassis_broker_03.iff',0,0.370921,0,0.928665,-56.7086,0.974563,8.24108,15,'neutral',264,0,60),
 (6803,7,0,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,0.888368,0,-0.459133,212.011,6,-2937.69,15,'calm',264,0,60),
 (6804,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0.83943,0,-0.543468,204.603,6,-2849.75,15,'calm',264,0,60),
 (6805,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,0.732701,0,0.68055,290.803,6,-3074.21,15,'calm',264,0,60),
 (6806,7,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.982867,0,-0.184315,237.39,6,-3077.78,15,'calm',264,0,60),
 (6807,7,0,'object/mobile/dressed_robber_twk_female_01.iff',0,0.735755,0,-0.677248,287.007,6,-3055.6,15,'calm',264,0,60),
 (6808,7,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,-0.53236,0,0.846518,212.446,6,-2833.26,15,'calm',264,0,60),
 (6809,7,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.391757,0,0.920069,330.621,6,-2942.68,15,'calm',264,0,60),
 (6810,7,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.932157,0,-0.362055,319.448,6,-3001.55,15,'calm',264,0,60),
 (6811,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.908093,0,-0.418769,300.998,6,-2834.76,15,'calm',264,0,60),
 (6812,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.83394,0,0.551855,138.639,6,-2978.95,15,'calm',264,0,60),
 (6813,7,0,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',0,0.994236,0,-0.107215,157.214,6,-3017.76,15,'calm',264,0,60),
 (6814,7,0,'object/mobile/dressed_criminal_thug_human_male_01.iff',0,0.933002,0,0.35987,208.321,6,-2860.96,15,'calm',264,0,60),
 (6815,7,0,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,0.904556,0,0.426354,202.575,6,-2860.48,15,'calm',264,0,60),
 (6816,7,0,'object/mobile/dressed_criminal_thug_human_female_01.iff',0,-0.38552,0,0.9227,163.779,6,-3016.95,15,'calm',264,0,60),
 (6817,7,0,'object/mobile/dressed_goon_twk_female_01.iff',0,0.0191444,0,0.999817,161.606,6,-3007.52,15,'calm',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (6818,7,0,'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff',0,-0.695334,0,0.718687,376.803,6,-2923.73,15,'calm',264,0,60),
 (6819,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.720629,0,-0.69332,377.805,6,-2923.72,15,'calm',264,0,60),
 (6820,7,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,-0.573366,0,0.819299,127.295,6,-2995.11,15,'calm',264,0,60),
 (6821,7,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,-0.594976,0,0.803743,353.709,6,-3051.79,15,'calm',264,0,60),
 (6822,7,0,'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff',0,-0.353278,0,0.935518,201.875,6,-3099.77,15,'calm',264,0,60),
 (6823,7,0,'object/mobile/dressed_fed_dub_captain_twk_male_01.iff',0,-0.354373,0,0.935104,286.373,6,-3106.64,15,'calm',264,0,60),
 (6824,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.94466,0,-0.32805,287.244,6,-3107.62,15,'calm',264,0,60),
 (6825,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,-0.0029342,0,0.999996,202.727,6,-3099.79,15,'calm',264,0,60),
 (6826,7,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,0.719807,0,0.694174,323.855,6,-3097.77,15,'calm',264,0,60),
 (6827,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,-0.672211,0,0.74036,201.955,6,-3099.92,15,'calm',264,0,60),
 (6828,7,0,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',0,1,0,5.54429e-05,283.709,6,-3109.68,15,'calm',264,0,60),
 (6829,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.891765,0,0.452499,371.949,6,-3059.95,15,'calm',264,0,60),
 (6830,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,0.732286,0,-0.680997,397.992,6,-2971.09,15,'calm',264,0,60),
 (6831,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0.800875,0,0.598831,386.941,6,-3047.4,15,'calm',264,0,60),
 (6832,7,0,'object/mobile/dressed_noble_twilek_male_01.iff',0,0.0906944,0,0.995879,367.974,6,-2892.77,15,'calm',264,0,60),
 (6833,7,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.983754,0,-0.179525,420.006,6,-2986.86,15,'calm',264,0,60),
 (6834,7,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,-0.286672,0,0.958029,394.154,6,-2881.56,15,'calm',264,0,60),
 (6835,7,0,'object/mobile/r5.iff',0,0.968403,0,-0.24939,411.254,6,-2862.25,15,'calm',264,0,60),
 (6836,7,0,'object/mobile/r5.iff',0,-0.418501,0,0.908216,407.095,6,-3036.31,15,'calm',264,0,60),
 (6837,7,0,'object/mobile/dressed_hutt_medic2_twilek_male_01.iff',0,0.799504,0,0.600661,426.774,6,-2863.5,15,'calm',264,0,60),
 (6838,7,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.992177,0,0.12484,414.592,6,-3050.06,15,'calm',264,0,60),
 (6839,7,0,'object/mobile/dressed_rebel_scout_bothan_male_01.iff',0,0.994661,0,0.103197,433.151,6,-3040.97,15,'calm',264,0,60),
 (6840,7,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.851892,0,0.523718,363.643,6,-3101.79,15,'calm',264,0,60),
 (6841,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,-0.447522,0,0.894273,401.557,6,-3077.13,15,'calm',264,0,60),
 (6842,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.999356,0,-0.035886,287.824,6,-3136.86,15,'calm',264,0,60),
 (6843,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.999356,0,-0.035871,287.917,6,-3135.55,15,'calm',264,0,60),
 (6844,7,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,-0.290627,0,0.956836,149.764,6,-3061.44,15,'calm',264,0,60),
 (6845,7,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.624099,0,0.781345,147.109,6,-3073.94,15,'calm',264,0,60),
 (6846,7,0,'object/mobile/dressed_goon_twk_male_01.iff',0,-0.473511,0,0.880788,146.762,6,-3066.09,15,'calm',264,0,60),
 (6847,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.922302,0,0.386469,144.101,6,-3098.21,15,'calm',264,0,60),
 (6848,7,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,-0.656858,0,0.754014,133.107,6,-3092.87,15,'calm',264,0,60),
 (6849,7,0,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,0.89216,0,0.45172,163.969,6,-2835.69,15,'calm',264,0,60),
 (6850,7,0,'object/mobile/dressed_criminal_thug_rodian_female_01.iff',0,0.824079,0,0.566475,104.55,8.6077,-3206.75,15,'calm',264,0,60),
 (6851,7,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,0.137115,0,0.990555,113.876,7.06433,-3197.58,15,'calm',264,0,60),
 (6852,7,0,'object/mobile/dressed_crook_zabrak_female_01.iff',0,0.89872,0,-0.438522,101.846,9.18787,-3210.97,15,'calm',264,0,60),
 (6853,7,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0.780215,0,0.625511,315.145,6,-3159.78,15,'calm',264,0,60),
 (6854,7,0,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.818978,0,0.573825,319.846,6,-3145.97,15,'calm',264,0,60),
 (6855,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.99281,0,-0.1197,320.385,6,-3143.94,15,'calm',264,0,60),
 (6856,7,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.999606,0,-0.0280567,367.172,6,-3173.12,15,'calm',264,0,60),
 (6857,7,0,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.721447,0,0.692469,414.639,6,-3135.51,15,'calm',264,0,60),
 (6858,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,-0.166908,0,0.985973,446.566,6,-3185.1,15,'calm',264,0,60),
 (6859,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,0.979033,0,-0.203699,441.088,6,-3236.19,15,'calm',264,0,60),
 (6860,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,0.824156,0,-0.566363,446.267,6,-3130.33,15,'calm',264,0,60),
 (6861,7,0,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',0,0.824336,0,-0.566101,410.654,6,-3168.66,15,'calm',264,0,60),
 (6862,7,0,'object/mobile/dressed_commoner_naboo_human_male_03.iff',0,0.768441,0,-0.639921,465.773,6,-3227.29,15,'calm',264,0,60),
 (6863,7,0,'object/mobile/dressed_robber_human_female_01.iff',0,0.938521,0,-0.345223,470.01,6,-3222.85,15,'calm',264,0,60),
 (6864,7,0,'object/mobile/dressed_mugger.iff',0,0.918723,0,-0.394903,461.59,6,-3112.56,15,'calm',264,0,60),
 (6865,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0.251997,0,0.967728,461.645,6,-3102.23,15,'calm',264,0,60),
 (6866,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.302253,0,0.953228,485.667,6,-3155.15,15,'calm',264,0,60),
 (6867,7,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,-0.13791,0,0.990445,502.633,6,-3188.62,15,'calm',264,0,60),
 (6868,7,0,'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff',0,1,0,-2.16503e-06,390.328,6,-3184.14,15,'calm',264,0,60),
 (6869,7,0,'object/mobile/r3.iff',0,0.999845,0,-0.0175901,459.915,6,-3089.68,15,'calm',264,0,60),
 (6870,7,0,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',0,-0.0240551,0,0.999711,498.493,6,-3193.05,15,'calm',264,0,60),
 (6871,7,0,'object/mobile/r3.iff',0,-0.707048,0,0.707169,457.915,6,-3090.68,15,'calm',264,0,60),
 (6872,7,0,'object/mobile/dressed_villain_trandoshan_male_01.iff',0,0.410356,0,0.911925,470.59,6,-3110.56,15,'calm',264,0,60),
 (6873,7,0,'object/mobile/dressed_robber_twk_female_01.iff',0,0.9282,0,-0.372082,471.59,6,-3106.56,15,'calm',264,0,60),
 (6874,7,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,-0.124886,0,0.992171,496.362,6,-3235.3,15,'calm',264,0,60),
 (6875,7,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,-0.150746,0,0.988573,490.398,6,-3116.09,15,'calm',264,0,60),
 (6876,7,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,0.998567,0,-0.0535129,428.685,6,-3062.96,15,'calm',264,0,60),
 (6877,7,0,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',0,0.97099,0,0.239119,517.11,6.6,-3170.96,15,'calm',264,0,60),
 (6878,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.957384,0,0.288819,532.708,6,-3196.64,15,'calm',264,0,60),
 (6879,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.679093,0,0.734052,539.025,6,-3196.6,15,'calm',264,0,60),
 (6880,7,0,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',0,0.846431,0,0.532499,539.016,6,-3202.96,15,'calm',264,0,60),
 (6881,7,0,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,0.744416,0,0.667717,577.79,6,-3188.06,15,'calm',264,0,60),
 (6882,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,-0.696691,0,0.717371,583.457,6,-3193.68,15,'calm',264,0,60),
 (6883,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.679068,0,0.734076,635.941,6,-3182.18,15,'calm',264,0,60),
 (6884,7,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.908475,0,-0.417939,591.985,6,-3160.63,15,'calm',264,0,60),
 (6885,7,0,'object/mobile/dressed_noble_old_human_female_02.iff',0,0.741782,0,0.670641,498.882,6,-3108.57,15,'calm',264,0,60),
 (6886,7,3175572,'object/mobile/dressed_noble_rodian_female_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (6887,7,3175572,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (6888,7,3175571,'object/mobile/dressed_noble_old_twk_female_01.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (6889,7,3175570,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',2.16759e-07,-1.07436e-06,2.32878e-13,1,-2.83063,2.6,8.78899,15,'conversation',264,0,60),
 (6890,7,3175570,'object/mobile/dressed_commoner_naboo_human_female_07.iff',-2.369e-13,1,-2.16758e-07,-1.09292e-06,-2.83063,2.6,9.88899,15,'conversation',264,0,60),
 (6891,7,3175573,'object/mobile/dressed_mourno_draver.iff',0,0.526353,0,0.850266,-21.1088,2.12878,74.7211,15,'calm',264,0,60),
 (6892,7,3175573,'object/mobile/space_rebel_tier4_extok_evin.iff',0,0.636537,0,0.771246,-23.693,2.12878,73.4441,15,'neutral',264,0,60),
 (6893,7,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,0.958649,0,0.28459,628.7,6,-3182.04,15,'calm',264,0,60),
 (6894,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,0.312136,0,0.950038,583.781,6,-3122.28,15,'calm',264,0,60),
 (6895,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.960855,0,0.277051,486.25,6,-3086.37,15,'calm',264,0,60),
 (6896,7,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,-0.515049,0,0.857161,595.655,6,-3108.96,15,'calm',264,0,60),
 (6897,7,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.682186,0,0.731179,616.017,6,-3121.62,15,'calm',264,0,60),
 (6898,7,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,-0.661584,0,0.749871,590.621,6,-3084.82,15,'calm',264,0,60),
 (6899,7,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.970386,0,-0.241559,618.663,6,-3101.85,15,'calm',264,0,60),
 (6900,7,6255473,'object/mobile/dressed_noble_human_male_04.iff',0,0.807208,0,0.590267,22.4751,3.22324,19.4502,15,'calm',264,0,60),
 (6901,7,6255472,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.806949,0,-0.590621,-18.8153,3.22324,21.6509,15,'calm',264,0,60),
 (6902,7,6255471,'object/mobile/dressed_hagrin_zeed.iff',0,-0.0284413,0,0.999595,-35.3278,1.29422,-2.33246,15,'calm',264,0,60),
 (6903,7,6255467,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',-4.0643e-08,-5.6604e-06,-2.30056e-13,1,9.32783,0.3,-1.6959,15,'conversation',264,0,60),
 (6904,7,6255467,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',4.74371e-13,1,4.06394e-08,-1.16727e-05,9.32783,0.3,-0.595898,15,'conversation',264,0,60),
 (6905,7,6255467,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',-1.09969e-08,0.923882,2.65494e-08,0.382678,8.22783,0.3,-0.595898,15,'conversation',264,0,60),
 (6906,7,6255466,'object/mobile/dressed_haline_snowline.iff',0,0.841105,0,-0.540872,-0.837967,3.11758,21.9704,15,'calm',264,0,60),
 (6907,7,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.846063,0,-0.533083,673,6,-3098.71,15,'calm',264,0,60),
 (6908,7,0,'object/mobile/dressed_fed_dub_captain_twk_male_01.iff',0,1,0,0.000450182,730.493,6,-3198.31,15,'calm',264,0,60),
 (6909,7,0,'object/mobile/dressed_goon_twk_female_01.iff',0,0.713277,0,-0.700883,777.732,6,-3285.97,15,'calm',264,0,60),
 (6910,7,0,'object/mobile/dressed_mugger.iff',0,0.999297,0,0.0374794,778.279,6,-3287.39,15,'calm',264,0,60),
 (6911,7,0,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',0,0.997874,0,0.0651694,780.87,6,-3286.32,15,'calm',264,0,60),
 (6912,7,0,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',0,0.846458,0,-0.532456,763.697,6,-3279.62,15,'calm',264,0,60),
 (6913,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,0.992522,0,0.122068,659.973,6,-3064.88,15,'calm',264,0,60),
 (6914,7,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,-0.313722,0,0.949515,709.053,6,-3036.35,15,'calm',264,0,60),
 (6915,7,0,'object/mobile/r3.iff',0,1,0,-6.4787e-06,664.839,6,-3061.96,15,'calm',264,0,60),
 (6916,7,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.153351,0,0.988172,645.809,6,-3048.86,15,'calm',264,0,60),
 (6917,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.957442,0,0.288626,722.892,6,-3004.98,15,'calm',264,0,60),
 (6918,7,0,'object/mobile/dressed_combatmedic_trainer_human_female_01.iff',0,-0.142866,0,0.989742,629.722,6,-3048.65,15,'calm',264,0,60),
 (6919,7,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,-0.205393,0,0.97868,615.017,6,-3011.17,15,'calm',264,0,60),
 (6920,7,0,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',0,0.944828,0,0.327566,636.215,6,-2979.5,15,'calm',264,0,60),
 (6921,7,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.122977,0,0.992409,649.197,6,-2940.29,15,'calm',264,0,60),
 (6922,7,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,-0.687133,0,0.726531,616.805,6,-2977.16,15,'calm',264,0,60),
 (6923,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,0.994405,0,0.105639,709.441,6,-2967.7,15,'calm',264,0,60),
 (6924,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,0.746211,0,0.66571,616.103,6,-2959.56,15,'calm',264,0,60),
 (6925,7,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.974909,0,0.222605,639.942,6,-2913.13,15,'calm',264,0,60),
 (6926,7,0,'object/mobile/dressed_noble_fat_zabrak_male_02.iff',0,0.774871,0,-0.63212,624.779,6,-2923.53,15,'calm',264,0,60),
 (6927,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,-0.353362,0,0.935486,716.578,6,-2866.45,15,'calm',264,0,60),
 (6928,7,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,-0.246457,0,0.969154,721.819,6,-2892.41,15,'calm',264,0,60),
 (6929,7,0,'object/mobile/dressed_fed_dub_captain_twk_female_01.iff',0,0.997126,0,0.0757547,718.635,6,-2859.5,15,'calm',264,0,60),
 (6930,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,-0.0430252,0,0.999074,615.01,6,-2920.76,15,'calm',264,0,60),
 (6931,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,1,0,1.34669e-05,715.286,6,-2844.36,15,'calm',264,0,60),
 (6932,7,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.996853,0,0.0792741,620.471,6,-2861.4,15,'calm',264,0,60),
 (6933,7,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,0.951022,0,0.309123,692.188,6,-2861.6,15,'calm',264,0,60),
 (6934,7,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.982866,0,-0.184323,582.058,6,-2861.59,15,'calm',264,0,60),
 (6935,7,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.991439,0,0.130571,591.708,6,-2922.8,15,'calm',264,0,60),
 (6936,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,-0.119533,0,0.99283,574.069,6,-2915.3,15,'calm',264,0,60),
 (6937,7,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,0.821055,0,0.570849,481.58,6,-2854.95,15,'calm',264,0,60),
 (6938,7,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.294063,0,0.955786,445.781,6,-2804.69,15,'calm',264,0,60),
 (6939,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0.763126,0,0.646249,452.123,6,-2852.21,15,'calm',264,0,60),
 (6940,7,9223372036854775807,'object/mobile/stormtrooper.iff',0,0,0,0,2.98486,1.13306,-13.2498,25,'neutral',128,0,180),
 (6941,7,9223372036854775807,'object/mobile/stormtrooper.iff',0,0,0,0,14.8795,1.13306,1.06104,25,'neutral',128,0,180),
 (6942,7,9223372036854775807,'object/mobile/stormtrooper.iff',0,0,0,0,-12.0822,1.13306,-2.82446,25,'neutral',128,0,180),
 (6943,7,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,0.999725,0,0.0234348,396.539,6,-2766.72,15,'calm',264,0,60),
 (6944,7,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,-0.158311,0,0.987389,377.995,6,-2752.04,15,'calm',264,0,60),
 (6945,7,0,'object/mobile/dressed_goon_twk_female_01.iff',0,-0.232832,0,0.972517,373.93,6,-2764.58,15,'calm',264,0,60),
 (6946,7,0,'object/mobile/dressed_commoner_tatooine_bith_male_03.iff',0,0.51957,0,0.854428,280.418,6,-2806.91,15,'calm',264,0,60),
 (6947,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.773232,0,0.634123,291.766,6,-2798.61,15,'calm',264,0,60),
 (6948,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.989497,0,-0.144555,221.275,6,-2803.13,15,'calm',264,0,60),
 (6949,7,0,'object/mobile/r2.iff',0,-0.693311,0,0.720638,207.078,6,-2800.53,15,'calm',264,0,60),
 (6950,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.921355,0,-0.388722,200.355,6,-2794.26,15,'calm',264,0,60),
 (6951,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.69817,0,0.715932,200.355,6,-2794.26,15,'calm',264,0,60),
 (6952,7,0,'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff',0,0.580795,0,0.81405,198.355,6,-2794.26,15,'calm',264,0,60),
 (6953,7,0,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,0.996637,0,0.0819474,127.174,6,-2798.56,15,'calm',264,0,60),
 (6954,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0.567852,0,0.823131,156.527,6,-2960.7,15,'calm',264,0,60),
 (6955,7,0,'object/mobile/dressed_mugger.iff',0,-0.192445,0,0.981308,28.2237,6,-2823.13,15,'calm',264,0,60),
 (6956,7,0,'object/mobile/dressed_robber_human_male_01.iff',0,0.701308,0,0.712858,31.8708,6,-2836.08,15,'calm',264,0,60),
 (6957,7,0,'object/mobile/dressed_criminal_thug_aqualish_female_02.iff',0,0.322447,0,0.946588,24.9828,6,-2823.39,15,'calm',264,0,60),
 (6958,7,0,'object/mobile/dressed_criminal_thug_zabrak_female_01.iff',0,0.718365,0,-0.695667,21.7635,6,-2826.36,15,'calm',264,0,60),
 (6959,7,0,'object/mobile/dressed_desperado_bith_female_01.iff',0,0.957289,0,0.289134,152.292,6,-3013.73,15,'calm',264,0,60),
 (6960,7,0,'object/mobile/eg6_power_droid.iff',0,0.71828,0,-0.695754,380.738,6,-3030.24,15,'calm',264,0,60),
 (6961,7,3305354,'object/mobile/dressed_champhra_biahin.iff',0,0.976985,0,-0.21331,2.71297,0.184067,4.54045,15,'calm',264,0,60),
 (6962,7,3305354,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',0,0.911353,0,-0.411626,6.25941,0.184067,4.82006,15,'calm',264,0,60),
 (6963,7,3305354,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.910473,0,-0.413569,2.21646,0.184067,1.13158,15,'calm',264,0,60),
 (6964,7,3305354,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',0,0.910799,0,-0.41285,-2.72912,0.184067,-3.15636,15,'calm',264,0,60),
 (6965,7,3305353,'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff',0,0.860991,0,0.50862,8.40953,0.184067,12.51,15,'calm',264,0,60),
 (6966,7,0,'object/mobile/dressed_commoner_naboo_bothan_female_02.iff',0,-0.641704,0,0.766952,443.804,6,-3086.88,15,'calm',264,0,60),
 (6967,7,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,0.813012,0,-0.582247,504.641,6,-3046.27,15,'calm',264,0,60),
 (6968,7,0,'object/mobile/dressed_desperado_bith_male_01.iff',0,0.648696,0,0.761048,464.59,6,-3106.56,15,'calm',264,0,60),
 (6969,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,-0.451981,0,0.892027,496.245,6,-3023.32,15,'calm',264,0,60),
 (6970,7,0,'object/mobile/r2.iff',0,1,0,-6.4787e-06,504.449,6,-3026.94,15,'calm',264,0,60),
 (6971,7,0,'object/mobile/eg6_power_droid.iff',0,1,0,0,505.449,6,-3025.94,15,'calm',264,0,60),
 (6972,7,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,-0.127724,0,0.99181,529.806,6,-3025.2,15,'calm',264,0,60),
 (6973,7,3175386,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (6974,7,3175382,'object/mobile/dressed_artisan_trainer_03.iff',0,0.0958458,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (6975,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.707107,0,-0.707107,541.258,6.51789,-2994.53,15,'calm',264,0,60),
 (6976,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,0.407531,0,0.913191,579.516,6,-3023.72,15,'calm',264,0,60),
 (6977,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,0.517476,0,0.855698,580.14,6,-2963.53,15,'calm',264,0,60),
 (6978,7,0,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',0,0.00196689,0,0.999998,563.422,6,-2911.94,15,'calm',264,0,60),
 (6979,7,3175593,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',5.41864e-08,4.32197e-06,-2.34192e-13,1,21.574,1.28309,-2.39703,15,'conversation',264,0,60),
 (6980,7,3175593,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',9.5446e-14,1,-5.41869e-08,1.76142e-06,21.574,1.28309,-1.29703,15,'conversation',264,0,60),
 (6981,7,3175593,'object/mobile/dressed_mercenary_weak_hum_m.iff',1.46629e-08,0.923878,-3.53989e-08,0.382688,20.474,1.28309,-1.29703,15,'conversation',264,0,60),
 (6982,7,3175593,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,4.19609e-05,0,1,25.6926,1.28309,6.24509,15,'conversation',264,0,60),
 (6983,7,3175593,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,1,0,4.0055e-05,25.6926,1.28309,7.24509,15,'conversation',264,0,60),
 (6984,7,3175594,'object/mobile/dressed_mugger.iff',1.89647e-06,-1.47383e-05,2.79506e-11,1,-10.227,1.00006,-2.52106,15,'conversation',264,0,60),
 (6985,7,3175594,'object/mobile/dressed_criminal_thug_human_female_01.iff',3.3803e-11,1,1.95068e-06,-1.73288e-05,-10.227,1.00005,-1.42106,15,'conversation',264,0,60),
 (6986,7,3175434,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',5.41865e-08,-2.85999e-05,1.54973e-12,1,-2.33557,1.75,-13.8738,15,'conversation',264,0,60),
 (6987,7,3175434,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',1.4332e-12,1,5.41868e-08,-2.64492e-05,-2.33557,1.75,-12.7738,15,'conversation',264,0,60),
 (6988,7,3175434,'object/mobile/dressed_noble_human_male_02.iff',0,-6.83112e-05,0,1,-1.18159,2.25,6.15196,15,'conversation',264,0,60),
 (6989,7,3175434,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,1,0,-6.63231e-05,-1.18159,2.25,6.74,15,'conversation',264,0,60),
 (6990,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.986163,0,-0.16578,503.439,6,-2948.04,15,'calm',264,0,60),
 (6991,7,3175403,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0.000136152,3.42622e-06,-4.66488e-10,1,-44.5373,0.105009,-20.8963,15,'conversation',264,0,60),
 (6992,7,3175403,'object/mobile/dressed_mercenary_messanger_hum_f.iff',-4.7179e-10,1,0.000136212,3.46365e-06,-44.5373,0.104709,-19.7963,15,'conversation',264,0,60),
 (6993,7,3175396,'object/mobile/dressed_nurla_slinthiss.iff',1.001e-06,0.827352,1.47446e-06,-0.561684,-4.22912,-0.895017,-18.1688,15,'calm',264,0,60),
 (6994,7,3175394,'object/mobile/dressed_villain_trandoshan_male_01.iff',0,0.717608,0,-0.696448,11.7437,-0.894992,-17.8476,15,'calm',264,0,60),
 (6995,7,3175393,'object/mobile/dressed_criminal_assassin_human_female_01.iff',8.1278e-08,-1.72802e-06,1.4045e-13,1,18.5617,-0.894992,17.5882,15,'conversation',264,0,60),
 (6996,7,3175393,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',-1.39427e-13,1,-8.12728e-08,-1.71554e-06,18.5617,-0.894992,18.6882,15,'conversation',264,0,60),
 (6997,7,3175391,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.723671,0,-0.690145,5.85068,-0.894992,-1.62747,15,'neutral',264,0,60),
 (6998,7,3175391,'object/mobile/dressed_radlee_mathiss.iff',0.000214523,0.686734,0.000227047,0.726909,-2.76298,-0.894992,6.25722,15,'calm',264,0,60),
 (6999,7,3175391,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',-1.08371e-07,-1.35122e-06,-1.46433e-13,1,12.85,-0.894992,1.20077,15,'conversation',264,0,60),
 (7000,7,3175391,'object/mobile/dressed_criminal_thug_aqualish_male_01.iff',-2.14129e-13,1,-1.62545e-07,-1.31735e-06,12.85,-0.894992,2.30077,15,'conversation',264,0,60),
 (7001,7,3175390,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',-5.07943e-08,1.73739e-06,8.82495e-14,1,35.4579,0.105,1.60668,15,'conversation',264,0,60),
 (7002,7,3175390,'object/mobile/dressed_commoner_naboo_human_male_08.iff',-8.8773e-14,1,5.08e-08,1.7475e-06,35.4579,0.105,2.70668,15,'conversation',264,0,60),
 (7003,7,3175390,'object/mobile/dressed_bountyhunter_trainer_03.iff',-1.37464e-08,0.923878,3.31864e-08,0.382687,34.3579,0.105,2.70668,15,'conversation',264,0,60),
 (7004,7,3175389,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',-5.08007e-08,3.47513e-06,1.76539e-13,1,43.6156,0.104999,0.752079,15,'conversation',264,0,60),
 (7005,7,3175389,'object/mobile/dressed_criminal_slicer_human_male_01.iff',-1.76066e-13,1,5.08049e-08,3.46553e-06,43.6156,0.104999,1.85208,15,'conversation',264,0,60),
 (7006,7,3175397,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,-0.614273,0,0.789094,-5.0724,-0.894996,21.4966,15,'calm',264,0,60),
 (7007,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,-0.0619874,0,0.998077,4390.82,2,5421.7,15,'calm',264,0,60),
 (7008,7,0,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',0,0.81858,0,0.574392,4351.06,2,5305.44,15,'calm',264,0,60),
 (7009,7,0,'object/mobile/dressed_criminal_thug_aqualish_female_02.iff',0,0,0,1,4397.73,2,5290.48,15,'conversation',264,0,60),
 (7010,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,1,0,0,4397.73,2,5291.48,15,'conversation',264,0,60),
 (7011,7,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0,0,1,4394.07,2,5396.99,15,'conversation',264,0,60),
 (7012,7,0,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',0,1,0,0,4394.07,2,5397.99,15,'conversation',264,0,60),
 (7013,7,4265367,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',2.38413e-07,-9.91799e-05,2.36567e-11,1,-53.4306,2.63942,44.8995,15,'conversation',264,0,60),
 (7014,7,4265367,'object/mobile/dressed_criminal_pirate_human_female_01.iff',-4.08008e-12,1,1.1925e-07,3.43439e-05,-53.4306,2.63942,45.8995,15,'conversation',264,0,60),
 (7015,7,4265362,'object/mobile/dressed_criminal_slicer_human_female_01.iff',2.70948e-08,6.7601e-05,-1.83164e-12,1,46.424,0.639418,45.4992,15,'conversation',264,0,60),
 (7016,7,4265362,'object/mobile/quarren_male.iff',1.73873e-12,1,2.70898e-08,-6.41839e-05,46.424,0.639418,46.5992,15,'conversation',264,0,60),
 (7017,7,4265359,'object/mobile/dressed_robber_human_female_01.iff',0,2.40758e-05,0,1,5.81535,0.639421,60.0653,15,'conversation',264,0,60),
 (7018,7,4265359,'object/mobile/dressed_imperial_officer_m_5.iff',0,1,0,5.48298e-06,5.81535,0.639421,61.0653,15,'conversation',264,0,60),
 (7019,7,4265359,'object/mobile/dressed_criminal_pirate_human_male_01.iff',-8.94094e-08,-7.20043e-05,-6.44584e-12,1,-5.66994,0.639422,54.6418,15,'conversation',264,0,60),
 (7020,7,4265359,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',1.08783e-11,1,-1.78866e-07,6.08144e-05,-5.66994,0.639423,55.6418,15,'conversation',264,0,60),
 (7021,7,4265369,'object/mobile/space_chassis_broker_03.iff',0,0.320817,0,0.947141,-56.6035,0.974563,8.64535,15,'neutral',264,0,60),
 (7022,7,0,'object/mobile/dressed_hooligan_rodian_male_01.iff',0,-0.27669,0,0.960959,4432.48,2,5437.46,15,'calm',264,0,60),
 (7023,7,0,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0,0.884634,0,-0.466287,4424.48,2,5428.46,15,'calm',264,0,60),
 (7024,7,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0.992541,0,0.121911,4425.48,2,5429.46,15,'calm',264,0,60),
 (7025,7,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0.992665,0,-0.120901,4489.46,2,5269.07,15,'calm',264,0,60),
 (7026,7,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',0,0.986942,0,0.161077,4471.96,2,5465.89,15,'calm',264,0,60),
 (7027,7,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,0.921555,0,0.388247,4441.2,2,5419.9,15,'calm',264,0,60),
 (7028,7,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,-0.549747,0,0.835331,4411.54,2,5392.8,15,'calm',264,0,60),
 (7029,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_03.iff',0,0.984025,0,-0.178032,4416.41,2,5382.04,15,'calm',264,0,60),
 (7030,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0.0377144,0,0.999289,4423.37,2,5399.32,15,'calm',264,0,60),
 (7031,7,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.414744,0,0.909938,4418.85,2,5271.39,15,'calm',264,0,60),
 (7032,7,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',-9.91832e-05,0.857215,8.66724e-05,-0.514958,4385.96,2,5268.61,15,'neutral',264,0,60),
 (7033,7,0,'object/mobile/dressed_rebel_crewman_human_male_01.iff',0,-0.454835,0,0.890576,4342.96,2,5301.08,15,'neutral',264,0,60),
 (7034,7,0,'object/mobile/dressed_rebel_crewman_human_male_02.iff',0,0.176334,0,0.98433,4369,2,5333.08,15,'neutral',264,0,60),
 (7035,7,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0,0,1,4437.59,2,5252.67,15,'conversation',264,0,60),
 (7036,7,0,'object/mobile/dressed_bountyhunter_trainer_02.iff',0,1,0,0,4437.59,2,5253.67,15,'conversation',264,0,60),
 (7037,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,0,0,1,4446.01,2,5422.27,15,'conversation',264,0,60),
 (7038,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,1,0,0,4446.01,2,5423.27,15,'conversation',264,0,60),
 (7039,7,0,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0,0.998884,0,0.0472312,4551.45,2,5310.32,15,'calm',264,0,60),
 (7040,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0.947692,0,0.319187,4548.45,2,5336.77,15,'calm',264,0,60),
 (7041,7,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.145335,0,0.989383,4533.27,2,5286.74,15,'calm',264,0,60),
 (7042,7,0,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0,0,0,1,4558.42,2,5302.88,15,'conversation',264,0,60),
 (7043,7,0,'object/mobile/dressed_noble_fat_human_male_01.iff',0,1,0,0,4558.42,2,5303.88,15,'conversation',264,0,60),
 (7044,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0,0,1,4501.35,2,5438.72,15,'conversation',264,0,60),
 (7045,7,0,'object/mobile/dressed_commoner_naboo_human_male_03.iff',0,1,0,0,4501.35,2,5439.72,15,'conversation',264,0,60),
 (7046,7,0,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',0,0,0,1,4554.99,2,5423.67,15,'conversation',264,0,60),
 (7047,7,0,'object/mobile/dressed_criminal_thug_human_female_02.iff',0,1,0,0,4554.99,2,5424.67,15,'conversation',264,0,60),
 (7048,7,0,'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff',-0.115066,0.708356,0.222115,0.660043,4501.62,2,5266.24,15,'neutral',264,0,60),
 (7049,7,0,'object/mobile/dressed_rebel_trooper_twk_female_01.iff',0,0.713498,0,-0.700658,4550.64,2,5305.08,15,'calm',264,0,60),
 (7050,7,0,'object/mobile/eg6_power_droid.iff',0,0.998569,0,0.0534734,4453.98,2,5284.27,15,'calm',264,0,60),
 (7051,7,0,'object/mobile/eg6_power_droid.iff',0,-0.497141,0,0.86767,4465.98,2,5278.48,15,'calm',264,0,60),
 (7052,7,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.885504,0,-0.464631,4346.84,9.9,5434.8,15,'calm',264,0,60),
 (7053,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0,0,1,4305.6,9.9,5364.33,15,'conversation',264,0,60),
 (7054,7,0,'object/mobile/dressed_criminal_slicer_human_female_01.iff',0,1,0,0,4305.6,9.9,5365.33,15,'conversation',264,0,60),
 (7055,7,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.670274,0,0.742113,4299.49,9.9,5360.88,15,'calm',264,0,60),
 (7056,7,0,'object/mobile/dressed_rebel_specforce_pathfinder_rodian_female_01.iff',0,1,0,0,4323.72,2,5293.6,15,'conversation',264,0,60),
 (7057,7,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0,0,1,4323.72,2,5292.6,15,'conversation',264,0,60),
 (7058,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.677003,0,0.73598,4469.81,2,5211.71,15,'calm',264,0,60),
 (7059,7,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.929273,0,0.369395,4478.11,2.37934,5204.97,15,'calm',264,0,60),
 (7060,7,0,'object/mobile/dressed_imperial_medic3_human_male_01.iff',0,0.62181,0,0.783168,4520.61,2,5236.48,15,'npc_imperial',264,0,60),
 (7061,7,0,'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff',-0.000113266,0.311123,7.62545e-05,0.95037,4356.79,2.10233,5214.58,15,'calm',264,0,60),
 (7062,7,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,-0.184555,0,0.982822,4469.92,2,5183.13,15,'calm',264,0,60),
 (7063,7,0,'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff',-0.0771836,-0.202372,-0.0121167,0.976187,4465.85,2,5212.64,15,'neutral',264,0,60),
 (7064,7,0,'object/mobile/dressed_fed_dub_constable_twk_female_01.iff',-0.00377969,0.374678,0.00250117,0.927144,4356.1,2.10233,5213.47,15,'neutral',264,0,60),
 (7065,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',-0.00232215,0.429917,0.00133704,0.902864,4354.28,2.10233,5213.03,15,'neutral',264,0,60),
 (7066,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.31054,0,0.95056,4354.29,2.10233,5213.04,15,'calm',264,0,60),
 (7067,7,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0.0624948,0,0,0.998045,4379.3,1.75007,5185.72,15,'conversation',264,0,60),
 (7068,7,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0.761767,0,0.647852,4517.5,2,5197.55,15,'calm',264,0,60),
 (7069,7,0,'object/mobile/dressed_noble_old_human_male_02.iff',0,1,0,0,4477.16,2,5156.72,15,'conversation',264,0,60),
 (7070,7,0,'object/mobile/dressed_commoner_naboo_moncal_male_01.iff',0,0.677315,0,0.735693,4337.75,2,5214.84,15,'calm',264,0,60),
 (7071,7,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.276441,0,0.961031,4364.05,2,5184.78,15,'calm',264,0,60),
 (7072,7,4265396,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (7073,7,4265395,'object/mobile/dressed_rebel_brigadier_general_moncal_female.iff',0,0.895641,0,-0.444777,14.0151,1.13306,-9.18578,15,'calm',264,0,60),
 (7074,7,4265392,'object/mobile/dressed_artisan_trainer_01.iff',0,0.0958458,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (7075,7,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,0.942498,0,-0.334211,4523.05,2,5141.12,15,'calm',264,0,60),
 (7076,7,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.993824,0,0.110966,4512.53,2,5129.35,15,'calm',264,0,60),
 (7077,7,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0,0,1,4513.66,2,5125.31,15,'conversation',264,0,60),
 (7078,7,0,'object/mobile/dressed_criminal_slicer_human_female_01.iff',0,1,0,0,4513.66,2,5126.31,15,'conversation',264,0,60),
 (7079,7,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,-0.116082,0,0.99324,4550.54,2,5436.9,15,'calm',264,0,60),
 (7080,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0,0,1,4516.71,2,5494.23,15,'conversation',264,0,60),
 (7081,7,0,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',0,1,0,0,4516.71,2,5495.23,15,'conversation',264,0,60),
 (7082,7,0,'object/mobile/dressed_rebel_corporal_moncal_male_01.iff',0,0.829078,0,0.559133,4545.56,2,5485.8,15,'calm',264,0,60),
 (7083,7,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,0.829103,0,0.559095,4545.56,2,5485.8,15,'calm',264,0,60),
 (7084,7,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,-0.460356,0,0.887734,4527.96,2,5505.62,15,'calm',264,0,60),
 (7085,7,0,'object/mobile/dressed_rebel_ris_04.iff',0,-0.345887,0,0.938276,4696.36,27.2753,5432.73,15,'calm',264,0,60),
 (7086,7,0,'object/mobile/dressed_rebel_ris_01.iff',0,0.937885,0,0.346946,4665.01,19.5236,5505.08,15,'calm',264,0,60),
 (7087,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.603775,0,0.797155,4521.42,2,5533.65,15,'calm',264,0,60),
 (7088,7,0,'object/mobile/dressed_rebel_ris_03.iff',0,0.910171,0,-0.414233,4646.1,17.9043,5512.36,15,'calm',264,0,60),
 (7089,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.603647,0,0.797252,4518.84,2,5531.57,15,'calm',264,0,60),
 (7090,7,0,'object/mobile/dressed_fed_dub_captain_twk_male_01.iff',0,0.603737,0,0.797184,4520.7,2,5532.1,15,'calm',264,0,60),
 (7091,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.603705,0,0.797208,4519.06,2,5532.98,15,'calm',264,0,60),
 (7092,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.603682,0,0.797226,4517.61,2,5532.57,15,'calm',264,0,60),
 (7093,7,0,'object/mobile/dressed_rebel_ris_04.iff',0,-0.0937305,0,0.995598,4655.76,18.2854,5515.54,15,'calm',264,0,60),
 (7094,7,0,'object/mobile/dressed_rebel_ris_04.iff',0,0.890905,0,0.454189,4654.74,19.4561,5519.88,15,'calm',264,0,60),
 (7095,7,0,'object/mobile/dressed_rebel_ris_03.iff',0,0.796782,0,0.604267,4700.16,27.7262,5425.43,15,'calm',264,0,60),
 (7096,7,0,'object/mobile/dressed_rebel_ris_02.iff',0,0.987321,0,-0.158739,4662.45,21.0035,5520.8,15,'calm',264,0,60),
 (7097,7,0,'object/mobile/dressed_rebel_ris_01.iff',0,0.579694,0,0.814835,4669.7,25.9752,5527.08,15,'calm',264,0,60),
 (7098,7,0,'object/mobile/roba_hue.iff',0,0.195744,0,0.980655,4534.65,2,5535.02,15,'neutral',264,0,60),
 (7099,7,0,'object/mobile/roba_hue.iff',0,0.861028,0,-0.508557,4528.89,2,5559.5,15,'neutral',264,0,60),
 (7100,7,0,'object/mobile/roba_hue.iff',0,0.154953,0,0.987922,4526.79,2,5533.12,15,'neutral',264,0,60),
 (7101,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.608736,0,0.793373,4291.34,9.9,5443.67,15,'calm',264,0,60),
 (7102,7,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,-0.234469,0,0.972124,4294.6,9.9,5413.01,15,'calm',264,0,60),
 (7103,7,0,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,0,0,1,4292.68,9.9,5407.93,15,'conversation',264,0,60),
 (7104,7,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,1,0,0,4292.68,9.9,5408.93,15,'conversation',264,0,60),
 (7105,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',0,-0.0228999,0,0.999738,4333.76,9.9,5371.99,15,'calm',264,0,60),
 (7106,7,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,0.369922,0,0.929063,4297.71,9.9,5439.72,15,'calm',264,0,60),
 (7107,7,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,0.93595,0,-0.352133,4291.13,9.9,5430.4,15,'calm',264,0,60),
 (7108,7,0,'object/mobile/battle_droid.iff',0,0.990691,0,0.136129,4292.93,9.9,5427.18,15,'calm',264,0,60),
 (7109,7,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,0.896588,0,-0.442865,4341.5,9.9,5386.97,15,'calm',264,0,60),
 (7110,7,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0.587274,0,0.809388,4300.3,10.4168,5433.05,15,'calm',264,0,60),
 (7111,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,0.544518,0,0.838749,4214.12,2,5329.97,15,'calm',264,0,60),
 (7112,7,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,-0.122622,0,0.992453,4231.38,2,5315.35,15,'calm',264,0,60),
 (7113,7,4265407,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (7114,7,4265406,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0,0.913546,0,-0.406736,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (7115,7,4265403,'object/mobile/dressed_rebel_brigadier_general_moncal_female.iff',0,0.898034,0,0.439927,9.6254,1.13306,0.32257,15,'calm',264,0,60),
 (7116,7,0,'object/mobile/dressed_rebel_crewman_human_male_04.iff',-0.0207193,0.706949,0.0195709,-0.70669,4230.38,2,5286.99,15,'neutral',264,0,60),
 (7117,7,0,'object/mobile/dressed_rebel_crewman_human_male_04.iff',0,0.707218,0,-0.706995,4230.38,2,5286.99,15,'neutral',264,0,60),
 (7118,7,4265376,'object/mobile/dressed_artisan_trainer_01.iff',2.97978e-08,-4.10017e-05,1.22188e-12,1,21.4737,-0.894997,-14.904,15,'conversation',264,0,60),
 (7119,7,4265376,'object/mobile/dressed_mugger.iff',2.44363e-12,1,5.96137e-08,-4.10143e-05,21.4737,-0.894997,-13.904,15,'conversation',264,0,60),
 (7120,7,4265375,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.98643,0,-0.164182,5.78939,-0.894992,3.21743,15,'neutral',264,0,60),
 (7121,7,4265375,'object/mobile/dressed_sigrix_slix.iff',0,0.219399,0,0.975635,17.1933,-0.894993,-6.82739,15,'calm',264,0,60),
 (7122,7,4265375,'object/mobile/dressed_artisan_trainer_01.iff',-2.98035e-08,0.000113611,3.3866e-12,1,2.49489,-0.894992,-5.58394,15,'conversation',264,0,60),
 (7123,7,4265375,'object/mobile/dressed_commoner_artisan_bith_male_01.iff',3.3858e-12,1,-2.98011e-08,0.000113602,2.49489,-0.894992,-4.58394,15,'conversation',264,0,60),
 (7124,7,4265375,'object/mobile/dressed_criminal_slicer_human_female_01.iff',-2.98028e-08,-3.91013e-05,-1.16368e-12,1,11.3604,-0.894992,4.58351,15,'conversation',264,0,60),
 (7125,7,4265375,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-2.33124e-12,1,-5.96037e-08,-3.91e-05,11.3604,-0.894992,5.58351,15,'conversation',264,0,60),
 (7126,7,4265374,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',-5.07915e-08,-6.91626e-06,-3.51287e-13,1,35.6665,0.105,1.2343,15,'conversation',264,0,60),
 (7127,7,4265374,'object/mobile/dressed_bountyhunter_trainer_03.iff',3.53443e-13,1,5.08028e-08,-6.95716e-06,35.6665,0.105,2.3343,15,'conversation',264,0,60),
 (7128,7,0,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,0,0,1,4256.4,2,5283.54,15,'conversation',264,0,60),
 (7129,7,0,'object/mobile/dressed_commoner_naboo_human_female_07.iff',0,1,0,0,4256.4,2,5284.54,15,'conversation',264,0,60),
 (7130,7,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.620239,0,0.784413,4217.52,2,5296.68,15,'calm',264,0,60),
 (7131,7,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.834507,0,-0.550997,4195.48,2,5287.32,15,'calm',264,0,60),
 (7132,7,0,'object/mobile/3po_protocol_droid.iff',0,0.829072,0,0.559141,4199,2,5286,15,'calm',264,0,60),
 (7133,7,0,'object/mobile/dressed_selonian_f_09.iff',0,0.943906,0,-0.330215,4268.4,0.554258,5264.28,15,'neutral',264,0,60),
 (7134,7,0,'object/mobile/eg6_power_droid.iff',0,0.784012,0,-0.620745,4198.79,2,5292.24,15,'calm',264,0,60),
 (7135,7,0,'object/mobile/dressed_stormtrooper_m.iff',0,-0.374269,0,0.92732,4272.18,0.640772,5265.9,15,'npc_imperial',264,0,60),
 (7136,7,0,'object/mobile/dressed_stormtrooper_m.iff',0,0.172898,0,0.98494,4263.42,0.496891,5263.01,15,'npc_imperial',264,0,60),
 (7137,7,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0,0,1,4161.59,2,5292.72,15,'conversation',264,0,60),
 (7138,7,0,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,1,0,0,4161.59,2,5293.72,15,'conversation',264,0,60),
 (7139,7,0,'object/mobile/dressed_mercenary_strong_rod_m.iff',0,0.999329,0,0.0366401,4164.2,2,5280.36,15,'calm',264,0,60),
 (7140,7,0,'object/mobile/dressed_commoner_fat_human_female_02.iff',0,0.859884,0,-0.51049,4147.54,2,5274.21,15,'calm',264,0,60),
 (7141,7,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.962336,0,-0.271861,4135.13,2,5308.3,15,'calm',264,0,60),
 (7142,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,-0.40124,0,0.915973,4123.51,2,5293.84,15,'calm',264,0,60),
 (7143,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,1,0,0,4119.69,2,5300.03,15,'conversation',264,0,60),
 (7144,7,0,'object/mobile/dressed_mercenary_strong_tran_m.iff',0,0.490395,0,0.8715,4137.81,2,5293.34,15,'calm',264,0,60),
 (7145,7,0,'object/mobile/dressed_mercenary_strong_rod_m.iff',0,0.398671,0,0.917094,4098.14,2,5297.72,15,'calm',264,0,60),
 (7146,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,1,0,0,4107.57,2,5310.03,15,'conversation',264,0,60),
 (7147,7,0,'object/mobile/dressed_mercenary_strong_hum_f.iff',0,0.549302,0,0.835624,4127.81,2,5287.27,15,'calm',264,0,60),
 (7148,7,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,0.461,0,0.8874,4096.4,2,5299.15,15,'calm',264,0,60),
 (7149,7,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0.0422395,0,0.999108,4099.32,2,5288.18,15,'calm',264,0,60),
 (7150,7,0,'object/mobile/dressed_criminal_thug_human_male_01.iff',0,-0.186312,0,0.982491,4092.75,2,5300.12,15,'calm',264,0,60),
 (7151,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.338005,0,0.941144,4102.2,2,5277.67,15,'calm',264,0,60),
 (7152,7,0,'object/mobile/dressed_rebel_brigadier_general_human_female_01.iff',0,0.342263,0,0.939604,4065.94,2,5290.15,15,'calm',264,0,60),
 (7153,7,0,'object/mobile/dressed_commoner_naboo_human_male_02.iff',0,0.954666,0,-0.297678,4078.96,2,5278.86,15,'calm',264,0,60),
 (7154,7,0,'object/mobile/dressed_artisan_trainer_03.iff',0,0,0,1,4073.98,2,5272.83,15,'conversation',264,0,60),
 (7155,7,0,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,1,0,0,4073.98,2,5273.83,15,'conversation',264,0,60),
 (7156,7,0,'object/mobile/dressed_mercenary_strong_tran_m.iff',0,0.917282,0,-0.398238,4082.9,2,5283.48,15,'calm',264,0,60),
 (7157,7,0,'object/mobile/dressed_mercenary_strong_tran_m.iff',0,0.939724,0,0.341933,4074.12,2,5282.92,15,'calm',264,0,60),
 (7158,7,0,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,0,0,1,4119.69,2,5299.03,15,'conversation',264,0,60),
 (7159,7,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,0,0,1,4107.57,2,5309.03,15,'conversation',264,0,60),
 (7160,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,0.836221,0,0.548392,4034.88,2,5261.41,15,'calm',264,0,60),
 (7161,7,0,'object/mobile/dressed_commoner_naboo_human_female_07.iff',0,0,0,1,4039.56,2,5263.96,15,'conversation',264,0,60),
 (7162,7,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,1,0,0,4039.56,2,5264.96,15,'conversation',264,0,60),
 (7163,7,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,0.961432,0,0.275043,4033.55,2,5229.69,15,'calm',264,0,60),
 (7164,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.896721,0,-0.442597,4029.5,2,5241.56,15,'calm',264,0,60),
 (7165,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,-0.586365,0,0.810047,4074.05,2,5234.8,15,'calm',264,0,60),
 (7166,7,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.941124,0,0.33806,4166.92,2,5127.65,15,'calm',264,0,60),
 (7167,7,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0.957251,0,0.289259,4177.46,2,5145.22,15,'calm',264,0,60),
 (7168,7,0,'object/mobile/dressed_rebel_sergeant_twilek_female_old_01.iff',0,0.554159,0,0.832411,4210.89,2,5149.12,15,'neutral',264,0,60),
 (7169,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.862893,0,0.505387,4152.53,2,5129.06,15,'calm',264,0,60),
 (7170,7,0,'object/mobile/dressed_fed_dub_captain_twk_male_01.iff',0,0.8696,0,0.493757,4152.41,2,5129.14,15,'calm',264,0,60),
 (7171,7,0,'object/mobile/dalyrake_hue.iff',0,0.167063,0,0.985946,3995.4,21.8269,5239.18,15,'neutral',264,0,60),
 (7172,7,0,'object/mobile/dalyrake_hue.iff',0,-0.0206505,0,0.999787,3990.42,24.5921,5255.57,15,'neutral',264,0,60),
 (7173,7,0,'object/mobile/dalyrake_hue.iff',0,0.994336,0,0.106283,3988.14,26.808,5230.89,15,'neutral',264,0,60),
 (7174,7,0,'object/mobile/dalyrake_hue.iff',0,0.182583,0,0.98319,3981.4,31.7696,5238.12,15,'neutral',264,0,60),
 (7175,7,0,'object/mobile/dalyrake_hue.iff',0,0.912167,0,0.40982,4024.46,8.49714,5267.53,15,'neutral',264,0,60),
 (7176,7,0,'object/mobile/dressed_combatmedic_trainer_human_male_01.iff',0,0,0,1,4189.74,2,5154.9,15,'conversation',264,0,60),
 (7177,7,0,'object/mobile/dressed_artisan_trainer_03.iff',0,1,0,0,4189.74,2,5155.9,15,'conversation',264,0,60),
 (7178,7,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.87827,0,0.478166,4188.76,2,5139.64,15,'calm',264,0,60),
 (7179,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0.99816,0,0.0606372,4207.86,2,5152.88,15,'calm',264,0,60),
 (7180,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,0.943256,0,-0.332065,4250.53,2,5168.77,15,'calm',264,0,60),
 (7181,7,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,0,0,1,4235.22,2,5155.01,15,'conversation',264,0,60),
 (7182,7,0,'object/mobile/dressed_noble_fat_twilek_female_02.iff',0,1,0,0,4235.22,2,5156.01,15,'conversation',264,0,60),
 (7183,7,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0.275905,0,0.961185,4252.03,2,5156.6,15,'calm',264,0,60),
 (7184,7,0,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',0,0.957661,0,-0.287899,4298.91,2,5198.36,15,'calm',264,0,60),
 (7185,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0.923915,0,-0.382597,4277.51,2,5167.11,15,'calm',264,0,60),
 (7186,7,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.99828,0,-0.05862,4294.13,2,5184.49,15,'calm',264,0,60),
 (7187,7,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,0.352323,0,0.935879,4319.51,2,5215.01,15,'calm',264,0,60),
 (7188,7,0,'object/mobile/dressed_villain_trandoshan_male_01.iff',0,0.875839,0,-0.482603,4249.61,2,5151.17,15,'calm',264,0,60),
 (7189,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,0.87086,0,0.491532,4265.95,2,5153.96,15,'calm',264,0,60),
 (7190,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.385851,0,0.922561,4327.15,2,5201.98,15,'calm',264,0,60),
 (7191,7,0,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,0,0,1,4279.23,2,5156.4,15,'conversation',264,0,60),
 (7192,7,0,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0,1,0,0,4279.23,2,5157.4,15,'conversation',264,0,60),
 (7193,7,0,'object/mobile/dressed_rebel_sergeant_major_bothan_male_01.iff',-0.0028793,0.706996,-0.00303103,0.707205,4317.76,2,5287.02,15,'neutral',264,0,60),
 (7194,7,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,-0.655165,0,0.755486,4354.1,2,5181.93,15,'calm',264,0,60),
 (7195,7,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,-0.0660041,0,0.997819,4373.46,2,5165.43,15,'calm',264,0,60),
 (7196,7,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0.978536,0,-0.206076,4367.89,2,5148.11,15,'calm',264,0,60),
 (7197,7,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.729932,0,0.68352,4354.9,2,5147.42,15,'calm',264,0,60),
 (7198,7,0,'object/mobile/dressed_commoner_tatooine_bith_male_05.iff',0,0.181057,0,0.983473,4344.99,2,5202.61,15,'calm',264,0,60),
 (7199,7,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.543745,0,0.839251,4353.37,2,5125.93,15,'calm',264,0,60),
 (7200,7,0,'object/mobile/dressed_robber_human_male_01.iff',0,-0.611379,0,0.791338,4245.38,2,5150.24,15,'calm',264,0,60),
 (7201,7,0,'object/mobile/dressed_commoner_fat_zabrak_female_01.iff',0,-0.705159,0,0.709049,4273.97,2,5144.19,15,'calm',264,0,60),
 (7202,7,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',-5.09213e-09,0.998045,0.0624948,3.18856e-10,4379.3,1.62434,5186.72,15,'conversation',264,0,60),
 (7203,7,0,'object/mobile/r4.iff',0,0.547964,0,0.836502,4267.23,2,5151.46,15,'calm',264,0,60),
 (7204,7,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,0.99996,0,-0.00889544,4251.97,2,5136.77,15,'calm',264,0,60),
 (7205,7,4265427,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,7.28685e-05,0,1,-17.2353,1.6,-15.0646,15,'conversation',264,0,60),
 (7206,7,4265427,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,1,0,-1.38807e-05,-17.2353,1.6,-13.9646,15,'conversation',264,0,60),
 (7207,7,4265427,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,0.923897,0,0.382641,-18.3353,1.6,-13.9646,15,'conversation',264,0,60),
 (7208,7,4265423,'object/mobile/dressed_jusani_zhord.iff',0.0162283,-0.644778,0.0138294,0.764072,16.7864,1.28309,-0.205379,15,'calm',264,0,60),
 (7209,7,4265423,'object/mobile/dressed_commoner_naboo_human_male_01.iff',5.41883e-08,-1.99354e-05,1.08027e-12,1,25.8451,1.28309,-3.02994,15,'conversation',264,0,60),
 (7210,7,4265423,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',-5.77736e-12,1,-5.41817e-08,-0.000106629,25.8451,1.28309,-1.92994,15,'conversation',264,0,60),
 (7211,7,4265423,'object/mobile/gran_male.iff',5.41956e-08,4.16367e-05,-2.25653e-12,1,16.326,1.28309,8.947,15,'conversation',264,0,60),
 (7212,7,4265423,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',-2.39818e-12,1,-5.41744e-08,-4.42677e-05,16.326,1.28309,10.047,15,'conversation',264,0,60),
 (7213,7,4265423,'object/mobile/dressed_mercenary_messanger_hum_m.iff',1.4659e-08,0.923908,-3.53976e-08,0.382614,15.226,1.28309,10.047,15,'conversation',264,0,60),
 (7214,7,4265423,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',-5.9592e-08,-2.00229e-05,-1.19642e-12,1,25.7677,1.28309,8.41503,15,'conversation',264,0,60),
 (7215,7,4265423,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',-2.83668e-12,1,-1.19197e-07,-2.38394e-05,25.7677,1.28309,9.41503,15,'conversation',264,0,60),
 (7216,7,4265424,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',-6.57147e-05,-8.75268e-05,-5.75179e-09,1,-17.2742,1,-4.08488,15,'conversation',264,0,60),
 (7217,7,4265424,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',3.13015e-09,1,-6.56825e-05,4.76558e-05,-17.2742,1.00015,-2.98488,15,'conversation',264,0,60),
 (7218,7,4265424,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',-5.96062e-08,7.24812e-05,4.32061e-12,1,-16.989,1.6,10.4506,15,'conversation',264,0,60),
 (7219,7,4265424,'object/mobile/dressed_mercenary_messanger_hum_f.iff',-4.77529e-12,1,5.96135e-08,8.01205e-05,-16.989,1.6,11.4506,15,'conversation',264,0,60),
 (7220,7,4265422,'object/mobile/dressed_noble_human_male_01.iff',4.33429e-06,-1.15693e-05,5.01445e-11,1,1.75833,0.999979,5.13502,15,'conversation',264,0,60),
 (7221,7,4265422,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',4.24229e-10,1,4.33531e-06,-9.78542e-05,1.75833,0.99997,6.23502,15,'conversation',264,0,60),
 (7222,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,-0.517689,0,0.855569,4227.2,2,5116.75,15,'calm',264,0,60),
 (7223,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,-0.579606,0,0.814897,4223.88,2,5131.2,15,'calm',264,0,60),
 (7224,7,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.76536,0,-0.643602,4208.89,2,5145.09,15,'calm',264,0,60),
 (7225,7,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0,0.493341,0,0.869836,4232.36,2,5110.24,15,'calm',264,0,60),
 (7226,7,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.987536,0,0.157393,4346.08,2,5094.9,15,'calm',264,0,60),
 (7227,7,0,'object/mobile/eg6_power_droid.iff',0,-0.101706,0,0.994814,4347.08,2,5093.9,15,'calm',264,0,60),
 (7228,7,0,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0.999586,0,0.028781,4176.43,2,5109.98,15,'calm',264,0,60),
 (7229,7,0,'object/mobile/dressed_desperado_bith_male_01.iff',0,0.903063,0,0.429507,4253.57,2,5141.63,15,'calm',264,0,60),
 (7230,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.853129,0,0.5217,4178.34,2,5114.18,15,'calm',264,0,60),
 (7231,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.853158,0,0.521653,4176.48,2,5115.13,15,'calm',264,0,60),
 (7232,7,0,'object/mobile/dressed_fed_dub_investigator_twk_male_01.iff',0,-0.52961,0,0.848241,4176.93,2,5114.9,15,'calm',264,0,60),
 (7233,7,0,'object/mobile/dressed_commoner_naboo_moncal_female_01.iff',0,0.872846,0,0.487996,4164.28,2,5103.98,15,'calm',264,0,60),
 (7234,7,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0.992556,0,-0.121788,4177.79,2,5101.75,15,'calm',264,0,60),
 (7235,7,0,'object/mobile/dressed_noble_human_female_02.iff',0,0,0,1,4169.93,2,5097.25,15,'conversation',264,0,60),
 (7236,7,0,'object/mobile/dressed_criminal_pirate_human_male_01.iff',0,1,0,0,4169.93,2,5098.25,15,'conversation',264,0,60),
 (7237,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,0.789968,0,-0.613148,4238.06,2,5126.65,15,'calm',264,0,60),
 (7238,7,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.991827,0,-0.127593,4334.85,2,5058.17,15,'calm',264,0,60),
 (7239,7,0,'object/mobile/dressed_criminal_pirate_human_female_01.iff',0,0,0,1,4332.89,2,5051.68,15,'conversation',264,0,60),
 (7240,7,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,1,0,0,4332.89,2,5052.68,15,'conversation',264,0,60),
 (7241,7,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,0.3478,0,0.937569,4343.94,2,5078.72,15,'calm',264,0,60),
 (7242,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_01.iff',0,0.894617,0,-0.446834,4338.26,2,5048.56,15,'calm',264,0,60),
 (7243,7,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,-0.0571268,0,0.998367,4346.26,2,5064.99,15,'calm',264,0,60),
 (7244,7,0,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,-0.139681,0,0.990197,4363.41,2,5087.4,15,'calm',264,0,60),
 (7245,7,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,-0.470471,0,0.882415,4385.1,2,5049.53,15,'calm',264,0,60),
 (7246,7,0,'object/mobile/dressed_noble_old_zabrak_female_01.iff',0,1,0,0,4376.54,2,5051.29,15,'conversation',264,0,60),
 (7247,7,4265440,'object/mobile/dressed_slooni_long.iff',0,-0.0864894,0,0.996253,11.0187,1.75,-17.8981,15,'calm',264,0,60),
 (7248,7,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0.748616,0,0.663004,4388.77,2,5031.19,15,'calm',264,0,60),
 (7249,7,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,0.501898,0,0.864927,4373.33,2,5019.99,15,'calm',264,0,60),
 (7250,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.560705,0,0.828016,4370.94,2,5023.04,15,'calm',264,0,60),
 (7251,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.525406,0,0.850852,4382.36,2.38915,5015.58,15,'calm',264,0,60),
 (7252,7,0,'object/mobile/dressed_fed_dub_patrolman_human_male_01.iff',0,0.0603427,0,0.998178,4368.05,2.38492,5009.76,15,'calm',264,0,60),
 (7253,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.553234,0,0.833026,4368.1,2.44145,5009.65,15,'calm',264,0,60),
 (7254,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,0.00301201,0,0.999995,4368.17,2.45446,5009.23,15,'calm',264,0,60),
 (7255,7,0,'object/mobile/dressed_commoner_tatooine_bith_female_06.iff',0,0.0967824,0,0.995306,4347.05,2,5112.91,15,'calm',264,0,60),
 (7256,7,0,'object/mobile/dressed_commoner_artisan_bith_male_01.iff',0,0,0,1,4376.54,2,5050.29,15,'conversation',264,0,60),
 (7257,7,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,-0.36332,0,0.931665,4509.32,2,5071.21,15,'calm',264,0,60),
 (7258,7,0,'object/mobile/dressed_crook_zabrak_male_01.iff',0,-0.487802,0,0.872954,4508.78,2,5079.43,15,'calm',264,0,60),
 (7259,7,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0,-0.495199,0,0.86878,4507.65,2,5084.05,15,'calm',264,0,60),
 (7260,7,0,'object/mobile/dressed_desperado_bith_female_01.iff',0,0.925246,0,0.379368,4516.5,2,5076.88,15,'calm',264,0,60),
 (7261,7,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,-0.415838,0,0.909439,4526.13,2,5057.36,15,'calm',264,0,60),
 (7262,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,0.960966,0,0.276667,4531.5,2,5035.55,15,'calm',264,0,60),
 (7263,7,0,'object/mobile/dressed_fed_dub_constable_twk_male_01.iff',0,-0.143671,0,0.989626,4529.8,2,5035.41,15,'calm',264,0,60),
 (7264,7,0,'object/mobile/dressed_fed_dub_patrolman_human_female_01.iff',0,-0.143653,0,0.989628,4530.69,2,5032.42,15,'calm',264,0,60),
 (7265,7,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.983473,0,-0.181056,4535.93,2,5113.65,15,'calm',264,0,60),
 (7266,7,0,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',0,1,0,0,4535.24,2,5069.78,15,'conversation',264,0,60),
 (7267,7,0,'object/mobile/eg6_power_droid.iff',0,-0.162065,0,0.98678,4533.97,2,5111.71,15,'calm',264,0,60),
 (7268,7,0,'object/mobile/r4.iff',0,0.966435,0,-0.256912,4531.97,2,5111.71,15,'calm',264,0,60),
 (7269,7,0,'object/mobile/dressed_commoner_tatooine_bith_male_02.iff',0,0,0,1,4477.16,2,5155.72,15,'conversation',264,0,60),
 (7270,7,0,'object/mobile/dressed_igbi_freemo.iff',0,0.95474,0,0.297443,4541.09,2,5069.14,15,'calm',264,0,60),
 (7271,7,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,0.721885,0,-0.692013,4538.23,2,5066.62,15,'calm',264,0,60),
 (7272,7,0,'object/mobile/dressed_commoner_naboo_human_male_03.iff',0,0,0,1,4548.71,2,5097.29,15,'conversation',264,0,60),
 (7273,7,0,'object/mobile/dressed_mercenary_weak_rod_m.iff',0,1,0,0,4548.71,2,5098.29,15,'conversation',264,0,60),
 (7274,7,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.974124,0,0.226014,4552.86,2,5081.17,15,'calm',264,0,60),
 (7275,7,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.858757,0,0.512384,4554.85,2,5091.06,15,'calm',264,0,60),
 (7276,7,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_01.iff',0,0.421241,0,0.906949,4554.59,2,5053.75,15,'calm',264,0,60),
 (7277,7,0,'object/mobile/dressed_fed_dub_investigator_twk_female_01.iff',0,-0.455312,0,0.890332,4524.64,2,5049.69,15,'calm',264,0,60),
 (7278,7,0,'object/mobile/dressed_fed_dub_captain_twk_male_01.iff',0,-0.194595,0,0.980884,4525,2,5047.07,15,'calm',264,0,60),
 (7279,7,0,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,0,0,1,4535.24,2,5068.78,15,'conversation',264,0,60),
 (7280,7,4265616,'object/mobile/dressed_rebel_specforce_pathfinder_human_male_01.iff',-0.164868,-0.110771,-0.0186373,0.979898,0.964849,-5.26835,-1.5557,15,'conversation',264,0,60),
 (7281,7,4265616,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0.018624,0.97991,-0.16484,0.110712,0.657737,-4.79167,-0.213913,15,'conversation',264,0,60),
 (7282,7,4265616,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',0.0390923,0.861757,-0.0671974,0.501329,-1.676,-4.79167,-0.0543475,15,'conversation',264,0,60),
 (7283,7,4265614,'object/mobile/dressed_durgur_pyne.iff',7.65313e-09,-0.149468,1.15689e-09,0.988767,2.9496,-0.0513746,4.34809,15,'calm',264,0,60),
 (7284,7,4265477,'object/mobile/21b_surgical_droid.iff',0,0.233926,0,0.972255,-1.19,0.184067,-1.89,15,'calm',264,0,60),
 (7285,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4196.24,0,979.33,16,'neutral',128,35,180),
 (7286,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4268.44,0,1021.2,20,'neutral',128,35,180),
 (7287,7,0,'object/mobile/greater_sludge_panther.iff',0,0,0,0,4301.48,0,1030.38,25,'neutral',128,33,180),
 (7288,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4295.22,0,1004.35,16,'neutral',128,35,180),
 (7289,7,0,'object/mobile/greater_sludge_panther.iff',0,0,0,0,4315.25,0,1018.6,25,'neutral',128,33,180),
 (7290,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4194.07,0,1014.74,20,'neutral',128,35,180),
 (7291,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4206.43,0,986.653,16,'neutral',128,35,180),
 (7292,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4202.21,0,983.76,16,'neutral',128,35,180),
 (7293,7,0,'object/mobile/greater_sludge_panther.iff',0,0,0,0,4289.44,0,1036.69,25,'neutral',128,33,180),
 (7294,7,0,'object/mobile/greater_sludge_panther.iff',0,0,0,0,4216.96,0,999.267,25,'neutral',128,33,180),
 (7295,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4206.74,0,995.194,16,'neutral',128,35,180),
 (7296,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4290.37,0,991.952,16,'neutral',128,35,180),
 (7297,7,0,'object/mobile/greater_sludge_panther.iff',0,0,0,0,4219.84,0,993.825,25,'neutral',128,33,180),
 (7298,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4200.91,0,990.732,16,'neutral',128,35,180),
 (7299,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4290.11,0,995.686,16,'neutral',128,35,180),
 (7300,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4297.61,0,996.008,16,'neutral',128,35,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (7301,7,0,'object/mobile/greater_sludge_panther.iff',0,0,0,0,4220.46,0,1025.17,25,'neutral',128,33,180),
 (7302,7,0,'object/mobile/minor_sludge_panther.iff',0,0,0,0,4287.81,0,1003.91,16,'neutral',128,35,180),
 (7303,7,0,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,5942.39,0,4641.45,25,'neutral',128,35,300),
 (7304,7,0,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,5932.09,0,4647.58,25,'neutral',128,35,300),
 (7305,7,4255660,'object/mobile/dressed_aakuan_champion_zabrak_female_01.iff',0,0,0,0,180.405,-66.1312,-96.7529,30,'neutral',128,35,1200),
 (7306,7,4255659,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,111.929,-66.7113,-95.6341,14,'neutral',128,35,300),
 (7307,7,4255659,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,111.289,-66.5355,-96.9915,14,'neutral',128,35,300),
 (7308,7,4255659,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,112.132,-66.8817,-93.48,14,'neutral',128,35,300),
 (7309,7,4255659,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,153.796,-65.8254,-128.359,25,'neutral',128,35,300),
 (7310,7,4255659,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,154.924,-65.6852,-129.548,25,'neutral',128,35,300),
 (7311,7,4255659,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,151.906,-65.9339,-96.1495,29,'neutral',128,35,300),
 (7312,7,4255659,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,151.728,-65.882,-96.6491,29,'neutral',128,35,300),
 (7313,7,4255659,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,151.954,-65.925,-96.2266,29,'neutral',128,35,300),
 (7314,7,4255658,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,70.0401,-66.4717,-137.799,25,'neutral',128,35,300),
 (7315,7,4255658,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,69.8355,-66.4156,-137.959,25,'neutral',128,35,300),
 (7316,7,4255657,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,53.2301,-76.3553,-86.4061,29,'neutral',128,35,300),
 (7317,7,4255657,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,52.4329,-76.3073,-86.5664,29,'neutral',128,35,300),
 (7318,7,4255656,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,93.606,-46.5547,-119.258,29,'neutral',128,35,300),
 (7319,7,4255656,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,92.3839,-46.3812,-119.84,29,'neutral',128,35,300),
 (7320,7,4255655,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,92.2115,-76.0989,-64.9607,14,'neutral',128,35,300),
 (7321,7,4255655,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,92.7729,-75.9467,-65.5375,14,'neutral',128,35,300),
 (7322,7,4255655,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,92.8713,-75.9811,-64.9079,14,'neutral',128,35,300),
 (7323,7,4255655,'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff',0,0,0,0,92.5656,-76.2007,-80.7902,11,'neutral',128,35,300),
 (7324,7,4255655,'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff',0,0,0,0,93.9197,-75.8242,-82.1994,11,'neutral',128,35,300),
 (7325,7,4255655,'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff',0,0,0,0,93.3021,-76.2337,-79.2805,11,'neutral',128,35,300),
 (7326,7,4255655,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,84.0627,-74.5044,-53.071,25,'neutral',128,35,300),
 (7327,7,4255655,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,84.8313,-74.7873,-54.227,25,'neutral',128,35,300),
 (7328,7,4255654,'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff',0,0,0,0,77.7467,-67.34,-32.9848,11,'neutral',128,35,300),
 (7329,7,4255654,'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff',0,0,0,0,76.9277,-67.4332,-32.4632,11,'neutral',128,35,300),
 (7330,7,4255654,'object/mobile/dressed_aakuan_follower_trandoshan_male_01.iff',0,0,0,0,75.9986,-67.5723,-32.946,11,'neutral',128,35,300),
 (7331,7,4255654,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,82.4957,-63.418,-20.9472,14,'neutral',128,35,300),
 (7332,7,4255654,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,82.6704,-63.4034,-20.8919,14,'neutral',128,35,300),
 (7333,7,4255654,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,81.6898,-63.3796,-19.5748,14,'neutral',128,35,300),
 (7334,7,4255654,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,70.0252,-58.1307,-8.51188,25,'neutral',128,35,300),
 (7335,7,4255654,'object/mobile/dressed_aakuan_guardian_trandoshan_female_01.iff',0,0,0,0,68.6963,-57.2046,-10.4129,25,'neutral',128,35,300),
 (7336,7,4255653,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,43.2334,-47.0781,-7.6517,13,'neutral',128,35,300),
 (7337,7,4255653,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,42.5468,-46.6457,-6.43418,13,'neutral',128,35,300),
 (7338,7,4255653,'object/mobile/dressed_aakuan_keeper_zabrak_male_01.iff',0,0,0,0,42.6407,-46.8785,-8.81893,13,'neutral',128,35,300),
 (7339,7,4255653,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,55.8997,-68.4701,-38.3251,14,'neutral',128,35,300),
 (7340,7,4255653,'object/mobile/dressed_aakuan_steward_human_male_01.iff',0,0,0,0,57.1127,-68.4151,-37.1773,14,'neutral',128,35,300),
 (7341,7,4255653,'object/mobile/dressed_aakuan_defender_human_female_01.iff',0,0,0,0,23.6742,-38.8706,-36.6167,23,'neutral',128,35,300),
 (7342,7,4255653,'object/mobile/dressed_aakuan_defender_human_female_01.iff',0,0,0,0,24.7742,-38.8025,-36.6964,23,'neutral',128,35,300),
 (7343,8,1177503,'object/mobile/rancor_hue.iff',0.000364623,0.773185,-0.000444544,0.634181,3.93472,-10.9823,45.0053,15,'neutral',264,0,60),
 (7344,8,1177502,'object/mobile/malakili.iff',4.77341e-07,0.202397,-9.86539e-08,0.979304,19,-11,42,15,'neutral',264,0,60),
 (7345,8,1177501,'object/mobile/bomarr_monk_spider_droid.iff',0,0.971404,0,-0.237431,-18,3,9,15,'calm',264,0,60),
 (7346,8,1177501,'object/mobile/jawa_male.iff',0,0.999606,0,0.028063,-8,3,20,15,'neutral',264,0,60),
 (7347,8,1177501,'object/mobile/jawa_male.iff',0,0.851034,0,0.525111,-18,3,13,15,'neutral',264,0,60),
 (7348,8,1177500,'object/mobile/bomarr_monk_spider_droid.iff',0,0.533325,0,0.845879,20.44,11.1055,2.09,15,'calm',264,0,60),
 (7349,8,1177499,'object/mobile/barada.iff',2.69163e-07,0.990471,-2.54889e-07,0.137723,30.57,0.199999,-1.05,15,'neutral',264,0,60),
 (7350,8,1177499,'object/mobile/eg6_power_droid.iff',0,0.196474,0,0.980509,39.5982,0.199998,-1.70224,15,'calm',264,0,60),
 (7351,8,1177498,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',0,0.360185,0,0.932881,-15.43,0.0999993,87.68,15,'neutral',264,0,60),
 (7352,8,1177497,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,0.977606,0,-0.210444,-10.88,0.0999999,87.49,15,'neutral',264,0,60),
 (7353,8,1177496,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.824655,0,0.565637,-13.62,0.0999999,77.52,15,'neutral',264,0,60),
 (7354,8,1177495,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,-0.242152,0,0.970238,-10.07,0.0999991,77.54,15,'neutral',264,0,60),
 (7355,8,1177494,'object/mobile/dressed_commoner_tatooine_aqualish_female_08.iff',0,0.906212,0,-0.422823,-38.7,0.0999993,88.24,15,'neutral',264,0,60),
 (7356,8,1177493,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.913457,0,-0.406936,-34.48,0.0999999,88.22,15,'neutral',264,0,60),
 (7357,8,1177492,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,0.855779,0,-0.517342,-37.43,0.0999997,76.85,15,'neutral',264,0,60),
 (7358,8,1177491,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,-0.262703,0,0.964877,-33.83,0.0999997,76.58,15,'neutral',264,0,60),
 (7359,8,1177490,'object/mobile/gamorrean.iff',0.00172233,-0.65816,0.00196924,0.75284,-17.4914,6.6,84.7047,15,'calm',264,0,60),
 (7360,8,1177489,'object/mobile/bomarr_monk_spider_droid.iff',0,0.989487,0,-0.144622,-18,5.8,73,15,'calm',264,0,60),
 (7361,8,1177489,'object/mobile/gamorrean.iff',0.000304884,0.308511,9.85578e-05,0.951209,-22.0577,6.69338,73.78,15,'calm',264,0,60),
 (7362,8,1177487,'object/mobile/space_rebel_tier3_beissa.iff',0,-0.535416,0,0.844588,8.11982,2,34.2394,15,'neutral',264,0,60),
 (7363,8,1177487,'object/mobile/oola.iff',0,-0.263593,0,0.964634,-10,2,43,15,'themepark_oola',264,0,60),
 (7364,8,1177487,'object/mobile/max_rebo.iff',-8.4079e-09,0.0708798,5.97453e-10,0.997485,-11,2,36,15,'themepark_music_3',264,0,60),
 (7365,8,1177487,'object/mobile/sy_snootles.iff',-9.76514e-09,-0.0824851,-8.08233e-10,0.996592,-9,2,37,15,'neutral',264,0,60),
 (7366,8,1177487,'object/mobile/droopy_mccool.iff',-8.64745e-09,0.229739,2.04125e-09,0.973252,-13,2,37,15,'neutral',264,0,60),
 (7367,8,1177487,'object/mobile/jabba_the_hutt.iff',0.0346603,0.801135,-0.0466167,0.595658,-16.65,2.81087,45,15,'neutral',264,0,60),
 (7368,8,1177487,'object/mobile/3po_protocol_droid_red.iff',-5.12053e-09,0.86501,8.82763e-09,0.501755,-15.07,2,45.9,15,'neutral',264,0,60),
 (7369,8,1177487,'object/mobile/boba_fett.iff',0.0315697,-0.31605,0.0105232,0.948159,-1,3,31,15,'neutral',264,0,60),
 (7370,8,1177487,'object/mobile/salacious_crumb.iff',0.0467981,0.679426,-0.0434989,0.730957,-16.29,2.81087,42.54,15,'neutral',264,0,60),
 (7371,8,1177487,'object/mobile/bib_fortuna.iff',0,0.999498,0,0.0316875,-12.09,2,49.41,15,'neutral',264,0,60),
 (7372,8,1177487,'object/mobile/gamorrean.iff',0,0.999523,0,-0.030873,-25,3.6,34,15,'calm',264,0,60),
 (7373,8,1177487,'object/mobile/gamorrean.iff',0,0.993995,0,-0.109357,-3.66057,2,38.0037,15,'calm',264,0,60),
 (7374,8,1177487,'object/mobile/jawa_male.iff',0,0.535992,0,0.844223,-1,3,25,15,'neutral',264,0,60),
 (7375,8,1177487,'object/mobile/jawa_male.iff',6.89149e-08,0.144689,-1.00773e-08,0.989477,8.73,2,23.58,15,'neutral',264,0,60),
 (7376,8,1177487,'object/mobile/jawa_male.iff',-1.00701e-08,0.989492,-6.89162e-08,-0.144586,9.22,2,25.22,15,'neutral',264,0,60),
 (7377,8,1177487,'object/mobile/dressed_goon_twk_male_01.iff',2.21376e-08,0.968837,-8.65881e-08,0.247699,-1.64,3,26.17,15,'neutral',264,0,60),
 (7378,8,1177487,'object/mobile/dressed_ruffian_zabrak_female_01.iff',1.55968e-08,0.985287,-8.99151e-08,0.170909,-8.44,3,21.23,15,'neutral',264,0,60),
 (7379,8,1177487,'object/mobile/dressed_hooligan_rodian_male_01.iff',0,0.000939573,0,1,5,2,44,15,'neutral',264,0,60),
 (7380,8,1177487,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',3.78036e-11,1,3.9788e-08,-0.000950124,5.00277,2,45.498,15,'neutral',264,0,60),
 (7381,8,1177487,'object/mobile/dressed_criminal_pirate_human_male_01.iff',9.71901e-08,-0.471831,5.20107e-08,0.881689,-9,3,25,15,'conversation',264,0,60),
 (7382,8,1177487,'object/mobile/dressed_goon_twk_female_01.iff',0,1,0,2.2245e-05,1.08,2,36.7,15,'neutral',264,0,60),
 (7383,8,1177487,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0,0.994306,0,0.106561,-9,2,51,15,'neutral',264,0,60),
 (7384,8,1177487,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,-0.106549,0,0.994307,-8.69,2,49.57,15,'neutral',264,0,60),
 (7385,8,1177487,'object/mobile/dressed_criminal_smuggler_human_male_01.iff',0,0.0761387,0,0.997097,-5.88,2,43.07,15,'neutral',264,0,60),
 (7386,8,1177487,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',0,0.997083,0,-0.0763267,-5.72,2,44.11,15,'neutral',264,0,60),
 (7387,8,1177487,'object/mobile/dressed_criminal_thug_aqualish_female_02.iff',0,0.738988,0,-0.673719,-14.32,2,52.08,15,'neutral',264,0,60),
 (7388,8,1177487,'object/mobile/dressed_mugger.iff',0,0.673675,0,0.739028,-15.83,2,51.94,15,'neutral',264,0,60),
 (7389,8,1177487,'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff',5.19932e-08,0.881694,-9.71599e-08,0.471821,-9.9,3,25.6,15,'neutral',264,0,60),
 (7390,8,1177487,'object/mobile/dressed_crook_zabrak_male_01.iff',0,-7.43169e-05,0,1,1.08,2,35.07,15,'neutral',264,0,60),
 (7391,8,1177487,'object/mobile/gamorrean.iff',0,0.998018,0,0.0625657,6,2,26,15,'calm',264,0,60),
 (7392,8,1177481,'object/mobile/jawa_male.iff',0,0.390868,0,0.920447,-38,3,53,15,'neutral',264,0,60),
 (7393,8,1177481,'object/mobile/gamorrean.iff',0,0.741372,0,-0.671074,-34.5003,3,53.421,15,'neutral',264,0,60),
 (7394,8,1177480,'object/mobile/gamorrean.iff',-1.59431e-08,0.699268,1.63209e-08,0.714816,-3.72202,0.199998,82.5809,15,'calm',264,0,60),
 (7395,8,1177479,'object/mobile/ev_9d9.iff',0,-0.404379,0,0.914591,24.47,0.2,87.86,15,'neutral',264,0,60),
 (7396,8,1177479,'object/mobile/r2.iff',0,-0.684253,0,0.729244,19.73,0.2,90.51,15,'calm',264,0,60),
 (7397,8,1177479,'object/mobile/ra7_bug_droid.iff',0,0.827259,0,0.561821,13.33,0.2,88.72,15,'calm',264,0,60),
 (7398,8,1177479,'object/mobile/3po_protocol_droid_red.iff',0,0.949958,0,-0.312377,10.71,0.2,84.27,15,'calm',264,0,60),
 (7399,8,1177479,'object/mobile/eg6_power_droid.iff',0,0.905565,0,0.424208,15.7825,0.2,82.5843,15,'calm',264,0,60),
 (7400,8,1177479,'object/mobile/le_repair_droid.iff',0,0.908676,0,0.417501,23.67,0.2,76.43,15,'calm',264,0,60),
 (7401,8,1177477,'object/mobile/dressed_porcellus.iff',-5.04257e-08,-0.449207,-2.53536e-08,0.893428,-43,3,64,15,'neutral',264,0,60),
 (7402,8,1177476,'object/mobile/gamorrean.iff',0,0.702344,0,0.711838,-30.78,0.199997,82.64,15,'calm',264,0,60),
 (7403,8,1177474,'object/mobile/gamorrean.iff',0.00364751,0.749504,0.0470283,0.660261,-28.049,3,60.9459,15,'calm',264,0,60),
 (7404,8,1177474,'object/mobile/jawa_male.iff',0,0.980262,0,0.197704,-23,3,59,15,'neutral',264,0,60),
 (7405,8,1177474,'object/mobile/jawa_male.iff',0,1,0,-5.6732e-05,-23,3,61,15,'neutral',264,0,60),
 (7406,8,1177474,'object/mobile/dressed_criminal_slicer_human_male_01.iff',0,-0.677857,0,0.735194,-9.76385,3,59.7615,15,'conversation',264,0,60),
 (7407,8,1177473,'object/mobile/gamorrean.iff',0,-0.0844331,0,0.996409,29.8974,-7.05656,52.4332,15,'calm',264,0,60),
 (7408,8,1177472,'object/mobile/jawa_male.iff',8.24469e-09,0.999965,-9.83018e-07,0.00838683,29.42,0.199999,46.58,15,'neutral',264,0,60),
 (7409,8,1177472,'object/mobile/jawa_male.iff',9.8291e-07,-0.00833705,8.19486e-09,0.999965,29.44,0.199999,45.39,15,'neutral',264,0,60),
 (7410,8,1177472,'object/mobile/bomarr_monk_spider_droid.iff',0,-0.0267192,0,0.999627,27.4073,0.199999,43.6965,15,'calm',264,0,60),
 (7411,8,1177470,'object/mobile/gamorrean.iff',-6.22638e-07,-0.229707,-1.46954e-07,0.97326,10,5.8,71,15,'calm',264,0,60),
 (7412,8,1177470,'object/mobile/dressed_ruffian_zabrak_female_01.iff',-1.22454e-07,0.973265,5.18883e-07,0.229686,9,5.8,73,15,'neutral',264,0,60),
 (7413,8,1177470,'object/mobile/bomarr_monk_spider_droid.iff',0,1,0,-1.67249e-05,4.00717,5.8,72.1349,15,'calm',264,0,60),
 (7414,8,1177469,'object/mobile/dressed_corvette_neutral_bronell.iff',1.6204e-09,0.999985,2.91971e-07,-0.00554978,-6.70663,5.8,97.8841,15,'calm',264,0,60),
 (7415,8,1177469,'object/mobile/ephant_mon.iff',1.79926e-07,-0.659523,1.57866e-07,0.751684,-6,5.85,84,15,'neutral',264,0,60),
 (7416,8,1177468,'object/mobile/gamorrean.iff',-0.000777848,0.873497,-1.12392e-05,0.48678,11.1833,1.80934,103.036,15,'calm',264,0,60),
 (7417,8,1177468,'object/mobile/gamorrean.iff',0.00154132,0.684663,0.000672166,0.728802,9.77692,5.2153,95.8079,15,'calm',264,0,60),
 (7418,8,1177467,'object/mobile/bomarr_monk_spider_droid.iff',0,0.677773,0,0.735237,4.21324,0.2,104.694,15,'calm',264,0,60),
 (7419,8,1177466,'object/mobile/reelo_baruk.iff',0,0.453944,0,0.89103,-2,0.199999,113.01,15,'neutral',264,0,60),
 (7420,8,1177466,'object/mobile/gran_male.iff',-0.00330479,0.825066,-0.00482592,-0.565006,5.97,0.299998,116.1,15,'neutral',264,0,60),
 (7421,8,1177466,'object/mobile/junk_ollobo.iff',0,0.0845307,0,0.996421,-6.35875,0.199999,134.272,15,'calm',264,0,60),
 (7422,8,1177466,'object/mobile/dressed_corvette_neutral_bruce.iff',4.30824e-07,-0.558816,2.90309e-07,0.829292,7.71724,0.2,130.294,15,'calm',264,0,60),
 (7423,8,0,'object/mobile/dressed_tatooine_jabba_henchman.iff',0,0.540971,0,0.841041,-5868.38,90,-6199.5,15,'neutral',264,0,60),
 (7424,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',0,0.508568,0,0.861022,83.9686,52,-5390.23,15,'calm',264,0,60),
 (7425,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,0.798969,0,0.601373,74.6127,52,-5382.24,15,'calm',264,0,60),
 (7426,8,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,-0.304111,0,0.952637,73.2491,52,-5329.48,15,'calm',264,0,60),
 (7427,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,-0.629341,0,0.777129,59.0963,52,-5342.29,15,'calm',264,0,60),
 (7428,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.999996,0,0.00292428,39.6087,52,-5345.06,15,'calm',264,0,60),
 (7429,8,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,-0.0136263,0,0.999907,70.2339,52,-5316.54,15,'calm',264,0,60),
 (7430,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,0.950131,0,0.311852,150.383,52,-5327.33,15,'calm',264,0,60),
 (7431,8,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.700697,0,0.713459,123.408,52,-5377.31,15,'calm',264,0,60),
 (7432,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.705101,0,0.709107,114.69,52,-5404.19,15,'calm',264,0,60),
 (7433,8,0,'object/mobile/dressed_commoner_naboo_human_male_03.iff',0,0.552074,0,0.833795,134.869,52,-5333.14,15,'calm',264,0,60),
 (7434,8,0,'object/mobile/dressed_rebel_crewman_human_female_01.iff',0,0.31071,0,0.950505,47.5078,52,-5354.92,15,'neutral',264,0,60),
 (7435,8,0,'object/mobile/dressed_rebel_crewman_human_male_03.iff',0,0.999391,0,-0.0348995,55.2,52.6,-5332.5,15,'neutral',264,0,60),
 (7436,8,0,'object/mobile/dressed_rebel_crewman_human_male_04.iff',0,0.960452,0,-0.278447,65.685,83.5151,-5249.49,15,'neutral',264,0,60),
 (7437,8,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0.325568,0,0.945519,123.6,52,-5368,15,'neutral',264,0,60),
 (7438,8,0,'object/mobile/dressed_rebel_trooper_human_female_01.iff',0,-0.398749,0,0.91706,89.9,52,-5393.8,15,'neutral',264,0,60),
 (7439,8,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',0,0.707107,0,-0.707107,31,51.9725,-5337,15,'neutral',264,0,60),
 (7440,8,0,'object/mobile/dressed_rebel_trooper_human_male_01.iff',-0.139492,-0.125186,-0.18181,0.965306,76.5,52,-5361.1,15,'neutral',264,0,60),
 (7441,8,0,'object/mobile/r4.iff',0,0.999908,0,0.0135992,75.9409,52,-5355.36,15,'calm',264,0,60),
 (7442,8,0,'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff',0,0.904545,0,-0.426379,63.8586,52,-5382.74,15,'calm',264,0,60),
 (7443,8,0,'object/mobile/r3.iff',0,0.0197621,0,0.999805,116.569,52,-5341.57,15,'calm',264,0,60),
 (7444,8,0,'object/mobile/dressed_rebel_specforce_captain_moncal_female_01.iff',0,0.960368,0,0.278735,55.4961,52,-5369.79,15,'calm',264,0,60),
 (7445,8,0,'object/mobile/dressed_rebel_trooper_sullustan_male_01.iff',0.09437,0.308914,-0.0308197,0.945895,151,52,-5316,15,'neutral',264,0,60),
 (7446,8,0,'object/mobile/dressed_rebel_trooper_twk_male_01.iff',0.0553025,-0.244176,0.00113377,0.968152,159,52,-5320,15,'neutral',264,0,60),
 (7447,8,0,'object/mobile/dressed_rebel_specforce_captain_rodian_female_01.iff',-0.00596517,0.977858,-0.0253232,-0.207644,31.4,51.1006,-5350.3,15,'neutral',264,0,60),
 (7448,8,0,'object/mobile/dressed_rebel_crewman_human_female_02.iff',0,-0.649448,0,0.760406,125.5,52,-5416,15,'neutral',264,0,60),
 (7449,8,0,'object/mobile/scyk.iff',0,0,0,0,3.34558,0,-5245.25,12,'neutral',128,35,180),
 (7450,8,0,'object/mobile/cu_pa.iff',0,0,0,0,81.1976,0,-5200.6,11,'neutral',128,33,180),
 (7451,8,0,'object/mobile/cu_pa.iff',0,0,0,0,75.5625,0,-5217.41,11,'neutral',128,33,180),
 (7452,8,0,'object/mobile/scyk.iff',0,0,0,0,-4.51558,0,-5226.49,12,'neutral',128,35,180),
 (7453,8,0,'object/mobile/scyk.iff',0,0,0,0,-26.4483,0,-5227.67,12,'neutral',128,35,180),
 (7454,8,0,'object/mobile/dressed_artisan_trainer_03.iff',0,0,0,1,-108.399,65,-5298.05,15,'conversation',264,0,60),
 (7455,8,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,1,0,0,-108.399,65,-5297.05,15,'conversation',264,0,60),
 (7456,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0,0.815174,0,-0.579216,-144.579,65,-5301.04,15,'calm',264,0,60),
 (7457,8,0,'object/mobile/dressed_commoner_naboo_human_male_06.iff',0,0,0,1,-143.907,65,-5335.05,15,'conversation',264,0,60),
 (7458,8,0,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,1,0,0,-143.907,65,-5334.05,15,'conversation',264,0,60),
 (7459,8,0,'object/mobile/dressed_bountyhunter_trainer_03.iff',0,0,0,1,-162.748,65,-5312.84,15,'conversation',264,0,60),
 (7460,8,0,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,1,0,0,-162.748,65,-5311.84,15,'conversation',264,0,60),
 (7461,8,0,'object/mobile/r3.iff',0,0.74457,0,0.667544,-180.482,65,-5314.98,15,'calm',264,0,60),
 (7462,8,0,'object/mobile/cu_pa.iff',0,0,0,0,14.564,0,-5543.66,11,'neutral',128,33,180),
 (7463,8,0,'object/mobile/cu_pa.iff',0,0,0,0,26.8762,0,-5564.46,11,'neutral',128,33,180),
 (7464,8,0,'object/mobile/zucca_boar.iff',0,0,0,0,-35.6792,0,-5439.35,10,'neutral',128,33,180),
 (7465,8,0,'object/mobile/scyk.iff',0,0,0,0,16.8025,0,-5249.62,12,'neutral',128,35,180),
 (7466,8,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0.66262,0,0.748956,135.1,52,-5374.9,15,'neutral',264,0,60),
 (7467,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.966186,0,-0.257848,145.911,52,-5336.3,15,'calm',264,0,60),
 (7468,8,1213345,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0.0122521,0.998317,-0.0483701,0.0295515,-9.58703,0.408271,0.574718,15,'calm',264,0,60),
 (7469,8,1213345,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',1.32205e-06,-0.341111,4.79724e-07,0.940023,9.51111,0.408271,-0.736723,15,'scared',264,0,60),
 (7470,8,0,'object/mobile/bantha.iff',0,0,0,0,399.756,0,-5387.44,15,'neutral',128,1,180),
 (7471,8,0,'object/mobile/cu_pa.iff',0,0,0,0,163.943,0,-5473.22,11,'neutral',128,33,180),
 (7472,8,0,'object/mobile/cu_pa.iff',0,0,0,0,210.837,0,-5464.01,11,'neutral',128,33,180),
 (7473,8,0,'object/mobile/cu_pa.iff',0,0,0,0,188.14,0,-5485.52,11,'neutral',128,33,180),
 (7474,8,0,'object/mobile/cu_pa.iff',0,0,0,0,186.305,0,-5467.36,11,'neutral',128,33,180),
 (7475,8,0,'object/mobile/cu_pa.iff',0,0,0,0,166.736,0,-5483.28,11,'neutral',128,33,180),
 (7476,8,0,'object/mobile/zucca_boar.iff',0,0,0,0,176.37,0,-5228.44,10,'neutral',128,33,180),
 (7477,8,0,'object/mobile/zucca_boar.iff',0,0,0,0,171.993,0,-5229.99,10,'neutral',128,33,180),
 (7478,8,0,'object/mobile/zucca_boar.iff',0,0,0,0,177.37,0,-5227.44,10,'neutral',128,33,180),
 (7479,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,-45.7581,0,-5504.03,10,'neutral',128,1,180),
 (7480,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,-61.3009,0,-5500.32,10,'neutral',128,1,180),
 (7481,8,0,'object/mobile/rill.iff',0,0,0,0,-48.0791,0,-5495.22,6,'neutral',128,1,180),
 (7482,8,0,'object/mobile/rill.iff',0,0,0,0,-52.9734,0,-5504.39,6,'neutral',128,1,180),
 (7483,8,0,'object/mobile/worrt.iff',0,0,0,0,-56.0708,0,-5514.73,6,'neutral',128,1,180),
 (7484,8,0,'object/mobile/worrt.iff',0,0,0,0,-30.9649,0,-5499.53,6,'neutral',128,1,180),
 (7485,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1338.05,0,-3955.09,34,'neutral',128,35,180),
 (7486,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1344.38,0,-3946,34,'neutral',128,35,180),
 (7487,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1349.24,0,-3952,34,'neutral',128,35,180),
 (7488,8,0,'object/mobile/rock_mite.iff',0,0,0,0,-878.477,0,-3563.97,8,'neutral',128,33,180),
 (7489,8,0,'object/mobile/rock_mite.iff',0,0,0,0,-883.838,0,-3539.59,8,'neutral',128,33,180),
 (7490,8,0,'object/mobile/rock_mite.iff',0,0,0,0,-878.372,0,-3541.01,8,'neutral',128,33,180),
 (7491,8,0,'object/mobile/rock_mite.iff',0,0,0,0,-1554.46,0,-3584.26,8,'neutral',128,33,180),
 (7492,8,0,'object/mobile/rock_mite.iff',0,0,0,0,-1546.58,0,-3579.77,8,'neutral',128,33,180),
 (7493,8,0,'object/mobile/rock_mite.iff',0,0,0,0,-1548.37,0,-3566.38,8,'neutral',128,33,180),
 (7494,8,0,'object/mobile/rill.iff',0,0,0,0,-1247.61,0,3832.9,6,'neutral',128,1,180),
 (7495,8,0,'object/mobile/rill.iff',0,0,0,0,-1235,0,3823.24,6,'neutral',128,1,180),
 (7496,8,0,'object/mobile/rill.iff',0,0,0,0,-1249.52,0,3828.98,6,'neutral',128,1,180),
 (7497,8,0,'object/mobile/rill.iff',0,0,0,0,-1238.72,0,3835.26,6,'neutral',128,1,180),
 (7498,8,0,'object/mobile/rill.iff',0,0,0,0,-1032.42,0,-3815.71,6,'neutral',128,1,180),
 (7499,8,0,'object/mobile/rill.iff',0,0,0,0,-1030.97,0,-3801.92,6,'neutral',128,1,180),
 (7500,8,0,'object/mobile/rill.iff',0,0,0,0,-1032.92,0,-3808.46,6,'neutral',128,1,180),
 (7501,8,0,'object/mobile/rill.iff',0,0,0,0,-1003.24,0,-3813.37,6,'neutral',128,1,180),
 (7502,8,0,'object/mobile/rill.iff',0,0,0,0,-1023.21,0,-3812.59,6,'neutral',128,1,180),
 (7503,8,0,'object/mobile/rill.iff',0,0,0,0,-1255.23,0,-3417.95,6,'neutral',128,1,180),
 (7504,8,0,'object/mobile/rill.iff',0,0,0,0,-1269.27,0,-3418.13,6,'neutral',128,1,180),
 (7505,8,0,'object/mobile/rill.iff',0,0,0,0,-1263.63,0,-3398.62,6,'neutral',128,1,180),
 (7506,8,0,'object/mobile/rill.iff',0,0,0,0,-1239.57,0,-3425.17,6,'neutral',128,1,180),
 (7507,8,0,'object/mobile/rill.iff',0,0,0,0,-1421.81,0,-3452.62,6,'neutral',128,1,180),
 (7508,8,0,'object/mobile/rill.iff',0,0,0,0,-1403.52,0,-3447.42,6,'neutral',128,1,180),
 (7509,8,0,'object/mobile/rill.iff',0,0,0,0,-1415.75,0,-3448.13,6,'neutral',128,1,180),
 (7510,8,0,'object/mobile/rill.iff',0,0,0,0,-1416.65,0,-3449.01,6,'neutral',128,1,180),
 (7511,8,0,'object/mobile/rill.iff',0,0,0,0,-1406.11,0,-3455.53,6,'neutral',128,1,180),
 (7512,8,0,'object/mobile/rill.iff',0,0,0,0,-1523,0,-3533.1,6,'neutral',128,1,180),
 (7513,8,0,'object/mobile/rill.iff',0,0,0,0,-1520.03,0,-3531,6,'neutral',128,1,180),
 (7514,8,0,'object/mobile/rill.iff',0,0,0,0,-1509.93,0,-3542.73,6,'neutral',128,1,180),
 (7515,8,0,'object/mobile/rill.iff',0,0,0,0,-1520.56,0,-3540.98,6,'neutral',128,1,180),
 (7516,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1112.99,0,-3751.77,5,'neutral',128,1,180),
 (7517,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1104.14,0,-3746.28,5,'neutral',128,1,180),
 (7518,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1093.08,0,-3759.54,5,'neutral',128,1,180),
 (7519,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1114.46,0,-3755.97,5,'neutral',128,1,180),
 (7520,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1099.78,0,-3770.58,5,'neutral',128,1,180),
 (7521,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1465.55,0,-3445.08,5,'neutral',128,1,180),
 (7522,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1459.03,0,-3464.84,5,'neutral',128,1,180),
 (7523,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1445.46,0,-3455.31,5,'neutral',128,1,180),
 (7524,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,-1459.54,0,-3453.59,5,'neutral',128,1,180),
 (7525,8,0,'object/mobile/worrt.iff',0,0,0,0,-1158.22,0,-3724.73,6,'neutral',128,1,180),
 (7526,8,0,'object/mobile/worrt.iff',0,0,0,0,-1170.58,0,-3730.77,6,'neutral',128,1,180),
 (7527,8,0,'object/mobile/worrt.iff',0,0,0,0,-1175.57,0,-3719.64,6,'neutral',128,1,180),
 (7528,8,0,'object/mobile/worrt.iff',0,0,0,0,-1165.77,0,-3723.6,6,'neutral',128,1,180),
 (7529,8,0,'object/mobile/worrt.iff',0,0,0,0,-1532,0,-3672.07,6,'neutral',128,1,180),
 (7530,8,0,'object/mobile/worrt.iff',0,0,0,0,-1535.46,0,-3660.09,6,'neutral',128,1,180),
 (7531,8,0,'object/mobile/worrt.iff',0,0,0,0,-1543.74,0,-3669.75,6,'neutral',128,1,180),
 (7532,8,0,'object/mobile/worrt.iff',0,0,0,0,-1543.53,0,-3666.5,6,'neutral',128,1,180),
 (7533,8,0,'object/mobile/worrt.iff',0,0,0,0,-1539.73,0,-3676.02,6,'neutral',128,1,180),
 (7534,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,-1249.9,0,3822.56,10,'neutral',128,1,180),
 (7535,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,-1240.05,0,3823.94,10,'neutral',128,1,180),
 (7536,8,0,'object/mobile/kreetle.iff',0,0,0,0,-910.671,0,-3655.69,3,'neutral',128,3,180),
 (7537,8,0,'object/mobile/kreetle.iff',0,0,0,0,-905.783,0,-3638.7,3,'neutral',128,3,180),
 (7538,8,0,'object/mobile/kreetle.iff',0,0,0,0,-913.035,0,-3645,3,'neutral',128,3,180),
 (7539,8,0,'object/mobile/kreetle.iff',0,0,0,0,-919.368,0,-3631.24,3,'neutral',128,3,180),
 (7540,8,0,'object/mobile/kreetle.iff',0,0,0,0,-913.941,0,-3638.05,3,'neutral',128,3,180),
 (7541,8,0,'object/mobile/kreetle.iff',0,0,0,0,-1583.85,0,-3794.75,3,'neutral',128,3,180),
 (7542,8,0,'object/mobile/kreetle.iff',0,0,0,0,-1593.82,0,-3783.65,3,'neutral',128,3,180),
 (7543,8,0,'object/mobile/kreetle.iff',0,0,0,0,-1588.34,0,-3789.58,3,'neutral',128,3,180),
 (7544,8,0,'object/mobile/kreetle.iff',0,0,0,0,-822.947,0,-3924.23,3,'neutral',128,3,180),
 (7545,8,0,'object/mobile/kreetle.iff',0,0,0,0,-816.359,0,-3932.93,3,'neutral',128,3,180),
 (7546,8,0,'object/mobile/kreetle.iff',0,0,0,0,-815.726,0,-3917.09,3,'neutral',128,3,180),
 (7547,8,0,'object/mobile/kreetle.iff',0,0,0,0,-825.574,0,-3916.97,3,'neutral',128,3,180),
 (7548,8,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,-0.655452,0,0.755237,-1252.5,12,-3617.35,15,'calm',264,0,60),
 (7549,8,0,'object/mobile/dressed_imperial_officer_m_3.iff',0,0.991445,0,0.130526,-1278.5,12.5279,-3643.1,15,'neutral',264,0,60),
 (7550,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.713357,0,-0.700801,-1368.48,12,-3725.42,15,'npc_imperial',264,0,60),
 (7551,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.00886521,0,0.999961,-1368.37,12,-3724.17,15,'npc_imperial',264,0,60),
 (7552,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.864872,0,0.501992,-1378.4,12,-3712.53,15,'npc_imperial',264,0,60),
 (7553,8,0,'object/mobile/dressed_bestine_rumor12.iff',0,-0.489959,0,0.871746,-1291.36,12,-3634.94,15,'neutral',264,0,60),
 (7554,8,0,'object/mobile/dressed_victor_questp_hospital.iff',0,0.389406,0,0.921066,-1294.3,12,-3500.88,15,'neutral',264,0,60),
 (7555,8,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0.62202,0,0.783002,-1358.9,12,-3504.1,15,'calm',264,0,60),
 (7556,8,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.986493,0,-0.163801,-1464.81,12,-3561.05,15,'calm',264,0,60),
 (7557,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.879349,0,-0.476177,-1429,12,-3628.03,15,'calm',264,0,60),
 (7558,8,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.299125,0,0.954214,-1404.76,12,-3636.5,15,'calm',264,0,60),
 (7559,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,0.998514,0,-0.0544972,-1320.46,12,-3633.41,15,'calm',264,0,60),
 (7560,8,0,'object/mobile/dressed_corvette_imperial_sabol.iff',0,-0.115092,0,0.993355,-1291.67,12,-3539,15,'npc_imperial',264,0,60),
 (7561,8,0,'object/mobile/space_greeter_bestine_bookie.iff',0,-0.66726,0,0.744825,-1288.15,12,-3588.42,15,'neutral',264,0,60),
 (7562,8,0,'object/mobile/dressed_imperial_lieutenant_m.iff',0,0.99594,0,0.0900162,-1287.3,12,-3587.16,15,'neutral',264,0,60),
 (7563,8,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.91706,0,0.398749,-1292.8,12,-3585.5,15,'neutral',264,0,60),
 (7564,8,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0.971981,0,-0.23506,-1257.34,12,-3539.31,15,'calm',264,0,60),
 (7565,8,0,'object/mobile/dressed_noble_twilek_male_01.iff',0,-0.648132,0,0.761528,-1250.18,12,-3545.35,15,'calm',264,0,60),
 (7566,8,0,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,0.864747,0,0.502207,-1268.02,12,-3531.37,15,'calm',264,0,60),
 (7567,8,0,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',0,0.0516722,0,0.998664,-1271.82,12,-3601.08,15,'calm',264,0,60),
 (7568,8,0,'object/mobile/dressed_imperial_colonel_m.iff',0,-0.63138,0,0.775473,-1299.74,12,-3507.22,15,'npc_imperial',264,0,60),
 (7569,8,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,-0.164537,0,0.986371,-1283.53,12,-3559.37,15,'calm',264,0,60),
 (7570,8,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,-0.0696865,0,0.997569,-1279.47,12,-3584.64,15,'calm',264,0,60),
 (7571,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,0.845948,0,-0.533265,-1291.57,12,-3618.78,15,'calm',264,0,60),
 (7572,8,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.232619,0,0.972568,-1311.62,12,-3674.36,15,'calm',264,0,60),
 (7573,8,0,'object/mobile/dressed_imperial_captain_m.iff',0,0.943918,0,-0.330181,-1307.46,12,-3662.44,15,'npc_imperial',264,0,60),
 (7574,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.00555766,0.357429,-0.0369811,0.933192,-1455.96,12,-3650.25,15,'neutral',264,0,60),
 (7575,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.00684323,0.383002,-0.0374809,0.922961,-1454.87,12,-3651.05,15,'neutral',264,0,60),
 (7576,8,0,'object/mobile/dark_trooper.iff',-0.00793018,0.357306,-0.0336745,0.933347,-1453,12,-3646.95,15,'neutral',264,0,60),
 (7577,8,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,-0.492416,0,0.87036,-1243.9,12,-3550.55,15,'neutral',264,0,60),
 (7578,8,1028647,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,0.287585,0,0.957755,-11.1901,-0.894992,1.50145,15,'neutral',264,0,60),
 (7579,8,1028646,'object/mobile/dressed_victor_questn_cantina.iff',-4.48012e-09,0.134897,2.62352e-09,0.99086,32.2473,0.105,-7.74246,15,'neutral',264,0,60),
 (7580,8,0,'object/mobile/dark_trooper.iff',0,0.943396,0,0.33167,-1428.52,12,-3730.88,15,'npc_imperial',264,0,60),
 (7581,8,0,'object/mobile/dark_trooper.iff',0,0,0,0,-1430.36,0,-3728.58,35,'neutral',128,0,180),
 (7582,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.943408,0,0.331635,-1429.92,12,-3731.49,15,'npc_imperial',264,0,60),
 (7583,8,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.940006,0,0.341158,-1402.49,9.99327,-3756.82,15,'calm',264,0,60),
 (7584,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,0.268858,0,0.96318,-1347.58,12,-3695.99,15,'calm',264,0,60),
 (7585,8,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.89613,0,0.443792,-1231.81,12,-3605.85,15,'neutral',264,0,60),
 (7586,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,0.780617,0,-0.625009,-1226.87,12,-3628.59,15,'calm',264,0,60),
 (7587,8,0,'object/mobile/dressed_commoner_fat_human_female_02.iff',0,0.347901,0,0.937531,-1213.04,12,-3629.94,15,'calm',264,0,60),
 (7588,8,0,'object/mobile/dressed_bestine_rumor03.iff',0,0.229568,0,0.973293,-1211.37,12,-3637.48,15,'neutral',264,0,60),
 (7589,8,0,'object/mobile/dressed_noble_old_human_male_01.iff',0,0.880944,0,-0.473221,-1203.12,12,-3612.74,15,'calm',264,0,60),
 (7590,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,0.245718,0,0.969341,-1200.16,12,-3631.89,15,'calm',264,0,60),
 (7591,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0.35232,0,0.93588,-1216.2,12,-3549.61,15,'calm',264,0,60),
 (7592,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.905543,0,0.424254,-1194.82,12,-3633.75,15,'neutral',264,0,60),
 (7593,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.160907,0.750594,-0.120915,-0.629362,-1287.05,12,-3488.57,15,'neutral',264,0,60),
 (7594,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.120162,0.952437,-0.277381,-0.0385208,-1280.46,12,-3495.2,15,'neutral',264,0,60),
 (7595,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.349559,-0.279726,-0.0480807,0.892889,-1283.8,12,-3480.4,15,'neutral',264,0,60),
 (7596,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0,0,1,-1275.6,12,-3479.9,15,'neutral',264,0,60),
 (7597,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.298393,0.80034,-0.171525,-0.490914,-1276.75,12,-3480.43,15,'neutral',264,0,60),
 (7598,8,0,'object/mobile/dressed_bestine_rumor02.iff',0,0.643573,0,0.765385,-1205.68,12,-3539.64,15,'neutral',264,0,60),
 (7599,8,0,'object/mobile/dressed_goon_twk_male_01.iff',0,0.970517,0,0.241035,-1190.52,12,-3631.94,15,'calm',264,0,60),
 (7600,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.983473,0,-0.181056,-1174.92,12,-3635.8,15,'calm',264,0,60),
 (7601,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.987688,0,-0.156434,-1181.3,12,-3537.9,15,'neutral',264,0,60),
 (7602,8,1028553,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (7603,8,1028552,'object/mobile/dressed_commoner_tatooine_aqualish_male_02.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (7604,8,1028549,'object/mobile/dressed_imperial_officer_m_3.iff',0,0.725404,0,0.688323,9.74537,1.13306,0.300803,15,'npc_imperial',264,0,60),
 (7605,8,0,'object/mobile/dressed_criminal_thug_zabrak_female_01.iff',0.208098,-0.432206,-0.0819057,0.873604,-1161.24,12,-3661.87,15,'neutral',264,0,60),
 (7606,8,0,'object/mobile/dressed_criminal_thug_zabrak_male_01.iff',0.209165,-0.425964,-0.00161328,0.880229,-1161.25,12,-3661.86,15,'neutral',264,0,60),
 (7607,8,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,0.834055,0,0.551681,-1162.65,12,-3646.5,15,'calm',264,0,60),
 (7608,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.887011,0,-0.461749,-1169.8,12,-3692.1,15,'neutral',264,0,60),
 (7609,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.407769,0,0.913085,-1145.53,12,-3656.31,15,'calm',264,0,60),
 (7610,8,0,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0,-0.1752,0,0.984533,-1157.39,12,-3666.66,15,'calm',264,0,60),
 (7611,8,0,'object/mobile/dark_trooper.iff',0,0.887011,0,0.461749,-1130.9,12.1964,-3611.6,15,'neutral',264,0,60),
 (7612,8,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,-0.618139,0,0.786069,-1142.23,12,-3672.51,15,'calm',264,0,60),
 (7613,8,0,'object/mobile/dressed_imperial_lieutenant_m.iff',9.07887e-06,0.664265,-8.06796e-06,0.747497,-1125.07,12.1959,-3622.83,15,'npc_imperial',264,0,60),
 (7614,8,0,'object/mobile/dressed_imperial_officer_m_3.iff',0,0.158044,0,0.987432,-1131.72,12,-3660.15,15,'npc_imperial',264,0,60),
 (7615,8,0,'object/mobile/dark_trooper.iff',0,0.887011,0,0.461749,-1133.2,12.1958,-3614.6,15,'neutral',264,0,60),
 (7616,8,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.748663,0,-0.662951,-1115.14,12,-3639.18,15,'neutral',264,0,60),
 (7617,8,926483,'object/mobile/dressed_indigo_siyan.iff',-4.09318e-05,-0.163307,-6.77541e-06,0.986575,24.6402,3.22324,-30.7135,15,'neutral',264,0,60),
 (7618,8,926483,'object/mobile/dressed_sean_trenwell.iff',0,-0.559597,0,0.828765,19.4653,3.22324,-35.9776,15,'neutral',264,0,60),
 (7619,8,926480,'object/mobile/space_imperial_tier2_tatooine_oberhaur.iff',-7.5321e-10,0.999417,-2.20507e-08,-0.0341382,-21.8614,3.22324,26.9177,15,'npc_imperial',264,0,60),
 (7620,8,926480,'object/mobile/dressed_victor_visalis.iff',-9.80215e-06,0.940444,2.7117e-05,0.339948,-26.4873,3.22324,20.2943,15,'neutral',264,0,60),
 (7621,8,926480,'object/mobile/dressed_keanna_likyna.iff',8.53782e-06,0.956307,2.79266e-05,-0.292365,-18.8886,3.22324,20.608,15,'neutral',264,0,60),
 (7622,8,926479,'object/mobile/dressed_tatooine_tour_aryon.iff',-6.09573e-09,0.881149,1.13596e-08,0.472838,-37.3031,1.29422,0.713583,15,'neutral',264,0,60),
 (7623,8,926476,'object/mobile/dressed_bestine_capitol04.iff',6.53197e-06,-0.466367,2.53824e-06,0.884591,2.2628,7.90008,-37.3821,15,'neutral',264,0,60),
 (7624,8,926475,'object/mobile/prefect_talmont.iff',-0.0448956,0.862202,0.0258288,-0.50391,-1.91728,3.0782,-10.0841,15,'npc_imperial',264,0,60),
 (7625,8,926475,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0.000167622,-4.76877e-06,7.99633e-10,1,-22.8506,1.2998,5.24726,15,'conversation',264,0,60),
 (7626,8,926475,'object/mobile/dressed_rebel_specforce_pathfinder_moncal_female_01.iff',-2.13833e-05,1,0.000167358,-3.33724e-05,-22.8506,1.29946,6.24726,15,'conversation',264,0,60),
 (7627,8,926475,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',-8.94026e-08,4.88734e-06,4.30855e-13,1,-2.63337,0.3,1.46637,15,'conversation',264,0,60),
 (7628,8,926475,'object/mobile/dressed_commoner_old_twilek_male_02.iff',-1.28206e-12,1,8.94034e-08,1.43045e-05,-2.63337,0.3,2.46637,15,'conversation',264,0,60),
 (7629,8,926475,'object/mobile/dressed_bestine_capitol02.iff',-0.000251493,0.555599,0.000232984,0.83145,-23.2909,1.29891,-10.3943,15,'neutral',264,0,60),
 (7630,8,926475,'object/mobile/dressed_bestine_capitol03.iff',-0.0296124,-0.294001,-0.0861176,0.951457,-3.78237,2.27819,-25.8455,15,'neutral',264,0,60),
 (7631,8,926475,'object/mobile/dressed_victor_questn_capitol.iff',0.0220813,0.747055,0.0196295,0.664105,6.1,0.3,-0.49,15,'npc_imperial',264,0,60),
 (7632,8,926475,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,0.999465,0,-0.0327061,18.4023,1.30171,4.0944,15,'calm',264,0,60),
 (7633,8,926475,'object/mobile/dressed_noble_old_twk_female_02.iff',0,-0.644532,0,0.764577,18.4023,1.30113,5.1944,15,'calm',264,0,60),
 (7634,8,926475,'object/mobile/dressed_noble_fat_human_male_01.iff',0,0.882032,0,-0.47119,19.5023,1.3008,5.1944,15,'calm',264,0,60),
 (7635,8,926475,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.920249,0,-0.391334,19.5023,1.30138,4.0944,15,'calm',264,0,60),
 (7636,8,926474,'object/mobile/dressed_bestine_capitol01.iff',0.0560053,0.99341,-0.0786509,-0.0617642,-2.83709,3.18179,19.5635,15,'neutral',264,0,60),
 (7637,8,0,'object/mobile/dressed_hutt_informant_quest.iff',0.000112782,0.976509,-2.48833e-05,-0.215476,-1120.21,12,-3639.71,15,'neutral',264,0,60),
 (7638,8,1223855,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,-0.147571,0,0.989051,-24,1.6,-4,15,'calm',264,0,60),
 (7639,8,1223851,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',3.54866e-05,0.707115,3.54875e-05,-0.707099,-14.8302,1.00067,0.571647,15,'conversation',264,0,60),
 (7640,8,1223851,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',3.5425e-05,0.707102,-3.54245e-05,0.707111,-16.8302,1.00087,0.571647,15,'conversation',264,0,60),
 (7641,8,1223851,'object/mobile/r2.iff',0,0.728157,0,0.685411,-15.8302,1.0008,1.57165,15,'calm',264,0,60),
 (7642,8,1223849,'object/mobile/space_privateer_broker_retired_pilot.iff',0,0.144492,0,0.989506,1.36242,0.999987,4.17823,15,'neutral',264,0,60),
 (7643,8,1223849,'object/mobile/dressed_commoner_naboo_human_male_08.iff',8.6431e-07,2.13395e-05,-1.83743e-11,1,-2.76865,0.999998,-1.49548,15,'conversation',264,0,60),
 (7644,8,1223849,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',1.60422e-11,1,8.04728e-07,-1.97904e-05,-2.76865,0.999996,-0.495484,15,'conversation',264,0,60),
 (7645,8,1223849,'object/mobile/dressed_noble_fat_twilek_male_01.iff',0,-4.20204e-08,0,1,7.39833,1.00001,-7.63485,15,'calm',264,0,60),
 (7646,8,1223850,'object/mobile/dressed_industrialist_trainer_01.iff',-0.0154063,0.943872,-0.043051,-0.327131,20.5073,1.56616,12.9718,15,'neutral',264,0,60),
 (7647,8,1223850,'object/mobile/space_privateer_broker_fired_worker.iff',0,0.836026,0,0.54869,15.3218,1.28309,9.00139,15,'neutral',264,0,60),
 (7648,8,1223850,'object/mobile/dressed_criminal_pirate_human_female_01.iff',-1.78823e-07,5.05473e-05,9.0405e-12,1,20.4356,1.28309,-2.59068,15,'conversation',264,0,60),
 (7649,8,1223850,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',6.48209e-12,1,1.78814e-07,-3.62397e-05,20.4356,1.28309,-1.59068,15,'conversation',264,0,60),
 (7650,8,0,'object/mobile/dressed_imperial_officer_m_4.iff',0,-0.33236,0,0.943153,-1151.48,12,-3531.13,15,'neutral',264,0,60),
 (7651,8,0,'object/mobile/dressed_commoner_old_human_female_01.iff',0,0.335222,0,0.942139,-1095.68,12,-3640.98,15,'calm',264,0,60),
 (7652,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.438161,0,0.898897,-1093.52,12,-3647.32,15,'npc_imperial',264,0,60),
 (7653,8,0,'object/mobile/dressed_stormtrooper_sniper_m.iff',0,0.350207,0,0.936672,-1093.7,14,-3660.2,15,'neutral',264,0,60),
 (7654,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0.982857,0,-0.184369,-1085.53,12,-3647.54,15,'calm',264,0,60),
 (7655,8,0,'object/mobile/dressed_sean_questp_market.iff',0,0.984962,0,-0.172771,-1104.12,12,-3705.29,15,'neutral',264,0,60),
 (7656,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.995396,0,0.0958457,-1083.6,12,-3594.2,15,'neutral',264,0,60),
 (7657,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,0.48831,0,0.87267,-1106.31,12,-3697.59,15,'calm',264,0,60),
 (7658,8,0,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,-0.418983,0,0.907994,-1076.36,12,-3657.52,15,'calm',264,0,60),
 (7659,8,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,-0.44648,0,0.894793,-1066.46,12,-3668.09,15,'calm',264,0,60),
 (7660,8,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,0.916356,0,0.400364,-1080.55,12,-3696.41,15,'calm',264,0,60),
 (7661,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.848048,0,0.529919,-1089.8,12,-3704.2,15,'neutral',264,0,60),
 (7662,8,0,'object/mobile/r4.iff',0,-0.414821,0,0.909903,-1065.54,12,-3599.21,15,'calm',264,0,60),
 (7663,8,0,'object/mobile/dressed_bestine_rumor04.iff',0,0.183463,0,0.983027,-1074.37,12,-3676.69,15,'neutral',264,0,60),
 (7664,8,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,0.934444,0,-0.356111,-1145.13,12,-3507.53,15,'calm',264,0,60),
 (7665,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.931245,0,-0.364395,-1058.39,12,-3671.09,15,'npc_imperial',264,0,60),
 (7666,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,-0.648784,0,0.760973,-1047.35,12,-3665.81,15,'calm',264,0,60),
 (7667,8,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,-0.579563,0,0.814927,-1060.23,12,-3704.2,15,'calm',264,0,60),
 (7668,8,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,-0.633324,0,0.773887,-1068.17,12,-3690.99,15,'calm',264,0,60),
 (7669,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.821684,0,-0.569943,-1049.04,12,-3660.19,15,'npc_imperial',264,0,60),
 (7670,8,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,0.966091,0,-0.258202,-1033.88,12,-3644.68,15,'calm',264,0,60),
 (7671,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,-0.46964,0,0.882858,-1039.09,12,-3723.55,15,'calm',264,0,60),
 (7672,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,-0.685475,0,0.728096,-1041.87,12,-3711.58,15,'calm',264,0,60),
 (7673,8,1028169,'object/mobile/dressed_commoner_naboo_human_male_08.iff',-1.14619e-07,-1.65024e-05,-1.89149e-12,1,0.697709,0.50772,-2.44977,15,'conversation',264,0,60),
 (7674,8,1028169,'object/mobile/dressed_hooligan_rodian_male_01.iff',3.74754e-12,1,1.1463e-07,-3.26926e-05,0.697709,0.50772,-1.14977,15,'conversation',264,0,60),
 (7675,8,0,'object/mobile/dressed_noble_human_male_03.iff',0,0.755631,0,-0.654998,-1023.25,12,-3746.26,15,'calm',264,0,60),
 (7676,8,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',0,-0.249611,0,0.968346,-1026.76,12,-3725.49,15,'calm',264,0,60),
 (7677,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.694658,0,0.71934,-1018.3,12,-3736.2,15,'neutral',264,0,60),
 (7678,8,0,'object/mobile/dressed_bestine_rumor05.iff',0,0.893809,0,-0.448447,-1013.14,12,-3695.87,15,'neutral',264,0,60),
 (7679,8,0,'object/mobile/dressed_mercenary_medic_rodian_female_01.iff',0,0.0946026,0,0.995515,-1012.31,12,-3748.5,15,'calm',264,0,60),
 (7680,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.748956,0,0.66262,-1016.9,12,-3741.2,15,'neutral',264,0,60),
 (7681,8,0,'object/mobile/dressed_bestine_rumor06.iff',0,0.999869,0,-0.0161977,-1005.68,12,-3716.81,15,'neutral',264,0,60),
 (7682,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.892535,0,0.450978,-984.262,12,-3742.5,15,'npc_imperial',264,0,60),
 (7683,8,0,'object/mobile/dressed_commoner_old_twilek_male_02.iff',0,0.348362,0,0.93736,-987.119,12,-3729.33,15,'calm',264,0,60),
 (7684,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.848048,0,0.529919,-983.8,12,-3746.5,15,'neutral',264,0,60),
 (7685,8,0,'object/mobile/dark_trooper.iff',0,0.289441,0,0.957196,-983.59,12,-3748.85,15,'npc_imperial',264,0,60),
 (7686,8,0,'object/mobile/dark_trooper.iff',0,0.985784,0,0.16802,-981.773,12,-3749.02,15,'npc_imperial',264,0,60),
 (7687,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.28763,0.891983,0.0997061,-0.334205,-981,26.6578,-3792.1,15,'neutral',264,0,60),
 (7688,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.681608,0,0.731718,-1010.28,12,-3728.59,15,'calm',264,0,60),
 (7689,8,0,'object/mobile/worrt.iff',0,0,0,0,-939.612,0,-3781.1,6,'neutral',128,1,180),
 (7690,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-927.86,0,-3784.58,5,'neutral',128,1,180),
 (7691,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-922.653,0,-3778.35,5,'neutral',128,1,180),
 (7692,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-923.222,0,-3774.92,5,'neutral',128,1,180),
 (7693,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-910.093,0,-3783.93,5,'neutral',128,1,180),
 (7694,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-913.601,0,-3784.15,5,'neutral',128,1,180),
 (7695,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-912.848,0,-3794.42,5,'neutral',128,1,180),
 (7696,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-930.225,0,-3796.81,5,'neutral',128,1,180),
 (7697,8,0,'object/mobile/worrt.iff',0,0,0,0,-928.078,0,-3685.94,6,'neutral',128,1,180),
 (7698,8,0,'object/mobile/rill.iff',0,0,0,0,-907.188,0,-3573.35,6,'neutral',128,1,180),
 (7699,8,0,'object/mobile/rill.iff',0,0,0,0,-903.859,0,-3579.55,6,'neutral',128,1,180),
 (7700,8,0,'object/mobile/dressed_herald_tatooine_02.iff',0,-0.696762,0,0.717303,-1001.04,10,-3550.02,15,'calm',264,0,60),
 (7701,8,0,'object/mobile/rill.iff',0,0,0,0,-908.624,0,-3571.89,6,'neutral',128,1,180),
 (7702,8,0,'object/mobile/rill.iff',0,0,0,0,-901.808,0,-3570.88,6,'neutral',128,1,180),
 (7703,8,0,'object/mobile/dressed_criminal_thug_bothan_female_01.iff',0,0.94783,0,0.318776,-983.47,10,-3538.5,15,'calm',264,0,60),
 (7704,8,0,'object/mobile/rock_mite_hue.iff',0,-0.320026,0,0.947409,-904.8,14.6023,-3552.38,15,'calm',264,0,60),
 (7705,8,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,0.0876512,0,0.996151,-1077.51,12,-3513.92,15,'calm',264,0,60),
 (7706,8,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.870356,0,0.492423,-1097,12,-3525.3,15,'neutral',264,0,60),
 (7707,8,1028492,'object/mobile/dressed_noble_fat_human_male_02.iff',0,0.717961,0,0.696083,-6.31624,1.00421,10.3733,15,'calm',264,0,60),
 (7708,8,1028491,'object/mobile/dressed_commoner_tatooine_bith_female_03.iff',-1.1462e-07,-7.55011e-06,-8.65393e-13,1,-1.05454,0.408271,-5.70312,15,'conversation',264,0,60),
 (7709,8,1028491,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',6.16016e-13,1,9.16969e-08,-6.71796e-06,-1.05454,0.408271,-4.40312,15,'conversation',264,0,60),
 (7710,8,0,'object/mobile/rock_mite_hue.iff',0,0.954044,0,0.299668,-895.802,10.7364,-3546.49,15,'calm',264,0,60),
 (7711,8,0,'object/mobile/worrt.iff',0,0,0,0,-1163.44,0,-3452.61,6,'neutral',128,1,180),
 (7712,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-1139.93,0,-3431.03,5,'neutral',128,1,180),
 (7713,8,0,'object/mobile/worrt.iff',0,0,0,0,-1162.71,0,-3448.05,6,'neutral',128,1,180),
 (7714,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-1139.5,0,-3424.15,5,'neutral',128,1,180),
 (7715,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-1150.79,0,-3410.77,5,'neutral',128,1,180),
 (7716,8,0,'object/mobile/lesser_desert_womp_rat.iff',0,0,0,0,-1126.58,0,-3455.38,5,'neutral',128,33,180),
 (7717,8,0,'object/mobile/lesser_desert_womp_rat.iff',0,0,0,0,-1122.58,0,-3454.95,5,'neutral',128,33,180),
 (7718,8,0,'object/mobile/lesser_desert_womp_rat.iff',0,0,0,0,-1120.52,0,-3453.58,5,'neutral',128,33,180),
 (7719,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-1148.52,0,-3402.47,5,'neutral',128,1,180),
 (7720,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-1158.11,0,-3393.44,5,'neutral',128,1,180),
 (7721,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-1152.38,0,-3390,5,'neutral',128,1,180),
 (7722,8,0,'object/mobile/lesser_desert_womp_rat.iff',0,0,0,0,-1126.55,0,-3443.92,5,'neutral',128,33,180),
 (7723,8,1212359,'object/mobile/dressed_imperial_trainer_space_01.iff',0,0,0,1,0.436469,1.75,-14.4381,15,'npc_imperial',264,0,60),
 (7724,8,1028562,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (7725,8,1028561,'object/mobile/dressed_imperial_officer_m.iff',0,0.7525,0,0.658593,14.0299,1.13306,-8.82756,15,'npc_imperial',264,0,60),
 (7726,8,1028558,'object/mobile/dressed_artisan_trainer_02.iff',0,0.0958458,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (7727,8,1028558,'object/mobile/dressed_sean_questn_university.iff',0,0.444631,0,0.895714,3.72152,1.13306,-4.85162,15,'neutral',264,0,60),
 (7728,8,0,'object/mobile/worrt.iff',0,0,0,0,-1337.28,0,-3434.8,6,'neutral',128,1,180),
 (7729,8,0,'object/mobile/worrt.iff',0,0,0,0,-1341.43,0,-3434.23,6,'neutral',128,1,180),
 (7730,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,4104.72,0,-4853.69,34,'neutral',128,35,180),
 (7731,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,4107.28,0,-4849.23,34,'neutral',128,35,180),
 (7732,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,4105.87,0,-4852.28,34,'neutral',128,35,180),
 (7733,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,4110.36,0,-4859.36,34,'neutral',128,35,180),
 (7734,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,4103.06,0,-4853.34,34,'neutral',128,35,180),
 (7735,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,4126.1,0,-4690.21,34,'neutral',128,35,180),
 (7736,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,4137.59,0,-4692.79,34,'neutral',128,35,180),
 (7737,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,4110,0,-4709,16,'neutral',128,35,300),
 (7738,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,4098.65,0,-4894.24,34,'neutral',128,35,180),
 (7739,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,4104.5,0,-4889.06,34,'neutral',128,35,180),
 (7740,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,4106.91,0,-4889.96,34,'neutral',128,35,180),
 (7741,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3971.34,0,-4701.78,8,'neutral',128,33,180),
 (7742,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3977.67,0,-4696.26,8,'neutral',128,33,180),
 (7743,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3984.64,0,-4698.51,8,'neutral',128,33,180),
 (7744,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3974.63,0,-4716.99,8,'neutral',128,33,180),
 (7745,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3048.72,0,-4675.54,8,'neutral',128,33,180),
 (7746,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3047.68,0,-4677.27,8,'neutral',128,33,180),
 (7747,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3046.93,0,-4674,8,'neutral',128,33,180),
 (7748,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3042.05,0,-4677.3,8,'neutral',128,33,180),
 (7749,8,0,'object/mobile/rill.iff',0,0,0,0,3813.8,0,-4682,6,'neutral',128,1,180),
 (7750,8,0,'object/mobile/rill.iff',0,0,0,0,3827.17,0,-4672.42,6,'neutral',128,1,180),
 (7751,8,0,'object/mobile/rill.iff',0,0,0,0,3813.75,0,-4678.96,6,'neutral',128,1,180),
 (7752,8,0,'object/mobile/rill.iff',0,0,0,0,3820.34,0,-4691.87,6,'neutral',128,1,180),
 (7753,8,0,'object/mobile/rill.iff',0,0,0,0,3821.28,0,-4678.38,6,'neutral',128,1,180),
 (7754,8,0,'object/mobile/rill.iff',0,0,0,0,3821.5,0,-4689.33,9,'neutral',128,33,180),
 (7755,8,0,'object/mobile/rill.iff',0,0,0,0,3819,0,-4698,9,'neutral',128,33,180),
 (7756,8,0,'object/mobile/rill.iff',0,0,0,0,3653.94,0,-4654.77,6,'neutral',128,1,180),
 (7757,8,0,'object/mobile/rill.iff',0,0,0,0,3652.05,0,-4652.67,6,'neutral',128,1,180),
 (7758,8,0,'object/mobile/rill.iff',0,0,0,0,3875.77,0,-4763.02,6,'neutral',128,1,180),
 (7759,8,0,'object/mobile/rill.iff',0,0,0,0,3877.99,0,-4760.62,6,'neutral',128,1,180),
 (7760,8,0,'object/mobile/rill.iff',0,0,0,0,3869.98,0,-4760.69,6,'neutral',128,1,180),
 (7761,8,0,'object/mobile/rill.iff',0,0,0,0,3867,0,-4761,9,'neutral',128,33,180),
 (7762,8,0,'object/mobile/rill.iff',0,0,0,0,3877.46,0,-4924.72,6,'neutral',128,1,180),
 (7763,8,0,'object/mobile/rill.iff',0,0,0,0,3876.17,0,-4920.24,6,'neutral',128,1,180),
 (7764,8,0,'object/mobile/rill.iff',0,0,0,0,3866.52,0,-4917.7,6,'neutral',128,1,180),
 (7765,8,0,'object/mobile/rill.iff',0,0,0,0,3862.33,0,-4920.08,6,'neutral',128,1,180),
 (7766,8,0,'object/mobile/rill.iff',0,0,0,0,3875,0,-4923,9,'neutral',128,33,180),
 (7767,8,0,'object/mobile/rill.iff',0,0,0,0,3723.93,0,-4939.78,6,'neutral',128,1,180),
 (7768,8,0,'object/mobile/rill.iff',0,0,0,0,3715.75,0,-4946.74,6,'neutral',128,1,180),
 (7769,8,0,'object/mobile/rill.iff',0,0,0,0,3714,0,-4941,9,'neutral',128,33,180),
 (7770,8,0,'object/mobile/rill.iff',0,0,0,0,3239.54,0,-5060.91,6,'neutral',128,1,180),
 (7771,8,0,'object/mobile/rill.iff',0,0,0,0,3237.44,0,-5072.92,6,'neutral',128,1,180),
 (7772,8,0,'object/mobile/rill.iff',0,0,0,0,3244.97,0,-5067.23,6,'neutral',128,1,180),
 (7773,8,0,'object/mobile/rill.iff',0,0,0,0,3081.81,0,-4784.71,6,'neutral',128,1,180),
 (7774,8,0,'object/mobile/rill.iff',0,0,0,0,3084.27,0,-4778.93,6,'neutral',128,1,180),
 (7775,8,0,'object/mobile/rill.iff',0,0,0,0,3098.04,0,-4790.24,6,'neutral',128,1,180),
 (7776,8,0,'object/mobile/rill.iff',0,0,0,0,3079.03,0,-4776.16,6,'neutral',128,1,180),
 (7777,8,0,'object/mobile/rill.iff',0,0,0,0,3239,0,-4423.88,6,'neutral',128,1,180),
 (7778,8,0,'object/mobile/rill.iff',0,0,0,0,3237,0,-4420,6,'neutral',128,1,180),
 (7779,8,0,'object/mobile/rill.iff',0,0,0,0,3241.79,0,-4425.59,6,'neutral',128,1,180),
 (7780,8,0,'object/mobile/rill.iff',0,0,0,0,3245.09,0,-4432.97,6,'neutral',128,1,180),
 (7781,8,0,'object/mobile/rill.iff',0,0,0,0,3565.22,0,-4506.12,6,'neutral',128,1,180),
 (7782,8,0,'object/mobile/rill.iff',0,0,0,0,3567,0,-4504.97,6,'neutral',128,1,180),
 (7783,8,0,'object/mobile/rill.iff',0,0,0,0,3568,0,-4505,9,'neutral',128,33,180),
 (7784,8,0,'object/mobile/scyk.iff',0,0,0,0,3874,0,-4966,12,'neutral',128,35,15),
 (7785,8,0,'object/mobile/scyk.iff',0,0,0,0,3166,0,-4419,12,'neutral',128,35,15),
 (7786,8,0,'object/mobile/scyk.iff',0,0,0,0,3984,0,-4905,12,'neutral',128,35,15),
 (7787,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3816.92,0,-4913.11,5,'neutral',128,1,180),
 (7788,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3801.78,0,-4921.58,5,'neutral',128,1,180),
 (7789,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3818.46,0,-4919.39,5,'neutral',128,1,180),
 (7790,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3801.45,0,-4902.67,5,'neutral',128,1,180),
 (7791,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3813.17,0,-4907.68,5,'neutral',128,1,180),
 (7792,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3258.31,0,-5108.55,5,'neutral',128,1,180),
 (7793,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3279.23,0,-5103.03,5,'neutral',128,1,180),
 (7794,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3275.34,0,-5100.41,5,'neutral',128,1,180),
 (7795,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3279.67,0,-5116.66,5,'neutral',128,1,180),
 (7796,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3221,0,-5050,5,'neutral',128,1,180),
 (7797,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3223.06,0,-5037.57,5,'neutral',128,1,180),
 (7798,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3229.36,0,-5031.04,5,'neutral',128,1,180),
 (7799,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3213.17,0,-5052.61,5,'neutral',128,1,180),
 (7800,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3218.43,0,-5044.06,5,'neutral',128,1,180),
 (7801,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3228.94,0,-5014.43,5,'neutral',128,1,180),
 (7802,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3226.03,0,-5014,5,'neutral',128,1,180),
 (7803,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3103.57,0,-4878.18,5,'neutral',128,1,180),
 (7804,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3114.02,0,-4875.77,5,'neutral',128,1,180),
 (7805,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3110.68,0,-4869.7,5,'neutral',128,1,180),
 (7806,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3109.08,0,-4854.33,5,'neutral',128,1,180),
 (7807,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3114.04,0,-4676.96,5,'neutral',128,1,180),
 (7808,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3115.44,0,-4678.92,5,'neutral',128,1,180),
 (7809,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3120.35,0,-4685.97,5,'neutral',128,1,180),
 (7810,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3116.91,0,-4681.88,5,'neutral',128,1,180),
 (7811,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3166.21,0,-4487.39,5,'neutral',128,1,180),
 (7812,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3174.23,0,-4482.6,5,'neutral',128,1,180),
 (7813,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3167.06,0,-4494.08,5,'neutral',128,1,180),
 (7814,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3168.27,0,-4488.07,5,'neutral',128,1,180),
 (7815,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3171.26,0,-4490.03,5,'neutral',128,1,180),
 (7816,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3519.04,0,-4469.44,5,'neutral',128,1,180),
 (7817,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3529.77,0,-4461.33,5,'neutral',128,1,180),
 (7818,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3523.21,0,-4458,5,'neutral',128,1,180),
 (7819,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3522.23,0,-4470.64,5,'neutral',128,1,180),
 (7820,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3958.5,0,-4782.67,5,'neutral',128,1,180),
 (7821,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3965.38,0,-4778.01,5,'neutral',128,1,180),
 (7822,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3969.9,0,-4780.53,5,'neutral',128,1,180),
 (7823,8,0,'object/mobile/dwarf_nuna.iff',0,0,0,0,3956.15,0,-4778.25,5,'neutral',128,1,180),
 (7824,8,0,'object/mobile/worrt.iff',0,0,0,0,3797.5,0,-4666.13,6,'neutral',128,1,180),
 (7825,8,0,'object/mobile/worrt.iff',0,0,0,0,3788.1,0,-4657.1,6,'neutral',128,1,180),
 (7826,8,0,'object/mobile/worrt.iff',0,0,0,0,3791.29,0,-4676.95,6,'neutral',128,1,180),
 (7827,8,0,'object/mobile/worrt.iff',0,0,0,0,3795.08,0,-4654.33,6,'neutral',128,1,180),
 (7828,8,0,'object/mobile/worrt.iff',0,0,0,0,3791.21,0,-4654.76,6,'neutral',128,1,180),
 (7829,8,0,'object/mobile/worrt.iff',0,0,0,0,3675.82,0,-4589.11,6,'neutral',128,1,180),
 (7830,8,0,'object/mobile/worrt.iff',0,0,0,0,3674.36,0,-4594.03,6,'neutral',128,1,180),
 (7831,8,0,'object/mobile/worrt.iff',0,0,0,0,3668.41,0,-4608.66,6,'neutral',128,1,180),
 (7832,8,0,'object/mobile/worrt.iff',0,0,0,0,3661.49,0,-4607.87,6,'neutral',128,1,180),
 (7833,8,0,'object/mobile/worrt.iff',0,0,0,0,3796.46,0,-4704.91,6,'neutral',128,1,180),
 (7834,8,0,'object/mobile/worrt.iff',0,0,0,0,3795.84,0,-4719.88,6,'neutral',128,1,180),
 (7835,8,0,'object/mobile/worrt.iff',0,0,0,0,3910.98,0,-4901.03,6,'neutral',128,1,180),
 (7836,8,0,'object/mobile/worrt.iff',0,0,0,0,3898.9,0,-4890,6,'neutral',128,1,180),
 (7837,8,0,'object/mobile/worrt.iff',0,0,0,0,3894.09,0,-4895.44,6,'neutral',128,1,180),
 (7838,8,0,'object/mobile/worrt.iff',0,0,0,0,3900.22,0,-4905.95,6,'neutral',128,1,180),
 (7839,8,0,'object/mobile/worrt.iff',0,0,0,0,3767,0,-4917.97,6,'neutral',128,1,180),
 (7840,8,0,'object/mobile/worrt.iff',0,0,0,0,3770.52,0,-4920.34,6,'neutral',128,1,180),
 (7841,8,0,'object/mobile/worrt.iff',0,0,0,0,3773.83,0,-4916.28,6,'neutral',128,1,180),
 (7842,8,0,'object/mobile/worrt.iff',0,0,0,0,3768.01,0,-4914.01,6,'neutral',128,1,180),
 (7843,8,0,'object/mobile/worrt.iff',0,0,0,0,3291.53,0,-5114.13,6,'neutral',128,1,180),
 (7844,8,0,'object/mobile/worrt.iff',0,0,0,0,3301.59,0,-5107.34,6,'neutral',128,1,180),
 (7845,8,0,'object/mobile/worrt.iff',0,0,0,0,3301.63,0,-5111.61,6,'neutral',128,1,180),
 (7846,8,0,'object/mobile/worrt.iff',0,0,0,0,3313,0,-5116.76,6,'neutral',128,1,180),
 (7847,8,0,'object/mobile/worrt.iff',0,0,0,0,3153.99,0,-4921.52,6,'neutral',128,1,180),
 (7848,8,0,'object/mobile/worrt.iff',0,0,0,0,3143.58,0,-4926.99,6,'neutral',128,1,180),
 (7849,8,0,'object/mobile/worrt.iff',0,0,0,0,3138.02,0,-4920.48,6,'neutral',128,1,180),
 (7850,8,0,'object/mobile/worrt.iff',0,0,0,0,3141.66,0,-4915.48,6,'neutral',128,1,180),
 (7851,8,0,'object/mobile/worrt.iff',0,0,0,0,3130.1,0,-4532.21,6,'neutral',128,1,180),
 (7852,8,0,'object/mobile/worrt.iff',0,0,0,0,3121.51,0,-4535.12,6,'neutral',128,1,180),
 (7853,8,0,'object/mobile/worrt.iff',0,0,0,0,3139.6,0,-4540.75,6,'neutral',128,1,180),
 (7854,8,0,'object/mobile/worrt.iff',0,0,0,0,3146.4,0,-4548.37,6,'neutral',128,1,180),
 (7855,8,0,'object/mobile/worrt.iff',0,0,0,0,3130.51,0,-4527.22,6,'neutral',128,1,180);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (7856,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3795.95,0,-4661.36,10,'neutral',128,1,180),
 (7857,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3791.88,0,-4663.61,10,'neutral',128,1,180),
 (7858,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3664.3,0,-4610.14,10,'neutral',128,1,180),
 (7859,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3683.69,0,-4604.92,10,'neutral',128,1,180),
 (7860,8,0,'object/mobile/lesser_desert_womp_rat.iff',0,0,0,0,3671,0,-4599,5,'neutral',128,33,180),
 (7861,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3909.01,0,-4843.76,10,'neutral',128,1,180),
 (7862,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3911.84,0,-4836.04,10,'neutral',128,1,180),
 (7863,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3915,0,-4844.14,10,'neutral',128,1,180),
 (7864,8,0,'object/mobile/lesser_desert_womp_rat.iff',0,0,0,0,3911,0,-4844,5,'neutral',128,33,180),
 (7865,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3651.58,0,-4952.78,10,'neutral',128,1,180),
 (7866,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3633.98,0,-4964.09,10,'neutral',128,1,180),
 (7867,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3347.07,0,-5151.27,10,'neutral',128,1,180),
 (7868,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3344.88,0,-5162.39,10,'neutral',128,1,180),
 (7869,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3330.24,0,-5159.19,10,'neutral',128,1,180),
 (7870,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3136.4,0,-4947.85,10,'neutral',128,1,180),
 (7871,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3139.13,0,-4954.1,10,'neutral',128,1,180),
 (7872,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3135.9,0,-4936.3,10,'neutral',128,1,180),
 (7873,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3321.74,0,-4399.81,10,'neutral',128,1,180),
 (7874,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3312.05,0,-4399.91,10,'neutral',128,1,180),
 (7875,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3329.24,0,-4400.96,10,'neutral',128,1,180),
 (7876,8,0,'object/mobile/greater_desert_womp_rat.iff',0,0,0,0,3315.09,0,-4407.59,10,'neutral',128,1,180),
 (7877,8,0,'object/mobile/kreetle.iff',0,0,0,0,3663.81,0,-4590.88,3,'neutral',128,3,180),
 (7878,8,0,'object/mobile/kreetle.iff',0,0,0,0,3656.46,0,-4578.64,3,'neutral',128,3,180),
 (7879,8,0,'object/mobile/kreetle.iff',0,0,0,0,3653.4,0,-4578.8,3,'neutral',128,3,180),
 (7880,8,0,'object/mobile/kreetle.iff',0,0,0,0,3651.49,0,-4572.81,3,'neutral',128,3,180),
 (7881,8,0,'object/mobile/kreetle.iff',0,0,0,0,3663.23,0,-4591.33,3,'neutral',128,3,180),
 (7882,8,0,'object/mobile/kreetle.iff',0,0,0,0,3611.72,0,-4613.05,3,'neutral',128,3,180),
 (7883,8,0,'object/mobile/kreetle.iff',0,0,0,0,3599.19,0,-4621.98,3,'neutral',128,3,180),
 (7884,8,0,'object/mobile/kreetle.iff',0,0,0,0,3595.17,0,-4619.83,3,'neutral',128,3,180),
 (7885,8,0,'object/mobile/kreetle.iff',0,0,0,0,3585.03,0,-4620.02,3,'neutral',128,3,180),
 (7886,8,0,'object/mobile/kreetle.iff',0,0,0,0,3890.92,0,-4820.16,3,'neutral',128,3,180),
 (7887,8,0,'object/mobile/kreetle.iff',0,0,0,0,3895.35,0,-4803.18,3,'neutral',128,3,180),
 (7888,8,0,'object/mobile/kreetle.iff',0,0,0,0,3897.46,0,-4813.99,3,'neutral',128,3,180),
 (7889,8,0,'object/mobile/kreetle.iff',0,0,0,0,3886.66,0,-4820.96,3,'neutral',128,3,180),
 (7890,8,0,'object/mobile/kreetle.iff',0,0,0,0,3902.4,0,-4821.42,3,'neutral',128,3,180),
 (7891,8,0,'object/mobile/kreetle.iff',0,0,0,0,3892.65,0,-4889.28,3,'neutral',128,3,180),
 (7892,8,0,'object/mobile/kreetle.iff',0,0,0,0,3895.13,0,-4896.1,3,'neutral',128,3,180),
 (7893,8,0,'object/mobile/kreetle.iff',0,0,0,0,3894.69,0,-4880.46,3,'neutral',128,3,180),
 (7894,8,0,'object/mobile/kreetle.iff',0,0,0,0,3890.09,0,-4884.36,3,'neutral',128,3,180),
 (7895,8,0,'object/mobile/kreetle.iff',0,0,0,0,3906.17,0,-4899.36,3,'neutral',128,3,180),
 (7896,8,0,'object/mobile/kreetle.iff',0,0,0,0,3646.5,0,-4948.87,3,'neutral',128,3,180),
 (7897,8,0,'object/mobile/kreetle.iff',0,0,0,0,3637.81,0,-4962.72,3,'neutral',128,3,180),
 (7898,8,0,'object/mobile/kreetle.iff',0,0,0,0,3640.35,0,-4965.77,3,'neutral',128,3,180),
 (7899,8,0,'object/mobile/kreetle.iff',0,0,0,0,3640.45,0,-4957.43,3,'neutral',128,3,180),
 (7900,8,0,'object/mobile/kreetle.iff',0,0,0,0,3632.34,0,-4968.7,3,'neutral',128,3,180),
 (7901,8,0,'object/mobile/kreetle.iff',0,0,0,0,3645.73,0,-4958.57,3,'neutral',128,3,180),
 (7902,8,0,'object/mobile/kreetle.iff',0,0,0,0,3646.89,0,-4961.04,3,'neutral',128,3,180),
 (7903,8,0,'object/mobile/kreetle.iff',0,0,0,0,3642.72,0,-4958.13,3,'neutral',128,3,180),
 (7904,8,0,'object/mobile/kreetle.iff',0,0,0,0,3184.29,0,-5015.95,3,'neutral',128,3,180),
 (7905,8,0,'object/mobile/kreetle.iff',0,0,0,0,3181.07,0,-5007.22,3,'neutral',128,3,180),
 (7906,8,0,'object/mobile/kreetle.iff',0,0,0,0,3178.56,0,-4997.61,3,'neutral',128,3,180),
 (7907,8,0,'object/mobile/kreetle.iff',0,0,0,0,3191.99,0,-5006.12,3,'neutral',128,3,180),
 (7908,8,0,'object/mobile/kreetle.iff',0,0,0,0,3191.61,0,-5001.04,3,'neutral',128,3,180),
 (7909,8,0,'object/mobile/kreetle.iff',0,0,0,0,3137.69,0,-4602.83,3,'neutral',128,3,180),
 (7910,8,0,'object/mobile/kreetle.iff',0,0,0,0,3143.76,0,-4596.29,3,'neutral',128,3,180),
 (7911,8,0,'object/mobile/kreetle.iff',0,0,0,0,3131.97,0,-4591.18,3,'neutral',128,3,180),
 (7912,8,0,'object/mobile/kreetle.iff',0,0,0,0,3119.69,0,-4589.67,3,'neutral',128,3,180),
 (7913,8,0,'object/mobile/kreetle.iff',0,0,0,0,3130.26,0,-4592.78,3,'neutral',128,3,180),
 (7914,8,0,'object/mobile/kreetle.iff',0,0,0,0,3409.12,0,-4403.15,3,'neutral',128,3,180),
 (7915,8,0,'object/mobile/kreetle.iff',0,0,0,0,3405.31,0,-4402.21,3,'neutral',128,3,180),
 (7916,8,0,'object/mobile/kreetle.iff',0,0,0,0,3405.97,0,-4418.27,3,'neutral',128,3,180),
 (7917,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',-0.0574322,0.807932,-0.0415845,0.584994,3650.15,5,-4860.75,15,'calm',264,0,60),
 (7918,8,0,'object/mobile/jawa_male.iff',-0.0638134,0.704221,-0.0638134,-0.704221,3739.55,4.3966,-4837.28,15,'conversation',264,0,60),
 (7919,8,0,'object/mobile/jawa_male.iff',-0.0638134,0.704221,0.0638134,0.704221,3737.55,4.03113,-4837.28,15,'conversation',264,0,60),
 (7920,8,0,'object/mobile/jawa_male.iff',-0.303344,0,0,0.952881,3738.55,4.29151,-4838.28,15,'conversation',264,0,60),
 (7921,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',-0.00294645,-0.328571,0.00848009,0.944437,3732.52,4.00003,-4769.38,15,'calm',264,0,60),
 (7922,8,1106372,'object/mobile/dressed_mercenary_messanger_rod_m.iff',2.58452e-08,0.774499,4.24421e-08,0.632575,1.1,0.639421,66.3,15,'explain',264,0,60),
 (7923,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3682.26,0,-4626.08,8,'neutral',128,33,180),
 (7924,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3683.47,0,-4624.84,8,'neutral',128,33,180),
 (7925,8,0,'object/mobile/eg6_power_droid.iff',0,-0.66345,0,0.748221,3650.68,5,-4734.71,15,'calm',264,0,60),
 (7926,8,0,'object/mobile/jawa_male.iff',-0.000754895,0.96198,-0.0012787,-0.273117,3652.63,5,-4748.96,15,'calm',264,0,60),
 (7927,8,0,'object/mobile/r2.iff',0,-0.0467323,0,0.998908,3710.16,4,-4789.97,15,'calm',264,0,60),
 (7928,8,0,'object/mobile/jawa_male.iff',0,-0.181963,0,0.983305,3664.88,5,-4851.33,15,'calm',264,0,60),
 (7929,8,0,'object/mobile/jawa_male.iff',0.0219356,0.961518,0.0271155,-0.27252,3652.66,5,-4748.93,15,'calm',264,0,60),
 (7930,8,0,'object/mobile/jawa_male.iff',0,-0.18202,0,0.983295,3664.89,5,-4851.35,15,'calm',264,0,60),
 (7931,8,0,'object/mobile/jawa_male.iff',-0.00330129,0.0905331,-0.0018243,0.995886,3657.03,5,-4812.19,15,'calm',264,0,60),
 (7932,8,0,'object/mobile/jawa_male.iff',-8.84505e-07,0.27311,3.46936e-05,0.961983,3646.88,5,-4758.28,15,'calm',264,0,60),
 (7933,8,0,'object/mobile/jawa_male.iff',-0.000178742,0.0905318,-6.91627e-05,0.995894,3657.01,5,-4812.31,15,'calm',264,0,60),
 (7934,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3706.05,0,-4641.11,8,'neutral',128,33,180),
 (7935,8,0,'object/mobile/jawa_male.iff',0,0.950859,0,0.309624,3648.71,5,-4774.96,15,'calm',264,0,60),
 (7936,8,0,'object/mobile/jawa_male.iff',0.00713295,0.0904876,-0.00759336,0.995843,3657.02,5,-4812.22,15,'calm',264,0,60),
 (7937,8,0,'object/mobile/jawa_male.iff',-0.00152412,-0.18125,0.00291514,0.983432,3664.75,5,-4851.1,15,'calm',264,0,60),
 (7938,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3684.24,0,-4625.08,8,'neutral',128,33,180),
 (7939,8,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.638071,0,0.769977,3753.26,5,-4846.97,15,'neutral',264,0,60),
 (7940,8,0,'object/mobile/dressed_doctor_trainer_moncal_female_01.iff',-0.000466423,0.871574,-0.000262364,0.490263,3666.51,5,-4856.14,15,'calm',264,0,60),
 (7941,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0.0153646,0.874652,0.00850982,0.484433,3699,5,-4768.14,15,'calm',264,0,60),
 (7942,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',-0.046858,0.234856,-0.127427,0.962502,3698.19,4.91134,-4838.24,15,'calm',264,0,60),
 (7943,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3709.74,0,-4659.09,8,'neutral',128,33,180),
 (7944,8,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,0.630783,0,0.775959,3756.71,5,-4845.03,15,'neutral',264,0,60),
 (7945,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3711.73,0,-4637.76,8,'neutral',128,33,180),
 (7946,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3716.36,0,-4662.85,8,'neutral',128,33,180),
 (7947,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3711.05,0,-4637.9,8,'neutral',128,33,180),
 (7948,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3718.69,0,-4625.84,8,'neutral',128,33,180),
 (7949,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3722.84,0,-4671.24,8,'neutral',128,33,180),
 (7950,8,0,'object/mobile/rill.iff',0,0,0,0,3696.74,0,-4628.26,9,'neutral',128,33,180),
 (7951,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3718.38,0,-4639.1,8,'neutral',128,33,180),
 (7952,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3663.76,0,-4635.82,8,'neutral',128,33,180),
 (7953,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3684.66,0,-4625.02,8,'neutral',128,33,180),
 (7954,8,0,'object/mobile/dressed_scout_trooper_white_white.iff',0.009311,-0.629487,0.00653157,0.776928,3585.84,5,-4719.95,15,'neutral',264,0,60),
 (7955,8,0,'object/mobile/rill.iff',0,0,0,0,3683.57,0,-4638.29,6,'neutral',128,1,180),
 (7956,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3682.12,0,-4626.15,8,'neutral',128,33,180),
 (7957,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3711.2,0,-4639.74,8,'neutral',128,33,180),
 (7958,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3702.05,0,-4634.44,8,'neutral',128,33,180),
 (7959,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3719.01,0,-4663.26,8,'neutral',128,33,180),
 (7960,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3711.2,0,-4637.96,8,'neutral',128,33,180),
 (7961,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3710.17,0,-4662.34,8,'neutral',128,33,180),
 (7962,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3710.67,0,-4638.74,8,'neutral',128,33,180),
 (7963,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3684.43,0,-4623.21,8,'neutral',128,33,180),
 (7964,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3684.62,0,-4623.73,8,'neutral',128,33,180),
 (7965,8,0,'object/mobile/dressed_noble_old_human_female_02.iff',0.0168004,0.917745,-0.00726291,-0.396747,3566.08,5,-4715.16,15,'calm',264,0,60),
 (7966,8,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',-2.74581e-05,0.991712,0.0011982,-0.128476,3559.5,4,-4725.87,15,'calm',264,0,60),
 (7967,8,0,'object/mobile/rill.iff',0,0,0,0,3715.13,0,-4610.29,9,'neutral',128,33,180),
 (7968,8,0,'object/mobile/rill.iff',0,0,0,0,3707.48,0,-4603.96,9,'neutral',128,33,180),
 (7969,8,0,'object/mobile/rill.iff',0,0,0,0,3723.21,0,-4609.5,9,'neutral',128,33,180),
 (7970,8,0,'object/mobile/rill.iff',0,0,0,0,3714.19,0,-4602.93,9,'neutral',128,33,180),
 (7971,8,0,'object/mobile/rill.iff',0,0,0,0,3713.09,0,-4605.97,9,'neutral',128,33,180),
 (7972,8,0,'object/mobile/rill.iff',0,0,0,0,3703.62,0,-4605.95,9,'neutral',128,33,180),
 (7973,8,0,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',0.0769153,-0.0996517,-0.0141169,0.991945,3535.31,4.36784,-4734.57,15,'calm',264,0,60),
 (7974,8,0,'object/mobile/dressed_commoner_naboo_moncal_male_02.iff',2.81417e-27,-0.636511,2.84125e-27,0.771267,3527.44,4,-4721.16,15,'calm',264,0,60),
 (7975,8,0,'object/mobile/dressed_commoner_naboo_human_female_07.iff',-0.0946794,0.971533,-0.119053,-0.181619,3526.85,4.44117,-4700.74,15,'calm',264,0,60),
 (7976,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',-7.21848e-05,0.831161,4.82904e-05,-0.556031,3540.46,4,-4721.74,15,'calm',264,0,60),
 (7977,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',-4.7802e-16,-0.545871,7.454e-16,0.837869,3513.14,4,-4725.08,15,'calm',264,0,60),
 (7978,8,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',-0.01206,-0.394309,0.0280915,0.918469,3532.96,5,-4788.08,15,'calm',264,0,60),
 (7979,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.00634636,0.946862,-0.00215533,0.32157,3482.52,7.5,-4683.05,15,'neutral',264,0,60),
 (7980,8,0,'object/mobile/dressed_imperial_colonel_m.iff',-0.0920522,0.864511,0.0358321,-0.492812,3490.5,5,-4733.94,15,'npc_imperial',264,0,60),
 (7981,8,0,'object/mobile/rill.iff',0,0,0,0,3679.18,0,-4652.44,6,'neutral',128,1,180),
 (7982,8,0,'object/mobile/jawa_male.iff',0.00982041,0.984586,0.164424,-0.0588054,3451.49,4.87154,-4524.17,15,'calm',264,0,60),
 (7983,8,0,'object/mobile/jawa_male.iff',-0.0151107,0.982247,0.163453,0.0908058,3451.49,4.87154,-4524.17,15,'calm',264,0,60),
 (7984,8,1076968,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,-4.50991e-05,0,1,30.8955,-0.255725,0.957845,15,'conversation',264,0,60),
 (7985,8,1076968,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,1,0,-2.94748e-05,30.8955,-0.255725,2.05785,15,'conversation',264,0,60),
 (7986,8,1076968,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.923898,0,0.382638,29.7955,-0.255725,2.05785,15,'conversation',264,0,60),
 (7987,8,1076966,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,7.58734e-05,0,1,15.48,-0.255725,6.58106,15,'conversation',264,0,60),
 (7988,8,1076966,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',0,1,0,-8.76196e-07,15.48,-0.255725,7.68106,15,'conversation',264,0,60),
 (7989,8,1076961,'object/mobile/dressed_hooligan_rodian_male_01.iff',-1.0415e-07,-6.19989e-05,-6.4572e-12,1,12.087,0.01,2.23598,15,'conversation',264,0,60),
 (7990,8,1076961,'object/mobile/zabrak_male.iff',4.83333e-12,1,1.04122e-07,-4.64199e-05,12.087,0.01,3.33598,15,'conversation',264,0,60),
 (7991,8,1076958,'object/mobile/dressed_combatmedic_trainer_human_female_01.iff',0,-1.04116e-05,0,1,-19.4889,0.0100002,0.410576,15,'conversation',264,0,60),
 (7992,8,1076958,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',0,1,0,-8.67271e-05,-19.4889,0.0100002,1.51058,15,'conversation',264,0,60),
 (7993,8,1076958,'object/mobile/dressed_commoner_tatooine_aqualish_female_04.iff',0,0.923907,0,0.382617,-20.5889,0.0100002,1.51058,15,'conversation',264,0,60),
 (7994,8,1076957,'object/mobile/dressed_noble_human_female_02.iff',0,0.939014,0,0.343878,-16.3311,-0.255725,11.493,15,'calm',264,0,60),
 (7995,8,1076956,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',-7.19578e-08,6.65391e-05,4.788e-12,1,-4.67224,0.0100001,12.0395,15,'conversation',264,0,60),
 (7996,8,1076956,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',-7.49402e-12,1,9.10209e-08,8.23329e-05,-4.67224,0.01,13.1395,15,'conversation',264,0,60),
 (7997,8,1076952,'object/mobile/space_privateer_tier2_shamdon.iff',1.22731e-07,0.985642,-8.20858e-08,-0.168849,-3.61827,0.01,-8.8941,15,'neutral',264,0,60),
 (7998,8,1076949,'object/mobile/dressed_villain_trandoshan_male_01.iff',-4.40373e-07,0.858749,-2.62761e-07,0.512397,5.61884,7.01001,14.3502,15,'calm',264,0,60),
 (7999,8,1076948,'object/mobile/dressed_desperado_bith_male_01.iff',0,0.527444,0,0.84959,6.01244,7.01,-14.2554,15,'calm',264,0,60),
 (8000,8,1076947,'object/mobile/zabrak_male.iff',-3.01821e-07,-0.241044,8.94489e-08,0.970514,13.6783,7.01,-10.8849,15,'calm',264,0,60),
 (8001,8,1076945,'object/mobile/lady_valarian.iff',0,0.958885,0,0.283795,-23.836,9.01,0.605811,15,'calm',264,0,60),
 (8002,8,1076944,'object/mobile/dressed_ind.iff',0.0061792,0.91908,0.00264924,0.394014,-24.6235,9.01,-8.0138,15,'calm',264,0,60),
 (8003,8,1076943,'object/mobile/junk_sneg.iff',4.31938e-09,0.978933,-8.29086e-08,-0.204183,-1.63376,7.01,7.35289,15,'calm',264,0,60),
 (8004,8,1076943,'object/mobile/dressed_criminal_thug_bothan_female_01.iff',8.38206e-08,0.0800256,-4.70862e-09,0.996793,-13.1456,7.01,4.90831,15,'calm',264,0,60),
 (8005,8,0,'object/mobile/dressed_commoner_naboo_human_female_08.iff',-3.83117e-24,0.643334,-9.96749e-24,0.765585,3381.63,4,-4675.2,15,'calm',264,0,60),
 (8006,8,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0.0287961,0.368132,-0.0342982,0.928694,3357.54,4.2333,-4649.49,15,'calm',264,0,60),
 (8007,8,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,0.99979,0,0.0205094,3427.46,7.5,-4728.61,15,'neutral',264,0,60),
 (8008,8,0,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',0.0111679,0.756837,0.00964213,0.653437,3324.79,5,-4648.95,15,'calm',264,0,60),
 (8009,8,0,'object/mobile/dressed_eisley_officer_zabrak_male_01.iff',-8.11317e-10,0.907528,1.44786e-10,-0.419991,3318.3,4,-4613,15,'neutral',264,0,60),
 (8010,8,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',2.90501e-05,0.968554,-0.000868043,-0.248804,3330.17,4.00303,-4637.51,15,'calm',264,0,60),
 (8011,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.131272,-0.2032,-0.0386934,0.969526,3322.23,4.77649,-4623.57,15,'neutral',264,0,60),
 (8012,8,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.978242,0,0.207468,3356.79,7.5,-4711.31,15,'neutral',264,0,60),
 (8013,8,0,'object/mobile/dressed_tatooine_mos_eisley_police_officer.iff',0,0,0,0,3369.94,0,-4729.68,13,'neutral',128,33,180),
 (8014,8,0,'object/mobile/dressed_bestine_artist01.iff',0,0.910386,0,-0.413761,3312.29,5,-4655.46,15,'neutral',264,0,60),
 (8015,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-2.78706e-05,0.682398,-2.98595e-05,0.730981,3304.54,5,-4602.49,15,'neutral',264,0,60),
 (8016,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',2.73029e-06,-0.58888,-3.74934e-06,0.808221,3360.18,5,-4742.17,15,'neutral',264,0,60),
 (8017,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',6.41573e-15,-0.454683,-1.2602e-14,0.890653,3377.15,4,-4753.22,15,'calm',264,0,60),
 (8018,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.00186407,-0.562896,0.00273709,0.826521,3290.19,5,-4695.86,15,'neutral',264,0,60),
 (8019,8,0,'object/mobile/dressed_tatooine_mos_eisley_police_officer.iff',0,0,0,0,3287.5,0,-4682.63,13,'neutral',128,33,180),
 (8020,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.00433103,0.487906,-0.158828,0.858314,3288.68,4.72215,-4636.09,15,'neutral',264,0,60),
 (8021,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.0837092,0.12678,0.115601,0.981609,3278.49,4.75246,-4676.19,15,'neutral',264,0,60),
 (8022,8,0,'object/mobile/dressed_commoner_naboo_moncal_female_02.iff',-0.00953282,0.822952,-0.0125943,0.567891,3258.46,4.05782,-4673.77,15,'calm',264,0,60),
 (8023,8,0,'object/mobile/dressed_tatooine_mos_eisley_police_officer.iff',0,0,0,0,3298.17,0,-4655.93,13,'neutral',128,33,180),
 (8024,8,0,'object/mobile/dressed_combatmedic_trainer_rodian_male_01.iff',0,0.99979,0,-0.0205109,3348.69,5,-4513.14,15,'calm',264,0,60),
 (8025,8,0,'object/mobile/dressed_rebel_brigadier_general_sullustan_male.iff',0,-0.309081,0,0.951036,3286.43,5,-4524.72,15,'calm',264,0,60),
 (8026,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,-0.661933,0,0.749563,3359.65,5,-4496.04,15,'calm',264,0,60),
 (8027,8,0,'object/mobile/dressed_robber_twk_female_01.iff',0,0.882851,0,0.469654,3331.07,5,-4485.81,15,'calm',264,0,60),
 (8028,8,0,'object/mobile/dressed_herald_tatooine_01.iff',0.157181,0.978009,-0.0627738,-0.121871,3380.64,4.65458,-4497.98,15,'calm',264,0,60),
 (8029,8,0,'object/mobile/dressed_eisley_officer_rodian_female_01.iff',0.000727124,0.914982,-0.00302468,0.403483,3405.23,4.24207,-4505.47,15,'neutral',264,0,60),
 (8030,8,0,'object/mobile/dressed_eisley_officer_twilek_female_01.iff',0.000603783,0.732196,0.00192458,0.681091,3406.98,4.21952,-4505.01,15,'neutral',264,0,60),
 (8031,8,0,'object/mobile/dressed_eisley_officer_twilek_female_01.iff',-0.0169792,0.993899,-0.0339826,0.103544,3245.66,5,-4531.67,15,'neutral',264,0,60),
 (8032,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,3244.54,0,-4532.02,25,'neutral',128,0,180),
 (8033,8,1105853,'object/mobile/gran_male.iff',0.000130366,-6.11621e-06,7.97348e-10,1,26.7839,2.12876,69.7524,15,'conversation',264,0,60),
 (8034,8,1105853,'object/mobile/dressed_noble_fat_human_female_01.iff',8.25596e-09,1,0.000130464,-6.32815e-05,26.7839,2.12847,70.8524,15,'conversation',264,0,60),
 (8035,8,1105853,'object/mobile/dressed_hooligan_rodian_female_01.iff',0,2.00276e-05,0,1,17.0318,2.12878,75.3601,15,'conversation',264,0,60),
 (8036,8,1105853,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,1,0,8.3931e-05,17.0318,2.12878,76.3601,15,'conversation',264,0,60),
 (8037,8,1105853,'object/mobile/dressed_noble_old_human_female_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (8038,8,1105853,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (8039,8,1105852,'object/mobile/dressed_noble_human_male_03.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (8040,8,1105851,'object/mobile/dressed_imperial_officer_m_3.iff',-3.98526e-08,0.795116,2.26338e-08,0.606457,-3.43834,2.6,11.8623,15,'conversation',264,0,60),
 (8041,8,1105851,'object/mobile/dressed_commoner_naboo_moncal_female_02.iff',3.97093e-12,1,1.08361e-07,-3.66454e-05,-3.43834,2.6,12.9623,15,'conversation',264,0,60),
 (8042,8,1105851,'object/mobile/dressed_kobola_thief_rodian_male_01.iff',-2.1672e-07,6.2431e-05,1.353e-11,1,5.07127,2.6,6.65958,15,'conversation',264,0,60),
 (8043,8,1105851,'object/mobile/dressed_bountyhunter_trainer_02.iff',4.92217e-13,1,-1.08367e-07,4.54213e-06,5.07127,2.6,7.75958,15,'conversation',264,0,60),
 (8044,8,1105851,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',2.93238e-08,0.923883,-7.07957e-08,0.382675,3.97127,2.6,7.75958,15,'conversation',264,0,60),
 (8045,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_03.iff',0,0.896016,0,0.444022,3211.43,5,-4751.8,15,'calm',264,0,60),
 (8046,8,0,'object/mobile/human_male.iff',0,0.344538,0,0.938772,3190.57,5,-4751.31,15,'calm',264,0,60),
 (8047,8,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.204952,0,0.978772,3352.63,4.00222,-4771.23,15,'calm',264,0,60),
 (8048,8,0,'object/mobile/r5.iff',0,0.932028,0,-0.362386,3324.84,4.14982,-4819.95,15,'calm',264,0,60),
 (8049,8,0,'object/mobile/mos_taike_guard_old.iff',0.0656581,0.994118,-0.00567643,-0.0859461,3376.08,5,-4786.24,15,'neutral',264,0,60),
 (8050,8,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.981117,0,-0.193415,3232.74,5,-4798.26,15,'calm',264,0,60),
 (8051,8,0,'object/mobile/dressed_eisley_officer_rodian_female_01.iff',0.0658098,0.745441,0.0993669,0.65583,3288.59,4.99062,-4842.81,15,'neutral',264,0,60),
 (8052,8,0,'object/mobile/dressed_eisley_officer_trandoshan_male_01.iff',0.0620839,-0.505571,0.0479112,0.859213,3385.18,4.68287,-4792.87,15,'calm',264,0,60),
 (8053,8,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',-0.0717947,-0.686889,-0.0104601,0.723132,3364.03,4,-4830.19,15,'calm',264,0,60),
 (8054,8,0,'object/mobile/dressed_villain_trandoshan_male_01.iff',-3.17025e-05,0.891276,-1.61295e-05,0.453462,3351.57,5,-4826.1,15,'calm',264,0,60),
 (8055,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.0443348,0.938249,-0.0744886,0.334926,3279.95,5,-4835.74,15,'neutral',264,0,60),
 (8056,8,0,'object/mobile/dressed_goon_twk_female_01.iff',0,0.00210082,0,0.999998,3364.26,5,-4854.56,15,'calm',264,0,60),
 (8057,8,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',-0.028777,0,0,0.999586,3248.76,4.9251,-4842.99,15,'conversation',264,0,60),
 (8058,8,0,'object/mobile/dressed_hooligan_rodian_male_01.iff',-1.21983e-09,0.999586,-0.028777,-4.23716e-08,3248.76,5,-4841.69,15,'conversation',264,0,60),
 (8059,8,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0.00779199,0.92367,-0.018809,0.382647,3247.46,5,-4841.69,15,'conversation',264,0,60),
 (8060,8,0,'object/mobile/dressed_robber_twk_male_01.iff',0,-0.534621,0,0.845092,3401.83,5,-4868.72,15,'calm',264,0,60),
 (8061,8,0,'object/mobile/dressed_noble_fat_twilek_female_01.iff',-0.018809,0.382648,0.00779199,0.92367,3247.46,4.9251,-4842.99,15,'conversation',264,0,60),
 (8062,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_06.iff',0.032762,0.900829,-0.0135093,-0.432724,3316.48,4.96935,-4888.61,15,'calm',264,0,60),
 (8063,8,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',-0.00240708,0,0,0.999997,3247.43,4.00222,-4850.96,15,'conversation',264,0,60),
 (8064,8,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',-1.01279e-10,0.999997,-0.00240708,-4.20752e-08,3247.43,4.00848,-4849.66,15,'conversation',264,0,60),
 (8065,8,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',-0.000711552,0.458337,-0.00137983,0.888777,3285.75,5,-4923.4,15,'calm',264,0,60),
 (8066,8,0,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',0,-0.0713663,0,0.99745,3329.54,5,-4975.12,15,'calm',264,0,60),
 (8067,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.905089,0,-0.425223,3347.29,5,-4974.32,15,'calm',264,0,60),
 (8068,8,0,'object/mobile/jawa_male.iff',-0.0118211,0.947959,0.00493088,-0.318136,3425.73,4.00067,-4907.72,15,'calm',264,0,60),
 (8069,8,1187893,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,0.000105955,0,1,-2.46731,0.408271,-1.67245,15,'conversation',264,0,60),
 (8070,8,1187893,'object/mobile/dressed_commoner_naboo_moncal_male_01.iff',0,1,0,-3.87826e-05,-2.46731,0.408271,-0.572452,15,'conversation',264,0,60),
 (8071,8,1187893,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,0.923881,0,0.382679,-3.56731,0.408271,-0.572452,15,'conversation',264,0,60),
 (8072,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0.0187693,0.700036,-0.00497482,0.713843,3438.84,5,-4915.72,15,'calm',264,0,60),
 (8073,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.717363,0,0.696699,3427.14,5,-4952.92,15,'neutral',264,0,60),
 (8074,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',6.33163e-10,-0.622494,-1.00582e-10,0.782624,3379.18,5,-4898.03,15,'calm',264,0,60),
 (8075,8,0,'object/mobile/r5.iff',0,0.8587,0,-0.512479,3460.21,4.00358,-4888.86,15,'calm',264,0,60),
 (8076,8,0,'object/mobile/jawa_male.iff',-0.0350229,-0.0103727,-0.0330866,0.998785,3469.3,4.13017,-4861.5,15,'calm',264,0,60),
 (8077,8,0,'object/mobile/r4.iff',0,0.475107,0,0.879928,3466.08,4,-4883.93,15,'calm',264,0,60),
 (8078,8,0,'object/mobile/dressed_kobola_thief_rodian_male_01.iff',0,-2.72227e-08,0,1,3421,5,-4954.63,15,'conversation',264,0,60),
 (8079,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_03.iff',0,1,0,-4.20978e-08,3421,5,-4953.33,15,'conversation',264,0,60),
 (8080,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0.00410592,-0.404679,0.000450257,0.914449,3458.35,4.03078,-4890.75,15,'calm',264,0,60),
 (8081,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.340789,0,0.94014,3417.99,5,-4974.46,15,'neutral',264,0,60),
 (8082,8,0,'object/mobile/dressed_eisley_officer_quarren_male_01.iff',0,0.904608,0,0.426245,3426.18,5,-4963.54,15,'neutral',264,0,60),
 (8083,8,0,'object/mobile/jawa_male.iff',-0.00057676,0.726346,-0.175111,0.664648,3475.25,4.93605,-4852.73,15,'calm',264,0,60),
 (8084,8,0,'object/mobile/jawa_male.iff',0,-0.707107,0,0.707107,3472.22,5,-4918.59,15,'conversation',264,0,60),
 (8085,8,0,'object/mobile/jawa_male.iff',0,0.707107,0,0.707107,3470.22,5,-4918.59,15,'conversation',264,0,60),
 (8086,8,0,'object/mobile/jawa_male.iff',0,0.707107,0,0.707107,3486.01,5,-4884.73,15,'conversation',264,0,60),
 (8087,8,0,'object/mobile/jawa_male.iff',0,-0.707107,0,0.707107,3488.01,5,-4884.73,15,'conversation',264,0,60),
 (8088,8,0,'object/mobile/jawa_male.iff',0,0,0,1,3487.01,5,-4885.73,15,'conversation',264,0,60),
 (8089,8,1082887,'object/mobile/dressed_talon_karrde.iff',-1.29724e-08,0.108838,-2.95262e-08,0.99406,-25.6775,-0.519991,8.77374,15,'neutral',264,0,60),
 (8090,8,1082886,'object/mobile/space_privateer_tier1_tatooine.iff',-2.42949e-07,0.990786,-1.74152e-07,0.135436,-21.2103,-0.894989,24.3324,15,'neutral',264,0,60),
 (8091,8,1082880,'object/mobile/tatooine_npc/figrin_dan.iff',0,0.382683,0,0.92388,4.11,-0.894992,-17.07,15,'neutral',264,0,60),
 (8092,8,1082880,'object/mobile/tatooine_npc/figrin_dan.iff',0,0.573576,0,0.819152,1.29,-0.894992,-15.18,15,'neutral',264,0,60),
 (8093,8,1082880,'object/mobile/tatooine_npc/figrin_dan.iff',0,0.374607,0,0.927184,2.32,-0.894992,-16.47,15,'neutral',264,0,60),
 (8094,8,1082880,'object/mobile/tatooine_npc/figrin_dan.iff',0,0.325568,0,0.945519,0.54,-0.894992,-17.13,15,'neutral',264,0,60),
 (8095,8,1082877,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.957755,0,-0.287585,-10.9158,-0.894992,1.91698,15,'neutral',264,0,60),
 (8096,8,1082877,'object/mobile/dressed_noble_human_male_01.iff',0,0.494733,0,0.869045,-9.34,-0.894992,5.66,15,'neutral',264,0,60),
 (8097,8,1082877,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,0.79504,0,0.606557,10.65,-0.894992,1.91,15,'neutral',264,0,60),
 (8098,8,1082877,'object/mobile/dressed_commoner_old_human_female_02.iff',0,0.887392,0,0.461015,10.17,-0.894992,2.74,15,'conversation',264,0,60),
 (8099,8,1082877,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',0,0.901262,0,0.433275,9.08,-0.894992,4.15,15,'neutral',264,0,60),
 (8100,8,1082877,'object/mobile/dressed_noble_twilek_female_01.iff',0,0.901594,0,0.432584,8.49,-0.894992,4.64,15,'conversation',264,0,60),
 (8101,8,1082877,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.98235,0,0.187052,4.11,-0.894992,5.4,15,'neutral',264,0,60),
 (8102,8,1082877,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.986286,0,0.165048,3.11,-0.894992,5.4,15,'neutral',264,0,60),
 (8103,8,1082877,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',0,-0.326578,0,0.94517,2.11,-0.894992,5.4,15,'conversation',264,0,60),
 (8104,8,1082877,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,-0.258701,0,0.965957,1.11,-0.894992,5.4,15,'neutral',264,0,60),
 (8105,8,1082877,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.144985,0,0.989434,-3.11,-0.894992,5.4,15,'neutral',264,0,60),
 (8106,8,1082877,'object/mobile/dressed_commoner_tatooine_rodian_female_01.iff',0,0.232549,0,0.972585,-4.11,-0.894992,5.4,15,'neutral',264,0,60),
 (8107,8,1082877,'object/mobile/dressed_noble_human_female_02.iff',0,-0.168418,0,0.985716,14.57,-0.894992,-2.85,15,'entertained',264,0,60),
 (8108,8,1082877,'object/mobile/dressed_noble_human_male_03.iff',0,0.898944,0,0.438064,14.21,-0.894992,-4.89,15,'entertained',264,0,60),
 (8109,8,1082877,'object/mobile/dressed_noble_human_female_03.iff',0,0.94539,0,0.32594,16.49,-0.894992,-4.86,15,'entertained',264,0,60),
 (8110,8,1082877,'object/mobile/dressed_noble_human_female_04.iff',0,-0.323746,0,0.946144,24.34,-0.894992,-8.23,15,'bored',264,0,60),
 (8111,8,1082877,'object/mobile/dressed_noble_human_male_04.iff',0,-0.627534,0,0.778589,26.2,-0.894994,-8.33,15,'npc_sitting_chair',264,0,60),
 (8112,8,1082877,'object/mobile/dressed_noble_human_female_01.iff',0,0.319375,0,0.947628,8.68,-0.894992,-6.08,15,'entertained',264,0,60),
 (8113,8,1082877,'object/mobile/dressed_noble_human_male_01.iff',0,0.382912,0,0.923785,6.76,-0.894991,-6.48,15,'entertained',264,0,60),
 (8114,8,1082877,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,-0.300706,0,0.953717,1.99,-0.894992,-8.44,15,'conversation',264,0,60),
 (8115,8,1082877,'object/mobile/dressed_commoner_tatooine_bith_male_01.iff',0,0.970296,0,0.241922,1.19,-0.894992,-7.63,15,'conversation',264,0,60),
 (8116,8,1082877,'object/mobile/dressed_stormtrooper_squad_leader_black_gold.iff',0,0,0,0,3.62,-0.894992,-6.78,42,'neutral',128,0,180),
 (8117,8,1082877,'object/mobile/stormtrooper.iff',0,0,0,0,2.84,-0.894992,-6.3,25,'neutral',128,0,180),
 (8118,8,1082877,'object/mobile/dressed_patron_chiss_f_01.iff',0,0.999391,0,-0.0348994,3.62,-0.894992,-4.77,15,'npc_sad',264,0,60),
 (8119,8,1082877,'object/mobile/dressed_patron_chiss_m_01.iff',0,0.737277,0,0.67559,1.74,-0.894992,-4.91,15,'npc_consoling',264,0,60),
 (8120,8,1082877,'object/mobile/ithorian_male.iff',0,0.917019,0,-0.398845,15.89,-0.894992,2.48,15,'entertained',264,0,60),
 (8121,8,1082877,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.613597,0,0.78962,16.46,-0.894992,2.98,15,'conversation',264,0,60),
 (8122,8,1082877,'object/mobile/dressed_patron_ishi_tib_01.iff',0,0.980819,0,-0.194923,22.31,-0.894994,3,15,'npc_sitting_chair',264,0,60),
 (8123,8,1082877,'object/mobile/muftak.iff',0,0.963272,0,-0.268526,20.52,-0.894993,4.1,15,'bored',264,0,60),
 (8124,8,1082877,'object/mobile/dressed_patron_devaronian_01.iff',0,0.967819,0,-0.251646,21.19,-0.894993,5.65,15,'bored',264,0,60),
 (8125,8,1082877,'object/mobile/dressed_patron_nikto_01.iff',0,-0.413686,0,0.91042,23.37,-0.894994,4.88,15,'npc_sitting_chair',264,0,60),
 (8126,8,1082877,'object/mobile/dressed_patron_quarren_01.iff',0,0.964725,0,0.263259,16.96,-0.894992,6.62,15,'npc_sitting_chair',264,0,60),
 (8127,8,1082877,'object/mobile/dressed_patron_klaatu_01.iff',0,0.978198,0,0.207673,14.97,-0.894991,6.77,15,'bored',264,0,60),
 (8128,8,1082877,'object/mobile/chadra_fan_male.iff',0,0.645989,0,0.763347,10.7,-0.894992,-0.23,15,'entertained',264,0,60),
 (8129,8,1082877,'object/mobile/chadra_fan_female.iff',0,0.879226,0,0.476404,10.43,-0.894992,-1.47,15,'conversation',264,0,60),
 (8130,8,1082877,'object/mobile/r3_crafted.iff',0,0.476086,0,0.879399,15.9215,-0.894992,-0.217826,15,'calm',264,0,60),
 (8131,8,1082876,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',0,0.398749,0,0.91706,29.51,0.105,-7.38,15,'npc_sitting_chair',264,0,60),
 (8132,8,1082876,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',0,-0.104528,0,0.994522,31.01,0.105,-8.83,15,'npc_sitting_chair',264,0,60),
 (8133,8,1082876,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,0.996917,0,0.0784591,29.54,0.105,-6.18,15,'npc_sitting_chair',264,0,60),
 (8134,8,1082876,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.00872649,0,0.999962,35.96,0.105,0.74,15,'npc_sitting_chair',264,0,60),
 (8135,8,1082876,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,0.981627,0,0.190809,35.72,0.105,3.19,15,'npc_sitting_chair',264,0,60),
 (8136,8,0,'object/mobile/dressed_bestine_artist04.iff',0,0.142654,0,0.989773,3474.42,5,-4975.31,15,'neutral',264,0,60),
 (8137,8,0,'object/mobile/dressed_noble_twilek_female_01.iff',0,-0.536472,0,0.843918,3542.38,5,-4826.12,15,'calm',264,0,60),
 (8138,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.0647143,0,0.997904,3496.81,5.52789,-4923.13,15,'neutral',264,0,60),
 (8139,8,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.914095,0,-0.405501,3482.43,5,-5002.18,15,'calm',264,0,60),
 (8140,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',0,0.297401,0,0.954753,3563.18,5,-4946.05,15,'calm',264,0,60),
 (8141,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.662113,0,0.749404,3496.19,5,-4993.49,15,'calm',264,0,60),
 (8142,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_02.iff',0,-0.353756,0,0.935338,3507.53,5,-5002.63,15,'calm',264,0,60),
 (8143,8,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0.0211492,0,0,0.999776,3420.74,5,-5007.61,15,'conversation',264,0,60),
 (8144,8,0,'object/mobile/dressed_commoner_naboo_bothan_female_01.iff',0,-0.17705,0,0.984202,3529.16,5,-4900.65,15,'calm',264,0,60),
 (8145,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.893652,0,-0.44876,3499.6,5,-5019.9,15,'calm',264,0,60),
 (8146,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.974057,0,0.226303,3516.17,5,-4879.7,15,'neutral',264,0,60),
 (8147,8,0,'object/mobile/dressed_commoner_old_twilek_male_01.iff',-0.00554969,0.467835,-0.0104833,0.883736,3636.8,5,-4877.95,15,'calm',264,0,60),
 (8148,8,0,'object/mobile/worrt.iff',0,0,0,0,3594.97,0,-5036.12,6,'neutral',128,1,180),
 (8149,8,0,'object/mobile/worrt.iff',0,0,0,0,3593.84,0,-5027.07,6,'neutral',128,1,180),
 (8150,8,0,'object/mobile/worrt.iff',0,0,0,0,3593.72,0,-5034.97,6,'neutral',128,1,180),
 (8151,8,0,'object/mobile/worrt.iff',0,0,0,0,3596.89,0,-5037.25,6,'neutral',128,1,180),
 (8152,8,0,'object/mobile/worrt.iff',0,0,0,0,3591.54,0,-5051.95,6,'neutral',128,1,180),
 (8153,8,0,'object/mobile/worrt.iff',0,0,0,0,3583.14,0,-5048.74,6,'neutral',128,1,180),
 (8154,8,0,'object/mobile/worrt.iff',0,0,0,0,3591.7,0,-5059.86,6,'neutral',128,1,180),
 (8155,8,0,'object/mobile/worrt.iff',0,0,0,0,3579.25,0,-5065.37,6,'neutral',128,1,180),
 (8156,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,3758.38,0,-4896.48,5,'neutral',128,1,180),
 (8157,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,3763.84,0,-4905.4,5,'neutral',128,1,180),
 (8158,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,3757.25,0,-4896.52,5,'neutral',128,1,180),
 (8159,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,3763.13,0,-4900.98,5,'neutral',128,1,180),
 (8160,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,3762.47,0,-4899.53,5,'neutral',128,1,180),
 (8161,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,3761.91,0,-4900.65,5,'neutral',128,1,180),
 (8162,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3779.27,0,-4925.02,8,'neutral',128,33,180),
 (8163,8,0,'object/mobile/rock_mite.iff',0,0,0,0,3778.39,0,-4926.87,8,'neutral',128,33,180),
 (8164,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0.155546,0.969111,0.0303299,0.188968,3697.52,5,-4757.76,15,'calm',264,0,60),
 (8165,8,0,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',0,-0.595514,0,0.803345,3538.04,5.12541,-4806.46,15,'neutral',264,0,60),
 (8166,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,0.997538,0,0.0701287,1169.4,7,3063.85,15,'calm',264,0,60),
 (8167,8,4005528,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',1.08367e-07,-2.59764e-05,2.815e-12,1,-53.137,2.63942,37.6938,15,'conversation',264,0,60),
 (8168,8,4005528,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',-3.36551e-12,1,-2.16758e-07,-1.55266e-05,-53.137,2.63942,38.7938,15,'conversation',264,0,60),
 (8169,8,4005528,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',2.93272e-08,0.923877,-7.08007e-08,0.382691,-54.237,2.63942,38.7938,15,'conversation',264,0,60),
 (8170,8,4005525,'object/mobile/dressed_commoner_tatooine_nikto_male_04.iff',-1.08364e-07,-4.68171e-05,-5.07331e-12,1,-36.1846,1.63942,63.1406,15,'conversation',264,0,60),
 (8171,8,4005525,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',-5.63571e-12,1,2.16723e-07,2.60042e-05,-36.1846,1.63942,64.2406,15,'conversation',264,0,60),
 (8172,8,4005523,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',2.7092e-08,-3.29423e-05,8.92472e-13,1,54.6956,-0.521137,37.0243,15,'conversation',264,0,60),
 (8173,8,4005523,'object/mobile/dressed_mercenary_weak_hum_m.iff',1.31745e-12,1,5.41889e-08,-2.43121e-05,54.6956,-0.521137,38.1243,15,'conversation',264,0,60),
 (8174,8,4005523,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',-7.33171e-09,0.923879,1.77003e-08,0.382684,53.5956,-0.521137,38.1243,15,'conversation',264,0,60),
 (8175,8,4005520,'object/mobile/space_chassis_broker_05.iff',0,0.926499,0,-0.376297,2.14833,0.639422,67.5897,15,'neutral',264,0,60),
 (8176,8,0,'object/mobile/dressed_hooligan_rodian_male_01.iff',0,0.990699,0,0.136074,1276.88,7,3180.3,15,'calm',264,0,60),
 (8177,8,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.363024,0,0.93178,1303.42,7,3113.38,15,'calm',264,0,60),
 (8178,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,-0.58591,0,0.810376,1271.2,7,2972.48,15,'calm',264,0,60),
 (8179,8,0,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.824931,0,0.565234,1294.55,7,3002.8,15,'calm',264,0,60),
 (8180,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.950368,0,-0.311127,1312.96,7,3028.24,15,'calm',264,0,60),
 (8181,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_03.iff',0,0.432633,0,0.90157,1340.32,7,3068.23,15,'calm',264,0,60),
 (8182,8,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.87113,0,-0.491054,1328.4,7,3028.17,15,'conversation',264,0,60),
 (8183,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0.741142,0,-0.671349,1225.63,7,2970.92,15,'calm',264,0,60),
 (8184,8,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',2.45273e-11,-2.52993e-09,0.000651547,1,1326.93,7,3163.39,15,'conversation',264,0,60),
 (8185,8,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',-0.0112161,0.999937,3.03395e-10,-1.12364e-09,1326.93,7,3164.39,15,'conversation',264,0,60),
 (8186,8,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0,0,1,1326.44,7,3119.75,15,'conversation',264,0,60),
 (8187,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_03.iff',0,1,0,0,1326.44,7,3120.75,15,'conversation',264,0,60),
 (8188,8,0,'object/mobile/jawa_male.iff',0,0.889904,0,0.456149,1189.08,7,2993.49,15,'calm',264,0,60),
 (8189,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.940896,0,-0.338696,1280.99,7.51231,3128.99,15,'neutral',264,0,60),
 (8190,8,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.224951,0,0.97437,1289.2,7,3128,15,'neutral',264,0,60),
 (8191,8,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.241922,0,0.970296,1282.4,7,3133.1,15,'neutral',264,0,60),
 (8192,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.358368,0,0.93358,1286.3,7.7102,2954.7,15,'neutral',264,0,60),
 (8193,8,0,'object/mobile/dressed_stormtrooper_rifleman_m.iff',0,-0.453991,0,0.891007,1256,7.7102,2954.3,15,'neutral',264,0,60),
 (8194,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.636078,0,0.771625,1181.3,7,3087.9,15,'neutral',264,0,60),
 (8195,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.656059,0,0.75471,1264,7,3159.3,15,'neutral',264,0,60),
 (8196,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.934434,0,-0.356137,1294.63,7,3035.54,15,'neutral',264,0,60),
 (8197,8,0,'object/mobile/r3.iff',0,0.630069,0,0.776539,1242.26,7,3155.65,15,'calm',264,0,60),
 (8198,8,0,'object/mobile/jawa_male.iff',0,0.398961,0,0.916968,1347.83,7,3060.74,15,'calm',264,0,60),
 (8199,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.999962,0,-0.00872654,1380.4,9.5,3012.4,15,'neutral',264,0,60),
 (8200,8,0,'object/mobile/dressed_noble_human_male_02.iff',0,-2.34621e-08,0,1,1191.8,7,2955.7,15,'conversation',264,0,60),
 (8201,8,0,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,0.92388,0,0.382683,1190.5,7,2957,15,'conversation',264,0,60),
 (8202,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,1399.4,0,3094.3,25,'neutral',128,0,180),
 (8203,8,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,0.859231,0,-0.511588,1400.2,7,3090.2,15,'neutral',264,0,60),
 (8204,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,1401,0,3094.3,25,'neutral',128,0,180),
 (8205,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,-0.173088,0,0.984906,1404.95,11,3109.59,15,'neutral',264,0,60),
 (8206,8,0,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',0,0.997124,0,-0.0757828,1420.16,7,3089.99,15,'calm',264,0,60),
 (8207,8,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.0143757,0,0.999897,1389.06,7.5,3162.26,15,'calm',264,0,60),
 (8208,8,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,-0.329671,0,0.944096,1288.86,7,3208.83,15,'calm',264,0,60),
 (8209,8,0,'object/mobile/r5.iff',0,0.998363,0,-0.0571989,1332.83,11,3233.94,15,'calm',264,0,60),
 (8210,8,0,'object/mobile/eg6_power_droid.iff',0,0.0713719,0,0.99745,1332.45,7.90682,3237.09,15,'calm',264,0,60),
 (8211,8,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,0.132635,0,0.991165,1391.32,7.5,3202.54,15,'calm',264,0,60),
 (8212,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.688355,0,0.725374,1272.7,7,3255.9,15,'neutral',264,0,60),
 (8213,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,-0.438005,0,0.898973,1292.88,7,3263.85,15,'neutral',264,0,60),
 (8214,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.91706,0,0.398749,1376.6,7,3267.5,15,'neutral',264,0,60),
 (8215,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_05.iff',0,0.911952,0,0.410296,1449.89,7,3138,15,'calm',264,0,60),
 (8216,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.707107,0,0.707107,1444.6,7,3106.9,15,'neutral',264,0,60),
 (8217,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_02.iff',0,0.99702,0,0.0771445,1378.9,7,3087.88,15,'calm',264,0,60),
 (8218,8,1153566,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,0.866025,0,0.5,-14.01,1.13306,-8.53,15,'calm',264,0,60),
 (8219,8,1153565,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,0.913545,0,-0.406737,3.32,1.13306,-8.49,15,'calm',264,0,60),
 (8220,8,0,'object/mobile/worrt_hue.iff',0,-0.657188,0,0.753727,1373.72,22.8537,2912.15,15,'calm',264,0,60),
 (8221,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,0.395459,0,0.918484,1197.96,7,2937.67,15,'calm',264,0,60),
 (8222,8,0,'object/mobile/dressed_doctor_trainer_moncal_female_01.iff',0,0.492183,0,0.870492,1209.57,7,2923.54,15,'calm',264,0,60),
 (8223,8,0,'object/mobile/worrt_hue.iff',0,0.689346,0,0.724432,1339.88,14.8086,2842.88,15,'calm',264,0,60),
 (8224,8,0,'object/mobile/worrt_hue.iff',0,0.717915,0,-0.696131,1338.17,14.6409,2847.72,15,'calm',264,0,60),
 (8225,8,0,'object/mobile/rock_mite_hue.iff',0,-0.618813,0,0.785538,1274.94,9.5564,2826.91,15,'calm',264,0,60),
 (8226,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.468444,0,0.883493,1261.62,9.82242,2831.13,15,'calm',264,0,60),
 (8227,8,0,'object/mobile/tanc_mite_hue.iff',0,0.85107,0,0.525053,1264.36,9.84013,2838.12,15,'calm',264,0,60),
 (8228,8,0,'object/mobile/worrt_hue.iff',0,-0.566042,0,0.824376,1270.85,9.85368,2833.03,15,'calm',264,0,60),
 (8229,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.99372,0,0.111897,1414.62,33.9088,2893.24,15,'npc_imperial',264,0,60),
 (8230,8,0,'object/mobile/dune_lizard_hue.iff',0,0.992718,0,0.120459,1266.2,9.90717,2833.11,15,'calm',264,0,60),
 (8231,8,0,'object/mobile/worrt_hue.iff',0,0.723729,0,0.690084,1283.68,8.62574,2821.26,15,'calm',264,0,60),
 (8232,8,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.999274,0,0.0381049,1448.18,7,2974.11,15,'calm',264,0,60),
 (8233,8,0,'object/mobile/dressed_tatooine_ikka_gesul.iff',0,0.994959,0,-0.100286,1499.45,7,3009.43,15,'neutral',264,0,60),
 (8234,8,0,'object/mobile/worrt_hue.iff',0,0.0339836,0,0.999422,1553.18,6.46393,2915.57,15,'calm',264,0,60),
 (8235,8,0,'object/mobile/dune_lizard_hue.iff',0,0.701951,0,0.712225,1551.49,6.59957,2905.19,15,'calm',264,0,60),
 (8236,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.0126635,0.700769,-0.00311431,0.713269,1546.83,6.54023,2907.8,15,'neutral',264,0,60),
 (8237,8,0,'object/mobile/worrt_hue.iff',0,0.983914,0,-0.178643,1557.59,6.25528,2908.24,15,'calm',264,0,60),
 (8238,8,0,'object/mobile/worrt_hue.iff',0,0.863349,0,-0.504608,1557.88,6.25405,2908.11,15,'calm',264,0,60),
 (8239,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.998135,0,0.0610485,1557.7,9.5,3045.7,15,'neutral',264,0,60),
 (8240,8,0,'object/mobile/womp_rat_hue.iff',0,0.861261,0,0.508164,1554.99,6.26101,2910.7,15,'calm',264,0,60),
 (8241,8,0,'object/mobile/womp_rat_hue.iff',0.00931394,0.0926951,-0.025271,0.99533,1553.41,6.45934,2915.5,15,'calm',264,0,60),
 (8242,8,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0.998651,0,-0.0519162,1624.1,7,2929.75,15,'calm',264,0,60),
 (8243,8,0,'object/mobile/dressed_imperial_exterminator.iff',0,0.656059,0,0.75471,1593.3,7,3020.2,15,'neutral',264,0,60),
 (8244,8,0,'object/mobile/womp_rat_hue.iff',0,0.509099,0,0.860708,1567.09,6.83359,2921.88,15,'calm',264,0,60),
 (8245,8,0,'object/mobile/womp_rat_hue.iff',0,0.999965,0,-0.00837805,1550.6,7.00186,2902.02,15,'calm',264,0,60),
 (8246,8,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.753521,0,0.657424,1647.95,7,2957,15,'calm',264,0,60),
 (8247,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.999962,0,-0.00872646,1637.2,7,2980.3,15,'neutral',264,0,60),
 (8248,8,1153626,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0.999901,0,0.014064,-5.68668,1.00421,10.3907,15,'calm',264,0,60),
 (8249,8,1153522,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,-1.12426e-05,0,1,30.4646,-0.255725,-0.43765,15,'conversation',264,0,60),
 (8250,8,1153522,'object/mobile/dressed_eisley_officer_trandoshan_female_01.iff',0,1,0,4.4174e-05,30.4646,-0.255725,0.66235,15,'conversation',264,0,60),
 (8251,8,1153522,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,0.923878,0,0.382688,29.3646,-0.255725,0.66235,15,'conversation',264,0,60),
 (8252,8,1153522,'object/mobile/dressed_entertainer_trainer_human_female_01.iff',0,0.382681,0,0.923881,29.3646,-0.255725,-0.43765,15,'conversation',264,0,60),
 (8253,8,1153520,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,-2.81695e-05,0,1,12.7978,-0.255725,8.10473,15,'conversation',264,0,60),
 (8254,8,1153520,'object/mobile/dressed_bountyhunter_trainer_04.iff',0,1,0,2.731e-05,12.7978,-0.255725,9.20473,15,'conversation',264,0,60),
 (8255,8,1153518,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',-0.039447,0.785799,-0.0504184,-0.61516,19.0124,0.01,-5.51447,15,'conversation',264,0,60),
 (8256,8,1153518,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',-0.0504089,0.615161,0.0394625,0.785798,17.0101,-0.255725,-6.00959,15,'conversation',264,0,60),
 (8257,8,1153518,'object/mobile/r2.iff',0,0.970514,0,0.241046,19.01,0.01,-5.51447,15,'calm',264,0,60),
 (8258,8,1153516,'object/mobile/dressed_noble_rodian_male_01.iff',0,2.64354e-05,0,1,7.19977,-0.255725,-8.84042,15,'conversation',264,0,60),
 (8259,8,1153516,'object/mobile/dressed_commoner_tatooine_bith_male_02.iff',0,1,0,-1.64876e-05,7.19977,-0.255725,-7.74042,15,'conversation',264,0,60),
 (8260,8,1153516,'object/mobile/dressed_commoner_tatooine_trandoshan_female_01.iff',0,0.92388,0,0.382683,6.09977,-0.255725,-7.74042,15,'conversation',264,0,60),
 (8261,8,1153512,'object/mobile/dressed_eisley_officer_aqualish_male_01.iff',0,-3.04582e-06,0,1,-11.7551,0.0100002,-2.33478,15,'conversation',264,0,60),
 (8262,8,1153512,'object/mobile/dressed_naboo_nomad.iff',0,1,0,-5.67847e-05,-11.7551,0.0100002,-1.23478,15,'conversation',264,0,60),
 (8263,8,1153507,'object/mobile/dressed_commoner_naboo_twilek_male_01.iff',0,-0.706725,0,0.707488,-14.2049,-0.255725,-12.4673,15,'conversation',264,0,60),
 (8264,8,1153507,'object/mobile/dressed_commoner_tatooine_devaronian_male_04.iff',0,0.707489,0,0.706725,-16.1968,-0.255725,-12.4652,15,'conversation',264,0,60),
 (8265,8,1153507,'object/mobile/r5.iff',0,0.534752,0,0.845009,-15.2049,-0.255725,-11.4673,15,'calm',264,0,60),
 (8266,8,1153501,'object/mobile/dressed_hooligan_rodian_male_01.iff',0,5.11722e-05,0,1,18.2949,7.01,0.838211,15,'conversation',264,0,60),
 (8267,8,1153501,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,1,0,-1.70472e-06,18.2949,7.01,1.93821,15,'conversation',264,0,60),
 (8268,8,1153501,'object/mobile/dressed_criminal_thug_human_female_02.iff',0,0.923883,0,0.382676,17.1949,7.01,1.93821,15,'conversation',264,0,60),
 (8269,8,1153499,'object/mobile/dressed_criminal_pirate_human_female_01.iff',0,1.64784e-05,0,1,-23.4917,9.01,1.31044,15,'conversation',264,0,60),
 (8270,8,1153499,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',0,1,0,-2.60196e-05,-23.4917,9.01,2.41044,15,'conversation',264,0,60),
 (8271,8,1153499,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0.923879,0,0.382685,-24.5917,9.01,2.41044,15,'conversation',264,0,60),
 (8272,8,1153499,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.622603,0,0.782538,-25.2156,9.01,-0.754679,15,'calm',264,0,60),
 (8273,8,1153503,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',0,0.738705,0,0.674029,4.3863,7.01,12.7119,15,'calm',264,0,60),
 (8274,8,1153497,'object/mobile/dressed_criminal_slicer_human_female_01.iff',0,-7.26651e-06,0,1,-3.4032,7.01,4.89576,15,'conversation',264,0,60),
 (8275,8,1153497,'object/mobile/dressed_artisan_trainer_02.iff',0,1,0,4.83449e-05,-3.4032,7.01,5.99576,15,'conversation',264,0,60),
 (8276,8,1153497,'object/mobile/dressed_tatooine_blerx_tango.iff',0,0.825462,0,0.564458,-19.161,7.01,-8.09835,15,'neutral',264,0,60),
 (8277,8,0,'object/mobile/dune_lizard_hue.iff',0,0.470417,0,0.882444,1709.58,10.3179,2835.96,15,'calm',264,0,60),
 (8278,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.225907,0,0.974149,1693.1,10.2439,2830.06,15,'calm',264,0,60),
 (8279,8,0,'object/mobile/dune_lizard_hue.iff',0,0.975773,0,-0.218784,1692.84,9.48024,2820.93,15,'calm',264,0,60),
 (8280,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.672071,0,0.740487,1685.87,10.1713,2832.4,15,'calm',264,0,60),
 (8281,8,0,'object/mobile/rock_mite_hue.iff',0,-0.581198,0,0.813762,1691.38,9.48584,2821.22,15,'calm',264,0,60),
 (8282,8,0,'object/mobile/rock_mite_hue.iff',0,-0.21623,0,0.976342,1698.56,9.80305,2823.97,15,'calm',264,0,60),
 (8283,8,0,'object/mobile/worrt_hue.iff',0,0.741291,0,0.671184,1713.52,9.79311,2825.23,15,'calm',264,0,60),
 (8284,8,0,'object/mobile/dressed_noble_rodian_male_01.iff',0,-1.33675e-08,0,1,1720.1,7,3016.64,15,'conversation',264,0,60),
 (8285,8,0,'object/mobile/dressed_mercenary_weak_rod_m.iff',0,1,0,1.95123e-08,1720.1,7,3017.94,15,'conversation',264,0,60),
 (8286,8,0,'object/mobile/rock_mite_hue.iff',0,-0.221831,0,0.975085,1733.21,10.3787,2815.08,15,'calm',264,0,60),
 (8287,8,0,'object/mobile/rock_mite_hue.iff',0,0.223119,0,0.974791,1744.69,10.1734,2821.79,15,'calm',264,0,60),
 (8288,8,0,'object/mobile/worrt_hue.iff',0,0.875213,0,0.483738,1790.19,6.66465,2878.26,15,'calm',264,0,60),
 (8289,8,0,'object/mobile/worrt_hue.iff',0,0.294345,0,0.955699,1789.47,7.95745,2890.23,15,'calm',264,0,60),
 (8290,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.541283,0,0.84084,1784.51,7.62439,2885.12,15,'calm',264,0,60),
 (8291,8,0,'object/mobile/rock_mite_hue.iff',0,-0.481272,0,0.876571,1783.82,7.5651,2884.2,15,'calm',264,0,60),
 (8292,8,0,'object/mobile/worrt_hue.iff',0,-0.383751,0,0.923437,1742.08,10.3631,2819.34,15,'calm',264,0,60),
 (8293,8,0,'object/mobile/worrt_hue.iff',0,0.0135077,0,0.999909,1763.95,10.0345,2821.82,15,'calm',264,0,60),
 (8294,8,0,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,0,0,1,1701.23,21.49,3031.28,15,'conversation',264,0,60),
 (8295,8,0,'object/mobile/dune_lizard_hue.iff',0,0.842573,0,0.538581,1806.8,6.9809,2878.03,15,'calm',264,0,60),
 (8296,8,0,'object/mobile/worrt_hue.iff',0,0.758287,0,0.651921,1805.9,6.94296,2871.32,15,'calm',264,0,60),
 (8297,8,0,'object/mobile/worrt_hue.iff',0,0.338281,0,0.941045,1800.05,6.80464,2891.47,15,'calm',264,0,60),
 (8298,8,0,'object/mobile/womp_rat_hue.iff',0,-0.619339,0,0.785124,1781.88,7.42814,2883.16,15,'calm',264,0,60),
 (8299,8,0,'object/mobile/dune_lizard_hue.iff',0,0.807777,0,0.589489,1870.24,9.20984,2966.54,15,'calm',264,0,60),
 (8300,8,0,'object/mobile/dune_lizard_hue.iff',0,0.868073,0,-0.496436,1865.24,9.40373,2963.71,15,'calm',264,0,60),
 (8301,8,0,'object/mobile/tanc_mite_hue.iff',0,0.850533,0,-0.525923,1859.94,8.77464,2963.42,15,'calm',264,0,60),
 (8302,8,0,'object/mobile/tanc_mite_hue.iff',0,0.718919,0,0.695094,1872.92,8.96768,2965.44,15,'calm',264,0,60),
 (8303,8,0,'object/mobile/rock_mite_hue.iff',0,-0.0974773,0,0.995238,1866.41,9.04205,2967.88,15,'calm',264,0,60),
 (8304,8,0,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,1,0,-4.21468e-08,1744.45,7,3058.83,15,'conversation',264,0,60),
 (8305,8,0,'object/mobile/womp_rat_hue.iff',0,-0.527736,0,0.849409,1852.49,9.74789,2961.32,15,'calm',264,0,60),
 (8306,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.627749,0,0.778416,1892.9,11.1802,3073.04,15,'calm',264,0,60),
 (8307,8,0,'object/mobile/rock_mite_hue.iff',0,0.641833,0,0.766844,1900.72,13.3004,3090.22,15,'calm',264,0,60),
 (8308,8,0,'object/mobile/tanc_mite_hue.iff',0,0.521925,0,0.852991,1905.04,14.1019,3085.49,15,'calm',264,0,60),
 (8309,8,0,'object/mobile/tanc_mite_hue.iff',0,0.971799,0,0.235809,1904.71,13.5966,3075.98,15,'calm',264,0,60),
 (8310,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.301496,0,0.953467,1896.15,12.2618,3089.08,15,'calm',264,0,60),
 (8311,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.320426,0,0.947274,1897.89,12.4578,3080.4,15,'calm',264,0,60),
 (8312,8,0,'object/mobile/worrt_hue.iff',0,0.905931,0,0.423426,1905.32,13.964,3081.04,15,'calm',264,0,60),
 (8313,8,0,'object/mobile/dressed_commoner_old_zabrak_male_02.iff',0,0.446159,0,0.894954,1723.47,7,3130.73,15,'calm',264,0,60),
 (8314,8,0,'object/mobile/dressed_commoner_old_human_female_02.iff',0,-0.552741,0,0.833353,1752.63,7,3163.33,15,'calm',264,0,60),
 (8315,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0,0,1,1743,7,3172.7,15,'neutral',264,0,60),
 (8316,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.999391,0,0.0348994,1715.3,7,3147.1,15,'neutral',264,0,60),
 (8317,8,0,'object/mobile/rock_mite_hue.iff',0,-0.469134,0,0.883127,1846.71,9.40988,2982.52,15,'neutral',264,0,60),
 (8318,8,0,'object/mobile/rock_mite_hue.iff',0,0.987486,0,-0.157704,1848.87,9.71876,2972.28,15,'neutral',264,0,60),
 (8319,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.999848,0,0.0174523,1738.6,7.6,3191.1,15,'neutral',264,0,60),
 (8320,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.62932,0,0.777146,1759.6,7,3186.1,15,'neutral',264,0,60),
 (8321,8,0,'object/mobile/worrt_hue.iff',0,0.396402,0,0.918077,1844.89,6.26424,3232.27,15,'calm',264,0,60),
 (8322,8,0,'object/mobile/dune_lizard_hue.iff',0,0.84495,0,0.534846,1825.88,6.71469,3234.62,15,'calm',264,0,60),
 (8323,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.183109,0,0.983093,1824,6.77883,3233.9,15,'calm',264,0,60),
 (8324,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.0302272,0,0.999543,1734.63,7.6,3192.02,15,'neutral',264,0,60),
 (8325,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.0174524,0,0.999848,1688.8,7,3125.2,15,'neutral',264,0,60),
 (8326,8,0,'object/mobile/worrt_hue.iff',0,0.999287,0,0.03775,1930.25,16.8951,3152.15,15,'calm',264,0,60),
 (8327,8,0,'object/mobile/worrt_hue.iff',0,-0.325023,0,0.945706,1828.47,6.59728,3244.79,15,'calm',264,0,60),
 (8328,8,0,'object/mobile/rock_mite_hue.iff',0,0.817181,0,0.576382,1819.31,6.57781,3240.37,15,'calm',264,0,60),
 (8329,8,0,'object/mobile/worrt_hue.iff',0,0.878309,0,-0.478093,1827.19,6.58123,3242.88,15,'calm',264,0,60),
 (8330,8,0,'object/mobile/tanc_mite_hue.iff',0,0.588339,0,0.808614,1834.6,5.40456,3238.51,15,'calm',264,0,60),
 (8331,8,0,'object/mobile/dune_lizard_hue.iff',0,0.964872,0,0.262721,1824.45,6.63692,3238.38,15,'calm',264,0,60),
 (8332,8,0,'object/mobile/rock_mite_hue.iff',0,0.985887,0,-0.167415,1936.08,17.7986,3155.67,15,'calm',264,0,60),
 (8333,8,0,'object/mobile/tanc_mite_hue.iff',0,0.872541,0,-0.488541,1736.14,7.40122,3265.29,15,'calm',264,0,60),
 (8334,8,0,'object/mobile/tanc_mite_hue.iff',0,0.376887,0,0.926259,1741.69,8.61579,3276.76,15,'calm',264,0,60),
 (8335,8,0,'object/mobile/dune_lizard_hue.iff',0,0.999527,0,-0.0307456,1743.22,7.82701,3265.36,15,'calm',264,0,60),
 (8336,8,0,'object/mobile/worrt_hue.iff',0,0.900758,0,0.434322,1746.96,10.0292,3284.7,15,'calm',264,0,60),
 (8337,8,0,'object/mobile/worrt_hue.iff',0,-0.413426,0,0.910538,1732.79,8.12792,3282.87,15,'calm',264,0,60),
 (8338,8,0,'object/mobile/worrt_hue.iff',0,0.891797,0,-0.452435,1739.93,8.81984,3281.18,15,'calm',264,0,60),
 (8339,8,0,'object/mobile/worrt_hue.iff',0,0.798766,0,-0.601642,1724.92,7.1876,3273.25,15,'calm',264,0,60),
 (8340,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,-0.252226,0,0.967668,1619.54,11,3228.91,15,'calm',264,0,60),
 (8341,8,0,'object/mobile/womp_rat_hue.iff',0,-0.607576,0,0.794261,1732.5,9.60921,3291.65,15,'calm',264,0,60),
 (8342,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.681998,0,0.731354,1618.9,11,3241.7,15,'neutral',264,0,60),
 (8343,8,0,'object/mobile/zabrak_male.iff',0,0.99178,0,0.127958,1615.27,11,3298.91,15,'calm',264,0,60),
 (8344,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.0274334,-0.572941,-0.00205298,0.819135,1605.71,11,3255.47,15,'neutral',264,0,60),
 (8345,8,0,'object/mobile/dressed_imperial_officer_m.iff',0.0219254,0.71318,0.0131383,-0.700514,1602.89,11,3255.09,15,'neutral',264,0,60),
 (8346,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,-0.707107,0,0.707107,1613.85,11,3211.53,15,'neutral',264,0,60),
 (8347,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.992214,0,0.124541,1615.26,11,3299.05,15,'neutral',264,0,60),
 (8348,8,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,0.991777,0,0.127975,1615.31,11,3299,15,'calm',264,0,60),
 (8349,8,0,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0,0.980977,0,-0.194123,1621.79,7,3319.3,15,'calm',264,0,60),
 (8350,8,0,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',0,0.739628,0,0.673016,1621.49,11,3288.04,15,'calm',264,0,60),
 (8351,8,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,0.99128,0,0.131775,1615.24,11,3299.16,15,'calm',264,0,60),
 (8352,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,0.915108,0,-0.403208,1615.17,7,3313.63,15,'calm',264,0,60),
 (8353,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.582002,0,0.813187,1600.5,11,3188.98,15,'npc_imperial',264,0,60),
 (8354,8,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.603695,0,0.797216,1597.4,11,3186.76,15,'neutral',264,0,60),
 (8355,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.581962,0,0.813216,1598.04,11,3188.15,15,'npc_imperial',264,0,60),
 (8356,8,0,'object/mobile/jawa_male.iff',0,0.99903,0,-0.0440283,1606.52,7,3326.51,15,'calm',264,0,60),
 (8357,8,0,'object/mobile/jawa_male.iff',0,0.963673,0,-0.267085,1606.52,7,3326.51,15,'calm',264,0,60),
 (8358,8,0,'object/mobile/jawa_male.iff',0,0.992307,0,0.123799,1606.52,7,3326.51,15,'calm',264,0,60),
 (8359,8,0,'object/mobile/jawa_male.iff',0,0.871295,0,-0.49076,1610.92,7,3318.88,15,'calm',264,0,60),
 (8360,8,0,'object/mobile/jawa_male.iff',0,0.503414,0,0.864045,1606.52,7,3326.51,15,'calm',264,0,60),
 (8361,8,0,'object/mobile/jawa_male.iff',0,0.984552,0,0.17509,1617,7,3331.5,15,'calm',264,0,60),
 (8362,8,0,'object/mobile/jawa_male.iff',0,-0.438207,0,0.898874,1606.52,7,3326.51,15,'calm',264,0,60),
 (8363,8,0,'object/mobile/jawa_male.iff',0,0.755458,0,0.655197,1613.77,7,3324.48,15,'calm',264,0,60),
 (8364,8,0,'object/mobile/jawa_male.iff',0,0.985292,0,-0.17088,1606.95,7,3315.18,15,'calm',264,0,60),
 (8365,8,0,'object/mobile/jawa_male.iff',0,0.928374,0,0.371648,1608.77,7,3328.04,15,'calm',264,0,60),
 (8366,8,0,'object/mobile/jawa_male.iff',0,0.999557,0,-0.0297675,1608.3,7,3328.9,15,'calm',264,0,60),
 (8367,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.366203,0,0.930535,1571.71,11,3249.69,15,'npc_imperial',264,0,60),
 (8368,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,1565.41,0,3235.35,25,'neutral',128,0,180),
 (8369,8,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0,0.2901,0,0.956996,1636.62,7,3124.11,15,'calm',264,0,60),
 (8370,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.994818,0,-0.101669,1564.88,11,3232.79,15,'npc_imperial',264,0,60),
 (8371,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.95882,0,0.284015,1663,7,3109.8,15,'neutral',264,0,60),
 (8372,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.994817,0,-0.10168,1565.23,11,3234.47,15,'npc_imperial',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (8373,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.994818,0,-0.101676,1564.91,11,3232.96,15,'npc_imperial',264,0,60),
 (8374,8,0,'object/mobile/dressed_imperial_officer_m.iff',0,-0.0260164,0,0.999662,1566.7,11,3230.16,15,'npc_imperial',264,0,60),
 (8375,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.366188,0,0.930541,1571.56,11,3247.83,15,'npc_imperial',264,0,60),
 (8376,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.999996,0,-0.00288538,1560.03,11,3235.14,15,'npc_imperial',264,0,60),
 (8377,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.939482,0,-0.342599,1560.17,11,3237.44,15,'npc_imperial',264,0,60),
 (8378,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.366192,0,0.930539,1570.4,11,3248.28,15,'npc_imperial',264,0,60),
 (8379,8,0,'object/mobile/jawa_male.iff',0,0.99988,0,-0.0154823,1607.98,7,3329.87,15,'calm',264,0,60),
 (8380,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.999984,0,-0.005625,1558.86,11,3234.17,15,'npc_imperial',264,0,60),
 (8381,8,0,'object/mobile/jawa_male.iff',0,0.999557,0,-0.0297688,1608.36,7,3330.01,15,'calm',264,0,60),
 (8382,8,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.731354,0,-0.681998,1538.7,10.866,3219.9,15,'neutral',264,0,60),
 (8383,8,0,'object/mobile/jawa_male.iff',0,0.844189,0,-0.536045,1606.37,7,3348.55,15,'calm',264,0,60),
 (8384,8,0,'object/mobile/jawa_male.iff',0,0.591124,0,0.80658,1609.44,7,3350.05,15,'calm',264,0,60),
 (8385,8,0,'object/mobile/jawa_male.iff',0,0.895826,0,-0.444405,1603.79,7,3345.6,15,'calm',264,0,60),
 (8386,8,0,'object/mobile/jawa_male.iff',0,-0.181187,0,0.983449,1610.12,7,3349.26,15,'calm',264,0,60),
 (8387,8,0,'object/mobile/jawa_male.iff',0,0.66459,0,0.747209,1578.2,7,3337.93,15,'calm',264,0,60),
 (8388,8,0,'object/mobile/jawa_male.iff',0,0.666394,0,0.7456,1588.78,7,3339.21,15,'calm',264,0,60),
 (8389,8,0,'object/mobile/jawa_male.iff',0,-0.625853,0,0.779941,1555.27,7,3333.7,15,'calm',264,0,60),
 (8390,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff',0,0.887123,0,-0.461533,1606.53,7,3357.48,15,'calm',264,0,60),
 (8391,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_02.iff',0,0.876963,0,-0.480558,1556.48,7,3324.92,15,'calm',264,0,60),
 (8392,8,0,'object/mobile/jawa_male.iff',0,0.596245,0,0.802803,1566.49,7,3337.08,15,'calm',264,0,60),
 (8393,8,0,'object/mobile/dressed_bestine_artist02.iff',0,0.999312,0,-0.0370854,1521.78,7,3259.81,15,'neutral',264,0,60),
 (8394,8,0,'object/mobile/jawa_male.iff',0,0.665161,0,0.746701,1572.44,7,3337.29,15,'calm',264,0,60),
 (8395,8,0,'object/mobile/worrt_hue.iff',0,0.882367,0,0.470562,1689.02,12,3443.08,15,'calm',264,0,60),
 (8396,8,0,'object/mobile/dune_lizard_hue.iff',0,0.88723,0,-0.461327,1689.02,12,3444.08,15,'calm',264,0,60),
 (8397,8,0,'object/mobile/dune_lizard_hue.iff',0,0.063251,0,0.997998,1688.02,12,3442.08,15,'calm',264,0,60),
 (8398,8,0,'object/mobile/worrt_hue.iff',0,0.976911,0,0.213648,1685.02,12,3445.08,15,'calm',264,0,60),
 (8399,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.44268,0,0.89668,1583.89,7,3429.16,15,'calm',264,0,60),
 (8400,8,0,'object/mobile/tanc_mite_hue.iff',0,0.88624,0,0.463226,1694.02,12,3450.08,15,'calm',264,0,60),
 (8401,8,0,'object/mobile/worrt_hue.iff',0,-0.443419,0,0.896314,1687.02,12,3453.08,15,'calm',264,0,60),
 (8402,8,0,'object/mobile/dressed_imperial_officer_m_6.iff',-0.0152624,0.267607,-0.0237413,0.963115,1626.03,7.36699,3513.56,15,'neutral',264,0,60),
 (8403,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,1628.23,0,3512.41,25,'neutral',128,0,180),
 (8404,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',-0.0157944,0.232129,-0.0294895,0.97211,1626.92,7.34652,3512.12,15,'neutral',264,0,60),
 (8405,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.00221384,0.359714,-0.0341041,0.932437,1629.95,7.34272,3522.79,15,'neutral',264,0,60),
 (8406,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,1623.03,0,3516.22,25,'neutral',128,0,180),
 (8407,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.00984625,0.653265,-0.0104442,0.756993,1624.2,7.41708,3516.48,15,'neutral',264,0,60),
 (8408,8,0,'object/mobile/worrt_hue.iff',0,0.936944,0,-0.349478,1629.38,7.68618,3532.31,15,'calm',264,0,60),
 (8409,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.416084,0,0.909326,1632.38,7.78197,3533.31,15,'calm',264,0,60),
 (8410,8,0,'object/mobile/rock_mite_hue.iff',0.00932795,0.757008,0.0108095,-0.65325,1647.38,6.74919,3521.31,15,'calm',264,0,60),
 (8411,8,0,'object/mobile/womp_rat_hue.iff',0,0.695537,0,0.718491,1694.12,12,3445.83,15,'calm',264,0,60),
 (8412,8,0,'object/mobile/womp_rat_hue.iff',0,0.440327,0,0.897838,1687.02,12,3449.08,15,'calm',264,0,60),
 (8413,8,0,'object/mobile/tanc_mite_hue.iff',0,0.997422,0,-0.0717574,1633.38,7.78232,3539.31,15,'calm',264,0,60),
 (8414,8,0,'object/mobile/worrt_hue.iff',0,0.994046,0,0.108963,1642.28,6.52379,3539.28,15,'calm',264,0,60),
 (8415,8,0,'object/mobile/worrt_hue.iff',0,-0.113766,0,0.993508,1640.27,6.57107,3539.44,15,'calm',264,0,60),
 (8416,8,0,'object/mobile/tanc_mite_hue.iff',0,0.83651,0,0.547952,1640.38,6.72345,3534.31,15,'calm',264,0,60),
 (8417,8,0,'object/mobile/dune_lizard_hue.iff',0,0.331903,0,0.943314,1562.12,9.0806,3579.43,15,'calm',264,0,60),
 (8418,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.471314,0,0.881966,1558.79,7.75791,3583.97,15,'calm',264,0,60),
 (8419,8,0,'object/mobile/rock_mite_hue.iff',0,-0.44933,0,0.893366,1552.99,10.3713,3574.25,15,'calm',264,0,60),
 (8420,8,0,'object/mobile/rock_mite_hue.iff',0,0.215017,0,0.97661,1563.08,8.26132,3583.36,15,'calm',264,0,60),
 (8421,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_07.iff',0,-0.679576,0,0.733605,1508.04,15,3486.27,15,'calm',264,0,60),
 (8422,8,0,'object/mobile/womp_rat_hue.iff',0,-0.247165,0,0.968973,1634.85,6.91877,3545.88,15,'calm',264,0,60),
 (8423,8,0,'object/mobile/rock_mite_hue.iff',0,0.683821,0,0.729649,1484.61,8.0894,3544.36,15,'calm',264,0,60),
 (8424,8,0,'object/mobile/womp_rat_hue.iff',0,0.83624,0,0.548365,1557.92,10.1478,3573.36,15,'calm',264,0,60),
 (8425,8,0,'object/mobile/womp_rat_hue.iff',0,0.985624,0,-0.168955,1557.47,10.275,3569.88,15,'calm',264,0,60),
 (8426,8,0,'object/mobile/womp_rat_hue.iff',0,0.95578,0,-0.294082,1559.86,9.25833,3579.77,15,'calm',264,0,60),
 (8427,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_03.iff',0,0.770905,0,-0.636951,1554.59,15,3500.85,15,'calm',264,0,60),
 (8428,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.152976,0,0.98823,1475.43,9.2151,3551.59,15,'calm',264,0,60),
 (8429,8,0,'object/mobile/dune_lizard_hue.iff',0,0.832344,0,0.55426,1472.13,7,3537.17,15,'calm',264,0,60),
 (8430,8,0,'object/mobile/tanc_mite_hue.iff',0,0.0286632,0,0.999589,1471.74,9.70389,3555.05,15,'calm',264,0,60),
 (8431,8,0,'object/mobile/worrt_hue.iff',0,0.358438,0,0.933553,1470.89,9.14934,3551.91,15,'calm',264,0,60),
 (8432,8,0,'object/mobile/rock_mite_hue.iff',0,0.363826,0,0.931467,1438.96,15.6977,3606.76,15,'calm',264,0,60),
 (8433,8,0,'object/mobile/womp_rat_hue.iff',0,0.0250804,0,0.999685,1486.47,8.07983,3544.04,15,'calm',264,0,60),
 (8434,8,0,'object/mobile/worrt_hue.iff',0,0.842067,0,0.539373,1414.39,19.1584,3614.59,15,'calm',264,0,60),
 (8435,8,0,'object/mobile/worrt_hue.iff',0,0.872622,0,-0.488396,1416.84,19.1847,3617.66,15,'calm',264,0,60),
 (8436,8,0,'object/mobile/rock_mite_hue.iff',0,0.899845,0,0.436209,1438.47,15.7136,3604.36,15,'calm',264,0,60),
 (8437,8,0,'object/mobile/womp_rat_hue.iff',0,0.29799,0,0.954569,1473.29,10.0509,3556.92,15,'calm',264,0,60),
 (8438,8,0,'object/mobile/womp_rat_hue.iff',0,0.981551,0,-0.191202,1463.72,7,3527.25,15,'calm',264,0,60),
 (8439,8,0,'object/mobile/worrt_hue.iff',0,-0.257819,0,0.966193,1385.64,9.7947,3570.08,15,'calm',264,0,60),
 (8440,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.574866,0,0.818247,1381.66,9.90952,3574.83,15,'calm',264,0,60),
 (8441,8,0,'object/mobile/tanc_mite_hue.iff',0,0.502625,0,0.864505,1384.58,8.32903,3562.44,15,'calm',264,0,60),
 (8442,8,0,'object/mobile/tanc_mite_hue.iff',0,0.911279,0,-0.411789,1385.76,8.10126,3560.41,15,'calm',264,0,60),
 (8443,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.357899,0,0.933761,1372.52,7.29019,3556.73,15,'calm',264,0,60),
 (8444,8,0,'object/mobile/rock_mite_hue.iff',0,0.727648,0,-0.685951,1376.56,6.93198,3548.19,15,'calm',264,0,60),
 (8445,8,0,'object/mobile/worrt_hue.iff',0,0.916612,0,-0.399778,1376.97,7.32279,3555.79,15,'calm',264,0,60),
 (8446,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.862133,0,0.506681,1472.88,7,3404.2,15,'neutral',264,0,60),
 (8447,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.725374,0,0.688355,1333.6,7,3490,15,'neutral',264,0,60),
 (8448,8,0,'object/mobile/dressed_criminal_pirate_human_female_01.iff',0,1,0,1.57089e-08,1356.66,7,3414.43,15,'conversation',264,0,60),
 (8449,8,0,'object/mobile/dressed_commoner_old_human_male_02.iff',0,0.92388,0,0.382683,1355.36,7,3414.43,15,'conversation',264,0,60),
 (8450,8,0,'object/mobile/tanc_mite_hue.iff',0,0.361753,0,0.932274,1284.04,8.57263,3570.14,15,'calm',264,0,60),
 (8451,8,0,'object/mobile/tanc_mite_hue.iff',0,0.705042,0,0.709165,1267.7,8.63449,3561.35,15,'calm',264,0,60),
 (8452,8,0,'object/mobile/dune_lizard_hue.iff',0,0.989551,0,0.144186,1261.2,9.14893,3567.29,15,'calm',264,0,60),
 (8453,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.645291,0,0.763937,1256.35,8.99928,3577.67,15,'calm',264,0,60),
 (8454,8,0,'object/mobile/dressed_commoner_fat_zabrak_male_02.iff',0,-0.0425188,0,0.999096,1326.19,7,3409.97,15,'calm',264,0,60),
 (8455,8,0,'object/mobile/womp_rat_hue.iff',0,-0.498242,0,0.867038,1271.46,7.96205,3555.45,15,'calm',264,0,60),
 (8456,8,0,'object/mobile/womp_rat_hue.iff',0,-0.705708,0,0.708503,1269.92,8.62089,3562.04,15,'calm',264,0,60),
 (8457,8,0,'object/mobile/rock_mite_hue.iff',0,0.841816,0,-0.539764,1181.18,9.76559,3555.94,15,'calm',264,0,60),
 (8458,8,0,'object/mobile/worrt_hue.iff',0,-0.0648504,0,0.997895,1177.47,10.4286,3561.08,15,'calm',264,0,60),
 (8459,8,0,'object/mobile/worrt_hue.iff',0,0.606623,0,0.79499,1178.92,11.1815,3550.03,15,'calm',264,0,60),
 (8460,8,0,'object/mobile/womp_rat_hue.iff',0,0.035978,0,0.999353,1261.56,9.10267,3566,15,'calm',264,0,60),
 (8461,8,0,'object/mobile/dressed_scout_trooper_black_black.iff',0,0.707107,0,0.707107,1320.9,9.5,3382.9,15,'neutral',264,0,60),
 (8462,8,0,'object/mobile/worrt_hue.iff',0,0.746054,0,0.665886,1157.53,26.9318,3453.41,15,'calm',264,0,60),
 (8463,8,0,'object/mobile/tanc_mite_hue.iff',0,0.0187891,0,0.999823,1159.34,26.0984,3455.89,15,'calm',264,0,60),
 (8464,8,0,'object/mobile/worrt_hue.iff',0,0.999052,0,-0.0435326,1145.96,28.8096,3450.07,15,'calm',264,0,60),
 (8465,8,0,'object/mobile/worrt_hue.iff',0,0.146602,0,0.989195,1154.25,27.7183,3452.09,15,'calm',264,0,60),
 (8466,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.729325,0,0.684168,1302.38,7,3357.34,15,'calm',264,0,60),
 (8467,8,0,'object/mobile/worrt_hue.iff',0,0.864195,0,-0.503158,1143.38,28.7819,3451.71,15,'calm',264,0,60),
 (8468,8,0,'object/mobile/rock_mite_hue.iff',0,-0.584806,0,0.811173,1140.86,29.1388,3450.07,15,'calm',264,0,60),
 (8469,8,0,'object/mobile/tanc_mite_hue.iff',0,0.922833,0,-0.3852,1141.08,29.2815,3442.2,15,'calm',264,0,60),
 (8470,8,0,'object/mobile/dune_lizard_hue.iff',0,0.957148,0,-0.289599,1139.62,29.4759,3443.99,15,'calm',264,0,60),
 (8471,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,0.281459,0,0.959573,1242.3,7,3321.72,15,'calm',264,0,60),
 (8472,8,0,'object/mobile/dune_lizard_hue.iff',0,0.86515,0,-0.501514,1141.26,20.2478,3353.73,15,'calm',264,0,60),
 (8473,8,0,'object/mobile/rock_mite_hue.iff',0,0.875142,0,-0.483867,1137.85,20.6419,3348.3,15,'calm',264,0,60),
 (8474,8,0,'object/mobile/worrt_hue.iff',0,-0.635225,0,0.772327,1142.64,19.2634,3347.08,15,'calm',264,0,60),
 (8475,8,0,'object/mobile/worrt_hue.iff',0,0.448063,0,0.894002,1134.66,22.3091,3354.39,15,'calm',264,0,60),
 (8476,8,0,'object/mobile/worrt_hue.iff',0,0.702713,0,0.711474,1136.69,21.8977,3355.96,15,'calm',264,0,60),
 (8477,8,0,'object/mobile/worrt_hue.iff',0,0.792266,0,-0.610176,1130.02,22.1785,3341.24,15,'calm',264,0,60),
 (8478,8,0,'object/mobile/worrt_hue.iff',0,0.861048,0,-0.508524,1129.37,23.2358,3348.93,15,'calm',264,0,60),
 (8479,8,0,'object/mobile/rock_mite_hue.iff',0,-0.551386,0,0.83425,1124.01,13.4652,3243.27,15,'calm',264,0,60),
 (8480,8,0,'object/mobile/worrt_hue.iff',0,0.731959,0,0.681349,1140.5,10.3186,3249.19,15,'calm',264,0,60),
 (8481,8,0,'object/mobile/worrt_hue.iff',0,-0.647167,0,0.762348,1123.3,14.8199,3250.77,15,'calm',264,0,60),
 (8482,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.281107,0,0.959677,1128.07,13.6707,3250.95,15,'calm',264,0,60),
 (8483,8,0,'object/mobile/tanc_mite_hue.iff',0,0.762528,0,-0.646955,1113.09,16.5217,3247.43,15,'calm',264,0,60),
 (8484,8,0,'object/mobile/worrt_hue.iff',0,-0.353975,0,0.935255,1113.08,18.0283,3257.68,15,'calm',264,0,60),
 (8485,8,0,'object/mobile/dune_lizard_hue.iff',0,0.943438,0,0.331549,1119.93,15.3748,3249.16,15,'calm',264,0,60),
 (8486,8,0,'object/mobile/tanc_mite_hue.iff',0,0.552355,0,0.833609,1136.03,9.90696,3239.44,15,'calm',264,0,60),
 (8487,8,0,'object/mobile/tanc_mite_hue.iff',0,0.997029,0,-0.0770302,1125.1,10.2579,3227.8,15,'calm',264,0,60),
 (8488,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.386018,0,0.922491,1109.77,16.1342,3243.99,15,'calm',264,0,60),
 (8489,8,0,'object/mobile/womp_rat_hue.iff',0,0.798181,0,-0.602418,1139.8,20.1201,3348.82,15,'calm',264,0,60),
 (8490,8,0,'object/mobile/womp_rat_hue.iff',0,0.806003,0,0.591911,1127.41,14.7718,3256.49,15,'calm',264,0,60),
 (8491,8,0,'object/mobile/womp_rat_hue.iff',0,0.128231,0,0.991744,1133.35,12.6027,3255.11,15,'calm',264,0,60),
 (8492,8,0,'object/mobile/womp_rat_hue.iff',0,0.996996,0,0.0774538,1125.68,14.2323,3250.64,15,'calm',264,0,60),
 (8493,8,0,'object/mobile/worrt_hue.iff',0,-0.279402,0,0.960174,1088.37,6.60356,3183.72,15,'calm',264,0,60),
 (8494,8,0,'object/mobile/womp_rat_hue.iff',0,0.999912,0,-0.0132637,1118.72,14.0502,3239.14,15,'calm',264,0,60),
 (8495,8,0,'object/mobile/worrt_hue.iff',0,0.933024,0,0.359815,1102.27,6.44548,3176.54,15,'calm',264,0,60),
 (8496,8,0,'object/mobile/womp_rat_hue.iff',0,-0.588311,0,0.808635,1113.96,17.4101,3253.68,15,'calm',264,0,60),
 (8497,8,0,'object/mobile/worrt_hue.iff',0,0.980309,0,0.197469,1091.44,6.54552,3179.32,15,'calm',264,0,60),
 (8498,8,0,'object/mobile/rock_mite_hue.iff',0,0.321374,0,0.946952,1098.6,6.37556,3180.33,15,'calm',264,0,60),
 (8499,8,0,'object/mobile/womp_rat_hue.iff',0,0.960534,0,0.278162,1124.25,13.5159,3243.92,15,'calm',264,0,60),
 (8500,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.346527,0,0.93804,1099.96,6.30891,3178.3,15,'calm',264,0,60),
 (8501,8,0,'object/mobile/worrt_hue.iff',0,0.746189,0,0.665734,1098.21,5.87219,3173.21,15,'calm',264,0,60),
 (8502,8,0,'object/mobile/dressed_commoner_old_twilek_female_01.iff',0,0.986851,0,0.161635,1184.74,7,3106.09,15,'calm',264,0,60),
 (8503,8,0,'object/mobile/womp_rat_hue.iff',0,-0.0439322,0,0.999035,1106.19,5.94117,3187.6,15,'calm',264,0,60),
 (8504,8,0,'object/mobile/womp_rat_hue.iff',0,0.680166,0,0.733059,1085.13,6.61378,3185.82,15,'calm',264,0,60),
 (8505,8,0,'object/mobile/rock_mite_hue.iff',0,0.943778,0,0.330581,1062.18,5.83524,3043.72,15,'calm',264,0,60),
 (8506,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,0.508587,0,0.861011,1187.85,7,2996.69,15,'calm',264,0,60),
 (8507,8,0,'object/mobile/dune_lizard_hue.iff',0,0.949481,0,-0.313824,1047.33,7.22971,3046.76,15,'calm',264,0,60),
 (8508,8,0,'object/mobile/tanc_mite_hue.iff',0,0.381194,0,0.924495,1049.37,6.92825,3053.45,15,'calm',264,0,60),
 (8509,8,0,'object/mobile/tanc_mite_hue.iff',0,0.885769,0,-0.464126,1044.5,7.0287,3032.47,15,'calm',264,0,60),
 (8510,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.0590582,0,0.998255,1045.36,7.44404,3043.26,15,'calm',264,0,60),
 (8511,8,0,'object/mobile/worrt_hue.iff',0,0.888988,0,0.45793,1048.15,6.78693,3034.72,15,'calm',264,0,60),
 (8512,8,0,'object/mobile/worrt_hue.iff',0,0.418202,0,0.908354,1052.19,6.63745,3042.47,15,'calm',264,0,60),
 (8513,8,0,'object/mobile/dune_lizard_hue.iff',0,-0.315944,0,0.948778,1057.78,7.45382,2963.84,15,'calm',264,0,60),
 (8514,8,0,'object/mobile/worrt_hue.iff',0,0.969393,0,0.245513,1047.59,6.90768,2963.04,15,'calm',264,0,60),
 (8515,8,0,'object/mobile/worrt_hue.iff',0,0.800371,0,-0.599505,1045.6,6.79503,2962.48,15,'calm',264,0,60),
 (8516,8,0,'object/mobile/worrt_hue.iff',0,0.776232,0,0.630448,1051.27,7.32262,2957.95,15,'calm',264,0,60),
 (8517,8,0,'object/mobile/tanc_mite_hue.iff',0,0.990268,0,0.139173,1061.3,7.9681,2958.99,15,'calm',264,0,60),
 (8518,8,0,'object/mobile/worrt_hue.iff',0,-0.700148,0,0.713999,1093.85,7.54313,2905.09,15,'calm',264,0,60),
 (8519,8,0,'object/mobile/dune_lizard_hue.iff',0,0.995595,0,0.0937607,1104.74,7.2345,2905.93,15,'calm',264,0,60),
 (8520,8,0,'object/mobile/tanc_mite_hue.iff',0,0.888689,0,-0.45851,1085.7,7.64405,2913.73,15,'calm',264,0,60),
 (8521,8,0,'object/mobile/tanc_mite_hue.iff',0,0.730579,0,0.682828,1056,7.47361,2942.77,15,'calm',264,0,60),
 (8522,8,0,'object/mobile/worrt_hue.iff',0,0.99336,0,-0.115048,1051.24,7.32455,2952.14,15,'calm',264,0,60),
 (8523,8,0,'object/mobile/dune_lizard_hue.iff',0,0.199345,0,0.97993,1063.48,8.35093,2954.38,15,'calm',264,0,60),
 (8524,8,0,'object/mobile/rock_mite_hue.iff',0,0.876067,0,0.48219,1098.67,7.61899,2907.07,15,'calm',264,0,60),
 (8525,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.417939,0,0.908475,1091.72,7.68251,2909.81,15,'calm',264,0,60),
 (8526,8,0,'object/mobile/rock_mite_hue.iff',0,0.0261658,0,0.999658,1088.19,7.39655,2905.09,15,'calm',264,0,60),
 (8527,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,1,0,-5.3387e-08,1191.8,7,2957,15,'conversation',264,0,60),
 (8528,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.485177,0,0.874416,1088.35,7.36404,2903.8,15,'calm',264,0,60),
 (8529,8,0,'object/mobile/zucca_boar_hue.iff',0,0.807847,0,0.589392,1085.48,5.82507,3065.96,15,'neutral',264,0,60),
 (8530,8,0,'object/mobile/zucca_boar_hue.iff',0,0.350855,0,0.93643,1083.59,6.13166,3075.94,15,'neutral',264,0,60),
 (8531,8,0,'object/mobile/zucca_boar_hue.iff',0,0.956585,0,-0.291454,1094.58,5.57916,3087.09,15,'neutral',264,0,60),
 (8532,8,0,'object/mobile/worrt_hue.iff',0,-0.462125,0,0.886815,1179.97,6.94709,2862.22,15,'calm',264,0,60),
 (8533,8,0,'object/mobile/worrt_hue.iff',0,-0.468105,0,0.883673,1184.51,6.74202,2871.48,15,'calm',264,0,60),
 (8534,8,0,'object/mobile/worrt_hue.iff',0,0.325387,0,0.945581,1191.12,7.30368,2862.36,15,'calm',264,0,60),
 (8535,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.168817,0,0.985647,1193.17,7.38531,2867.31,15,'calm',264,0,60),
 (8536,8,0,'object/mobile/tanc_mite_hue.iff',0,0.940424,0,0.340004,1191.3,7.17686,2848.67,15,'calm',264,0,60),
 (8537,8,0,'object/mobile/rock_mite_hue.iff',0,0.864782,0,-0.502149,1179.82,7.11622,2846.43,15,'calm',264,0,60),
 (8538,8,0,'object/mobile/worrt_hue.iff',0,0.155829,0,0.987784,1184.37,7.08161,2862.06,15,'calm',264,0,60),
 (8539,8,0,'object/mobile/dune_lizard_hue.iff',0,0.509868,0,0.860252,1194.97,7.15298,2848.67,15,'calm',264,0,60),
 (8540,8,0,'object/mobile/zucca_boar_hue.iff',0,0.999809,0,0.0195267,1203.76,7,2929.8,15,'neutral',264,0,60),
 (8541,8,0,'object/mobile/zucca_boar_hue.iff',0,0.196298,0,0.980544,1208.79,7,2949.24,15,'neutral',264,0,60),
 (8542,8,1156906,'object/mobile/dressed_criminal_thug_human_female_01.iff',0,0.999388,0,0.0349667,1.63608,0.251537,3.2955,15,'calm',264,0,60),
 (8543,8,1156906,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0,0.999392,0,0.0348555,1.65173,0.250964,3.18535,15,'calm',264,0,60),
 (8544,8,1156906,'object/mobile/dressed_mugger.iff',0,0.999389,0,0.0349638,1.64999,0.25052,3.09992,15,'calm',264,0,60),
 (8545,8,0,'object/mobile/r4.iff',0,-0.6892,0,0.724571,1565.89,7,3111.38,15,'calm',264,0,60),
 (8546,8,0,'object/mobile/dressed_commoner_naboo_human_female_03.iff',0,0.662473,0,0.749085,1639.18,7,3070.97,15,'calm',264,0,60),
 (8547,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.99863,0,0.0523359,1508.1,7,3127.9,15,'neutral',264,0,60),
 (8548,8,0,'object/mobile/r4.iff',0,0.751609,0,0.65961,1583.75,7,3113.82,15,'calm',264,0,60),
 (8549,8,1153493,'object/mobile/dressed_commoner_tatooine_nikto_male_01.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (8550,8,1153489,'object/mobile/dressed_artisan_trainer_02.iff',0,0.0958457,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (8551,8,0,'object/mobile/r5.iff',0,0.786382,0,-0.617741,1614.51,7,3127.01,15,'calm',264,0,60),
 (8552,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_05.iff',0,1,0,0,1701.23,21.49,3032.28,15,'conversation',264,0,60),
 (8553,8,0,'object/mobile/dressed_rebel_trooper_bith_m_01.iff',0,0,0,1,1744.45,7,3057.53,15,'conversation',264,0,60),
 (8554,8,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0.869154,0,-0.494542,1609.53,10.9973,3163.55,15,'calm',264,0,60),
 (8555,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_09.iff',0,0.588386,0,0.80858,1516.09,7,3164.73,15,'calm',264,0,60),
 (8556,8,0,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,-0.655435,0,0.755252,1495.58,7,3177.88,15,'calm',264,0,60),
 (8557,8,0,'object/mobile/dressed_imperial_exterminator.iff',0,-0.00872654,0,0.999962,1502.5,7,3156.9,15,'neutral',264,0,60),
 (8558,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.180928,0,0.983496,1492.9,7,3207.42,15,'neutral',264,0,60),
 (8559,8,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,-0.358368,0,0.93358,1487.2,7,3240.8,15,'neutral',264,0,60),
 (8560,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_03.iff',0,0.74838,0,0.66327,1449.68,7,3159.65,15,'calm',264,0,60),
 (8561,8,0,'object/mobile/dressed_swamp_trooper_m.iff',0,0.62211,0,0.78293,1472.15,7,3232.91,15,'neutral',264,0,60),
 (8562,8,0,'object/mobile/dressed_brigade_gunner_bith_female_01.iff',0,0.636171,0,0.771548,1538.55,7,3105.42,15,'calm',264,0,60),
 (8563,8,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.92973,0,-0.368242,1450.08,7,3202.92,15,'calm',264,0,60),
 (8564,8,0,'object/mobile/dressed_commoner_naboo_zabrak_female_01.iff',0,0.362192,0,0.932104,1448.7,7,3183.32,15,'calm',264,0,60),
 (8565,8,0,'object/mobile/jawa_male.iff',0,-0.707107,0,0.707107,1461.87,7,3223.41,15,'conversation',264,0,60),
 (8566,8,0,'object/mobile/jawa_male.iff',0,0.707107,0,0.707107,1459.87,7,3223.41,15,'conversation',264,0,60),
 (8567,8,0,'object/mobile/jawa_male.iff',0,0,0,1,1460.87,7,3222.41,15,'conversation',264,0,60),
 (8568,8,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.997564,0,-0.0697564,1455.2,7,3232.5,15,'neutral',264,0,60),
 (8569,8,1153603,'object/mobile/dressed_villain_trandoshan_female_01.iff',1.19203e-07,-3.02775e-05,3.60801e-12,1,3.25667,2.12878,71.8841,15,'conversation',264,0,60),
 (8570,8,1153603,'object/mobile/dressed_rebel_trooper_human_female_01.iff',-3.91844e-12,1,-1.19204e-07,-3.29003e-05,3.25667,2.12878,72.8841,15,'conversation',264,0,60),
 (8571,8,1153603,'object/mobile/dressed_noble_old_twk_female_01.iff',0,0.731354,0,-0.681998,19.26,2.12847,56.13,15,'calm',264,0,60),
 (8572,8,1153603,'object/mobile/dressed_entertainer_trainer_twk_male_01.iff',0,0.0348995,0,0.999391,21.99,2.12804,64.05,15,'calm',264,0,60),
 (8573,8,1153602,'object/mobile/dressed_doctor_trainer_human_female_01.iff',1.08571e-07,0.00239981,-2.60549e-10,0.999997,29.2719,2.12878,56.7798,15,'conversation',264,0,60),
 (8574,8,1153602,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.999997,0,-0.00238332,29.2773,2.12878,57.8777,15,'conversation',264,0,60),
 (8575,8,1153602,'object/mobile/dressed_criminal_slicer_human_male_01.iff',-5.86499e-08,0.923871,1.41585e-07,0.382703,28.1719,2.12878,57.8798,15,'conversation',264,0,60),
 (8576,8,1153602,'object/mobile/dressed_noble_old_human_female_01.iff',0,0.93358,0,-0.358368,28.93,2.12878,58.19,15,'calm',264,0,60),
 (8577,8,1153601,'object/mobile/dressed_criminal_slicer_human_male_01.iff',2.16745e-07,3.64163e-05,-7.89304e-12,1,-17.046,2.6,17.2264,15,'conversation',264,0,60),
 (8578,8,1153601,'object/mobile/dressed_criminal_smuggler_human_female_01.iff',-9.41767e-13,1,-1.0837e-07,-8.69028e-06,-17.046,2.6,18.3264,15,'conversation',264,0,60),
 (8579,8,1153601,'object/mobile/dressed_hooligan_rodian_male_01.iff',2.38405e-07,-3.81449e-06,8.97651e-13,1,25.1612,2.6,16.6257,15,'conversation',264,0,60),
 (8580,8,1153601,'object/mobile/dressed_commoner_fat_twilek_female_01.iff',-1.61795e-12,1,-2.38409e-07,-6.67544e-06,25.1612,2.6,17.6257,15,'conversation',264,0,60),
 (8581,8,0,'object/mobile/r4.iff',0,-0.183014,0,0.98311,1456.33,7,3336.99,15,'calm',264,0,60),
 (8582,8,0,'object/mobile/dressed_noble_human_male_03.iff',0,0.839609,0,0.543192,1455.33,7,3335.99,15,'calm',264,0,60),
 (8583,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.999962,0,-0.00872645,1431.6,9.5,3372.5,15,'neutral',264,0,60),
 (8584,8,1153586,'object/mobile/21b_surgical_droid.iff',0,0.945852,0,0.3246,-25.52,0.26,-3.48,15,'calm',264,0,60),
 (8585,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0,0,1,1356.66,7,3413.13,15,'conversation',264,0,60),
 (8586,8,0,'object/mobile/tanc_mite_hue.iff',0,0.987639,0,-0.156744,1387.95,7.9817,3558.68,15,'calm',264,0,60),
 (8587,8,1153936,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,0.241053,0,0.970512,-3.33444,1.00421,10.3965,15,'calm',264,0,60),
 (8588,8,1261663,'object/mobile/dressed_eisley_officer_bothan_male_01.iff',-5.82514e-12,1,-1.0837e-07,-5.37526e-05,-48.9859,2.63942,33.6967,15,'conversation',264,0,60),
 (8589,8,1261663,'object/mobile/dressed_commoner_naboo_zabrak_female_02.iff',2.93242e-08,0.923892,-7.08015e-08,0.382653,-50.0859,2.63942,33.6967,15,'conversation',264,0,60),
 (8590,8,1261660,'object/mobile/dressed_noble_fat_twilek_male_01.iff',-1.19216e-07,9.53725e-06,1.129e-12,1,-29.0928,1.63942,51.3406,15,'conversation',264,0,60),
 (8591,8,1261660,'object/mobile/dressed_noble_old_twk_female_02.iff',-5.28058e-12,1,-1.7883e-07,-2.95666e-05,-29.0928,1.63942,52.3406,15,'conversation',264,0,60),
 (8592,8,1261655,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0.284015,0,0.95882,1.1,0.639421,66.3,15,'explain',264,0,60),
 (8593,8,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0.894749,0,-0.44657,-2881.23,5,2004.94,15,'calm',264,0,60),
 (8594,8,0,'object/mobile/dressed_tatooine_jabba_swooper_leader.iff',0,0.790062,0,-0.613027,-2905.83,5,2127.11,15,'neutral',264,0,60),
 (8595,8,0,'object/mobile/dressed_tatooine_valarian_swooper_leader.iff',0.00571667,0.58764,0.00787072,0.809064,-2907.07,5,2130.14,15,'neutral',264,0,60),
 (8596,8,0,'object/mobile/space_greeter_mos_espa_young_pilot.iff',0,0.613119,0,0.78999,-2906.52,5,2128.41,15,'neutral',264,0,60),
 (8597,8,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,1,0,0,-2918.94,5,2170.6,15,'conversation',264,0,60),
 (8598,8,0,'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff',0,0,0,1,-2918.94,5,2169.6,15,'conversation',264,0,60),
 (8599,8,0,'object/mobile/r2.iff',0,0.841087,0,-0.5409,-2928.79,5,2111.03,15,'calm',264,0,60),
 (8600,8,0,'object/mobile/r5.iff',0,0.974415,0,0.224756,-2915.25,5,2163.42,15,'calm',264,0,60),
 (8601,8,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.170061,0,0.985434,-2922.62,5,2143.4,15,'calm',264,0,60),
 (8602,8,0,'object/mobile/dressed_bestine_artist05.iff',0,0.664378,0,0.747397,-2768.32,5,2110.71,15,'neutral',264,0,60),
 (8603,8,0,'object/mobile/jawa_male.iff',0,0.567551,0,0.823338,-2736.1,5,2188.86,15,'calm',264,0,60),
 (8604,8,0,'object/mobile/jawa_male.iff',0,0.874902,0,-0.484299,-2731.88,5,2185.65,15,'calm',264,0,60),
 (8605,8,0,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,-0.191037,0,0.981583,-2748.23,5,2031.47,15,'calm',264,0,60),
 (8606,8,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,-1.34017e-08,0,1,-2909.17,5,2180.03,15,'calm',264,0,60),
 (8607,8,0,'object/mobile/dressed_noble_fat_twilek_male_01.iff',0,-0.358414,0,0.933563,-2810.65,5,2195.86,15,'calm',264,0,60),
 (8608,8,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_01.iff',0,0.875076,0,-0.483986,-2774.25,5,2018.1,15,'calm',264,0,60),
 (8609,8,0,'object/mobile/dressed_desperado_bith_female_01.iff',0,0.743406,0,-0.668841,-2760.75,5,2038.95,15,'calm',264,0,60),
 (8610,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_06.iff',0,0.765492,0,0.643445,-2739.74,5,2044.75,15,'calm',264,0,60),
 (8611,8,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,0.394548,0,0.918875,-2952.26,5,2087.58,15,'calm',264,0,60),
 (8612,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_08.iff',0,-0.139949,0,0.990159,-2860.36,5,2212.37,15,'calm',264,0,60),
 (8613,8,0,'object/mobile/jawa_male.iff',0,-0.707107,0,0.707107,-2930.03,5,2038.02,15,'conversation',264,0,60),
 (8614,8,0,'object/mobile/jawa_male.iff',0,0.707107,0,0.707107,-2932.03,5,2038.02,15,'conversation',264,0,60),
 (8615,8,0,'object/mobile/jawa_male.iff',0,0,0,1,-2931.03,5,2037.02,15,'conversation',264,0,60),
 (8616,8,0,'object/mobile/dressed_noble_human_female_01.iff',0,0.895933,0,0.444189,-2924.82,5,2143.27,15,'calm',264,0,60),
 (8617,8,0,'object/mobile/dressed_commoner_fat_human_female_01.iff',0,0.163352,0,0.986568,-2881.87,5,2142.69,15,'calm',264,0,60),
 (8618,8,0,'object/mobile/dressed_criminal_thug_trandoshan_male_01.iff',0,-0.465446,0,0.885076,-2919.38,5,2143.08,15,'calm',264,0,60),
 (8619,8,0,'object/mobile/r4.iff',0,0.829516,0,0.558483,-2959.44,5,2110.92,15,'calm',264,0,60),
 (8620,8,0,'object/mobile/jawa_male.iff',0,-0.464662,0,0.885488,-2726.76,5,2194.19,15,'calm',264,0,60),
 (8621,8,0,'object/mobile/jawa_male.iff',0,-0.666549,0,0.745462,-2726.76,5,2194.19,15,'calm',264,0,60),
 (8622,8,0,'object/mobile/jawa_male.iff',0,0.333788,0,0.942648,-2726.76,5,2194.19,15,'calm',264,0,60),
 (8623,8,0,'object/mobile/jawa_male.iff',0,0.885779,0,-0.464107,-2726.76,5,2194.19,15,'calm',264,0,60),
 (8624,8,0,'object/mobile/jawa_male.iff',0,-0.464244,0,0.885707,-2726.76,5,2194.19,15,'calm',264,0,60),
 (8625,8,0,'object/mobile/jawa_male.iff',0,-0.257558,0,0.966263,-2726.76,5,2194.19,15,'calm',264,0,60),
 (8626,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_02.iff',0,0.952816,0,0.30355,-2715.87,5,2040.78,15,'calm',264,0,60),
 (8627,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_05.iff',0,0.991095,0,0.133157,-2767.35,5,2232.76,15,'calm',264,0,60),
 (8628,8,0,'object/mobile/jawa_male.iff',0,-0.464558,0,0.885542,-2726.76,5,2204.19,15,'calm',264,0,60),
 (8629,8,0,'object/mobile/jawa_male.iff',0,0.463984,0,0.885844,-2716.76,5,2194.19,15,'calm',264,0,60),
 (8630,8,0,'object/mobile/jawa_male.iff',0,0.775113,0,-0.631822,-2716.76,5,2194.19,15,'calm',264,0,60),
 (8631,8,0,'object/mobile/jawa_male.iff',0,-0.464368,0,0.885642,-2726.76,5,2204.19,15,'calm',264,0,60),
 (8632,8,0,'object/mobile/jawa_male.iff',0,0.484297,0,0.874904,-2716.76,5,2194.19,15,'calm',264,0,60),
 (8633,8,0,'object/mobile/jawa_male.iff',0,0.590362,0,0.807139,-2726.76,5,2204.19,15,'calm',264,0,60),
 (8634,8,0,'object/mobile/jawa_male.iff',0,-0.205899,0,0.978573,-2716.76,5,2204.19,15,'calm',264,0,60),
 (8635,8,0,'object/mobile/jawa_male.iff',0,0.558841,0,0.829275,-2716.76,5,2204.19,15,'calm',264,0,60),
 (8636,8,0,'object/mobile/jawa_male.iff',0,-0.206206,0,0.978509,-2716.76,5,2204.19,15,'calm',264,0,60),
 (8637,8,0,'object/mobile/jawa_male.iff',0,0.885848,0,-0.463976,-2716.76,5,2204.19,15,'calm',264,0,60),
 (8638,8,0,'object/mobile/jawa_male.iff',0,0.122617,0,0.992454,-2716.76,5,2204.19,15,'calm',264,0,60),
 (8639,8,0,'object/mobile/jawa_male.iff',0,-0.205784,0,0.978598,-2716.76,5,2204.19,15,'calm',264,0,60),
 (8640,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_07.iff',0,0.954212,0,-0.299132,-2770.48,5,2245.4,15,'calm',264,0,60),
 (8641,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.989732,0,-0.142935,-2731.39,5,2226.03,15,'calm',264,0,60),
 (8642,8,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,0.97951,0,0.201396,-2857.9,5,2250.18,15,'calm',264,0,60),
 (8643,8,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.995859,0,-0.0909165,-2890.19,5,2251.37,15,'calm',264,0,60),
 (8644,8,0,'object/mobile/dressed_robber_twk_male_01.iff',0,0.63805,0,0.769995,-2960.96,5,2163.64,15,'calm',264,0,60),
 (8645,8,0,'object/mobile/dressed_combatmedic_trainer_human_female_01.iff',0,0.987228,0,-0.159316,-2969.77,5,2194.82,15,'calm',264,0,60),
 (8646,8,0,'object/mobile/dressed_crook_zabrak_male_01.iff',0,-0.32523,0,0.945635,-2927.54,5,2013.85,15,'calm',264,0,60),
 (8647,8,0,'object/mobile/dressed_commoner_fat_twilek_female_02.iff',0,0.895535,0,-0.444991,-2954.74,5,2235.4,15,'calm',264,0,60),
 (8648,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_04.iff',0,0.96309,0,0.26918,-3000.81,5,2213.95,15,'calm',264,0,60),
 (8649,8,0,'object/mobile/r5.iff',0,0.136391,0,0.990655,-2919.36,5,2262.73,15,'calm',264,0,60),
 (8650,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_male_01.iff',0,-0.487033,0,0.873384,-2881.81,5,2267.41,15,'calm',264,0,60),
 (8651,8,0,'object/mobile/r5.iff',0,0.975387,0,-0.220499,-2935.94,5,2275.75,15,'calm',264,0,60),
 (8652,8,0,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,-0.0740837,0,0.997252,-2859.3,5,2288.53,15,'calm',264,0,60),
 (8653,8,0,'object/mobile/dressed_commoner_tatooine_trandoshan_female_02.iff',0,0.713321,0,-0.700838,-2810.06,5,2318.02,15,'calm',264,0,60),
 (8654,8,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.459749,0,0.888049,-2897.39,5,2323.06,15,'calm',264,0,60),
 (8655,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_01.iff',0,0.983056,0,-0.183304,-2766.88,5,2314.77,15,'calm',264,0,60),
 (8656,8,0,'object/mobile/dressed_criminal_thug_aqualish_female_01.iff',0,-0.174254,0,0.984701,-2731.61,5,2242.41,15,'calm',264,0,60),
 (8657,8,0,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',0,0.817596,0,0.575792,-2794.64,5,2327.09,15,'calm',264,0,60),
 (8658,8,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.015079,0,0.999886,-2673.96,5,2275.9,15,'npc_imperial',264,0,60),
 (8659,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.19336,0,0.981128,-2684.7,5,2033.1,15,'neutral',264,0,60),
 (8660,8,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,0.946981,0,-0.321289,-2722.49,5,2007.18,15,'calm',264,0,60),
 (8661,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_04.iff',0,0.733154,0,0.680063,-2754.28,5,1981.64,15,'calm',264,0,60),
 (8662,8,0,'object/mobile/rock_mite_hue.iff',0,0.813752,0,0.581212,-2595.01,5,2036.52,15,'calm',264,0,60),
 (8663,8,0,'object/mobile/rock_mite_hue.iff',0,0.999972,0,-0.00753232,-2633.87,5,1974.12,15,'calm',264,0,60),
 (8664,8,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_02.iff',0,0.129657,0,0.991559,-2787.25,5,1962.04,15,'calm',264,0,60),
 (8665,8,0,'object/mobile/tanc_mite_hue.iff',0,0.984105,0,0.177587,-2593.9,5,2038.48,15,'calm',264,0,60),
 (8666,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2579.03,0,2042.14,5,'neutral',128,1,180),
 (8667,8,0,'object/mobile/rock_mite_hue.iff',0,-0.274838,0,0.961491,-2591.62,5,2039.11,15,'calm',264,0,60),
 (8668,8,0,'object/mobile/tanc_mite_hue.iff',0,0.823305,0,-0.5676,-2599.47,5,2034.19,15,'calm',264,0,60),
 (8669,8,0,'object/mobile/rock_mite_hue.iff',0,-0.165893,0,0.986144,-2577.03,5.28616,2056.68,15,'calm',264,0,60),
 (8670,8,0,'object/mobile/rill.iff',0,0,0,0,-2585.79,0,2035.52,6,'neutral',128,1,180),
 (8671,8,0,'object/mobile/tanc_mite_hue.iff',0,0.0838752,0,0.996476,-2626.73,5.0133,1962.54,15,'calm',264,0,60),
 (8672,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2633.43,0,1952.51,5,'neutral',128,1,180),
 (8673,8,0,'object/mobile/worrt.iff',0,0,0,0,-2628.18,0,1955.15,6,'neutral',128,1,180),
 (8674,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2618.22,0,1957.43,5,'neutral',128,1,180),
 (8675,8,0,'object/mobile/worrt.iff',0,0,0,0,-2594.32,0,2215.81,6,'neutral',128,1,180),
 (8676,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2590.93,0,2218.28,5,'neutral',128,1,180),
 (8677,8,0,'object/mobile/rock_mite_hue.iff',0,0.995188,0,0.0979806,-2590.42,5,2212.03,15,'calm',264,0,60),
 (8678,8,0,'object/mobile/rill.iff',0,0,0,0,-2593.87,0,2226.87,6,'neutral',128,1,180),
 (8679,8,0,'object/mobile/worrt.iff',0,0,0,0,-2589.82,0,2226.13,6,'neutral',128,1,180),
 (8680,8,0,'object/mobile/rill.iff',0,0,0,0,-2590.52,0,2218.13,6,'neutral',128,1,180),
 (8681,8,0,'object/mobile/rock_mite_hue.iff',0,-0.539021,0,0.842292,-2493.23,6.82684,2113.18,15,'calm',264,0,60),
 (8682,8,0,'object/mobile/rill.iff',0,0,0,0,-2484.53,0,2081.3,9,'neutral',128,33,180),
 (8683,8,0,'object/mobile/rock_mite_hue.iff',0,-0.191602,0,0.981473,-2491.39,6.83135,2156.44,15,'calm',264,0,60),
 (8684,8,0,'object/mobile/rock_mite_hue.iff',0,0.949605,0,0.313448,-2485.06,7.15469,2153.94,15,'calm',264,0,60),
 (8685,8,0,'object/mobile/dark_trooper.iff',0,0.986016,0,-0.166653,-2658.16,5,2252.08,15,'neutral',264,0,60),
 (8686,8,0,'object/mobile/womp_rat_hue.iff',0,0.944881,0,0.327414,-2593.13,5,2213.37,15,'calm',264,0,60),
 (8687,8,0,'object/mobile/womp_rat_hue.iff',0,0.980362,0,-0.197208,-2594.47,5,2219.41,15,'calm',264,0,60),
 (8688,8,0,'object/mobile/rock_mite_hue.iff',0,0.947512,0,-0.319719,-2601.23,5.0058,2320.44,15,'calm',264,0,60),
 (8689,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2586.74,0,2327.16,5,'neutral',128,1,180),
 (8690,8,0,'object/mobile/tanc_mite_hue.iff',0,0.379795,0,0.925071,-2599.04,5.20143,2338.05,15,'calm',264,0,60),
 (8691,8,0,'object/mobile/tanc_mite_hue.iff',0,0.994858,0,-0.101279,-2592.54,5.37076,2333.19,15,'calm',264,0,60),
 (8692,8,0,'object/mobile/rock_mite_hue.iff',0,0.720011,0,-0.693963,-2591.43,5.32223,2342.79,15,'calm',264,0,60),
 (8693,8,0,'object/mobile/mynock.iff',0,0,0,0,-2681.63,0,2446.35,3,'neutral',128,33,180),
 (8694,8,0,'object/mobile/mynock.iff',0,0,0,0,-2686.76,0,2433.69,3,'neutral',128,33,180),
 (8695,8,0,'object/mobile/mynock.iff',0,0,0,0,-2759.53,0,2452.82,3,'neutral',128,33,180),
 (8696,8,0,'object/mobile/mynock.iff',0,0,0,0,-2712.54,0,2478.41,3,'neutral',128,33,180),
 (8697,8,0,'object/mobile/mynock.iff',0,0,0,0,-2725.86,0,2448.69,3,'neutral',128,33,180),
 (8698,8,0,'object/mobile/dressed_commoner_naboo_human_female_08.iff',0,0.873182,0,-0.487394,-2818.45,5,2407.94,15,'calm',264,0,60),
 (8699,8,0,'object/mobile/mynock.iff',0,0,0,0,-2704.69,0,2447,3,'neutral',128,33,180),
 (8700,8,0,'object/mobile/mynock.iff',0,0,0,0,-2708.25,0,2502.65,3,'neutral',128,33,180),
 (8701,8,0,'object/mobile/mynock.iff',0,0,0,0,-2672.59,0,2453.01,3,'neutral',128,33,180),
 (8702,8,0,'object/mobile/mynock.iff',0,0,0,0,-2723.69,0,2481,3,'neutral',128,33,180),
 (8703,8,0,'object/mobile/mynock.iff',0,0,0,0,-2795.9,0,2465.26,3,'neutral',128,33,180),
 (8704,8,0,'object/mobile/mynock.iff',0,0,0,0,-2724.24,0,2493.81,3,'neutral',128,33,180),
 (8705,8,0,'object/mobile/dressed_criminal_swooper_human_male_01.iff',0,0.999536,0,0.0304693,-2821.38,5,2432.95,15,'calm',264,0,60),
 (8706,8,0,'object/mobile/dressed_noble_rodian_female_01.iff',0,0.358832,0,0.933402,-2847.77,5,2393.35,15,'calm',264,0,60),
 (8707,8,0,'object/mobile/dressed_criminal_thug_zabrak_female_01.iff',0,0.79817,0,-0.602433,-2837.3,5,2425.05,15,'calm',264,0,60),
 (8708,8,0,'object/mobile/mynock.iff',0,0,0,0,-2727.05,0,2452.36,3,'neutral',128,33,180),
 (8709,8,0,'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff',0,0.532938,0,0.846154,-2823.03,5,2448.69,15,'calm',264,0,60),
 (8710,8,0,'object/mobile/mynock.iff',0,0,0,0,-2770.34,0,2507.88,3,'neutral',128,33,180),
 (8711,8,0,'object/mobile/mynock.iff',0,0,0,0,-2775.96,0,2483.96,3,'neutral',128,33,180),
 (8712,8,0,'object/mobile/mynock.iff',0,0,0,0,-2702.54,0,2484.93,3,'neutral',128,33,180),
 (8713,8,0,'object/mobile/dressed_villain_trandoshan_female_01.iff',0,0.992892,0,-0.119022,-2834.04,5,2462.23,15,'calm',264,0,60),
 (8714,8,0,'object/mobile/dressed_criminal_swooper_zabrak_female_01.iff',0,0.95846,0,0.285228,-2861.27,5,2393.34,15,'calm',264,0,60),
 (8715,8,0,'object/mobile/mynock.iff',0,0,0,0,-2753.85,0,2515.57,3,'neutral',128,33,180),
 (8716,8,0,'object/mobile/mynock.iff',0,0,0,0,-2674.79,0,2495.31,3,'neutral',128,33,180),
 (8717,8,0,'object/mobile/mynock.iff',0,0,0,0,-2723.47,0,2516.85,3,'neutral',128,33,180),
 (8718,8,0,'object/mobile/mynock.iff',0,0,0,0,-2776.92,0,2519.58,3,'neutral',128,33,180),
 (8719,8,0,'object/mobile/mynock.iff',0,0,0,0,-2689.61,0,2510.66,3,'neutral',128,33,180),
 (8720,8,0,'object/mobile/mynock.iff',0,0,0,0,-2738.08,0,2593.59,3,'neutral',128,33,180),
 (8721,8,0,'object/mobile/dressed_commoner_naboo_twilek_female_01.iff',0,0.464647,0,0.885496,-2839.04,5,2492.89,15,'calm',264,0,60),
 (8722,8,0,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',0,-0.240878,0,0.970555,-2846.59,5,2497.64,15,'calm',264,0,60),
 (8723,8,0,'object/mobile/mynock.iff',0,0,0,0,-2712.84,0,2531.4,3,'neutral',128,33,180),
 (8724,8,0,'object/mobile/mynock.iff',0,0,0,0,-2660.7,0,2500.87,3,'neutral',128,33,180),
 (8725,8,0,'object/mobile/dressed_commoner_fat_human_male_01.iff',0,-0.545776,0,0.837931,-2877.18,5,2473.48,15,'calm',264,0,60),
 (8726,8,0,'object/mobile/rock_mite_hue.iff',0,0.707286,0,-0.706928,-2889.69,5,2493.44,15,'calm',264,0,60),
 (8727,8,0,'object/mobile/dressed_commoner_naboo_human_male_07.iff',0,0.531836,0,0.846847,-2870.12,5,2494.38,15,'calm',264,0,60),
 (8728,8,0,'object/mobile/mynock.iff',0,0,0,0,-2674.03,0,2516.33,3,'neutral',128,33,180),
 (8729,8,0,'object/mobile/mynock.iff',0,0,0,0,-2783.56,0,2547.41,3,'neutral',128,33,180),
 (8730,8,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,0.671853,0,0.740685,-2894.24,5,2492.22,15,'calm',264,0,60),
 (8731,8,0,'object/mobile/mynock.iff',0,0,0,0,-2814.11,0,2564.44,3,'neutral',128,33,180),
 (8732,8,0,'object/mobile/rock_mite_hue.iff',0,0.447691,0,0.894188,-2888.64,5,2498.06,15,'calm',264,0,60),
 (8733,8,0,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',0,0.916565,0,-0.399887,-2860.55,5,2534.77,15,'calm',264,0,60),
 (8734,8,0,'object/mobile/mynock.iff',0,0,0,0,-2688.24,0,2540.25,3,'neutral',128,33,180),
 (8735,8,0,'object/mobile/dressed_commoner_naboo_human_female_01.iff',0,0.878382,0,0.477959,-2874.25,5,2546.29,15,'calm',264,0,60),
 (8736,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_03.iff',0,-0.299689,0,0.954037,-2884.43,5,2575.51,15,'calm',264,0,60),
 (8737,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.989541,0,0.144249,-2914.09,5,2466.26,15,'calm',264,0,60),
 (8738,8,0,'object/mobile/dressed_desperado_bith_male_01.iff',0,0.999333,0,-0.0365217,-2856.83,5,2473.55,15,'calm',264,0,60),
 (8739,8,0,'object/mobile/jawa_male.iff',0,0.711622,0,0.702563,-2888,5,2591,15,'calm',264,0,60),
 (8740,8,0,'object/mobile/mynock.iff',0,0,0,0,-2697.2,0,2579.61,3,'neutral',128,33,180),
 (8741,8,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.730918,0,-0.682465,-2931.98,5,2495.44,15,'calm',264,0,60),
 (8742,8,0,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,0.993802,0,0.111164,-2913.31,5,2566.89,15,'calm',264,0,60),
 (8743,8,0,'object/mobile/rock_mite_hue.iff',0,0.992749,0,-0.120202,-2863.93,5.69244,2645.23,15,'calm',264,0,60),
 (8744,8,0,'object/mobile/rill.iff',0,0,0,0,-2872.34,0,2645.44,6,'neutral',128,1,180),
 (8745,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.637964,0,0.770067,-2868.66,5.92974,2659.77,15,'calm',264,0,60),
 (8746,8,0,'object/mobile/rock_mite_hue.iff',0,0.943936,0,-0.330128,-2883.89,5.34137,2636.44,15,'calm',264,0,60),
 (8747,8,0,'object/mobile/worrt.iff',0,0,0,0,-2867.04,0,2645.57,6,'neutral',128,1,180),
 (8748,8,0,'object/mobile/tanc_mite_hue.iff',0,0.969208,0,-0.246243,-2879.16,5.3938,2642.48,15,'calm',264,0,60),
 (8749,8,0,'object/mobile/dressed_rebel_brigadier_general_trandoshan_female.iff',0,-0.466204,0,0.884677,-2927.64,5,2574.17,15,'calm',264,0,60),
 (8750,8,0,'object/mobile/rock_mite_hue.iff',0,0.994119,0,0.108293,-2871.32,5.43329,2638.84,15,'calm',264,0,60),
 (8751,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2878.72,0,2655.63,5,'neutral',128,1,180),
 (8752,8,0,'object/mobile/dressed_goon_twk_female_01.iff',0,0.844523,0,-0.53552,-2964.35,5,2536.74,15,'calm',264,0,60),
 (8753,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2961.46,0,2651.28,5,'neutral',128,1,180),
 (8754,8,0,'object/mobile/tanc_mite_hue.iff',0,0.305099,0,0.952321,-2958.99,6.05473,2651.86,15,'calm',264,0,60),
 (8755,8,0,'object/mobile/rill.iff',0,0,0,0,-2956.31,0,2647.42,6,'neutral',128,1,180),
 (8756,8,0,'object/mobile/tanc_mite_hue.iff',0,0.645667,0,0.763619,-2954.14,5.93401,2648.89,15,'calm',264,0,60),
 (8757,8,0,'object/mobile/rock_mite_hue.iff',0,0.797472,0,0.603356,-2909.86,7.8253,2692.86,15,'calm',264,0,60),
 (8758,8,0,'object/mobile/tanc_mite_hue.iff',0,0.983774,0,-0.17941,-2957.17,6.65151,2663.78,15,'calm',264,0,60),
 (8759,8,0,'object/mobile/rock_mite_hue.iff',0,0.949732,0,-0.313063,-2977.98,5.61491,2651.49,15,'calm',264,0,60),
 (8760,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.0729292,0,0.997337,-2959.73,6.48665,2662.19,15,'calm',264,0,60),
 (8761,8,0,'object/mobile/dressed_crook_zabrak_female_01.iff',0,0.310058,0,0.950718,-2976.77,5,2539.28,15,'calm',264,0,60),
 (8762,8,0,'object/mobile/rock_mite_hue.iff',0,-0.295648,0,0.955297,-2922.41,8.03007,2711.74,15,'calm',264,0,60),
 (8763,8,0,'object/mobile/rock_mite_hue.iff',0,-0.190747,0,0.981639,-2921.7,7.7918,2717.75,15,'calm',264,0,60),
 (8764,8,0,'object/mobile/rock_mite_hue.iff',0,0.787846,0,-0.615872,-2909.38,7.75577,2704.39,15,'calm',264,0,60),
 (8765,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,-0.537904,0,0.843006,-3028.33,5.01162,2616.08,15,'neutral',264,0,60),
 (8766,8,0,'object/mobile/dressed_eisley_officer_rodian_male_01.iff',0,0.718171,0,-0.695867,-3018.71,5.01489,2618.52,15,'neutral',264,0,60),
 (8767,8,0,'object/mobile/dressed_eisley_officer_twilek_female_01.iff',0,0.718173,0,-0.695864,-3022.29,5.02759,2618.41,15,'neutral',264,0,60),
 (8768,8,0,'object/mobile/dressed_eisley_officer_rodian_female_01.iff',0,-0.0226668,0,0.999743,-3023.26,5.04215,2618.44,15,'neutral',264,0,60),
 (8769,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-2998.58,0,2701.67,5,'neutral',128,1,180),
 (8770,8,0,'object/mobile/dressed_imperial_officer_m.iff',0,-0.580428,0,0.814312,-3027.01,5.06395,2617.66,15,'npc_imperial',264,0,60),
 (8771,8,0,'object/mobile/dressed_imperial_officer_m.iff',0,0.339982,0,0.940432,-3029.53,5.07697,2617.06,15,'neutral',264,0,60),
 (8772,8,0,'object/mobile/dark_trooper.iff',0,0.338923,0,0.940814,-3028.58,5.11515,2618.21,15,'neutral',264,0,60),
 (8773,8,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,-0.580456,0,0.814292,-3028.51,5.11262,2618.18,15,'neutral',264,0,60),
 (8774,8,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,-0.580428,0,0.814312,-3026.34,5.10198,2618.73,15,'npc_imperial',264,0,60),
 (8775,8,0,'object/mobile/womp_rat_hue.iff',0,0.168263,0,0.985742,-2963.31,6.41839,2664.35,15,'calm',264,0,60),
 (8776,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-3012.17,0,2691.38,5,'neutral',128,1,180),
 (8777,8,0,'object/mobile/worrt.iff',0,0,0,0,-3010.7,0,2696.54,6,'neutral',128,1,180),
 (8778,8,0,'object/mobile/tanc_mite_hue.iff',0,0.838528,0,-0.544859,-3006.66,7.83559,2697.94,15,'calm',264,0,60),
 (8779,8,0,'object/mobile/worrt.iff',0,0,0,0,-3075.74,0,2609.75,6,'neutral',128,1,180),
 (8780,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-3074.46,0,2617.97,5,'neutral',128,1,180),
 (8781,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-3069.16,0,2614.47,5,'neutral',128,1,180),
 (8782,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-3068.78,0,2624.45,5,'neutral',128,1,180),
 (8783,8,0,'object/mobile/rill.iff',0,0,0,0,-3064.46,0,2615.22,6,'neutral',128,1,180),
 (8784,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-3073.79,0,2617.18,5,'neutral',128,1,180),
 (8785,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_07.iff',0,0.0514409,0,0.998676,-2978.76,5,2473.24,15,'calm',264,0,60),
 (8786,8,0,'object/mobile/rock_mite_hue.iff',0,-0.678198,0,0.734879,-3080.79,6.03743,2611.32,15,'calm',264,0,60),
 (8787,8,0,'object/mobile/r2.iff',0,-0.0792702,0,0.996853,-2946.98,5,2470.9,15,'calm',264,0,60),
 (8788,8,0,'object/mobile/eg6_power_droid.iff',0,0.998455,0,-0.0555664,-2945.98,5,2470.9,15,'calm',264,0,60),
 (8789,8,0,'object/mobile/eg6_power_droid.iff',0,0.996112,0,0.0880922,-2946.98,5,2470.9,15,'calm',264,0,60),
 (8790,8,0,'object/mobile/dressed_hutt_medic1_zabrak_female_01.iff',0,0.486745,0,0.873544,-2969.78,5,2469.4,15,'calm',264,0,60),
 (8791,8,0,'object/mobile/dressed_tatooine_mat_rags.iff',0,0.495393,0,0.868669,-2977.55,5,2458.29,15,'neutral',264,0,60),
 (8792,8,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.924667,0,0.380776,-3068.4,5,2391.3,15,'calm',264,0,60),
 (8793,8,0,'object/mobile/rock_mite_hue.iff',0,-0.391772,0,0.920062,-3238.87,6.19092,2231.04,15,'calm',264,0,60),
 (8794,8,0,'object/mobile/rill.iff',0,0,0,0,-3249.68,0,2224.78,6,'neutral',128,1,180),
 (8795,8,0,'object/mobile/rill.iff',0,0,0,0,-3232.15,0,2232.39,6,'neutral',128,1,180),
 (8796,8,0,'object/mobile/rill.iff',0,0,0,0,-3252.78,0,2230.5,6,'neutral',128,1,180),
 (8797,8,0,'object/mobile/rock_mite_hue.iff',0,0.783183,0,0.621791,-3238.91,6.14088,2230.72,15,'calm',264,0,60),
 (8798,8,0,'object/mobile/dressed_imperial_officer_m_6.iff',0,0.763512,0,-0.645794,-3150.22,5,2206.83,15,'npc_imperial',264,0,60),
 (8799,8,0,'object/mobile/tanc_mite_hue.iff',0,0.906801,0,0.421559,-3246.28,5.42038,2218.4,15,'calm',264,0,60),
 (8800,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0.000927453,0.288747,0.000389157,0.957405,-3169.56,5,2176.48,15,'neutral',264,0,60),
 (8801,8,0,'object/mobile/dressed_imperial_officer_m_6.iff',0.00285075,0.97791,0.000633426,-0.209009,-3204.52,5,2091.93,15,'neutral',264,0,60),
 (8802,8,0,'object/mobile/womp_rat_hue.iff',0,0.968766,0,0.247975,-3244.16,6.56426,2232.65,15,'calm',264,0,60),
 (8803,8,0,'object/mobile/rock_mite_hue.iff',0,-0.638004,0,0.770033,-3321.67,8.2476,2207.22,15,'calm',264,0,60),
 (8804,8,0,'object/mobile/rock_mite_hue.iff',0,0.871925,0,0.48964,-3321.03,6.78999,2187.04,15,'calm',264,0,60),
 (8805,8,0,'object/mobile/rock_mite_hue.iff',0,0.994063,0,0.108804,-3316.94,8.07518,2198.91,15,'calm',264,0,60),
 (8806,8,0,'object/mobile/worrt.iff',0,0,0,0,-3337.76,0,2207.57,6,'neutral',128,1,180),
 (8807,8,0,'object/mobile/rock_mite_hue.iff',0,0.987669,0,0.156556,-3246.74,5.19249,2121.66,15,'calm',264,0,60),
 (8808,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-3257.35,0,2118.72,5,'neutral',128,1,180),
 (8809,8,0,'object/mobile/worrt.iff',0,0,0,0,-3253.53,0,2125.54,6,'neutral',128,1,180),
 (8810,8,0,'object/mobile/minor_worrt.iff',0,0,0,0,-3258.59,0,2132.91,5,'neutral',128,1,180),
 (8811,8,0,'object/mobile/tanc_mite_hue.iff',0,0.907554,0,0.419936,-3248.78,5.22997,2122.05,15,'calm',264,0,60),
 (8812,8,0,'object/mobile/rill.iff',0,0,0,0,-3250.93,0,2105.16,6,'neutral',128,1,180),
 (8813,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.14263,0,0.989776,-3248.94,5.4228,2116.77,15,'calm',264,0,60),
 (8814,8,0,'object/mobile/dressed_bestine_artist03.iff',0,-0.380072,0,0.924957,-3101.7,5,2184.81,15,'neutral',264,0,60),
 (8815,8,0,'object/mobile/dressed_imperial_officer_m.iff',-0.00018288,-0.105494,-0.0027596,0.994416,-3207,5,2097.52,15,'neutral',264,0,60),
 (8816,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3202.5,0,2091.42,25,'neutral',128,0,180),
 (8817,8,0,'object/mobile/stormtrooper.iff',0,0,0,0,-3207.39,0,2099.33,25,'neutral',128,0,180),
 (8818,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',0,0.983064,0,0.18326,-3100.44,5,2148.76,15,'calm',264,0,60),
 (8819,8,0,'object/mobile/womp_rat_hue.iff',0,-0.534789,0,0.844985,-3265.58,5.20889,2129.95,15,'calm',264,0,60),
 (8820,8,0,'object/mobile/dressed_noble_old_zabrak_female_01.iff',0,-0.596634,0,0.802513,-3091.67,5,2165.61,15,'calm',264,0,60),
 (8821,8,0,'object/mobile/rill.iff',0,0,0,0,-3207.4,0,2028.55,6,'neutral',128,1,180),
 (8822,8,0,'object/mobile/tanc_mite_hue.iff',0,0.857841,0,0.513915,-3208.98,6.12053,2017.03,15,'calm',264,0,60),
 (8823,8,0,'object/mobile/dressed_commoner_tatooine_ishitib_male_03.iff',0,-0.612384,0,0.79056,-3115.34,5,2084.32,15,'calm',264,0,60),
 (8824,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.263362,0,0.964697,-3217.87,6.7851,2010.86,15,'calm',264,0,60),
 (8825,8,0,'object/mobile/rill.iff',0,0,0,0,-3204.8,0,2007.91,6,'neutral',128,1,180),
 (8826,8,0,'object/mobile/worrt.iff',0,0,0,0,-3213.79,0,2012.58,6,'neutral',128,1,180),
 (8827,8,0,'object/mobile/tanc_mite_hue.iff',0,0.279164,0,0.960243,-3205.35,6.01035,2016.06,15,'calm',264,0,60),
 (8828,8,0,'object/mobile/womp_rat_hue.iff',0,0.311329,0,0.950302,-3204.49,5.96378,2015.95,15,'calm',264,0,60),
 (8829,8,0,'object/mobile/womp_rat_hue.iff',0,-0.316444,0,0.948611,-3210.83,6.40006,2005.31,15,'calm',264,0,60),
 (8830,8,0,'object/mobile/worrt.iff',0,0,0,0,-3242.18,0,1949.38,6,'neutral',128,1,180),
 (8831,8,0,'object/mobile/worrt.iff',0,0,0,0,-3227.98,0,1939.4,6,'neutral',128,1,180),
 (8832,8,0,'object/mobile/rock_mite_hue.iff',0,0.984053,0,0.177874,-3224.53,4.79097,1931.72,15,'calm',264,0,60),
 (8833,8,0,'object/mobile/dressed_noble_fat_twilek_male_01.iff',0,-0.158879,0,0.987298,-3081.03,5,2104.52,15,'calm',264,0,60),
 (8834,8,0,'object/mobile/worrt_hue.iff',0,-0.204045,0,0.978962,-3177.72,8.08039,1907.34,15,'calm',264,0,60),
 (8835,8,0,'object/mobile/worrt_hue.iff',0,0.998638,0,-0.052181,-3243.03,5.88032,1922.89,15,'calm',264,0,60),
 (8836,8,0,'object/mobile/worrt_hue.iff',0,-0.49298,0,0.870041,-3173.18,8.36948,1901.38,15,'calm',264,0,60),
 (8837,8,0,'object/mobile/dressed_noble_fat_zabrak_female_02.iff',0,0.998214,0,-0.0597372,-3060.27,5,2085.37,15,'calm',264,0,60),
 (8838,8,0,'object/mobile/tanc_mite_hue.iff',0,0.88564,0,-0.464372,-3114.39,5.75482,1906.64,15,'calm',264,0,60),
 (8839,8,0,'object/mobile/worrt_hue.iff',0,0.994248,0,0.107104,-3096.16,5.08975,1913.67,15,'calm',264,0,60),
 (8840,8,0,'object/mobile/worrt_hue.iff',0,0.058845,0,0.998267,-3108.76,5.45396,1910.17,15,'calm',264,0,60),
 (8841,8,0,'object/mobile/worrt_hue.iff',0,-0.0181989,0,0.999835,-3172.01,8.51885,1888.24,15,'calm',264,0,60),
 (8842,8,0,'object/mobile/rock_mite_hue.iff',0,-0.67167,0,0.740851,-3174.62,8.58522,1889.76,15,'calm',264,0,60),
 (8843,8,0,'object/mobile/rill.iff',0,0,0,0,-3108.03,0,1896.46,6,'neutral',128,1,180),
 (8844,8,0,'object/mobile/tanc_mite_hue.iff',0.00557938,0.856131,0.00901523,0.51665,-3093.11,5.06432,1912.45,15,'calm',264,0,60),
 (8845,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.60521,0,0.796066,-2985.75,5,1978.7,15,'npc_imperial',264,0,60),
 (8846,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.605211,0,0.796065,-2988.1,5,1978.04,15,'npc_imperial',264,0,60),
 (8847,8,0,'object/mobile/dressed_scout_trooper_white_white.iff',0,0.789777,0,-0.613394,-2984.22,5,1987.49,15,'neutral',264,0,60),
 (8848,8,0,'object/mobile/dressed_stormtrooper_groupleader_m.iff',0,-0.159617,0,0.987179,-2980.41,5,1959.34,15,'npc_imperial',264,0,60),
 (8849,8,0,'object/mobile/womp_rat_hue.iff',0,0.560372,0,0.828241,-3095.72,5.05761,1915.26,15,'calm',264,0,60),
 (8850,8,0,'object/mobile/womp_rat_hue.iff',0,0.771287,0,-0.636487,-3103.38,5.15501,1918.82,15,'calm',264,0,60),
 (8851,8,0,'object/mobile/womp_rat_hue.iff',0,0.303944,0,0.95269,-3113.6,5.65245,1908.34,15,'calm',264,0,60),
 (8852,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.990938,0,0.134318,-2970.81,5,1981.34,15,'npc_imperial',264,0,60),
 (8853,8,0,'object/mobile/dressed_imperial_officer_m_3.iff',0,0.990962,0,0.134142,-2970.64,5,1980.73,15,'npc_imperial',264,0,60),
 (8854,8,0,'object/mobile/dressed_eisley_officer_quarren_male_01.iff',0,0.996923,0,0.0783858,-2976.17,5,2009.31,15,'neutral',264,0,60),
 (8855,8,0,'object/mobile/dressed_stormtrooper_sand_trooper_m.iff',0,0.798925,0,-0.601431,-2971.83,5,1980.42,15,'npc_imperial',264,0,60),
 (8856,8,0,'object/mobile/dressed_eisley_officer_twilek_female_01.iff',0,0.996922,0,0.078402,-2977.32,5,2010.1,15,'calm',264,0,60),
 (8857,8,0,'object/mobile/dressed_eisley_officer_human_female_01.iff',0,0.996924,0,0.0783796,-2976.54,5,2011.63,15,'neutral',264,0,60),
 (8858,8,0,'object/mobile/dark_trooper.iff',0,-0.134653,0,0.990893,-2953.88,5,1933.16,15,'npc_imperial',264,0,60),
 (8859,8,0,'object/mobile/dressed_imperial_officer_m_2.iff',0,-0.13467,0,0.99089,-2954.65,5,1935.93,15,'npc_imperial',264,0,60),
 (8860,8,0,'object/mobile/dressed_commoner_naboo_human_female_05.iff',0,0.138804,0,0.99032,-2939.1,5,1962.9,15,'calm',264,0,60),
 (8861,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,-0.191462,0,0.9815,-2912.23,5,1928.7,15,'calm',264,0,60),
 (8862,8,0,'object/mobile/eg6_power_droid.iff',0,-0.253558,0,0.96732,-2928.04,5,1977.68,15,'calm',264,0,60),
 (8863,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_05.iff',0,0.94692,0,-0.32147,-2831.34,5,1912.49,15,'calm',264,0,60),
 (8864,8,0,'object/mobile/eg6_power_droid.iff',0,0.843378,0,-0.53732,-2833.22,5,1899.71,15,'calm',264,0,60),
 (8865,8,0,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,-0.266983,0,0.963701,-2881.87,5,1974.41,15,'calm',264,0,60),
 (8866,8,0,'object/mobile/dressed_tatooine_kaeline_ungasan.iff',0,-0.215212,0,0.976567,-2815.58,5,1940.55,15,'neutral',264,0,60),
 (8867,8,0,'object/mobile/rill.iff',0,0,0,0,-2795.61,0,1767.23,6,'neutral',128,1,180),
 (8868,8,0,'object/mobile/tanc_mite_hue.iff',0,0.757826,0,0.652457,-2789.62,6.17824,1763.98,15,'calm',264,0,60),
 (8869,8,0,'object/mobile/tanc_mite_hue.iff',0,-0.122886,0,0.992421,-2797.01,5.38467,1764.85,15,'calm',264,0,60),
 (8870,8,0,'object/mobile/jawa_male.iff',0,0.814191,0,0.580598,-2777.56,5,1927.17,15,'calm',264,0,60),
 (8871,8,0,'object/mobile/jawa_male.iff',0,0.788997,0,-0.614397,-2777.56,5,1927.17,15,'calm',264,0,60),
 (8872,8,0,'object/mobile/jawa_male.iff',0,0.971217,0,-0.238195,-2777.56,5,1927.17,15,'calm',264,0,60),
 (8873,8,0,'object/mobile/jawa_male.iff',0,0.989818,0,-0.142337,-2777.56,5,1927.17,15,'calm',264,0,60),
 (8874,8,0,'object/mobile/dressed_commoner_tatooine_nikto_male_05.iff',0,-0.340995,0,0.940065,-2807.11,5,1953.71,15,'calm',264,0,60),
 (8875,8,0,'object/mobile/rill.iff',0,0,0,0,-2795.65,0,1752.01,6,'neutral',128,1,180),
 (8876,8,0,'object/mobile/rock_mite_hue.iff',0,0.818373,0,-0.574687,-2791.98,6.24406,1759.43,15,'calm',264,0,60),
 (8877,8,0,'object/mobile/jawa_male.iff',0,0.565786,0,0.824552,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8878,8,0,'object/mobile/jawa_male.iff',0,-0.103118,0,0.994669,-2767.56,5,1927.17,15,'calm',264,0,60),
 (8879,8,0,'object/mobile/jawa_male.iff',0,0.888111,0,-0.459629,-2767.56,5,1927.17,15,'calm',264,0,60),
 (8880,8,0,'object/mobile/jawa_male.iff',0,0.852862,0,-0.522136,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8881,8,0,'object/mobile/jawa_male.iff',0,0.951872,0,0.306497,-2767.56,5,1937.17,15,'calm',264,0,60),
 (8882,8,0,'object/mobile/jawa_male.iff',0,0.960807,0,0.277217,-2767.56,5,1937.17,15,'calm',264,0,60),
 (8883,8,0,'object/mobile/jawa_male.iff',0,0.923602,0,-0.383352,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8884,8,0,'object/mobile/jawa_male.iff',0,0.888084,0,-0.459681,-2767.56,5,1927.17,15,'calm',264,0,60),
 (8885,8,0,'object/mobile/jawa_male.iff',0,0.812533,0,-0.582915,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8886,8,0,'object/mobile/jawa_male.iff',0,-0.0862751,0,0.996271,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8887,8,0,'object/mobile/jawa_male.iff',0,0.0344335,0,0.999407,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8888,8,0,'object/mobile/jawa_male.iff',0,0.997061,0,0.0766061,-2767.56,5,1937.17,15,'calm',264,0,60),
 (8889,8,0,'object/mobile/jawa_male.iff',0,-0.168516,0,0.985699,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8890,8,0,'object/mobile/jawa_male.iff',0,-0.616063,0,0.787697,-2767.56,5,1937.17,15,'calm',264,0,60),
 (8891,8,0,'object/mobile/jawa_male.iff',0,-0.696862,0,0.717205,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8892,8,0,'object/mobile/jawa_male.iff',0,-0.217768,0,0.976,-2777.56,5,1937.17,15,'calm',264,0,60),
 (8893,8,0,'object/mobile/rill.iff',0,0,0,0,-2723.39,0,1842.49,6,'neutral',128,1,180),
 (8894,8,0,'object/mobile/rill.iff',0,0,0,0,-2724.42,0,1826.85,6,'neutral',128,1,180),
 (8895,8,0,'object/mobile/tanc_mite_hue.iff',0,0.566434,0,0.824107,-2720.95,5.12037,1838.72,15,'calm',264,0,60),
 (8896,8,0,'object/mobile/tanc_mite_hue.iff',0,0.985889,0,-0.167402,-2713.99,5.73621,1815.47,15,'calm',264,0,60),
 (8897,8,0,'object/mobile/tanc_mite_hue.iff',0,0.997151,0,-0.0754287,-2705.64,5.75105,1820.1,15,'calm',264,0,60),
 (8898,8,0,'object/mobile/rock_mite_hue.iff',0,0.841923,0,-0.539598,-2714.58,5.37967,1828.84,15,'calm',264,0,60),
 (8899,8,0,'object/mobile/worrt_hue.iff',0,0.742525,0,-0.669818,-2716.18,5.32138,1830.71,15,'calm',264,0,60),
 (8900,8,0,'object/mobile/worrt_hue.iff',0,-0.108687,0,0.994076,-2613.31,5.08118,1969.82,15,'calm',264,0,60),
 (8901,8,0,'object/mobile/womp_rat_hue.iff',0,-0.124963,0,0.992161,-2621.59,5.02486,1967.45,15,'calm',264,0,60),
 (8902,8,0,'object/mobile/womp_rat_hue.iff',0,0.994614,0,-0.103644,-2613.3,5.16549,1956.6,15,'calm',264,0,60),
 (8903,8,0,'object/mobile/womp_rat_hue.iff',0,0.982819,0,-0.184573,-2581.69,5.15777,2031.96,15,'calm',264,0,60),
 (8904,8,0,'object/mobile/dressed_commoner_tatooine_rodian_male_04.iff',0,-0.038965,0,0.999241,-2903.06,5,2362.06,15,'calm',264,0,60),
 (8905,8,0,'object/mobile/dressed_commoner_naboo_moncal_male_01.iff',0,0.951451,0,-0.3078,-2976.72,5.52789,2333.09,15,'calm',264,0,60),
 (8906,8,0,'object/mobile/dressed_commoner_fat_twilek_male_02.iff',0,-0.317377,0,0.9483,-2886.35,5,2377.12,15,'calm',264,0,60),
 (8907,8,0,'object/mobile/dressed_criminal_thug_rodian_female_01.iff',0,-2.81304e-08,0,1,-2996.41,5.52789,2326.36,15,'calm',264,0,60),
 (8908,8,0,'object/mobile/dressed_noble_fat_twilek_female_02.iff',0,0.843485,0,-0.537153,-2999.41,5.52789,2350.79,15,'calm',264,0,60),
 (8909,8,0,'object/mobile/dressed_noble_twilek_male_01.iff',0,0.978412,0,0.206664,-3062.85,5,2195.92,15,'calm',264,0,60),
 (8910,8,1256068,'object/mobile/space_rebel_tier1_tatooine_socuna.iff',-1.66112e-08,0.459782,3.87349e-08,0.888032,-29.7168,-0.519991,7.77728,15,'neutral',264,0,60),
 (8911,8,1256067,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',8.94114e-08,3.81441e-05,2.95035e-07,1,-20.6545,-0.894989,25.0112,15,'conversation',264,0,60),
 (8912,8,1256067,'object/mobile/dressed_commoner_fat_zabrak_male_01.iff',-1.32163e-07,1,5.92423e-12,-4.48254e-05,-20.6545,-0.894989,26.0112,15,'conversation',264,0,60),
 (8913,8,1256061,'object/mobile/dressed_eisley_officer_rodian_female_01.iff',5.96094e-08,-2.80162e-05,-1.33466e-08,1,2.1656,-0.894992,-15.9672,15,'conversation',264,0,60),
 (8914,8,1256061,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',1.07484e-08,1,-5.96086e-08,4.12495e-05,2.1656,-0.894992,-14.9672,15,'conversation',264,0,60),
 (8915,8,1256058,'object/mobile/dressed_commoner_fat_human_male_02.iff',0,0.287585,0,0.957755,-11.1703,-0.894992,1.53149,15,'neutral',264,0,60),
 (8916,8,1256058,'object/mobile/dressed_tatooine_jilljoo_jab.iff',3.40319e-08,0.875913,3.89464e-08,-0.482469,10.5758,-0.894992,-3.56401,15,'neutral',264,0,60),
 (8917,8,1256058,'object/mobile/dressed_commoner_naboo_human_female_01.iff',-5.96034e-08,-1.049e-05,7.74528e-08,1,12.1732,-0.894992,2.93609,15,'conversation',264,0,60),
 (8918,8,1256058,'object/mobile/dressed_mercenary_elite_medic_human_male_01.iff',-5.08094e-09,1,2.98007e-08,2.33638e-05,12.1732,-0.894991,3.93609,15,'conversation',264,0,60),
 (8919,8,1256058,'object/mobile/dressed_commoner_naboo_human_male_04.iff',1.09453e-07,0.902355,-9.67114e-08,-0.430993,-6.00754,-0.894992,-5.35219,15,'calm',264,0,60),
 (8920,8,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.820371,0,-0.571831,-3046.72,5,2133.45,15,'calm',264,0,60),
 (8921,8,0,'object/mobile/dressed_goon_twk_female_01.iff',0,0.977139,0,0.2126,-3065.25,5,2142.42,15,'calm',264,0,60),
 (8922,8,1261023,'object/mobile/dressed_commoner_naboo_moncal_male_01.iff',0,0.402978,0,0.915209,-24,1.6,-4,15,'calm',264,0,60),
 (8923,8,1261017,'object/mobile/dressed_artisan_trainer_01.iff',-3.79299e-07,4.61288e-05,1.74966e-11,1,7.41432,1.00001,-6.90893,15,'conversation',264,0,60),
 (8924,8,1261017,'object/mobile/dressed_eisley_officer_human_male_01.iff',1.19554e-11,1,-4.87697e-07,2.45139e-05,7.41432,1.00001,-5.80893,15,'conversation',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (8925,8,1261018,'object/mobile/dressed_artisan_trainer_01.iff',-1.08361e-07,-2.51833e-05,-2.7289e-12,1,20.2715,1.28309,-1.14578,15,'conversation',264,0,60),
 (8926,8,1261018,'object/mobile/dressed_noble_fat_human_female_02.iff',-6.48271e-12,1,1.0838e-07,5.98144e-05,20.2715,1.28309,-0.0457823,15,'conversation',264,0,60),
 (8927,8,1261018,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',-2.93281e-08,0.923861,7.07945e-08,0.382729,19.1715,1.28309,-0.0457823,15,'conversation',264,0,60),
 (8928,8,1261018,'object/mobile/dressed_hutt_medic2_twilek_male_01.iff',0,0.857263,0,-0.514878,20.2668,1.56616,15.1105,15,'calm',264,0,60),
 (8929,8,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0.878124,0,-0.478434,-3055.28,5,2098.76,15,'calm',264,0,60),
 (8930,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.598094,0,0.801426,-3019.69,5,2114.97,15,'calm',264,0,60),
 (8931,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,0.230515,0,0.973069,-2914.38,5,1984.92,15,'calm',264,0,60),
 (8932,8,0,'object/mobile/r4.iff',0,0.806519,0,-0.591208,-2871.38,6.12074,1985.32,15,'calm',264,0,60),
 (8933,8,1256306,'object/mobile/dressed_artisan_trainer_03.iff',0,0.0958457,0,0.995396,-3.69,1.13306,-6,15,'calm',264,0,60),
 (8934,8,1256011,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',0,0.824126,0,-0.566406,3.29,1.13306,-9.58,15,'calm',264,0,60),
 (8935,8,1256010,'object/mobile/dressed_rebel_brigadier_general_trandoshan_female.iff',0,0.975088,0,-0.221819,14.2091,1.13306,-10.1408,15,'calm',264,0,60),
 (8936,8,0,'object/mobile/dressed_hoodlum_zabrak_male_01.iff',0,0.884271,0,-0.466975,-5210.29,75,-6570.98,15,'calm',264,0,60),
 (8937,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_08.iff',0,0.846413,0,0.532526,-5155.04,75,-6500.75,15,'calm',264,0,60),
 (8938,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_03.iff',0,0.902215,0,0.431286,-5176.26,75,-6611.98,15,'calm',264,0,60),
 (8939,8,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_06.iff',0,0.960262,0,-0.279101,-5120.75,75,-6594.69,15,'calm',264,0,60),
 (8940,8,0,'object/mobile/dressed_commoner_naboo_zabrak_male_01.iff',0,-0.642627,0,0.766179,-5133.39,75,-6492.64,15,'calm',264,0,60),
 (8941,8,0,'object/mobile/dressed_commoner_naboo_human_male_08.iff',0,0.946484,0,-0.322751,-5128.78,75,-6542.42,15,'calm',264,0,60),
 (8942,8,0,'object/mobile/dressed_noble_fat_zabrak_male_01.iff',0,0.993052,0,-0.117676,-5172.13,75,-6571.71,15,'calm',264,0,60),
 (8943,8,0,'object/mobile/dressed_palu_zerk.iff',0,-0.504761,0,0.863259,-5049.46,75,-6585.53,15,'calm',264,0,60),
 (8944,8,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,0.791429,0,-0.611262,-5095.19,75,-6527.76,15,'calm',264,0,60),
 (8945,8,0,'object/mobile/jawa_male.iff',0,0.999502,0,0.0315513,-5053.6,75,-6625.89,15,'calm',264,0,60),
 (8946,8,0,'object/mobile/r5.iff',0,-0.539719,0,0.841846,-5126.31,75,-6491.03,15,'calm',264,0,60),
 (8947,8,0,'object/mobile/jawa_male.iff',0,0.985394,0,-0.170293,-5108.37,75,-6492.24,15,'calm',264,0,60),
 (8948,8,0,'object/mobile/dressed_criminal_thug_aqualish_female_02.iff',0,0.999677,0,-0.025402,-5115.15,75,-6550.13,15,'calm',264,0,60),
 (8949,8,0,'object/mobile/jawa_male.iff',0,0.37569,0,0.926745,-5062.65,75,-6596.72,15,'calm',264,0,60),
 (8950,8,0,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',0,0.997391,0,-0.0721922,-5115.97,75,-6548.43,15,'calm',264,0,60),
 (8951,8,0,'object/mobile/jawa_male.iff',0,0.274052,0,0.961715,-5061.61,75,-6597.5,15,'calm',264,0,60),
 (8952,8,0,'object/mobile/dressed_robber_twk_male_01.iff',0,0.963262,0,0.268562,-5048.57,75,-6571.22,15,'calm',264,0,60),
 (8953,8,0,'object/mobile/jawa_male.iff',0,-0.354883,0,0.934911,-5066.64,75,-6600.84,15,'calm',264,0,60),
 (8954,8,0,'object/mobile/dressed_criminal_thug_human_female_01.iff',-0.00553453,0.963185,-0.00734918,0.268683,-5050.32,75,-6570.58,15,'neutral',264,0,60),
 (8955,8,0,'object/mobile/jawa_male.iff',0,-0.160284,0,0.987071,-5054.39,75,-6602.99,15,'calm',264,0,60),
 (8956,8,0,'object/mobile/jawa_male.iff',0,0.256233,0,0.966615,-5059.34,75,-6594.17,15,'calm',264,0,60),
 (8957,8,0,'object/mobile/jawa_male.iff',0,-0.220455,0,0.975397,-5051.74,75,-6606.62,15,'calm',264,0,60),
 (8958,8,0,'object/mobile/r5.iff',0,0.986973,0,0.160887,-5105.84,75,-6486.52,15,'calm',264,0,60),
 (8959,8,0,'object/mobile/jawa_male.iff',0,0.860094,0,0.510136,-5128.63,75,-6489.39,15,'calm',264,0,60),
 (8960,8,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.985595,0,0.169124,-5106.7,75,-6484.28,15,'calm',264,0,60),
 (8961,8,0,'object/mobile/r3.iff',0,0.819076,0,-0.573685,-5129.45,75,-6483.77,15,'calm',264,0,60),
 (8962,8,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.0273815,0,0.999625,-5155.11,75,-6488.89,15,'calm',264,0,60),
 (8963,8,0,'object/mobile/dressed_commoner_naboo_human_female_02.iff',0,0.933549,0,-0.35845,-5182,75,-6496.33,15,'calm',264,0,60),
 (8964,8,0,'object/mobile/dressed_commoner_naboo_human_male_05.iff',0,-0.564625,0,0.825347,-5217.62,75,-6578.64,15,'calm',264,0,60),
 (8965,8,0,'object/mobile/dressed_commoner_old_zabrak_female_01.iff',0,0.526453,0,0.850204,-5219.65,75,-6548.3,15,'calm',264,0,60),
 (8966,8,0,'object/mobile/dressed_commoner_tatooine_devaronian_male_03.iff',0,-0.157675,0,0.987491,-5193.47,75,-6490.09,15,'calm',264,0,60),
 (8967,8,0,'object/mobile/dressed_cobral_thief_human_male_01.iff',0,0.576189,0,0.817316,-5224.18,75,-6559.69,15,'calm',264,0,60),
 (8968,8,1134569,'object/mobile/dressed_kobola_thief_rodian_male_01.iff',-9.2103e-07,-7.36892e-05,-6.78699e-11,1,-24.5583,-0.894991,23.3065,15,'conversation',264,0,60),
 (8969,8,1134569,'object/mobile/dressed_hooligan_rodian_male_01.iff',-1.01146e-10,1,9.48367e-07,0.000106653,-24.5583,-0.894991,24.4065,15,'conversation',264,0,60),
 (8970,8,1134569,'object/mobile/dressed_commoner_tatooine_ishitib_male_02.iff',-2.49303e-07,0.923848,6.01729e-07,0.38276,-25.6583,-0.894991,24.4065,15,'conversation',264,0,60),
 (8971,8,1134562,'object/mobile/dressed_commoner_naboo_twilek_male_02.iff',0,0.236195,0,0.971706,17.9368,-0.894992,22.6329,15,'calm',264,0,60),
 (8972,8,1134561,'object/mobile/dressed_corvette_neutral_yondalla.iff',2.10585e-07,0.217362,-4.68945e-08,0.976091,20.1921,-0.894996,-19.0778,15,'calm',264,0,60),
 (8973,8,1134560,'object/mobile/dressed_commoner_old_zabrak_male_01.iff',0,0.957755,0,-0.287585,-11.0018,-0.894992,1.78678,15,'neutral',264,0,60),
 (8974,8,1134560,'object/mobile/dressed_noble_fat_twilek_male_02.iff',7.19456e-07,0.639338,-5.98205e-07,0.768926,-5.69909,-0.894992,-10.4035,15,'calm',264,0,60),
 (8975,8,1134560,'object/mobile/dressed_artisan_trainer_01.iff',-1.11106e-06,6.23318e-05,6.92547e-11,1,-3.85346,-0.894991,6.73775,15,'conversation',264,0,60),
 (8976,8,1134560,'object/mobile/dressed_commoner_tatooine_rodian_female_03.iff',-2.25802e-11,1,1.02931e-06,2.19371e-05,-3.85346,-0.894991,7.83775,15,'conversation',264,0,60),
 (8977,8,1134560,'object/mobile/dressed_criminal_thug_rodian_male_01.iff',-1.40888e-06,3.85964e-05,5.43777e-11,1,11.3838,-0.894992,-3.73465,15,'conversation',264,0,60),
 (8978,8,1134560,'object/mobile/dressed_rebel_specforce_pathfinder_twk_female_01.iff',3.08814e-12,1,1.40881e-06,-2.19202e-06,11.3838,-0.894992,-2.63465,15,'conversation',264,0,60),
 (8979,8,1134560,'object/mobile/dressed_hooligan_rodian_male_01.iff',-3.59227e-07,0.923882,8.67265e-07,0.382678,10.2838,-0.894992,-2.63465,15,'conversation',264,0,60),
 (8980,8,1134560,'object/mobile/dressed_commoner_naboo_zabrak_male_02.iff',0,0.823297,0,-0.567611,4.86041,-0.894992,6.38401,15,'calm',264,0,60),
 (8981,8,1134559,'object/mobile/dressed_criminal_slicer_human_male_01.iff',1.69303e-06,8.49254e-05,-1.43781e-10,1,34.4931,0.104999,-7.576,15,'conversation',264,0,60),
 (8982,8,1134559,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',7.3437e-11,1,-1.69362e-06,4.33611e-05,34.4931,0.104999,-6.47601,15,'conversation',264,0,60),
 (8983,8,1134570,'object/mobile/dressed_hoodlum_zabrak_female_01.iff',-4.48166e-07,0.136793,6.18876e-08,0.9906,-25.6591,-0.519991,10.6171,15,'calm',264,0,60),
 (8984,8,0,'object/mobile/dressed_crook_zabrak_male_01.iff',0,-0.178142,0,0.984005,-5232.74,75,-6573.71,15,'calm',264,0,60),
 (8985,8,0,'object/mobile/dressed_criminal_thug_bothan_male_01.iff',0,-0.178077,0,0.984017,-5232.15,75,-6575.29,15,'calm',264,0,60),
 (8986,8,0,'object/mobile/dressed_criminal_thug_human_male_02.iff',0,-0.178068,0,0.984018,-5233.49,75,-6571.71,15,'calm',264,0,60),
 (8987,8,0,'object/mobile/jawa_male.iff',0,0.682585,0,0.730806,-5206.91,75,-6490.08,15,'calm',264,0,60),
 (8988,8,0,'object/mobile/cll8_binary_load_lifter.iff',0,0.973099,0,0.230386,-5204.46,75,-6481.04,15,'calm',264,0,60),
 (8989,8,1718360,'object/mobile/dressed_commoner_old_twilek_male_01.iff',1.40914e-06,4.46792e-05,-6.29595e-11,1,14.8335,-3.99038,4.51296,15,'conversation',264,0,60),
 (8990,8,1718360,'object/mobile/dressed_commoner_tatooine_aqualish_female_01.iff',-1.35601e-10,1,-1.40889e-06,-9.6247e-05,14.8335,-3.99038,5.61296,15,'conversation',264,0,60),
 (8991,8,1718359,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0.000113266,0.862016,-0.000192624,0.506881,-20.9216,-3.99571,2.67462,15,'calm',264,0,60),
 (8992,8,1134533,'object/mobile/dressed_artisan_trainer_01.iff',-5.7137e-05,0.000110592,6.3189e-09,1,11.9085,0.991253,-0.950462,15,'conversation',264,0,60),
 (8993,8,1134533,'object/mobile/dressed_commoner_fat_twilek_male_01.iff',-2.37894e-09,1,-5.39068e-05,-4.41306e-05,11.9085,0.991375,0.149539,15,'conversation',264,0,60),
 (8994,8,1134533,'object/mobile/dressed_eisley_officer_bothan_female_01.iff',2.43793e-07,-9.88291e-05,2.40938e-11,1,-9.6227,0.995934,-0.745972,15,'conversation',264,0,60),
 (8995,8,1134533,'object/mobile/dressed_naboo_nomad.iff',-7.81479e-12,1,-2.43828e-07,-3.20504e-05,-9.6227,0.995934,0.354028,15,'conversation',264,0,60),
 (8996,8,0,'object/mobile/dressed_commoner_fat_zabrak_female_02.iff',0,0.433787,0,0.901016,-5213.66,75,-6474.22,15,'calm',264,0,60),
 (8997,8,0,'object/mobile/dressed_jowir_arlensa.iff',0,0.395986,0,0.918257,-5252.74,75,-6553.42,15,'calm',264,0,60),
 (8998,8,0,'object/mobile/dressed_commoner_naboo_human_male_01.iff',0,0.193271,0,0.981146,-5249.25,75,-6516.55,15,'calm',264,0,60),
 (8999,8,0,'object/mobile/dressed_commoner_naboo_twilek_female_02.iff',0,-0.246125,0,0.969238,-5214.19,75,-6460.12,15,'calm',264,0,60),
 (9000,8,0,'object/mobile/jawa_male.iff',0,0.942622,0,0.333863,-5248.59,75,-6514.38,15,'calm',264,0,60),
 (9001,8,0,'object/mobile/jawa_male.iff',0,0.999692,0,0.0248343,-5245.66,75,-6521.01,15,'calm',264,0,60),
 (9002,8,0,'object/mobile/jawa_male.iff',0,0.900504,0,-0.434848,-5242.73,75,-6503.24,15,'calm',264,0,60),
 (9003,8,0,'object/mobile/dressed_criminal_thug_bothan_female_01.iff',0,0.996006,0,0.0892869,-5240.14,75,-6530.61,15,'calm',264,0,60),
 (9004,8,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_01.iff',0,0.984226,0,-0.176915,-5251.85,75,-6499.93,15,'calm',264,0,60),
 (9005,8,0,'object/mobile/jawa_male.iff',0,0.468778,0,0.883316,-5248.59,75,-6504.38,15,'calm',264,0,60),
 (9006,8,0,'object/mobile/jawa_male.iff',0,0.668124,0,0.74405,-5248.59,75,-6504.38,15,'calm',264,0,60),
 (9007,8,0,'object/mobile/dressed_commoner_tatooine_rodian_female_02.iff',0,0.859962,0,-0.510358,-5260.24,75,-6510.64,15,'calm',264,0,60),
 (9008,8,0,'object/mobile/dressed_doctor_trainer_moncal_male_01.iff',0,0.833831,0,-0.55202,-5260.46,75,-6556.07,15,'calm',264,0,60),
 (9009,8,0,'object/mobile/jawa_male.iff',0,0.895776,0,-0.444507,-5258.59,75,-6504.38,15,'calm',264,0,60),
 (9010,8,0,'object/mobile/dressed_tatooine_tekil_barje.iff',0,0.876071,0,-0.482182,-5269.8,75,-6567.61,15,'neutral',264,0,60),
 (9011,8,0,'object/mobile/dressed_hooligan_rodian_male_01.iff',0,0.852288,0,0.523073,-5282.79,75,-6521.67,15,'calm',264,0,60),
 (9012,8,0,'object/mobile/dressed_commoner_naboo_bothan_male_01.iff',0,0.013323,0,0.999911,-5216.58,75,-6494.05,15,'calm',264,0,60),
 (9013,8,0,'object/mobile/dressed_criminal_thug_zabrak_female_01.iff',0,0.870099,0,0.492876,-5248.39,75,-6549.52,15,'calm',264,0,60),
 (9014,8,0,'object/mobile/dressed_robber_twk_male_01.iff',0,0.75552,0,0.655126,-5273.74,75,-6518.97,15,'calm',264,0,60),
 (9015,8,0,'object/mobile/dressed_bestine_artist06.iff',0,0.97592,0,-0.218127,-5239.55,75,-6566.86,15,'neutral',264,0,60),
 (9016,8,0,'object/mobile/dressed_commoner_tatooine_bith_male_04.iff',0,0.871442,0,0.490498,-5277.28,75,-6558.48,15,'calm',264,0,60),
 (9017,8,1499424,'object/mobile/dressed_criminal_thug_aqualish_male_02.iff',0,-0.691377,0,0.722494,-7.85116,-3.96617,6.43429,15,'calm',264,0,60),
 (9018,8,1499419,'object/mobile/dressed_entertainer_trainer_twk_female_01.iff',-8.80435e-07,4.76802e-05,4.19793e-11,1,6.82411,0.40827,-8.7422,15,'conversation',264,0,60),
 (9019,8,1499419,'object/mobile/dressed_hooligan_rodian_male_01.iff',-5.16925e-11,1,1.08373e-06,4.76985e-05,6.82411,0.408269,-7.6422,15,'conversation',264,0,60),
 (9020,8,1499419,'object/mobile/dressed_artisan_trainer_02.iff',-2.93259e-07,0.923869,7.07937e-07,0.382708,5.72411,0.408269,-7.6422,15,'conversation',264,0,60),
 (9021,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,-4643,0,-4359,336,'neutral',128,35,300),
 (9022,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,-4627,0,-4369,275,'neutral',128,35,300),
 (9023,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,-4666,0,-4347,275,'neutral',128,35,300),
 (9024,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4633,0,-4329,122,'neutral',128,35,300),
 (9025,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4618,0,-4335,122,'neutral',128,35,300),
 (9026,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4585,0,-4374,122,'neutral',128,35,300),
 (9027,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4585,0,-4416,122,'neutral',128,35,300),
 (9028,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4669,0,-4432,122,'neutral',128,35,300),
 (9029,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4752,0,-4401,122,'neutral',128,35,300),
 (9030,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4740,0,-4303,122,'neutral',128,35,300),
 (9031,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,-4673,0,-4290,122,'neutral',128,35,300),
 (9032,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,6739,0,4288,336,'neutral',128,35,300),
 (9033,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,7456,0,4449,275,'neutral',128,35,300),
 (9034,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,7561,0,4562,275,'neutral',128,35,300),
 (9035,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,7461,0,4659,275,'neutral',128,35,300),
 (9036,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,6998,0,4362,275,'neutral',128,35,300),
 (9037,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,7528,0,4822,275,'neutral',128,35,300),
 (9038,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,6814,0,4339,275,'neutral',128,35,300),
 (9039,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,6738,0,4481,275,'neutral',128,35,300),
 (9040,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,6828,0,4066,336,'neutral',128,35,300),
 (9041,8,0,'object/mobile/canyon_krayt_dragon.iff',0,0,0,0,7054,0,4194,336,'neutral',128,35,300),
 (9042,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,7426,0,4621,122,'neutral',128,35,300),
 (9043,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,7413,0,4515,122,'neutral',128,35,300),
 (9044,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,7475,0,4446,122,'neutral',128,35,300),
 (9045,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,7266,0,4597,122,'neutral',128,35,300),
 (9046,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,7128,0,4554,122,'neutral',128,35,300),
 (9047,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,6875,0,4499,122,'neutral',128,35,300),
 (9048,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,6707,0,4461,122,'neutral',128,35,300),
 (9049,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,6515,0,4445,122,'neutral',128,35,300),
 (9050,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,6543,0,4283,122,'neutral',128,35,300),
 (9051,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,6865,0,4093,122,'neutral',128,35,300),
 (9052,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,7044,0,4203,122,'neutral',128,35,300),
 (9053,8,0,'object/mobile/juvenile_canyon_krayt.iff',0,0,0,0,7273,0,4317,122,'neutral',128,35,300),
 (9054,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5770,0,4037.45,10,'neutral',128,33,180),
 (9055,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5742.25,0,4002.07,10,'neutral',128,33,180),
 (9056,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5741.93,0,4003.57,10,'neutral',128,33,180),
 (9057,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5759.55,0,4020.9,10,'neutral',128,33,180),
 (9058,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5772.97,0,4002.38,10,'neutral',128,33,180),
 (9059,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5781.97,0,4044.32,12,'neutral',128,33,180),
 (9060,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5731.03,0,4010.19,12,'neutral',128,33,180),
 (9061,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5756.7,0,4033.49,12,'neutral',128,33,180),
 (9062,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5753.58,0,4013.61,12,'neutral',128,33,180),
 (9063,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5757.52,0,4023.64,12,'neutral',128,33,180),
 (9064,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5741.75,0,4043.05,6,'neutral',128,33,180),
 (9065,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5770.22,0,4046.31,6,'neutral',128,33,180),
 (9066,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5742.57,0,3994.96,6,'neutral',128,33,180),
 (9067,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5747,0,4016.1,6,'neutral',128,33,180),
 (9068,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5746.89,0,4020.53,6,'neutral',128,33,180),
 (9069,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5723.88,0,4030.16,21,'neutral',128,33,180),
 (9070,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5740.11,0,4013.67,21,'neutral',128,33,180),
 (9071,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5745.37,0,4001.38,21,'neutral',128,33,180),
 (9072,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5714.91,0,4050.67,21,'neutral',128,33,180),
 (9073,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5728.76,0,4020.56,21,'neutral',128,33,180),
 (9074,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5736.86,0,4035.45,10,'neutral',128,33,180),
 (9075,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5782.6,0,4055.42,10,'neutral',128,33,180),
 (9076,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5770.21,0,4005.3,10,'neutral',128,33,180),
 (9077,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5739.92,0,4054.37,10,'neutral',128,33,180),
 (9078,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5736.62,0,4021.08,10,'neutral',128,33,180),
 (9079,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5794.87,0,4036.7,6,'neutral',128,33,180),
 (9080,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5775.61,0,4012.85,6,'neutral',128,33,180),
 (9081,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5729.42,0,4021.32,6,'neutral',128,33,180),
 (9082,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5738.5,0,3973.56,6,'neutral',128,33,180),
 (9083,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5743.46,0,3969.97,6,'neutral',128,33,180),
 (9084,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5743.78,0,4017.46,10,'neutral',128,33,180),
 (9085,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5706.32,0,4028.54,10,'neutral',128,33,180),
 (9086,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5747.18,0,4024.78,10,'neutral',128,33,180),
 (9087,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5763.54,0,4011.23,10,'neutral',128,33,180),
 (9088,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5755.09,0,4029.5,10,'neutral',128,33,180),
 (9089,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5768,0,3991,17,'neutral',128,33,180),
 (9090,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5813.15,0,4007.22,17,'neutral',128,33,180),
 (9091,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5729.9,0,4038,17,'neutral',128,33,180),
 (9092,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5771.87,0,4052.8,17,'neutral',128,33,180),
 (9093,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5757.18,0,3982.71,17,'neutral',128,33,180),
 (9094,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5756.07,0,4047.95,6,'neutral',128,33,180),
 (9095,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5726.36,0,4018.05,6,'neutral',128,33,180),
 (9096,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5777.15,0,4024.78,6,'neutral',128,33,180),
 (9097,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5737.48,0,3981.43,6,'neutral',128,33,180),
 (9098,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5749.55,0,3999.63,6,'neutral',128,33,180),
 (9099,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5760.14,0,3973.4,9,'neutral',128,33,180),
 (9100,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5773.24,0,4014.19,9,'neutral',128,33,180),
 (9101,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5754.34,0,3993.69,9,'neutral',128,33,180),
 (9102,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5761.53,0,4039.64,9,'neutral',128,33,180),
 (9103,8,0,'object/mobile/jawa_male.iff',0,0,0,0,5793.07,0,4036.13,9,'neutral',128,33,180),
 (9104,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-3269.1,0,6256.9,227,'neutral',128,35,7200),
 (9105,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-2335.16,0,5719.98,263,'neutral',128,35,36000),
 (9106,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3927.17,0,6295.04,15,'neutral',128,33,180),
 (9107,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3958.7,0,6368.63,15,'neutral',128,33,180),
 (9108,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3857.98,0,6460.64,15,'neutral',128,33,180),
 (9109,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3967.2,0,6317.04,15,'neutral',128,33,180),
 (9110,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3986.04,0,6423.14,15,'neutral',128,33,180),
 (9111,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4021.01,0,6449.17,15,'neutral',128,33,180),
 (9112,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3938.58,0,6401.4,15,'neutral',128,33,180),
 (9113,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3730.51,0,6460.74,15,'neutral',128,33,180),
 (9114,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4117.54,0,6277.11,15,'neutral',128,33,180),
 (9115,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3934.69,0,6362.5,15,'neutral',128,33,180),
 (9116,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3882.5,0,6274.41,15,'neutral',128,33,180),
 (9117,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3946.01,0,6330.52,15,'neutral',128,33,180),
 (9118,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3788.01,0,6545.04,15,'neutral',128,33,180),
 (9119,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3978.62,0,6353.27,15,'neutral',128,33,180),
 (9120,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3853.98,0,6268.98,15,'neutral',128,33,180),
 (9121,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3819.07,0,6474.77,15,'neutral',128,33,180),
 (9122,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3734.14,0,6371.94,15,'neutral',128,33,180),
 (9123,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3965.87,0,6355.02,15,'neutral',128,33,180),
 (9124,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4083.24,0,6413.9,15,'neutral',128,33,180),
 (9125,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4076.85,0,6539.73,15,'neutral',128,33,180),
 (9126,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4042.59,0,6220.91,15,'neutral',128,33,180),
 (9127,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3833.18,0,6526.4,15,'neutral',128,33,180),
 (9128,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3941.31,0,6340.57,15,'neutral',128,33,180),
 (9129,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3946.07,0,6272.66,15,'neutral',128,33,180),
 (9130,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3815,0,6289.87,15,'neutral',128,33,180),
 (9131,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4139.92,0,6298.43,15,'neutral',128,33,180),
 (9132,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3953.42,0,6474.29,15,'neutral',128,33,180),
 (9133,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-3877.48,0,6370.8,15,'neutral',128,33,180),
 (9134,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4059.64,0,6515.16,15,'neutral',128,33,180),
 (9135,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-4019.97,0,6390.69,15,'neutral',128,33,180),
 (9136,8,1189181,'object/mobile/tusken_raider.iff',0,0,0,0,41.4773,22.7696,-35.9721,34,'neutral',128,35,180),
 (9137,8,1189179,'object/mobile/tusken_raider.iff',0,0,0,0,-21.3503,15.1827,-53.0897,54,'neutral',128,35,300),
 (9138,8,1189181,'object/mobile/tusken_raider.iff',0,0,0,0,19.1904,22.7485,-58.0155,34,'neutral',128,35,180),
 (9139,8,1189175,'object/mobile/tusken_raider.iff',0,0,0,0,-8.92704,2.01333,-9.94594,16,'neutral',128,35,300),
 (9140,8,1189176,'object/mobile/tusken_raider.iff',0,0,0,0,-27.5698,3.71336,10.2164,34,'neutral',128,35,180),
 (9141,8,1189176,'object/mobile/tusken_raider.iff',0,0,0,0,-17.2779,3.9756,12.5044,34,'neutral',128,35,180),
 (9142,8,1189175,'object/mobile/tusken_raider.iff',0,0,0,0,1.91584,1.55512,4.69006,34,'neutral',128,35,180),
 (9143,8,1189179,'object/mobile/tusken_raider.iff',0,0,0,0,-15.445,17.1494,-55.2532,22,'neutral',128,35,300),
 (9144,8,1189179,'object/mobile/tusken_raider.iff',0,0,0,0,-11.074,11.052,-38.9112,43,'neutral',128,35,160),
 (9145,8,1189175,'object/mobile/tusken_raider.iff',0,0,0,0,-8.32259,1.85851,0.0735869,16,'neutral',128,35,300),
 (9146,8,1189174,'object/mobile/tusken_raider.iff',0,0,0,0,-6.5872,2.0451,56.1598,22,'neutral',128,35,300),
 (9147,8,1189175,'object/mobile/tusken_raider.iff',0,0,0,0,4.09704,1.58804,-0.277277,34,'neutral',128,35,180),
 (9148,8,1189178,'object/mobile/tusken_raider.iff',0,0,0,0,7.09131,8.09499,-36.135,34,'neutral',128,35,180),
 (9149,8,1189181,'object/mobile/tusken_raider.iff',0,0,0,0,40.4694,22.4157,-36.6229,34,'neutral',128,35,180),
 (9150,8,1189179,'object/mobile/tusken_raider.iff',0,0,0,0,-14.7399,17.4793,-55.6099,43,'neutral',128,35,160),
 (9151,8,1189177,'object/mobile/tusken_raider.iff',0,0,0,0,-28.6049,3.47165,-6.85221,22,'neutral',128,35,300),
 (9152,8,1189178,'object/mobile/tusken_raider.iff',0,0,0,0,0.482145,8.03045,-18.4524,16,'neutral',128,35,300),
 (9153,8,1189180,'object/mobile/tusken_raider.iff',0,0,0,0,14.7348,22.7455,-56.0734,16,'neutral',128,35,300),
 (9154,8,1189187,'object/mobile/tusken_raider.iff',0,0,0,0,6.92069,37.9261,-15.17,62,'neutral',128,35,300),
 (9155,8,1189181,'object/mobile/tusken_raider.iff',0,0,0,0,20.0397,22.5337,-53.3578,16,'neutral',128,35,300),
 (9156,8,1189176,'object/mobile/tusken_raider.iff',0,0,0,0,-25.483,3.35649,-5.66071,34,'neutral',128,35,180),
 (9157,8,1189186,'object/mobile/tusken_raider.iff',0,0,0,0,-1.34359,37.9261,-35.4803,62,'neutral',128,35,300),
 (9158,8,1189174,'object/mobile/tusken_raider.iff',0,0,0,0,-15.367,1.12892,34.7554,16,'neutral',128,35,300),
 (9159,8,1189188,'object/mobile/tusken_raider.iff',0,0,0,0,-7.45915,42.3439,0.960601,16,'neutral',128,35,300),
 (9160,8,1189185,'object/mobile/tusken_raider.iff',0,0,0,0,-11.7042,34.5041,12.0743,34,'neutral',128,35,180),
 (9161,8,1189186,'object/mobile/tusken_raider.iff',0,0,0,0,-6.40587,37.9261,-35.8804,16,'neutral',128,35,300),
 (9162,8,1189193,'object/mobile/tusken_raider.iff',0,0,0,0,29.633,43.9617,-26.5889,34,'neutral',128,35,180),
 (9163,8,1189194,'object/mobile/tusken_raider.iff',0,0,0,0,28.2628,37.0793,2.66699,34,'neutral',128,35,180),
 (9164,8,1189179,'object/mobile/tusken_raider.iff',0,0,0,0,-11.5887,11.1442,-42.6669,16,'neutral',128,35,300),
 (9165,8,1189183,'object/mobile/tusken_raider.iff',0,0,0,0,10.695,22.8636,-27.7163,16,'neutral',128,35,300),
 (9166,8,1189174,'object/mobile/tusken_raider.iff',0,0,0,0,-4.81764,1.31742,26.088,34,'neutral',128,35,180),
 (9167,8,1189184,'object/mobile/tusken_raider.iff',0,0,0,0,6.11747,23.8045,-2.81229,22,'neutral',128,35,300),
 (9168,8,1189175,'object/mobile/tusken_raider.iff',0,0,0,0,-9.04557,1.91399,-5.9439,22,'neutral',128,35,300),
 (9169,8,1189185,'object/mobile/tusken_raider.iff',0,0,0,0,-7.75224,37.942,10.0961,34,'neutral',128,35,180),
 (9170,8,1189174,'object/mobile/tusken_raider.iff',0,0,0,0,-2.52579,1.53283,19.229,16,'neutral',128,35,300),
 (9171,8,1189181,'object/mobile/tusken_raider.iff',0,0,0,0,31.8661,21.523,-13.4677,54,'neutral',128,35,300),
 (9172,8,1189190,'object/mobile/tusken_raider.iff',0,0,0,0,34.8695,37.942,-16.8413,34,'neutral',128,35,180),
 (9173,8,1189191,'object/mobile/tusken_raider.iff',0,0,0,0,21.857,37.942,-20.3662,34,'neutral',128,35,180),
 (9174,8,1189187,'object/mobile/tusken_raider.iff',0,0,0,0,0.857108,37.9261,-17.4501,22,'neutral',128,35,300),
 (9175,8,7125588,'object/mobile/mountain_squill.iff',0,0,0,0,-53.3707,-66.1635,-210.99,40,'neutral',128,35,180),
 (9176,8,7125588,'object/mobile/mountain_squill.iff',0,0,0,0,-53.6204,-65.6363,-233.321,40,'neutral',128,35,180),
 (9177,8,7125588,'object/mobile/mountain_squill.iff',0,0,0,0,-65.1803,-65.1811,-232.32,40,'neutral',128,35,180),
 (9178,8,7125587,'object/mobile/squill_hue.iff',0,0,0,0,-84.66,-65.2086,-155.39,34,'neutral',128,35,180),
 (9179,8,7125587,'object/mobile/squill.iff',0,0,0,0,-80.13,-64.8996,-154.86,10,'neutral',128,1,180),
 (9180,8,7125587,'object/mobile/squill.iff',0,0,0,0,-87.6302,-66.0528,-165.13,10,'neutral',128,1,180),
 (9181,8,7125587,'object/mobile/mountain_squill.iff',0,0,0,0,-68.71,-65.3512,-180.75,40,'neutral',128,35,180),
 (9182,8,7125587,'object/mobile/mountain_squill.iff',0,0,0,0,-59.5806,-65.7234,-180.47,40,'neutral',128,35,180),
 (9183,8,7125587,'object/mobile/squill.iff',0,0,0,0,-48.4399,-66.5686,-157.85,10,'neutral',128,1,180),
 (9184,8,7125587,'object/mobile/squill_hue.iff',0,0,0,0,-41.7601,-66.0095,-153.74,34,'neutral',128,35,180),
 (9185,8,7125587,'object/mobile/mountain_squill.iff',0,0,0,0,-60.77,-65.0712,-161.43,40,'neutral',128,35,180),
 (9186,8,7125587,'object/mobile/mountain_squill.iff',0,0,0,0,-70.581,-66.1532,-161.76,40,'neutral',128,35,180),
 (9187,8,7125587,'object/mobile/squill_hue.iff',0,0,0,0,-85.9301,-65.4183,-196.88,34,'neutral',128,35,180),
 (9188,8,7125587,'object/mobile/squill_hue.iff',0,0,0,0,-83.2403,-66.3616,-190.17,34,'neutral',128,35,180),
 (9189,8,7125585,'object/mobile/mountain_squill.iff',0,0,0,0,-18.8302,-67.7473,-114.79,34,'neutral',128,35,180),
 (9190,8,7125585,'object/mobile/mountain_squill.iff',0,0,0,0,-1.73016,-70.7505,-106.53,25,'neutral',128,35,180),
 (9191,8,7125585,'object/mobile/mountain_squill.iff',0,0,0,0,9.71032,-70.6517,-102.46,40,'neutral',128,35,180),
 (9192,8,7125585,'object/mobile/mountain_squill.iff',0,0,0,0,-2.07999,-67.8492,-86.44,34,'neutral',128,35,180),
 (9193,8,7125584,'object/mobile/mountain_squill.iff',0,0,0,0,-81.13,-68.9201,-128.82,34,'neutral',128,35,180),
 (9194,8,7125584,'object/mobile/mountain_squill.iff',0,0,0,0,-71.3302,-66.4488,-140.309,25,'neutral',128,35,180),
 (9195,8,7125584,'object/mobile/mountain_squill.iff',0,0,0,0,-55.8792,-66.6779,-138.689,34,'neutral',128,35,180),
 (9196,8,7125584,'object/mobile/mountain_squill.iff',0,0,0,0,-47.7299,-68.9762,-128.609,34,'neutral',128,35,180),
 (9197,8,7125584,'object/mobile/mountain_squill.iff',0,0,0,0,-44.6599,-68.7668,-114.001,34,'neutral',128,35,180),
 (9198,8,7125583,'object/mobile/mountain_squill.iff',0,0,0,0,-106.21,-66.8063,-138.37,25,'neutral',128,35,180),
 (9199,8,7125582,'object/mobile/mountain_squill.iff',0,0,0,0,-133.869,-54.0375,-116.381,25,'neutral',128,35,180),
 (9200,8,7125582,'object/mobile/mountain_squill.iff',0,0,0,0,-130.3,-59.5289,-131.04,34,'neutral',128,35,180),
 (9201,8,7125581,'object/mobile/squill_hue.iff',0,0,0,0,-19.9499,-43.6688,-92.5705,34,'neutral',128,35,180),
 (9202,8,7125581,'object/mobile/squill.iff',0,0,0,0,-11.1894,-43.2658,-93.4909,10,'neutral',128,1,180),
 (9203,8,7125581,'object/mobile/squill_hue.iff',0,0,0,0,-13.8905,-43.7561,-105.959,34,'neutral',128,35,180),
 (9204,8,7125581,'object/mobile/squill.iff',0,0,0,0,-9.9199,-43.6421,-99.3203,10,'neutral',128,1,180),
 (9205,8,7125581,'object/mobile/mountain_squill.iff',0,0,0,0,-37.4298,-44.9408,-100.77,40,'neutral',128,35,180),
 (9206,8,7125581,'object/mobile/mountain_squill.iff',0,0,0,0,-53.3993,-49.2118,-95.4798,34,'neutral',128,35,180),
 (9207,8,7125581,'object/mobile/mountain_squill.iff',0,0,0,0,-54.9713,-50.0672,-115.21,34,'neutral',128,35,180),
 (9208,8,7125581,'object/mobile/mountain_squill.iff',0,0,0,0,-30.3298,-67.518,-103.47,34,'neutral',128,35,180),
 (9209,8,7125580,'object/mobile/mountain_squill.iff',0,0,0,0,-22.7284,-37.5632,-80.2381,34,'neutral',128,35,180),
 (9210,8,7125580,'object/mobile/mountain_squill.iff',0,0,0,0,-33.8806,-35.073,-66.5298,34,'neutral',128,35,180),
 (9211,8,7125579,'object/mobile/mountain_squill.iff',0,0,0,0,5.07023,-35.7841,-82.7606,25,'neutral',128,35,180),
 (9212,8,7125579,'object/mobile/mountain_squill.iff',0,0,0,0,-10.1682,-34.4626,-82.6856,34,'neutral',128,35,180),
 (9213,8,7125579,'object/mobile/mountain_squill.iff',0,0,0,0,-15.12,-34.51,-63.2,25,'neutral',128,35,180),
 (9214,8,7125579,'object/mobile/mountain_squill.iff',0,0,0,0,0.669878,-67.4126,-71.2402,34,'neutral',128,35,180),
 (9215,8,7125579,'object/mobile/mountain_squill.iff',0,0,0,0,15.67,-67.2593,-68.33,34,'neutral',128,35,180),
 (9216,8,7125573,'object/mobile/mountain_squill.iff',0,0,0,0,-81.9997,-57.4569,-80.8198,34,'neutral',128,35,180),
 (9217,8,7125573,'object/mobile/mountain_squill.iff',0,0,0,0,-88.0883,-56.3783,-80.98,34,'neutral',128,35,180),
 (9218,8,7125573,'object/mobile/mountain_squill.iff',0,0,0,0,-79.3796,-59.316,-72.4414,34,'neutral',128,35,180),
 (9219,8,7125571,'object/mobile/mountain_squill.iff',0,0,0,0,-175.861,-52.1026,-104.91,40,'neutral',128,35,180),
 (9220,8,7125571,'object/mobile/mountain_squill.iff',0,0,0,0,-172.211,-53.8436,-115.629,34,'neutral',128,35,180),
 (9221,8,7125571,'object/mobile/mountain_squill.iff',0,0,0,0,-157.58,-56.0605,-120.9,34,'neutral',128,35,180),
 (9222,8,7125571,'object/mobile/mountain_squill.iff',0,0,0,0,-142.51,-53.5678,-114.95,40,'neutral',128,35,180),
 (9223,8,7125571,'object/mobile/mountain_squill.iff',0,0,0,0,-144.1,-53.7642,-102.17,34,'neutral',128,35,180),
 (9224,8,7125570,'object/mobile/mountain_squill.iff',0,0,0,0,-125.53,-53.7805,-82.02,40,'neutral',128,35,180),
 (9225,8,7125570,'object/mobile/mountain_squill.iff',0,0,0,0,-140.48,-53.8921,-83.0901,34,'neutral',128,35,180),
 (9226,8,7125570,'object/mobile/mountain_squill.iff',0,0,0,0,-110.3,-54.9325,-88.1396,34,'neutral',128,35,180),
 (9227,8,7125570,'object/mobile/mountain_squill.iff',0,0,0,0,-99.1099,-55.0614,-81.3001,40,'neutral',128,35,180),
 (9228,8,7125569,'object/mobile/mountain_squill.iff',0,0,0,0,-160.95,-49.6234,-56.6101,34,'neutral',128,35,180),
 (9229,8,7125569,'object/mobile/mountain_squill.iff',0,0,0,0,-171.28,-50.05,-60.37,34,'neutral',128,35,180),
 (9230,8,7125569,'object/mobile/mountain_squill.iff',0,0,0,0,-163.33,-49.9543,-74.2005,34,'neutral',128,35,180),
 (9231,8,7125569,'object/mobile/mountain_squill.iff',0,0,0,0,-172.55,-49.9219,-83.7599,34,'neutral',128,35,180),
 (9232,8,7125569,'object/mobile/mountain_squill.iff',0,0,0,0,-161.239,-49.5937,-89.5709,34,'neutral',128,35,180),
 (9233,8,7125568,'object/mobile/mountain_squill.iff',0,0,0,0,-87.5293,-53.7933,-114.33,40,'neutral',128,35,180),
 (9234,8,7125568,'object/mobile/mountain_squill.iff',0,0,0,0,-112.64,-69.7198,-118.12,34,'neutral',128,35,180),
 (9235,8,7125568,'object/mobile/mountain_squill.iff',0,0,0,0,-104.85,-69.4582,-104.63,34,'neutral',128,35,180),
 (9236,8,7125568,'object/mobile/mountain_squill.iff',0,0,0,0,-90.0695,-71.128,-120.73,34,'neutral',128,35,180),
 (9237,8,7125568,'object/mobile/mountain_squill.iff',0,0,0,0,-84.6002,-71.843,-103.669,40,'neutral',128,35,180),
 (9238,8,7125568,'object/mobile/mountain_squill.iff',0,0,0,0,-70.8814,-70.4959,-104.93,34,'neutral',128,35,180),
 (9239,8,7125567,'object/mobile/mountain_squill.iff',0,0,0,0,-140.55,-49.9883,-43.07,34,'neutral',128,35,180),
 (9240,8,7125567,'object/mobile/mountain_squill.iff',0,0,0,0,-152.12,-50.9149,-41.0199,34,'neutral',128,35,180),
 (9241,8,7125567,'object/mobile/mountain_squill.iff',0,0,0,0,-165.58,-49.9769,-41.66,34,'neutral',128,35,180),
 (9242,8,7125565,'object/mobile/mountain_squill.iff',0,0,0,0,-92.3989,-50.1639,-61.5102,34,'neutral',128,35,180),
 (9243,8,7125565,'object/mobile/mountain_squill.iff',0,0,0,0,-109.491,-52.1424,-56.9599,34,'neutral',128,35,180),
 (9244,8,7125565,'object/mobile/mountain_squill.iff',0,0,0,0,-120.87,-49.277,-65.4596,34,'neutral',128,35,180),
 (9245,8,7125565,'object/mobile/squill.iff',0,0,0,0,-130.62,-49.7793,-60.9499,10,'neutral',128,1,180),
 (9246,8,7125565,'object/mobile/squill.iff',0,0,0,0,-137.69,-49.5516,-61.0599,10,'neutral',128,1,180),
 (9247,8,7125565,'object/mobile/squill_hue.iff',0,0,0,0,-146.489,-49.3957,-58.8702,34,'neutral',128,35,180),
 (9248,8,7125564,'object/mobile/mountain_squill.iff',0,0,0,0,-64.29,-46.619,-56.02,40,'neutral',128,35,180),
 (9249,8,7125564,'object/mobile/mountain_squill.iff',0,0,0,0,-74.79,-47.1607,-69.01,34,'neutral',128,35,180),
 (9250,8,7125564,'object/mobile/mountain_squill.iff',0,0,0,0,-64.1801,-46.9753,-73.0703,40,'neutral',128,35,180),
 (9251,8,7125563,'object/mobile/squill_hue.iff',0,0,0,0,-59.4685,-43.5037,-21.1199,34,'neutral',128,35,180),
 (9252,8,7125563,'object/mobile/squill.iff',0,0,0,0,-64.2707,-44.8978,-17.3001,10,'neutral',128,1,180),
 (9253,8,7125563,'object/mobile/squill.iff',0,0,0,0,-66.5892,-45.7819,-21.0901,10,'neutral',128,1,180),
 (9254,8,7125563,'object/mobile/mountain_squill.iff',0,0,0,0,-68.4602,-46.6538,-31.6498,40,'neutral',128,35,180),
 (9255,8,7125561,'object/mobile/mountain_squill.iff',0,0,0,0,-45.5803,-35.9291,-9.64983,34,'neutral',128,35,180),
 (9256,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,30.3464,0,-129.673,40,'neutral',128,35,180),
 (9257,8,0,'object/mobile/squill_hue.iff',0,0,0,0,9.24869,0,-181.383,34,'neutral',128,35,180),
 (9258,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,3.71276,0,-146.659,34,'neutral',128,35,180),
 (9259,8,0,'object/mobile/squill.iff',0,0,0,0,578.751,0,3.25522,18,'neutral',128,1,180),
 (9260,8,0,'object/mobile/squill.iff',0,0,0,0,-32.224,0,-205.39,18,'neutral',128,1,180),
 (9261,8,0,'object/mobile/squill.iff',0,0,0,0,-40.4178,0,-222.368,18,'neutral',128,1,180),
 (9262,8,7125560,'object/mobile/mountain_squill.iff',0,0,0,0,-3.17613,-8.43895,7.28407,34,'neutral',128,35,180),
 (9263,8,0,'object/mobile/squill.iff',0,0,0,0,-140.526,0,-99.1061,18,'neutral',128,1,180),
 (9264,8,0,'object/mobile/squill.iff',0,0,0,0,-186.276,0,-175.804,20,'neutral',128,35,180),
 (9265,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,-138.091,0,-139.216,34,'neutral',128,35,180),
 (9266,8,0,'object/mobile/squill.iff',0,0,0,0,-144.476,0,-180.808,20,'neutral',128,35,180),
 (9267,8,0,'object/mobile/squill.iff',0,0,0,0,-167.292,0,-218.987,20,'neutral',128,35,180),
 (9268,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,-117.024,0,-113.652,34,'neutral',128,35,180),
 (9269,8,0,'object/mobile/squill.iff',0,0,0,0,27.8259,0,-277.409,18,'neutral',128,1,180),
 (9270,8,7125561,'object/mobile/mountain_squill.iff',0,0,0,0,-14.6513,-27.5673,-16.9715,25,'neutral',128,35,180),
 (9271,8,0,'object/mobile/squill.iff',0,0,0,0,16.4519,0,-286.685,18,'neutral',128,1,180),
 (9272,8,0,'object/mobile/squill.iff',0,0,0,0,53.5814,0,-281.434,18,'neutral',128,1,180),
 (9273,8,7125561,'object/mobile/mountain_squill.iff',0,0,0,0,-23.3699,-29.7651,-23.0586,34,'neutral',128,35,180),
 (9274,8,0,'object/mobile/squill.iff',0,0,0,0,-103.419,0,-2.75882,20,'neutral',128,35,180),
 (9275,8,0,'object/mobile/squill.iff',0,0,0,0,-136.079,0,-7.2136,20,'neutral',128,35,180),
 (9276,8,7125561,'object/mobile/mountain_squill.iff',0,0,0,0,-37.8607,-31.507,-25.9093,40,'neutral',128,35,180),
 (9277,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,-62.2045,0,5.82989,34,'neutral',128,35,180),
 (9278,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,-38.4319,0,-2.19829,34,'neutral',128,35,180),
 (9279,8,0,'object/mobile/squill.iff',0,0,0,0,-204.334,0,-32.3841,20,'neutral',128,35,180),
 (9280,8,0,'object/mobile/squill.iff',0,0,0,0,-215.085,0,-29.4574,20,'neutral',128,35,180),
 (9281,8,0,'object/mobile/squill.iff',0,0,0,0,-205.779,0,-136.953,18,'neutral',128,1,180),
 (9282,8,7125564,'object/mobile/mountain_squill.iff',0,0,0,0,-79.2699,-46.9978,-44.3802,40,'neutral',128,35,180),
 (9283,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,-24.7383,0,15.8225,34,'neutral',128,35,180),
 (9284,8,0,'object/mobile/squill.iff',0,0,0,0,-48.2162,0,28.413,18,'neutral',128,1,180),
 (9285,8,0,'object/mobile/squill.iff',0,0,0,0,-103.207,0,-127.217,18,'neutral',128,1,180),
 (9286,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,-132.146,0,-94.2056,34,'neutral',128,35,180),
 (9287,8,0,'object/mobile/mountain_squill.iff',0,0,0,0,-119.491,0,-94.249,34,'neutral',128,35,180),
 (9288,8,0,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,5100.12,0,588.046,44,'neutral',128,35,300),
 (9289,8,0,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,5098.95,0,583.914,44,'neutral',128,35,300),
 (9290,8,0,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,5092.4,0,593.401,44,'neutral',128,35,300),
 (9291,8,0,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,5098.4,0,596.685,44,'neutral',128,35,300),
 (9292,8,4235586,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-9.09048,-30.6728,-27.2115,46,'neutral',128,35,300),
 (9293,8,4235586,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-9.29175,-30.6478,-26.3969,46,'neutral',128,35,300),
 (9294,8,4235586,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-8.62361,-30.5659,-26.0399,46,'neutral',128,35,300),
 (9295,8,4235585,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-0.832473,-5.18755,9.36895,46,'neutral',128,35,300),
 (9296,8,4235585,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-1.99458,-5.23007,9.18866,46,'neutral',128,35,300),
 (9297,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,47.2581,-46.991,-54.0664,46,'neutral',128,35,300),
 (9298,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,47.1586,-46.97,-53.5413,46,'neutral',128,35,300),
 (9299,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,47.5116,-46.9935,-53.97,46,'neutral',128,35,300),
 (9300,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,48.5123,-46.9687,-53.7991,46,'neutral',128,35,300),
 (9301,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,40.9779,-46.0453,-99.4574,44,'neutral',128,35,300),
 (9302,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,40.3328,-45.9868,-100.303,44,'neutral',128,35,300),
 (9303,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,44.7758,-46.1408,-94.0063,46,'neutral',128,35,300),
 (9304,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,43.9948,-46.101,-94.2346,46,'neutral',128,35,300),
 (9305,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,43.7657,-46.1115,-93.8715,46,'neutral',128,35,300),
 (9306,8,4235588,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,45.1862,-46.1329,-94.7435,46,'neutral',128,35,300),
 (9307,8,4235593,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-16.8553,-68.8957,-97.8933,44,'neutral',128,35,300),
 (9308,8,4235593,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-17.9946,-68.8484,-99.2075,44,'neutral',128,35,300),
 (9309,8,4235593,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-18.7323,-69.0296,-98.32,44,'neutral',128,35,300),
 (9310,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,12.9654,-45.1388,-124.076,46,'neutral',128,35,300),
 (9311,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,13.1794,-45.1474,-124.025,46,'neutral',128,35,300),
 (9312,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,14.661,-45.2682,-124.38,46,'neutral',128,35,300),
 (9313,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,15.9093,-45.4338,-125.2,46,'neutral',128,35,300),
 (9314,8,4235593,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-58.6682,-68.3694,-101.188,44,'neutral',128,35,300),
 (9315,8,4235593,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-60.1189,-68.2721,-101.141,44,'neutral',128,35,300),
 (9316,8,4235593,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-60.9358,-68.154,-102.207,44,'neutral',128,35,300),
 (9317,8,4235593,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-61.5757,-68.2522,-100.785,44,'neutral',128,35,300),
 (9318,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-2.73544,-45.4535,-144.894,44,'neutral',128,35,300),
 (9319,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-2.8523,-45.4147,-144.415,44,'neutral',128,35,300),
 (9320,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-1.72081,-45.4755,-145.283,44,'neutral',128,35,300),
 (9321,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-2.19041,-45.611,-146.651,44,'neutral',128,35,300),
 (9322,8,4235594,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-28.2725,-79.7748,-142.575,44,'neutral',128,35,300),
 (9323,8,4235594,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-29.4801,-79.7818,-141.132,44,'neutral',128,35,300),
 (9324,8,4235594,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-30.9359,-79.9832,-141.933,44,'neutral',128,35,300),
 (9325,8,4235594,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-31.0254,-80.0905,-143.263,44,'neutral',128,35,300),
 (9326,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,49.6111,-49.1655,-133.224,44,'neutral',128,35,300),
 (9327,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,48.4222,-48.7946,-131.844,44,'neutral',128,35,300),
 (9328,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,47.1708,-48.5977,-131.196,44,'neutral',128,35,300),
 (9329,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,46.9719,-48.5603,-131.086,44,'neutral',128,35,300),
 (9330,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,31.5016,-58.875,-169.968,44,'neutral',128,35,300),
 (9331,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,30.5435,-59.1058,-171.371,44,'neutral',128,35,300),
 (9332,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,30.2187,-59.2457,-172.086,44,'neutral',128,35,300),
 (9333,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,29.5988,-59.3668,-172.071,44,'neutral',128,35,300),
 (9334,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,30.3651,-59.1233,-170.653,44,'neutral',128,35,300),
 (9335,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,29.3763,-59.3273,-169.524,44,'neutral',128,35,300),
 (9336,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,60.8734,-57.2593,-172.485,44,'neutral',128,35,300),
 (9337,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,61.5374,-57.5672,-171.053,44,'neutral',128,35,300),
 (9338,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,61.8246,-57.6777,-170.511,44,'neutral',128,35,300),
 (9339,8,4235589,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,63.1476,-58.0883,-169.255,44,'neutral',128,35,300),
 (9340,8,4235590,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-38.3607,-66.9318,-179.303,44,'neutral',128,35,300),
 (9341,8,4235590,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-37.5737,-66.7882,-179.04,44,'neutral',128,35,300),
 (9342,8,4235590,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-36.411,-66.4459,-178.225,44,'neutral',128,35,300),
 (9343,8,4235590,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-36.9144,-66.585,-178.55,44,'neutral',128,35,300),
 (9344,8,4235590,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-12.0185,-64.5221,-200.436,44,'neutral',128,35,300),
 (9345,8,4235590,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-11.301,-64.5781,-199.989,44,'neutral',128,35,300),
 (9346,8,4235590,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-12.5145,-64.5611,-201.307,44,'neutral',128,35,300),
 (9347,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-16.0233,-65.6847,-212.172,44,'neutral',128,35,300),
 (9348,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-16.04,-65.6411,-211.587,44,'neutral',128,35,300),
 (9349,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-14.5749,-65.6746,-212.999,44,'neutral',128,35,300),
 (9350,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-14.047,-65.698,-212.347,44,'neutral',128,35,300),
 (9351,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-4.91061,-64.5213,-238.496,44,'neutral',128,35,300),
 (9352,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-4.80402,-64.4333,-238.053,44,'neutral',128,35,300),
 (9353,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-6.31042,-64.4717,-237.481,44,'neutral',128,35,300),
 (9354,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-6.20723,-64.3331,-236.084,44,'neutral',128,35,300),
 (9355,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-24.8443,-64.4708,-251.656,44,'neutral',128,35,300),
 (9356,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-25.0282,-64.4591,-251.636,44,'neutral',128,35,300),
 (9357,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-25.1116,-64.6817,-250.54,44,'neutral',128,35,300),
 (9358,8,4235591,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-25.0517,-64.7116,-250.397,44,'neutral',128,35,300),
 (9359,8,4235592,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-89.9617,-70.3597,-123.843,44,'neutral',128,35,300),
 (9360,8,4235592,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-90.68,-70.3506,-124.309,44,'neutral',128,35,300),
 (9361,8,4235592,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-89.2827,-70.2971,-122.961,44,'neutral',128,35,300),
 (9362,8,4235592,'object/mobile/dressed_tatooine_jabba_enforcer.iff',0,0,0,0,-89.2079,-70.3643,-123.856,44,'neutral',128,35,300),
 (9363,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1488.54,0,-193.359,22,'neutral',128,35,300),
 (9364,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1478.25,0,-199.32,38,'neutral',128,35,160),
 (9365,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1482.53,0,-193.195,38,'neutral',128,35,160),
 (9366,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1479.75,0,-197.82,22,'neutral',128,35,300),
 (9367,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1488.32,0,-192.032,38,'neutral',128,35,160),
 (9368,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-1482.7,0,-198.492,22,'neutral',128,35,300),
 (9369,8,4235606,'object/mobile/tusken_raider.iff',0,0,0,0,-2.92495,-20.75,29.469,44,'neutral',128,35,300),
 (9370,8,4235606,'object/mobile/tusken_raider.iff',0,0,0,0,-0.204799,-20.75,17.7372,44,'neutral',128,35,300),
 (9371,8,4235606,'object/mobile/tusken_raider.iff',0,0,0,0,-1.60381,-20.75,17.5898,44,'neutral',128,35,300),
 (9372,8,4235606,'object/mobile/tusken_raider.iff',0,0,0,0,-0.719627,-20.75,17.8638,44,'neutral',128,35,300),
 (9373,8,4235606,'object/mobile/tusken_raider.iff',0,0,0,0,6.07437,-20.75,29.8174,44,'neutral',128,35,300),
 (9374,8,4235606,'object/mobile/tusken_raider.iff',0,0,0,0,1.5864,-20.75,32.0004,100,'neutral',128,35,300),
 (9375,8,4235605,'object/mobile/tusken_raider.iff',0,0,0,0,2.11507,-20.7332,3.91877,26,'neutral',128,35,300),
 (9376,8,4235605,'object/mobile/tusken_raider.iff',0,0,0,0,1.92794,-20.7332,4.5864,26,'neutral',128,35,300),
 (9377,8,4235605,'object/mobile/tusken_raider.iff',0,0,0,0,1.22038,-20.7332,4.1939,26,'neutral',128,35,300),
 (9378,8,4235605,'object/mobile/tusken_raider.iff',0,0,0,0,-0.26899,-20.7332,4.75359,26,'neutral',128,35,300),
 (9379,8,4235603,'object/mobile/tusken_raider.iff',0,0,0,0,4.35912,-13.75,7.04643,20,'neutral',128,35,300),
 (9380,8,4235603,'object/mobile/tusken_raider.iff',0,0,0,0,3.61216,-13.75,6.31851,20,'neutral',128,35,300),
 (9381,8,4235603,'object/mobile/tusken_raider.iff',0,0,0,0,4.47368,-13.75,6.65772,20,'neutral',128,35,300),
 (9382,8,4235600,'object/mobile/tusken_raider.iff',0,0,0,0,-5.50469,-6.75,3.83646,26,'neutral',128,35,300),
 (9383,8,4235600,'object/mobile/tusken_raider.iff',0,0,0,0,-4.72547,-6.75,2.91168,26,'neutral',128,35,300),
 (9384,8,4235599,'object/mobile/tusken_raider.iff',0,0,0,0,3.74075,0.25,-4.07544,20,'neutral',128,35,300),
 (9385,8,4235598,'object/mobile/tusken_raider.iff',0,0,0,0,-2.42238,0.25,2.88737,20,'neutral',128,35,300),
 (9386,8,4235598,'object/mobile/tusken_raider.iff',0,0,0,0,-2.22109,0.25,2.41959,20,'neutral',128,35,300),
 (9387,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-5335.57,0,-4445.08,15,'neutral',128,33,180),
 (9388,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5337.28,0,-4436.5,54,'neutral',128,35,300),
 (9389,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5328.29,0,-4455.34,34,'neutral',128,35,180),
 (9390,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5324.76,0,-4453.15,34,'neutral',128,35,180),
 (9391,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5325.7,0,-4448.72,34,'neutral',128,35,180),
 (9392,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5326.1,0,-4452.37,34,'neutral',128,35,180),
 (9393,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5313.29,0,-4429.99,34,'neutral',128,35,180),
 (9394,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5309.9,0,-4431.66,34,'neutral',128,35,180),
 (9395,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5311.55,0,-4434.84,22,'neutral',128,35,300),
 (9396,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5310.28,0,-4431.01,22,'neutral',128,35,300),
 (9397,8,0,'object/mobile/bantha_saddle.iff',0,0,0,0,-5281.86,0,-4455.33,15,'neutral',128,33,180),
 (9398,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5287.78,0,-4440.92,34,'neutral',128,35,180),
 (9399,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5287.9,0,-4445.52,34,'neutral',128,35,180),
 (9400,8,0,'object/mobile/tusken_raider.iff',0,0,0,0,-5285.84,0,-4444.11,34,'neutral',128,35,180),
 (9401,8,5995572,'object/mobile/dressed_sennex_pirate_01.iff',0,0,0,0,116.123,-66.2826,-95.3285,62,'neutral',128,35,300),
 (9402,8,5995572,'object/mobile/dressed_sennex_pirate_01.iff',0,0,0,0,129.935,-66.7125,-106.683,62,'neutral',128,35,300),
 (9403,8,5995572,'object/mobile/dressed_sennex_pirate_01.iff',0,0,0,0,114.867,-66.4634,-117.855,62,'neutral',128,35,300),
 (9404,8,5995572,'object/mobile/dressed_sennex_pirate_04.iff',0,0,0,0,143.509,-66.3559,-97.4195,67,'neutral',128,35,300),
 (9405,8,5995571,'object/mobile/dressed_sennex_pirate_02.iff',0,0,0,0,73.8337,-66.3036,-137.968,58,'neutral',128,35,300),
 (9406,8,5995571,'object/mobile/dressed_sennex_pirate_02.iff',0,0,0,0,78.5872,-65.3413,-142.072,58,'neutral',128,35,300),
 (9407,8,5995571,'object/mobile/dressed_sennex_pirate_01.iff',0,0,0,0,94.7662,-66.4373,-126.37,62,'neutral',128,35,300),
 (9408,8,5995570,'object/mobile/dressed_sennex_pirate_02.iff',0,0,0,0,55.9044,-77.0308,-89.3457,58,'neutral',128,35,300),
 (9409,8,5995570,'object/mobile/dressed_sennex_pirate_02.iff',0,0,0,0,54.9212,-71.576,-113.891,58,'neutral',128,35,300),
 (9410,8,5995568,'object/mobile/dressed_sennex_pirate_05.iff',0,0,0,0,64.2851,-75.4256,-63.1042,53,'neutral',128,35,300),
 (9411,8,5995568,'object/mobile/dressed_sennex_pirate_05.iff',0,0,0,0,94.6285,-75.6847,-64.7793,53,'neutral',128,35,300),
 (9412,8,5995568,'object/mobile/dressed_sennex_pirate_05.iff',0,0,0,0,96.0028,-74.9623,-60.3445,53,'neutral',128,35,300),
 (9413,8,5995567,'object/mobile/dressed_sennex_pirate_05.iff',0,0,0,0,91.5029,-67.4595,-39.297,53,'neutral',128,35,300),
 (9414,8,5995567,'object/mobile/dressed_sennex_pirate_05.iff',0,0,0,0,92.9404,-61.9192,-14.6306,53,'neutral',128,35,300),
 (9415,8,5995567,'object/mobile/dressed_sennex_pirate_06.iff',0,0,0,0,86.7526,-61.1646,-7.92715,50,'neutral',128,35,300),
 (9416,8,5995566,'object/mobile/dressed_sennex_pirate_06.iff',0,0,0,0,49.9988,-47.6495,-10.4063,50,'neutral',128,35,300),
 (9417,8,5995566,'object/mobile/dressed_sennex_pirate_06.iff',0,0,0,0,42.2651,-46.4763,-13.0341,50,'neutral',128,35,300),
 (9418,8,5995566,'object/mobile/dressed_sennex_pirate_06.iff',0,0,0,0,53.5455,-48.8176,-60.8162,50,'neutral',128,35,300),
 (9419,8,5995566,'object/mobile/dressed_sennex_pirate_03.iff',0,0,0,0,46.289,-47.8764,-59.2666,47,'neutral',128,35,300),
 (9420,8,5995566,'object/mobile/dressed_sennex_pirate_06.iff',0,0,0,0,26.4313,-43.0135,-66.9426,50,'neutral',128,35,300),
 (9421,8,5995566,'object/mobile/dressed_sennex_pirate_03.iff',0,0,0,0,26.5043,-37.7114,-31.1657,47,'neutral',128,35,300),
 (9422,8,5995566,'object/mobile/dressed_sennex_pirate_03.iff',0,0,0,0,22.1221,-34.8329,-24.0482,47,'neutral',128,35,300),
 (9423,8,5995566,'object/mobile/dressed_sennex_pirate_06.iff',0,0,0,0,54.5038,-68.105,-36.6345,50,'neutral',128,35,300),
 (9424,8,5995566,'object/mobile/dressed_sennex_pirate_05.iff',0,0,0,0,54.0815,-68.2377,-40.9112,53,'neutral',128,35,300),
 (9425,8,5995565,'object/mobile/dressed_sennex_pirate_03.iff',0,0,0,0,13.3221,-22.336,-6.4,47,'neutral',128,35,300),
 (9426,8,5995565,'object/mobile/dressed_sennex_pirate_03.iff',0,0,0,0,-14.763,-4.95023,-9.4686,47,'neutral',128,35,300),
 (9427,8,5995569,'object/mobile/rock_beetle.iff',0,0,0,0,84.6138,-46.3756,-111.955,15,'neutral',128,35,180),
 (9428,8,5995569,'object/mobile/rock_beetle.iff',0,0,0,0,90.6391,-46.5946,-107.052,21,'neutral',128,35,180),
 (9429,8,5995575,'object/mobile/rock_beetle.iff',0,0,0,0,94.9631,-46.6007,-134.941,15,'neutral',128,35,180),
 (9430,8,5995575,'object/mobile/rock_beetle.iff',0,0,0,0,88.5285,-46.5252,-146.986,15,'neutral',128,35,180),
 (9431,8,5995575,'object/mobile/giant_sand_beetle.iff',0,0,0,0,82.3354,-46.5893,-144.681,23,'neutral',128,35,180),
 (9432,8,5995575,'object/mobile/rock_beetle.iff',0,0,0,0,77.9578,-46.3635,-137.141,15,'neutral',128,35,180),
 (9433,8,5995574,'object/mobile/rock_beetle.iff',0,0,0,0,49.3657,-51.5992,-82.1096,14,'neutral',128,35,180),
 (9434,8,5995574,'object/mobile/rock_beetle.iff',0,0,0,0,54.0389,-48.7402,-105.26,15,'neutral',128,35,180),
 (9435,8,5995574,'object/mobile/rock_beetle.iff',0,0,0,0,47.5229,-51.848,-87.5113,14,'neutral',128,35,180),
 (9436,8,0,'object/mobile/rock_beetle.iff',0,0,0,0,6547.05,0,-1311.56,13,'neutral',128,35,180),
 (9437,8,0,'object/mobile/rock_beetle.iff',0,0,0,0,6552.22,0,-1325.97,13,'neutral',128,35,180),
 (9438,8,0,'object/mobile/rock_beetle.iff',0,0,0,0,6566.36,0,-1330.49,13,'neutral',128,35,180),
 (9439,9,0,'object/mobile/dressed_imperial_officer_m_5.iff',0,0.92269,0,0.385543,4028.91,37,-6201.62,15,'npc_imperial',264,0,60),
 (9440,9,8735518,'object/mobile/space_imperial_tier2_tatooine_alozen.iff',2.86e-07,0.0664295,-1.90409e-08,0.997791,0.00383297,0.125265,-5.55894,15,'npc_imperial',264,0,60),
 (9441,9,8735521,'object/mobile/space_imperial_tier3_yavin.iff',2.01556e-07,0.576075,-1.4205e-07,0.817397,-4.09412,0.125266,-4.59337,15,'npc_imperial',264,0,60),
 (9442,9,0,'object/mobile/r2.iff',0,0.999999,0,0.00143349,-6883.65,73,-5711.41,15,'calm',264,0,60),
 (9443,9,0,'object/mobile/dressed_patron_chiss_m_01.iff',0,-0.370508,0,0.928829,-6877.27,73,-5682.29,15,'calm',264,0,60),
 (9444,9,0,'object/mobile/dressed_commoner_tatooine_sullustan_male_04.iff',0,0.561998,0,0.827139,-6892,73,-5763.85,15,'calm',264,0,60),
 (9445,9,0,'object/mobile/dressed_commoner_naboo_bothan_male_02.iff',0,0.787971,0,-0.615713,-6875.79,73,-5715.96,15,'calm',264,0,60),
 (9446,9,0,'object/mobile/dressed_goon_twk_female_01.iff',0,-0.693048,0,0.720892,-6878.13,73,-5690.85,15,'calm',264,0,60),
 (9447,9,0,'object/mobile/eg6_power_droid.iff',0,0.866042,0,0.499972,-6969.33,73,-5673.89,15,'calm',264,0,60),
 (9448,9,0,'object/mobile/dressed_mercenary_messanger_hum_f.iff',0,-0.403193,0,0.915115,-6914.39,73,-5695.14,15,'calm',264,0,60),
 (9449,9,0,'object/mobile/eg6_power_droid.iff',0,0.866809,0,0.498641,-6917.94,73,-5670.7,15,'calm',264,0,60),
 (9450,9,0,'object/mobile/r4.iff',0,-0.592009,0,0.805931,-6919.36,73,-5664.19,15,'calm',264,0,60),
 (9451,9,0,'object/mobile/r3.iff',0,0.886734,0,-0.462281,-6952.89,73,-5665.23,15,'calm',264,0,60),
 (9452,9,0,'object/mobile/r2.iff',0,0.991952,0,0.126616,-6972.29,73,-5713.9,15,'calm',264,0,60),
 (9453,9,0,'object/mobile/dressed_mercenary_messanger_rod_m.iff',0,0.955961,0,0.293494,-6954.68,73,-5687.66,15,'calm',264,0,60),
 (9454,9,0,'object/mobile/dressed_commoner_naboo_moncal_female_02.iff',0,-0.591798,0,0.806087,-6901.56,73,-5683.4,15,'calm',264,0,60),
 (9455,9,0,'object/mobile/dressed_commoner_tatooine_bith_male_06.iff',0,0.204603,0,0.978845,-6947.81,73,-5754.46,15,'calm',264,0,60),
 (9456,9,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.728166,0,-0.685401,-6912.21,73,-5732.03,15,'calm',264,0,60),
 (9457,9,0,'object/mobile/dressed_commoner_naboo_human_female_06.iff',0,0.305928,0,0.952055,-6918.02,73,-5655.85,15,'calm',264,0,60),
 (9458,9,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.824575,0,0.565753,-6978.51,73,-5676.13,15,'calm',264,0,60),
 (9459,9,0,'object/mobile/dressed_commoner_tatooine_bith_female_02.iff',0,0.383003,0,0.923747,-6953.84,73,-5734.78,15,'calm',264,0,60),
 (9460,9,0,'object/mobile/dressed_noble_fat_zabrak_female_01.iff',0,-0.0093887,0,0.999956,-6974.45,73.0791,-5770.39,15,'calm',264,0,60),
 (9461,9,0,'object/mobile/dressed_commoner_old_twilek_female_02.iff',0,0.944688,0,-0.32797,-6982.53,72.9997,-5659.47,15,'calm',264,0,60),
 (9462,9,0,'object/mobile/dressed_rebel_lance_corporal_human_male_01.iff',0,0.843158,0,0.537667,-6940.44,73,-5751.44,15,'calm',264,0,60),
 (9463,9,0,'object/mobile/dressed_rebel_commando_twilek_female_01.iff',0,0.633334,0,0.773879,-6980.03,73,-5709.15,15,'calm',264,0,60),
 (9464,9,0,'object/mobile/dressed_mercenary_weak_hum_f.iff',0,0.843665,0,0.53687,-6939.6,73,-5751.82,15,'calm',264,0,60),
 (9465,9,3035372,'object/mobile/space_rebel_tier2_eker.iff',0,0.0659544,0,0.997823,-3.15454,0.625,1.08281,15,'neutral',264,0,60),
 (9466,9,0,'object/mobile/dressed_mercenary_elite_hum_f.iff',0,0.638495,0,0.769626,-7045.52,71.1326,-5831.22,15,'calm',264,0,60),
 (9467,9,0,'object/mobile/dressed_mercenary_elite_hum_f.iff',0,0.984672,0,-0.174418,-7083.1,66.4057,-5825.68,15,'calm',264,0,60),
 (9468,9,0,'object/mobile/dressed_mercenary_elite_rod_m.iff',0,0.999086,0,-0.0427396,-7059,69.9492,-5836.15,15,'calm',264,0,60),
 (9469,9,0,'object/mobile/dressed_mercenary_elite_rod_m.iff',0,0.277385,0,0.960759,-7083.33,66.1759,-5822.13,15,'calm',264,0,60),
 (9470,9,0,'object/mobile/dressed_mercenary_elite_rod_m.iff',0,-0.235422,0,0.971893,-7056.77,68.5107,-5822.08,15,'calm',264,0,60),
 (9471,9,0,'object/mobile/dressed_mercenary_elite_rod_m.iff',0,0.72711,0,-0.686521,-7088.64,65.4751,-5817.39,15,'calm',264,0,60),
 (9472,9,0,'object/mobile/dressed_mercenary_destroyer_hum_f.iff',0,0.191794,0,0.981435,-7053.05,70.9655,-5839.94,15,'calm',264,0,60),
 (9473,9,0,'object/mobile/dressed_mercenary_elite_hum_m.iff',0,-0.311808,0,0.950145,-7060.32,71.0493,-5857.83,15,'calm',264,0,60),
 (9474,9,0,'object/mobile/dressed_mercenary_elite_hum_m.iff',0,0.191785,0,0.981437,-7053.05,70.9656,-5839.94,15,'calm',264,0,60),
 (9475,9,3035597,'object/mobile/dressed_commoner_artisan_trandoshan_male_01.iff',-6.77333e-07,-4.16052e-05,-2.81806e-11,1,5.10403,0.125266,3.22682,15,'conversation',264,0,60),
 (9476,9,3035597,'object/mobile/dressed_artisan_trainer_01.iff',-3.4933e-11,1,6.77325e-07,5.15749e-05,5.10403,0.125266,4.32683,15,'conversation',264,0,60),
 (9477,9,3035378,'object/mobile/dressed_commoner_tatooine_aqualish_male_04.iff',-2.70951e-07,-6.69352e-05,-1.81362e-11,1,-0.385261,0.624999,-2.90517,15,'conversation',264,0,60),
 (9478,9,3035378,'object/mobile/dressed_noble_old_twk_female_02.iff',1.69227e-12,1,1.89635e-07,-8.92381e-06,-0.385261,0.625,-1.80517,15,'conversation',264,0,60),
 (9479,9,3035378,'object/mobile/dressed_commoner_tatooine_aqualish_female_06.iff',-4.39837e-08,0.923889,1.06194e-07,0.38266,-1.48526,0.625,-1.80517,15,'conversation',264,0,60),
 (9480,9,3035376,'object/mobile/space_rebel_tier3_aqzow.iff',0,0.247404,0,0.968912,1.81813,0.624999,1.50685,15,'neutral',264,0,60);
INSERT INTO `swgemu`.`world_server_static_spawns` VALUES  (9481,9,0,'object/mobile/dressed_commoner_tatooine_bith_female_04.iff',0,0.995104,0,-0.0988351,-256.417,35,4892.18,15,'calm',264,0,60),
 (9482,9,0,'object/mobile/dressed_commoner_tatooine_rodian_male_01.iff',0,-0.165445,0,0.986219,-258.202,35,4837.59,15,'calm',264,0,60),
 (9483,9,0,'object/mobile/dressed_commoner_naboo_human_male_04.iff',0,0.920434,0,-0.390899,-271.765,35,4901.25,15,'calm',264,0,60),
 (9484,9,0,'object/mobile/dressed_commoner_naboo_human_female_04.iff',0,0.863428,0,0.504472,-261.35,35,4848.72,15,'calm',264,0,60),
 (9485,9,0,'object/mobile/dressed_doctor_trainer_human_female_01.iff',0,0.980774,0,0.195148,-260.442,35,4874.56,15,'calm',264,0,60),
 (9486,9,0,'object/mobile/r5.iff',0,0.790999,0,-0.611817,-362.869,35,4846.44,15,'calm',264,0,60),
 (9487,9,0,'object/mobile/r3.iff',0,0.611891,0,0.790942,-360.064,35,4847.17,15,'calm',264,0,60),
 (9488,9,0,'object/mobile/dressed_mercenary_messanger_hum_f.iff',0,-2.24384e-06,0,1,-321,35,4840.54,15,'calm',264,0,60),
 (9489,9,0,'object/mobile/dressed_commoner_tatooine_aqualish_male_03.iff',0,-0.37182,0,0.928305,-311.915,35,4824.62,15,'calm',264,0,60),
 (9490,9,0,'object/mobile/dressed_commoner_old_human_male_01.iff',0,0.940554,0,0.339644,-352.762,35,4820.84,15,'calm',264,0,60),
 (9491,9,0,'object/mobile/dressed_commoner_old_twilek_male_01.iff',0,0.345253,0,0.93851,-329.392,35,4823.34,15,'calm',264,0,60),
 (9492,9,0,'object/mobile/dressed_commoner_tatooine_aqualish_female_02.iff',0,0.982418,0,-0.186694,-324.673,35,4889.01,15,'calm',264,0,60),
 (9493,9,0,'object/mobile/dressed_commoner_old_zabrak_female_02.iff',0,0.64817,0,0.761496,-348.122,35,4882.18,15,'calm',264,0,60),
 (9494,9,0,'object/mobile/dressed_mercenary_weak_rod_m.iff',0,0.0114036,0,0.999935,-303.225,35,4837.41,15,'calm',264,0,60),
 (9495,9,0,'object/mobile/dressed_mercenary_weak_hum_m.iff',0,0.944526,0,-0.328436,-294.091,35,4867.02,15,'calm',264,0,60),
 (9496,9,7925452,'object/mobile/dressed_jazeen_thurmm.iff',0,-0.594192,0,0.804323,7.44396,0.625,-6.22189,15,'calm',264,0,60),
 (9497,9,1627823,'object/mobile/acklay_hue.iff',0,0,0,0,93.2,-34.5,-323.4,157,'neutral',128,35,7200),
 (9498,9,1627784,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-18.1,-18,-35.8,86,'neutral',128,35,300),
 (9499,9,1627794,'object/mobile/gaping_spider.iff',0,0,0,0,-131,-21.9,-82.8,108,'neutral',128,35,3600),
 (9500,9,1627791,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-54.7,-18.2,-82.1,86,'neutral',128,35,300),
 (9501,9,1627782,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,24.2,9.8,-7.4,75,'neutral',128,35,180),
 (9502,9,1627782,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,27,10.3,-12.9,75,'neutral',128,35,180),
 (9503,9,1627782,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,33.4,9.4,-8.3,75,'neutral',128,35,180),
 (9504,9,1627782,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,38.3,9.8,-8.4,75,'neutral',128,35,180),
 (9505,9,1627824,'object/mobile/kwi.iff',0,0,0,0,10.3,-15.7,-27.7,106,'neutral',128,35,300),
 (9506,9,1627824,'object/mobile/kwi.iff',0,0,0,0,-0.2,0.4,-20,106,'neutral',128,35,300),
 (9507,9,1627785,'object/mobile/kliknik_hue.iff',0,0,0,0,-42.4,-18,-53.1,98,'neutral',128,35,300),
 (9508,9,1627785,'object/mobile/kliknik.iff',0,0,0,0,-52.6,-18,-42.8,80,'neutral',128,35,240),
 (9509,9,1627788,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,-83.5,-18.5,-41.5,75,'neutral',128,35,180),
 (9510,9,1627788,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,-74.7,-18.5,-41.4,75,'neutral',128,35,180),
 (9511,9,1627788,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,-73.7,-19,-34.4,75,'neutral',128,35,180),
 (9512,9,1627793,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-107.8,-22.2,-120.6,27,'neutral',128,35,180),
 (9513,9,1627793,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-108.1,-22.2,-100.2,27,'neutral',128,35,180),
 (9514,9,1627793,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-133.8,-21.3,-109.6,27,'neutral',128,35,180),
 (9515,9,1627790,'object/mobile/dressed_geonosian_commoner_01.iff',0,0,0,0,-118.6,-20,-38.5,48,'neutral',128,35,180),
 (9516,9,1627796,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-4,-30.2,-92.5,86,'neutral',128,35,300),
 (9517,9,1627798,'object/mobile/kliknik_hue.iff',0,0,0,0,23.4,-31.7,-85.6,98,'neutral',128,35,300),
 (9518,9,1627798,'object/mobile/kliknik_hue.iff',0,0,0,0,34.1,-30.7,-80.8,98,'neutral',128,35,300),
 (9519,9,1627798,'object/mobile/kliknik_hue.iff',0,0,0,0,20.6,-30.8,-70.1,98,'neutral',128,35,300),
 (9520,9,1627801,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-34.3,-22,-128.6,86,'neutral',128,35,300),
 (9521,9,1627800,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-48,-21.8,-136.2,27,'neutral',128,35,180),
 (9522,9,1627802,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-20.9,-22,-117.8,66,'neutral',128,35,180),
 (9523,9,1627802,'object/mobile/dressed_imperial_captain_m.iff',0,0,0,0,-16.9,-22,-114.3,66,'neutral',128,35,180),
 (9524,9,1627803,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,-35.9,-21.9,-166.6,75,'neutral',128,35,180),
 (9525,9,1627803,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,-36.2,-21.9,-154.6,75,'neutral',128,35,180),
 (9526,9,1627803,'object/mobile/dressed_geonosian_warrior_01.iff',0,0,0,0,-32,-21.8,-157.8,75,'neutral',128,35,180),
 (9527,9,1627805,'object/mobile/dressed_mercenary_strong_hum_m.iff',0,0,0,0,-80.4,-22,-157.5,90,'neutral',128,35,240),
 (9528,9,1627805,'object/mobile/dressed_mercenary_strong_hum_m.iff',0,0,0,0,-75.5,-22,-161,90,'neutral',128,35,240),
 (9529,9,1627807,'object/mobile/kwi.iff',0,0,0,0,-104.3,-27.2,-190.4,106,'neutral',128,35,300),
 (9530,9,1627808,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-107.6,-34,-214,86,'neutral',128,35,300),
 (9531,9,1627814,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-138,-34,-212.1,86,'neutral',128,35,300),
 (9532,9,1627815,'object/mobile/kliknik.iff',0,0,0,0,-143.4,-34,-193.2,80,'neutral',128,35,240),
 (9533,9,1627815,'object/mobile/kliknik_hue.iff',0,0,0,0,-143.7,-34,-182,98,'neutral',128,35,300),
 (9534,9,1627815,'object/mobile/kliknik.iff',0,0,0,0,-131.5,-34,-192.2,80,'neutral',128,35,240),
 (9535,9,1627815,'object/mobile/dressed_geonosian_commoner_01.iff',0,0,0,0,-123.6,-34,-199.8,48,'neutral',128,35,180),
 (9536,9,1627809,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-108.4,-33.8,-228,27,'neutral',128,35,180),
 (9537,9,1627811,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-61.9,-34,-251.8,86,'neutral',128,35,300),
 (9538,9,1627816,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-130.1,-34,-268.2,86,'neutral',128,35,300),
 (9539,9,1627817,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-129.9,-34.3,-322.8,27,'neutral',128,35,180),
 (9540,9,1627817,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-143.3,-33.6,-322.5,27,'neutral',128,35,180),
 (9541,9,1627817,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-128.6,-33.6,-334.1,27,'neutral',128,35,180),
 (9542,9,1627818,'object/mobile/kliknik_hue.iff',0,0,0,0,-127.2,-33.4,-385,98,'neutral',128,35,300),
 (9543,9,1627819,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-92.5,-34.2,-368.2,27,'neutral',128,35,180),
 (9544,9,1627819,'object/mobile/kliknik_hue.iff',0,0,0,0,-88.4,-34,-374.3,104,'neutral',128,35,300),
 (9545,9,1627819,'object/mobile/kliknik_hue.iff',0,0,0,0,-71.5,-33.9,-376.5,104,'neutral',128,35,300),
 (9546,9,1627819,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-75.1,-34.1,-384.1,27,'neutral',128,35,180),
 (9547,9,1627820,'object/mobile/kliknik_hue.iff',0,0,0,0,-67.3,-34.1,-407.2,104,'neutral',128,35,300),
 (9548,9,1627820,'object/mobile/kwi.iff',0,0,0,0,-44.4,-33.9,-408.5,106,'neutral',128,35,300),
 (9549,9,1627820,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-27.4,-34.1,-407.6,27,'neutral',128,35,180),
 (9550,9,1627821,'object/creature/npc/droid/crafted/droideka_advanced.iff',0,0,0,0,-12.2,-34,-412.1,86,'neutral',128,35,300),
 (9551,9,1627822,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,4,-34,-404.3,27,'neutral',128,35,180),
 (9552,9,1627822,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,22.9,-34,-398.8,27,'neutral',128,35,180),
 (9553,9,1627822,'object/mobile/kliknik_hue.iff',0,0,0,0,23.4,-34,-374.2,98,'neutral',128,35,300),
 (9554,9,1627822,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,12,-34,-365.5,27,'neutral',128,35,180),
 (9555,9,1627822,'object/mobile/kliknik.iff',0,0,0,0,15.5,-24,-341.2,80,'neutral',128,35,240),
 (9556,9,1627822,'object/mobile/kliknik_hue.iff',0,0,0,0,10.5,-22,-336.8,98,'neutral',128,35,300),
 (9557,9,1627822,'object/mobile/kliknik_hue.iff',0,0,0,0,24.6,-24,-334,98,'neutral',128,35,300),
 (9558,9,1627823,'object/mobile/kwi.iff',0,0,0,0,45,-34,-333.8,106,'neutral',128,35,300),
 (9559,9,1627823,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,86.2,-34,-309.4,27,'neutral',128,35,180),
 (9560,9,1627819,'object/mobile/kliknik_hue.iff',0,0,0,0,-78.6,-33.6,-349.4,98,'neutral',128,35,300),
 (9561,9,1627818,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-139.3,-34.2,-349.8,27,'neutral',128,35,180),
 (9562,9,1627818,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-117.5,-33.9,-349.5,27,'neutral',128,35,180),
 (9563,9,1627818,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-138.6,-34,-370.6,27,'neutral',128,35,180),
 (9564,9,1627823,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,93.1,-33.7,-347,27,'neutral',128,35,180),
 (9565,9,1627823,'object/mobile/kliknik_hue.iff',0,0,0,0,120.2,-34,-329.6,98,'neutral',128,35,300),
 (9566,9,1627823,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,90.7,-34.1,-333.6,27,'neutral',128,35,180),
 (9567,9,1627812,'object/mobile/kliknik.iff',0,0,0,0,-67.4,-34,-269.5,80,'neutral',128,35,240),
 (9568,9,1627812,'object/mobile/kliknik_hue.iff',0,0,0,0,-66.8,-34,-284.3,98,'neutral',128,35,300),
 (9569,9,1627812,'object/mobile/dressed_geonosian_commoner_01.iff',0,0,0,0,-61.8,-34,-271.7,48,'neutral',128,35,180),
 (9570,9,1627793,'object/mobile/gaping_spider_broodling.iff',0,0,0,0,-90.4,-22,-111.1,27,'neutral',128,35,180),
 (9571,9,1627781,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,-2.4,10.8,10,15,'neutral',264,0,60),
 (9572,9,1627790,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,-107.2,-18,-34.8,15,'neutral',264,0,60),
 (9573,9,1627794,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,-134.2,-21.8,-74.7,15,'neutral',264,0,60),
 (9574,9,1627798,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,23.8,-31.6,-79.3,15,'neutral',264,0,60),
 (9575,9,1627803,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,-35.8,-21.8,-161.2,15,'neutral',264,0,60),
 (9576,9,1627812,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,-72.1,-34,-276.9,15,'neutral',264,0,60),
 (9577,9,1627815,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,-126.4,-34,-186.2,15,'neutral',264,0,60),
 (9578,9,1627822,'object/mobile/dressed_geonosian_scientist_01.iff',0,0.995104,0,-0.0988351,7.2,-22,-333.2,15,'neutral',264,0,60),
 (9579,9,1627785,'object/mobile/dressed_geonosian_scientist_02.iff',0,0.995104,0,-0.0988351,-48.8,-18,-31.8,15,'neutral',264,0,60),
 (9580,9,0,'object/mobile/woolamander.iff',0,0,0,0,479.72,0,-661.131,27,'neutral',128,35,180),
 (9581,9,0,'object/mobile/woolamander.iff',0,0,0,0,483.283,0,-665.337,27,'neutral',128,35,180),
 (9582,9,0,'object/mobile/woolamander.iff',0,0,0,0,509.331,0,-689.23,19,'neutral',128,35,180),
 (9583,9,0,'object/mobile/woolamander.iff',0,0,0,0,483.851,0,-662.943,27,'neutral',128,35,180),
 (9584,9,0,'object/mobile/woolamander.iff',0,0,0,0,511.055,0,-687.557,19,'neutral',128,35,180),
 (9585,9,0,'object/mobile/woolamander.iff',0,0,0,0,479.598,0,-659.412,27,'neutral',128,35,180),
 (9586,9,0,'object/mobile/woolamander.iff',0,0,0,0,480.857,0,-663.185,27,'neutral',128,35,180),
 (9587,9,3705359,'object/mobile/woolamander.iff',0,0,0,0,-59.3201,2.0202,21.0591,38,'neutral',128,35,240),
 (9588,9,3705359,'object/mobile/woolamander.iff',0,0,0,0,-59.2473,2.0202,-11.0566,29,'neutral',128,35,180),
 (9589,9,3705359,'object/mobile/woolamander_hue.iff',0,0,0,0,-84.9596,2.02019,3.06351,51,'neutral',128,35,4020),
 (9590,9,3705359,'object/mobile/woolamander_hue.iff',0,0,0,0,-85.751,2.02019,4.10265,51,'neutral',128,35,4020),
 (9591,9,3705361,'object/mobile/woolamander.iff',0,0,0,0,53.9211,2.02021,5.37407,38,'neutral',128,35,240),
 (9592,9,3705361,'object/mobile/woolamander.iff',0,0,0,0,54.3143,2.02021,7.01683,38,'neutral',128,35,240),
 (9593,9,3705355,'object/mobile/woolamander.iff',0,0,0,0,14.4116,2.0202,0.0878928,27,'neutral',128,35,180),
 (9594,9,3705355,'object/mobile/woolamander.iff',0,0,0,0,15.4302,2.0202,-0.711728,27,'neutral',128,35,180),
 (9595,9,3705355,'object/mobile/woolamander.iff',0,0,0,0,-2.0938,2.0202,6.12562,29,'neutral',128,35,180),
 (9596,9,3705355,'object/mobile/woolamander.iff',0,0,0,0,-2.82066,2.0202,8.06346,29,'neutral',128,35,180),
 (9597,9,3705355,'object/mobile/woolamander.iff',0,0,0,0,-17.5263,2.0202,0.383472,27,'neutral',128,35,180),
 (9598,9,3705355,'object/mobile/woolamander.iff',0,0,0,0,-18.2843,2.0202,-0.466568,27,'neutral',128,35,180),
 (9599,9,0,'object/mobile/woolamander.iff',0,0,0,0,509.124,0,-687.435,19,'neutral',128,35,180),
 (9600,9,0,'object/mobile/kliknik.iff',0,0,0,0,-921.237,0,-2085.19,30,'neutral',128,35,180),
 (9601,9,0,'object/mobile/kliknik.iff',0,0,0,0,-921.327,0,-2086.26,30,'neutral',128,35,180),
 (9602,9,0,'object/mobile/kliknik.iff',0,0,0,0,-929.081,0,-2076.36,30,'neutral',128,35,180),
 (9603,9,0,'object/mobile/kliknik.iff',0,0,0,0,-903.664,0,-2021.92,30,'neutral',128,35,180),
 (9604,9,0,'object/mobile/kliknik.iff',0,0,0,0,-902.219,0,-2021.42,30,'neutral',128,35,180),
 (9605,9,0,'object/mobile/kliknik.iff',0,0,0,0,-902.494,0,-2022.47,30,'neutral',128,35,180),
 (9606,9,0,'object/mobile/kliknik.iff',0,0,0,0,-879.46,0,-2047.03,42,'neutral',128,35,180),
 (9607,9,0,'object/mobile/kliknik.iff',0,0,0,0,-880.507,0,-2047.49,42,'neutral',128,35,180),
 (9608,9,0,'object/mobile/kliknik.iff',0,0,0,0,-881.542,0,-2047.6,42,'neutral',128,35,180),
 (9609,9,468318,'object/mobile/kliknik.iff',0,0,0,0,-3.76231,-1.2976,32.4549,40,'neutral',128,35,180),
 (9610,9,468318,'object/mobile/kliknik.iff',0,0,0,0,3.95711,-1.2976,32.4458,40,'neutral',128,35,180),
 (9611,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-13.6347,-1.2976,24.3426,40,'neutral',128,35,180),
 (9612,9,468319,'object/mobile/kliknik.iff',0,0,0,0,12.8708,-1.2976,24.9804,40,'neutral',128,35,180),
 (9613,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-13.1108,-37.2976,13.0769,40,'neutral',128,35,180),
 (9614,9,468319,'object/mobile/kliknik.iff',0,0,0,0,12.573,-37.2976,12.5194,40,'neutral',128,35,180),
 (9615,9,468319,'object/mobile/kliknik.iff',0,0,0,0,24.9561,-1.2976,10.1033,40,'neutral',128,35,180),
 (9616,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-25.3283,-1.2976,3.17629,40,'neutral',128,35,180),
 (9617,9,468319,'object/mobile/kliknik.iff',0,0,0,0,11.7035,-37.2976,1.1191,30,'neutral',128,35,180),
 (9618,9,468319,'object/mobile/kliknik.iff',0,0,0,0,11.6944,-37.2976,2.23503,30,'neutral',128,35,180),
 (9619,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-13.7067,-37.2976,0.257547,30,'neutral',128,35,180),
 (9620,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-14.1693,-37.2976,-0.848303,30,'neutral',128,35,180),
 (9621,9,0,'object/mobile/kliknik.iff',0,0,0,0,-868.781,0,-2130.53,30,'neutral',128,35,180),
 (9622,9,0,'object/mobile/kliknik.iff',0,0,0,0,-869.054,0,-2130.24,30,'neutral',128,35,180),
 (9623,9,0,'object/mobile/kliknik.iff',0,0,0,0,-870.054,0,-2130.69,30,'neutral',128,35,180),
 (9624,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-7.33674,-37.2976,-16.3421,30,'neutral',128,35,180),
 (9625,9,468319,'object/mobile/kliknik.iff',0,0,0,0,7.24833,-37.2976,-16.0867,30,'neutral',128,35,180),
 (9626,9,468319,'object/mobile/kliknik.iff',0,0,0,0,0.893615,-37.2976,-23.1458,42,'neutral',128,35,180),
 (9627,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-0.0255893,-37.2976,-23.2957,42,'neutral',128,35,180),
 (9628,9,468319,'object/mobile/kliknik.iff',0,0,0,0,2.02521,-1.2976,-25.6792,30,'neutral',128,35,180),
 (9629,9,468319,'object/mobile/kliknik.iff',0,0,0,0,-3.30076,-1.2976,-25.7691,30,'neutral',128,35,180),
 (9630,9,0,'object/mobile/kliknik.iff',0,0,0,0,-830.746,0,-1974.44,30,'neutral',128,35,180),
 (9631,9,0,'object/mobile/kliknik.iff',0,0,0,0,-830.922,0,-1975.85,30,'neutral',128,35,180),
 (9632,9,0,'object/mobile/kliknik.iff',0,0,0,0,-830.057,0,-1975.93,30,'neutral',128,35,180),
 (9633,9,468319,'object/mobile/kliknik_queen.iff',0,0,0,0,-0.140134,-37.2976,-28.9959,40,'neutral',128,35,180),
 (9634,9,0,'object/mobile/kliknik.iff',0,0,0,0,-801.018,0,-1979.73,30,'neutral',128,35,180),
 (9635,9,0,'object/mobile/kliknik.iff',0,0,0,0,-799.648,0,-1980.52,30,'neutral',128,35,180),
 (9636,9,0,'object/mobile/kliknik.iff',0,0,0,0,-798.801,0,-1979.45,30,'neutral',128,35,180),
 (9637,9,0,'object/mobile/kliknik.iff',0,0,0,0,-824.589,0,-2137.31,30,'neutral',128,35,180),
 (9638,9,0,'object/mobile/kliknik.iff',0,0,0,0,-825.155,0,-2137.19,30,'neutral',128,35,180),
 (9639,9,0,'object/mobile/kliknik.iff',0,0,0,0,-825.554,0,-2138.61,30,'neutral',128,35,180),
 (9640,9,0,'object/mobile/kliknik.iff',0,0,0,0,-747.836,0,-2056.32,30,'neutral',128,35,180),
 (9641,9,0,'object/mobile/kliknik.iff',0,0,0,0,-748.295,0,-2056.05,30,'neutral',128,35,180),
 (9642,9,0,'object/mobile/kliknik.iff',0,0,0,0,-747.699,0,-2055.56,30,'neutral',128,35,180),
 (9643,9,0,'object/mobile/kliknik.iff',0,0,0,0,-752.223,0,-2085.08,30,'neutral',128,35,180),
 (9644,9,0,'object/mobile/kliknik.iff',0,0,0,0,-753.028,0,-2085.54,30,'neutral',128,35,180),
 (9645,9,0,'object/mobile/kliknik.iff',0,0,0,0,-753.926,0,-2086.85,30,'neutral',128,35,180),
 (9646,9,0,'object/mobile/dressed_jedi_trainer_twilek_female_01.iff',0,0,0,0,-5578.55,0,4909.13,500,'neutral',128,35,1200),
 (9647,9,0,'object/mobile/dressed_jedi_trainer_twilek_female_01.iff',0,0,0,0,-5572.76,0,4907.84,500,'neutral',128,35,1200),
 (9648,9,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,5046.38,0,306.411,500,'neutral',128,35,1200),
 (9649,9,0,'object/mobile/dressed_dark_jedi_human_male_01.iff',0,0,0,0,5073.68,0,314.612,500,'neutral',128,35,1200);
UNLOCK TABLES;
/*!40000 ALTER TABLE `world_server_static_spawns` ENABLE KEYS */;

CREATE TABLE  `swgemu`.`account_ips` (
  `idaccount_ips` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(10) unsigned NOT NULL,
  `ip` varchar(45) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `logout` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`idaccount_ips`)
) ENGINE=MyISAM AUTO_INCREMENT=1099 DEFAULT CHARSET=latin1;

ALTER TABLE `swgemu`.`deleted_characters` ADD COLUMN `db_deleted` BOOLEAN  NOT NULL DEFAULT 0 AFTER `creation_date`;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
