/*
MySQL Data Transfer
Source Host: 10.0.0.2
Source Database: swgemu
Target Host: 10.0.0.2
Target Database: swgemu
Date: 9/30/2010 4:06:39 PM
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for badge
-- ----------------------------
DROP TABLE IF EXISTS `badge`;
CREATE TABLE `badge` (
  `badge_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`badge_id`)
) ENGINE=MyISAM AUTO_INCREMENT=115 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for bazaar_items
-- ----------------------------
DROP TABLE IF EXISTS `bazaar_items`;
CREATE TABLE `bazaar_items` (
  `objectid` bigint(20) unsigned NOT NULL,
  `name` varchar(45) NOT NULL,
  `description` text NOT NULL,
  `item_type` int(10) unsigned NOT NULL,
  `ownerid` bigint(20) unsigned NOT NULL,
  `ownername` varchar(45) NOT NULL,
  `price` int(10) unsigned NOT NULL,
  `auction` tinyint(1) NOT NULL,
  `sold` tinyint(1) NOT NULL DEFAULT '0',
  `expire` bigint(20) unsigned NOT NULL,
  `terminalid` bigint(20) unsigned NOT NULL,
  `planet` smallint(5) unsigned NOT NULL,
  `buyerid` bigint(20) unsigned NOT NULL DEFAULT '0',
  `biddername` varchar(45) NOT NULL,
  PRIMARY KEY (`objectid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_badge
-- ----------------------------
DROP TABLE IF EXISTS `character_badge`;
CREATE TABLE `character_badge` (
  `character_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask0` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask1` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask2` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask3` int(10) unsigned NOT NULL DEFAULT '0',
  `bitmask4` int(10) unsigned NOT NULL DEFAULT '0',
  `totalCount` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count0` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count1` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count2` tinyint(3) unsigned DEFAULT '0',
  `count3` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count4` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count5` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`character_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_faction_points
-- ----------------------------
DROP TABLE IF EXISTS `character_faction_points`;
CREATE TABLE `character_faction_points` (
  `character_id` int(10) unsigned NOT NULL,
  `faction_name` varchar(25) NOT NULL,
  `faction_points` int(11) NOT NULL,
  `hash` varchar(32) NOT NULL,
  PRIMARY KEY (`hash`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_items
-- ----------------------------
DROP TABLE IF EXISTS `character_items`;
CREATE TABLE `character_items` (
  `item_id` bigint(20) unsigned NOT NULL,
  `character_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) unsigned NOT NULL,
  `template_type` int(10) unsigned NOT NULL,
  `template_type_name` tinytext NOT NULL,
  `template_name` tinytext NOT NULL,
  `container` bigint(20) unsigned NOT NULL DEFAULT '0',
  `equipped` tinyint(1) unsigned NOT NULL,
  `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `itemMask` smallint(5) unsigned NOT NULL DEFAULT '65535',
  `optionsBitmask` int(10) unsigned NOT NULL DEFAULT '0',
  `in_bank` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`),
  KEY `container_ix` (`container`),
  KEY `deleted_ix` (`deleted`),
  KEY `char_ix` (`character_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_profession
-- ----------------------------
DROP TABLE IF EXISTS `character_profession`;
CREATE TABLE `character_profession` (
  `character_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `profession_id` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`character_id`,`profession_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_structures
-- ----------------------------
DROP TABLE IF EXISTS `character_structures`;
CREATE TABLE `character_structures` (
  `zone_id` tinyint(4) NOT NULL DEFAULT '0',
  `object_id` bigint(20) NOT NULL,
  `parent_id` bigint(20) NOT NULL,
  `cell_number` tinyint(4) NOT NULL DEFAULT '0',
  `owner_id` mediumint(8) NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) NOT NULL,
  `template_type` int(10) NOT NULL,
  `template_subtype` int(10) NOT NULL,
  `template_name` tinytext NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `X` float NOT NULL,
  `Z` float NOT NULL,
  `Y` float NOT NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  `noBuildArea` bigint(20) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `object_id` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for city_regions
-- ----------------------------
DROP TABLE IF EXISTS `city_regions`;
CREATE TABLE `city_regions` (
  `cr_id` int(11) NOT NULL AUTO_INCREMENT,
  `planet_id` int(11) NOT NULL,
  `region_name` char(255) DEFAULT NULL,
  `region_file` char(255) DEFAULT NULL,
  `x` float NOT NULL,
  `z` float NOT NULL,
  `radius` float NOT NULL,
  PRIMARY KEY (`cr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=54 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for clone_spawn_points
-- ----------------------------
DROP TABLE IF EXISTS `clone_spawn_points`;
CREATE TABLE `clone_spawn_points` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oX` float NOT NULL DEFAULT '0',
  `oZ` float NOT NULL DEFAULT '0',
  `oY` float NOT NULL DEFAULT '0',
  `oW` float NOT NULL DEFAULT '0',
  `X` float NOT NULL DEFAULT '0',
  `Z` float NOT NULL DEFAULT '0',
  `Y` float NOT NULL DEFAULT '0',
  `parentID` bigint(20) NOT NULL DEFAULT '0',
  `zoneid` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=165 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for command_client_command_table
-- ----------------------------
DROP TABLE IF EXISTS `command_client_command_table`;
CREATE TABLE `command_client_command_table` (
  `commandName` varchar(18) DEFAULT NULL,
  `defaultPriority` varchar(9) DEFAULT NULL,
  `scriptHook` varchar(1) DEFAULT NULL,
  `failScriptHook` varchar(1) DEFAULT NULL,
  `cppHook` varchar(20) DEFAULT NULL,
  `failCppHook` varchar(1) DEFAULT NULL,
  `defaultTime` float DEFAULT NULL,
  `characterAbility` varchar(8) DEFAULT NULL,
  `L:standing` tinyint(1) DEFAULT NULL,
  `L:sneaking` tinyint(1) DEFAULT NULL,
  `L:walking` tinyint(1) DEFAULT NULL,
  `L:running` tinyint(1) DEFAULT NULL,
  `L:kneeling` tinyint(1) DEFAULT NULL,
  `L:crouchSneaking` tinyint(1) DEFAULT NULL,
  `L:crouchWalking` tinyint(1) DEFAULT NULL,
  `L:prone` tinyint(1) DEFAULT NULL,
  `L:crawling` tinyint(1) DEFAULT NULL,
  `L:climbingStationary` tinyint(1) DEFAULT NULL,
  `L:climbing` tinyint(1) DEFAULT NULL,
  `L:hovering` tinyint(1) DEFAULT NULL,
  `L:flying` tinyint(1) DEFAULT NULL,
  `L:lyingDown` tinyint(1) DEFAULT NULL,
  `L:sitting` tinyint(1) DEFAULT NULL,
  `L:skillAnimating` tinyint(1) DEFAULT NULL,
  `L:drivingVehicle` tinyint(1) DEFAULT NULL,
  `L:ridingCreature` tinyint(1) DEFAULT NULL,
  `L:knockedDown` tinyint(1) DEFAULT NULL,
  `L:incapacitated` tinyint(1) DEFAULT NULL,
  `L:dead` tinyint(1) DEFAULT NULL,
  `L:blocking` tinyint(1) DEFAULT NULL,
  `S:cover` tinyint(1) DEFAULT NULL,
  `S:combat` tinyint(1) DEFAULT NULL,
  `S:peace` tinyint(1) DEFAULT NULL,
  `S:aiming` tinyint(1) DEFAULT NULL,
  `S:alert` tinyint(1) DEFAULT NULL,
  `S:berserk` tinyint(1) DEFAULT NULL,
  `S:feignDeath` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeEvasive` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeNormal` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeAggressive` tinyint(1) DEFAULT NULL,
  `S:tumbling` tinyint(1) DEFAULT NULL,
  `S:rallied` tinyint(1) DEFAULT NULL,
  `S:stunned` tinyint(1) DEFAULT NULL,
  `S:blinded` tinyint(1) DEFAULT NULL,
  `S:dizzy` tinyint(1) DEFAULT NULL,
  `S:intimidated` tinyint(1) DEFAULT NULL,
  `S:immobilized` tinyint(1) DEFAULT NULL,
  `S:frozen` tinyint(1) DEFAULT NULL,
  `S:swimming` tinyint(1) DEFAULT NULL,
  `S:sittingOnChair` tinyint(1) DEFAULT NULL,
  `S:crafting` tinyint(1) DEFAULT NULL,
  `S:glowingJedi` tinyint(1) DEFAULT NULL,
  `S:maskScent` tinyint(1) DEFAULT NULL,
  `S:poisoned` tinyint(1) DEFAULT NULL,
  `S:bleeding` tinyint(1) DEFAULT NULL,
  `S:diseased` tinyint(1) DEFAULT NULL,
  `S:onFire` tinyint(1) DEFAULT NULL,
  `S:ridingMount` tinyint(1) DEFAULT NULL,
  `S:mountedCreature` tinyint(1) DEFAULT NULL,
  `S:pilotingShip` tinyint(1) DEFAULT NULL,
  `S:pilotingPobShip` tinyint(1) DEFAULT NULL,
  `S:shipOperations` tinyint(1) DEFAULT NULL,
  `S:shipGunner` tinyint(1) DEFAULT NULL,
  `S:shipInterior` tinyint(1) DEFAULT NULL,
  `tempScript` varchar(1) DEFAULT NULL,
  `targetType` varchar(8) DEFAULT NULL,
  `stringId` varchar(1) DEFAULT NULL,
  `visible` int(10) unsigned DEFAULT NULL,
  `callOnTarget` tinyint(1) DEFAULT NULL,
  `commandGroup` int(11) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `maxRangeToTarget` float DEFAULT NULL,
  `godLevel` int(10) unsigned DEFAULT NULL,
  `displayGroup` int(10) unsigned DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for command_command_table
-- ----------------------------
DROP TABLE IF EXISTS `command_command_table`;
CREATE TABLE `command_command_table` (
  `commandName` varchar(37) DEFAULT NULL,
  `defaultPriority` varchar(9) DEFAULT NULL,
  `scriptHook` varchar(35) DEFAULT NULL,
  `failScriptHook` varchar(22) DEFAULT NULL,
  `cppHook` varchar(37) DEFAULT NULL,
  `failCppHook` varchar(26) DEFAULT NULL,
  `defaultTime` float DEFAULT NULL,
  `characterAbility` varchar(23) DEFAULT NULL,
  `L:standing` tinyint(1) DEFAULT NULL,
  `L:sneaking` tinyint(1) DEFAULT NULL,
  `L:walking` tinyint(1) DEFAULT NULL,
  `L:running` tinyint(1) DEFAULT NULL,
  `L:kneeling` tinyint(1) DEFAULT NULL,
  `L:crouchSneaking` tinyint(1) DEFAULT NULL,
  `L:crouchWalking` tinyint(1) DEFAULT NULL,
  `L:prone` tinyint(1) DEFAULT NULL,
  `L:crawling` tinyint(1) DEFAULT NULL,
  `L:climbingStationary` tinyint(1) DEFAULT NULL,
  `L:climbing` tinyint(1) DEFAULT NULL,
  `L:hovering` tinyint(1) DEFAULT NULL,
  `L:flying` tinyint(1) DEFAULT NULL,
  `L:lyingDown` tinyint(1) DEFAULT NULL,
  `L:sitting` tinyint(1) DEFAULT NULL,
  `L:skillAnimating` tinyint(1) DEFAULT NULL,
  `L:drivingVehicle` tinyint(1) DEFAULT NULL,
  `L:ridingCreature` tinyint(1) DEFAULT NULL,
  `L:knockedDown` tinyint(1) DEFAULT NULL,
  `L:incapacitated` tinyint(1) DEFAULT NULL,
  `L:dead` tinyint(1) DEFAULT NULL,
  `L:blocking` tinyint(1) DEFAULT NULL,
  `S:cover` tinyint(1) DEFAULT NULL,
  `S:combat` tinyint(1) DEFAULT NULL,
  `S:peace` tinyint(1) DEFAULT NULL,
  `S:aiming` tinyint(1) DEFAULT NULL,
  `S:alert` tinyint(1) DEFAULT NULL,
  `S:berserk` tinyint(1) DEFAULT NULL,
  `S:feignDeath` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeEvasive` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeNormal` tinyint(1) DEFAULT NULL,
  `S:combatAttitudeAggressive` tinyint(1) DEFAULT NULL,
  `S:tumbling` tinyint(1) DEFAULT NULL,
  `S:rallied` tinyint(1) DEFAULT NULL,
  `S:stunned` tinyint(1) DEFAULT NULL,
  `S:blinded` tinyint(1) DEFAULT NULL,
  `S:dizzy` tinyint(1) DEFAULT NULL,
  `S:intimidated` tinyint(1) DEFAULT NULL,
  `S:immobilized` tinyint(1) DEFAULT NULL,
  `S:frozen` tinyint(1) DEFAULT NULL,
  `S:swimming` tinyint(1) DEFAULT NULL,
  `S:sittingOnChair` tinyint(1) DEFAULT NULL,
  `S:crafting` tinyint(1) DEFAULT NULL,
  `S:glowingJedi` tinyint(1) DEFAULT NULL,
  `S:maskScent` tinyint(1) DEFAULT NULL,
  `S:poisoned` tinyint(1) DEFAULT NULL,
  `S:bleeding` tinyint(1) DEFAULT NULL,
  `S:diseased` tinyint(1) DEFAULT NULL,
  `S:onFire` tinyint(1) DEFAULT NULL,
  `S:ridingMount` tinyint(1) DEFAULT NULL,
  `S:mountedCreature` tinyint(1) DEFAULT NULL,
  `S:pilotingShip` tinyint(1) DEFAULT NULL,
  `S:pilotingPobShip` tinyint(1) DEFAULT NULL,
  `S:shipOperations` tinyint(1) DEFAULT NULL,
  `S:shipGunner` tinyint(1) DEFAULT NULL,
  `S:shipInterior` tinyint(1) DEFAULT NULL,
  `tempScript` varchar(44) DEFAULT NULL,
  `targetType` varchar(8) DEFAULT NULL,
  `stringId` varchar(1) DEFAULT NULL,
  `visible` int(10) unsigned DEFAULT NULL,
  `callOnTarget` tinyint(1) DEFAULT NULL,
  `commandGroup` int(11) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `maxRangeToTarget` float DEFAULT NULL,
  `godLevel` int(10) unsigned DEFAULT NULL,
  `displayGroup` int(11) DEFAULT NULL,
  `addToCombatQueue` tinyint(1) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for consentlist
-- ----------------------------
DROP TABLE IF EXISTS `consentlist`;
CREATE TABLE `consentlist` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `character_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `target_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for cs_tickets
-- ----------------------------
DROP TABLE IF EXISTS `cs_tickets`;
CREATE TABLE `cs_tickets` (
  `ticket_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_main` int(10) unsigned NOT NULL DEFAULT '0',
  `category_sub` int(10) unsigned NOT NULL DEFAULT '0',
  `player_name` varchar(45) NOT NULL DEFAULT 'default',
  `station_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bug_type` varchar(45) NOT NULL DEFAULT 'default',
  `repeatable` tinyint(1) NOT NULL DEFAULT '0',
  `game_system` varchar(45) NOT NULL DEFAULT 'default',
  `severity` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `position_x` float(10,6) NOT NULL DEFAULT '0.000000',
  `position_y` float(10,6) NOT NULL DEFAULT '0.000000',
  `position_z` float(10,6) NOT NULL DEFAULT '0.000000',
  `position_heading` float(10,6) NOT NULL DEFAULT '0.000000',
  `planet` varchar(20) NOT NULL DEFAULT 'default',
  `cluster` varchar(45) NOT NULL DEFAULT 'default',
  `race` varchar(20) NOT NULL DEFAULT 'default',
  `client_version` varchar(45) NOT NULL DEFAULT 'default',
  `date_time` varchar(45) NOT NULL DEFAULT 'default',
  `other_info` varchar(45) NOT NULL DEFAULT 'default',
  PRIMARY KEY (`ticket_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for customization_data
-- ----------------------------
DROP TABLE IF EXISTS `customization_data`;
CREATE TABLE `customization_data` (
  `speciesGender` varchar(30) NOT NULL DEFAULT '',
  `customizationGroup` varchar(15) NOT NULL DEFAULT '',
  `type` varchar(7) DEFAULT NULL,
  `customizationName` varchar(20) NOT NULL DEFAULT '',
  `variables` varchar(255) DEFAULT NULL,
  `isScale` tinyint(1) DEFAULT '0',
  `reverse` tinyint(1) DEFAULT '0',
  `colorLinked` varchar(255) DEFAULT NULL,
  `colorLinkedtoSelf0` varchar(255) DEFAULT NULL,
  `colorLinkedtoSelf1` varchar(255) DEFAULT NULL,
  `cameraYaw` int(10) unsigned DEFAULT NULL,
  `discrete` tinyint(1) DEFAULT '0',
  `randomizable` tinyint(1) DEFAULT '0',
  `randomizableGroup` tinyint(1) DEFAULT '0',
  `isVarHairColor` tinyint(1) DEFAULT '0',
  `imageDesignSkillMod` varchar(15) DEFAULT NULL,
  `skillModValue` int(10) unsigned DEFAULT '0',
  `modificationType` varchar(10) DEFAULT NULL,
  `maxChoices` int(10) unsigned DEFAULT '0',
  `minScale` float(4,2) NOT NULL DEFAULT '1.00',
  `maxScale` float(4,2) NOT NULL DEFAULT '1.00',
  PRIMARY KEY (`speciesGender`,`customizationGroup`,`customizationName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for datapad
-- ----------------------------
DROP TABLE IF EXISTS `datapad`;
CREATE TABLE `datapad` (
  `object_id` bigint(20) unsigned NOT NULL,
  `character_id` bigint(20) unsigned NOT NULL,
  `object_type` bigint(20) NOT NULL,
  `custom_name` tinytext NOT NULL,
  `stringFile` tinytext NOT NULL,
  `stringName` tinytext NOT NULL,
  `object_crc` bigint(10) unsigned NOT NULL,
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `linked_tano_id` bigint(20) unsigned NOT NULL,
  `deleted` bit(1) NOT NULL DEFAULT b'0',
  PRIMARY KEY (`object_id`),
  KEY `char_ix` (`character_id`),
  KEY `item_ix` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for datapad_items
-- ----------------------------
DROP TABLE IF EXISTS `datapad_items`;
CREATE TABLE `datapad_items` (
  `item_id` bigint(20) unsigned NOT NULL,
  `character_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) unsigned NOT NULL,
  `template_type` int(10) unsigned NOT NULL,
  `template_type_name` tinytext NOT NULL,
  `template_name` tinytext NOT NULL,
  `container` bigint(20) unsigned NOT NULL DEFAULT '0',
  `equipped` tinyint(1) unsigned NOT NULL,
  `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `itemMask` smallint(5) unsigned NOT NULL DEFAULT '65535',
  `optionsBitmask` int(10) unsigned NOT NULL DEFAULT '0',
  `in_bank` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`),
  KEY `container_ix` (`container`),
  KEY `deleted_ix` (`deleted`),
  KEY `char_ix` (`character_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for draft_schematics
-- ----------------------------
DROP TABLE IF EXISTS `draft_schematics`;
CREATE TABLE `draft_schematics` (
  `draftschematic_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `object_crc` int(10) unsigned NOT NULL,
  `group_name` tinytext NOT NULL,
  `complexity` int(10) unsigned NOT NULL,
  `schematic_size` int(10) unsigned NOT NULL,
  `ingredient_template_names` text NOT NULL,
  `ingredient_title_names` text NOT NULL,
  `ingredient_optional` text NOT NULL,
  `resource_types` text NOT NULL,
  `resource_quantities` text NOT NULL,
  `number_experimental_property` text NOT NULL,
  `experimental_property` text NOT NULL,
  `experimental_weights` text NOT NULL,
  `experimental_group_title` text NOT NULL,
  `tano_attributes` text NOT NULL,
  `crafting_tool_tab` int(10) unsigned NOT NULL,
  PRIMARY KEY (`draftschematic_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for faction
-- ----------------------------
DROP TABLE IF EXISTS `faction`;
CREATE TABLE `faction` (
  `faction_id` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `faction` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`faction_id`)
) ENGINE=MyISAM AUTO_INCREMENT=64 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for friendlist
-- ----------------------------
DROP TABLE IF EXISTS `friendlist`;
CREATE TABLE `friendlist` (
  `character_id` mediumint(8) unsigned NOT NULL,
  `friend_id` mediumint(8) NOT NULL,
  `friend_galaxy` varchar(50) NOT NULL,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `char_id_ix` (`character_id`),
  KEY `friend_id` (`friend_id`),
  KEY `friend_galaxy_ix` (`friend_galaxy`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for friendlist_reverse
-- ----------------------------
DROP TABLE IF EXISTS `friendlist_reverse`;
CREATE TABLE `friendlist_reverse` (
  `charID` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `gotMePOID` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`charID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for guilds
-- ----------------------------
DROP TABLE IF EXISTS `guilds`;
CREATE TABLE `guilds` (
  `guild_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `guild_tag` varchar(255) NOT NULL DEFAULT 'DEFAULT',
  `guild_name` varchar(255) NOT NULL DEFAULT 'Default Guild',
  `members` int(4) unsigned zerofill NOT NULL DEFAULT '0000',
  `created` varchar(10) DEFAULT NULL,
  `leader` bigint(11) DEFAULT NULL,
  `last_name_change` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`guild_id`),
  KEY `guildID_ix` (`guild_id`),
  KEY `guidleader_ix` (`leader`),
  KEY `guildTag_ix` (`guild_tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for guilds_sponsoring
-- ----------------------------
DROP TABLE IF EXISTS `guilds_sponsoring`;
CREATE TABLE `guilds_sponsoring` (
  `guild_id` int(11) unsigned NOT NULL,
  `guild_name` varchar(255) NOT NULL DEFAULT 'Default Guild',
  `sponsored_time` varchar(10) DEFAULT NULL,
  `sponsored_by` bigint(11) unsigned DEFAULT NULL,
  `sponsored` bigint(11) unsigned DEFAULT NULL,
  `pix` bigint(11) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`pix`),
  KEY `sponsored_ix` (`sponsored`),
  KEY `sponsor_ix` (`sponsored_by`),
  KEY `guild_ix` (`guild_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ignorelist
-- ----------------------------
DROP TABLE IF EXISTS `ignorelist`;
CREATE TABLE `ignorelist` (
  `character_id` mediumint(8) unsigned NOT NULL,
  `ignore_id` mediumint(8) NOT NULL,
  `ignore_galaxy` varchar(50) NOT NULL,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `char_id_ix` (`character_id`),
  KEY `ignore_id` (`ignore_id`),
  KEY `ignore_galaxy_ix` (`ignore_galaxy`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for informants
-- ----------------------------
DROP TABLE IF EXISTS `informants`;
CREATE TABLE `informants` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `planet` smallint(6) NOT NULL DEFAULT '0',
  `cell` bigint(20) NOT NULL DEFAULT '0',
  `X` double NOT NULL DEFAULT '0',
  `Y` double NOT NULL DEFAULT '0',
  `Z` double NOT NULL DEFAULT '0',
  `oY` double NOT NULL DEFAULT '0',
  `oW` double NOT NULL DEFAULT '0',
  `level` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=168 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_articles
-- ----------------------------
DROP TABLE IF EXISTS `kb_articles`;
CREATE TABLE `kb_articles` (
  `articleid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `stffile` varchar(64) NOT NULL,
  `stfname` varchar(64) NOT NULL,
  PRIMARY KEY (`articleid`)
) ENGINE=MyISAM AUTO_INCREMENT=286 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_tickets
-- ----------------------------
DROP TABLE IF EXISTS `kb_tickets`;
CREATE TABLE `kb_tickets` (
  `ticketid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category` int(10) unsigned NOT NULL,
  `status` bit(1) NOT NULL,
  PRIMARY KEY (`ticketid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_tickets_categories
-- ----------------------------
DROP TABLE IF EXISTS `kb_tickets_categories`;
CREATE TABLE `kb_tickets_categories` (
  `categoryid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parentid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(64) NOT NULL,
  PRIMARY KEY (`categoryid`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for kb_tickets_comments
-- ----------------------------
DROP TABLE IF EXISTS `kb_tickets_comments`;
CREATE TABLE `kb_tickets_comments` (
  `commentid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ticketid` int(10) unsigned NOT NULL,
  `characterid` bigint(20) NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`commentid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for knowledgebase
-- ----------------------------
DROP TABLE IF EXISTS `knowledgebase`;
CREATE TABLE `knowledgebase` (
  `article_id` int(11) NOT NULL AUTO_INCREMENT,
  `article_title` varchar(45) NOT NULL DEFAULT 'Empty Title',
  `article_text` varchar(255) NOT NULL DEFAULT 'Empty Body',
  PRIMARY KEY (`article_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for log_commands
-- ----------------------------
DROP TABLE IF EXISTS `log_commands`;
CREATE TABLE `log_commands` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `playername` varchar(128) NOT NULL,
  `command` varchar(64) NOT NULL,
  `arguments` text NOT NULL,
  `targetname` varchar(128) NOT NULL,
  `targetid` bigint(20) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for loot_groups
-- ----------------------------
DROP TABLE IF EXISTS `loot_groups`;
CREATE TABLE `loot_groups` (
  `lootGroup` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `internalName` varchar(64) NOT NULL DEFAULT 'Unnamed Lootgroup',
  `weight` tinyint(3) unsigned NOT NULL DEFAULT '5',
  `minimumItemsDropped` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `maximumItemsDropped` tinyint(3) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`lootGroup`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=2236 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for loot_items
-- ----------------------------
DROP TABLE IF EXISTS `loot_items`;
CREATE TABLE `loot_items` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lootGroup` int(10) unsigned NOT NULL DEFAULT '0',
  `customName` varchar(256) DEFAULT NULL,
  `objectCRC` int(10) unsigned NOT NULL DEFAULT '0',
  `objectType` int(10) unsigned NOT NULL DEFAULT '0',
  `stfFile` varchar(64) DEFAULT '',
  `stfName` varchar(64) DEFAULT '',
  `itemAttributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `chance` float unsigned NOT NULL DEFAULT '100',
  `maximumLevel` int(10) unsigned NOT NULL DEFAULT '0',
  `minimumLevel` int(10) unsigned NOT NULL DEFAULT '0',
  `minimumToDuplicate` tinyint(3) NOT NULL DEFAULT '0',
  `maximumToDuplicate` tinyint(3) NOT NULL DEFAULT '0',
  `expiresTimestamp` int(10) unsigned NOT NULL DEFAULT '0',
  `beginsTimestamp` int(10) unsigned NOT NULL DEFAULT '0',
  `notrade` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `race` varchar(150) NOT NULL DEFAULT 'all',
  `playerItemUseMask` smallint(5) unsigned NOT NULL DEFAULT '65535',
  `optionsBitmask` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `lootgroup_ix` (`lootGroup`),
  KEY `chance_ix` (`chance`),
  KEY `lootlevel_ix` (`minimumLevel`),
  FULLTEXT KEY `race_ix` (`race`)
) ENGINE=MyISAM AUTO_INCREMENT=21178 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mail
-- ----------------------------
DROP TABLE IF EXISTS `mail`;
CREATE TABLE `mail` (
  `mail_id` int(11) NOT NULL AUTO_INCREMENT,
  `sender_name` text NOT NULL,
  `recv_name` text NOT NULL,
  `subject` text NOT NULL,
  `body` text,
  `time` int(10) unsigned DEFAULT NULL,
  `attachment_id` mediumint(8) unsigned DEFAULT NULL,
  `read` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`mail_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mail_attachment
-- ----------------------------
DROP TABLE IF EXISTS `mail_attachment`;
CREATE TABLE `mail_attachment` (
  `attachment_id` mediumint(8) unsigned NOT NULL,
  `planet_id` mediumint(8) unsigned NOT NULL,
  `mail_id` mediumint(8) unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  `x` float(10,6) NOT NULL,
  `y` float(10,6) NOT NULL,
  `z` float(10,6) NOT NULL,
  PRIMARY KEY (`attachment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mission_save
-- ----------------------------
DROP TABLE IF EXISTS `mission_save`;
CREATE TABLE `mission_save` (
  `saveid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `character_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `miso_key` text NOT NULL,
  `objective_vars` text NOT NULL,
  `waypoint_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`saveid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for no_build_areas
-- ----------------------------
DROP TABLE IF EXISTS `no_build_areas`;
CREATE TABLE `no_build_areas` (
  `zoneid` tinyint(3) unsigned NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `radius` float NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for npc_faction
-- ----------------------------
DROP TABLE IF EXISTS `npc_faction`;
CREATE TABLE `npc_faction` (
  `npc_group_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `faction_id` int(4) unsigned NOT NULL DEFAULT '0',
  `value` int(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`npc_group_id`,`faction_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for object_crc_string_table
-- ----------------------------
DROP TABLE IF EXISTS `object_crc_string_table`;
CREATE TABLE `object_crc_string_table` (
  `decimal` bigint(20) NOT NULL DEFAULT '0',
  `hex` varchar(15) NOT NULL DEFAULT '',
  `path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`decimal`,`hex`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for performance_effect
-- ----------------------------
DROP TABLE IF EXISTS `performance_effect`;
CREATE TABLE `performance_effect` (
  `effectName` varchar(14) DEFAULT NULL,
  `performanceType` varchar(11) DEFAULT NULL,
  `requiredSkillModValue` int(10) unsigned DEFAULT NULL,
  `requiredPerforming` tinyint(1) DEFAULT NULL,
  `targetType` varchar(10) DEFAULT NULL,
  `effectDuration` float DEFAULT NULL,
  `effectActionCost` int(10) unsigned DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for planet
-- ----------------------------
DROP TABLE IF EXISTS `planet`;
CREATE TABLE `planet` (
  `planet_id` int(2) NOT NULL,
  `name` varchar(25) NOT NULL,
  PRIMARY KEY (`planet_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for planetmap
-- ----------------------------
DROP TABLE IF EXISTS `planetmap`;
CREATE TABLE `planetmap` (
  `index` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planet` varchar(45) NOT NULL,
  `location_name` varchar(65) NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `type1` int(10) unsigned NOT NULL,
  `type2` int(10) unsigned NOT NULL,
  `type3` int(10) unsigned NOT NULL,
  PRIMARY KEY (`index`)
) ENGINE=MyISAM AUTO_INCREMENT=722 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for player_storage
-- ----------------------------
DROP TABLE IF EXISTS `player_storage`;
CREATE TABLE `player_storage` (
  `item_id` bigint(20) unsigned NOT NULL,
  `structure_id` bigint(20) unsigned NOT NULL,
  `name` text NOT NULL,
  `template_crc` bigint(20) unsigned NOT NULL,
  `template_type` int(10) unsigned NOT NULL,
  `template_name` tinytext NOT NULL,
  `container` bigint(20) unsigned NOT NULL DEFAULT '0',
  `parent_id` bigint(20) unsigned NOT NULL,
  `attributes` text NOT NULL,
  `appearance` mediumtext NOT NULL,
  `itemMask` smallint(5) unsigned NOT NULL,
  `X` float NOT NULL,
  `Y` float NOT NULL,
  `Z` float NOT NULL,
  `oX` float NOT NULL,
  `oY` float NOT NULL,
  `oZ` float NOT NULL,
  `oW` float NOT NULL,
  `dropped_by_character` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `optionsBitmask` int(10) unsigned NOT NULL,
  PRIMARY KEY (`item_id`),
  KEY `structure_ix` (`structure_id`),
  KEY `container_ix` (`container`),
  KEY `parent_ix` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for profession
-- ----------------------------
DROP TABLE IF EXISTS `profession`;
CREATE TABLE `profession` (
  `profession_id` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`profession_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for recruiters
-- ----------------------------
DROP TABLE IF EXISTS `recruiters`;
CREATE TABLE `recruiters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `planet_id` tinyint(1) unsigned NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `z` float NOT NULL,
  `oY` float NOT NULL,
  `oW` float NOT NULL,
  `cell_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `type` tinyint(1) unsigned NOT NULL COMMENT '1 = imperial 2= rebel',
  PRIMARY KEY (`id`),
  KEY `SECONDARY` (`planet_id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for resource_data
-- ----------------------------
DROP TABLE IF EXISTS `resource_data`;
CREATE TABLE `resource_data` (
  `INDEX` int(11) NOT NULL AUTO_INCREMENT,
  `resource_name` varchar(255) NOT NULL,
  `resource_type` varchar(255) NOT NULL,
  `class_1` varchar(255) DEFAULT NULL,
  `class_2` varchar(255) DEFAULT NULL,
  `class_3` varchar(255) DEFAULT NULL,
  `class_4` varchar(255) DEFAULT NULL,
  `class_5` varchar(255) DEFAULT NULL,
  `class_6` varchar(255) DEFAULT NULL,
  `class_7` varchar(255) DEFAULT NULL,
  `res_decay_resist` varchar(255) DEFAULT '0',
  `res_quality` varchar(255) DEFAULT '0',
  `res_flavor` varchar(255) DEFAULT '0',
  `res_potential_energy` varchar(255) DEFAULT '0',
  `res_malleability` varchar(255) DEFAULT '0',
  `res_toughness` varchar(255) DEFAULT '0',
  `res_shock_resistance` varchar(255) DEFAULT '0',
  `res_cold_resist` varchar(255) DEFAULT '0',
  `res_heat_resist` varchar(255) DEFAULT '0',
  `res_conductivity` varchar(255) DEFAULT '0',
  `entangle_resistance` varchar(255) DEFAULT '0',
  `shiftedIn` bigint(20) NOT NULL,
  `shiftedOut` bigint(20) NOT NULL DEFAULT '0',
  `container` varchar(255) NOT NULL,
  `containerCRC` bigint(20) NOT NULL,
  PRIMARY KEY (`INDEX`),
  KEY `name_ix` (`resource_name`),
  KEY `class_ix_1` (`class_1`),
  KEY `class_ix_2` (`class_2`),
  KEY `class_ix_3` (`class_3`),
  KEY `class_ix_4` (`class_4`),
  KEY `class_ix_5` (`class_5`),
  KEY `class_ix_6` (`class_6`),
  KEY `class_ix_7` (`class_7`)
) ENGINE=MyISAM AUTO_INCREMENT=2010 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for resource_spawns
-- ----------------------------
DROP TABLE IF EXISTS `resource_spawns`;
CREATE TABLE `resource_spawns` (
  `INDEX` int(11) NOT NULL AUTO_INCREMENT,
  `resource_name` varchar(255) NOT NULL,
  `planet_id` smallint(6) NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `radius` float NOT NULL,
  `max` float NOT NULL,
  `despawn` bigint(20) NOT NULL,
  `pool` varchar(255) NOT NULL,
  PRIMARY KEY (`INDEX`),
  KEY `resName` (`resource_name`),
  KEY `despawn_ix` (`despawn`),
  KEY `name_ix` (`resource_name`),
  KEY `pool_ix` (`pool`)
) ENGINE=MyISAM AUTO_INCREMENT=69620 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for starting_location
-- ----------------------------
DROP TABLE IF EXISTS `starting_location`;
CREATE TABLE `starting_location` (
  `location_id` int(2) unsigned NOT NULL AUTO_INCREMENT,
  `location` varchar(45) NOT NULL,
  `planet_id` float NOT NULL,
  `x` float(10,6) NOT NULL,
  `y` float(10,6) NOT NULL,
  `z` float(10,6) NOT NULL,
  `description` varchar(45) NOT NULL,
  `radius` float(2,0) unsigned NOT NULL,
  `heading` int(3) unsigned NOT NULL,
  PRIMARY KEY (`location_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for template_items
-- ----------------------------
DROP TABLE IF EXISTS `template_items`;
CREATE TABLE `template_items` (
  `template_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  PRIMARY KEY (`template_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7150 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for terminals
-- ----------------------------
DROP TABLE IF EXISTS `terminals`;
CREATE TABLE `terminals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentid` bigint(20) NOT NULL DEFAULT '0',
  `type` tinyint(4) NOT NULL DEFAULT '0',
  `oX` float NOT NULL DEFAULT '0',
  `oZ` float NOT NULL DEFAULT '0',
  `oY` float NOT NULL DEFAULT '0',
  `oW` float NOT NULL DEFAULT '0',
  `X` float NOT NULL DEFAULT '0',
  `Z` float NOT NULL DEFAULT '0',
  `Y` float NOT NULL,
  `zoneid` tinyint(4) NOT NULL DEFAULT '0',
  `attributes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=100 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for warp
-- ----------------------------
DROP TABLE IF EXISTS `warp`;
CREATE TABLE `warp` (
  `warp_id` int(2) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `planet_id` int(2) NOT NULL,
  `x` float(10,6) NOT NULL,
  `y` float(10,6) NOT NULL,
  `z` float(10,6) NOT NULL,
  `description` varchar(45) NOT NULL,
  `radius` float(2,0) unsigned NOT NULL DEFAULT '3',
  `heading` int(3) unsigned NOT NULL DEFAULT '180',
  PRIMARY KEY (`warp_id`)
) ENGINE=MyISAM AUTO_INCREMENT=59 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for waypoints
-- ----------------------------
DROP TABLE IF EXISTS `waypoints`;
CREATE TABLE `waypoints` (
  `waypoint_id` bigint(20) unsigned NOT NULL,
  `owner_id` mediumint(8) unsigned NOT NULL,
  `waypoint_name` text NOT NULL,
  `x` float(10,6) DEFAULT NULL,
  `y` float(10,6) DEFAULT NULL,
  `planet_name` text NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `internal_note` text,
  `ix` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`ix`),
  KEY `objplid` (`waypoint_id`,`owner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `badge` VALUES ('1', 'unused', '...received an unused badge for an unknown reason.');
INSERT INTO `badge` VALUES ('2', 'count_5', '...has acquired 5 badges.');
INSERT INTO `badge` VALUES ('3', 'count_10', '...has acquired 10 badges.');
INSERT INTO `badge` VALUES ('4', 'count_25', '...has acquired 25 badges.');
INSERT INTO `badge` VALUES ('5', 'count_50', '...has acquired 50 badges.');
INSERT INTO `badge` VALUES ('6', 'count_75', '...has acquired 75 badges.');
INSERT INTO `badge` VALUES ('7', 'count_100', '...has acquired 100 badges.');
INSERT INTO `badge` VALUES ('8', 'count_125', '...has acquired 125 badges.');
INSERT INTO `badge` VALUES ('9', 'poi_rabidbeast', '...bears the Mark of Courage.');
INSERT INTO `badge` VALUES ('10', 'poi_prisonbreak', '...bears the Mark of Honor.');
INSERT INTO `badge` VALUES ('11', 'poi_factoryliberation', '...bears the Mark of Altruism.');
INSERT INTO `badge` VALUES ('12', 'poi_twoliars', '...bears the Mark of Intellect.');
INSERT INTO `badge` VALUES ('13', 'poi_heromark', '...bears the Symbol of Heroism.');
INSERT INTO `badge` VALUES ('14', 'exp_tat_bens_hut', '...has visited Ben Kenobi\'s old home.');
INSERT INTO `badge` VALUES ('15', 'exp_tat_tusken_pool', '...has visited the pool underneath Fort Tusken.');
INSERT INTO `badge` VALUES ('16', 'exp_tat_krayt_skeleton', '...has visited the famed Krayt Dragon skeleton.');
INSERT INTO `badge` VALUES ('17', 'exp_tat_escape_pod', '...has visited the escape pod used by C3P-0 and R2-D2.');
INSERT INTO `badge` VALUES ('18', 'exp_tat_sarlacc_pit', '...has visited the home of the mighty Sarlacc.');
INSERT INTO `badge` VALUES ('19', 'exp_tat_generic_one', '...has visited someplace popular on Tatooine.');
INSERT INTO `badge` VALUES ('20', 'exp_tat_krayt_graveyard', '...has found the hidden Krayt Dragon Graveyard.');
INSERT INTO `badge` VALUES ('21', 'exp_tat_lars_homestead', '...has found the Lars Homestead on Tatooine.');
INSERT INTO `badge` VALUES ('22', 'exp_nab_gungan_sacred_place', '...has discovered the hidden Gungan Sacred Place.');
INSERT INTO `badge` VALUES ('23', 'exp_cor_agrilat_swamp', '...has explored the depths of the Agrilat Crystal Swamp.');
INSERT INTO `badge` VALUES ('24', 'exp_yav_temple_woolamander', '...has encountered the mysterious Palace of the Woolamander on Yavin 4.');
INSERT INTO `badge` VALUES ('25', 'exp_yav_temple_blueleaf', '...has discovered the ancient Temple of the Blueleaf cluster.');
INSERT INTO `badge` VALUES ('26', 'exp_yav_temple_exar_kun', '...has visited the Temple of Exar K\'un.');
INSERT INTO `badge` VALUES ('27', 'exp_lok_volcano', '...has climbed to the top of Adi\'s Rest.');
INSERT INTO `badge` VALUES ('28', 'exp_dat_tarpit', '...has explored the horrid tar pits of Dathomir.');
INSERT INTO `badge` VALUES ('29', 'exp_dat_sarlacc', '...has discovered the lesser Sarlacc on Dathomir.');
INSERT INTO `badge` VALUES ('30', 'exp_dat_escape_pod', '...has found a mysterious escape pod crash-landed on Dathomir.');
INSERT INTO `badge` VALUES ('31', 'exp_dat_misty_falls_1', '...has climbed to the peak of the Lesser Misty Falls region.');
INSERT INTO `badge` VALUES ('32', 'exp_dat_misty_falls_2', '...has reached the Greater Misty Falls peak.');
INSERT INTO `badge` VALUES ('33', 'exp_dan_jedi_temple', '...has uncovered the mysteries of the Ruined Jedi Temple on Dantooine.');
INSERT INTO `badge` VALUES ('34', 'exp_dan_rebel_base', '...has visited the abandoned Rebel Base on Dantooine.');
INSERT INTO `badge` VALUES ('35', 'event_project_dead_eye_1', '...has investigated Project Dead Eye.');
INSERT INTO `badge` VALUES ('36', 'acc_brave_soldier', '...has been recognized as an exceptional soldier in the war.');
INSERT INTO `badge` VALUES ('37', 'acc_fascinating_background', '...has been recognized as having an exceptional biography.');
INSERT INTO `badge` VALUES ('38', 'acc_good_samaritan', '...has been recognized as an exceptional guide to those seeking knowledge.');
INSERT INTO `badge` VALUES ('39', 'acc_interesting_personage', '...has been recognized as having a memorable personality.');
INSERT INTO `badge` VALUES ('40', 'acc_professional_demeanor', '...has been recognized as being a tribute to their profession.');
INSERT INTO `badge` VALUES ('41', 'warren_compassion', '...showed great compassion toward the widow of an Imperial worker.');
INSERT INTO `badge` VALUES ('42', 'warren_hero', '...proved Colonel Teraud\'s perfidy and rendered great services to the Empire!');
INSERT INTO `badge` VALUES ('43', 'event_coa2_rebel', '...has successfully contacted Dr. Vacca for the Rebellion.');
INSERT INTO `badge` VALUES ('44', 'event_coa2_imperial', '...has assisted the Empire in securing Dr. Vacca\'s cooperation.');
INSERT INTO `badge` VALUES ('45', 'combat_1hsword_master', '...has mastered the Fencer Profession.');
INSERT INTO `badge` VALUES ('46', 'combat_2hsword_master', '...has mastered the Swordsman Profession.');
INSERT INTO `badge` VALUES ('47', 'combat_bountyhunter_master', '...has mastered the Bounty Hunter Profession.');
INSERT INTO `badge` VALUES ('48', 'combat_brawler_master', '...has mastered the Brawler Profession.');
INSERT INTO `badge` VALUES ('49', 'combat_carbine_master', '...has mastered the Carbineer Profession.');
INSERT INTO `badge` VALUES ('50', 'combat_commando_master', '...has mastered the Commando Profession.');
INSERT INTO `badge` VALUES ('51', 'combat_marksman_master', '...has mastered the Marksman Profession.');
INSERT INTO `badge` VALUES ('52', 'combat_pistol_master', '...has mastered the Pistoleer Profession.');
INSERT INTO `badge` VALUES ('53', 'combat_polearm_master', '...has mastered the Pikeman Profession.');
INSERT INTO `badge` VALUES ('54', 'combat_rifleman_master', '...has mastered the Rifleman Profession.');
INSERT INTO `badge` VALUES ('55', 'combat_smuggler_master', '...has mastered the Smuggler Profession.');
INSERT INTO `badge` VALUES ('56', 'combat_unarmed_master', '...has mastered the Teras Kasi Profession.');
INSERT INTO `badge` VALUES ('57', 'crafting_architect_master', '...has mastered the Architect Profession.');
INSERT INTO `badge` VALUES ('58', 'crafting_armorsmith_master', '...has mastered the Armorsmith Profession.');
INSERT INTO `badge` VALUES ('59', 'crafting_artisan_master', '...has mastered the Artisan Profession.');
INSERT INTO `badge` VALUES ('60', 'crafting_chef_master', '...has mastered the Chef Profession.');
INSERT INTO `badge` VALUES ('61', 'crafting_droidengineer_master', '...has mastered the Droid Engineer Profession.');
INSERT INTO `badge` VALUES ('62', 'crafting_merchant_master', '...has mastered the Merchant Profession.');
INSERT INTO `badge` VALUES ('63', 'crafting_tailor_master', '...has mastered the Tailor Profession.');
INSERT INTO `badge` VALUES ('64', 'crafting_weaponsmith_master', '...has mastered the Weaponsmith Profession.');
INSERT INTO `badge` VALUES ('65', 'outdoors_bio_engineer_master', '...has mastered the Bio-Engineer Profession.');
INSERT INTO `badge` VALUES ('66', 'outdoors_creaturehandler_master', '...has mastered the Creature Handler Profession.');
INSERT INTO `badge` VALUES ('67', 'outdoors_ranger_master', '...has mastered the Ranger Profession.');
INSERT INTO `badge` VALUES ('68', 'outdoors_scout_master', '...has mastered the Scout Profession.');
INSERT INTO `badge` VALUES ('69', 'outdoors_squadleader_master', '...has mastered the Squad Leader Profession.');
INSERT INTO `badge` VALUES ('70', 'science_combatmedic_master', '...has mastered the Combat Medic Profession.');
INSERT INTO `badge` VALUES ('71', 'science_doctor_master', '...has mastered the Doctor Profession.');
INSERT INTO `badge` VALUES ('72', 'science_medic_master', '...has mastered the Medic Profession.');
INSERT INTO `badge` VALUES ('73', 'social_dancer_master', '...has mastered the Dancer Profession.');
INSERT INTO `badge` VALUES ('74', 'social_entertainer_master', '...has mastered the Entertainer Profession.');
INSERT INTO `badge` VALUES ('75', 'social_imagedesigner_master', '...has mastered the Image Designer Profession.');
INSERT INTO `badge` VALUES ('76', 'social_musician_master', '...has mastered the Musician Profession.');
INSERT INTO `badge` VALUES ('77', 'social_politician_master', '...has mastered the Politician Profession.');
INSERT INTO `badge` VALUES ('78', 'bdg_exp_nab_theed_falls_bottom', '...has visited the majestic falls of Theed.');
INSERT INTO `badge` VALUES ('79', 'bdg_exp_nab_deeja_falls_top', '...has visited the stately falls of Dee\'ja Peak.');
INSERT INTO `badge` VALUES ('80', 'bdg_exp_nab_amidalas_sandy_beach', '...has visited Amidala\'s private beach.');
INSERT INTO `badge` VALUES ('81', 'bdg_exp_cor_rebel_hideout', '...has seen the Rebel hideout on Corellia.');
INSERT INTO `badge` VALUES ('82', 'bdg_exp_cor_rogue_corsec_base', '...has seen the Rogue Corsec base on Corellia.');
INSERT INTO `badge` VALUES ('83', 'bdg_exp_cor_tyrena_theater', '...has visited the famous outdoor theater of Vreni Island.');
INSERT INTO `badge` VALUES ('84', 'bdg_exp_cor_bela_vistal_fountain', '...has seen the magnificent crystal fountain at Bela Vistal.');
INSERT INTO `badge` VALUES ('85', 'bdg_exp_dat_crashed_ship', '...found a wrecked starship on Dathomir.');
INSERT INTO `badge` VALUES ('86', 'bdg_exp_dat_imp_prison', '...has seen the dreaded Imperial Prison on Dathomir.');
INSERT INTO `badge` VALUES ('87', 'bdg_exp_dan_dantari_village1', '...has walked among Dantari tribesmen.');
INSERT INTO `badge` VALUES ('89', 'bdg_exp_dan_dantari_village2', '...has visited a Dantari Rock Village.');
INSERT INTO `badge` VALUES ('90', 'bdg_exp_end_ewok_tree_village', '...has visited an Ewok Tree Village.');
INSERT INTO `badge` VALUES ('91', 'bdg_exp_end_ewok_lake_village', '...has visited an Ewok Lake Village.');
INSERT INTO `badge` VALUES ('92', 'bdg_exp_end_dulok_village', '...has seen a Dulok Village.');
INSERT INTO `badge` VALUES ('93', 'bdg_exp_end_imp_outpost', '...has found a Marauder base on Endor.');
INSERT INTO `badge` VALUES ('94', 'bdg_exp_tal_creature_village', '...has seen the lost village of Durbin on Talus.');
INSERT INTO `badge` VALUES ('95', 'bdg_exp_tal_imp_base', '...has seen an Imperial base on Talus.');
INSERT INTO `badge` VALUES ('96', 'bdg_exp_tal_imp_vs_reb_battle', '...has observed a battle between Rebel and Imperial Forces on Talus.');
INSERT INTO `badge` VALUES ('97', 'bdg_exp_tal_aqualish_cave', '...has found a cave populated by Aqualish soldiers on Talus.');
INSERT INTO `badge` VALUES ('98', 'bdg_exp_ror_kobala_spice_mine', '...has seen the fabled Kobala Spice Mines on Rori.');
INSERT INTO `badge` VALUES ('99', 'bdg_exp_ror_rebel_outpost', '...has seen a Rebel outpost on Rori.');
INSERT INTO `badge` VALUES ('100', 'bdg_exp_ror_imp_camp', '...has seen an Imperial encampment on Rori.');
INSERT INTO `badge` VALUES ('101', 'bdg_exp_ror_imp_hyperdrive_fac', '...has found the Imperial Hyperdrive Research Facility on Rori.');
INSERT INTO `badge` VALUES ('102', 'bdg_exp_lok_imp_outpost', '...has found an Imperial base on Lok.');
INSERT INTO `badge` VALUES ('103', 'bdg_exp_lok_kimogila_skeleton', '...has found a Kimogila skeleton on Lok.');
INSERT INTO `badge` VALUES ('104', 'bdg_exp_10_badges', '...has earned 10 Exploration Badges.');
INSERT INTO `badge` VALUES ('105', 'bdg_exp_20_badges', '...has earned 20 Exploration Badges.');
INSERT INTO `badge` VALUES ('106', 'bdg_exp_30_badges', '...has earned 30 Exploration Badges.');
INSERT INTO `badge` VALUES ('107', 'bdg_exp_40_badges', '...has earned 40 Exploration Badges.');
INSERT INTO `badge` VALUES ('109', 'bdg_exp_45_badges', '...has earned 45 Exploration Badges.');
INSERT INTO `badge` VALUES ('110', 'bdg_thm_park_jabba_badge', '...has earned Jabba\'s Badge of Trust.');
INSERT INTO `badge` VALUES ('111', 'bdg_thm_park_imperial_badge', '...has earned the Imperial Badge of Merit.');
INSERT INTO `badge` VALUES ('112', 'bdg_thm_park_rebel_badge', '...has earned the Rebel Badge of Courage.');
INSERT INTO `badge` VALUES ('113', 'bdg_thm_park_nym_badge', '...has earned Nym\'s Badge of Honor.');
INSERT INTO `badge` VALUES ('114', 'bdg_swg_emu', '...has earned the SWGEmu Dev Badge.');
INSERT INTO `bazaar_items` VALUES ('8465380540829', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473418', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3702261809253', 'Maroj Melon', '', '8202', '3702261809173', 'chewbaccaramel', '1', '0', '1', '1240217819', '3955353', '5', '4050154160149', 'kuco');
INSERT INTO `bazaar_items` VALUES ('1378684502121', 'Slave Collar', '', '8192', '1378684502037', 'terao', '30', '0', '1', '1240214872', '4235511', '8', '3702261809173', 'chewbaccaramel');
INSERT INTO `bazaar_items` VALUES ('11729555685520', 'Composite Chestplate', '', '256', '11729555685397', 'raimahk', '20000', '0', '1', '1240380507', '3945353', '8', '13258564042773', 'neeph');
INSERT INTO `bazaar_items` VALUES ('2194728288367', 'Composite Bracer', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232371', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('2194728288369', 'Composite Bicep', '', '256', '2194728288277', 'uli', '31', '1', '0', '1238232372', '3955353', '5', '6545530159125', 'luck');
INSERT INTO `bazaar_items` VALUES ('2194728288368', 'Composite Bracer', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232374', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('1769526526093', 'Backpack3', '', '8213', '1769526525973', 'ebo', '20000', '0', '1', '1240224446', '2776036', '5', '4977867096085', 'leronica');
INSERT INTO `bazaar_items` VALUES ('6390911336594', 'Binoculars (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289566', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978562410', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240460517', '4685572', '8', '16522739187733', 'giq');
INSERT INTO `bazaar_items` VALUES ('2194728288366', 'Composite Helmet', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232365', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('2194728288365', 'Composite Leggings', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232367', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('2194728288364', 'Composite Gloves', '', '256', '2194728288277', 'uli', '10', '1', '0', '1238232368', '3955353', '5', '4857608011797', 'bobthewook');
INSERT INTO `bazaar_items` VALUES ('6446745911419', 'Tangle Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240277295', '4705367', '4', '6043018985493', 'guc');
INSERT INTO `bazaar_items` VALUES ('2194728288370', 'Composite Bicep', '', '256', '2194728288277', 'uli', '61', '1', '0', '1238232370', '3955353', '5', '15685220565013', 'paus');
INSERT INTO `bazaar_items` VALUES ('2757369004177', 'Weapa 9.57 Weapon Tool', '', '32769', '2757369004053', 'weapa', '5000', '0', '1', '1240227477', '3945353', '8', '4999341932565', 'quoxet');
INSERT INTO `bazaar_items` VALUES ('6755983557064', 'Work Light', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481721', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2194728288363', 'Composite Boots', '', '256', '2194728288277', 'uli', '5500', '1', '0', '1238232363', '3955353', '5', '11768210391061', 'nozi');
INSERT INTO `bazaar_items` VALUES ('2194728288362', 'Composite Chestplate', '', '256', '2194728288277', 'uli', '20000', '1', '0', '1238232361', '3955353', '5', '1352914698261', 'ellavybeo');
INSERT INTO `bazaar_items` VALUES ('3560527890198', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490112', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434229395', 'Wooden Staff', '', '131081', '3384434229269', 'ramsiz', '2000', '0', '1', '1240265312', '3945352', '8', '6043018985493', 'guc');
INSERT INTO `bazaar_items` VALUES ('1228360649817', 'Aigit Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238488362', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336638', 'Heating Element', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289582', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336639', 'Decryptor (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289574', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978561534', 'Generic Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240284451', '4235514', '8', '6403796238357', 'atso');
INSERT INTO `bazaar_items` VALUES ('13443247636594', 'Kashyyykian Hunting Armor Leggings', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397626', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('6446745911416', 'SR Combat Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240275655', '4705367', '4', '6906307411989', 'jeyq');
INSERT INTO `bazaar_items` VALUES ('5128190951539', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240271401', '3955353', '5', '6678674145301', 'ritomo');
INSERT INTO `bazaar_items` VALUES ('5128190951720', 'T21 Rifle', '', '131084', '5128190951445', 'davik', '20000', '0', '1', '1240227183', '3955353', '5', '4011499454485', 'kiro');
INSERT INTO `bazaar_items` VALUES ('11145440133247', 'CDEF Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240357905', '3955353', '5', '10355166150677', 'rawr');
INSERT INTO `bazaar_items` VALUES ('8976481648752', 'Sandstat', '', '8192', '8976481648661', 'lars', '10', '0', '0', '1238393679', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4973572128933', 'Palm Frond', '', '8192', '4973572128789', 'drey', '1000', '0', '0', '1238420526', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1610612736330', '<PL> Vibro Knuckler', '', '131073', '1610612736021', 'kel-morian', '10000', '0', '1', '1240271046', '3955353', '5', '6373731467285', 'vesci');
INSERT INTO `bazaar_items` VALUES ('5587752453311', 'Pimpin aint easy by teh badboy', '', '8388613', '5587752452117', 'teh', '20000', '0', '1', '1240368074', '2776045', '5', '2190433320981', 'viktras');
INSERT INTO `bazaar_items` VALUES ('6390911336753', 'Recording Rod (broken)', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312121', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890042', 'Clothing and Armor Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '1', '1240466082', '3955353', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('5128190951554', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240287984', '3955353', '5', '7924214661141', 'vyi');
INSERT INTO `bazaar_items` VALUES ('13640816132222', 'Composite Bicep', '', '256', '13640816132117', 'zerik', '2500', '0', '1', '1240403307', '3955353', '5', '14577119002645', 'egan');
INSERT INTO `bazaar_items` VALUES ('1735166788574', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383984', '3945352', '8', '3998614552597', 'eyeown');
INSERT INTO `bazaar_items` VALUES ('227633267708', 'Speederbike Swoop [TF]', '', '8388613', '227633266709', 'taspo', '10000', '0', '1', '1240348103', '3955353', '5', '11089605558293', 'kynes');
INSERT INTO `bazaar_items` VALUES ('3560527889393', 'Deed for: Personal Mineral Extractor', '', '8388610', '3560527888405', 'chaba', '15000', '0', '1', '1240384387', '7755375', '0', '7494717931541', 'xiqu');
INSERT INTO `bazaar_items` VALUES ('7305739370893', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516965', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557058', 'Work Light', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481719', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336599', 'Binoculars (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289561', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('11145440133250', 'E11 Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240350428', '3955353', '5', '10243497000981', 'kindar');
INSERT INTO `bazaar_items` VALUES ('6390911336593', 'Heating Element', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289587', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649995', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540669', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486634', 'Jar of Foraged Grubs', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533503', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166788590', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383704', '3945352', '8', '13396002996245', 'pepon');
INSERT INTO `bazaar_items` VALUES ('11145440133237', 'E11 Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240349693', '3955353', '5', '10900626997269', 'nox');
INSERT INTO `bazaar_items` VALUES ('6446745911401', 'Maroj Melon', '', '8202', '6446745911317', 'gontag', '20000', '0', '0', '1238281978', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540841', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473444', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2027224563847', '<PL> 2315hp Speederbike Swoop', '', '8388613', '2027224563733', 'banky', '20000', '0', '1', '1240227215', '3955353', '5', '322122547221', 'chodo');
INSERT INTO `bazaar_items` VALUES ('4410931413284', 'Decryptor (broken)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240493961', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('17132624543850', 'a Corrupt Datadisk', '', '8192', '17132624543765', 'emryl', '1', '0', '1', '1240495095', '2776041', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('8465380540835', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473431', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557063', 'Datapad Casing', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481699', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230393', 'Handheld Picture', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420790', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6446745911407', 'DL44 Metal Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240348121', '4705367', '4', '10861972291605', 'caineg');
INSERT INTO `bazaar_items` VALUES ('6446745911408', 'DL44 Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240347088', '4705367', '4', '10861972291605', 'caineg');
INSERT INTO `bazaar_items` VALUES ('6446745911409', 'DX2 Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240298171', '4705367', '4', '4711579123733', 'tycen');
INSERT INTO `bazaar_items` VALUES ('4410931413312', 'Sandstat', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494207', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('1151051235644', 'Simple Shirt', '', '16777230', '1151051235349', 'gregory', '500', '0', '1', '1240243658', '3955353', '5', '5527622909973', 'yara');
INSERT INTO `bazaar_items` VALUES ('6390911336636', 'Heating Element', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289585', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('8396661064070', '<PL> 52-103 2.2 Scout Blaster', '', '131082', '8396661063701', 'malcome', '5000', '0', '1', '1240488618', '4105356', '5', '18421114732565', 'agenta');
INSERT INTO `bazaar_items` VALUES ('4410931413311', 'Datapad Casing', '', '8192', '4410931413013', 'era', '500', '0', '1', '1240494252', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('5128190951563', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240298354', '3955353', '5', '8589934592021', 'dus');
INSERT INTO `bazaar_items` VALUES ('227633267879', 'Speederbike Swoop [TF]', '', '8388613', '227633266709', 'taspo', '10000', '0', '1', '1240353664', '2776044', '5', '3474628542485', 'talek');
INSERT INTO `bazaar_items` VALUES ('5128190951571', 'Vibroknuckler', '', '131073', '5128190951445', 'davik', '20000', '0', '1', '1240285487', '3955353', '5', '7554847473685', 'rob');
INSERT INTO `bazaar_items` VALUES ('6446745911403', 'CDEF Pistol', '', '131082', '6446745911317', 'gontag', '20000', '0', '1', '1240288613', '4705367', '4', '7992934137877', 'sond');
INSERT INTO `bazaar_items` VALUES ('1700807049821', 'Jacket', '', '16777227', '1700807049237', 'pleasedont', '5000', '0', '1', '1240284030', '3606001', '3', '7503307866133', 'halo');
INSERT INTO `bazaar_items` VALUES ('1700807049794', 'Multipocket Belt', '', '16777218', '1700807049237', 'pleasedont', '5000', '0', '1', '1240366920', '3606001', '3', '12202002087957', 'kazie');
INSERT INTO `bazaar_items` VALUES ('13443247636607', 'Ithorian Sentinel Armor Chestplate', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397637', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('1700807049317', 'Cargo Vest', '', '16777231', '1700807049237', 'pleasedont', '5000', '0', '1', '1240275695', '3606001', '3', '6906307411989', 'jeyq');
INSERT INTO `bazaar_items` VALUES ('6755983557055', 'Spectrum Recorder', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481716', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619211', 'a Cage', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511047', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336632', 'Binoculars (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289564', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408506', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403080', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230409', 'Carnivore Meat', '', '4194313', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420784', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336637', 'Decryptor (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289576', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336635', 'a Human Skull', '', '8192', '6390911336469', 'totor', '5', '0', '1', '1240495045', '1366001', '1', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('6390911336595', 'a Human Skull', '', '8192', '6390911336469', 'totor', '5', '0', '1', '1240288020', '1366001', '1', '3474628542485', 'talek');
INSERT INTO `bazaar_items` VALUES ('6390911336644', 'Small Motor (Blue)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289590', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('3818225926248', 'Wookiee Padded Gloves', '', '16777232', '3818225926165', 'yeti', '20', '1', '0', '1238289598', '3955353', '5', '8147552960533', 'zalbon');
INSERT INTO `bazaar_items` VALUES ('6390911336597', 'a Viewscreen (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238289610', '1366001', '1', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636610', 'Ithorian Sentinel Armor Helmet', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397630', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978561559', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240385951', '4235514', '8', '12326556139541', 'dardolff');
INSERT INTO `bazaar_items` VALUES ('734439408499', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403103', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261152', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240350190', '4105356', '5', '11166914969621', 'sarah');
INSERT INTO `bazaar_items` VALUES ('4999341932688', 'CDEF Pistol', '', '131082', '4999341932565', 'quoxet', '1000', '0', '1', '1240285549', '3945353', '8', '7554847473685', 'rob');
INSERT INTO `bazaar_items` VALUES ('4999341932716', 'Cryoban Grenade', '', '131075', '4999341932565', 'quoxet', '1000', '0', '1', '1240290894', '3945353', '8', '592705486869', 'meensmoov');
INSERT INTO `bazaar_items` VALUES ('3560527889119', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '19999', '0', '1', '1240454351', '7755375', '0', '16024522981397', 'caineg');
INSERT INTO `bazaar_items` VALUES ('188978561509', 'Generic Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240287205', '4235514', '8', '7881264988181', 'egif');
INSERT INTO `bazaar_items` VALUES ('188978562022', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240400620', '4235514', '8', '14388140441621', 'cartwright');
INSERT INTO `bazaar_items` VALUES ('188978561569', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240284170', '4235514', '8', '5995774345237', 'zkm');
INSERT INTO `bazaar_items` VALUES ('13443247636596', 'Kashyyykian Hunting Armor Bracer', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397623', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('7563437408432', 'Datapad Casing', '', '8192', '7563437408277', 'andrew', '500', '0', '0', '1238372736', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9856949944430', 'a Cage', '', '8192', '9856949944341', 'suubi', '10000', '1', '0', '1238366396', '3945353', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636646', 'Backpack1', '', '8213', '13443247636501', 'jage', '1357', '1', '0', '1238397587', '7755375', '0', '19108309499925', 'zoren');
INSERT INTO `bazaar_items` VALUES ('1735166788582', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383982', '3945352', '8', '13443247636501', 'jage');
INSERT INTO `bazaar_items` VALUES ('8465380540831', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473420', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408524', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403095', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('11145440133234', 'CDEF Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240350416', '3955353', '5', '10243497000981', 'kindar');
INSERT INTO `bazaar_items` VALUES ('1735166788510', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '12000', '0', '1', '1240383691', '3945352', '8', '13396002996245', 'pepon');
INSERT INTO `bazaar_items` VALUES ('10239202033890', 'Eurion Corp CS-blaster Rifle', 'Part of Eurion corps beginner blaster rifle range, great for those up and coming young Marksmen or for simple recreational use you Can\'t go wrong with Eurion corp! \n\n- Kados Eurion ', '131084', '10239202033685', 'kados', '250', '0', '1', '1240389300', '3945353', '8', '13524852015125', 'seyton');
INSERT INTO `bazaar_items` VALUES ('8465380540842', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473446', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620855', '<PL> 2323hp Speederbike Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240353172', '4105356', '5', '7017976561685', 'larz');
INSERT INTO `bazaar_items` VALUES ('3560527889055', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '20000', '0', '1', '1240383355', '7755375', '0', '9101035700245', 'mikeolin');
INSERT INTO `bazaar_items` VALUES ('3560527889385', 'Deed for: Personal Mineral Extractor', '', '8388610', '3560527888405', 'chaba', '15000', '0', '1', '1240438311', '7755375', '0', '10806137716757', 'luxa');
INSERT INTO `bazaar_items` VALUES ('2757369004609', 'Weapa DH17 Short Carbine', '', '131083', '2757369004053', 'weapa', '10000', '0', '1', '1240360750', '3955353', '5', '11772505358357', 'oquaku');
INSERT INTO `bazaar_items` VALUES ('3560527889112', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '19999', '0', '1', '1240287943', '7755375', '0', '7928509628437', 'trixy');
INSERT INTO `bazaar_items` VALUES ('6390911336724', 'a Human Skull', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238312098', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261069', '<PL> 2323hp Speederbike Swoop', '', '8388613', '5875515260949', 'saffron', '20000', '0', '1', '1240289736', '4105356', '5', '2362232012821', 'ofivei');
INSERT INTO `bazaar_items` VALUES ('970662609742', 'Lovely green Cloak by Magali', '', '16777221', '970662608917', 'magali', '10000', '0', '1', '1240287937', '2776036', '5', '7924214661141', 'vyi');
INSERT INTO `bazaar_items` VALUES ('6390911336749', 'Feed Tubes', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312113', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5587752453188', 'Mabari Armorweave Boots', '', '256', '5587752452117', 'teh', '20000', '0', '1', '1240366701', '3955353', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('678604833834', 'Jet Black Wrapped Skirt by Pye', '', '16777234', '678604832789', 'pye', '1500', '0', '1', '1240306161', '2776036', '5', '2572685410325', 'yojiro');
INSERT INTO `bazaar_items` VALUES ('188978562430', 'Clothing and Armor Crafting Tool', '', '32769', '188978561045', 'wecu', '500', '0', '1', '1240460548', '4685572', '8', '16522739187733', 'giq');
INSERT INTO `bazaar_items` VALUES ('3560527890197', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490110', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636701', 'Vibro Axe', '', '131080', '13443247636501', 'jage', '1357', '1', '0', '1238400484', '3955353', '5', '13791139987477', 'benign');
INSERT INTO `bazaar_items` VALUES ('12111807774878', 'Formfitting Undershirt', '', '16777230', '12111807774741', 'kalian', '20', '0', '1', '1240376646', '2776045', '5', '13022340841493', 'phet');
INSERT INTO `bazaar_items` VALUES ('8976481648751', 'Datapad ', '', '8192', '8976481648661', 'lars', '10', '0', '0', '1238393673', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2027224563869', '<PL> 2323hp Speederbike Swoop', '', '8388613', '2027224563733', 'banky', '20000', '0', '1', '1240346273', '4105356', '5', '7017976561685', 'larz');
INSERT INTO `bazaar_items` VALUES ('8465380540823', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473365', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636593', 'Kashyyykian Hunting Armor Chestplate', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397620', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408530', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403099', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('11145440133252', 'Laser Rifle (Noob)', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240350397', '3955353', '5', '10243497000981', 'kindar');
INSERT INTO `bazaar_items` VALUES ('227633267704', 'Speederbike Swoop [TF]', '', '8388613', '227633266709', 'taspo', '10000', '0', '1', '1240348098', '3955353', '5', '11089605558293', 'kynes');
INSERT INTO `bazaar_items` VALUES ('6390911336755', 'a Viewscreen (broken)', '', '8192', '6390911336469', 'totor', '500', '0', '0', '1238312100', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261154', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240347011', '4105356', '5', '8065948581909', 'xacari');
INSERT INTO `bazaar_items` VALUES ('5587752453060', 'Bone Armor Helmet', '', '256', '11768210391061', 'nozi', '17715', '1', '0', '1238376821', '3955353', '5', '682899800085', 'jack');
INSERT INTO `bazaar_items` VALUES ('11145440133238', 'Jawa Ion Rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240355969', '3955353', '5', '2929167695893', 'leonidovich');
INSERT INTO `bazaar_items` VALUES ('11729555685524', 'Composite Helmet', '', '256', '11729555685397', 'raimahk', '20000', '0', '1', '1240379967', '3945353', '8', '13258564042773', 'neeph');
INSERT INTO `bazaar_items` VALUES ('201863463420', 'Heavy Acid Rifle', '', '131078', '201863462933', 'kiko', '20000', '0', '1', '1240378662', '3955353', '5', '12953621364757', 'eziekial');
INSERT INTO `bazaar_items` VALUES ('6390911336596', 'Handheld Picture', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312118', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527889392', 'Deed for: Personal Mineral Extractor', '', '8388610', '3560527888405', 'chaba', '15000', '0', '1', '1240384374', '7755375', '0', '7494717931541', 'xiqu');
INSERT INTO `bazaar_items` VALUES ('13443247636609', 'Ithorian Sentinel Armor Leggings', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397634', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978562070', 'Clothing and Armor Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240381135', '4235514', '8', '13318693584917', 'roflcopter');
INSERT INTO `bazaar_items` VALUES ('1735166789238', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240405319', '3945352', '8', '2985002270741', 'kawi');
INSERT INTO `bazaar_items` VALUES ('1735166788790', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240386236', '3955353', '5', '7198365188117', 'bladde');
INSERT INTO `bazaar_items` VALUES ('734439408492', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403104', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261108', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240302495', '4105356', '5', '8950711844885', 'kyre');
INSERT INTO `bazaar_items` VALUES ('6390911336731', 'Firework (dud)', '', '8192', '6390911336469', 'totor', '5000', '0', '0', '1238312115', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('11772505358439', 'Maroj Melon', 'Autentico melon de Gorchas, de la mejor calidad.', '8202', '11772505358357', 'oquaku', '2000', '0', '0', '1238373500', '683457', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504137', '<PL> 2323hp Speederbike Swoop', '', '8388613', '8396661063701', 'malcome', '20000', '0', '1', '1240298330', '4105356', '5', '8589934592021', 'dus');
INSERT INTO `bazaar_items` VALUES ('6386616369284', 'Small Motor (Red)', '', '8192', '6386616369173', 'joz', '10000', '0', '0', '1238359129', '683510', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('6390911336742', 'a Cage', '', '8192', '6390911336469', 'totor', '500', '0', '1', '1240461209', '2776036', '5', '16067472654357', 'balancesheet');
INSERT INTO `bazaar_items` VALUES ('5875515261153', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240347075', '4105356', '5', '8065948581909', 'xacari');
INSERT INTO `bazaar_items` VALUES ('11145440133233', 'Bowcaster rifle', '', '131084', '11145440133141', 'jaquash', '10000', '0', '1', '1240349531', '3955353', '5', '11175504904213', 'emo');
INSERT INTO `bazaar_items` VALUES ('3560527890043', 'Structure and Furniture Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '1', '1240466088', '3955353', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('8465380540821', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '1', '1240461252', '2776037', '5', '16067472654357', 'balancesheet');
INSERT INTO `bazaar_items` VALUES ('13640816132253', 'Handheld Picture', '', '8192', '13640816132117', 'zerik', '50', '0', '0', '1238413379', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527889122', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '19999', '0', '1', '1240349678', '7755375', '0', '5995774345237', 'zkm');
INSERT INTO `bazaar_items` VALUES ('17544941404612', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509167', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5342939317302', 'Pants by estrellita', '', '16777228', '5342939316245', 'estrellita', '20000', '0', '1', '1240365764', '2776044', '5', '2190433320981', 'viktras');
INSERT INTO `bazaar_items` VALUES ('6755983557054', 'Small Motor (Red)', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481706', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('188978561981', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240375927', '4235514', '8', '12777527705621', 'billy');
INSERT INTO `bazaar_items` VALUES ('13443247636595', 'Kashyyykian Hunting Armor Bracer', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397640', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636662', 'a Briefcase', '', '8192', '13443247636501', 'jage', '1234', '1', '0', '1238399272', '5625469', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('734439408538', 'A Droid Battery', '', '8192', '734439407637', 'techai', '1000', '0', '0', '1238403101', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('201863463418', 'Nightsister Lance', '', '131081', '13258564042773', 'neeph', '20000', '1', '0', '1238393384', '3606001', '3', '2680059592725', 'loftkilla');
INSERT INTO `bazaar_items` VALUES ('5342939316835', 'Shirt', '', '16777230', '5342939316245', 'estrellita', '20000', '0', '1', '1240349598', '4105356', '5', '4170413244437', 'letsparty');
INSERT INTO `bazaar_items` VALUES ('3560527889059', 'Gay-Mobile', '', '8388613', '3560527888405', 'chaba', '20000', '0', '1', '1240415300', '7755375', '0', '14976550961173', 'near');
INSERT INTO `bazaar_items` VALUES ('13443247636679', 'ATAT Bodysuit', '', '16777219', '13443247636501', 'jage', '1641', '1', '0', '1238400469', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('13443247636683', 'Bodysuit 8', '', '16777219', '13443247636501', 'jage', '1357', '1', '0', '1238400475', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('188978562060', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '188978561045', 'wecu', '1000', '0', '1', '1240380620', '4235514', '8', '13258564042773', 'neeph');
INSERT INTO `bazaar_items` VALUES ('5587752453054', 'Bone Armor Chest Plate', '', '256', '11768210391061', 'nozi', '19325', '1', '0', '1238376826', '3955353', '5', '19731079757845', 'vosche');
INSERT INTO `bazaar_items` VALUES ('8465380540830', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473422', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540832', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473424', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3337189589581', 'EE3 Carbine Elite', '', '131083', '3337189589013', 'neimad', '10000', '0', '1', '1240460418', '3955353', '5', '16522739187733', 'giq');
INSERT INTO `bazaar_items` VALUES ('6755983557066', 'a Briefcase', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481687', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166789242', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240405475', '3945352', '8', '8598524526613', 'shaeton');
INSERT INTO `bazaar_items` VALUES ('17544941404595', 'Type 99', '', '8209', '17544941404181', 'rasheed', '75', '0', '0', '1238496613', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540833', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473427', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620881', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415275', '2776045', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('5128190951528', 'Maroj Melon', '', '8202', '5128190951445', 'davik', '20000', '0', '0', '1238397047', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636613', 'Ithorian Sentinel Armor Bicep', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397648', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636612', 'Ithorian Sentinel Armor Bracer', '', '256', '13443247636501', 'jage', '1234', '1', '0', '1238397652', '7755375', '0', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166789043', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240395168', '4685573', '8', '14190571946005', 'shokolonday');
INSERT INTO `bazaar_items` VALUES ('6755983557060', 'Datapad Backlight', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481696', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4973572129042', 'Datapad Casing', '', '8192', '4973572128789', 'drey', '1000', '0', '0', '1238476604', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540839', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473440', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1735166789234', 'Speederbike Swoop', '', '8388613', '1735166787605', 'proto', '15000', '0', '1', '1240403754', '3945352', '8', '14499809591317', 'deptre');
INSERT INTO `bazaar_items` VALUES ('7443178325537', 'Food and Chemical Crafting Tool by Upu 13.71', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494135', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413191', 'Metal Fasteners', '', '262144', '4410931413013', 'era', '500', '0', '0', '1238413260', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8508330213781', 'White Shirt with 4 sockets', '', '16777230', '8508330213397', 'pangalactic', '100', '0', '1', '1240456625', '3945353', '8', '16260746182677', 'nedak');
INSERT INTO `bazaar_items` VALUES ('13443247636688', 'Bodysuit 16', '', '16777219', '13443247636501', 'jage', '1492', '1', '0', '1238400480', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('1494648619321', 'a Viewscreen (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530411', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413310', 'Sandstat', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494242', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('13443247636690', 'Bwing Bodysuit Quest', '', '16777219', '13443247636501', 'jage', '1492', '1', '0', '1238400491', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('2027224564032', '<PL> 42-142 2.9 FWG5 Pistol', '', '131082', '2027224563733', 'banky', '10000', '0', '0', '1238436966', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620885', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415281', '2776045', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('13443247636689', 'Bwing Bodysuit', '', '16777219', '13443247636501', 'jage', '1357', '1', '0', '1238400494', '3955353', '5', '5793910882325', 'edd');
INSERT INTO `bazaar_items` VALUES ('13443247636702', 'Vibrolance', '', '131081', '13443247636501', 'jage', '20000', '1', '0', '1238400501', '3955353', '5', '17506286698517', 'medre');
INSERT INTO `bazaar_items` VALUES ('13443247636602', 'Small Stimpack - A', '', '8205', '13443247636501', 'jage', '1234', '1', '0', '1238400514', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('13443247636598', 'Small Stimpack - B', '', '8205', '13443247636501', 'jage', '1234', '1', '0', '1238400519', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413333', 'Sandstat', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494546', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('4410931413334', 'Rare Insect', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240495061', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('8508330213780', 'White Shirt with 4 sockets', '', '16777230', '8508330213397', 'pangalactic', '100', '0', '1', '1240392675', '3945353', '8', '14035953123349', 'jatris');
INSERT INTO `bazaar_items` VALUES ('8508330213782', 'White Shirt with 4 sockets', '', '16777230', '8508330213397', 'pangalactic', '100', '0', '0', '1238405150', '3945353', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413330', 'Rare Insect', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494221', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('19464791785749', 'Chemical Survey Device', '', '32770', '19464791785493', 'brillian', '20', '0', '0', '1238527533', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620906', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438053', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413276', 'an Impulse Detector (broken)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494665', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('1151051236174', 'Pullover', '', '16777231', '1151051235349', 'gregory', '500', '0', '0', '1238539765', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540828', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473414', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619323', 'a Calibrator (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530407', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230370', 'Handheld Picture', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418086', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530294', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522963', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230412', 'Work Light', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420777', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985639', 'Firework (dud)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506423', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557061', 'a Briefcase', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481691', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530291', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522956', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218275', 'Composite Bicep', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497737', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('5828270620888', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415286', '4105356', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('17132624543857', 'Sandstat (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498233', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3169685865547', 'Crested Neckpiece', '', '16777233', '3169685864469', 'kayliah', '10000', '0', '0', '1238413692', '4685574', '8', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620905', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438051', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985641', 'a Briefcase', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506427', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540840', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473442', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325485', 'Structure and Furniture Crafting Tool by Upu ', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494120', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261180', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '10000', '0', '1', '1240419689', '4105356', '5', '15066745274389', 'eoly');
INSERT INTO `bazaar_items` VALUES ('3083786520485', 'Speederbike Swoop', '', '8388613', '3083786518549', 'grotiw', '11111', '0', '1', '1240452865', '3955353', '5', '15882789060629', 'dekaar');
INSERT INTO `bazaar_items` VALUES ('3083786520489', 'Speederbike Swoop', '', '8388613', '3083786518549', 'grotiw', '11111', '0', '1', '1240452853', '3955353', '5', '15882789060629', 'dekaar');
INSERT INTO `bazaar_items` VALUES ('193273530295', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522959', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2929167696251', 'Orange Rug Thread - Sixth Section', '', '262144', '2929167695893', 'leonidovich', '20000', '0', '0', '1238428223', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218274', 'Composite Bracer', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497773', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('425201766006', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240477871', '2776044', '5', '9706626088981', 'gilad');
INSERT INTO `bazaar_items` VALUES ('4973572128927', 'Small Motor (Blue)', '', '8192', '4973572128789', 'drey', '1000', '0', '0', '1238420524', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963874', 'a Calibrator (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535485', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413329', 'an Impulse Detector (broken)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240494683', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('4410931413282', 'Heating Element', '', '8192', '4410931413013', 'era', '500', '0', '0', '1238413226', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649991', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540683', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543912', 'Solid Delivery Shell', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498230', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('4410931413331', 'Small Motor (Blue)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240493824', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('6755983557062', 'a Cage', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481661', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557059', 'a Calibrator (broken)', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481672', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201765882', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240473170', '2776044', '5', '17532056502293', 'xcv');
INSERT INTO `bazaar_items` VALUES ('4410931413281', 'Small Motor (Blue)', '', '8192', '4410931413013', 'era', '50', '0', '1', '1240493940', '2776045', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('6755983557065', 'an Impulse Detector (broken)', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481681', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2929167696250', 'Orange Rug Thread - Sixth Section', '', '262144', '2929167695893', 'leonidovich', '20000', '0', '0', '1238428221', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2929167696239', 'Orange Rug Thread - Fourth Section', '', '262144', '2929167695893', 'leonidovich', '20000', '0', '0', '1238428219', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201764257', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240406590', '2776044', '5', '12957916332053', 'zag');
INSERT INTO `bazaar_items` VALUES ('5828270620896', '<PL> 2323hp Swoop', '', '8388613', '5828270620693', 'brodie', '20000', '0', '1', '1240415291', '2776045', '5', '2585570312213', 'wyywaccha');
INSERT INTO `bazaar_items` VALUES ('1228360650003', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540643', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8396661064123', '<PL> 2323hp Swoop', '', '8388613', '8396661063701', 'malcome', '20000', '0', '1', '1240498656', '4105356', '5', '19043884990485', 'ofeetwo');
INSERT INTO `bazaar_items` VALUES ('3384434230374', 'Heating Element', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418092', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230351', 'Small Motor (Blue)', '', '8192', '3384434229269', 'ramsiz', '10000', '0', '0', '1238418114', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620904', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438050', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325552', 'Structure and Furniture Crafting Tool by Upu ', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494118', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230347', 'Carnivore Meat', '', '4194313', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418153', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230339', 'Avian Meat', '', '4194313', '3384434229269', 'ramsiz', '5000', '0', '0', '1238418159', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218276', 'Composite Bicep', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497761', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('425201766022', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240477955', '2776044', '5', '17278653431829', 'zag');
INSERT INTO `bazaar_items` VALUES ('3418793970147', 'Weighted Wookiee Pullover', '', '16777232', '3672197038101', 'dierlyn', '250', '0', '1', '1240480257', '2776036', '5', '18283675779093', 'mixou');
INSERT INTO `bazaar_items` VALUES ('8465380540838', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473437', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3384434230407', 'a Calibrator (broken)', '', '8192', '3384434229269', 'ramsiz', '5000', '0', '0', '1238420787', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620918', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '1', '1240472521', '4105356', '5', '17557826306069', 'pehyu');
INSERT INTO `bazaar_items` VALUES ('1228360650002', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540646', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504550', '<PL> 42-142 2.9 FWG5 Pistol', '', '131082', '2297807503381', 'richie', '10000', '0', '0', '1238436879', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557068', 'Palm Frond', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481729', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543851', 'Small Motor (Blue)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498222', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619203', 'a Briefcase', '', '8192', '1494648619029', 'xxscorpxx', '200', '0', '0', '1238511037', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540837', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473435', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540826', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473412', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325547', 'Starship Crafting Tool by Upu 13.71', '', '32769', '7443178323989', 'upu', '10000', '0', '0', '1238494125', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201764521', 'Landseer Swoop', '', '8388613', '425201762325', 'leandra', '15000', '0', '1', '1240419735', '2776044', '5', '15066745274389', 'eoly');
INSERT INTO `bazaar_items` VALUES ('4973572129041', 'Janta Knife', '', '131079', '4973572128789', 'drey', '1000', '0', '1', '1240465530', '3955353', '5', '17033840295957', 'ruhjaah');
INSERT INTO `bazaar_items` VALUES ('17132624543913', 'Sandstat (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498232', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530017', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '1', '1240466053', '2776037', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('6755983557056', 'a Cage', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481684', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620907', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438055', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620908', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438057', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5828270620909', '<PL> 83-108 3.4 Scatter Pistol', '', '131082', '5828270620693', 'brodie', '10000', '0', '0', '1238438058', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650005', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540635', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650004', 'Food and Chemical Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540638', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201766021', 'Landseer Speederbike', '', '8388613', '425201762325', 'leandra', '10000', '0', '1', '1240477883', '2776044', '5', '9706626088981', 'gilad');
INSERT INTO `bazaar_items` VALUES ('17544941404615', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509169', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380540834', 'Structure and Furniture Crafting Tool', '', '32769', '8465380540437', 'zanadarian', '10000', '0', '0', '1238473429', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261202', '<PL> 39-125 2.2 DL44 Pistol', '', '131082', '5875515260949', 'saffron', '5000', '0', '1', '1240466066', '4105356', '5', '17012365459477', 'sameth');
INSERT INTO `bazaar_items` VALUES ('18094697218273', 'Composite Bracer', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '1', '1240497767', '3955353', '5', '19151259172885', 'draeco');
INSERT INTO `bazaar_items` VALUES ('5875515261198', '<PL> 39-125 2.2 DL44 Pistol', '', '131082', '5875515260949', 'saffron', '5000', '0', '1', '1240455680', '4105356', '5', '15951508537365', 'teryn');
INSERT INTO `bazaar_items` VALUES ('1494648619310', 'a Cage', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514642', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370819', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516961', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('6755983557057', 'Slave Collar', '', '8192', '6755983556629', 'nevori', '2000', '0', '0', '1238481732', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380541235', 'SqIdS Brand Structure and Furniture Crafting ', '', '32769', '8465380540437', 'zanadarian', '20000', '0', '0', '1238509894', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370906', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516969', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8396661064069', '<PL> 72-108 2.0 DH17 Pistol', '', '131082', '8396661063701', 'malcome', '5000', '0', '1', '1240454612', '4105356', '5', '16045997817877', 'chewie');
INSERT INTO `bazaar_items` VALUES ('7305739370919', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516972', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619315', 'Slave Collar', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514659', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619316', 'Binoculars (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514663', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619314', 'Sandstat', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514674', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619312', 'a Human Skull', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238514649', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890196', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490109', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890194', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490105', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7443178325532', 'Generic Crafting Tool by Upu 13.71', '', '32769', '7443178323989', 'upu', '10000', '0', '1', '1240484366', '2776036', '5', '5317169512469', 'revy');
INSERT INTO `bazaar_items` VALUES ('17132624543862', 'Work Light', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498228', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649990', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540686', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('425201765985', 'Landseer X34', '', '8388613', '425201762325', 'leandra', '9500', '0', '1', '1240476653', '2776044', '5', '17995912970261', 'treathen');
INSERT INTO `bazaar_items` VALUES ('1228360650001', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540650', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890199', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490114', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890200', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490116', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890178', 'High Quality Camp Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490120', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890203', 'Structure and Furniture Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '0', '1238490128', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890190', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '3560527888405', 'chaba', '13710', '0', '0', '1238490130', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3560527890115', 'High Tech Field Base Kit', '', '32772', '3560527888405', 'chaba', '9999', '0', '0', '1238490150', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543861', 'Taloscope (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498216', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17544941404613', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509168', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543915', 'Recording Rod (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498219', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963880', 'Datapad (damaged)', '', '8192', '661424963605', 'tiger', '5000', '0', '0', '1238535420', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963863', 'Handheld Picture', '', '8192', '661424963605', 'tiger', '2000', '0', '0', '1238535435', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18094697218265', 'Ithorian Sentinel Armor Bracer', '', '256', '18094697218069', 'rorshyyk', '5000', '0', '0', '1238496897', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486667', 'Chemical Release Duration Mechanism', '', '262144', '9917079486485', 'aamco', '50', '0', '0', '1238533482', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543911', 'Solid Delivery Shell', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498236', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543898', 'Rare Insect', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498240', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543853', 'Rare Insect', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498243', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543852', 'Feed Tubes', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498249', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543856', 'Datapad Casing', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498252', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543892', 'Datapad Backlight', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498254', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543854', 'Datapad Backlight', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498258', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543858', 'Biological Effect Controller', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498263', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543904', 'Binoculars (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '0', '1238498267', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17132624543849', 'a Viewscreen (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '1', '1240495080', '2776041', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('17132624543909', 'a Calibrator (broken)', '', '8192', '17132624543765', 'emryl', '1', '0', '1', '1240493807', '2776041', '5', '9758165696533', 'ecaobia');
INSERT INTO `bazaar_items` VALUES ('17132624543860', 'Advanced Liquid Suspension', '', '262144', '17132624543765', 'emryl', '1', '0', '0', '1238498274', '2776041', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('678604835671', 'Brown Two Tone Spec-Ops Duster by Pye', '', '16777227', '678604832789', 'pye', '7500', '0', '0', '1238538548', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370899', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516967', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530288', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522903', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650030', 'Aigit Clothing and Armor Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238541071', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650027', 'Aigit Clothing and Armor Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238541073', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649984', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238501318', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935319', 'Firework (dud)', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535655', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935316', 'Feed Tubes', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535657', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935344', 'Spectrum Recorder', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535666', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649999', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540657', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649998', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540660', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521430', 'Chitin Armor Gloves', '', '256', '3083786518549', 'grotiw', '20000', '1', '0', '1238501355', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521419', 'Chitin Armor Gloves', '', '256', '3083786518549', 'grotiw', '20000', '1', '0', '1238501360', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521404', 'Chitin Armor Gloves', '', '256', '3083786518549', 'grotiw', '20000', '1', '0', '1238501370', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360650000', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540653', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504942', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505381', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504941', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505383', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504940', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505385', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504939', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505386', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504938', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505388', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('2297807504937', '<PL> 13.71 Structure and Furniture Crafting T', '', '32769', '2297807503381', 'richie', '250', '0', '0', '1238505391', '4105356', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649993', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540675', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370812', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516959', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8465380541236', 'SqIdS Brand Structure and Furniture Crafting ', '', '32769', '8465380540437', 'zanadarian', '20000', '0', '0', '1238509888', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370926', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516974', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('3083786521552', 'Speederbike Swoop', '', '8388613', '3083786518549', 'grotiw', '12345', '0', '1', '1240518613', '3955353', '5', '18781891985429', 'sathyros');
INSERT INTO `bazaar_items` VALUES ('661424963850', 'a Viewscreen (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535490', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985640', 'Small Stimpack - A', '', '8205', '18781891985429', 'sathyros', '500', '0', '0', '1238506417', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985638', 'Sandstat (broken)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506434', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985620', 'Datapad Connectors', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238506439', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('5875515261214', '<PL> 2811hp X34 Landspeeder', '', '8388613', '5875515260949', 'saffron', '7500', '0', '1', '1240500147', '4105356', '5', '19026705121301', 'kon');
INSERT INTO `bazaar_items` VALUES ('8465380541238', 'SqIdS Brand Structure and Furniture Crafting ', '', '32769', '8465380540437', 'zanadarian', '20000', '0', '0', '1238509921', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370776', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516946', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370787', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516952', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370793', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516954', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17544941404611', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509165', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985651', 'Datapad (broken)', '', '8192', '18781891985429', 'sathyros', '200', '0', '0', '1238534215', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('678604835677', 'Yellow Two Tone Spec-Ops Duster by Pye', '', '16777227', '678604832789', 'pye', '7500', '0', '0', '1238538551', '2776036', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19464791785716', 'Water Survey Tool', '', '32770', '19464791785493', 'brillian', '20', '0', '0', '1238527541', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530290', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522968', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649996', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540666', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('16471199580262', 'Muscle Shirt', '', '16777230', '16471199580181', 'cable-odinson', '10000', '0', '1', '1240517621', '4685572', '8', '10479720202261', 'anakeen');
INSERT INTO `bazaar_items` VALUES ('9917079486880', 'Jar of Foraged Bugs', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533501', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963876', 'Sandstat (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535505', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649997', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540663', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530298', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238523003', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370886', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516963', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370806', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516956', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935353', 'an Impulse Detector (broken)', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535642', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19576460935341', 'Decryptor (broken)', '', '8192', '19576460935189', 'gavezo', '100', '0', '0', '1238535650', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619322', 'Decryptor (broken)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530420', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530289', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522953', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('17544941404614', 'A High Tech Field Base Kit', '', '32772', '17544941404181', 'rasheed', '1000', '0', '0', '1238509168', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('19464791785717', 'Wind Survey Tool', '', '32770', '19464791785493', 'brillian', '20', '0', '0', '1238527538', '4705367', '4', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649992', 'Generic Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '1', '1240528600', '2776037', '5', '20053202305045', 'altarin');
INSERT INTO `bazaar_items` VALUES ('9917079486691', 'Jar of Foraged Bugs', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533499', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963891', 'Datapad (broken)', '', '8192', '661424963605', 'tiger', '1000', '0', '0', '1238535518', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530297', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238523004', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619317', 'Datapad (damaged)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238530416', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530293', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522958', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('7305739370800', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516958', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050716', 'Flow Analyzer Node', '', '32768', '8529805049877', 'fishfry', '500', '0', '0', '1238510026', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050711', 'Flow Analyzer Node', '', '32768', '8529805049877', 'fishfry', '500', '0', '0', '1238510028', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050727', 'Molecular Clamp', '', '32768', '8529805049877', 'fishfry', '500', '0', '0', '1238510031', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050691', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '8529805049877', 'fishfry', '1000', '0', '0', '1238510121', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050706', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '8529805049877', 'fishfry', '1000', '0', '1', '1240517504', '3955353', '5', '19589345837077', 'henucr');
INSERT INTO `bazaar_items` VALUES ('7305739370933', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516976', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('8529805050658', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '8529805049877', 'fishfry', '1000', '0', '0', '1238510162', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530286', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522897', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530284', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '0', '1238522899', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486642', 'Chemical Release Duration Mechanism', '', '262144', '9917079486485', 'aamco', '50', '0', '0', '1238533479', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963857', 'Sandstat', '', '8192', '661424963605', 'tiger', '6000', '0', '0', '1238535467', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486619', 'Jar of Foraged Livers', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533506', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486882', 'Biological Effect Controller', '', '262144', '9917079486485', 'aamco', '50', '0', '0', '1238533474', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985650', 'a Calibrator (broken)', '', '8192', '18781891985429', 'sathyros', '200', '0', '0', '1238534218', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1228360649994', 'Structure and Furniture Crafting Tool', '', '32769', '1228360646677', 'mugane', '10000', '0', '0', '1238540672', '2776037', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('661424963853', 'Small Motor (Blue)', '', '8192', '661424963605', 'tiger', '7000', '0', '0', '1238535456', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985652', 'a Human Skull', '', '8192', '18781891985429', 'sathyros', '200', '0', '0', '1238534213', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1748051692288', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1748051689493', 'negilum', '1262', '0', '0', '1238510532', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1748051692289', 'Weapon, Droid, and General Item Crafting Tool', '', '32769', '1748051689493', 'negilum', '1262', '0', '0', '1238510534', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('193273530281', 'Copper', '', '4194311', '193273528341', 'drazhar', '20000', '0', '1', '1240528633', '3955353', '5', '20053202305045', 'altarin');
INSERT INTO `bazaar_items` VALUES ('1494648619204', 'a Corrupt Datadisk', '', '8192', '1494648619029', 'xxscorpxx', '200', '0', '0', '1238511055', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619208', 'Bantha Doll', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511062', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619210', 'Datapad Backlight', '', '8192', '1494648619029', 'xxscorpxx', '200', '0', '0', '1238511071', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619197', 'Feed Tubes', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511078', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619213', 'Firework (dud)', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511081', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619212', 'Palm Frond', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511083', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619209', 'Sandstat', '', '8192', '1494648619029', 'xxscorpxx', '10000', '0', '0', '1238511089', '4105355', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('9917079486607', 'Jar of Foraged Berries', '', '8202', '9917079486485', 'aamco', '50', '0', '0', '1238533497', '2776045', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619201', 'Tusken Boots', '', '16777222', '1494648619029', 'xxscorpxx', '10000', '0', '1', '1240502235', '4105355', '5', '2319282339861', 'mujahed');
INSERT INTO `bazaar_items` VALUES ('7305739370913', 'Ambient Solar Energy Surveying Tool', '', '8209', '7305739370517', 'thumpen', '5000', '0', '0', '1238516970', '2776044', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('1494648619200', 'Tusken Gloves', '', '16777224', '1494648619029', 'xxscorpxx', '10000', '0', '1', '1240510704', '4105355', '5', '10380935954453', 'karsus');
INSERT INTO `bazaar_items` VALUES ('18781891985642', 'Datapad (damaged)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238530824', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('18781891985643', 'Recording Rod (broken)', '', '8192', '18781891985429', 'sathyros', '500', '0', '0', '1238530830', '3955353', '5', '0', '');
INSERT INTO `bazaar_items` VALUES ('678604835405', 'Green Two Tone Spec-Ops Duster by Pye', '', '16777227', '678604832789', 'pye', '7500', '0', '0', '1238538557', '2776036', '5', '0', '');
INSERT INTO `city_regions` VALUES ('1', '0', 'coronet', 'corellia_region_names', '-178', '-4504', '581');
INSERT INTO `city_regions` VALUES ('2', '0', 'tyrena', 'corellia_region_names', '-5140', '-2450', '300');
INSERT INTO `city_regions` VALUES ('3', '0', 'tyrena', 'corellia_region_names', '-5536', '-2688', '250');
INSERT INTO `city_regions` VALUES ('4', '0', 'tyrena', 'corellia_region_names', '-4975', '-2230', '140');
INSERT INTO `city_regions` VALUES ('5', '0', 'bela_vistal', 'corellia_region_names', '6766', '-5692', '370');
INSERT INTO `city_regions` VALUES ('6', '0', 'kor_vella', 'corellia_region_names', '-3420', '3146', '620');
INSERT INTO `city_regions` VALUES ('7', '0', 'doaba_guerfel', 'corellia_region_names', '3274', '5582', '325');
INSERT INTO `city_regions` VALUES ('8', '0', 'doaba_guerfel', 'corellia_region_names', '3206', '5200', '325');
INSERT INTO `city_regions` VALUES ('9', '0', 'vreni_island', 'corellia_region_names', '-5538', '-6176', '220');
INSERT INTO `city_regions` VALUES ('10', '0', 'vreni_island', 'corellia_region_names', '-5260', '-6416', '220');
INSERT INTO `city_regions` VALUES ('11', '1', 'an_outpost', 'dantooine_region_names', '-640', '2486', '135');
INSERT INTO `city_regions` VALUES ('12', '1', 'an_outpost', 'dantooine_region_names', '1588', '-6399', '135');
INSERT INTO `city_regions` VALUES ('13', '1', 'an_imperial_outpost', 'dantooine_region_names', '-4224', '-2400', '250');
INSERT INTO `city_regions` VALUES ('14', '2', 'a_restricted_area', 'dathomir_region_names', '-6358', '930', '280');
INSERT INTO `city_regions` VALUES ('15', '2', 'an_outpost', 'dathomir_region_names', '599', '3046', '110');
INSERT INTO `city_regions` VALUES ('16', '2', 'an_outpost', 'dathomir_region_names', '-85', '-1600', '125');
INSERT INTO `city_regions` VALUES ('17', '3', 'an_outpost', 'endor_region_names', '-905', '1584', '130');
INSERT INTO `city_regions` VALUES ('18', '3', 'an_outpost', 'endor_region_names', '3221', '-3471', '100');
INSERT INTO `city_regions` VALUES ('19', '4', 'nyms_stronghold', 'lok_region_names', '440', '5029', '315');
INSERT INTO `city_regions` VALUES ('20', '4', 'nyms_stronghold', 'lok_region_names', '460', '5400', '140');
INSERT INTO `city_regions` VALUES ('21', '4', 'an_imperial_outpost', 'lok_region_names', '-1920', '-3084', '136');
INSERT INTO `city_regions` VALUES ('22', '5', 'theed', 'naboo_region_names', '-5488', '4380', '610');
INSERT INTO `city_regions` VALUES ('23', '5', 'theed', 'naboo_region_names', '-5036', '4124', '569');
INSERT INTO `city_regions` VALUES ('24', '5', 'keren', 'naboo_region_names', '1888', '2700', '550');
INSERT INTO `city_regions` VALUES ('25', '5', 'keren', 'naboo_region_names', '1344', '2772', '180');
INSERT INTO `city_regions` VALUES ('26', '5', 'moenia', 'naboo_region_names', '4836', '-4830.5', '277');
INSERT INTO `city_regions` VALUES ('27', '5', 'moenia', 'naboo_region_names', '4736', '-4628', '190');
INSERT INTO `city_regions` VALUES ('28', '5', 'deeja_peak', 'naboo_region_names', '4686', '-1375', '220');
INSERT INTO `city_regions` VALUES ('29', '5', 'deeja_peak', 'naboo_region_names', '5021', '-1446', '225');
INSERT INTO `city_regions` VALUES ('30', '5', 'deeja_peak', 'naboo_region_names', '5302', '-1553', '111');
INSERT INTO `city_regions` VALUES ('31', '5', 'kaadara', 'naboo_region_names', '5288', '6687', '225');
INSERT INTO `city_regions` VALUES ('32', '5', 'kaadara', 'naboo_region_names', '5091', '6714', '225');
INSERT INTO `city_regions` VALUES ('33', '6', 'narmle', 'rori_region_names', '-5140', '-2368', '250');
INSERT INTO `city_regions` VALUES ('34', '6', 'narmle', 'rori_region_names', '-5395', '-2148', '180');
INSERT INTO `city_regions` VALUES ('35', '6', 'restuss', 'rori_region_names', '5318', '5680', '325');
INSERT INTO `city_regions` VALUES ('36', '6', 'a_rebel_outpost', 'rori_region_names', '3677', '-6447', '80');
INSERT INTO `city_regions` VALUES ('37', '7', 'dearic', 'talus_region_names', '422', '-3004', '435');
INSERT INTO `city_regions` VALUES ('38', '7', 'nashal', 'talus_region_names', '4163', '5220', '195');
INSERT INTO `city_regions` VALUES ('39', '7', 'nashal', 'talus_region_names', '4443', '5119', '195');
INSERT INTO `city_regions` VALUES ('40', '7', 'nashal', 'talus_region_names', '4439', '5395', '205');
INSERT INTO `city_regions` VALUES ('41', '7', 'an_imperial_outpost', 'talus_region_names', '-2178', '2300', '150');
INSERT INTO `city_regions` VALUES ('42', '8', 'bestine', 'tatooine_region_names', '-1204', '-3692', '375');
INSERT INTO `city_regions` VALUES ('43', '8', 'mos_espa', 'tatooine_region_names', '-2878', '2226', '435');
INSERT INTO `city_regions` VALUES ('44', '8', 'mos_eisley', 'tatooine_region_names', '3969', '-4818', '150');
INSERT INTO `city_regions` VALUES ('45', '8', 'mos_eisley', 'tatooine_region_names', '3418', '-4758', '412');
INSERT INTO `city_regions` VALUES ('46', '8', 'mos_entha', 'tatooine_region_names', '1470', '3248', '390');
INSERT INTO `city_regions` VALUES ('47', '8', 'mos_entha', 'tatooine_region_names', '1219', '3051', '215');
INSERT INTO `city_regions` VALUES ('48', '8', 'mos_taike', 'tatooine_region_names', '3855', '2338', '170');
INSERT INTO `city_regions` VALUES ('49', '8', 'anchorhead', 'tatooine_region_names', '40', '-5348', '330');
INSERT INTO `city_regions` VALUES ('50', '8', 'wayfar', 'tatooine_region_names', '-5157', '-6549', '210');
INSERT INTO `city_regions` VALUES ('51', '9', 'an_outpost', 'yavin4_region_names', '-312', '4865', '100');
INSERT INTO `city_regions` VALUES ('52', '9', 'an_outpost', 'yavin4_region_names', '-6925', '-5707', '130');
INSERT INTO `clone_spawn_points` VALUES ('1', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('2', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('3', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('4', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('5', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('6', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('7', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1697354', '5');
INSERT INTO `clone_spawn_points` VALUES ('8', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('9', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('10', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('11', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('12', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('13', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('14', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '474327', '5');
INSERT INTO `clone_spawn_points` VALUES ('15', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('16', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('17', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('18', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('19', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('20', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('21', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1650615', '5');
INSERT INTO `clone_spawn_points` VALUES ('22', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('23', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('24', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('25', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('26', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('27', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('28', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1741516', '5');
INSERT INTO `clone_spawn_points` VALUES ('29', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('30', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('31', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('32', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('33', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('34', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('35', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1717562', '5');
INSERT INTO `clone_spawn_points` VALUES ('36', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('37', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('38', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('39', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('40', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('41', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('42', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '3005430', '0');
INSERT INTO `clone_spawn_points` VALUES ('43', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('44', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('45', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('46', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('47', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('48', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('49', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4345393', '0');
INSERT INTO `clone_spawn_points` VALUES ('50', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('51', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('52', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('53', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('54', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('55', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('56', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1935517', '0');
INSERT INTO `clone_spawn_points` VALUES ('57', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('58', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('59', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('60', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('61', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('62', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('63', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1855495', '0');
INSERT INTO `clone_spawn_points` VALUES ('64', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('65', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('66', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('67', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('68', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('69', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('70', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '2365905', '0');
INSERT INTO `clone_spawn_points` VALUES ('71', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1365997', '1');
INSERT INTO `clone_spawn_points` VALUES ('72', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '4885428', '1');
INSERT INTO `clone_spawn_points` VALUES ('73', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1366008', '1');
INSERT INTO `clone_spawn_points` VALUES ('74', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1392894', '2');
INSERT INTO `clone_spawn_points` VALUES ('75', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '1392859', '2');
INSERT INTO `clone_spawn_points` VALUES ('76', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '6705359', '3');
INSERT INTO `clone_spawn_points` VALUES ('77', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '3605959', '3');
INSERT INTO `clone_spawn_points` VALUES ('78', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '8615443', '4');
INSERT INTO `clone_spawn_points` VALUES ('79', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '2745624', '4');
INSERT INTO `clone_spawn_points` VALUES ('80', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('81', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('82', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('83', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('84', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('85', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('86', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4695371', '6');
INSERT INTO `clone_spawn_points` VALUES ('87', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('88', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('89', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('90', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('91', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('92', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('93', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4635545', '6');
INSERT INTO `clone_spawn_points` VALUES ('94', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '4505610', '6');
INSERT INTO `clone_spawn_points` VALUES ('95', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('96', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('97', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('98', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('99', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('100', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('101', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '4265616', '7');
INSERT INTO `clone_spawn_points` VALUES ('164', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('163', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('162', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('161', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('160', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('159', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('158', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '3175408', '7');
INSERT INTO `clone_spawn_points` VALUES ('116', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '4965414', '7');
INSERT INTO `clone_spawn_points` VALUES ('117', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '1400865', '8');
INSERT INTO `clone_spawn_points` VALUES ('119', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '1590892', '8');
INSERT INTO `clone_spawn_points` VALUES ('120', '0', '0', '0.7', '0.7', '0.4', '0.27', '1.3', '1528388', '8');
INSERT INTO `clone_spawn_points` VALUES ('121', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('122', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('123', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('124', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('125', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('126', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('127', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '3565798', '8');
INSERT INTO `clone_spawn_points` VALUES ('128', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('129', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('130', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('131', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('132', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('133', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('134', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1105883', '8');
INSERT INTO `clone_spawn_points` VALUES ('135', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('136', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('137', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('138', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('139', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('140', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('141', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1106504', '8');
INSERT INTO `clone_spawn_points` VALUES ('142', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('143', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('144', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('145', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('146', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('147', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('148', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1254765', '8');
INSERT INTO `clone_spawn_points` VALUES ('149', '0', '0', '1', '0', '-2.85', '-4.75', '0.3', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('150', '0', '0', '1', '0', '1.75', '-4.75', '0.3', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('151', '0', '0', '1', '0', '6.35', '-4.75', '0.3', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('152', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-10.5', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('153', '0', '0', '-0.7', '0.7', '16.3', '-4.75', '-14.15', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('154', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-10.5', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('155', '0', '0', '0.7', '0.7', '-16.5', '-4.75', '-14.15', '1233042', '8');
INSERT INTO `clone_spawn_points` VALUES ('156', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '7925459', '9');
INSERT INTO `clone_spawn_points` VALUES ('157', '0', '0', '0.7', '-0.7', '3.1', '0.125', '-3.7', '3035598', '9');
INSERT INTO `command_client_command_table` VALUES ('stand', 'immediate', ' ', ' ', 'stand', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('kneel', 'immediate', ' ', ' ', 'kneel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('sit', 'immediate', ' ', ' ', 'sitClient', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('prone', 'immediate', ' ', ' ', 'prone', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('follow', 'immediate', ' ', ' ', 'follow', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('stopFollow', 'immediate', ' ', ' ', 'stopFollow', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('ttell', 'immediate', ' ', ' ', 'instantMessageTtell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('send', 'immediate', ' ', ' ', 'instantMessageTell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('retell', 'immediate', ' ', ' ', 'instantMessageRetell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('r', 'immediate', ' ', ' ', 'instantMessageReply', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('reply', 'immediate', ' ', ' ', 'instantMessageReply', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('rtell', 'immediate', ' ', ' ', 'instantMessageRetell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('tell', 'immediate', ' ', ' ', 'instantMessageTell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('t', 'immediate', ' ', ' ', 'instantMessageTell', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('attack', 'immediate', ' ', ' ', 'attack', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('examine', 'immediate', ' ', ' ', 'examine', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('trade', 'immediate', ' ', ' ', 'trade', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('tradeAccept', 'immediate', ' ', ' ', 'tradeAccept', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('pickup', 'immediate', ' ', ' ', 'pickup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('equip', 'immediate', ' ', ' ', 'equip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('unequip', 'immediate', ' ', ' ', 'unequip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('drop', 'immediate', ' ', ' ', 'drop', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('conversationStart', 'immediate', ' ', ' ', 'conversationStart', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('conversationStop', 'immediate', ' ', ' ', 'conversationStop', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('itemMail', 'immediate', ' ', ' ', 'itemMail', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('activate', 'immediate', ' ', ' ', 'activate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('deactivate', 'immediate', ' ', ' ', 'deactivate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('auctionUse', 'immediate', ' ', ' ', 'auctionUse', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('split', 'immediate', ' ', ' ', 'split', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('join', 'immediate', ' ', ' ', 'join', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('decline', 'immediate', ' ', ' ', 'decline', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('open', 'immediate', ' ', ' ', 'open', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('openNewWindow', 'immediate', ' ', ' ', 'openNewWindow', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('destroyObject', 'immediate', ' ', ' ', 'destroyObject', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('consider', 'immediate', ' ', ' ', 'consider', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '3', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('con', 'immediate', ' ', ' ', 'consider', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('language', 'immediate', ' ', ' ', 'language', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('setScale', 'immediate', ' ', ' ', 'setScale', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('setYaw', 'immediate', ' ', ' ', 'setYaw', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('hideMe', 'immediate', ' ', ' ', 'hideMe', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('reloadAdminTable', 'immediate', ' ', ' ', 'reloadAdminTable', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('skills', 'immediate', ' ', ' ', 'skills', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('spawn', 'immediate', ' ', ' ', 'spawn', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('destroy', 'immediate', ' ', ' ', 'destroy', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('logChat', 'immediate', ' ', ' ', 'logChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('sysgroup', 'immediate', ' ', ' ', 'sysgroup', ' ', '0', 'sysgroup', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editBank', 'immediate', ' ', ' ', 'editBank', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editInventory', 'immediate', ' ', ' ', 'editInventory', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editDatapad', 'immediate', ' ', ' ', 'editDatapad', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('examineObjVars', 'immediate', ' ', ' ', 'examineObjVars', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('renamePlayer', 'immediate', ' ', ' ', 'renamePlayer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('echo', 'immediate', ' ', ' ', 'echo', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('dumpPausedCommands', 'immediate', ' ', ' ', 'dumpPausedCommands', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('macro', 'immediate', ' ', ' ', 'macro', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('shownetworkids', 'immediate', ' ', ' ', 'shownetworkids', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('debugexamine', 'immediate', ' ', ' ', 'debugexamine', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('unload', 'immediate', ' ', ' ', 'unload', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friendComment', 'immediate', ' ', ' ', 'friendComment', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friend', 'immediate', ' ', ' ', 'friend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friendList', 'immediate', ' ', ' ', 'friendList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('ignore', 'immediate', ' ', ' ', 'ignore', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('ignoreList', 'immediate', ' ', ' ', 'ignoreList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('friendGroup', 'immediate', ' ', ' ', 'friendGroup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('mailSave', 'immediate', ' ', ' ', 'mailSave', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('notepad', 'immediate', ' ', ' ', 'notepad', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('target', 'immediate', ' ', ' ', 'target', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('emptyMail', 'immediate', ' ', ' ', 'emptyMail', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('chatterSpeech', 'immediate', ' ', ' ', 'chatterSpeech', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_client_command_table` VALUES ('editBiography', 'immediate', ' ', ' ', 'editBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-657204750', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('actionShot1', 'normal', 'actionShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'actionShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('actionShot2', 'normal', 'actionShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'actionShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('activateClone', 'normal', 'cmdActivateClone', 'cmdActivateCloneFail', ' ', ' ', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('activateQuest', 'immediate', 'cmdActivateQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('addAllowedPlayer', 'front', ' ', 'failAdmin', 'addAllowedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('addBannedPlayer', 'front', ' ', 'failAdmin', 'addBannedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('addFriend', 'immediate', ' ', ' ', 'addFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('addIgnore', 'immediate', ' ', ' ', 'addIgnore', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('addMapLocation', 'immediate', ' ', ' ', 'addMapLocation', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('addPower', 'immediate', 'cmdAddPower', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('adjustLotCount', 'immediate', 'cmdAdjustLotCount', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('aiIgnore', 'immediate', 'cmdAiIgnore', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('aim', 'normal', 'aim', 'failSpecialAttack', 'aim', ' ', '1.5', 'aim', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('alert', 'normal', 'alert', 'failSpecialAttack', ' ', ' ', '3', 'alert', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('animalAttack', 'normal', 'animalAttack', 'failSpecialAttack', ' ', ' ', '1.5', 'animalAttack', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('animalCalm', 'normal', 'animalCalm', 'failSpecialAttack', ' ', ' ', '1.5', 'animalCalm', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('animalScare', 'normal', 'animalScare', 'failSpecialAttack', ' ', ' ', '1.5', 'animalScare', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('anon', 'immediate', ' ', ' ', 'toggleAnonymous', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('applyDisease', 'normal', 'applyDisease', ' ', ' ', ' ', '5', 'applyDisease', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('applyPoison', 'normal', 'applyPoison', ' ', ' ', ' ', '5', 'applyPoison', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('applyPowerup', 'immediate', ' ', ' ', 'applyPowerup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('areatrack', 'normal', 'areatrack', 'failAreatrack', ' ', ' ', '1', 'areatrack', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('assignDroid', 'immediate', 'assignDroid', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('assist', 'immediate', 'assist', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('associateDroidControlDeviceWithShip', 'normal', ' ', ' ', 'associateDroidControlDeviceWithShip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('attack', 'normal', 'attack', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '3', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('auction', 'immediate', ' ', ' ', 'auctionChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionAccept', 'immediate', ' ', ' ', 'auction_accept', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionBid', 'immediate', ' ', ' ', 'auction_bid', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionCancel', 'immediate', ' ', ' ', 'auction_cancel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionCreate', 'immediate', ' ', ' ', 'auction_create', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionQuery', 'immediate', ' ', ' ', 'auction_query', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionRetrieve', 'immediate', ' ', ' ', 'auction_retrieve', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('auctionsay', 'immediate', ' ', ' ', 'auctionChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('avoidIncapacitation', 'normal', 'avoidIncapacitation', 'failSpecialAttack', ' ', ' ', '1.5', 'avoidIncapacitation', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('bandFlourish', 'normal', 'cmdBandFlourish', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('battlefieldStatus', 'immediate', 'battlefieldStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('berserk1', 'normal', 'berserk1', 'failSpecialAttack', ' ', ' ', '1.5', 'berserk1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('berserk2', 'normal', 'berserk2', 'failSpecialAttack', ' ', ' ', '1.5', 'berserk2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('bet', 'normal', 'cmdPlaceBet', 'cmdBetFailed', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '15', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('bleedingShot', 'normal', 'bleedingShot', 'failSpecialAttack', ' ', ' ', '1.5', 'bleedingShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('blindAttack', 'normal', 'blindAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('boardShuttle', 'immediate', 'boardShuttle', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('bodyShot1', 'normal', 'bodyShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'bodyShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('bodyShot2', 'normal', 'bodyShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'bodyShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('bodyShot3', 'normal', 'bodyShot3', 'failSpecialAttack', ' ', ' ', '1.5', 'bodyShot3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('boostmorale', 'normal', 'boostmorale', 'failSpecialAttack', ' ', ' ', '1.5', 'boostmorale', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('broadcast', 'immediate', 'cmdBroadcast', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('broadcastArea', 'immediate', 'cmdBroadcastArea', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('broadcastGalaxy', 'immediate', 'cmdBroadcastGalaxy', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('broadcastPlanet', 'immediate', 'cmdBroadcastPlanet', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('burstRun', 'front', 'burstRun', ' ', ' ', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('burstShot1', 'normal', 'burstShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'burstShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('burstShot2', 'normal', 'burstShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'burstShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('cancelCraftingSession', 'immediate', ' ', ' ', 'cancelCraftingSession', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('centerOfBeing', 'normal', 'centerOfBeing', 'failSpecialAttack', ' ', ' ', '1.5', 'centerOfBeing', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-2083233742', '0');
INSERT INTO `command_command_table` VALUES ('changeBandMusic', 'normal', 'cmdChangeBandMusic', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('changeDance', 'normal', 'cmdChangeDance', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('changeMusic', 'normal', 'cmdChangeMusic', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('channelForce', 'normal', 'channelForce', 'failSpecialAttack', ' ', ' ', '1.5', 'channelForce', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('chargeShot1', 'normal', 'chargeShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'chargeShot1', '1', '0', '1', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('chargeShot2', 'normal', 'chargeShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'chargeShot2', '1', '0', '1', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('checkForceStatus', 'immediate', 'cmdCheckForceStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cityban', 'normal', 'cmdCityban', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('citypardon', 'normal', 'cmdCitypardon', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('claimVeteranReward', 'immediate', 'cmdClaimVeteranReward', ' ', ' ', ' ', '0', ' ', '1', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('clearCompletedQuest', 'immediate', 'cmdClearCompletedQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('clearVeteranReward', 'immediate', 'cmdClearVeteranReward', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('clientQualifiedForSkill', 'immediate', 'eventEarnedSkillBox', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('clone', 'immediate', 'cmdSetBind', ' ', 'combatCommandHandler', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-805919484', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('closeContainer', 'immediate', ' ', ' ', 'closeContainer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('colorlights', 'normal', 'cmdColorLight', ' ', ' ', ' ', '0', 'colorlights', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('combat', 'immediate', ' ', 'failAdmin', 'console_combat', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('combatEscape', 'front', 'combatEscape', ' ', ' ', ' ', '25', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '0', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('combatModeCheck', 'normal', 'combatModeCheck', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('combatSpam', 'immediate', ' ', ' ', 'combatSpam', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('combatTarget', 'normal', 'combatTarget', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('completeQuest', 'immediate', 'cmdCompleteQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('conceal', 'normal', 'conceal', 'failConceal', ' ', ' ', '2', 'conceal', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('concealShot', 'normal', 'concealShot', 'failSpecialAttack', ' ', ' ', '1.5', 'concealShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('confusionShot', 'normal', 'confusionShot', 'failSpecialAttack', ' ', ' ', '1.5', 'confusionShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('consent', 'front', 'cmdConsent', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('corpse', 'front', 'cmdCorpse', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('counterAttack', 'front', 'counterAttack', ' ', ' ', ' ', '0.25', 'counterAttack', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('coupDeGrace', 'normal', 'cmdCoupDeGrace', ' ', ' ', ' ', '3', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('craft', 'immediate', ' ', 'failAdmin', 'console_craft', ' ', '0', 'admin', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createCreature', 'immediate', 'createCreature', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createManfSchematic', 'immediate', ' ', ' ', 'createManfSchematic', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('createMissionElement', 'immediate', 'createMissionElement', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createNPC', 'immediate', 'createNPC', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createPrototype', 'immediate', ' ', ' ', 'createPrototype', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('createSpawningElement', 'immediate', 'createSpawningElement', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('createSpawningElementWithDifficulty', 'immediate', 'createSpawningElementWithDifficulty', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('creatureAreaAttack', 'normal', 'creatureAreaAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaBleeding', 'normal', 'creatureAreaBleeding', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaCombo', 'normal', 'creatureAreaCombo', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaDisease', 'normal', 'creatureAreaDisease', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaKnockdown', 'normal', 'creatureAreaKnockdown', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('creatureAreaPoison', 'normal', 'creatureAreaPoison', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('credits', 'immediate', 'cmdMoney', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('cripplingShot', 'normal', 'cripplingShot', 'failSpecialAttack', ' ', ' ', '1.5', 'cripplingShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('csAppendComment', 'immediate', ' ', ' ', 'csAppendComment', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csCancelTicket', 'immediate', ' ', ' ', 'csCancelTicket', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csConnectPlayer', 'immediate', ' ', ' ', 'csConnectPlayer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csCreateTicket', 'immediate', ' ', ' ', 'csCreateTicket', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csDisconnectPlayer', 'immediate', ' ', ' ', 'csDisconnectPlayer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csGetArticle', 'immediate', ' ', ' ', 'csGetArticle', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csGetComments', 'immediate', ' ', ' ', 'csGetComments', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csGetTickets', 'immediate', ' ', ' ', 'csGetTickets', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csRequestCategories', 'immediate', ' ', ' ', 'csRequestCategories', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('csSearchKnowledgeBase', 'immediate', ' ', ' ', 'csSearchKnowledgeBase', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cuiConsentResponse', 'normal', ' ', ' ', 'consentResponse', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cureDisease', 'normal', 'cureDisease', ' ', ' ', ' ', '5', 'cureDisease', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('curePoison', 'normal', 'curePoison', ' ', ' ', ' ', '5', 'curePoison', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('customizeDroid', 'normal', 'cmdCustomizeDroid', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '1', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('customizeVehicle', 'normal', 'cmdCustomizeVehicle', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '1', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('database', 'immediate', ' ', 'failAdmin', 'console_database', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('dazzle', 'normal', 'cmdDazzle', ' ', ' ', ' ', '0', 'dazzle', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('deactivateQuest', 'immediate', 'cmdDeactivateQuest', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('deathBlow', 'normal', 'cmdCoupDeGrace', ' ', ' ', ' ', '3', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('deathCount', 'immediate', 'reportJediDeathCount', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('declareOvert', 'immediate', 'cmdDeclareOvert', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('declareresidence', 'immediate', 'declareResidence', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('decline', 'immediate', ' ', ' ', 'groupDecline', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('defaultAttack', 'normal', 'defaultAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('defuseMinefield', 'normal', 'cmdDefuseMinefield', 'cmdDefuseMinefieldFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '8', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('delegateFactionPoints', 'immediate', 'cmdDelegateFactionPoints', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('denyService', 'normal', 'cmdDenyService', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'required', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('deployTrap', 'normal', 'deployTrap', ' ', ' ', ' ', '1', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('destroy', 'immediate', ' ', 'failAdmin', 'destory', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('destroystructure', 'immediate', 'destroyStructure', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('detonateDroid', 'normal', 'cmdDetonateDroid', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('diagnose', 'normal', 'cmdDiagnose', 'cmdFailDiagnose', ' ', ' ', '5', 'tendWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('disarmingShot1', 'normal', 'disarmingShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'disarmingShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('disarmingShot2', 'normal', 'disarmingShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'disarmingShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('disband', 'immediate', 'cmdGroupDisband', ' ', 'groupDisband', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dismissGroupMember', 'immediate', 'cmdDismissGroupMember', ' ', 'groupDisband', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dismount', 'front', 'dismount', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dismountandstore', 'front', 'dismountandstore', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'optional', ' ', '2', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('distract', 'normal', 'cmdDistract', ' ', ' ', ' ', '0', 'distract', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('diveShot', 'normal', 'diveShot', 'failSpecialAttack', ' ', ' ', '1.5', 'diveShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('dizzyAttack', 'normal', 'dizzyAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('doubleTap', 'normal', 'doubleTap', 'failSpecialAttack', ' ', ' ', '1.5', 'doubleTap', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('dragIncapacitatedPlayer', 'normal', 'cmdDragIncapPlayer', ' ', ' ', ' ', '2', 'dragIncapacitatedPlayer', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('drainForce', 'normal', 'drainForce', 'failSpecialAttack', ' ', ' ', '1.5', 'drainForce', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('duel', 'immediate', ' ', ' ', 'duel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '1', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dumpTargetInformation', 'immediate', 'dumpTargetInformation', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('dumpZoneInformation', 'immediate', 'dumpZoneInformation', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('eat', 'normal', 'cmdEat', ' ', ' ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('editAppearance', 'immediate', ' ', 'failAdmin', 'editAppearance', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('editBank', 'immediate', ' ', 'failAdmin', 'editBank', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('editBankAccount', 'immediate', 'cmdEditBankAccount', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('editStats', 'immediate', ' ', 'failAdmin', 'editStats', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('emboldenpets', 'normal', 'emboldenPets', 'failPetBuff', ' ', ' ', '1.5', 'emboldenpets', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('emptyMailTarget', 'immediate', ' ', 'failAdmin', 'emptyMailTarget', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'gm.cmd', 'none', ' ', '2', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('endDuel', 'immediate', ' ', ' ', 'endDuel', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '1', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('enragepets', 'normal', 'enragePets', 'failPetBuff', ' ', ' ', '1.5', 'enragepets', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('equilibrium', 'front', 'cmdEquilibrium', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('executeKnowledgeBaseMessage', 'normal', ' ', ' ', 'executeKnowledgeBaseMessage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('extinguishFire', 'normal', 'extinguishFire', ' ', ' ', ' ', '5', 'extinguishFire', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('extractObject', 'immediate', ' ', ' ', 'extractObject', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('eyeShot', 'normal', 'eyeShot', 'failSpecialAttack', ' ', ' ', '1.5', 'eyeShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('factoryCrateSplit', 'immediate', ' ', ' ', 'factoryCrateSplit', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('fanShot', 'normal', 'fanShot', 'failSpecialAttack', ' ', ' ', '1.5', 'fanShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fastBlast', 'normal', 'fastBlast', 'failSpecialAttack', ' ', ' ', '1.5', 'fastBlast', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('feignDeath', 'normal', 'feignIncapacitation', 'failSpecialAttack', ' ', ' ', '3', 'feignDeath', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('find', 'front', 'cmdFind', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findFriend', 'normal', ' ', ' ', 'findFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findFriend', 'normal', ' ', ' ', 'findFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findMyTrainer', 'immediate', 'findMyTrainer', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('findObject', 'immediate', 'cmdFindObject', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('findPlayer', 'immediate', 'cmdFindPlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('fireAcidCone1', 'normal', 'fireAcidCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireAcidCone2', 'normal', 'fireAcidCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireAcidSingle1', 'normal', 'fireAcidSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidSingle1', '1', '0', '1', '1', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireAcidSingle2', 'normal', 'fireAcidSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireAcidSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireHeavyWeapon', 'normal', 'fireHeavyWeapon', 'failFireHeavyWeapon', ' ', ' ', '15', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('firejet', 'normal', 'cmdFireJet', ' ', ' ', ' ', '0', 'firejet', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('fireLightningCone1', 'normal', 'fireLightningCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireLightningCone2', 'normal', 'fireLightningCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireLightningSingle1', 'normal', 'fireLightningSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningSingle1', '1', '0', '1', '1', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fireLightningSingle2', 'normal', 'fireLightningSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'fireLightningSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('firstAid', 'normal', 'firstAid', ' ', ' ', ' ', '5', 'firstAid', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('fish', 'normal', 'cmdFish', ' ', ' ', ' ', '1.5', ' ', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.skill.minigame_cmd', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('flameCone1', 'normal', 'flameCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'flameCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flameCone2', 'normal', 'flameCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'flameCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flameSingle1', 'normal', 'flameSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'flameSingle1', '1', '0', '1', '1', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flameSingle2', 'normal', 'flameSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'flameSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flashSpeeder', 'normal', 'cmdFlashSpeeder', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('flourish', 'normal', 'cmdFlourish', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('flurryShot1', 'normal', 'flurryShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'flurryShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flurryShot2', 'normal', 'flurryShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'flurryShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flushingShot1', 'normal', 'flushingShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'flushingShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('flushingShot2', 'normal', 'flushingShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'flushingShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('forage', 'normal', 'forage', 'failForage', ' ', ' ', '2', 'forage', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('forceAbsorb1', 'normal', 'forceAbsorb1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceAbsorb1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceAbsorb2', 'normal', 'forceAbsorb2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceAbsorb2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceArmor1', 'normal', 'forceArmor1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceArmor1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceArmor2', 'normal', 'forceArmor2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceArmor2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceChoke', 'normal', 'forceChoke', 'failSpecialAttack', ' ', ' ', '1.5', 'forceChoke', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceCommand', 'immediate', 'cmdForceCommand', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('forceCureDisease', 'normal', 'forceCureDisease', 'failSpecialAttack', ' ', ' ', '1.5', 'forceCureDisease', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceCurePoison', 'normal', 'forceCurePoison', 'failSpecialAttack', ' ', ' ', '1.5', 'forceCurePoison', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceFeedback1', 'normal', 'forceFeedback1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceFeedback1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceFeedback2', 'normal', 'forceFeedback2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceFeedback2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceIntimidate1', 'normal', 'forceIntimidate1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceIntimidate1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceIntimidate2', 'normal', 'forceIntimidate2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceIntimidate2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceKnockdown1', 'normal', 'forceKnockdown1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceKnockdown1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceKnockdown2', 'normal', 'forceKnockdown2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceKnockdown2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceKnockdown3', 'normal', 'forceKnockdown3', 'failSpecialAttack', ' ', ' ', '1.5', 'forceKnockdown3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningCone1', 'normal', 'forceLightningCone1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningCone1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningCone2', 'normal', 'forceLightningCone2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningCone2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningSingle1', 'normal', 'forceLightningSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningSingle1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceLightningSingle2', 'normal', 'forceLightningSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceLightningSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceMeditate', 'normal', 'forceMeditate', 'failSpecialAttack', ' ', ' ', '1.5', 'forceMeditate', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceOfWill', 'normal', 'cmdForceOfWill', ' ', ' ', ' ', '1.5', 'forceOfWill', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.teraskasi', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('forceProtection', 'normal', 'forceProtection', 'failSpecialAttack', ' ', ' ', '1.5', 'forceProtection', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistBleeding', 'normal', 'forceResistBleeding', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistBleeding', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistDisease', 'normal', 'forceResistDisease', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistDisease', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistPoison', 'normal', 'forceResistPoison', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistPoison', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceResistStates', 'normal', 'forceResistStates', 'failSpecialAttack', ' ', ' ', '1.5', 'forceResistStates', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceRun1', 'normal', 'forceRun1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceRun1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceRun2', 'normal', 'forceRun2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceRun2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceRun3', 'normal', 'forceRun3', 'failSpecialAttack', ' ', ' ', '1.5', 'forceRun3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceShield1', 'normal', 'forceShield1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceShield1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceShield2', 'normal', 'forceShield2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceShield2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceSpeed1', 'normal', 'forceSpeed1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceSpeed1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceSpeed2', 'normal', 'forceSpeed2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceSpeed2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceThrow1', 'normal', 'forceThrow1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceThrow1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceThrow2', 'normal', 'forceThrow2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceThrow2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceWeaken1', 'normal', 'forceWeaken1', 'failSpecialAttack', ' ', ' ', '1.5', 'forceWeaken1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('forceWeaken2', 'normal', 'forceWeaken2', 'failSpecialAttack', ' ', ' ', '1.5', 'forceWeaken2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('formup', 'normal', 'formup', 'failSpecialAttack', ' ', ' ', '1.5', 'formup', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('freezePlayer', 'immediate', 'cmdFreezePlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('fullAutoArea1', 'normal', 'fullAutoArea1', 'failSpecialAttack', ' ', ' ', '0', 'fullAutoArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fullAutoArea2', 'normal', 'fullAutoArea2', 'failSpecialAttack', ' ', ' ', '0', 'fullAutoArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fullAutoSingle1', 'normal', 'fullAutoSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'fullAutoSingle1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('fullAutoSingle2', 'normal', 'fullAutoSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'fullAutoSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('g', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gallop', 'immediate', 'gallop', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gallopStop', 'immediate', 'gallopStop', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gc', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gcwStatus', 'immediate', 'gcwStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('generateCraftedItem', 'immediate', 'cmdGenerateCraftedItem', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getAccountInfo', 'front', ' ', 'failAdmin', 'getAccountInfo', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getAttributes', 'immediate', ' ', ' ', 'getAttributes', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getAttributesBatch', 'immediate', ' ', ' ', 'getAttributesBatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getFriendList', 'immediate', ' ', ' ', 'getFriendList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getGameTime', 'immediate', 'cmdGetGameTime', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getIgnoreList', 'immediate', ' ', ' ', 'getIgnoreList', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getMapLocations', 'immediate', ' ', ' ', 'getMapLocations', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getObjVars', 'normal', ' ', ' ', 'getObjVars', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getPlayerId', 'immediate', 'cmdGetPlayerId', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getPrototype', 'immediate', 'getPrototype', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getRank', 'immediate', 'cmdGetRank', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getSpawnDelays', 'immediate', 'getSpawnDelays', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getStationName', 'front', ' ', 'failAdmin', 'getStationName', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('getVeteranRewardTime', 'immediate', 'cmdGetVeteranRewardTime', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('getVeteranRewardTimeCs', 'immediate', 'cmdGetVeteranRewardTime', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('giveItem', 'immediate', ' ', ' ', 'giveItem', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('giveMaintenanceToVendor', 'immediate', 'giveMaintenanceToVendor', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('givevendormaint', 'immediate', 'giveVendorMaint', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gmForceCommand', 'immediate', 'gmForceCommand', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmCreateClassResource', 'immediate', 'gmCreateClassResource', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmCreateSpecificResource', 'immediate', 'gmCreateSpecificResource', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmForceRank', 'front', 'cmdGMForceRank', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmFsVillage', 'front', 'cmdGMFsVillage', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmJediState', 'immediate', 'gmJediState', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('gmRevive', 'immediate', 'gmRevive', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('goto', 'immediate', 'cmdGoto', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantBadge', 'immediate', 'cmdGrantBadge', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantPadawanTrialsEligibility', 'immediate', 'cmdGrantPadawanTrialsEligibility', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantSkill', 'immediate', 'cmdGrantSkill', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantTitle', 'immediate', ' ', 'failAdmin', 'grantTitle', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('grantZoningRights', 'normal', 'cmdGrantZoningRights', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('groupChat', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('groupSay', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gsay', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('gtell', 'immediate', ' ', ' ', 'groupChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guild', 'immediate', ' ', ' ', 'guildChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guildremove', 'normal', 'cmdGuildremove', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guildsay', 'immediate', ' ', ' ', 'guildChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('guildstatus', 'normal', 'cmdGuildstatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harmful', 'immediate', 'cmdHarmful', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('harmless', 'immediate', 'cmdHarmless', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('harvestCorpse', 'normal', 'cmdHarvestCorpse', 'cmdHarvestCorpseFail', ' ', ' ', '1', 'harvestCorpse', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '1', '1', '1', '0', '0', '1', '0', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.outdoorsman', 'required', ' ', '0', '0', '-1884016229', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterActivate', 'immediate', ' ', ' ', 'harvesterActivate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterDeactivate', 'immediate', ' ', ' ', 'harvesterDeactivate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterDiscardHopper', 'immediate', ' ', ' ', 'harvesterDiscardHopper', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterGetResourceData', 'immediate', ' ', ' ', 'harvesterGetResourceData', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterHarvest', 'immediate', ' ', ' ', 'harvesterHarvest', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterMakeCrate', 'immediate', ' ', ' ', 'harvesterMakeCrate', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterSelectResource', 'immediate', ' ', ' ', 'harvesterSelectResource', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('harvesterTakeSurvey ', 'immediate', ' ', ' ', 'harvesterTakeSurvey ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('hasVeteranReward', 'immediate', 'cmdHasVeteranReward', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('haveconsent', 'front', 'cmdHaveConsent', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('headShot1', 'normal', 'headShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'headShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('headShot2', 'normal', 'headShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'headShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('headShot3', 'normal', 'headShot3', 'failSpecialAttack', ' ', ' ', '1.5', 'headShot3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healActionSelf1', 'normal', 'healActionSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionSelf2', 'normal', 'healActionSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundOther1', 'normal', 'healActionWoundOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundOther2', 'normal', 'healActionWoundOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundSelf1', 'normal', 'healActionWoundSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healActionWoundSelf2', 'normal', 'healActionWoundSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healActionWoundSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllOther1', 'normal', 'healAllOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllOther2', 'normal', 'healAllOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllSelf1', 'normal', 'healAllSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healAllSelf2', 'normal', 'healAllSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healAllSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueOther1', 'normal', 'healBattleFatigueOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueOther2', 'normal', 'healBattleFatigueOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueSelf1', 'normal', 'healBattleFatigueSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healBattleFatigueSelf2', 'normal', 'healBattleFatigueSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healBattleFatigueSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healDamage', 'normal', 'healDamage', ' ', ' ', ' ', '5', 'healDamage', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healDroidDamage', 'normal', 'healDroidDamage', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'item.comestible.droid_med', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healDroidWound', 'normal', 'healDroidWound', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'item.comestible.droid_med', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healEnhance', 'normal', 'healEnhance', ' ', ' ', ' ', '7', 'healEnhance', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healHealthSelf1', 'normal', 'healHealthSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthSelf2', 'normal', 'healHealthSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundOther1', 'normal', 'healHealthWoundOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundOther2', 'normal', 'healHealthWoundOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundSelf1', 'normal', 'healHealthWoundSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healHealthWoundSelf2', 'normal', 'healHealthWoundSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healHealthWoundSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMind', 'normal', 'healMind', ' ', ' ', ' ', '5', 'healMind', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healMindSelf1', 'normal', 'healMindSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindSelf2', 'normal', 'healMindSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundOther1', 'normal', 'healMindWoundOther1', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundOther1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundOther2', 'normal', 'healMindWoundOther2', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundOther2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundSelf1', 'normal', 'healMindWoundSelf1', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundSelf1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healMindWoundSelf2', 'normal', 'healMindWoundSelf2', 'failSpecialAttack', ' ', ' ', '1.5', 'healMindWoundSelf2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healPet', 'normal', 'healPetDamage', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'item.comestible.pet_med', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('healState', 'normal', 'healState', ' ', ' ', ' ', '5', 'healState', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healStatesOther', 'normal', 'healStatesOther', 'failSpecialAttack', ' ', ' ', '1.5', 'healStatesOther', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healStatesSelf', 'normal', 'healStatesSelf', 'failSpecialAttack', ' ', ' ', '1.5', 'healStatesSelf', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('healthShot1', 'normal', 'healthShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'healthShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healthShot2', 'normal', 'healthShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'healthShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('healWound', 'normal', 'healWound', ' ', ' ', ' ', '7', 'healWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('holoEmote', 'immediate', 'cmdHoloEmote', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'systems.image_designer.holoemote', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('imagedesign', 'normal', 'imageDesignRequestStart', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'systems.image_designer.player_image_designer', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('initializeComponent', 'immediate', 'cmdInitializeComponent', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '10', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('innate', 'front', 'cmdInnate', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('insertItemIntoShipComponentSlot', 'normal', ' ', ' ', 'insertItemIntoShipComponentSlot', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('installMissionTerminal', 'normal', 'cmdInstallMissionTerminal', ' ', ' ', ' ', '0', 'installMissionTerminal', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('installShipComponent', 'normal', ' ', ' ', 'installShipComponent', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '244939766', '0', '16', '0', '244939766', '0');
INSERT INTO `command_command_table` VALUES ('insure', 'immediate', 'cmdInsureItem', ' ', 'combatCommandHandler', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '-805919484', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('intimidate1', 'normal', 'intimidate1', 'failSpecialAttack', ' ', ' ', '1.5', 'intimidate1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('intimidate2', 'normal', 'intimidate2', 'failSpecialAttack', ' ', ' ', '1.5', 'intimidate2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('intimidationAttack', 'normal', 'intimidationAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('invite', 'immediate', ' ', 'cmdInviteFail', 'groupInvite', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('invulnerable', 'immediate', 'cmdInvulnerable', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('itemmoveback', 'immediate', 'itemMoveBack', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemmovedown', 'immediate', 'itemMoveDown', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemmoveforward', 'immediate', 'itemMoveForward', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemmoveup', 'immediate', 'itemMoveUp', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemrotateleft', 'immediate', 'itemRotateLeft', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('itemrotateright', 'immediate', 'itemRotateRight', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('jediMindTrick', 'normal', 'jediMindTrick', 'failSpecialAttack', ' ', ' ', '1.5', 'jediMindTrick', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('join', 'immediate', 'cmdGroupJoin', ' ', 'groupJoin', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('joinGame', 'normal', 'cmdJoinGame', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('kick', 'immediate', ' ', 'failAdmin', 'admin_kick', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('kill', 'immediate', 'cmdKill', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('killPlayer', 'immediate', 'cmdKillPlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '10', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('kipUpShot', 'normal', 'kipUpShot', 'failSpecialAttack', ' ', ' ', '1.5', 'kipUpShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('kneel', 'immediate', 'kneel', 'kneelFail', 'setPosture', 'setPosture', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '891527001', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('knockdownAttack', 'normal', 'knockdownAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('knockdownFire', 'normal', 'knockdownFire', 'failSpecialAttack', ' ', ' ', '1.5', 'knockdownFire', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('lag', 'immediate', ' ', ' ', 'lag', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('lastDitch', 'normal', 'lastDitch', 'failSpecialAttack', ' ', ' ', '1.5', 'lastDitch', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('launchFirework', 'normal', 'cmdLaunchFirework', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.cmd.misc', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('leaveGame', 'normal', 'cmdLeaveGame', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('leaveGroup', 'immediate', 'cmdLeaveGroup', ' ', 'groupDisband', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('legShot1', 'normal', 'legShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'legShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('legShot2', 'normal', 'legShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'legShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('legShot3', 'normal', 'legShot3', 'failSpecialAttack', ' ', ' ', '1.5', 'legShot3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('lfg', 'immediate', ' ', ' ', 'toggleLookingForGroup', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('listActiveQuests', 'immediate', 'cmdListActiveQuests', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('listCompletedQuests', 'immediate', 'cmdListCompletedQuests', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('listen', 'normal', 'cmdListen', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('listGuilds', 'immediate', ' ', 'failAdmin', 'admin_listGuilds', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('logout', 'normal', 'cmdStartLogout', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('loot', 'immediate', 'cmdLoot', 'cmdOpenFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('lootAiCorpse', 'immediate', 'cmdLootAi', 'cmdOpenFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('lootPlayerCorpse', 'immediate', 'cmdLootPlayer', 'cmdOpenFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('lowBlow', 'normal', 'lowBlow', 'failSpecialAttack', ' ', ' ', '1.5', 'lowBlow', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('makeLeader', 'immediate', ' ', ' ', 'groupMakeLeader', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('makeSurvey ', 'front', ' ', ' ', 'makeSurvey ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('manufacture', 'immediate', ' ', 'failAdmin', 'console_manufacture', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('maskscent', 'normal', 'maskscent', 'failMaskscent', ' ', ' ', '2', 'maskscent', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('maxCombatAbility', 'immediate', 'maxCombatAbility', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('maxStats', 'immediate', 'maxStats', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('medicalForage', 'normal', 'medicalForage', 'failForage', ' ', ' ', '2', 'medicalForage', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', '0', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('meditate', 'normal', 'cmdMeditate', ' ', ' ', ' ', '1.5', 'meditate', '1', '0', '1', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.skill.teraskasi', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('melee1hBlindHit1', 'normal', 'melee1hBlindHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBlindHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBlindHit2', 'normal', 'melee1hBlindHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBlindHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBodyHit1', 'normal', 'melee1hBodyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBodyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBodyHit2', 'normal', 'melee1hBodyHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBodyHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hBodyHit3', 'normal', 'melee1hBodyHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hBodyHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hDizzyHit1', 'normal', 'melee1hDizzyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hDizzyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hDizzyHit2', 'normal', 'melee1hDizzyHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hDizzyHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHealthHit1', 'normal', 'melee1hHealthHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHealthHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHealthHit2', 'normal', 'melee1hHealthHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHealthHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHit1', 'normal', 'melee1hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHit2', 'normal', 'melee1hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hHit3', 'normal', 'melee1hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hLunge1', 'normal', 'melee1hLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hLunge2', 'normal', 'melee1hLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hScatterHit1', 'normal', 'melee1hScatterHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hScatterHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hScatterHit2', 'normal', 'melee1hScatterHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hScatterHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hSpinAttack1', 'normal', 'melee1hSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee1hSpinAttack2', 'normal', 'melee1hSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee1hSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hArea1', 'normal', 'melee2hArea1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hArea2', 'normal', 'melee2hArea2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hArea3', 'normal', 'melee2hArea3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hArea3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHeadHit1', 'normal', 'melee2hHeadHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHeadHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHeadHit2', 'normal', 'melee2hHeadHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHeadHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHeadHit3', 'normal', 'melee2hHeadHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHeadHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHit1', 'normal', 'melee2hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHit2', 'normal', 'melee2hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hHit3', 'normal', 'melee2hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hLunge1', 'normal', 'melee2hLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hLunge2', 'normal', 'melee2hLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hMindHit1', 'normal', 'melee2hMindHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hMindHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hMindHit2', 'normal', 'melee2hMindHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hMindHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSpinAttack1', 'normal', 'melee2hSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSpinAttack2', 'normal', 'melee2hSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSweep1', 'normal', 'melee2hSweep1', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSweep1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('melee2hSweep2', 'normal', 'melee2hSweep2', 'failSpecialAttack', ' ', ' ', '1.5', 'melee2hSweep2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('mindBlast1', 'normal', 'mindBlast1', 'failSpecialAttack', ' ', ' ', '1.5', 'mindBlast1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('mindBlast2', 'normal', 'mindBlast2', 'failSpecialAttack', ' ', ' ', '1.5', 'mindBlast2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('mindShot1', 'normal', 'mindShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'mindShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('mindShot2', 'normal', 'mindShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'mindShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('money', 'immediate', ' ', 'failAdmin', 'console_money', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('mount', 'front', 'mount', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'required', ' ', '3', '0', '0', '0', '4', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('moveFurniture', 'immediate', 'moveFurniture', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('multiTargetPistolShot', 'normal', 'multiTargetPistolShot', 'failSpecialAttack', ' ', ' ', '1.5', 'multiTargetPistolShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('multiTargetShot', 'normal', 'multiTargetShot', 'failSpecialAttack', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('nameStructure', 'immediate', 'nameStructure', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('newbiehelper', 'immediate', ' ', ' ', 'toggleHelper', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('newbieRequestStartingLocations', 'front', 'newbieRequestStartingLocations', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('newbieSelectStartingLocation', 'front', 'newbieSelectStartingLocation', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('nextCraftingStage', 'immediate', ' ', ' ', 'nextCraftingStage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('npc', 'immediate', ' ', 'failAdmin', 'console_npc', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('npcConversationSelect', 'immediate', ' ', ' ', 'npcConversationSelect', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('npcConversationStart', 'immediate', ' ', ' ', 'npcConversationStart', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('npcConversationStop', 'immediate', ' ', ' ', 'npcConversationStop', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('object', 'immediate', ' ', 'failAdmin', 'console_object', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('objvar', 'immediate', ' ', 'failAdmin', 'console_objvar', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('openContainer', 'immediate', ' ', 'cmdOpenFail', 'openContainer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('overChargeShot1', 'normal', 'overChargeShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'overChargeShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('overChargeShot2', 'normal', 'overChargeShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'overChargeShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('overrideActiveMonths', 'immediate', 'cmdOverrideActiveMonths', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('overridePadawanTrialsEligibility', 'immediate', 'cmdGrantPadawanTrialsEligibility', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('panicShot', 'normal', 'coneDelay', 'failSpecialAttack', ' ', ' ', '1.5', 'panicShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pauseDance', 'normal', 'cmdStopDance', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('pauseMusic', 'normal', 'cmdPauseMusic', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('paWithdraw', 'immediate', 'paWithdraw', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('paymaintenance', 'immediate', 'payMaintenance', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('peace', 'immediate', 'peace', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', ' ', 'optional', ' ', '3', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('permissionListModify', 'immediate', ' ', ' ', 'permissionListModify', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('pistolMeleeDefense1', 'normal', 'pistolMeleeDefense1', 'failSpecialAttack', ' ', ' ', '1.5', 'pistolMeleeDefense1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pistolMeleeDefense2', 'normal', 'pistolMeleeDefense2', 'failSpecialAttack', ' ', ' ', '1.5', 'pistolMeleeDefense2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('placeBattlefieldStructure', 'immediate', 'placeBattlefieldStructure', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('placeStructure', 'immediate', ' ', ' ', 'placeStructure', ' ', '0', ' ', '1', '0', '1', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('placeStructureMode', 'immediate', 'placeStructureMode', 'failPlaceStructureMode', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('planet', 'immediate', ' ', ' ', 'planetChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('planetsay', 'immediate', ' ', ' ', 'planetChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('planetwarp', 'immediate', ' ', 'failAdmin', 'admin_planetwarp', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('planetwarpTarget', 'immediate', ' ', 'failAdmin', 'admin_planetwarp', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('pointBlankArea1', 'normal', 'pointBlankArea1', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pointBlankArea2', 'normal', 'pointBlankArea2', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pointBlankSingle1', 'normal', 'pointBlankSingle1', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankSingle1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('pointBlankSingle2', 'normal', 'pointBlankSingle2', 'failSpecialAttack', ' ', ' ', '1.5', 'pointBlankSingle2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmActionHit1', 'normal', 'polearmActionHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmActionHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmActionHit2', 'normal', 'polearmActionHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmActionHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmArea1', 'normal', 'polearmArea1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmArea1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmArea2', 'normal', 'polearmArea2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmArea2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmHit1', 'normal', 'polearmHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmHit2', 'normal', 'polearmHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmHit3', 'normal', 'polearmHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLegHit1', 'normal', 'polearmLegHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLegHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLegHit2', 'normal', 'polearmLegHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLegHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLegHit3', 'normal', 'polearmLegHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLegHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLunge1', 'normal', 'polearmLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmLunge2', 'normal', 'polearmLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSpinAttack1', 'normal', 'polearmSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSpinAttack2', 'normal', 'polearmSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmStun1', 'normal', 'polearmStun1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmStun1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmStun2', 'normal', 'polearmStun2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmStun2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSweep1', 'normal', 'polearmSweep1', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSweep1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('polearmSweep2', 'normal', 'polearmSweep2', 'failSpecialAttack', ' ', ' ', '1.5', 'polearmSweep2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('postureDownAttack', 'normal', 'postureDownAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('postureUpAttack', 'normal', 'postureUpAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('powerBoost', 'normal', 'cmdPowerBoost', ' ', ' ', ' ', '1.5', 'powerBoost', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.skill.teraskasi', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('prone', 'immediate', 'prone', 'proneFail', 'setPosture', 'setPosture', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '891527001', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('purchaseReinforcement', 'immediate', 'purchaseReinforcement', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('purchaseTicket', 'immediate', ' ', ' ', 'purchaseTicket', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('quickHeal', 'normal', 'quickHeal', ' ', ' ', ' ', '2', 'quickHeal', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('rally', 'normal', 'rally', ' ', ' ', ' ', '5', 'rally', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('reconnectToTransferServer', 'immediate', ' ', 'failAdmin', 'reconnectToTransferServer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('recruitSkillTrainer', 'normal', 'cmdRecruitSkillTrainer', ' ', ' ', ' ', '0', 'recruitSkillTrainer', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('regainConsciousness', 'normal', 'regainConsciousness', 'failSpecialAttack', ' ', ' ', '1.5', 'regainConsciousness', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('regeneration', 'front', 'cmdRegeneration', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('registerWithLocation', 'immediate', 'cmdRegisterWithLocation', ' ', ' ', ' ', '0', 'registerWithLocation', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'player.cmd.register', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('reload', 'normal', 'reload', ' ', ' ', ' ', '3', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('remote', 'immediate', ' ', 'failAdmin', 'console_all', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('removeAllowedPlayer', 'front', ' ', 'failAdmin', 'removeAllowedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('removeBannedPlayer', 'front', ' ', 'failAdmin', 'removeBannedPlayer', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('removeFriend', 'immediate', ' ', ' ', 'removeFriend', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('removeIgnore', 'immediate', ' ', ' ', 'removeIgnore', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('repairBattlefieldStructure', 'normal', 'repairBattlefieldStructure', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('repairShipComponentInSlot', 'normal', 'repairShipComponentInSlot', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '244939766', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('report', 'immediate', ' ', ' ', 'report', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestBadges', 'normal', ' ', ' ', 'requestBadges', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestBiography', 'immediate', ' ', ' ', 'requestBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCharacterMatch', 'immediate', ' ', ' ', 'requestCharacterMatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCharacterSheetInfo', 'normal', ' ', ' ', 'requestCharacterSheetInfo', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCoreSample', 'immediate', ' ', ' ', 'requestCoreSample', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestCraftingSession', 'immediate', ' ', ' ', 'requestCraftingSession', 'requestCraftingSessionFail', '0', ' ', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestDraftSlots', 'immediate', ' ', ' ', 'requestDraftSlots', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestDraftSlotsBatch', 'immediate', ' ', ' ', 'requestDraftSlotsBatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestManfSchematicSlots', 'immediate', ' ', ' ', 'requestManfSchematicSlots', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestResourceWeights', 'normal', ' ', ' ', 'requestResourceWeights', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestResourceWeightsBatch', 'normal', ' ', ' ', 'requestResourceWeightsBatch', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestSetStatMigrationData', 'immediate', ' ', ' ', 'requestSetStatMigrationData', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStatMigrationData', 'immediate', ' ', ' ', 'requestStatMigrationData', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStatMigrationStart', 'immediate', ' ', ' ', 'requestStatMigrationStart', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStatMigrationStop', 'immediate', ' ', ' ', 'requestStatMigrationStop', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestStimpack', 'normal', 'cmdRequestStimpack', ' ', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestSurvey', 'immediate', ' ', ' ', 'requestSurvey', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('requestWaypointAtPosition', 'front', ' ', ' ', 'requestWaypointAtPosition', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('rescue', 'normal', 'rescue', 'failSpecialAttack', ' ', ' ', '2', 'rescue', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('resendLoginMessageToAll', 'immediate', 'resendLoginMessageToAll', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resetJedi', 'immediate', 'cmdResetJedi', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resource', 'immediate', ' ', 'failAdmin', 'console_resource', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resourceContainerSplit', 'immediate', ' ', ' ', 'resourceContainerSplit', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('resourceContainerTransfer', 'immediate', ' ', ' ', 'resourceContainerTransfer', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('resourceSetName', 'immediate', ' ', ' ', 'resourceSetName', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('resSampleLoop', 'front', 'cmdResSampleLoop', 'cmdResNoSampleLoop', ' ', ' ', '0', ' ', '1', '0', '1', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '0', '1', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.tool.surveytool', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('restartConversion', 'immediate', 'jediResetConversion', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('restartCraftingSession', 'immediate', ' ', ' ', 'restartCraftingSession', ' ', '0', ' ', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('retreat', 'normal', 'retreat', 'failSpecialAttack', ' ', ' ', '1.5', 'retreat', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('revivePlayer', 'normal', 'cmdRevivePlayer', ' ', ' ', ' ', '10', 'revivePlayer', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('revokeBadge', 'immediate', 'cmdRevokeBadge', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('revokeSkill', 'immediate', 'cmdRevokeSkill', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('rolePlay', 'immediate', ' ', ' ', 'toggleRolePlay', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('rollShot', 'normal', 'rollShot', 'failSpecialAttack', ' ', ' ', '1.5', 'rollShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('rotateFurniture', 'immediate', 'rotateFurniture', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('saber1hComboHit1', 'normal', 'saber1hComboHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hComboHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hComboHit2', 'normal', 'saber1hComboHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hComboHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hComboHit3', 'normal', 'saber1hComboHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hComboHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hFlurry', 'normal', 'saber1hFlurry', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hFlurry', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hFlurry2', 'normal', 'saber1hFlurry2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hFlurry2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHeadHit1', 'normal', 'saber1hHeadHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHeadHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHeadHit2', 'normal', 'saber1hHeadHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHeadHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHeadHit3', 'normal', 'saber1hHeadHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHeadHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHit1', 'normal', 'saber1hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHit2', 'normal', 'saber1hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber1hHit3', 'normal', 'saber1hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber1hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hBodyHit1', 'normal', 'saber2hBodyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hBodyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hBodyHit2', 'normal', 'saber2hBodyHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hBodyHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hBodyHit3', 'normal', 'saber2hBodyHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hBodyHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hFrenzy', 'normal', 'saber2hFrenzy', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hFrenzy', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hHit1', 'normal', 'saber2hHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hHit2', 'normal', 'saber2hHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hHit3', 'normal', 'saber2hHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hPhantom', 'normal', 'saber2hPhantom', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hPhantom', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hSweep1', 'normal', 'saber2hSweep1', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hSweep1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hSweep2', 'normal', 'saber2hSweep2', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hSweep2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saber2hSweep3', 'normal', 'saber2hSweep3', 'failSpecialAttack', ' ', ' ', '1.5', 'saber2hSweep3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmDervish', 'normal', 'saberPolearmDervish', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmDervish', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmDervish2', 'normal', 'saberPolearmDervish2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmDervish2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmHit1', 'normal', 'saberPolearmHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmHit2', 'normal', 'saberPolearmHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmHit3', 'normal', 'saberPolearmHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmLegHit1', 'normal', 'saberPolearmLegHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmLegHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmLegHit2', 'normal', 'saberPolearmLegHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmLegHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmLegHit3', 'normal', 'saberPolearmLegHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmLegHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmSpinAttack1', 'normal', 'saberPolearmSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmSpinAttack2', 'normal', 'saberPolearmSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberPolearmSpinAttack3', 'normal', 'saberPolearmSpinAttack3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberPolearmSpinAttack3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberSlash1', 'normal', 'saberSlash1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberSlash1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberSlash2', 'normal', 'saberSlash2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberSlash2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-1170591580', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberThrow1', 'normal', 'saberThrow1', 'failSpecialAttack', ' ', ' ', '1.5', 'saberThrow1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberThrow2', 'normal', 'saberThrow2', 'failSpecialAttack', ' ', ' ', '1.5', 'saberThrow2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('saberThrow3', 'normal', 'saberThrow3', 'failSpecialAttack', ' ', ' ', '1.5', 'saberThrow3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('sample', 'immediate', ' ', ' ', 'getSample', ' ', '0', 'sample', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('sampleDNA', 'normal', 'cmdHarvestDNA', 'cmdHarvestDNAFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '1', '1', '1', '0', '0', '1', '0', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '0', '-1219797200', '0', '16', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('scatterShot1', 'normal', 'scatterShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'scatterShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('scatterShot2', 'normal', 'scatterShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'scatterShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('script', 'immediate', ' ', 'failAdmin', 'console_script', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('searchCorpse', 'immediate', 'cmdSearchCorpse', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('secretSpawnSpam', 'immediate', 'secretSpawnSpam', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('seGoggles', 'immediate', 'createNewGoggles', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'item.goggles.reset', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('selectDraftSchematic', 'immediate', ' ', ' ', 'selectDraftSchematic', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('server', 'immediate', ' ', 'failAdmin', 'console_server', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('serverDestroyObject', 'front', ' ', ' ', 'serverDestroyObject', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('serverSysGroup', 'immediate', 'sysGroup', ' ', ' ', ' ', '0', 'sysgroup', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setBiographyAdmin', 'immediate', ' ', 'failAdmin', 'setBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setBiography', 'immediate', ' ', ' ', 'setBiography', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setBoostmorale', 'immediate', 'setBoostmorale', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setCharge', 'immediate', 'setCharge', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setCurrentSkillTitle', 'immediate', ' ', ' ', 'setCurrentSkillTitle', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setExperience', 'immediate', 'cmdSetExperience', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFaction', 'immediate', 'cmdSetFaction', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFactionStanding', 'immediate', 'cmdSetFactionStanding', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFirstName', 'immediate', 'cmdSetFirstName', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setFormup', 'immediate', 'setFormup', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setGodMode', 'immediate', ' ', ' ', 'admin_setGodMode', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setHue', 'immediate', 'cmdSetHue', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setIntimidate', 'immediate', 'setIntimidate', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setLastName', 'immediate', 'cmdSetLastName', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setLoginMessage', 'immediate', 'setLoginMessage', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setLoginTitle', 'immediate', 'setLoginTitle', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setMatchMakingCharacterId', 'immediate', ' ', ' ', 'setMatchMakingCharacterId', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setMatchMakingPersonalId', 'immediate', ' ', ' ', 'setMatchMakingPersonalId', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setMaximumSpawnTime', 'immediate', 'setMaximumSpawnTime', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setMinimumSpawnTime', 'immediate', 'setMinimumSpawnTime', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setMood', 'front', ' ', ' ', 'setMood', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setMoodInternal', 'front', ' ', ' ', 'setMoodInternal', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setName', 'front', ' ', ' ', 'setName', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setName', 'immediate', 'cmdSetName', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setOwner', 'front', ' ', ' ', 'setOwner', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setPerformanceBuffTarget', 'normal', 'cmdSetPerformanceBuffTarget', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setpermission', 'immediate', 'setPermission', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setPlanetLimit', 'immediate', 'setPlanetLimit', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setPlayerAppearance', 'immediate', ' ', ' ', 'setPlayerAppearance', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '15', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setPlayerState', 'immediate', 'cmdSetPlayerState', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setprivacy', 'immediate', 'setPrivacy', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setPublicState', 'front', ' ', 'failAdmin', 'setPublicState', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setRank', 'immediate', 'cmdSetRank', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setRetreat', 'immediate', 'setRetreat', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setSpeed', 'immediate', 'cmdSetSpeed', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setSpokenLanguage', 'immediate', ' ', ' ', 'setSpokenLanguage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setSteadyaim', 'immediate', 'setSteadyaim', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setTEF', 'immediate', 'cmdSetTef', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '1', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setVeteranReward', 'immediate', 'cmdSetVeteranReward', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('setWarcry', 'immediate', 'setWarcry', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setWaypointActiveStatus', 'immediate', ' ', ' ', 'setWaypointActiveStatus', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('setWaypointName', 'immediate', ' ', ' ', 'setWaypointName', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showCouncilRank', 'immediate', 'cmdShowCouncilRank', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showDanceVisuals', 'immediate', ' ', ' ', 'showDanceVisuals', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showFactionInformation', 'immediate', 'cmdShowFactionInformation', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('showMusicianVisuals', 'immediate', ' ', ' ', 'showMusicianVisuals', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showPvPRating', 'immediate', 'cmdShowPvPRating', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('showSpawnRegion', 'immediate', 'showSpawnRegion', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('sitServer', 'normal', 'sit', ' ', 'sitServer', ' ', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('skill', 'immediate', ' ', 'failAdmin', 'console_skill', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('smokebomb', 'normal', 'cmdSmokeBomb', ' ', ' ', ' ', '0', 'smokebomb', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('sniperShot', 'normal', 'sniperShot', 'failSpecialAttack', ' ', ' ', '1.5', 'sniperShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('snoop', 'immediate', ' ', 'failAdmin', 'admin_snoop', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('social', 'front', ' ', ' ', 'social', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('socialInternal', 'front', ' ', ' ', 'socialInternal', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spatialChat', 'front', ' ', ' ', 'spatialChat', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spatialChatInternal', 'front', ' ', ' ', 'spatialChatInternal', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spawnStatus', 'immediate', 'spawnStatus', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('splitCreditsWithGroup', 'immediate', 'cmdSplitCreditsWithGroup', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('spotlight', 'normal', 'cmdSpotLight', ' ', ' ', ' ', '0', 'spotlight', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('sprayShot', 'normal', 'sprayShot', 'failSpecialAttack', ' ', ' ', '1.5', 'sprayShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('stand', 'immediate', 'stand', 'standFail', 'setPosture', 'setPosture', '2', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '3', '0', '891527001', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('startBand', 'normal', 'cmdStartBand', 'failMusic', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('startCitySpawner', 'immediate', 'startCitySpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('startDance', 'normal', 'cmdStartDance', 'failDance', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('startleShot1', 'normal', 'startleShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'startleShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('startleShot2', 'normal', 'startleShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'startleShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('startMusic', 'normal', 'cmdStartMusic', 'failMusic', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('startSpawner', 'immediate', 'startSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('startTargetSpawner', 'immediate', 'startTargetSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('startTraceLogging', 'immediate', 'startTraceLogging', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stat', 'normal', 'cmdStat', 'cmdStatFail', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('steadyaim', 'normal', 'steadyaim', 'failSpecialAttack', ' ', ' ', '1.5', 'steadyaim', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopBand', 'normal', 'cmdStopBand', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopBleeding', 'normal', 'stopBleeding', 'failSpecialAttack', ' ', ' ', '1.5', 'stopBleeding', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('stopCitySpawner', 'immediate', 'stopCitySpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopCraftingSession', 'immediate', ' ', ' ', 'stopCraftingSession', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '-436806567', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopDance', 'normal', 'cmdStopDance', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stoplistening', 'normal', 'cmdStopListening', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stopMusic', 'normal', 'cmdStopMusic', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stoppingShot', 'normal', 'stoppingShot', 'failSpecialAttack', ' ', ' ', '1.5', 'stoppingShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('stopSpawner', 'immediate', 'stopSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopTargetSpawner', 'immediate', 'stopTargetSpawner', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopTraceLogging', 'immediate', 'stopTraceLogging', ' ', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('stopwatching', 'normal', 'cmdStopWatching', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('strafeShot1', 'normal', 'strafeShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'strafeShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('strafeShot2', 'normal', 'strafeShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'strafeShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('structurestatus', 'immediate', 'structureStatus', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('stunAttack', 'normal', 'stunAttack', ' ', ' ', ' ', '0.25', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-506878646', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('suppressionFire1', 'normal', 'suppressionFire1', 'failSpecialAttack', ' ', ' ', '1.5', 'suppressionFire1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('suppressionFire2', 'normal', 'suppressionFire2', 'failSpecialAttack', ' ', ' ', '1.5', 'suppressionFire2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('surpriseShot', 'normal', 'surpriseShot', 'failSpecialAttack', ' ', ' ', '1.5', 'surpriseShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('surrenderSkill', 'immediate', ' ', ' ', 'surrenderSkill', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('survey', 'immediate', ' ', ' ', 'survey', ' ', '0', 'survey', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('synchronizedUiListen', 'immediate', ' ', ' ', 'synchronizedUiListen', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('synchronizedUiStopListening', 'immediate', ' ', ' ', 'synchronizedUiStopListening', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '1288814119', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('systemMessage', 'immediate', ' ', ' ', 'systemMessage', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('takeCover', 'normal', 'takeCover', 'failSpecialAttack', ' ', ' ', '4', 'takeCover', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tame', 'normal', 'cmdTame', ' ', ' ', ' ', '0.5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.taming', 'required', ' ', '2', '0', '0', '0', '32', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('target', 'immediate', 'target', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('taunt', 'normal', 'taunt', 'failSpecialAttack', ' ', ' ', '1.5', 'taunt', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('teach', 'normal', 'teach', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('teleport', 'immediate', ' ', 'failAdmin', 'admin_teleport', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('teleportTarget', 'immediate', ' ', 'failAdmin', 'admin_teleport', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('teleportTo', 'immediate', ' ', 'failAdmin', 'admin_teleportTo', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('tellpet', 'immediate', 'cmdTellPet', ' ', ' ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'player.skill.taming', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('tendDamage', 'normal', 'tendDamage', ' ', ' ', ' ', '5', 'tendDamage', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tendDamageTool', 'normal', 'tendDamageTool', ' ', ' ', ' ', '5', 'tendDamage', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('tendWound', 'normal', 'tendWound', ' ', ' ', ' ', '5', 'tendWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tendWoundsTool', 'normal', 'tendWoundsTool', ' ', ' ', ' ', '5', 'tendWound', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('threatenShot', 'normal', 'threatenShot', 'failSpecialAttack', ' ', ' ', '1.5', 'threatenShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('throwGrenade', 'normal', 'throwGrenade', 'failThrowGrenade', ' ', ' ', '15', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('throwTrap', 'normal', 'throwTrap', 'failThrowTrap', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'required', ' ', '1', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tip', 'front', 'cmdTip', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('toggleAwayFromKeyBoard', 'immediate', ' ', ' ', 'toggleAwayFromKeyBoard', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('toggleDisplayingFactionRank', 'immediate', ' ', ' ', 'toggleDisplayingFactionRank', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('torsoShot', 'normal', 'torsoShot', 'failSpecialAttack', ' ', ' ', '1.5', 'torsoShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('totalHealOther', 'normal', 'totalHealOther', 'failSpecialAttack', ' ', ' ', '1.5', 'totalHealOther', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('totalHealSelf', 'normal', 'totalHealSelf', 'failSpecialAttack', ' ', ' ', '1.5', 'totalHealSelf', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('transferForce', 'normal', 'transferForce', 'failSpecialAttack', ' ', ' ', '1.5', 'transferForce', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '-1478973933', '1');
INSERT INTO `command_command_table` VALUES ('transferItem', 'immediate', ' ', ' ', 'transferItem', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('transferItemArmor', 'normal', ' ', ' ', 'transferItemArmor', ' ', '5', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('transferItemMisc', 'normal', ' ', ' ', 'transferItemMisc', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('transferItemWeapon', 'normal', ' ', ' ', 'transferItemWeapon', ' ', '3', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '2', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('transferstructure', 'immediate', 'transferStructure', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('tumbleToKneeling', 'normal', 'tumbleToKneeling', 'failSpecialAttack', ' ', ' ', '3', 'tumbleToKneeling', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tumbleToProne', 'normal', 'tumbleToProne', 'failSpecialAttack', ' ', ' ', '3', 'tumbleToProne', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('tumbleToStanding', 'normal', 'tumbleToStanding', 'failSpecialAttack', ' ', ' ', '3', 'tumbleToStanding', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedBlind1', 'normal', 'unarmedBlind1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedBlind1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedBodyHit1', 'normal', 'unarmedBodyHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedBodyHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedCombo1', 'normal', 'unarmedCombo1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedCombo1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedCombo2', 'normal', 'unarmedCombo2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedCombo2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedDizzy1', 'normal', 'unarmedDizzy1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedDizzy1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHeadHit1', 'normal', 'unarmedHeadHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHeadHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHit1', 'normal', 'unarmedHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHit2', 'normal', 'unarmedHit2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHit2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedHit3', 'normal', 'unarmedHit3', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedHit3', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedKnockdown1', 'normal', 'unarmedKnockdown1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedKnockdown1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedKnockdown2', 'normal', 'unarmedKnockdown2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedKnockdown2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedLegHit1', 'normal', 'unarmedLegHit1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedLegHit1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedLunge1', 'normal', 'unarmedLunge1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedLunge1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedLunge2', 'normal', 'unarmedLunge2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedLunge2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedSpinAttack1', 'normal', 'unarmedSpinAttack1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedSpinAttack1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedSpinAttack2', 'normal', 'unarmedSpinAttack2', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedSpinAttack2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unarmedStun1', 'normal', 'unarmedStun1', 'failSpecialAttack', ' ', ' ', '1.5', 'unarmedStun1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unassociateDroidControlDeviceWithShip', 'normal', ' ', ' ', 'unassociateDroidControlDeviceWithShip', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('unCityBan', 'immediate', 'cmdUnCityBan', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', ' ', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('unconsent', 'front', 'cmdUnconsent', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'none', ' ', '3', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('underHandShot', 'normal', 'underHandShot', 'failSpecialAttack', ' ', ' ', '1.5', 'underHandShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('unfreezePlayer', 'immediate', 'cmdUnfreezePlayer', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'required', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('uninstallShipComponent', 'normal', ' ', ' ', 'uninstallShipComponent', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'required', ' ', '1', '0', '244939766', '0', '16', '0', '244939766', '0');
INSERT INTO `command_command_table` VALUES ('uninvite', 'immediate', ' ', ' ', 'groupUninvite', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('unsnoop', 'immediate', ' ', 'failAdmin', 'admin_unsnoop', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('useReconDrone', 'normal', 'cmdUseReconDrone', ' ', ' ', ' ', '1', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'required', ' ', '2', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('useSkillBuff', 'normal', 'cmdUseSkillBuff', ' ', ' ', ' ', '1.5', ' ', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '1', 'player.cmd.misc', 'required', ' ', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('ventriloquism', 'normal', 'cmdVentriloquism', ' ', ' ', ' ', '0', 'ventriloquism', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'none', '0', '2', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('toggleCombatTaunts', 'front', 'toggleCombatTaunts', ' ', ' ', ' ', '0', ' ', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('vertFurniture', 'immediate', 'vertFurniture', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('vitalize', 'front', 'cmdVitalize', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('volleyFire', 'normal', 'volleyFire', ' ', ' ', ' ', '2', 'volleyFire', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('volleyFireAttack', 'front', 'volleyFireAttack', 'volleyFireAttackFail', ' ', ' ', '5', ' ', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '-560185247', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('warcry1', 'normal', 'warcry1', 'failSpecialAttack', ' ', ' ', '1.5', 'warcry1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('warcry2', 'normal', 'warcry2', 'failSpecialAttack', ' ', ' ', '1.5', 'warcry2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('warningShot', 'normal', 'warningShot', 'failSpecialAttack', ' ', ' ', '1.5', 'warningShot', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('watch', 'normal', 'cmdWatch', ' ', ' ', ' ', '0', ' ', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '1', 'player.skill.performcommands', 'optional', '0', '0', '0', '1908523600', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('wildShot1', 'normal', 'wildShot1', 'failSpecialAttack', ' ', ' ', '1.5', 'wildShot1', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('wildShot2', 'normal', 'wildShot2', 'failSpecialAttack', ' ', ' ', '1.5', 'wildShot2', '1', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', ' ', 'optional', ' ', '2', '0', '391413347', '0', '0', '0', '0', '1');
INSERT INTO `command_command_table` VALUES ('wipeItems', 'immediate', 'cmdWipeItems', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', 'gm.cmd', 'optional', '0', '0', '0', '0', '0', '0', '5', '-307921291', '0');
INSERT INTO `command_command_table` VALUES ('wookieeRoar', 'front', 'wookieeRoar', 'cmdInnateFail', ' ', ' ', '1', ' ', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'optional', ' ', '2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `command_command_table` VALUES ('cityInfo', 'immediate', 'cmdCityInfo', 'failAdmin', ' ', ' ', '0', 'admin', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', ' ', 'none', ' ', '0', '0', '0', '0', '0', '0', '-307921291', '0');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.86', '0.94');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'body', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'cheeks', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'jaw', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'gullet', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'hslider', 'head', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '250', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'face', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'markings', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '26', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'markings', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_female', 'markings', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.72', '0.81');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'body', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'face', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_female', 'hair', 'color', 'color_trim', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.11');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'freckles', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '7', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'hslider', 'beard', 'index_style_beard', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '18', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_male', 'hair', 'color', 'color_facial_hair', 'index_color_facial_hair', '0', '0', 'index_color_1', '', '', '0', '0', '1', '0', '0', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'body', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'cheeks', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'jaw', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'gullet', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'hslider', 'head', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '200', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'face', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'markings', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '28', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'markings', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('moncal_male', 'markings', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.75', '0.83');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'body', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'face', 'color', 'color_fur', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('bothan_male', 'hair', 'color', 'color_trim', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.03');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'tattoos', 'hslider', 'tattoo_style', 'index_style_tattoo', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '7', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'tattoos', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'tattoos', 'color', 'color_tattoo', 'index_color_tattoo', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'cosmetic', '2', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'horns_hair', 'color', 'color_horns', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_female', 'horns_hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.06');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'tattoos', 'hslider', 'tattoo_style', 'index_style_tattoo', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '7', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'tattoos', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'tattoos', 'color', 'color_tattoo', 'index_color_tattoo', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'freckles', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'horns_hair', 'color', 'color_horns', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '3', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('zabrak_male', 'horns_hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.08');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'body', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'face', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'cosmetic', '2', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyebrows', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '10', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'eyebrows', 'color', 'color_eyebrows', 'index_color_eyebrow', '0', '0', 'index_color_1', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'lekku', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '12', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'lekku', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_female', 'lekku', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.11');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'body', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'face', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'freckles', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'lekku', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '12', 'cosmetic', '21', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'lekku', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('twilek_male', 'lekku', 'color', 'color_markings', 'index_color_pattern', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.00', '1.22');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_female', 'ridges', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.03', '1.25');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('trandoshan_male', 'ridges', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.08', '1.25');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'body', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'face', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'fur', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'body', '2', 'cosmetic', '25', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'fur', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_female', 'fur', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '1.11', '1.28');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'body', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'face', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'fur', 'hslider', 'pattern', 'index_texture_1', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'body', '2', 'cosmetic', '25', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'fur', 'color', 'color_fur', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('wookiee_male', 'fur', 'color', 'color_markings', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'markings', '7', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.78', '0.92');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'eyes_nose', 'color', 'color_nose', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'hslider', 'sensors', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_female', 'hair', 'color', 'color_hair_trim', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '2', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.81', '0.94');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'hslider', 'chest', 'blend_muscle', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'eyes_nose', 'color', 'color_nose', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'hslider', 'sensors', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'frills', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('rodian_male', 'frills', 'color', 'color_frill_tips', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'markings', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.83', '1.08');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'hslider', 'nose_protrusion', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '270', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_2', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'cosmetic', '2', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'hair', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '9', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'hair', 'color', 'color_hair', 'index_color_1', '0', '0', '', '', '', '0', '0', '1', '0', '1', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('human_female', 'hair', 'color', 'color_eyebrows', 'index_color_facial_hair', '0', '0', 'index_color_1', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.03');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_height', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_length', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_slope', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'hslider', 'trunk_size', 'blend_nosesize_0,blend_nosesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'trunk', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'head_shape', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'hslider', 'hump_size', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'eyes_nose', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'markings', 'hslider', 'pattern', 'index_texture', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '12', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'markings', 'color', 'pattern_color', 'index_color_pattern', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'hslider', 'hair_style', 'index_style_hair', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'hslider', 'eyebrows', 'index_style_eyebrow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '12', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'color', 'color_hair', 'index_color_hair', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_female', 'hair', 'color', 'color_eyebrows', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.06');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_height', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_length', 'blend_nosedepth_0,blend_nosedepth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_slope', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'hslider', 'trunk_size', 'blend_nosesize_0,blend_nosesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'trunk', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'head_size', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'head_shape', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'hslider', 'hump_size', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'hslider', 'eye_direction', 'blend_eyedirection_0,blend_eyedirection_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'eyes_nose', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'markings', 'hslider', 'pattern', 'index_texture', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '12', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'markings', 'color', 'pattern_color', 'index_color_pattern', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'hslider', 'center_beard', 'index_style_beard', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '8', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'hslider', 'side_beard', 'index_style_beard_2', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'hair', '4', 'cosmetic', '8', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'color', 'color_beard', 'index_color_hair', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('ithorian_male', 'hair', 'color', 'color_beard2', 'index_color_3', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'hair', '1', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.89', '1.03');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'hslider', 'chest', 'blend_flat_chest', '0', '1', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'eyes_nose', 'color', 'color_eyes', 'index_color_eye', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'head_shape', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'ear_shape', 'blend_ear_0,blend_ear_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'chin_length', 'blend_chin_0,blend_chin_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'hslider', 'jowl', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'ears_chin_mouth', 'color', 'color_skin', 'index_color_skin', '0', '0', '', 'index_color_eyeshadow', 'index_color_lips', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'hslider', 'freckles', 'index_style_freckles', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '3', 'physical', '8', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'hslider', 'eyeshadow', 'index_style_eyeshadow', '0', '0', '', '', '', '0', '1', '1', '0', '0', 'face', '1', 'physical', '5', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'color', 'color_eye_shadow', 'index_color_eyeshadow', '0', '0', '', 'index_color_lips', '', '0', '0', '0', '1', '0', 'face', '1', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'cosmetic', 'color', 'color_lip', 'index_color_lips', '0', '0', '', '', '', '0', '0', '0', '0', '0', 'face', '1', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'markings', 'hslider', 'pattern', 'index_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '25', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_female', 'markings', 'color', 'pattern_color', 'index_color_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'hslider', 'muscle', 'blend_muscle', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '3', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'hslider', 'height', '', '1', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '5', 'physical', '0', '0.92', '1.06');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'hslider', 'weight', 'blend_skinny,blend_fat', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '7', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'body', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'eye_size', 'blend_eyesize_0,blend_eyesize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'eye_shape', 'blend_eyeshape_0,blend_eyeshape_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '8', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'nose_length', 'blend_noselength_0,blend_noselength_1', '0', '0', '', '', '', '225', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'hslider', 'nose_width', 'blend_nosewidth_0,blend_nosewidth_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '6', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'eyes_nose', 'color', 'color_eyes', 'index_color_eye', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '2', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'age', 'index_age', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '4', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'brow', 'blend_brow_0,blend_brow_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'head_shape', 'blend_headsize_0,blend_headsize_1', '0', '0', '', '', '', '0', '1', '0', '0', '0', 'face', '12', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'jaw', 'blend_jaw_0,blend_jaw_1', '0', '0', '', '', '', '195', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'hslider', 'cheeks', 'blend_cheeks_0,blend_cheeks_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'face', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'ear_shape', 'blend_ear_0,blend_ear_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'ears', 'blend_ears_0,blend_ears_1', '0', '0', '', '', '', '180', '0', '1', '0', '0', 'face', '10', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'chin', 'blend_chinsize_0,blend_chinsize_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'chin_length', 'blend_chin_0,blend_chin_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'lip_fullness', 'blend_lipfullness_0,blend_lipfullness_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '4', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'lip_width', 'blend_lipwidth_0,blend_lipwidth_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'hslider', 'jowl', 'blend_sensor_0,blend_sensor_1', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'face', '5', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'ears_chin_mouth', 'color', 'color_skin', 'index_color_skin', '0', '0', '', '', '', '0', '0', '1', '0', '0', 'body', '9', 'physical', '0', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'markings', 'hslider', 'pattern', 'index_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '26', '1.00', '1.00');
INSERT INTO `customization_data` VALUES ('sullustan_male', 'markings', 'color', 'pattern_color', 'index_color_patterns', '0', '0', '', '', '', '250', '1', '1', '0', '0', 'markings', '5', 'cosmetic', '0', '1.00', '1.00');
INSERT INTO `faction` VALUES ('1', 'Aakuans');
INSERT INTO `faction` VALUES ('2', 'Afarathu');
INSERT INTO `faction` VALUES ('3', 'Alkhara');
INSERT INTO `faction` VALUES ('4', 'Bandit');
INSERT INTO `faction` VALUES ('5', 'Beldonna\'s League');
INSERT INTO `faction` VALUES ('6', 'Binayre Pirates');
INSERT INTO `faction` VALUES ('7', 'Bloodrazor');
INSERT INTO `faction` VALUES ('8', 'Borvo');
INSERT INTO `faction` VALUES ('9', 'Canyon Corsair');
INSERT INTO `faction` VALUES ('10', 'Cobral');
INSERT INTO `faction` VALUES ('11', 'Corellian Swoop Gang');
INSERT INTO `faction` VALUES ('12', 'CorSec');
INSERT INTO `faction` VALUES ('13', 'Dantari');
INSERT INTO `faction` VALUES ('14', 'Desert Demon');
INSERT INTO `faction` VALUES ('15', 'Donkuwah');
INSERT INTO `faction` VALUES ('16', 'Drall');
INSERT INTO `faction` VALUES ('17', 'Endor Marauder');
INSERT INTO `faction` VALUES ('18', 'Fed Dub');
INSERT INTO `faction` VALUES ('19', 'Flail Cutthroat');
INSERT INTO `faction` VALUES ('20', 'Followers of Lord Nyax');
INSERT INTO `faction` VALUES ('21', 'Garyn');
INSERT INTO `faction` VALUES ('22', 'Gondula Tribe');
INSERT INTO `faction` VALUES ('23', 'Gungan');
INSERT INTO `faction` VALUES ('24', 'Hidden Daggers');
INSERT INTO `faction` VALUES ('25', 'Jabba');
INSERT INTO `faction` VALUES ('26', 'Janta');
INSERT INTO `faction` VALUES ('27', 'Jawa');
INSERT INTO `faction` VALUES ('28', 'Kobola');
INSERT INTO `faction` VALUES ('29', 'Korga');
INSERT INTO `faction` VALUES ('30', 'Kunga');
INSERT INTO `faction` VALUES ('31', 'Liberation Party');
INSERT INTO `faction` VALUES ('32', 'Lok Mercenary');
INSERT INTO `faction` VALUES ('33', 'Lost Aqualish Regiment');
INSERT INTO `faction` VALUES ('34', 'Meatlump');
INSERT INTO `faction` VALUES ('35', 'Mokk');
INSERT INTO `faction` VALUES ('36', 'Monumenter');
INSERT INTO `faction` VALUES ('37', 'Naboo Pirate');
INSERT INTO `faction` VALUES ('38', 'Naboo Security Forces');
INSERT INTO `faction` VALUES ('39', 'Naboo Police Forces');
INSERT INTO `faction` VALUES ('40', 'Nightsister');
INSERT INTO `faction` VALUES ('41', 'Nym');
INSERT INTO `faction` VALUES ('42', 'Olag Grek');
INSERT INTO `faction` VALUES ('43', 'Panshee');
INSERT INTO `faction` VALUES ('44', 'Pirate');
INSERT INTO `faction` VALUES ('45', 'Plasma Thief');
INSERT INTO `faction` VALUES ('46', 'Pubam');
INSERT INTO `faction` VALUES ('47', 'Restuss Brigade');
INSERT INTO `faction` VALUES ('48', 'Rogue CorSec');
INSERT INTO `faction` VALUES ('49', 'Rorgungan');
INSERT INTO `faction` VALUES ('50', 'Sif');
INSERT INTO `faction` VALUES ('51', 'Singing Mountain Clan');
INSERT INTO `faction` VALUES ('52', 'Sith Shadow');
INSERT INTO `faction` VALUES ('53', 'Sith Shadow Assassin');
INSERT INTO `faction` VALUES ('54', 'Smashball Thug');
INSERT INTO `faction` VALUES ('55', 'Spice Collective');
INSERT INTO `faction` VALUES ('56', 'Spider Clan');
INSERT INTO `faction` VALUES ('57', 'Swamp Rat');
INSERT INTO `faction` VALUES ('58', 'Swoop');
INSERT INTO `faction` VALUES ('59', 'Thug');
INSERT INTO `faction` VALUES ('60', 'Townsperson');
INSERT INTO `faction` VALUES ('61', 'Trade Federation');
INSERT INTO `faction` VALUES ('62', 'Tusken Raider');
INSERT INTO `faction` VALUES ('63', 'Valarian');
INSERT INTO `informants` VALUES ('1', '0', '0', '-5559', '-6220', '23.4', '0.723214', '0.690624', '2');
INSERT INTO `informants` VALUES ('2', '0', '0', '6871', '-5752', '315', '0.933756', '-0.357911', '2');
INSERT INTO `informants` VALUES ('3', '8', '1154123', '0.2', '8.6', '1', '0', '1', '2');
INSERT INTO `informants` VALUES ('4', '8', '1134569', '-31.6', '18.1', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('5', '8', '1076948', '8.6', '-13', '7', '0', '1', '2');
INSERT INTO `informants` VALUES ('6', '7', '0', '265', '-2974', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('7', '7', '0', '255', '-3024', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('8', '7', '0', '682', '-3219', '14', '0', '1', '2');
INSERT INTO `informants` VALUES ('9', '7', '0', '4529', '5371', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('10', '6', '0', '5102', '5654', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('11', '5', '0', '4721', '-4614', '4.2', '0.99436', '0.106053', '2');
INSERT INTO `informants` VALUES ('12', '5', '0', '4999', '6822', '-192', '0', '1', '2');
INSERT INTO `informants` VALUES ('13', '5', '64', '-4.59578', '7.93328', '-0.894993', '0.766776', '0.641915', '2');
INSERT INTO `informants` VALUES ('14', '5', '0', '5009', '6652', '-192', '-0.363718', '0.931509', '2');
INSERT INTO `informants` VALUES ('15', '5', '0', '5277', '6560', '-192', '0.128858', '0.991663', '2');
INSERT INTO `informants` VALUES ('16', '2', '0', '-6239', '940', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('17', '2', '0', '-68', '-1565', '0', '0', '1', '2');
INSERT INTO `informants` VALUES ('18', '0', '0', '6775', '-5487', '315', '0.898235', '0.439515', '1');
INSERT INTO `informants` VALUES ('19', '0', '0', '6876', '-5466', '330', '0.749383', '-0.662136', '1');
INSERT INTO `informants` VALUES ('20', '8', '0', '-2879', '2555', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('21', '8', '0', '-5284', '2676', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('22', '8', '0', '-5205', '-6503', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('23', '8', '0', '-685', '-6731', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('24', '8', '0', '-703', '-6734', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('25', '7', '0', '147', '-2812', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('26', '7', '0', '203', '-2979', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('27', '7', '0', '258', '-3008', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('28', '7', '0', '4542', '5329', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('29', '5', '0', '5332', '-1568', '327', '3915871', '0.401474', '1');
INSERT INTO `informants` VALUES ('30', '5', '0', '4980', '-1489', '360', '0.920954', '-0.389672', '1');
INSERT INTO `informants` VALUES ('31', '5', '0', '4923', '-1411', '360', '0.934099', '-0.357013', '1');
INSERT INTO `informants` VALUES ('32', '5', '0', '4757', '-1358', '330', '0', '1', '1');
INSERT INTO `informants` VALUES ('33', '5', '0', '4688', '-1342', '330', '0.99812', '0.0612889', '1');
INSERT INTO `informants` VALUES ('34', '5', '0', '-5548', '-13', '-150', '0.937143', '-0.348946', '1');
INSERT INTO `informants` VALUES ('35', '5', '0', '-5476', '-76', '-150', '-0.558149', '0.829741', '1');
INSERT INTO `informants` VALUES ('36', '5', '0', '4638', '-4643', '4.37564', '-0.437979', '0.898985', '1');
INSERT INTO `informants` VALUES ('37', '5', '111', '-2.07012', '5.66253', '-0.894992', '-0.283362', '0.959013', '1');
INSERT INTO `informants` VALUES ('38', '5', '0', '1279', '2858', '13', '-0.336607', '0.941645', '1');
INSERT INTO `informants` VALUES ('39', '5', '0', '5410', '6672', '-192', '0.883243', '-0.468916', '1');
INSERT INTO `informants` VALUES ('40', '5', '0', '5075', '6784', '-192', '0', '1', '1');
INSERT INTO `informants` VALUES ('41', '5', '0', '5261', '6793', '-192', '0.816228', '0.57773', '1');
INSERT INTO `informants` VALUES ('42', '5', '0', '5081', '6591', '-192', '-0.366442', '0.930441', '1');
INSERT INTO `informants` VALUES ('43', '4', '0', '369', '5087', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('44', '4', '0', '540', '5072', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('45', '2', '0', '590', '3091', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('46', '2', '0', '598', '3025', '0', '0', '1', '1');
INSERT INTO `informants` VALUES ('47', '0', '0', '-29', '-4818', '28', '0', '1', '0');
INSERT INTO `informants` VALUES ('48', '0', '0', '-86', '-4829', '28', '-0.433868', '0.900976', '0');
INSERT INTO `informants` VALUES ('49', '0', '0', '-171', '-4443', '28', '-0.638829', '0.769349', '0');
INSERT INTO `informants` VALUES ('50', '0', '0', '-172', '-4410', '28', '0.981533', '-0.191295', '0');
INSERT INTO `informants` VALUES ('51', '0', '0', '-212', '-4465', '28', '0', '1', '0');
INSERT INTO `informants` VALUES ('52', '0', '0', '-250', '-4430', '28', '0.932466', '0.361257', '0');
INSERT INTO `informants` VALUES ('53', '0', '0', '-428', '-4751', '28', '0.971669', '-0.236345', '0');
INSERT INTO `informants` VALUES ('54', '0', '0', '-477', '-4553', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('55', '0', '0', '-566', '-4361', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('56', '0', '0', '-508', '-4367', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('57', '0', '0', '-359', '-4210', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('58', '0', '0', '-293', '-4251', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('59', '0', '0', '-184', '-4342', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('60', '0', '0', '6687', '-5594', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('61', '0', '0', '6733', '-5609', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('62', '0', '0', '6832', '-5545', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('63', '0', '0', '6901', '-5606', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('64', '0', '3375357', '16.2', '23.1', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('65', '0', '0', '3100', '5224', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('66', '0', '0', '3123', '5188', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('67', '0', '0', '3144', '5148', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('68', '0', '0', '3165', '5077', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('69', '0', '0', '3078', '5014', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('70', '0', '0', '3210', '5440', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('71', '0', '0', '3311', '5386', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('72', '0', '0', '3293', '5401', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('73', '0', '0', '3297', '5514', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('74', '0', '0', '-3563', '3138', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('75', '0', '0', '-3571', '3176', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('76', '0', '0', '-3574', '3154', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('77', '0', '0', '-3604', '3172', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('78', '0', '0', '-3665', '3139', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('79', '0', '0', '-3375', '3281', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('80', '0', '0', '-3358', '3307', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('81', '0', '0', '-3315', '3234', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('82', '0', '0', '-3386', '3184', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('83', '0', '0', '-3444', '3231', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('84', '0', '0', '-3458', '3165', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('85', '0', '0', '-3416', '3078', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('86', '0', '0', '-3401', '3034', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('87', '0', '0', '-3124', '2808', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('88', '0', '0', '-3128', '3008', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('89', '0', '0', '-5024', '-2345', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('90', '0', '0', '-5136', '-2294', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('91', '0', '0', '-5587', '-2809', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('92', '0', '0', '-5486', '-2781', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('93', '0', '0', '-5504', '-2699', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('94', '0', '0', '-5539', '-2667', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('95', '0', '0', '-5592', '-2684', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('96', '0', '0', '-5450', '-2630', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('97', '0', '0', '-5308', '-2512', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('98', '0', '0', '-5097', '-2344', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('99', '8', '0', '1266', '3184', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('100', '8', '0', '1727', '3093', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('101', '8', '0', '3775', '2371', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('102', '8', '0', '-2804', '2237', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('103', '8', '0', '-2836', '2275', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('104', '8', '0', '-2935', '2393', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('105', '8', '0', '-1449', '-3558', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('106', '8', '0', '-1450', '-3566', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('107', '8', '0', '-1332', '-3700', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('108', '8', '0', '-1053', '-3726', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('109', '8', '0', '-1023', '-3677', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('110', '8', '0', '-1220', '-3560', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('111', '8', '0', '-5296', '2654', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('112', '8', '0', '-5216', '-6563', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('113', '8', '0', '3447', '-4850', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('114', '8', '0', '3253', '-4923', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('115', '8', '0', '3488.2', '-4783.6', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('116', '7', '0', '342', '-2896', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('117', '7', '0', '408', '-2867', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('118', '7', '0', '434', '-2821', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('119', '7', '0', '286', '-3101', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('120', '7', '0', '411', '-3056', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('121', '7', '0', '568', '-3173', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('122', '7', '0', '555', '-2958', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('123', '7', '0', '683', '-2898', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('124', '7', '0', '653', '-2850', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('125', '7', '0', '4519', '5191', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('126', '7', '0', '4530', '5094', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('127', '7', '0', '4347', '5056', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('128', '7', '0', '4353', '5196', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('129', '7', '0', '4290', '5202', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('130', '7', '0', '4277', '5140', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('131', '7', '0', '4224', '5117', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('132', '7', '0', '4214', '5140', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('133', '6', '0', '-5331', '-2233', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('134', '6', '0', '-5127', '-2266', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('135', '6', '0', '-5120', '-2269', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('136', '6', '0', '5401', '5857', '0', '0', '1', '0');
INSERT INTO `informants` VALUES ('137', '5', '0', '4700', '-1406', '330', '0.921637', '0.388053', '0');
INSERT INTO `informants` VALUES ('138', '5', '0', '4652', '-4749', '3.75', '0.768026', '0.640418', '0');
INSERT INTO `informants` VALUES ('139', '5', '0', '4744', '-4847', '3.75', '0.965644', '-0.25987', '0');
INSERT INTO `informants` VALUES ('140', '5', '0', '4825', '-4829', '3.75', '0.992233', '-0.124392', '0');
INSERT INTO `informants` VALUES ('141', '5', '0', '4958', '-4854', '3.75', '0.988339', '0.152273', '0');
INSERT INTO `informants` VALUES ('142', '5', '0', '4976', '-4920', '3.75', '0.965762', '-0.25943', '0');
INSERT INTO `informants` VALUES ('143', '5', '0', '4971', '-4941', '3.75', '0.725749', '-0.68796', '0');
INSERT INTO `informants` VALUES ('144', '5', '0', '4909', '-4975', '3.75', '0', '1', '0');
INSERT INTO `informants` VALUES ('145', '5', '0', '4679', '-4923', '3.75', '0.555121', '0.831769', '0');
INSERT INTO `informants` VALUES ('146', '5', '0', '4838', '-4877', '3.75', '0.751636', '0.336632', '0');
INSERT INTO `informants` VALUES ('147', '5', '0', '4810', '-4627', '4.17', '0.481402', '0.8765', '0');
INSERT INTO `informants` VALUES ('148', '5', '0', '4773', '-4937', '4.39475', '0.94185', '0.336033', '0');
INSERT INTO `informants` VALUES ('149', '5', '0', '-4833', '4134', '6', '0.825485', '-0.564424', '0');
INSERT INTO `informants` VALUES ('150', '5', '0', '-4892', '4216', '6', '-0.658527', '0.752557', '0');
INSERT INTO `informants` VALUES ('151', '5', '0', '-4962', '4259', '6', '-0.444864', '0.895598', '0');
INSERT INTO `informants` VALUES ('152', '5', '0', '-5100', '4146', '6', '0.291311', '0.956628', '0');
INSERT INTO `informants` VALUES ('153', '5', '0', '-5455', '4277', '6', '0.933131', '-0.359536', '0');
INSERT INTO `informants` VALUES ('154', '5', '0', '-5469', '4173', '6', '0.999249', '-0.0387536', '0');
INSERT INTO `informants` VALUES ('155', '5', '0', '-5436', '4133', '6', '0.654272', '0.756259', '0');
INSERT INTO `informants` VALUES ('156', '5', '0', '-5369', '4178', '6', '0.978084', '-0.208209', '0');
INSERT INTO `informants` VALUES ('157', '5', '0', '-5477', '4089', '6', '0.933523', '-0.358517', '0');
INSERT INTO `informants` VALUES ('158', '5', '0', '2030', '2591', '12', '0.97953', '0.201297', '0');
INSERT INTO `informants` VALUES ('159', '5', '0', '1959', '2577', '12', '1', '0', '0');
INSERT INTO `informants` VALUES ('160', '5', '0', '1818', '2496', '12', '0', '1', '0');
INSERT INTO `informants` VALUES ('161', '5', '0', '1890', '2527', '12', '0.801268', '-0.598306', '0');
INSERT INTO `informants` VALUES ('162', '5', '0', '1926', '2757', '12', '-0.496555', '0.868005', '0');
INSERT INTO `informants` VALUES ('163', '5', '0', '1835', '2633', '12', '0', '1', '0');
INSERT INTO `informants` VALUES ('164', '5', '0', '1847', '2573', '12', '0.789138', '-0.614215', '0');
INSERT INTO `informants` VALUES ('165', '5', '0', '1347', '2671', '13', '0.909559', '0.415574', '0');
INSERT INTO `informants` VALUES ('166', '5', '0', '5042', '6736', '-183.338', '0.936155', '0.351588', '0');
INSERT INTO `informants` VALUES ('167', '5', '0', '5199', '6546', '-192', '-0.454399', '0.890799', '0');
INSERT INTO `kb_articles` VALUES ('1', 'kb_advancement', 'advancement');
INSERT INTO `kb_articles` VALUES ('2', 'kb_advancement', 'experience');
INSERT INTO `kb_articles` VALUES ('3', 'kb_advancement', 'experienceearning');
INSERT INTO `kb_articles` VALUES ('4', 'kb_advancement', 'experiencetypes');
INSERT INTO `kb_articles` VALUES ('5', 'kb_advancement', 'skills');
INSERT INTO `kb_articles` VALUES ('6', 'kb_advancement', 'skillboxes');
INSERT INTO `kb_articles` VALUES ('7', 'kb_advancement', 'skillpoints');
INSERT INTO `kb_articles` VALUES ('8', 'kb_advancement', 'skilltrainers');
INSERT INTO `kb_articles` VALUES ('9', 'kb_bestiary', 'bestiary');
INSERT INTO `kb_articles` VALUES ('10', 'kb_bestiary', 'xenobiology');
INSERT INTO `kb_articles` VALUES ('11', 'kb_bestiary', 'faction');
INSERT INTO `kb_articles` VALUES ('12', 'kb_bestiary', 'dantooine');
INSERT INTO `kb_articles` VALUES ('13', 'kb_bestiary', 'yaviniv');
INSERT INTO `kb_articles` VALUES ('14', 'kb_bestiary', 'rori');
INSERT INTO `kb_articles` VALUES ('15', 'kb_bestiary', 'dathomir');
INSERT INTO `kb_articles` VALUES ('16', 'kb_bestiary', 'tatooine');
INSERT INTO `kb_articles` VALUES ('17', 'kb_bestiary', 'talus');
INSERT INTO `kb_articles` VALUES ('18', 'kb_bestiary', 'corellia');
INSERT INTO `kb_articles` VALUES ('19', 'kb_bestiary', 'endor');
INSERT INTO `kb_articles` VALUES ('20', 'kb_bestiary', 'naboo');
INSERT INTO `kb_articles` VALUES ('21', 'kb_bestiary', 'lok');
INSERT INTO `kb_articles` VALUES ('22', 'kb_buildings', 'importantbuildings');
INSERT INTO `kb_articles` VALUES ('23', 'kb_buildings', 'bank');
INSERT INTO `kb_articles` VALUES ('24', 'kb_buildings', 'findbank');
INSERT INTO `kb_articles` VALUES ('25', 'kb_buildings', 'cloningfacility');
INSERT INTO `kb_articles` VALUES ('26', 'kb_buildings', 'findcloningfacility');
INSERT INTO `kb_articles` VALUES ('27', 'kb_buildings', 'cantina');
INSERT INTO `kb_articles` VALUES ('28', 'kb_buildings', 'findcantina');
INSERT INTO `kb_articles` VALUES ('29', 'kb_buildings', 'hotel');
INSERT INTO `kb_articles` VALUES ('30', 'kb_buildings', 'findhotel');
INSERT INTO `kb_articles` VALUES ('31', 'kb_buildings', 'hospital');
INSERT INTO `kb_articles` VALUES ('32', 'kb_buildings', 'findhospital');
INSERT INTO `kb_articles` VALUES ('33', 'kb_buildings', 'theater');
INSERT INTO `kb_articles` VALUES ('34', 'kb_buildings', 'findtheater');
INSERT INTO `kb_articles` VALUES ('35', 'kb_buildings', 'starport');
INSERT INTO `kb_articles` VALUES ('36', 'kb_buildings', 'findstarport');
INSERT INTO `kb_articles` VALUES ('37', 'kb_buildings', 'shuttleport');
INSERT INTO `kb_articles` VALUES ('38', 'kb_buildings', 'findshuttleport');
INSERT INTO `kb_articles` VALUES ('39', 'kb_buildings', 'combatguild');
INSERT INTO `kb_articles` VALUES ('40', 'kb_buildings', 'findcombatguild');
INSERT INTO `kb_articles` VALUES ('41', 'kb_buildings', 'commerceguild');
INSERT INTO `kb_articles` VALUES ('42', 'kb_buildings', 'findcommerceguild');
INSERT INTO `kb_articles` VALUES ('43', 'kb_buildings', 'university');
INSERT INTO `kb_articles` VALUES ('44', 'kb_buildings', 'finduniversity');
INSERT INTO `kb_articles` VALUES ('45', 'kb_buildings', 'medicalcenter');
INSERT INTO `kb_articles` VALUES ('46', 'kb_buildings', 'findmedicalcenter');
INSERT INTO `kb_articles` VALUES ('47', 'kb_buildings', 'tavern');
INSERT INTO `kb_articles` VALUES ('48', 'kb_buildings', 'findtavern');
INSERT INTO `kb_articles` VALUES ('49', 'kb_buildings', 'barracks');
INSERT INTO `kb_articles` VALUES ('50', 'kb_buildings', 'findbarracks');
INSERT INTO `kb_articles` VALUES ('51', 'kb_buildings', 'findgarage');
INSERT INTO `kb_articles` VALUES ('52', 'kb_buildings', 'garage');
INSERT INTO `kb_articles` VALUES ('53', 'kb_combat', 'combat');
INSERT INTO `kb_articles` VALUES ('54', 'kb_combat', 'consider');
INSERT INTO `kb_articles` VALUES ('55', 'kb_combat', 'targeting');
INSERT INTO `kb_articles` VALUES ('56', 'kb_combat', 'ham');
INSERT INTO `kb_articles` VALUES ('57', 'kb_combat', 'status');
INSERT INTO `kb_articles` VALUES ('58', 'kb_combat', 'rules');
INSERT INTO `kb_articles` VALUES ('59', 'kb_combat', 'postures');
INSERT INTO `kb_articles` VALUES ('60', 'kb_combat', 'states');
INSERT INTO `kb_articles` VALUES ('61', 'kb_combat', 'range');
INSERT INTO `kb_articles` VALUES ('62', 'kb_combat', 'armor');
INSERT INTO `kb_articles` VALUES ('63', 'kb_combat', 'weapons');
INSERT INTO `kb_articles` VALUES ('64', 'kb_combat', 'equipmentdamage');
INSERT INTO `kb_articles` VALUES ('65', 'kb_combat', 'looting');
INSERT INTO `kb_articles` VALUES ('66', 'kb_combat', 'death');
INSERT INTO `kb_articles` VALUES ('67', 'kb_combat', 'insurance');
INSERT INTO `kb_articles` VALUES ('68', 'kb_combat', 'cloning');
INSERT INTO `kb_articles` VALUES ('69', 'kb_combat', 'incapacitation');
INSERT INTO `kb_articles` VALUES ('70', 'kb_combat', 'corpserecovery');
INSERT INTO `kb_articles` VALUES ('71', 'kb_combat', 'gcw');
INSERT INTO `kb_articles` VALUES ('72', 'kb_combat', 'joiningafaction');
INSERT INTO `kb_articles` VALUES ('73', 'kb_combat', 'pvprules');
INSERT INTO `kb_articles` VALUES ('74', 'kb_combat', 'perks');
INSERT INTO `kb_articles` VALUES ('75', 'kb_combat', 'leavingafaction');
INSERT INTO `kb_articles` VALUES ('76', 'kb_combat', 'ranges');
INSERT INTO `kb_articles` VALUES ('77', 'kb_combat', 'corpses');
INSERT INTO `kb_articles` VALUES ('78', 'kb_combat', 'corpserun');
INSERT INTO `kb_articles` VALUES ('79', 'kb_combat', 'corpsealternate');
INSERT INTO `kb_articles` VALUES ('80', 'kb_combat', 'corpseconsent');
INSERT INTO `kb_articles` VALUES ('81', 'kb_communication', 'communication');
INSERT INTO `kb_articles` VALUES ('82', 'kb_communication', 'sample');
INSERT INTO `kb_articles` VALUES ('83', 'kb_communication', 'multichatboxes');
INSERT INTO `kb_articles` VALUES ('84', 'kb_communication', 'shortcuts');
INSERT INTO `kb_articles` VALUES ('85', 'kb_communication', 'moods');
INSERT INTO `kb_articles` VALUES ('86', 'kb_communication', 'sayalts');
INSERT INTO `kb_articles` VALUES ('87', 'kb_communication', 'socials');
INSERT INTO `kb_articles` VALUES ('88', 'kb_communication', 'chatbox');
INSERT INTO `kb_articles` VALUES ('89', 'kb_communication', 'spatial');
INSERT INTO `kb_articles` VALUES ('90', 'kb_communication', 'distant');
INSERT INTO `kb_articles` VALUES ('91', 'kb_communication', 'tell');
INSERT INTO `kb_articles` VALUES ('92', 'kb_communication', 'mail');
INSERT INTO `kb_articles` VALUES ('93', 'kb_communication', 'channels');
INSERT INTO `kb_articles` VALUES ('94', 'kb_communication', 'findingfriends');
INSERT INTO `kb_articles` VALUES ('95', 'kb_communication', 'matchmaking');
INSERT INTO `kb_articles` VALUES ('96', 'kb_communication', 'friendslist');
INSERT INTO `kb_articles` VALUES ('97', 'kb_communication', 'search');
INSERT INTO `kb_articles` VALUES ('98', 'kb_communication', 'moderating');
INSERT INTO `kb_articles` VALUES ('99', 'kb_crafting', 'crafting');
INSERT INTO `kb_articles` VALUES ('100', 'kb_crafting', 'draftschematics');
INSERT INTO `kb_articles` VALUES ('101', 'kb_crafting', 'findingresources');
INSERT INTO `kb_articles` VALUES ('102', 'kb_crafting', 'sampling');
INSERT INTO `kb_articles` VALUES ('103', 'kb_crafting', 'harvesting');
INSERT INTO `kb_articles` VALUES ('104', 'kb_crafting', 'foraging');
INSERT INTO `kb_articles` VALUES ('105', 'kb_crafting', 'harvesters');
INSERT INTO `kb_articles` VALUES ('106', 'kb_crafting', 'toolsandstations');
INSERT INTO `kb_articles` VALUES ('107', 'kb_crafting', 'assembly');
INSERT INTO `kb_articles` VALUES ('108', 'kb_crafting', 'experimentation');
INSERT INTO `kb_articles` VALUES ('109', 'kb_crafting', 'customization');
INSERT INTO `kb_articles` VALUES ('110', 'kb_crafting', 'manfschematics');
INSERT INTO `kb_articles` VALUES ('111', 'kb_crafting', 'factories');
INSERT INTO `kb_articles` VALUES ('112', 'kb_crafting', 'selling');
INSERT INTO `kb_articles` VALUES ('113', 'kb_crafting', 'manfingredients');
INSERT INTO `kb_articles` VALUES ('114', 'kb_faq', 'unity');
INSERT INTO `kb_articles` VALUES ('115', 'kb_faq', 'events');
INSERT INTO `kb_articles` VALUES ('116', 'kb_faq', 'servers');
INSERT INTO `kb_articles` VALUES ('117', 'kb_faq', 'houses');
INSERT INTO `kb_articles` VALUES ('118', 'kb_faq', 'cs');
INSERT INTO `kb_articles` VALUES ('119', 'kb_faq', 'pa');
INSERT INTO `kb_articles` VALUES ('120', 'kb_faq', 'faq');
INSERT INTO `kb_articles` VALUES ('121', 'kb_faq', 'gameplay');
INSERT INTO `kb_articles` VALUES ('122', 'kb_faq', 'trouble');
INSERT INTO `kb_articles` VALUES ('123', 'kb_group', 'grouping');
INSERT INTO `kb_articles` VALUES ('124', 'kb_group', 'forming');
INSERT INTO `kb_articles` VALUES ('125', 'kb_group', 'joining');
INSERT INTO `kb_articles` VALUES ('126', 'kb_group', 'grouplist');
INSERT INTO `kb_articles` VALUES ('127', 'kb_group', 'groupchat');
INSERT INTO `kb_articles` VALUES ('128', 'kb_group', 'leaving');
INSERT INTO `kb_articles` VALUES ('129', 'kb_healing', 'healing');
INSERT INTO `kb_articles` VALUES ('130', 'kb_healing', 'wounds');
INSERT INTO `kb_articles` VALUES ('131', 'kb_healing', 'stimpacks');
INSERT INTO `kb_articles` VALUES ('132', 'kb_healing', 'medpacks');
INSERT INTO `kb_articles` VALUES ('133', 'kb_healing', 'hospitals');
INSERT INTO `kb_articles` VALUES ('134', 'kb_healing', 'fatigue');
INSERT INTO `kb_articles` VALUES ('135', 'kb_healing', 'entertainment');
INSERT INTO `kb_articles` VALUES ('136', 'kb_housing', 'housing');
INSERT INTO `kb_articles` VALUES ('137', 'kb_interface', 'interface');
INSERT INTO `kb_articles` VALUES ('138', 'kb_interface', 'hud');
INSERT INTO `kb_articles` VALUES ('139', 'kb_interface', 'chat');
INSERT INTO `kb_articles` VALUES ('140', 'kb_interface', 'radar');
INSERT INTO `kb_articles` VALUES ('141', 'kb_interface', 'buttonbar');
INSERT INTO `kb_articles` VALUES ('142', 'kb_interface', 'toolbar');
INSERT INTO `kb_articles` VALUES ('143', 'kb_interface', 'status');
INSERT INTO `kb_articles` VALUES ('144', 'kb_interface', 'cursor');
INSERT INTO `kb_articles` VALUES ('145', 'kb_interface', 'windows');
INSERT INTO `kb_articles` VALUES ('146', 'kb_interface', 'skills');
INSERT INTO `kb_articles` VALUES ('147', 'kb_interface', 'actions');
INSERT INTO `kb_articles` VALUES ('148', 'kb_interface', 'cs');
INSERT INTO `kb_articles` VALUES ('149', 'kb_interface', 'personal');
INSERT INTO `kb_articles` VALUES ('150', 'kb_interface', 'planetarymap');
INSERT INTO `kb_articles` VALUES ('151', 'kb_interface', 'inventory');
INSERT INTO `kb_articles` VALUES ('152', 'kb_interface', 'datapad');
INSERT INTO `kb_articles` VALUES ('153', 'kb_interface', 'options');
INSERT INTO `kb_articles` VALUES ('154', 'kb_interface', 'graphics');
INSERT INTO `kb_articles` VALUES ('155', 'kb_interface', 'terrain');
INSERT INTO `kb_articles` VALUES ('156', 'kb_interface', 'sound');
INSERT INTO `kb_articles` VALUES ('157', 'kb_interface', 'combat');
INSERT INTO `kb_articles` VALUES ('158', 'kb_interface', 'chatopt');
INSERT INTO `kb_articles` VALUES ('159', 'kb_interface', 'chatcolor');
INSERT INTO `kb_articles` VALUES ('160', 'kb_interface', 'alarm');
INSERT INTO `kb_articles` VALUES ('161', 'kb_interface', 'afk');
INSERT INTO `kb_articles` VALUES ('162', 'kb_interface', 'interfaceopt');
INSERT INTO `kb_articles` VALUES ('163', 'kb_interface', 'controls');
INSERT INTO `kb_articles` VALUES ('164', 'kb_interface', 'misc');
INSERT INTO `kb_articles` VALUES ('165', 'kb_interface', 'mail');
INSERT INTO `kb_articles` VALUES ('166', 'kb_interface', 'community');
INSERT INTO `kb_articles` VALUES ('167', 'kb_interface', 'matchmaking');
INSERT INTO `kb_articles` VALUES ('168', 'kb_interface', 'search');
INSERT INTO `kb_articles` VALUES ('169', 'kb_interface', 'friendslist');
INSERT INTO `kb_articles` VALUES ('170', 'kb_interface', 'ignore');
INSERT INTO `kb_articles` VALUES ('171', 'kb_missions', 'missions');
INSERT INTO `kb_articles` VALUES ('172', 'kb_missions', 'deliver');
INSERT INTO `kb_articles` VALUES ('173', 'kb_missions', 'destroy');
INSERT INTO `kb_articles` VALUES ('174', 'kb_missions', 'escort');
INSERT INTO `kb_articles` VALUES ('175', 'kb_missions', 'fetch');
INSERT INTO `kb_articles` VALUES ('176', 'kb_missions', 'gig');
INSERT INTO `kb_articles` VALUES ('177', 'kb_missions', 'musician');
INSERT INTO `kb_articles` VALUES ('178', 'kb_missions', 'dancer');
INSERT INTO `kb_articles` VALUES ('179', 'kb_missions', 'survey');
INSERT INTO `kb_articles` VALUES ('180', 'kb_missions', 'crafting');
INSERT INTO `kb_articles` VALUES ('181', 'kb_missions', 'recon');
INSERT INTO `kb_articles` VALUES ('182', 'kb_missions', 'bounty');
INSERT INTO `kb_articles` VALUES ('183', 'kb_missions', 'bountyeasy');
INSERT INTO `kb_articles` VALUES ('184', 'kb_missions', 'bountyhard');
INSERT INTO `kb_articles` VALUES ('185', 'kb_mounts', 'mounts');
INSERT INTO `kb_articles` VALUES ('186', 'kb_navigation', 'navigation');
INSERT INTO `kb_articles` VALUES ('187', 'kb_navigation', 'radar');
INSERT INTO `kb_articles` VALUES ('188', 'kb_navigation', 'planetarymap');
INSERT INTO `kb_articles` VALUES ('189', 'kb_navigation', 'overheadmap');
INSERT INTO `kb_articles` VALUES ('190', 'kb_navigation', 'waypoints');
INSERT INTO `kb_articles` VALUES ('191', 'kb_navigation', 'longdistancetravel');
INSERT INTO `kb_articles` VALUES ('192', 'kb_navigation', 'thingstofind');
INSERT INTO `kb_articles` VALUES ('193', 'kb_navigation', 'findplayers');
INSERT INTO `kb_articles` VALUES ('194', 'kb_navigation', 'findterminals');
INSERT INTO `kb_articles` VALUES ('195', 'kb_navigation', 'terminalsmissiont');
INSERT INTO `kb_articles` VALUES ('196', 'kb_navigation', 'terminalsstarport');
INSERT INTO `kb_articles` VALUES ('197', 'kb_navigation', 'terminalshuttleport');
INSERT INTO `kb_articles` VALUES ('198', 'kb_navigation', 'terminalsbank');
INSERT INTO `kb_articles` VALUES ('199', 'kb_navigation', 'terminalscloning');
INSERT INTO `kb_articles` VALUES ('200', 'kb_navigation', 'terminalsinsurance');
INSERT INTO `kb_articles` VALUES ('201', 'kb_navigation', 'terminalsbazaar');
INSERT INTO `kb_articles` VALUES ('202', 'kb_navigation', 'npcs');
INSERT INTO `kb_articles` VALUES ('203', 'kb_navigation', 'creatures');
INSERT INTO `kb_articles` VALUES ('204', 'kb_navigation', 'npclairs');
INSERT INTO `kb_articles` VALUES ('205', 'kb_navigation', 'creaturelairs');
INSERT INTO `kb_articles` VALUES ('206', 'kb_navigation', 'pois');
INSERT INTO `kb_articles` VALUES ('207', 'kb_navigation', 'findstrongholds');
INSERT INTO `kb_articles` VALUES ('208', 'kb_navigation', 'battlefields');
INSERT INTO `kb_articles` VALUES ('209', 'kb_navigation', 'buildings');
INSERT INTO `kb_articles` VALUES ('210', 'kb_navigation', 'cloningfacility');
INSERT INTO `kb_articles` VALUES ('211', 'kb_navigation', 'cantina');
INSERT INTO `kb_articles` VALUES ('212', 'kb_navigation', 'bank');
INSERT INTO `kb_articles` VALUES ('213', 'kb_navigation', 'shuttleport');
INSERT INTO `kb_articles` VALUES ('214', 'kb_navigation', 'hospital');
INSERT INTO `kb_articles` VALUES ('215', 'kb_navigation', 'theater');
INSERT INTO `kb_articles` VALUES ('216', 'kb_navigation', 'combatguild');
INSERT INTO `kb_articles` VALUES ('217', 'kb_navigation', 'commerceguild');
INSERT INTO `kb_articles` VALUES ('218', 'kb_navigation', 'university');
INSERT INTO `kb_articles` VALUES ('219', 'kb_navigation', 'starport');
INSERT INTO `kb_articles` VALUES ('220', 'kb_navigation', 'hotel');
INSERT INTO `kb_articles` VALUES ('221', 'kb_navigation', 'medicalcenter');
INSERT INTO `kb_articles` VALUES ('222', 'kb_navigation', 'tavern');
INSERT INTO `kb_articles` VALUES ('223', 'kb_navigation', 'barracks');
INSERT INTO `kb_articles` VALUES ('224', 'kb_navigation', 'findmedicalcenter');
INSERT INTO `kb_articles` VALUES ('225', 'kb_navigation', 'garage');
INSERT INTO `kb_articles` VALUES ('226', 'kb_planets', 'planets');
INSERT INTO `kb_articles` VALUES ('227', 'kb_professions', 'professions');
INSERT INTO `kb_articles` VALUES ('228', 'kb_professions', 'starting');
INSERT INTO `kb_articles` VALUES ('229', 'kb_professions', 'artisan');
INSERT INTO `kb_articles` VALUES ('230', 'kb_professions', 'brawler');
INSERT INTO `kb_articles` VALUES ('231', 'kb_professions', 'entertainer');
INSERT INTO `kb_articles` VALUES ('232', 'kb_professions', 'marksman');
INSERT INTO `kb_articles` VALUES ('233', 'kb_professions', 'medic');
INSERT INTO `kb_articles` VALUES ('234', 'kb_professions', 'scout');
INSERT INTO `kb_articles` VALUES ('235', 'kb_professions', 'advanced');
INSERT INTO `kb_articles` VALUES ('236', 'kb_professions', 'architect');
INSERT INTO `kb_articles` VALUES ('237', 'kb_professions', 'armorsmith');
INSERT INTO `kb_articles` VALUES ('238', 'kb_professions', 'bioengineer');
INSERT INTO `kb_articles` VALUES ('239', 'kb_professions', 'bountyhunter');
INSERT INTO `kb_articles` VALUES ('240', 'kb_professions', 'carbineer');
INSERT INTO `kb_articles` VALUES ('241', 'kb_professions', 'chef');
INSERT INTO `kb_articles` VALUES ('242', 'kb_professions', 'combatmedic');
INSERT INTO `kb_articles` VALUES ('243', 'kb_professions', 'commando');
INSERT INTO `kb_articles` VALUES ('244', 'kb_professions', 'creaturehandler');
INSERT INTO `kb_articles` VALUES ('245', 'kb_professions', 'dancer');
INSERT INTO `kb_articles` VALUES ('246', 'kb_professions', 'doctor');
INSERT INTO `kb_articles` VALUES ('247', 'kb_professions', 'droidengineer');
INSERT INTO `kb_articles` VALUES ('248', 'kb_professions', 'fencer');
INSERT INTO `kb_articles` VALUES ('249', 'kb_professions', 'imagedesigner');
INSERT INTO `kb_articles` VALUES ('250', 'kb_professions', 'merchant');
INSERT INTO `kb_articles` VALUES ('251', 'kb_professions', 'musician');
INSERT INTO `kb_articles` VALUES ('252', 'kb_professions', 'pikeman');
INSERT INTO `kb_articles` VALUES ('253', 'kb_professions', 'pistoleer');
INSERT INTO `kb_articles` VALUES ('254', 'kb_professions', 'ranger');
INSERT INTO `kb_articles` VALUES ('255', 'kb_professions', 'rifleman');
INSERT INTO `kb_articles` VALUES ('256', 'kb_professions', 'smuggler');
INSERT INTO `kb_articles` VALUES ('257', 'kb_professions', 'squadleader');
INSERT INTO `kb_articles` VALUES ('258', 'kb_professions', 'swordsman');
INSERT INTO `kb_articles` VALUES ('259', 'kb_professions', 'tailor');
INSERT INTO `kb_articles` VALUES ('260', 'kb_professions', 'teraskasiartist');
INSERT INTO `kb_articles` VALUES ('261', 'kb_professions', 'weaponsmith');
INSERT INTO `kb_articles` VALUES ('262', 'kb_professions', 'politician');
INSERT INTO `kb_articles` VALUES ('263', 'kb_professions', 'forcerank');
INSERT INTO `kb_articles` VALUES ('264', 'kb_professions', 'forcerank_advancement_light');
INSERT INTO `kb_articles` VALUES ('265', 'kb_professions', 'forcerank_petitioning');
INSERT INTO `kb_articles` VALUES ('266', 'kb_professions', 'forcerank_voting');
INSERT INTO `kb_articles` VALUES ('267', 'kb_professions', 'forcerank_accepting');
INSERT INTO `kb_articles` VALUES ('268', 'kb_professions', 'forcerank_advancement_example');
INSERT INTO `kb_articles` VALUES ('269', 'kb_professions', 'forcerank_demotion');
INSERT INTO `kb_articles` VALUES ('270', 'kb_professions', 'forcerank_min_xp');
INSERT INTO `kb_articles` VALUES ('271', 'kb_professions', 'forcerank_losing_experience');
INSERT INTO `kb_articles` VALUES ('272', 'kb_professions', 'forcerank_commands');
INSERT INTO `kb_articles` VALUES ('273', 'kb_professions', 'forcerank_advancement_dark');
INSERT INTO `kb_articles` VALUES ('274', 'kb_professions', 'forcerank_advancement_dark_duels');
INSERT INTO `kb_articles` VALUES ('275', 'kb_professions', 'forcerank_advancement_dark_voting');
INSERT INTO `kb_articles` VALUES ('276', 'kb_professions', 'forcerank_accepting_dark');
INSERT INTO `kb_articles` VALUES ('277', 'kb_professions', 'forcesensitive');
INSERT INTO `kb_articles` VALUES ('278', 'kb_professions', 'forcesensitive_experience');
INSERT INTO `kb_articles` VALUES ('279', 'kb_professions', 'forcesensitive_unlocking');
INSERT INTO `kb_articles` VALUES ('280', 'kb_professions', 'forcesensitive_qualifying');
INSERT INTO `kb_articles` VALUES ('281', 'kb_terms', 'terms');
INSERT INTO `kb_articles` VALUES ('282', 'kb_terms', 'swg');
INSERT INTO `kb_articles` VALUES ('283', 'kb_terms', 'online');
INSERT INTO `kb_articles` VALUES ('284', 'kb_terms', 'chat');
INSERT INTO `kb_articles` VALUES ('285', 'kb_terms', 'sw');
INSERT INTO `kb_tickets_categories` VALUES ('1', '0', 'Account/Billing/Tech');
INSERT INTO `kb_tickets_categories` VALUES ('2', '1', 'General');
INSERT INTO `kb_tickets_categories` VALUES ('3', '4', 'Harassment');
INSERT INTO `kb_tickets_categories` VALUES ('4', '0', 'Community Standards');
INSERT INTO `kb_tickets_categories` VALUES ('5', '4', 'Language');
INSERT INTO `kb_tickets_categories` VALUES ('6', '4', 'Player Conduct');
INSERT INTO `kb_tickets_categories` VALUES ('7', '4', 'Trade Fraud');
INSERT INTO `kb_tickets_categories` VALUES ('8', '4', 'Report Exploit');
INSERT INTO `kb_tickets_categories` VALUES ('9', '0', 'Player Character');
INSERT INTO `kb_tickets_categories` VALUES ('10', '9', 'Skill Tree');
INSERT INTO `kb_tickets_categories` VALUES ('11', '9', 'Player Association');
INSERT INTO `kb_tickets_categories` VALUES ('12', '9', 'Missing Items');
INSERT INTO `kb_tickets_categories` VALUES ('13', '9', 'Inventory');
INSERT INTO `kb_tickets_categories` VALUES ('14', '9', 'Experience');
INSERT INTO `kb_tickets_categories` VALUES ('15', '9', 'Abilities');
INSERT INTO `knowledgebase` VALUES ('1', 'Test Title 1', 'Empty Body');
INSERT INTO `knowledgebase` VALUES ('2', 'Test Title 2', 'Empty Body');
INSERT INTO `loot_groups` VALUES ('1', 'Common', '3', '1', '2');
INSERT INTO `loot_groups` VALUES ('2', 'Junk Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('3', 'Loot Kits', '2', '1', '1');
INSERT INTO `loot_groups` VALUES ('4', 'Clothing', '2', '1', '1');
INSERT INTO `loot_groups` VALUES ('5', 'Resource Loot', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('6', 'Etc', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('7', 'Etc', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('8', 'Color Crystals', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('9', 'Common Weapons', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('10', 'PowerUps', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('11', 'Skill Enhancing Attachments', '1', '1', '2');
INSERT INTO `loot_groups` VALUES ('12', 'Geonosian Loot', '2', '1', '1');
INSERT INTO `loot_groups` VALUES ('13', 'Tusken Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('14', 'Nightsister Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('15', 'SMC Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('16', 'Krayt Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('17', 'Death Watch Bunker Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('20', 'Nyax Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('21', 'Kimogila Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('22', 'Peko Peko Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('23', 'Gurk Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('24', 'Woolamander Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('27', 'Donkuwah Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('28', 'Aakuan Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('18', 'Force Sensitive Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('19', 'Lightsaber Crystal', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('25', 'Rancor Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('26', 'Janta Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('32', 'Jawa Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('34', 'Sharnaff Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('30', 'Kliknik Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('31', 'Voritor Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('33', 'Nym\'s Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('29', 'Gorax Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('35', 'Brackaset Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('36', 'Dragonet Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('37', 'Dune Lizard Loot', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('2235', 'Common Armor', '5', '1', '1');
INSERT INTO `loot_groups` VALUES ('38', 'Common Armor', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('39', 'Acklay Loot', '4', '1', '1');
INSERT INTO `loot_groups` VALUES ('40', 'Corsec Loot', '3', '1', '1');
INSERT INTO `loot_groups` VALUES ('41', 'Fire Breathing Spider Loot', '1', '1', '1');
INSERT INTO `loot_groups` VALUES ('42', 'Kwi Loot', '3', '1', '1');
INSERT INTO `loot_items` VALUES ('2', '2', 'a ViewScreen', '197148564', '8211', 'item_n', 'viewscreen_s1', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('3', '2', 'a Human Skull', '632440114', '8211', 'item_n', 'human_skull', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('1', '1', 'Small Stimpack - A', '2001848134', '8205', 'medicine_name', 'stimpack_sm_s1_a', '', '', '1', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('4', '2', 'Broken Impulse Detector', '756283156', '8211', 'item_n', 'impulse_detector_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('5', '2', 'An Empty Cage', '842587466', '8211', 'item_n', 'cage_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('6', '2', 'Broken Instrument Calibrator', '1384767705', '8211', 'item_n', 'calibrator_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('7', '2', 'Corrupt Datadisk', '1598786934', '8211', 'item_n', 'datadisk_corrupt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('8', '2', 'A Locked Briefcase', '1815409445', '8211', 'item_n', 'briefcase_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('9', '2', 'Broken Sandstat', '2766599802', '8211', 'item_n', 'sandstat_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('10', '2', 'A Rare Artifact', '865298765', '8211', 'item_n', 'artifact_rare_s01', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('11', '2', 'Holocron Splinters', '1021999255', '8211', 'item_n', 'holocron_splinters_sith_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('12', '2', 'Work light', '667280512', '8211', 'item_n', 'work_light', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('13', '2', 'Broken Electrobinoculars', '511989855', '8211', 'item_n', 'binoculars_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('14', '2', 'Datapad ', '3897890885', '8211', 'item_n', 'datapad', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('15', '2', 'Broken Recording Rod', '3085465916', '8211', 'item_n', 'recording_rod_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('16', '2', 'Petrified Avian Egg', '3152449908', '8211', 'item_n', 'petrified_egg', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('17', '2', 'Slave Collar', '3986073325', '8211', 'item_n', 'slave_collar', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('18', '2', 'Broken Datapad', '3897890885', '8211', 'item_n', 'datapad_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('20', '2', 'Broken Meson Taloscope', '1847347593', '8211', 'item_n', 'taloscope_broken', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21', '2', 'Palm Frond', '1764965839', '8211', 'item_n', 'palm_frond', '', '', '0.15', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('22', '2', 'A Photographic Image', '1021103631', '8211', 'item_n', 'picture_handheld_s02', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('23', '2', 'Spectrum Recorder', '2986929439', '8211', 'item_n', 'spectrum_recorder', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('24', '2', 'Expired Travel Ticket', '2280007490', '8211', 'item_n', 'ticket_expired', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('25', '2', 'Preserved Rare Insects', '1419164698', '8211', 'item_n', 'insects_rare_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('26', '2', 'Datapad Backlight', '4084040354', '8211', 'loot_n', 'datapad_backlight', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('27', '2', 'Heating Element', '326778183', '8211', 'loot_n', 'heating_element', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('28', '2', 'Feed Tubes', '2298400846', '8211', 'craft_item_ingredients_n', 'feed_tubes', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('29', '2', 'Datapad Housing', '2404535278', '8211', 'loot_n', 'datapad_casing', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('30', '2', 'Datapad Connectors', '3704114882', '8211', 'loot_n', 'datapad_connectors', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('31', '2', 'Small Power Motor', '3144713360', '8211', 'loot_n', 'motor_small_blue', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('32', '2', 'Agitator Motor', '1519193504', '8211', 'loot_n', 'motor_small_red', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('33', '2', 'Dud Firework', '706975394', '8211', 'item_n', 'firework_dud', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('34', '2', 'A Broken Decryptor', '4256936356', '8211', 'item_n', 'decryptor_broken_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('35', '2', 'Datapad (damaged)', '2077895809', '8211', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('36', '3', 'Blue Rug Adhesive', '1123513366', '262144', 'collectible_loot_items_n', 'blue_rug_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('37', '3', 'Blue Rug Dye', '1357216829', '262144', 'collectible_loot_items_n', 'blue_rug_dye', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('38', '3', 'Blue Rug Cloth Patches', '166272448', '262144', 'collectible_loot_items_n', 'blue_rug_patches', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('39', '3', 'Blue Rug Thread - First Section', '2636514827', '262144', 'collectible_loot_items_n', 'blue_rug_thread_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('40', '3', 'Blue Rug Thread - Second Section', '1177661084', '262144', 'collectible_loot_items_n', 'blue_rug_thread_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('41', '3', 'Blue Rug Thread - Third Section', '255641873', '262144', 'collectible_loot_items_n', 'blue_rug_thread_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('42', '3', 'Blue Rug Thread - Fourth Section', '4108313093', '262144', 'collectible_loot_items_n', 'blue_rug_thread_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('43', '3', 'Blue Rug Thread - Fifth Section', '3184690568', '262144', 'collectible_loot_items_n', 'blue_rug_thread_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('44', '3', 'Blue Rug Thread - Sixth Section', '1724198175', '262144', 'collectible_loot_items_n', 'blue_rug_thread_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('45', '3', 'Blue Rug Thread - Seventh Section', '801655442', '262144', 'collectible_loot_items_n', 'blue_rug_thread_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('46', '3', 'Gong Adhesive', '2733801121', '262144', 'collectible_loot_items_n', 'gong_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('47', '3', 'Gong Skin - Back Section', '2466495662', '262144', 'collectible_loot_items_n', 'gong_skin_back', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('48', '3', 'Gong Skin - Front Section', '97797037', '262144', 'collectible_loot_items_n', 'gong_skin_front', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('49', '3', 'Gong Structure - First Section', '191195306', '262144', 'collectible_loot_items_n', 'gong_structure_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('50', '3', 'Gong Structure - Second Section', '3497181245', '262144', 'collectible_loot_items_n', 'gong_structure_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('51', '3', 'Gong Structure - Third Section', '2575280048', '262144', 'collectible_loot_items_n', 'gong_structure_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('52', '3', 'Gong Structure - Fourth Section', '1654426788', '262144', 'collectible_loot_items_n', 'gong_structure_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('53', '3', 'Gong Structure - Fifth Section', '730983209', '262144', 'collectible_loot_items_n', 'gong_structure_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('54', '3', 'Gong Structure - Sixth Section', '4035331006', '262144', 'collectible_loot_items_n', 'gong_structure_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('55', '3', 'Gong Structure - Seventh Section', '3112903731', '262144', 'collectible_loot_items_n', 'gong_structure_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('56', '3', 'Glass Top Table Adhesive', '888771001', '262144', 'collectible_loot_items_n', 'light_table_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('57', '3', 'Glass Top Table - Small Glass Top', '1261115821', '262144', 'collectible_loot_items_n', 'light_table_glasstop_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('58', '3', 'Glass Top Table - Large Glass Top', '2419896634', '262144', 'collectible_loot_items_n', 'light_table_glasstop_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('59', '3', 'Glass Top Table Base - First Section', '2720203883', '262144', 'collectible_loot_items_n', 'light_table_structure_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('60', '3', 'Glass Top Table Base - Second Section', '2033495292', '262144', 'collectible_loot_items_n', 'light_table_structure_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('61', '3', 'Glass Top Table Base - Third Section', '809094001', '262144', 'collectible_loot_items_n', 'light_table_structure_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('62', '3', 'Glass Top Table Base - Fourth Section', '3420119141', '262144', 'collectible_loot_items_n', 'light_table_structure_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('63', '3', 'Glass Top Table Base - Fifth Section', '2195163112', '262144', 'collectible_loot_items_n', 'light_table_structure_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('64', '3', 'Glass Top Table Base - Sixth Section', '1505767295', '262144', 'collectible_loot_items_n', 'light_table_structure_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('65', '3', 'Glass Top Table Base - Seventh Section', '281889010', '262144', 'collectible_loot_items_n', 'light_table_structure_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('66', '3', 'Orange Rug Adhesive', '3616535114', '262144', 'collectible_loot_items_n', 'orange_rug_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('67', '3', 'Orange Rug Dye', '3820849787', '262144', 'collectible_loot_items_n', 'orange_rug_dye', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('68', '3', 'Orange Rug Cloth Patches', '2400186347', '262144', 'collectible_loot_items_n', 'orange_rug_patches', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('69', '3', 'Orange Rug Thread - First Section', '3614968574', '262144', 'collectible_loot_items_n', 'orange_rug_thread_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('70', '3', 'Orange Rug Thread - Second Section', '208642665', '262144', 'collectible_loot_items_n', 'orange_rug_thread_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('71', '3', 'Orange Rug Thread - Third Section', '1164101092', '262144', 'collectible_loot_items_n', 'orange_rug_thread_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('72', '3', 'Orange Rug Thread - Fourth Section', '3196186352', '262144', 'collectible_loot_items_n', 'orange_rug_thread_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('73', '3', 'Orange Rug Thread - Fifth Section', '4153182589', '262144', 'collectible_loot_items_n', 'orange_rug_thread_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('74', '3', 'Orange Rug Thread - Sixth Section', '748364266', '262144', 'collectible_loot_items_n', 'orange_rug_thread_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('75', '3', 'Orange Rug Thread - Seventh Section', '1704347239', '262144', 'collectible_loot_items_n', 'orange_rug_thread_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('76', '3', 'Nabooian Sculpture Adhesive', '3289712377', '262144', 'collectible_loot_items_n', 'sculpture_adhesive', '', '', '0.5', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('77', '3', 'Nabooian Sculpture Gold Plating - First Coating', '1249132287', '262144', 'collectible_loot_items_n', 'sculpture_goldinlay_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('78', '3', 'Nabooian Sculpture Gold Plating - Second Coating', '2439222888', '262144', 'collectible_loot_items_n', 'sculpture_goldinlay_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('79', '3', 'Nabooian Sculpture Base - First Section', '4050692979', '262144', 'collectible_loot_items_n', 'sculpture_structure_01', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('80', '3', 'Nabooian Sculpture Base - Second Section', '711394276', '262144', 'collectible_loot_items_n', 'sculpture_structure_02', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('81', '3', 'Nabooian Sculpture Base - Third Section', '1667916905', '262144', 'collectible_loot_items_n', 'sculpture_structure_03', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('82', '3', 'Nabooian Sculpture Base - Fourth Section', '2559135613', '262144', 'collectible_loot_items_n', 'sculpture_structure_04', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('83', '3', 'Nabooian Sculpture Base - Fifth Section', '3515099376', '262144', 'collectible_loot_items_n', 'sculpture_structure_05', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('84', '3', 'Nabooian Sculpture Base - Sixth Section', '177438823', '262144', 'collectible_loot_items_n', 'sculpture_structure_06', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('85', '3', 'Nabooian Sculpture Base - Seventh Section', '1134487530', '262144', 'collectible_loot_items_n', 'sculpture_structure_07', '', '', '2.22', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('86', '4', 'Longsleeve Shirt', '235457924', '16777230', 'wearables_name', 'shirt_s16', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('87', '4', 'Paramilitary Camos', '489589658', '16777228', 'wearables_name', 'pants_s21', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('88', '4', 'Casual Shoes', '143099030', '16777222', 'wearables_name', 'shoes_s02', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('89', '4', 'Cargo Vest', '1904031382', '16777231', 'wearables_name', 'vest_s09', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('90', '4', 'Kitchen Master\'s Hat', '4237787733', '16777226', 'wearables_name', 'hat_chef_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('91', '4', 'Jawa Beads', '1637830141', '8211', 'item_n', 'jawa_beads', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('92', '4', 'Jeweled Pendant', '218269484', '8211', 'wearables_name', 'necklace_jeweled_pendant', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('93', '5', 'looted resources and foods', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('94', '6', 'etc', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('95', '7', 'etc', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('98', '9', 'Jawa Ion Rifle', '1928416827', '131084', 'weapon_name', 'rifle_jawa_ion', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=4:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_jawa_ion:maxDamage=120:idealAccuracy=-32:woundsRatio=22:attackSpeed=6:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21176', '30', 'Nothing', '0', '0', '', '', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('100', '9', 'Vibroblade', '4211610935', '131079', 'weapon_name', 'knife_vibroblade', 'pointBlankAccuracy=3:idealRange=3:maxDamage=59:category=16:maxRangeAccuracy=3:attackSpeed=4.2:woundsRatio=8:idealAccuracy=3:mindCost=13:maxRange=4:type=1:damageType=1:armorPiercing=1:pointBlankRange=0:healthCost=13:minDamage=10:actionCost=46:cert=cert_knife_vibroblade:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('101', '9', 'Vibro Axe', '1835485114', '131080', 'weapon_name', 'axe_vibro', 'pointBlankAccuracy=-26:idealRange=3:maxDamage=80:cert=cert_axe_vibro:category=16:maxRangeAccuracy=-26:attackSpeed=6.5:woundsRatio=14:idealAccuracy=-26:mindCost=21:maxRange=4:type=2:damageType=1:armorPiercing=1:pointBlankRange=0:healthCost=84:minDamage=30:actionCost=52:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('102', '9', 'Wood Staff', '1200142292', '131081', 'weapon_name', 'lance_staff_wood_s1', 'pointBlankAccuracy=14:idealRange=3:maxDamage=56:category=16:maxRangeAccuracy=14:attackSpeed=5.8:woundsRatio=3:idealAccuracy=14:mindCost=19:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=19:minDamage=24:actionCost=49:cert_lance_staff_wood_s1:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('103', '9', 'Dagger', '4040009714', '131079', 'weapon_name', 'knife_dagger', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:cert=cert_knife_dagger:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=8:minDamage=25:actionCost=16:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('104', '9', 'Metal Staff', '978782032', '131081', 'weapon_name', 'lance_staff_metal', 'pointBlankAccuracy=0:idealRange=3:maxDamage=77:cert=cert_lance_staff_metal:category=16:maxRangeAccuracy=0:attackSpeed=6.1:woundsRatio=4:idealAccuracy=0:mindCost=19:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=66:minDamage=56:actionCost=39:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('105', '9', 'Vibro Lance', '22784428', '131081', 'weapon_name', 'lance_vibrolance', 'pointBlankAccuracy=-24:idealRange=3:maxDamage=154:cert=cert_lance_vibrolance:category=16:maxRangeAccuracy=-24:attackSpeed=5.8:woundsRatio=26:idealAccuracy=-24:mindCost=28:maxRange=5:type=3:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=58:minDamage=42:actionCost=84:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('106', '9', 'Curved sword', '1513483812', '131079', 'weapon_name', 'sword_02', 'pointBlankAccuracy=3:idealRange=3:maxDamage=70:cert=cert_sword_02:category=16:maxRangeAccuracy=3:attackSpeed=4.7:woundsRatio=12:idealAccuracy=3:mindCost=32:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=23:minDamage=17:actionCost=52:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('107', '9', 'Long Vibro Axe', '1723256113', '131081', 'weapon_name', 'lance_vibro_axe', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=71:type=3:armorPiercing=2:maxRangeAccuracy=-45:damageType=1:mindCost=28:minDamage=44:healthCost=91:cert=cert_lance_vibro_axe:maxDamage=176:idealAccuracy=-45:woundsRatio=23:attackSpeed=6.5:category=16:idealRange=7:maxRange=7:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('108', '9', 'Rantok', '3125045014', '131079', 'weapon_name', 'sword_blade_rantok', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=100:cert=cert_sword_blade_rantok:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=83:minDamage=50:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('109', '9', 'Ryyk Blade', '1543947481', '131079', 'weapon_name', 'sword_blade_ryyk', 'pointBlankAccuracy=-19:idealRange=3:maxDamage=98:cert=cert_sword_blade_ryyk:category=16:maxRangeAccuracy=-19:attackSpeed=4.2:woundsRatio=15:idealAccuracy=-19:mindCost=32:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=50:minDamage=17:actionCost=39:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('110', '9', 'Stone Knife', '1218550121', '131079', 'weapon_name', 'knife_stone', 'pointBlankAccuracy=3:idealRange=3:maxDamage=21:category=16:maxRangeAccuracy=3:attackSpeed=4.5:woundsRatio=4:idealAccuracy=3:mindCost=6:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=6:minDamage=14:actionCost=6:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('111', '9', 'Two-handed Cleaver', '1737909268', '131080', 'weapon_name', 'word_2h_cleaver ', 'pointBlankAccuracy=-19:idealRange=5:maxDamage=122:cert=cert_sword_2h_cleaver:category=16:maxRangeAccuracy=-19:attackSpeed=6:woundsRatio=18:idealAccuracy=-19:mindCost=26:maxRange=5:type=2:damageType=1:armorPiercing=2:pointBlankRange=0:healthCost=49:minDamage=40:actionCost=45:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('112', '9', 'Sword', '2166507187', '131079', 'weapon_name', 'sword_01', 'pointBlankAccuracy=7:idealRange=3:maxDamage=90:cert=cert_sword_01:category=16:maxRangeAccuracy=7:attackSpeed=4.7:woundsRatio=14:idealAccuracy=7:mindCost=19:maxRange=4:type=1:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=16:minDamage=20:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('113', '9', 'Reinforced Combat Staff', '2627673923', '131081', 'weapon_name', 'lance_staff_wood_s2', 'pointBlankAccuracy=7:idealRange=4:maxDamage=59:category=16:maxRangeAccuracy=7:attackSpeed=5.8:woundsRatio=3:idealAccuracy=7:mindCost=19:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=26:minDamage=28:actionCost=49:cert=cert_lance_staff_wood_s2:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('114', '9', 'Lance', '1316875243', '131081', 'weapon_name', 'lance_controllerfp', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=55:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=51:minDamage=20:actionCost=30:cert=cert_lance_controllerfp:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('115', '9', 'Two-handed Curved Sword', '1688331731', '131080', 'weapon_name', 'sword_2h_katana', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=118:cert=cert_2h_sword_katana:category=16:maxRangeAccuracy=-45:attackSpeed=6:woundsRatio=11.8497:idealAccuracy=-45:mindCost=25:maxRange=5:type=2:damageType=1:armorPiercing=2:pointBlankRange=0:healthCost=83:minDamage=42:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('116', '9', 'Gamorrean Battleaxe', '3488117788', '131080', 'weapon_name', 'sword_2h_axe_quest', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=108:cert=cert_2h_sword_battleaxe:category=16:maxRangeAccuracy=-45:attackSpeed=6:woundsRatio=11.8497:idealAccuracy=-45:mindCost=42:maxRange=5:type=2:damageType=1:armorPiercing=2:pointBlankRange=0:healthCost=83:minDamage=56:actionCost=26:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('117', '9', 'Heavy Axe', '3808952162', '131080', 'weapon_name', 'axe_heavy_duty', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=35:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=2:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=83:minDamage=15:actionCost=26maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('118', '9', 'CDEF Rifle', '3496137221', '131084', 'weapon_name', 'rifle_cdef', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('119', '9', 'Vibro Knuckler', '1697024206', '131073', 'weapon_name', 'vibroknuckler', 'pointBlankAccuracy=7:idealRange=3:maxDamage=95:cert=cert_vibroknuckler:category=16:maxRangeAccuracy=7:attackSpeed=4.5:woundsRatio=10:idealAccuracy=7:mindCost=35:maxRange=5:type=0:damageType=1:armorPiercing=1:pointBlankRange=0:healthCost=15:minDamage=45:actionCost=25:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('120', '9', 'CDEF Pistol', '937103853', '131082', 'weapon_name', 'pistol_cdef', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('121', '9', 'CDEF Carbine', '583942574', '131083', 'weapon_name', 'carbine_cdef', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('122', '9', 'Gaderiffi Baton', '1521219232', '131079', 'weapon_name', 'baton_gaderiffi', 'pointBlankAccuracy=-13:pointBlankRange=0:actionCost=26:type=1:armorPiercing=0:maxRangeAccuracy=-13:damageType=1:mindCost=10:minDamage=80:healthCost=47:cert=cert_baton_gaderiffi:maxDamage=140:idealAccuracy=-13:woundsRatio=16:attackSpeed=6:category=16:idealRange=3:maxRange=5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('123', '9', 'Launcher Pistol', '650380647', '131082', 'weapon_name', 'pistol_launcher', 'pointBlankAccuracy=0:pointBlankRange=0:actionCost=14:type=4:armorPiercing=0:maxRangeAccuracy=0:range=45:damageType=5:mindCost=45:minDamage=60:healthCost=8:cert=cert_pistol_launcher:maxDamage=195:idealAccuracy=4:woundsRatio=20:attackSpeed=9:category=32:idealRange=0:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('124', '9', 'DX2 Pistol', '260330479', '131082', 'weapon_name', 'pistol_dx2', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=8:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_dx2:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=3.5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('125', '9', 'DXR6 Carbine', '2050793147', '131083', 'weapon_name', 'carbine_dxr6', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=40:type=5:armorPiercing=1:maxRangeAccuracy=-85:range=65:damageType=8:mindCost=19:minDamage=75:healthCost=25:cert=cert_carbine_dxr6:maxDamage=125:idealAccuracy=60:woundsRatio=15:attackSpeed=6:category=32:idealRange=45:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('126', '9', 'T21 Rifle', '1951509016', '131084', 'weapon_name', 'rifle_t21', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=42:type=6:armorPiercing=3:maxRangeAccuracy=0:range=64:damageType=2:mindCost=83:minDamage=90:healthCost=65:cert=cert_rifle_t21:maxDamage=305:idealAccuracy=-32:woundsRatio=25:attackSpeed=13:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('127', '9', 'Rocket Launcher', '3022005655', '131076', 'weapon_name', 'rocket_launcher', 'pointBlankAccuracy=-100:pointBlankRange=0:actionCost=86:type=18:armorPiercing=3:maxRangeAccuracy=30:range=45:damageType=5:mindCost=69:minDamage=464.937:healthCost=113:cert=cert_rocket_launcher:maxDamage=823.37:idealAccuracy=20:woundsRatio=37:attackSpeed=7:category=32:idealRange=48:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('128', '9', 'Power Hammer', '248141391', '131080', 'weapon_name', 'sword_2h_maul', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=25:type=2:armorPiercing=2:maxRangeAccuracy=-45:damageType=5:mindCost=40:minDamage=80:healthCost=95:cert=cert_sword_2h_maul:maxDamage=250:idealAccuracy=-45:woundsRatio=15:attackSpeed=7:category=16:idealRange=5:maxRange=5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('129', '9', 'Stun Baton', '2740869510', '131079', 'weapon_name', 'baton_stun', 'pointBlankAccuracy=-13:pointBlankRange=0:actionCost=38:type=1:armorPiercing=0:maxRangeAccuracy=-13:damageType=4:mindCost=32:minDamage=50:healthCost=10:cert=cert_baton_stun:maxDamage=120:idealAccuracy=-13:woundsRatio=10:attackSpeed=6:category=16:idealRange=3:maxRange=5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('130', '9', 'Light Lightning Cannon', '708413629', '131078', 'weapon_name', 'rifle_lightning', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=200:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=12:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=63:minDamage=70:actionCost=66:cert=cert_rifle_lightning:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('131', '9', 'Flame Thrower', '3238374228', '131078', 'weapon_name', 'rifle_flame_thrower', 'pointBlankAccuracy=10:idealRange=50:maxDamage=265:range=45:category=32:maxRangeAccuracy=-120:attackSpeed=8:woundsRatio=36:idealAccuracy=-65:mindCost=35:maxRange=64:type=11:damageType=6:armorPiercing=0:pointBlankRange=0:healthCost=64:minDamage=80:actionCost=25:cert=cert_rifle_flame_thrower:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('132', '9', 'Laser Carbine', '2121432077', '131083', 'weapon_name', 'carbine_laser', 'pointBlankAccuracy=-10:idealRange=50:maxDamage=160:range=65:category=32:maxRangeAccuracy=-40:attackSpeed=7.5:woundsRatio=10:idealAccuracy=3:mindCost=65:maxRange=64:type=5:damageType=2:armorPiercing=2:pointBlankRange=0:healthCost=22:minDamage=40:actionCost=36:cert=cert_carbine_laser:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('133', '9', 'Laser Rifle', '1390088554', '131084', 'weapon_name', 'rifle_laser', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=2:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_laser:maxDamage=250:idealAccuracy=-32:woundsRatio=22:attackSpeed=8.33:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('134', '9', 'Spraystick', '284980584', '131084', 'weapon_name', 'rifle_spraystick', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=40:healthCost=35:cert=cert_rifle_spraystick:maxDamage=120:idealAccuracy=-32:woundsRatio=22:attackSpeed=6:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('135', '9', 'SG82 Rifle', '3248736753', '131084', 'weapon_name', 'rifle_sg82', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=7:mindCost=65:minDamage=60:healthCost=35:cert=cert_rifle_sg82:maxDamage=130:idealAccuracy=-32:woundsRatio=22:attackSpeed=7:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('136', '9', 'Bowcaster', '2976096139', '131084', 'weapon_name', 'rifle_bowcaster', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=70:healthCost=35:maxDamage=225:idealAccuracy=-32:woundsRatio=22:attackSpeed=8:category=32:idealRange=60:maxRange=64:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('137', '9', 'DH17 Short Carbine', '1881783933', '131083', 'weapon_name', 'carbine_dh17_snubnose', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_dh17_snubnose:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('138', '9', 'DH17 Carbine', '683543232', '131083', 'weapon_name', 'carbine_dh17', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=15.845:healthCost=9:maxDamage=35.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_dh17:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('139', '9', 'E11 Carbine', '3034123480', '131083', 'weapon_name', 'carbine_e11', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=1:maxRangeAccuracy=0:range=32:damageType=2:mindCost=25:minDamage=35.845:healthCost=9:maxDamage=75.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_e11:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('140', '9', 'EE3 Carbine', '749154215', '131083', 'weapon_name', 'carbine_ee3', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=11:type=5:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=6:mindCost=25:minDamage=35.845:healthCost=9:maxDamage=75.955:idealAccuracy=-28:woundsRatio=0:attackSpeed=5.39:category=32:idealRange=25:maxRange=32:cert=cert_carbine_ee3:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('141', '9', 'Elite Carbine', '971375722', '131083', 'weapon_name', 'carbine_elite', 'pointBlankAccuracy=-10:idealRange=50:maxDamage=145:range=64:category=32:maxRangeAccuracy=-40:attackSpeed=6.6:woundsRatio=10:idealAccuracy=3:mindCost=55:maxRange=64:type=5:damageType=2:armorPiercing=1:pointBlankRange=0:healthCost=22:minDamage=30:actionCost=36:cert=cert_carbine_elite:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('142', '9', 'Acid Stream Launcher', '337224478', '131076', 'weapon_name', 'heavy_acid_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=14:damageType=8:armorPiercing=2:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_acid_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('143', '9', 'Heavy Acid Rifle', '3329701535', '131078', 'weapon_name', 'rifle_acid_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=280:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=83:maxRange=64:type=13:damageType=8:armorPiercing=0:pointBlankRange=0:healthCost=63:minDamage=122:actionCost=66:cert=cert_rifle_acid_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('144', '9', 'Heavy Particle Beam Cannon', '1442646668', '131076', 'weapon_name', 'heavy_particle_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=17:damageType=2:armorPiercing=3:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_particle_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('145', '9', 'Lightning Beam Cannon', '1073082434', '131076', 'weapon_name', 'heavy_lightning_beam', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=257.3:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8.6:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=15:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=63:minDamage=127.2:actionCost=66:cert=cert_heavy_lightning_beam:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('146', '9', 'D18 Pistol', '3466260217', '131082', 'weapon_name', 'pistol_d18', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_d18:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('147', '9', 'DH17 Pistol', '1034640003', '131082', 'weapon_name', 'pistol_dh17', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=20:healthCost=10:maxDamage=50:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dh17:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('148', '9', 'DL44 Pistol', '2829612927', '131082', 'weapon_name', 'pistol_dl44', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dl44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('149', '9', 'DL44 Metal', '1831044635', '131082', 'weapon_name', 'pistol_dl44_metal', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_dl44_metal:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('150', '9', 'FWG5 Pistol', '1508397938', '131082', 'weapon_name', 'pistol_fwg5', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=6:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=5:category=32:idealRange=25:maxRange=32:cert=cert_pistol_fwg5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('151', '9', 'Power5 Pistol', '148689854', '131082', 'weapon_name', 'pistol_power5', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_power5:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('152', '9', 'Republic Blaster', '258355020', '131082', 'weapon_name', 'pistol_republic_blaster', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=2:mindCost=32:minDamage=40:healthCost=20:cert=cert_pistol_republic_blaster:maxDamage=100:idealAccuracy=60:woundsRatio=12:attackSpeed=5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('153', '9', 'SR Combat Pistol', '874294352', '131082', 'weapon_name', 'pistol_srcombat', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=2:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_srcombat:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=4.5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('154', '9', 'Striker Pistol', '1505820957', '131082', 'weapon_name', 'pistol_striker', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=1:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_striker:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('155', '9', 'Tangle Pistol', '2758629867', '131082', 'weapon_name', 'pistol_tangle', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:skillMod2Value=0:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=4:mindCost=5:minDamage=40:healthCost=10:maxDamage=70:idealAccuracy=-28:woundsRatio=7:attackSpeed=6:category=32:idealRange=25:maxRange=32:cert=cert_pistol_tangle:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('156', '9', 'DLT20 Rifle', '1650151261', '131084', 'weapon_name', 'rifle_dlt20', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_dlt20:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('157', '9', 'DLT20a Rifle', '2200111432', '131084', 'weapon_name', 'rifle_dlt20a', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=0:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_dlt20a:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('158', '9', 'E11 Rifle', '4027327053', '131084', 'weapon_name', 'rifle_e11', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=35:type=6:armorPiercing=2:maxRangeAccuracy=0:range=64:damageType=2:mindCost=65:minDamage=10:healthCost=35:maxDamage=100:idealAccuracy=-32:woundsRatio=22:attackSpeed=9:category=32:idealRange=60:maxRange=64:cert=cert_rifle_e11:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('159', '9', 'Scatter Pistol', '3345683635', '131082', 'weapon_name', 'pistol_scatter', 'pointBlankAccuracy=-30:pointBlankRange=0:actionCost=35:type=4:armorPiercing=1:maxRangeAccuracy=-85:range=45:damageType=8:mindCost=12:minDamage=60:healthCost=20:cert=cert_pistol_scatter:maxDamage=90:idealAccuracy=60:woundsRatio=12:attackSpeed=5:category=32:idealRange=30:maxRange=44:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('160', '9', 'Scout Blaster', '3883785442', '131082', 'weapon_name', 'pistol_scout_blaster', 'pointBlankAccuracy=-90:pointBlankRange=0:actionCost=15:type=4:armorPiercing=0:maxRangeAccuracy=0:range=32:damageType=2:mindCost=5:minDamage=50:healthCost=10:maxDamage=80:idealAccuracy=-28:woundsRatio=7:attackSpeed=4:category=32:idealRange=25:maxRange=32:cert=cert_pistol_scout_blaster:maxDots=3:', '', '1.61', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('161', '10', 'Smooth Barrel of Dampening', '137262486', '524288', 'powerup_n', 'weapon_ranged', 'type=2:powerup2Value=8.34:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=1:powerup1Type=4:powerup0Type=2:subType=1:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('162', '10', 'Compensating Melee Powerup of Control-Enhancement', '1375892401', '524288', 'powerup_n', 'weapon_melee', 'type=1:powerup2Value=0:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=0:powerup1Type=1:powerup0Type=3:subType=2:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('163', '10', 'Muffled Muzzle of Sighting', '555906025', '524288', 'powerup_n', 'weapon_ranged', 'type=2:powerup2Value=8.34:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=2:powerup1Type=4:powerup0Type=1:subType=4:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('164', '10', 'Extending Melee Powerup of Accuracy', '1375892401', '524288', 'powerup_n', 'weapon_melee', 'type=1:powerup2Value=0:powerup1Value=16.67:powerup0Value=33.34:uses=100:powerup2Type=0:powerup1Type=2:powerup0Type=4:subType=4:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('165', '10', 'Quick-Charge Coupler of Compensation', '1622710306', '524288', 'powerup_n', 'weapon_ranged', 'powerup2Value=8.34:powerup0Value=14.0426:powerup1Value=13.6842:powerup2Type=3:type=2:powerup0Type=2:powerup1Type=1:subType=2:uses=100:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('166', '11', 'Armor Attachment', '3742650204', '8223', 'item_n', 'socket_gem_armor', 'attachmentType=2:', '', '50', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('167', '11', 'Clothing Attachment', '3237805620', '8221', 'item_n', 'socket_gem_clothing', 'attachmentType=1:', '', '50', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('168', '12', 'Geonosian Sonic Blaster', '2311570538', '131082', 'weapon_name', 'pistol_geonosian_sonic_blaster', 'pointBlankAccuracy=18:pointBlankRange=0:actionCost=35:type=4:armorPiercing=0:condition=705/750:maxRangeAccuracy=-90:range=45:damageType=4:mindCost=14:minDamage=80:healthCost=14:cert=cert_pistol_geonosian_sonic_blaster_loot:maxDamage=135:idealAccuracy=34:woundsRatio=15:attackSpeed=5.5:category=32:idealRange=15:maxRange=48:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('169', '12', 'Royal Honey Carafe', '1253190673', '262144', 'item_n', 'relic_gbb_honey_carafe', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('170', '12', 'A pack of Geonosian Rations.', '395732955', '262144', 'item_n', 'relic_gbb_ration_kit', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('171', '12', 'Small Ball', '3247484355', '262144', 'item_n', 'relic_gbb_small_ball', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('172', '12', 'Spice Container', '2674127359', '262144', 'item_n', 'relic_gbb_spice_container', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('173', '12', 'Geonosian Technical Kit', '1965831716', '262144', 'item_n', 'relic_gbb_tech_kit', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('174', '12', 'Chemical Ampule', '1953839447', '262144', 'item_n', 'relic_gbb_chemical_tab', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('175', '12', 'Data Device', '2836503277', '262144', 'item_n', 'relic_gbb_data_tab', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('176', '12', 'Tenloss DXR-6 Disruptor Rifle', '20961126', '131084', 'weapon_name', 'rifle_tenloss_dxr6_disruptor', 'pointBlankAccuracy=-60:pointBlankRange=0:actionCost=31:type=6:armorPiercing=2:condition=652/750:maxRangeAccuracy=0:range=64:damageType=8:mindCost=65:minDamage=85:healthCost=22:cert=cert_rifle_tenloss_dxr6_disruptor_loot:maxDamage=290:idealAccuracy=-32:woundsRatio=25:attackSpeed=8:category=32:idealRange=60:maxRange=64:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('177', '12', 'Geonosian Power Cube (Green)', '2570329564', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube_green', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('178', '12', 'Geonosian Power Cube (Red)', '98191878', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube_red', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('179', '12', 'Geonosian Power Cube (Yellow)', '783478248', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube_yellow', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('180', '12', 'Geonosian Power Cube (White)', '2313307226', '262144', 'craft_weapon_ingredients_n', 'geonosian_power_cube', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('181', '12', 'Geonosian Reinforcement Core', '2362781931', '262144', 'craft_weapon_ingredients_n', 'geonosian_reinforcement_core', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('182', '12', 'Geonosian Solidifying Agent', '3710952248', '262144', 'craft_weapon_ingredients_n', 'geonosian_solidifying_agent', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('183', '12', 'Geonosian Sword Core', '927591163', '262144', 'craft_weapon_ingredients_n', 'geonosian_sword_core', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('184', '12', 'Interwoven Bone Armor Segment Schematic', '3869697913', '2049', 'craft_weapon_ingredients_n', 'acklay_bone_segment_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('185', '12', 'Interwoven R.I.S. Armor Segment Schematic', '1435106538', '2049', 'craft_weapon_ingredients_n', 'armor_segment_ris_acklay', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('186', '12', 'Geonosian Reinforcement Core Schematic', '2842219763', '2049', 'craft_weapon_ingredients_n', 'geonosian_reinforcement_core_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('187', '12', 'Geonosian Sonic Blaster Schematic', '3191519467', '2049', 'craft_weapon_ingredients_n', 'geonosian_sonic_blaster_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('188', '12', 'Geonosian Sword Core Schematic', '2133560437', '2049', 'craft_weapon_ingredients_n', 'geonosian_sword_core_schemat', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('189', '12', 'Geonosian Tenloss DXR-6 Schematic', '910955791', '2049', 'craft_weapon_ingredients_n', 'geonosian_tenloss_dxr6_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('194', '13', 'Tusken Raider Boots', '688070269', '16777222', 'wearables_name', 'boots_tusken_raider', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('195', '13', 'Tusken Raider Gloves', '1738692931', '16777224', 'wearables_name', 'gloves_tusken_raider', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('196', '13', 'Tusken Raider Robe', '1357876030', '16777219', 'wearables_name', 'robe_tusken_raider_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('197', '13', 'Tusken Raider Helmet', '4156063051', '16777226', 'wearables_name', 'helmet_tusken_raider_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('198', '13', 'Tusken Rifle', '2874182418', '131084', 'weapon_name', 'rifle_tusken', 'pointBlankAccuracy=-90:idealRange=60:maxDamage=145:range=45:category=32:maxRangeAccuracy=0:attackSpeed=8:woundsRatio=15:idealAccuracy=-32:mindCost=83:maxRange=64:type=6:damageType=1:armorPiercing=1:condition=750/750:pointBlankRange=0:healthCost=45:minDamage=40:actionCost=39:cert=cert_rifle_tusken:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('199', '13', 'Bantha Doll', '3429421231', '8211', 'loot_tato_n', 'bantha_doll', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('205', '14', 'Nightsister Lance', '3796866830', '131081', 'weapon_name', 'lance_controllerfp_nightsister', 'pointBlankAccuracy=7:idealRange=3:maxDamage=133:cert=cert_lance_controllerfp:category=16:maxRangeAccuracy=7:attackSpeed=6.2:woundsRatio=9:idealAccuracy=7:mindCost=28:maxRange=5:type=3:damageType=1:armorPiercing=0:pointBlankRange=0:healthCost=91:minDamage=7:actionCost=71:maxDots=3:dots=type=33554432,attribute=0,strength=40,duration=1200,potency=70,uses=8000:', '', '25', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('206', '14', 'Long Vibro Axe', '1723256113', '131081', 'weapon_name', 'lance_vibro_axe', 'pointBlankAccuracy=-45:pointBlankRange=0:actionCost=71:type=3:armorPiercing=2:maxRangeAccuracy=-45:damageType=1:mindCost=28:minDamage=44:healthCost=91:cert=cert_lance_vibro_axe:maxDamage=176:idealAccuracy=-45:woundsRatio=23:attackSpeed=6.5:category=16:idealRange=7:maxRange=7:', '', '25', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('207', '14', 'Vibro Lance', '22784428', '131081', 'weapon_name', 'lance_vibrolance', 'pointBlankAccuracy=-24:idealRange=3:maxDamage=154:cert=cert_lance_vibrolance:category=16:maxRangeAccuracy=-24:attackSpeed=5.8:woundsRatio=26:idealAccuracy=-24:mindCost=28:maxRange=5:type=3:damageType=3:armorPiercing=1:pointBlankRange=0:healthCost=58:minDamage=42:actionCost=84:', '', '25', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('208', '14', 'Armor nightsister bicep r', '781466578', '261', 'wearables_name', 'nightsister_bicep_r', 'armorPiece=261:rating=0;', '', '0.15', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('209', '15', 'Singing Mountain Clan Left Bicep Armor', '4164574755', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bicep', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('210', '15', 'Singing Mountain Clan Right Bicep Armor', '2297371568', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bracer_r', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('211', '15', 'Singing Mountain Clan Left Bracer Armor', '1037485621', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bracer_l', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('212', '15', 'Singing Mountain Clan Right Bracer Armor', '1292075942', '261', 'wearables_name', 'armor_singing_mountain_clan_s01_bracer_r', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('213', '15', 'SMC Bone Bicep (Left)', '3237390515', '261', 'wearables_name', 'armor_smc_s01_bicep_l', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('214', '15', 'Tribal Waist Pack', '1811378952', '8213', 'container_name', 'singing_mountain_clan_backpack', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('203', '14', 'Nightsister Armor Layer', '3536633958', '262145', 'craft_clothing_ingredients_n', 'armor_layer_nightsister', '', '', '6.17', '0', '0', '0', '6', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('201', '14', 'Heavy Duty Clasp ', '948917712', '0', 'craft_clothing_ingredients_n', 'clasp_heavy_duty', '', '', '6.17', '0', '0', '0', '8', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('200', '14', 'Portion of Heavy Duty Leather', '2558785369', '0', 'craft_clothing_ingredients_n', 'leather_heavy_duty', '', '', '6.17', '0', '0', '0', '8', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('202', '14', 'Nightsister Armor Shard', '2132900638', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_nightsister', '', '', '6.17', '0', '0', '0', '8', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('191', '12', 'Acklay Hide', '962320502', '262145', 'craft_clothing_ingredients_n', 'armor_segment_padded_acklay', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('192', '12', 'Acklay Bones', '4088226280', '262152', 'craft_weapon_ingredients_n', 'acklay_bone_reinforcement_core', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('193', '12', 'Acklay Venom', '3684259216', '262150', 'craft_munition_ingredients_n', 'acklay_venom', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('217', '16', 'Krayt Dragon Composite Armor Segment', '2649372559', '0', 'craft_clothing_ingredients_n', 'armor_segment_composite_krayt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('190', '12', 'Spider Venom', '3428815879', '0', 'craft_chemical_ingredients_n', 'spider_venom', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('244', '25', 'Rancor Bile', '317047330', '0', 'craft_chemical_ingredients_n', 'rancor_bile', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('245', '25', 'Rancor Padded Armor Segment', '3223101673', '0', 'craft_clothing_ingredients_n', 'armor_segment_padded_rancor', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('247', '26', 'Janta Blood ', '1058893195', '0', 'craft_chemical_ingredients_n', 'janta_blood', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('243', '25', 'Rancor Tooth', '3366067371', '0', 'craft_weapon_ingredients_n', 'rancor_tooth', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('216', '16', 'Advanced Bone Armor Segment', '2814096223', '0', 'craft_clothing_ingredients_n', 'armor_segment_bone_advanced', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('215', '16', 'Krayt Dragon Scale', '1719593091', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_krayt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('218', '16', 'Krayt Dragon Tissue', '3981194570', '0', 'craft_weapon_ingredients_n', 'blaster_power_handler_enhancement_krayt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('219', '16', 'Krayt Dragon Pearl', '2322379839', '262152', 'craft_weapon_ingredients_n', 'krayt_dragon_pearl', 'crystalType=1:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21171', '29', 'Gorax Bone Shards', '255106526', '0', 'craft_weapon_ingredients_n', 'projectile_feed_mechanism_enhancement_gorax', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21169', '28', 'Aakuan Robe', '518208123', '0', 'wearables_name', 'aakuan_robe', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21168', '28', 'Aakuan Ring', '923373873', '0', 'wearables_name', 'aakuan_ring', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21170', '28', 'Aakuan Shirt', '1826844236', '0', 'wearables_name', 'aakuan_shirt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21167', '28', 'Aakuan Belt', '1699237411', '0', 'wearables_name', 'aakuan_belt', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('248', '26', 'Janta Knife', '2255187692', '0', 'weapon_name', 'janta_knife', 'pointBlankAccuracy=3:idealRange=3:maxDamage=21:cert=cert_knife_dagger:category=16:maxRangeAccuracy=3:attackSpeed=4.7:woundsRatio=4:idealAccuracy=3:mindCost=12:maxRange=4:type=1:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=23:minDamage=14:actionCost=14:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('249', '26', 'Janta Hide', '184239884', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_janta', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('246', '25', 'Rancor Hide', '1147665676', '0', 'craft_clothing_ingredients_n', 'armor_segment_enhancement_rancor', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('204', '14', 'Nightsister Vibro Blade Unit', '3670724056', '0', 'craft_weapon_ingredients_n', 'blade_vibro_unit_nightsister', '', '', '0.15', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('226', '17', 'Alum Mine Gel Packet', '3707628236', '0', 'death_watch', 'gel_packet', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('228', '17', 'Art Crate', '3487250459', '0', 'item_n', 'art_crate', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('229', '17', 'Binary Liquid', '4135561605', '0', 'death_watch', 'binary_liquid', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('230', '17', 'Blood Vial', '3164930997', '0', 'item_n', 'blood_vial', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('231', '17', 'A Ducted Fan', '2674191794', '0', 'item_n', 'jetpack_ducted_fan', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('232', '17', 'Protective Liquid Coating ', '3565585514', '0', 'death_watch', 'emulsifier', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('233', '17', 'a Fuel Dispersion Unit', '2809463476', '0', 'item_n', 'jetpack_fuel_dispersion_unit', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('234', '17', 'Fuel Injector Tank', '2471910625', '0', 'craft_item_ingredients_n', 'fuel_injector_tank', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('235', '17', 'A Jetpack Base', '4035920074', '0', 'item_n', 'jetpack_base', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('236', '17', 'A Jetpack Stabilizer', '1405799440', '0', 'death_watch', 'stabilizer', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('237', '17', 'DE-10 Pistol Barrel', '431650444', '0', 'item_n', 'de10_barrel', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('227', '17', 'A viewscreen', '765586613', '0', 'item_n', 'viewscreen_s1', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('238', '17', 'DE-10 Pistol Schematic', '44057344', '0', 'craft_item_ingredients_n', 'pistol_de_10_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('239', '17', 'Executioner\'s Hack Schematic', '2390933673', '0', 'craft_item_ingredients_n', 'executioners_hack_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('240', '17', 'Razor Knuckler Schematic', '56986758', '0', 'craft_item_ingredients_n', 'razor_knuckler_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('241', '17', 'Recipe for Mandalorian Wine', '818256163', '0', 'craft_item_ingredients_n', 'mandalorian_wine_schematic', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('242', '17', 'Rebreather', '53819294', '0', 'wearables_name', 'rebreather', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21152', '18', 'A Dark Jedi Medallion', '689527148', '0', 'item_n', 'medallion_dark_jedi_s01', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21153', '19', 'Crystal', '1896638798', '262152', 'craft_weapon_ingredients_n', 'force_crystal', 'crystalType=1:', '', '85', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21154', '20', 'Nyax Necklace', '3448479035', '0', 'wearables_name', 'necklace_nyax', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21155', '20', 'Nyax Sword', '371913339', '131079', 'weapon_name', 'sword_nyax', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=108:cert=cert_sword_02:category=16:maxRangeAccuracy=-45:attackSpeed=4.7:woundsRatio=11.8497:idealAccuracy=-45:mindCost=12:maxRange=5:type=1:damageType=1:armorPiercing=0:condition=653/750:pointBlankRange=0:healthCost=83:minDamage=56:actionCost=26:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21156', '20', 'Light Lightning Cannon', '708413629', '131078', 'weapon_name', 'rifle_lightning', 'pointBlankAccuracy=-30:idealRange=48:maxDamage=250:range=45:category=32:maxRangeAccuracy=30:attackSpeed=8:woundsRatio=17.2:idealAccuracy=20:mindCost=63:maxRange=64:type=12:damageType=3:armorPiercing=1:condition=710/750:pointBlankRange=0:healthCost=63:minDamage=70:actionCost=66:cert=cert_rifle_lightning:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21157', '26', 'Janta Staff', '1705789500', '0', 'weapon_name', 'lance_staff_janta', 'pointBlankAccuracy=-45:idealRange=5:maxDamage=35:category=16:maxRangeAccuracy=-45:attackSpeed=5:woundsRatio=7:idealAccuracy=-45:mindCost=15:maxRange=5:type=3:damageType=1:armorPiercing=0:condition=718/750:pointBlankRange=0:healthCost=51:minDamage=5:actionCost=30:cert_lance_staff_wood_s1:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21158', '21', 'Giant Dune Kimogila Scales', '3177620881', '262145', 'craft_clothing_ingredients_n', 'scale_giant_dune_kimogila', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21159', '21', 'Kimogila Scales', '3365812164', '262145', 'craft_armor_ingredients_n', 'armor_segment_enhancement_kimogila', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21160', '21', 'Kimogila Scale Segment', '2307142178', '262145', 'craft_armor_ingredients_n', 'armor_segment_bone_kimogila', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21161', '22', 'Peko Peko Albatross Feather', '2381585751', '262145', 'craft_clothing_ingredients_n', 'feather_peko_albatross', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21162', '23', 'Gurk King Hide ', '605934535', '262145', 'craft_clothing_ingredients_n', 'hide_gurk_king', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21163', '24', 'Woolamander Harrower Bone Fragment', '4007249575', '262145', 'craft_clothing_ingredients_n', 'bone_fragment_woolamander_harrower', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21164', '27', 'Donkuwah Knife', '532251396', '0', 'weapon_name', 'knife_donkuwah', 'pointBlankAccuracy=3:idealRange=3:maxDamage=21:cert=cert_knife_dagger:category=16:maxRangeAccuracy=3:attackSpeed=4.7:woundsRatio=4:idealAccuracy=3:mindCost=12:maxRange=4:type=1:damageType=1:armorPiercing=0:condition=693/750:pointBlankRange=0:healthCost=23:minDamage=14:actionCost=14:', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21165', '27', 'Donkuwah Poison', '2542466646', '0', 'craft_chemical_ingredients_n', 'infection_amplifier_donkuwah', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21166', '27', 'Donkuwah Bone Armor Segment ', '1936004642', '0', 'craft_clothing_ingredients_n', 'armor_segment_bone_donkuwah', '', '', '3.03', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `loot_items` VALUES ('21177', '8', 'Crystal', '1896638798', '262152', 'craft_weapon_ingredients_n', 'force_crystal', 'crystalType=0', '', '50', '0', '0', '0', '0', '0', '0', '0', 'all', '65535', '0');
INSERT INTO `no_build_areas` VALUES ('0', '-178', '-4504', '1181');
INSERT INTO `no_build_areas` VALUES ('0', '-5140', '-2450', '900');
INSERT INTO `no_build_areas` VALUES ('0', '6766', '-5692', '970');
INSERT INTO `no_build_areas` VALUES ('0', '-3420', '3146', '1220');
INSERT INTO `no_build_areas` VALUES ('0', '3274', '5582', '925');
INSERT INTO `no_build_areas` VALUES ('0', '-5538', '-6176', '820');
INSERT INTO `no_build_areas` VALUES ('0', '5291', '1494', '400');
INSERT INTO `no_build_areas` VALUES ('0', '-5418', '-6248', '350');
INSERT INTO `no_build_areas` VALUES ('0', '6767', '-5617', '360');
INSERT INTO `no_build_areas` VALUES ('0', '1084', '4176', '350');
INSERT INTO `no_build_areas` VALUES ('0', '-6530', '5967', '400');
INSERT INTO `no_build_areas` VALUES ('0', '-6584', '5915', '300');
INSERT INTO `no_build_areas` VALUES ('0', '5291', '1494', '300');
INSERT INTO `no_build_areas` VALUES ('0', '-5421', '-6212', '300');
INSERT INTO `no_build_areas` VALUES ('0', '6760', '-5617', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1402', '3802', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1042', '4193', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1414', '-317', '300');
INSERT INTO `no_build_areas` VALUES ('0', '4651', '-5617', '1000');
INSERT INTO `no_build_areas` VALUES ('0', '-2483', '2907', '300');
INSERT INTO `no_build_areas` VALUES ('0', '1859', '4642', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-640', '2486', '735');
INSERT INTO `no_build_areas` VALUES ('1', '1588', '-6399', '735');
INSERT INTO `no_build_areas` VALUES ('1', '-4224', '-2400', '850');
INSERT INTO `no_build_areas` VALUES ('1', '-3862', '-5706', '350');
INSERT INTO `no_build_areas` VALUES ('1', '-7156', '-883', '350');
INSERT INTO `no_build_areas` VALUES ('1', '-6836', '5520', '325');
INSERT INTO `no_build_areas` VALUES ('1', '4195', '5203', '325');
INSERT INTO `no_build_areas` VALUES ('1', '-3929', '-5632', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-7144', '-1053', '300');
INSERT INTO `no_build_areas` VALUES ('1', '5655', '-589', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-6858', '5725', '300');
INSERT INTO `no_build_areas` VALUES ('1', '4258', '5374', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-6259', '7336', '300');
INSERT INTO `no_build_areas` VALUES ('1', '6994', '-4110', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-7258', '-3320', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-368', '-240', '300');
INSERT INTO `no_build_areas` VALUES ('1', '-580', '-3763', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '599', '3046', '410');
INSERT INTO `no_build_areas` VALUES ('2', '-85', '-1600', '425');
INSERT INTO `no_build_areas` VALUES ('2', '-6304', '753', '400');
INSERT INTO `no_build_areas` VALUES ('2', '652', '-4888', '350');
INSERT INTO `no_build_areas` VALUES ('2', '-2101', '3165', '350');
INSERT INTO `no_build_areas` VALUES ('2', '-4427', '586', '325');
INSERT INTO `no_build_areas` VALUES ('2', '3558', '1554', '325');
INSERT INTO `no_build_areas` VALUES ('2', '5585', '1903', '350');
INSERT INTO `no_build_areas` VALUES ('2', '3021', '1289', '325');
INSERT INTO `no_build_areas` VALUES ('2', '-6090', '1010', '350');
INSERT INTO `no_build_areas` VALUES ('2', '-6091', '1010', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '-2091', '3177', '300');
INSERT INTO `no_build_areas` VALUES ('2', '-4446', '596', '300');
INSERT INTO `no_build_areas` VALUES ('2', '3566', '1560', '300');
INSERT INTO `no_build_areas` VALUES ('2', '651', '-4888', '300');
INSERT INTO `no_build_areas` VALUES ('2', '-3946', '-50', '300');
INSERT INTO `no_build_areas` VALUES ('2', '678', '4079', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '-2450', '1521', '1000');
INSERT INTO `no_build_areas` VALUES ('2', '-1219', '6262', '300');
INSERT INTO `no_build_areas` VALUES ('2', '2428', '-1701', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-905', '1584', '430');
INSERT INTO `no_build_areas` VALUES ('3', '3221', '-3471', '400');
INSERT INTO `no_build_areas` VALUES ('3', '4596', '-2423', '400');
INSERT INTO `no_build_areas` VALUES ('3', '6051', '-2477', '400');
INSERT INTO `no_build_areas` VALUES ('3', '-650', '-5076', '400');
INSERT INTO `no_build_areas` VALUES ('3', '-4628', '-2273', '350');
INSERT INTO `no_build_areas` VALUES ('3', '6', '-5', '300');
INSERT INTO `no_build_areas` VALUES ('3', '4661', '-2425', '300');
INSERT INTO `no_build_areas` VALUES ('3', '1578', '-3271', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-605', '-4940', '300');
INSERT INTO `no_build_areas` VALUES ('3', '5921', '-2514', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-1287', '2904', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-4838', '-2339', '300');
INSERT INTO `no_build_areas` VALUES ('3', '2286', '3459', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-6853', '679', '300');
INSERT INTO `no_build_areas` VALUES ('3', '-1695', '-56', '300');
INSERT INTO `no_build_areas` VALUES ('4', '440', '5029', '915');
INSERT INTO `no_build_areas` VALUES ('4', '-1920', '-3084', '436');
INSERT INTO `no_build_areas` VALUES ('4', '-1814', '-3086', '350');
INSERT INTO `no_build_areas` VALUES ('4', '3091', '-4638', '350');
INSERT INTO `no_build_areas` VALUES ('4', '4562', '-1156', '325');
INSERT INTO `no_build_areas` VALUES ('4', '3091', '-4638', '300');
INSERT INTO `no_build_areas` VALUES ('4', '-1785', '-3087', '1000');
INSERT INTO `no_build_areas` VALUES ('4', '4572', '-1114', '300');
INSERT INTO `no_build_areas` VALUES ('4', '-68', '2650', '300');
INSERT INTO `no_build_areas` VALUES ('4', '-3792', '-3904', '300');
INSERT INTO `no_build_areas` VALUES ('4', '3703', '2274', '300');
INSERT INTO `no_build_areas` VALUES ('4', '3364', '-4923', '300');
INSERT INTO `no_build_areas` VALUES ('4', '3824', '-465', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-5488', '4380', '1210');
INSERT INTO `no_build_areas` VALUES ('5', '1888', '2700', '1150');
INSERT INTO `no_build_areas` VALUES ('5', '4836', '-4830.5', '877');
INSERT INTO `no_build_areas` VALUES ('5', '4686', '-1375', '820');
INSERT INTO `no_build_areas` VALUES ('5', '5288', '6687', '825');
INSERT INTO `no_build_areas` VALUES ('5', '-5488', '-6', '625');
INSERT INTO `no_build_areas` VALUES ('5', '-4628', '4207', '325');
INSERT INTO `no_build_areas` VALUES ('5', '5157', '-1646', '325');
INSERT INTO `no_build_areas` VALUES ('5', '-5828', '-93', '350');
INSERT INTO `no_build_areas` VALUES ('5', '-2066', '-5423', '350');
INSERT INTO `no_build_areas` VALUES ('5', '-2104', '-5408', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-4627', '4207', '300');
INSERT INTO `no_build_areas` VALUES ('5', '5174', '-1550', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-5828', '-93', '300');
INSERT INTO `no_build_areas` VALUES ('5', '4825', '-3820', '1000');
INSERT INTO `no_build_areas` VALUES ('5', '-1952', '-5279', '300');
INSERT INTO `no_build_areas` VALUES ('5', '-6456', '-3235', '1000');
INSERT INTO `no_build_areas` VALUES ('5', '5864', '-4681', '300');
INSERT INTO `no_build_areas` VALUES ('5', '2963', '1109', '300');
INSERT INTO `no_build_areas` VALUES ('5', '1396', '2686', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-5140', '-2368', '850');
INSERT INTO `no_build_areas` VALUES ('6', '5318', '5680', '925');
INSERT INTO `no_build_areas` VALUES ('6', '3677', '-6447', '380');
INSERT INTO `no_build_areas` VALUES ('6', '-1130', '4544', '400');
INSERT INTO `no_build_areas` VALUES ('6', '-5633', '-5661', '350');
INSERT INTO `no_build_areas` VALUES ('6', '3664', '-6501', '400');
INSERT INTO `no_build_areas` VALUES ('6', '7371', '169', '350');
INSERT INTO `no_build_areas` VALUES ('6', '3669', '-6586', '1000');
INSERT INTO `no_build_areas` VALUES ('6', '7304', '63', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-5651', '-5660', '1000');
INSERT INTO `no_build_areas` VALUES ('6', '-1070', '4542', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-6004', '-1851', '300');
INSERT INTO `no_build_areas` VALUES ('6', '902', '-4933', '300');
INSERT INTO `no_build_areas` VALUES ('6', '5464', '5045', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-1814', '-4533', '300');
INSERT INTO `no_build_areas` VALUES ('6', '773', '-2109', '300');
INSERT INTO `no_build_areas` VALUES ('6', '3584', '5419', '300');
INSERT INTO `no_build_areas` VALUES ('6', '-1986', '3339', '300');
INSERT INTO `no_build_areas` VALUES ('7', '422', '-3004', '1035');
INSERT INTO `no_build_areas` VALUES ('7', '4163', '5220', '795');
INSERT INTO `no_build_areas` VALUES ('7', '-2178', '2300', '450');
INSERT INTO `no_build_areas` VALUES ('7', '4133', '962', '350');
INSERT INTO `no_build_areas` VALUES ('7', '-2184', '2405', '350');
INSERT INTO `no_build_areas` VALUES ('7', '-2452', '3846', '325');
INSERT INTO `no_build_areas` VALUES ('7', '-4425', '-1414', '325');
INSERT INTO `no_build_areas` VALUES ('7', '-2193', '2494', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '4174', '1162', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-2595', '3724', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '-4268', '-1432', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-4899', '-3137', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '4963', '-5977', '1000');
INSERT INTO `no_build_areas` VALUES ('7', '2938', '6004', '300');
INSERT INTO `no_build_areas` VALUES ('7', '1508', '-858', '300');
INSERT INTO `no_build_areas` VALUES ('7', '2145', '-5576', '300');
INSERT INTO `no_build_areas` VALUES ('7', '5939', '4562', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-4816', '-4752', '300');
INSERT INTO `no_build_areas` VALUES ('7', '-5505', '-4680', '300');
INSERT INTO `no_build_areas` VALUES ('7', '5526', '-4073', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-1204', '-3692', '975');
INSERT INTO `no_build_areas` VALUES ('8', '-2878', '2226', '1035');
INSERT INTO `no_build_areas` VALUES ('8', '3569', '-4818', '1000');
INSERT INTO `no_build_areas` VALUES ('8', '1470', '3248', '990');
INSERT INTO `no_build_areas` VALUES ('8', '3855', '2338', '770');
INSERT INTO `no_build_areas` VALUES ('8', '40', '-5348', '930');
INSERT INTO `no_build_areas` VALUES ('8', '-5157', '-6549', '810');
INSERT INTO `no_build_areas` VALUES ('8', '-2579', '-5500', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-4512', '-2270', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-6176', '-3372', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-3930', '-4425', '325');
INSERT INTO `no_build_areas` VALUES ('8', '-4650', '-4363', '325');
INSERT INTO `no_build_areas` VALUES ('8', '7428', '4563', '350');
INSERT INTO `no_build_areas` VALUES ('8', '-3969', '6267', '350');
INSERT INTO `no_build_areas` VALUES ('8', '-5856', '-6183', '1000');
INSERT INTO `no_build_areas` VALUES ('8', '-3980', '6311', '1000');
INSERT INTO `no_build_areas` VALUES ('8', '-6141', '1854', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-718', '-6683', '300');
INSERT INTO `no_build_areas` VALUES ('8', '6839', '4320', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-2579', '-5500', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-4512', '-2270', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-6169', '-3387', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-3931', '-4397', '300');
INSERT INTO `no_build_areas` VALUES ('8', '-4632', '-4346', '300');
INSERT INTO `no_build_areas` VALUES ('8', '2380', '5000', '300');
INSERT INTO `no_build_areas` VALUES ('9', '-312', '4865', '400');
INSERT INTO `no_build_areas` VALUES ('9', '-6925', '-5707', '430');
INSERT INTO `no_build_areas` VALUES ('9', '5076', '5537', '325');
INSERT INTO `no_build_areas` VALUES ('9', '-875', '-2047', '350');
INSERT INTO `no_build_areas` VALUES ('9', '519', '-646', '325');
INSERT INTO `no_build_areas` VALUES ('9', '467', '-693', '300');
INSERT INTO `no_build_areas` VALUES ('9', '-976', '-2039', '300');
INSERT INTO `no_build_areas` VALUES ('9', '5163', '5539', '300');
INSERT INTO `no_build_areas` VALUES ('9', '-3226', '-3139', '300');
INSERT INTO `object_crc_string_table` VALUES ('400647243', '17E1644B', 'object/battlefield_marker/shared_battlefield_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('772486765', '2E0B366D', 'object/battlefield_marker/shared_battlefield_marker_128m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675330696', '63DB8488', 'object/battlefield_marker/shared_battlefield_marker_192m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839286307', 'A93C1223', 'object/battlefield_marker/shared_battlefield_marker_256m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3242162717', 'C13F7A1D', 'object/battlefield_marker/shared_battlefield_marker_384m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057605617', '7AA491F1', 'object/battlefield_marker/shared_battlefield_marker_512m.iff');
INSERT INTO `object_crc_string_table` VALUES ('892199285', '352DE175', 'object/building/base/shared_base_aircar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304404449', '4DBFA1E1', 'object/building/base/shared_base_arena.iff');
INSERT INTO `object_crc_string_table` VALUES ('2838642045', 'A9323D7D', 'object/building/base/shared_base_arena_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010161339', '77D0A0BB', 'object/building/base/shared_base_association_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('930886639', '377C33EF', 'object/building/base/shared_base_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077444681', 'B76E1449', 'object/building/base/shared_base_bubble_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('563265939', '2192C193', 'object/building/base/shared_base_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078697879', '7BE66997', 'object/building/base/shared_base_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349240925', '506BC85D', 'object/building/base/shared_base_capitol.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040885581', 'F0DB054D', 'object/building/base/shared_base_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798966210', 'A6D4D5C2', 'object/building/base/shared_base_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827665869', 'A88AC1CD', 'object/building/base/shared_base_filler_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220933361', 'FB9654F1', 'object/building/base/shared_base_guild.iff');
INSERT INTO `object_crc_string_table` VALUES ('116432474', '6F09E5A', 'object/building/base/shared_base_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250674570', 'FD5C258A', 'object/building/base/shared_base_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('205766799', 'C43C08F', 'object/building/base/shared_base_hotel.iff');
INSERT INTO `object_crc_string_table` VALUES ('266190245', 'FDDBDA5', 'object/building/base/shared_base_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('952281337', '38C2A8F9', 'object/building/base/shared_base_military_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132404592', '437F1F70', 'object/building/base/shared_base_municipal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617161179', '6063EBDB', 'object/building/base/shared_base_palace.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335851436', '4F9F79AC', 'object/building/base/shared_base_parking_garage.iff');
INSERT INTO `object_crc_string_table` VALUES ('763835545', '2D873499', 'object/building/base/shared_base_player_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206316286', 'BF1C80FE', 'object/building/base/shared_base_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766589263', '694C034F', 'object/building/base/shared_base_salon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237016019', 'FC8BBBD3', 'object/building/base/shared_base_shuttleport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063888932', '3F69A824', 'object/building/base/shared_base_starport.iff');
INSERT INTO `object_crc_string_table` VALUES ('3832915200', 'E475A500', 'object/building/base/shared_base_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('4264143494', 'FE29AA86', 'object/building/base/shared_base_tower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497050652', '94D5F81C', 'object/building/base/shared_building_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2742139830', 'A371BBB6', 'object/building/corellia/shared_association_hall_civilian_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('925292585', '3726D829', 'object/building/corellia/shared_bank_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013728951', '780710B7', 'object/building/corellia/shared_cantina_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023346551', '7899D177', 'object/building/corellia/shared_capitol_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('4160058931', 'F7F57633', 'object/building/corellia/shared_cloning_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487204259', 'CFDA83A3', 'object/building/corellia/shared_filler_block_corellia_32x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1480274759', '583B3347', 'object/building/corellia/shared_filler_block_corellia_64x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2200738768', '832C9BD0', 'object/building/corellia/shared_filler_block_corellia_64x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891016021', 'AC516755', 'object/building/corellia/shared_filler_building_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001129410', '7746CFC2', 'object/building/corellia/shared_filler_building_corellia_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1045145679', '3E4BA84F', 'object/building/corellia/shared_filler_building_corellia_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316155227', 'C5A8835B', 'object/building/corellia/shared_filler_building_corellia_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359682262', '8CA5E4D6', 'object/building/corellia/shared_filler_building_corellia_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471302721', '57B24C41', 'object/building/corellia/shared_filler_building_corellia_style_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('515845068', '1EBF2BCC', 'object/building/corellia/shared_filler_building_corellia_style_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616481902', '9BF4586E', 'object/building/corellia/shared_filler_historic_24x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088680185', '40E3F0F9', 'object/building/corellia/shared_filler_historic_24x16_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667646591', '6366447F', 'object/building/corellia/shared_filler_historic_32x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3094473960', 'B871ECE8', 'object/building/corellia/shared_filler_historic_32x16_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757381075', 'A45A4BD3', 'object/building/corellia/shared_filler_slum_16x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694210539', '64FB99EB', 'object/building/corellia/shared_filler_slum_16x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219927420', 'BFEC317C', 'object/building/corellia/shared_filler_slum_16x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140644280', '43FCD9B8', 'object/building/corellia/shared_garage_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1288802152', '4CD18F68', 'object/building/corellia/shared_guild_combat_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920780919', 'AE179477', 'object/building/corellia/shared_guild_commerce_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431234640', 'CC847C50', 'object/building/corellia/shared_guild_theater_corellia_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3226540131', 'C0511863', 'object/building/corellia/shared_guild_university_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966265050', 'B0CD9CDA', 'object/building/corellia/shared_hospital_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1414124568', '5449D418', 'object/building/corellia/shared_hospital_corellia_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326447330', 'C6458EE2', 'object/building/corellia/shared_hotel_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032858770', '792AF692', 'object/building/corellia/shared_merchant_tent_corellia_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468987350', '9329C1D6', 'object/building/corellia/shared_ply_corl_house_lg_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1777902906', '69F8A53A', 'object/building/corellia/shared_ply_corl_house_m_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262283837', 'FE0D4A3D', 'object/building/corellia/shared_ply_corl_house_s_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('622518954', '251AE2AA', 'object/building/corellia/shared_ply_corl_house_s_s01_fp2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3972901152', 'ECCDA920', 'object/building/corellia/shared_ply_corl_house_s_s02_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015891242', 'EF5DA32A', 'object/building/corellia/shared_salon_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('197393539', 'BC3FC83', 'object/building/corellia/shared_shuttleport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2284214156', '8826578C', 'object/building/corellia/shared_skyscraper_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395785499', '5331FF1B', 'object/building/corellia/shared_skyscraper_corellia_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('440178838', '1A3C9896', 'object/building/corellia/shared_skyscraper_corellia_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789534082', 'E1DFB382', 'object/building/corellia/shared_skyscraper_corellia_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832389135', 'A8D2D40F', 'object/building/corellia/shared_skyscraper_corellia_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449497657', '56659439', 'object/building/corellia/shared_starport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733495054', 'DE889D0E', 'object/building/dathomir/shared_mtn_clan_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104863563', '41DAE14B', 'object/building/dathomir/shared_night_sister_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092202767', '4119B10F', 'object/building/endor/shared_endor_catwalk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451215471', '567FCA6F', 'object/building/endor/shared_endor_catwalk_cap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2759537117', 'A47B31DD', 'object/building/endor/shared_endor_forest_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543574892', '979BDF6C', 'object/building/endor/shared_endor_giant_catwalk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3384806373', 'C9C00BE5', 'object/building/endor/shared_endor_giant_village_tree_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('790353916', '2F1BD7FC', 'object/building/endor/shared_endor_lake_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488414842', '58B7687A', 'object/building/endor/shared_endor_lake_hut_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419475197', '903642FD', 'object/building/endor/shared_endor_lake_platform.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002562347', '3BC1E32B', 'object/building/endor/shared_endor_lake_platform_cap.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339123676', '4FD167DC', 'object/building/endor/shared_endor_lake_walkway_square.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597287151', 'D66A3EEF', 'object/building/endor/shared_endor_lake_walkway_straight.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148017771', 'F73DBA6B', 'object/building/endor/shared_endor_tiki_torch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1111623449', '42420719', 'object/building/endor/shared_endor_village_tree.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074943330', 'F2E2B362', 'object/building/endor/shared_endor_village_tree_viewpoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748322568', 'A3D01308', 'object/building/endor/shared_endr_lake_rail16m.iff');
INSERT INTO `object_crc_string_table` VALUES ('380245173', '16AA14B5', 'object/building/endor/shared_endr_lake_rail2m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1280981925', '4C5A3BA5', 'object/building/endor/shared_endr_lake_rail4m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189742469', 'F9BA6585', 'object/building/endor/shared_endr_lake_rail8m.iff');
INSERT INTO `object_crc_string_table` VALUES ('275299294', '1068BBDE', 'object/building/faction_perk/base/shared_factional_building_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342412562', '8B9E6112', 'object/building/faction_perk/hq/base/shared_factional_hq_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('622259850', '2516EE8A', 'object/building/faction_perk/hq/base/shared_factional_hq_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204337141', 'FA9917F5', 'object/building/faction_perk/hq/shared_hq_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419085158', '90304F66', 'object/building/faction_perk/hq/shared_hq_s01_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('554924775', '21137AE7', 'object/building/faction_perk/hq/shared_hq_s01_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119051291', '42B35E1B', 'object/building/faction_perk/hq/shared_hq_s01_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('563003234', '218EBF62', 'object/building/faction_perk/hq/shared_hq_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094148152', '7CD22A38', 'object/building/faction_perk/hq/shared_hq_s02_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('869505530', '33D399FA', 'object/building/faction_perk/hq/shared_hq_s02_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283967902', '4C87CB9E', 'object/building/faction_perk/hq/shared_hq_s02_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1753471215', '6883D8EF', 'object/building/faction_perk/hq/shared_hq_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('661911282', '2773F6F2', 'object/building/faction_perk/hq/shared_hq_s03_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251843996', 'C1D3339C', 'object/building/faction_perk/hq/shared_hq_s03_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3039513712', 'B52B4C70', 'object/building/faction_perk/hq/shared_hq_s03_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472604667', '9360F3FB', 'object/building/faction_perk/hq/shared_hq_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715286835', 'A1D7FD33', 'object/building/faction_perk/hq/shared_hq_s04_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('374497216', '16525FC0', 'object/building/faction_perk/hq/shared_hq_s04_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357832340', '50EEE094', 'object/building/faction_perk/hq/shared_hq_s04_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664614518', 'DA6D9476', 'object/building/faction_perk/hq/shared_hq_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202045945', 'FA7621F9', 'object/building/faction_perk/hq/shared_hq_s05_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830642086', 'E452F5A6', 'object/building/faction_perk/hq/shared_hq_s05_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839701370', 'A942677A', 'object/building/faction_perk/hq/shared_hq_s05_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('929068141', '3760746D', 'object/building/general/shared_aircar_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3257125986', 'C223CC62', 'object/building/general/shared_arena_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322084706', 'C602FD62', 'object/building/general/shared_arena_large_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3632219938', 'D87F4722', 'object/building/general/shared_association_hall_civilian_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960949370', 'EC174A7A', 'object/building/general/shared_association_hall_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2650754817', '9DFF4F01', 'object/building/general/shared_bank_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('599067335', '23B50AC7', 'object/building/general/shared_bunker_allum_mine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171223694', 'BD05088E', 'object/building/general/shared_bunker_crimelord_retreat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982837298', 'B1CA7C32', 'object/building/general/shared_bunker_imperial_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792922789', '6ADDD4A5', 'object/building/general/shared_bunker_imperial_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('600879912', '23D0B328', 'object/building/general/shared_bunker_imperial_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('990897798', '3B0FE686', 'object/building/general/shared_bunker_imperial_bunker_abandoned.iff');
INSERT INTO `object_crc_string_table` VALUES ('2935243152', 'AEF44190', 'object/building/general/shared_bunker_imperial_deep_chasm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672354378', '63AE1A4A', 'object/building/general/shared_bunker_imperial_detainment_center_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661550307', '63093EE3', 'object/building/general/shared_bunker_imperial_prison_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('357299427', '154BF4E3', 'object/building/general/shared_bunker_imperial_weapons_research_facility_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223964695', 'C029CC17', 'object/building/general/shared_bunker_mad_bio.iff');
INSERT INTO `object_crc_string_table` VALUES ('102885585', '621E8D1', 'object/building/general/shared_bunker_rebel_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3695355168', 'DC42A520', 'object/building/general/shared_bunker_rebel_deep_chasm.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133162154', 'F65B0CAA', 'object/building/general/shared_bunker_rebel_spynet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551461683', '98143733', 'object/building/general/shared_bunker_rebel_weapons_depot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046272201', '79F7A2C9', 'object/building/general/shared_bunker_research_facility_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060967532', '3F3D146C', 'object/building/general/shared_bunker_small_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3828006139', 'E42ABCFB', 'object/building/general/shared_bunker_small_outpost_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2130756010', '7F00C1AA', 'object/building/general/shared_bunker_talus_chunker_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032341079', '79231057', 'object/building/general/shared_bunker_tok_retreat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2436238099', '91360B13', 'object/building/general/shared_bunker_warren_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015930050', 'EF5E3AC2', 'object/building/general/shared_cantina_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2926502766', 'AE6EE36E', 'object/building/general/shared_capitol_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('3160184163', 'BC5C9563', 'object/building/general/shared_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('952315499', '38C32E6B', 'object/building/general/shared_cave_01_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530583699', '96D5A493', 'object/building/general/shared_cave_01_damprock_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('3629542620', 'D8566CDC', 'object/building/general/shared_cave_01_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3887886541', 'E7BC70CD', 'object/building/general/shared_cave_01_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732984308', '674B3DF4', 'object/building/general/shared_cave_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040916264', 'F0DB7D28', 'object/building/general/shared_cave_02_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705597680', 'DCDEEEF0', 'object/building/general/shared_cave_02_damprock_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398864833', 'CA968FC1', 'object/building/general/shared_cave_02_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020721095', 'EFA755C7', 'object/building/general/shared_cave_02_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('776362617', '2E465A79', 'object/building/general/shared_cave_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073160169', 'B72CB3E9', 'object/building/general/shared_cave_03_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('426189756', '196723BC', 'object/building/general/shared_cave_03_damprock_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('949364135', '389625A7', 'object/building/general/shared_cave_03_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897669313', 'E851B6C1', 'object/building/general/shared_cave_03_mirror.iff');
INSERT INTO `object_crc_string_table` VALUES ('519460091', '1EF654FB', 'object/building/general/shared_cave_04_ice_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('759540329', '2D45AA69', 'object/building/general/shared_cave_05_ice_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('736190789', '2BE16145', 'object/building/general/shared_cave_06_flatland_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352052197', 'C7CC41E5', 'object/building/general/shared_cave_06_flatland_s01_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663639712', '632920A0', 'object/building/general/shared_cave_06_flatland_s01_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905336231', '71911FA7', 'object/building/general/shared_cave_07_flatland_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655237343', 'D9DE7EDF', 'object/building/general/shared_cave_07_flatland_s02_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2188080207', '826B744F', 'object/building/general/shared_cave_07_flatland_s02_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882713804', 'ABD2B8CC', 'object/building/general/shared_cave_08_flatland_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('524918885', '1F49A065', 'object/building/general/shared_cave_08_flatland_s03_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('557190412', '21360D0C', 'object/building/general/shared_cave_08_flatland_s03_ice.iff');
INSERT INTO `object_crc_string_table` VALUES ('153465138', '925B132', 'object/building/general/shared_cave_lok_pirate_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852639945', '6E6D0AC9', 'object/building/general/shared_cave_morag.iff');
INSERT INTO `object_crc_string_table` VALUES ('327514443', '1385794B', 'object/building/general/shared_cloning_facility_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102119105', '41B100C1', 'object/building/general/shared_corellia_afarathu_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('88228892', '542441C', 'object/building/general/shared_corellia_drall_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('780046145', '2E7E8F41', 'object/building/general/shared_corellia_nyax_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263547301', '4B5033A5', 'object/building/general/shared_dantooine_force_crystal_hunter_sd_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976190033', '75CA4451', 'object/building/general/shared_dantooine_janta_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2274845407', '879762DF', 'object/building/general/shared_dantooine_kunga_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('711566567', '2A69A4E7', 'object/building/general/shared_dathomir_nsister_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702144691', '6574AAB3', 'object/building/general/shared_dathomir_nsister_rancor_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('709151424', '2A44CAC0', 'object/building/general/shared_endor_jinda_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189018300', '46DEFABC', 'object/building/general/shared_endor_korga_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3233389758', 'C0B99CBE', 'object/building/general/shared_endor_marauder_orphans_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1394323186', '531BAEF2', 'object/building/general/shared_guild_combat_general_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('326541771', '1376A1CB', 'object/building/general/shared_guild_commerce_general_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594966040', 'D646D418', 'object/building/general/shared_guild_university_general_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957667026', 'B04A6AD2', 'object/building/general/shared_hotel_general_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801306693', '6B5DC245', 'object/building/general/shared_hotel_general_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516155062', '5A5EB0B6', 'object/building/general/shared_housing_general_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('766941896', '2DB69AC8', 'object/building/general/shared_landing_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736894341', '6786E785', 'object/building/general/shared_lok_evil_droid_engineer_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736597128', 'A31D2888', 'object/building/general/shared_lok_kimogila_cult_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2476588024', '939DBBF8', 'object/building/general/shared_lok_mercenary_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('526484590', '1F61846E', 'object/building/general/shared_lok_nymstheme_mercenary_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('18770566', '11E6A86', 'object/building/general/shared_lok_nymstheme_pirate_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614150695', 'D76B9027', 'object/building/general/shared_merchant_tent_all_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684189678', '6462B1EE', 'object/building/general/shared_mun_all_capitol_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('432887298', '19CD5602', 'object/building/general/shared_mun_all_cloning_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789605488', 'E1E0CA70', 'object/building/general/shared_mun_all_guild_combat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('49465033', '2F2C6C9', 'object/building/general/shared_mun_all_guild_commerce_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2335562190', '8B35D9CE', 'object/building/general/shared_mun_all_guild_theater_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179256079', '464A050F', 'object/building/general/shared_mun_all_guild_university_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942101786', 'EAF7B31A', 'object/building/general/shared_mun_all_hospital_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('836770701', '31E01B8D', 'object/building/general/shared_mun_all_hospital_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('64245657', '3D44F99', 'object/building/general/shared_mun_all_hotel_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845231920', 'A996CB30', 'object/building/general/shared_mun_all_landing_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399192891', '5365FD3B', 'object/building/general/shared_mun_all_starport_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1618666507', '607AE40B', 'object/building/general/shared_naboo_narglatch_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2696571862', 'A0BA6BD6', 'object/building/general/shared_naboo_pirate_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1074091686', '400556A6', 'object/building/general/shared_naboo_veermok_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771444529', 'E0CBAD31', 'object/building/general/shared_newbie_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1011239275', '3C46496B', 'object/building/general/shared_newbie_hall_skipped.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054952898', '7A7C17C2', 'object/building/general/shared_nightsister_slave_mine_sd_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151125', '301515', 'object/building/general/shared_parking_garage_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2779359080', 'A5A9A768', 'object/building/general/shared_ranchers_house_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374741880', 'C9267978', 'object/building/general/shared_rebel_fuel_depot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008111071', '77B157DF', 'object/building/general/shared_rori_bark_mite_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2510037668', '959C22A4', 'object/building/general/shared_rori_bat_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753493661', 'A41EFA9D', 'object/building/general/shared_rori_cobral_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144664039', '7FD4F9E7', 'object/building/general/shared_rori_garyn_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2711352465', 'A19BF491', 'object/building/general/shared_rori_hyperdrive_research_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('303008890', '120F8C7A', 'object/building/general/shared_rori_kobola_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1919200278', '7264AC16', 'object/building/general/shared_rori_torton_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656969600', 'D9F8ED80', 'object/building/general/shared_shuttleport_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945204994', 'AF8C4302', 'object/building/general/shared_space_dungeon_corellian_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935788511', 'EA975DDF', 'object/building/general/shared_space_dungeon_corellian_corvette_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1523571122', '5ACFD9B2', 'object/building/general/shared_space_dungeon_corellian_corvette_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('692704019', '2949D313', 'object/building/general/shared_space_dungeon_hutt_asteroid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431567153', '5553FB31', 'object/building/general/shared_space_dungeon_star_destroyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229374013', 'FC17203D', 'object/building/general/shared_starport_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699737473', 'A0EAB981', 'object/building/general/shared_starport_general_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2080182550', '7BFD1116', 'object/building/general/shared_starport_general_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1823419741', '6CAF2D5D', 'object/building/general/shared_talus_aakuan_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3978592584', 'ED248148', 'object/building/general/shared_talus_aqualish_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022785523', 'EFC6D5F3', 'object/building/general/shared_talus_binyare_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459804029', '929DA17D', 'object/building/general/shared_talus_giant_decay_mite_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1300216386', '4D7FBA42', 'object/building/general/shared_talus_giant_fynock_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743913196', '67F200EC', 'object/building/general/shared_talus_kahmurra_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('330907884', '13B940EC', 'object/building/general/shared_talus_traitor_erran.iff');
INSERT INTO `object_crc_string_table` VALUES ('1885974487', '7069AFD7', 'object/building/general/shared_tatooine_beetle_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('434980665', '19ED4739', 'object/building/general/shared_tatooine_hutt_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109209534', '421D31BE', 'object/building/general/shared_tatooine_squill_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741312696', 'A3651CB8', 'object/building/general/shared_tatooine_tusken_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658229769', '62D69409', 'object/building/lok/shared_cave_03_nym_pirates.iff');
INSERT INTO `object_crc_string_table` VALUES ('223465819', 'D51D15B', 'object/building/lok/shared_mining_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2289463992', '887672B8', 'object/building/lok/shared_nym_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('61695795', '3AD6733', 'object/building/military/shared_military_abandoned_police_station_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485179638', 'CFBB9EF6', 'object/building/military/shared_military_base_gate_house_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('301400937', '11F70369', 'object/building/military/shared_military_base_gate_house_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('603572205', '23F9C7ED', 'object/building/military/shared_military_base_police_station_imperial_lok_otto.iff');
INSERT INTO `object_crc_string_table` VALUES ('3633066758', 'D88C3306', 'object/building/military/shared_military_base_police_station_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2265285311', '870582BF', 'object/building/military/shared_military_base_police_station_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255048531', 'FD9EE353', 'object/building/military/shared_military_base_shed_imperial_barracks_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('196947849', 'BBD2F89', 'object/building/military/shared_military_base_shed_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577026459', 'D535179B', 'object/building/military/shared_military_base_shed_imperial_style_bank_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151796568', 'F7776358', 'object/building/military/shared_military_base_shed_imperial_style_cantina_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493400176', 'D0390E70', 'object/building/military/shared_military_base_shed_imperial_style_hospital_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('279599580', '10AA59DC', 'object/building/military/shared_military_base_shed_imperial_style_officer_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201291643', 'BECFD57B', 'object/building/military/shared_military_base_shed_imperial_style_prison_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836586352', '6D781570', 'object/building/military/shared_military_base_shed_rebel_abandoned_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3606723543', 'D6FA3BD7', 'object/building/military/shared_military_base_shed_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881652814', 'E75D524E', 'object/building/military/shared_military_imperial_detachment_hq.iff');
INSERT INTO `object_crc_string_table` VALUES ('1587777178', '5EA38E9A', 'object/building/military/shared_military_imperial_field_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707185089', 'DCF727C1', 'object/building/military/shared_military_imperial_forward_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767088646', '6953A206', 'object/building/military/shared_military_imperial_strategic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834889912', 'E493C6B8', 'object/building/military/shared_military_imperial_tactical_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294596356', '4D29F904', 'object/building/military/shared_military_outpost_guard_house_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257226961', 'FDC020D1', 'object/building/military/shared_military_outpost_guard_house_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3846575780', 'E54616A4', 'object/building/military/shared_military_outpost_guard_tower_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('27534614', '1A42516', 'object/building/military/shared_military_rebel_detachment_hq.iff');
INSERT INTO `object_crc_string_table` VALUES ('2029763921', '78FBBD51', 'object/building/military/shared_military_rebel_field_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('107026323', '6611793', 'object/building/military/shared_military_rebel_forward_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326158285', '4F0B91CD', 'object/building/military/shared_military_rebel_strategic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1040578282', '3E05F6EA', 'object/building/military/shared_military_rebel_tactical_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049657385', 'F160DE29', 'object/building/military/shared_mun_all_military_tower_impl_guard_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152524774', '44B221E6', 'object/building/military/shared_outpost_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476076676', '57FB2484', 'object/building/military/shared_outpost_cloning_facility_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('519455497', '1EF64309', 'object/building/military/shared_outpost_cloning_facility_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037564192', '3DD7F920', 'object/building/military/shared_outpost_shed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3955868475', 'EBC9C33B', 'object/building/military/shared_outpost_shed_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730796214', 'A2C4A4B6', 'object/building/military/shared_outpost_shed_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495764898', '59278FA2', 'object/building/military/shared_outpost_shed_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('271247407', '102AE82F', 'object/building/military/shared_outpost_shed_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035022053', 'B4E6C2E5', 'object/building/military/shared_outpost_starport.iff');
INSERT INTO `object_crc_string_table` VALUES ('2804382550', 'A7277B56', 'object/building/military/shared_pirate_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437476511', '9148F09F', 'object/building/military/shared_pirate_warehouse.iff');
INSERT INTO `object_crc_string_table` VALUES ('568013580', '21DB330C', 'object/building/military/shared_poi_all_alum_mine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('339089158', '14361706', 'object/building/military/shared_poi_all_impl_bunker_recon_outpost.iff');
INSERT INTO `object_crc_string_table` VALUES ('149503406', '8E93DAE', 'object/building/military/shared_poi_all_jedi_temple_ruined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675557351', '9F79C3E7', 'object/building/military/shared_poi_all_mad_bio_mine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1446333372', '56354BBC', 'object/building/military/shared_rebel_hideout_themepark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082976950', '7C27B4B6', 'object/building/military/shared_small_imperial_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('972900942', '39FD4A4E', 'object/building/military/shared_small_imperial_cloning_facility_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161211751', 'F8070D67', 'object/building/naboo/shared_association_hall_civilian_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658850000', 'DA159ED0', 'object/building/naboo/shared_bank_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092578549', 'F3EFCAF5', 'object/building/naboo/shared_bubble_naboo_large_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060997575', 'F20DE7C7', 'object/building/naboo/shared_bubble_naboo_medium_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('689590096', '291A4F50', 'object/building/naboo/shared_bubble_naboo_medium_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528349113', '5B18C1B9', 'object/building/naboo/shared_bubble_naboo_small_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964795921', '751C6811', 'object/building/naboo/shared_cantina_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574224334', '996F8BCE', 'object/building/naboo/shared_capitol_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114686474', '4270C40A', 'object/building/naboo/shared_cloning_facility_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('120523031', '72F0917', 'object/building/naboo/shared_emperors_retreat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073450826', 'B731234A', 'object/building/naboo/shared_filler_building_naboo_style_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4265362631', 'FE3C44C7', 'object/building/naboo/shared_filler_building_naboo_style_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('343147098', '1474025A', 'object/building/naboo/shared_filler_building_naboo_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568237015', '5D7965D7', 'object/building/naboo/shared_filler_building_naboo_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2795130563', 'A69A4EC3', 'object/building/naboo/shared_filler_building_naboo_style_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019661134', 'EF97294E', 'object/building/naboo/shared_filler_building_naboo_style_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('880837081', '348081D9', 'object/building/naboo/shared_filler_building_naboo_style_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347565126', 'C787CA46', 'object/building/naboo/shared_filler_building_naboo_style_8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391453131', '8E8AADCB', 'object/building/naboo/shared_filler_building_naboo_style_9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370920904', '51B697C8', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325823327', '8AA13F5F', 'object/building/naboo/shared_filler_nboo_bldg_32x16_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522453461', '965995D5', 'object/building/naboo/shared_filler_nboo_bldg_64x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('166100265', '9E67D29', 'object/building/naboo/shared_filler_nboo_bldg_64x32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2162092176', '80DEE890', 'object/building/naboo/shared_guild_combat_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('754152794', '2CF3755A', 'object/building/naboo/shared_guild_commerce_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364526054', '8CEFCDE6', 'object/building/naboo/shared_guild_theater_naboo_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500355509', '596D9BB5', 'object/building/naboo/shared_guild_university_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224368648', 'C02FF608', 'object/building/naboo/shared_hangar_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288048289', 'C3FBA2A1', 'object/building/naboo/shared_hospital_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309649332', '4E0FA9B4', 'object/building/naboo/shared_hospital_naboo_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256796740', '8683FC44', 'object/building/naboo/shared_hotel_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207237066', '47F4F9CA', 'object/building/naboo/shared_housing_naboo_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589158608', 'D5EE36D0', 'object/building/naboo/shared_housing_naboo_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127135334', 'BA644C66', 'object/building/naboo/shared_merchant_tent_naboo_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('243325651', 'E80DAD3', 'object/building/naboo/shared_palace_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4129354478', 'F620F2EE', 'object/building/naboo/shared_parking_garage_naboo_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3110745453', 'B96A356D', 'object/building/naboo/shared_ply_nboo_house_lg_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671892606', '9F41D87E', 'object/building/naboo/shared_ply_nboo_house_m_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374056803', '8D813B63', 'object/building/naboo/shared_ply_nboo_house_m_s02_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('146028409', '8B43779', 'object/building/naboo/shared_ply_nboo_house_s_s01_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('443864164', '1A74D464', 'object/building/naboo/shared_ply_nboo_house_s_s02_fp1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419077761', '90303281', 'object/building/naboo/shared_power_generator_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4115268904', 'F54A0528', 'object/building/naboo/shared_salon_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('135005575', '80C0587', 'object/building/naboo/shared_salon_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818763165', 'E39DB39D', 'object/building/naboo/shared_shuttleport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1265259890', '4B6A5572', 'object/building/naboo/shared_starport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1845141471', '6DFA9FDF', 'object/building/player/city/shared_bank_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868143603', 'E68F2FF3', 'object/building/player/city/shared_bank_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371143744', '51B9FE40', 'object/building/player/city/shared_bank_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3739527551', 'DEE4A97F', 'object/building/player/city/shared_cantina_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025646266', '78BCE8BA', 'object/building/player/city/shared_cantina_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802646752', 'E2A7C8E0', 'object/building/player/city/shared_cantina_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031190701', 'F04716AD', 'object/building/player/city/shared_cityhall_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442426219', 'CD2F416B', 'object/building/player/city/shared_cityhall_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3422844722', 'CC047732', 'object/building/player/city/shared_cityhall_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1360449531', '5116CFFB', 'object/building/player/city/shared_cloning_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221199199', '8464CF5F', 'object/building/player/city/shared_cloning_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834331748', '6D55AE64', 'object/building/player/city/shared_cloning_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782826017', 'E1795821', 'object/building/player/city/shared_garden_corellia_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('980349110', '3A6EF0B6', 'object/building/player/city/shared_garden_corellia_lrg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1935906619', '7363973B', 'object/building/player/city/shared_garden_corellia_lrg_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290138159', '8880BC2F', 'object/building/player/city/shared_garden_corellia_lrg_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247299490', 'C18DDBA2', 'object/building/player/city/shared_garden_corellia_lrg_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120922265', '42CFEA99', 'object/building/player/city/shared_garden_corellia_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581086734', '99D8420E', 'object/building/player/city/shared_garden_corellia_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503629699', 'D0D52583', 'object/building/player/city/shared_garden_corellia_med_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('724962967', '2B360E97', 'object/building/player/city/shared_garden_corellia_med_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1648060698', '623B691A', 'object/building/player/city/shared_garden_corellia_med_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('782388533', '2EA24D35', 'object/building/player/city/shared_garden_corellia_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4122338722', 'F5B5E5A2', 'object/building/player/city/shared_garden_corellia_sml_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3166208559', 'BCB8822F', 'object/building/player/city/shared_garden_corellia_sml_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197189435', '475BA93B', 'object/building/player/city/shared_garden_corellia_sml_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('240570038', 'E56CEB6', 'object/building/player/city/shared_garden_corellia_sml_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412094562', '8FC5A462', 'object/building/player/city/shared_garden_dantooine_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('745739994', '2C7316DA', 'object/building/player/city/shared_garden_dantooine_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075753334', '401EB176', 'object/building/player/city/shared_garden_dantooine_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('247337676', 'EBE12CC', 'object/building/player/city/shared_garden_dathomir_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2903023732', 'AD08A074', 'object/building/player/city/shared_garden_dathomir_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3244623832', 'C16507D8', 'object/building/player/city/shared_garden_dathomir_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039109063', '798A55C7', 'object/building/player/city/shared_garden_endor_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3661424511', 'DA3CE77F', 'object/building/player/city/shared_garden_endor_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058778323', 'B65140D3', 'object/building/player/city/shared_garden_endor_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557845591', '9875A057', 'object/building/player/city/shared_garden_naboo_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417631619', '547F5783', 'object/building/player/city/shared_garden_naboo_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406022932', '8F68FF14', 'object/building/player/city/shared_garden_naboo_lrg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328546969', 'C6659899', 'object/building/player/city/shared_garden_naboo_lrg_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032237965', '3D86B38D', 'object/building/player/city/shared_garden_naboo_lrg_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955320832', '748BD400', 'object/building/player/city/shared_garden_naboo_lrg_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157203771', 'F7C9E53B', 'object/building/player/city/shared_garden_naboo_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('752766380', '2CDE4DAC', 'object/building/player/city/shared_garden_naboo_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1708337697', '65D32A21', 'object/building/player/city/shared_garden_naboo_med_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653946165', '9E300135', 'object/building/player/city/shared_garden_naboo_med_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611125432', 'D73D66B8', 'object/building/player/city/shared_garden_naboo_med_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2611233431', '9BA44297', 'object/building/player/city/shared_garden_naboo_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085532672', '40B3EA00', 'object/building/player/city/shared_garden_naboo_sml_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('163483021', '9BE8D8D', 'object/building/player/city/shared_garden_naboo_sml_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066223769', 'F25DA699', 'object/building/player/city/shared_garden_naboo_sml_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142631700', 'BB50C114', 'object/building/player/city/shared_garden_naboo_sml_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2152696910', '804F8C4E', 'object/building/player/city/shared_garden_tatooine_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532503257', '5B5824D9', 'object/building/player/city/shared_garden_tatooine_lrg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('307577684', '12554354', 'object/building/player/city/shared_garden_tatooine_lrg_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3921045568', 'E9B66840', 'object/building/player/city/shared_garden_tatooine_lrg_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2696613837', 'A0BB0FCD', 'object/building/player/city/shared_garden_tatooine_lrg_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('603537142', '23F93EF6', 'object/building/player/city/shared_garden_tatooine_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176385633', 'F8EE9661', 'object/building/player/city/shared_garden_tatooine_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984505836', 'B1E3F1EC', 'object/building/player/city/shared_garden_tatooine_med_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1241570040', '4A00DAF8', 'object/building/player/city/shared_garden_tatooine_med_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('51232117', '30DBD75', 'object/building/player/city/shared_garden_tatooine_med_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335138650', '4F94995A', 'object/building/player/city/shared_garden_tatooine_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491625933', '948331CD', 'object/building/player/city/shared_garden_tatooine_sml_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717092928', 'DD8E5640', 'object/building/player/city/shared_garden_tatooine_sml_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('644709716', '266D7D54', 'object/building/player/city/shared_garden_tatooine_sml_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868569305', '6F601AD9', 'object/building/player/city/shared_garden_tatooine_sml_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3101511526', 'B8DD4F66', 'object/building/player/city/shared_hospital_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1387695986', '52B68F72', 'object/building/player/city/shared_hospital_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224959225', '849E2EF9', 'object/building/player/city/shared_hospital_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046076056', 'B58F6E98', 'object/building/player/city/shared_shuttleport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('893676466', '35446BB2', 'object/building/player/city/shared_shuttleport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2311851783', '89CC0F07', 'object/building/player/city/shared_shuttleport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302987664', 'C4DF9790', 'object/building/player/city/shared_theater_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2697086195', 'A0C244F3', 'object/building/player/city/shared_theater_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4171036175', 'F89CF60F', 'object/building/player/city/shared_theater_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('366457799', '15D7B3C7', 'object/building/player/construction/shared_construction_player_guildhall_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900055352', 'ACDB5538', 'object/building/player/construction/shared_construction_player_guildhall_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169847379', 'BCF00853', 'object/building/player/construction/shared_construction_player_guildhall_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743233220', '67E7A0C4', 'object/building/player/construction/shared_construction_player_guildhall_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433947084', '911315CC', 'object/building/player/construction/shared_construction_player_house_corellia_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1241824603', '4A04BD5B', 'object/building/player/construction/shared_construction_player_house_corellia_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508639875', '59EC0483', 'object/building/player/construction/shared_construction_player_house_corellia_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197531668', '82FBAC14', 'object/building/player/construction/shared_construction_player_house_corellia_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973753978', 'B13FE27A', 'object/building/player/construction/shared_construction_player_house_corellia_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781025517', '6A284AED', 'object/building/player/construction/shared_construction_player_house_corellia_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015360683', '3C852CAB', 'object/building/player/construction/shared_construction_player_house_generic_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885139004', 'E792843C', 'object/building/player/construction/shared_construction_player_house_generic_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('255308638', 'F37B35E', 'object/building/player/construction/shared_construction_player_house_generic_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558874057', 'D4201BC9', 'object/building/player/construction/shared_construction_player_house_generic_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('480893725', '1CA9DB1D', 'object/building/player/construction/shared_construction_player_house_generic_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351147402', 'C7BE738A', 'object/building/player/construction/shared_construction_player_house_generic_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193695091', '47265773', 'object/building/player/construction/shared_construction_player_house_naboo_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739832792', '67B3BDD8', 'object/building/player/construction/shared_construction_player_house_naboo_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728749765', '670AA0C5', 'object/building/player/construction/shared_construction_player_house_naboo_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3156019282', 'BC1D0852', 'object/building/player/construction/shared_construction_player_house_naboo_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991369986', 'B24CAF02', 'object/building/player/construction/shared_construction_player_house_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469812922', '93365ABA', 'object/building/player/construction/shared_construction_player_house_tatooine_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455787700', '926058B4', 'object/building/player/construction/shared_construction_player_house_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003827328', 'EEA58E80', 'object/building/player/shared_construction_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533693421', 'D29FE1ED', 'object/building/player/shared_player_garage_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2162635930', '80E7349A', 'object/building/player/shared_player_garage_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075679353', '7BB85A79', 'object/building/player/shared_player_garage_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1038468412', '3DE5C53C', 'object/building/player/shared_player_guildhall_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861851362', '6EF998E2', 'object/building/player/shared_player_guildhall_generic_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197026082', 'BE8EBF22', 'object/building/player/shared_player_guildhall_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495774376', '94C27EA8', 'object/building/player/shared_player_guildhall_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339414079', '4FD5D63F', 'object/building/player/shared_player_guildhall_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2427663942', '90B33646', 'object/building/player/shared_player_house_corellia_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1269079761', '4BA49ED1', 'object/building/player/shared_player_house_corellia_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245590836', 'FD0E9334', 'object/building/player/shared_player_house_corellia_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('639187875', '26193BA3', 'object/building/player/shared_player_house_corellia_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2963259888', 'B09FC1F0', 'object/building/player/shared_player_house_corellia_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102677864', 'F489E568', 'object/building/player/shared_player_house_corellia_small_style_01_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1804101991', '6B886967', 'object/building/player/shared_player_house_corellia_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944093248', '73E08240', 'object/building/player/shared_player_house_corellia_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966981875', 'B0D88CF3', 'object/building/player/shared_player_house_generic_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808737380', '6BCF2464', 'object/building/player/shared_player_house_generic_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('244814036', 'E9790D4', 'object/building/player/shared_player_house_generic_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3581950019', 'D5803843', 'object/building/player/shared_player_house_generic_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431941445', '90F47B45', 'object/building/player/shared_player_house_generic_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015966289', 'EF5EC851', 'object/building/player/shared_player_house_generic_small_style_01_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273222098', '4BE3D3D2', 'object/building/player/shared_player_house_generic_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748479865', '6837AF79', 'object/building/player/shared_player_house_generic_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1926074883', '72CD9203', 'object/building/player/shared_player_house_naboo_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333906211', '4F81CB23', 'object/building/player/shared_player_house_naboo_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390503349', '52E165B5', 'object/building/player/shared_player_house_naboo_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2314652962', '89F6CD22', 'object/building/player/shared_player_house_naboo_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3018624136', 'B3EC8C88', 'object/building/player/shared_player_house_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('936693005', '37D4CD0D', 'object/building/player/shared_player_house_tatooine_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478865214', '93C07B3E', 'object/building/player/shared_player_house_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222103977', '48D7D3A9', 'object/building/player/shared_player_house_tatooine_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671747310', '9F3FA0EE', 'object/building/player/shared_player_merchant_tent_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143474297', '44280879', 'object/building/player/shared_player_merchant_tent_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('220557300', 'D256FF4', 'object/building/player/shared_player_merchant_tent_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3227957177', 'C066B7B9', 'object/building/poi/base/shared_base_poi_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975774939', 'ECF982DB', 'object/building/poi/base/shared_base_poi_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110952143', '4237C8CF', 'object/building/poi/base/shared_base_poi_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638695666', 'D8E216F2', 'object/building/poi/base/shared_base_poi_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341623398', '8B925666', 'object/building/poi/farm/shared_tatooine_flora_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2883928313', 'ABE540F9', 'object/building/poi/hq/shared_hutt_lrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3359402016', 'C83C6820', 'object/building/poi/hq/shared_hutt_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1295187033', '4D32FC59', 'object/building/poi/hq/shared_hutt_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970934894', '757A146E', 'object/building/poi/hq/shared_imperial_lrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('379796663', '16A33CB7', 'object/building/poi/hq/shared_imperial_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('759219915', '2D40C6CB', 'object/building/poi/hq/shared_imperial_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900138383', '7141CF8F', 'object/building/poi/hq/shared_rebel_lrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('312010582', '1298E756', 'object/building/poi/hq/shared_rebel_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2752460800', 'A40F3800', 'object/building/poi/hq/shared_rebel_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150026524', '8026CD1C', 'object/building/poi/shared_anywhere_fs_intro_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3181956427', 'BDA8CD4B', 'object/building/poi/shared_anywhere_imperial_base_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('990728646', '3B0D51C6', 'object/building/poi/shared_anywhere_imperial_base_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012164314', '77EF30DA', 'object/building/poi/shared_anywhere_misc_camp_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530380993', '5B37C2C1', 'object/building/poi/shared_anywhere_rebel_base_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267268082', '4B88F9F2', 'object/building/poi/shared_anywhere_rebel_camp_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442304383', 'CD2D657F', 'object/building/poi/shared_anywhere_rebel_camp_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('372952552', '163ACDE8', 'object/building/poi/shared_anywhere_rebel_camp_small_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1597483621', '5F37AA65', 'object/building/poi/shared_anywhere_rebel_camp_small_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('833924651', '31B4AE2B', 'object/building/poi/shared_anywhere_uberlair_imperial_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141413884', '7FA361FC', 'object/building/poi/shared_corellia_afarathu_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763311467', 'A4B4C96B', 'object/building/poi/shared_corellia_afarathu_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988369126', 'EDB9AEE6', 'object/building/poi/shared_corellia_afarathu_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2880031369', 'ABA9CA89', 'object/building/poi/shared_corellia_afarathu_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734773168', 'A30153B0', 'object/building/poi/shared_corellia_afarathu_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014772007', '7816FB27', 'object/building/poi/shared_corellia_afarathu_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('823893162', '311B9CAA', 'object/building/poi/shared_corellia_afarathu_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189497836', 'F9B6A9EC', 'object/building/poi/shared_corellia_beldonna_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('580977019', '22A1017B', 'object/building/poi/shared_corellia_beldonna_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1806460662', '6BAC66F6', 'object/building/poi/shared_corellia_beldonna_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495558430', 'D059FD1E', 'object/building/poi/shared_corellia_corellia_times_investigator_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('189683081', 'B4E5589', 'object/building/poi/shared_corellia_corellia_times_investigator_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864145072', 'E6522CB0', 'object/building/poi/shared_corellia_corellia_times_investigators_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1027965991', '3D458427', 'object/building/poi/shared_corellia_corellia_times_investigators_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110974936', '7DD2EBD8', 'object/building/poi/shared_corellia_corsec_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797945679', 'A6C5434F', 'object/building/poi/shared_corellia_corsec_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022871234', 'EFC824C2', 'object/building/poi/shared_corellia_corsec_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754860044', '68990A0C', 'object/building/poi/shared_corellia_drall_abbot_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3012469403', 'B38EA29B', 'object/building/poi/shared_corellia_drall_abbot_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202939670', 'FA83C516', 'object/building/poi/shared_corellia_drall_abbot_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3281302012', 'C394B1FC', 'object/building/poi/shared_corellia_drall_abbot_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023779904', 'B43B3840', 'object/building/poi/shared_corellia_drall_abbot_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865191639', '6F2C90D7', 'object/building/poi/shared_corellia_drall_abbot_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('657822368', '273592A0', 'object/building/poi/shared_corellia_drall_abbots_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646384537', '9DBC9F99', 'object/building/poi/shared_corellia_drall_patriot_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185625870', '46AB370E', 'object/building/poi/shared_corellia_drall_patriot_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('262557827', 'FA65083', 'object/building/poi/shared_corellia_drall_patriot_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2021438110', '787CB29E', 'object/building/poi/shared_corellia_drall_patriot_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092529621', '411EADD5', 'object/building/poi/shared_corellia_drall_patriot_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584282434', '9A090542', 'object/building/poi/shared_corellia_drall_patriot_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4128797230', 'F618722E', 'object/building/poi/shared_corellia_flail_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('756013753', '2D0FDAB9', 'object/building/poi/shared_corellia_flail_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415245494', '8FF5B8B6', 'object/building/poi/shared_corellia_greck_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424101409', '54E21021', 'object/building/poi/shared_corellia_greck_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2767898088', 'A4FAC5E8', 'object/building/poi/shared_corellia_hidden_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146266495', '7FED6D7F', 'object/building/poi/shared_corellia_hidden_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('804219570', '2FEF6AB2', 'object/building/poi/shared_corellia_meatlump_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4109943333', 'F4F8C225', 'object/building/poi/shared_corellia_meatlump_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186992552', 'BDF5A5A8', 'object/building/poi/shared_corellia_meatlump_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4081932542', 'F34D58FE', 'object/building/poi/shared_corellia_meatlump_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('677048425', '285AF069', 'object/building/poi/shared_corellia_meatlump_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633130468', '615797E4', 'object/building/poi/shared_corellia_meatlump_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922341284', '729499A4', 'object/building/poi/shared_corellia_monumenter_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843947315', 'A9833133', 'object/building/poi/shared_corellia_monumenter_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767424702', 'E08E56BE', 'object/building/poi/shared_corellia_monumenter_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203547217', '47BCAC51', 'object/building/poi/shared_corellia_nyax_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2628453574', '9CAB04C6', 'object/building/poi/shared_corellia_nyax_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584451403', 'D5A6634B', 'object/building/poi/shared_corellia_nyax_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3652494141', 'D9B4A33D', 'object/building/poi/shared_corellia_selonian_rebel_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('44239786', '2A30BAA', 'object/building/poi/shared_corellia_selonian_rebel_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('85365105', '5169171', 'object/building/poi/shared_corellia_selonian_rebel_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3724622310', 'DE0139E6', 'object/building/poi/shared_corellia_selonian_rebel_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534170219', '970C5E6B', 'object/building/poi/shared_corellia_selonian_rebel_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1047558952', '3E707B28', 'object/building/poi/shared_corellia_selonian_separatists_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848786879', 'E567D3BF', 'object/building/poi/shared_corellia_selonian_separatists_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3805432164', 'E2D24964', 'object/building/poi/shared_corellia_selonian_separatists_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('969269747', '39C5E1F3', 'object/building/poi/shared_corellia_selonian_separatists_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('23761660', '16A92FC', 'object/building/poi/shared_corellia_smashball_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665640043', 'DA7D3A6B', 'object/building/poi/shared_corellia_smashball_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2473614822', '93705DE6', 'object/building/poi/shared_corellia_smashball_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720913072', 'DDC8A0B0', 'object/building/poi/shared_corellia_smashball_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('115279911', '6DF0827', 'object/building/poi/shared_corellia_smashball_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611608872', 'D744C728', 'object/building/poi/shared_corellia_solitude_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('206794687', 'C536FBF', 'object/building/poi/shared_corellia_solitude_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525690034', 'D225C2B2', 'object/building/poi/shared_corellia_solitude_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1646203242', '621F116A', 'object/building/poi/shared_corellia_solitude_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644662189', '62078DAD', 'object/building/poi/shared_corellia_swoop_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104843066', 'B910253A', 'object/building/poi/shared_corellia_swoop_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028449463', 'F01D42B7', 'object/building/poi/shared_corellia_swoop_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132882531', '43866A63', 'object/building/poi/shared_creature_lair_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163254490', '80F0A4DA', 'object/building/poi/shared_creature_lair_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699861572', 'A0EC9E44', 'object/building/poi/shared_creature_lair_bocat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685804096', '647B5440', 'object/building/poi/shared_creature_lair_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511531434', '95B2EDAA', 'object/building/poi/shared_creature_lair_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260213168', 'C252E7B0', 'object/building/poi/shared_creature_lair_brokensandcrawler_herb_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('168468441', 'A0A9FD9', 'object/building/poi/shared_creature_lair_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2536553904', '9730BDB0', 'object/building/poi/shared_creature_lair_deathstarruins_junktown.iff');
INSERT INTO `object_crc_string_table` VALUES ('2155178725', '80756AE5', 'object/building/poi/shared_creature_lair_deathstarruinsoldcamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933459627', 'AED90AAB', 'object/building/poi/shared_creature_lair_exploding_homestead.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864892154', 'AAC2C8FA', 'object/building/poi/shared_creature_lair_forest_bloom_herbivore.iff');
INSERT INTO `object_crc_string_table` VALUES ('312069736', '1299CE68', 'object/building/poi/shared_creature_lair_forest_camp_remains.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499753343', '59646B7F', 'object/building/poi/shared_creature_lair_forest_sacrifice_beast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037282369', 'B5094041', 'object/building/poi/shared_creature_lair_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500140860', '596A553C', 'object/building/poi/shared_creature_lair_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644562261', 'D93B9B55', 'object/building/poi/shared_creature_lair_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133313486', 'F65D5BCE', 'object/building/poi/shared_creature_lair_guardian_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423458211', '54D83FA3', 'object/building/poi/shared_creature_lair_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('833511658', '31AE60EA', 'object/building/poi/shared_creature_lair_imperial_destroy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440583076', 'CD1321A4', 'object/building/poi/shared_creature_lair_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439742199', '916B82F7', 'object/building/poi/shared_creature_lair_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2030330619', '790462FB', 'object/building/poi/shared_creature_lair_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137310203', 'BAFF8DFB', 'object/building/poi/shared_creature_lair_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399203938', '8F00F262', 'object/building/poi/shared_creature_lair_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508768381', 'D1238E7D', 'object/building/poi/shared_creature_lair_remer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4009911486', 'EF0264BE', 'object/building/poi/shared_creature_lair_reptilian_flyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588797301', 'D5E8B375', 'object/building/poi/shared_creature_lair_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('4085921723', 'F38A37BB', 'object/building/poi/shared_creature_lair_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454550642', '56B2AE72', 'object/building/poi/shared_creature_lair_swampy_lair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3846558086', 'E545D186', 'object/building/poi/shared_creature_lair_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789761722', 'A64862BA', 'object/building/poi/shared_dantooine_janta_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103429677', '7D5FCA2D', 'object/building/poi/shared_dantooine_janta_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834276344', 'A8EF9FF8', 'object/building/poi/shared_dantooine_janta_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945646959', '73F8376F', 'object/building/poi/shared_dantooine_janta_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062176502', '7AEA50F6', 'object/building/poi/shared_dantooine_janta_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2717775969', 'A1FDF861', 'object/building/poi/shared_dantooine_janta_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2589378688', '9A56C880', 'object/building/poi/shared_dantooine_kunga_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094803479', '41416017', 'object/building/poi/shared_dantooine_kunga_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1467699980', '577B530C', 'object/building/poi/shared_dantooine_kunga_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2355952539', '8C6CFB9B', 'object/building/poi/shared_dantooine_kunga_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1190460108', '46F4FACC', 'object/building/poi/shared_dantooine_kunga_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648920667', '9DE3525B', 'object/building/poi/shared_dantooine_kunga_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('175414071', 'A749B37', 'object/building/poi/shared_dantooine_mokk_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3512939424', 'D16333A0', 'object/building/poi/shared_dantooine_mokk_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345707922', '5035DF92', 'object/building/poi/shared_dantooine_mokk_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334291717', '8B227705', 'object/building/poi/shared_dantooine_mokk_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604392315', 'D6D6A97B', 'object/building/poi/shared_dantooine_mokk_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('230752748', 'DC101EC', 'object/building/poi/shared_dantooine_mokk_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611276352', '600A2040', 'object/building/poi/shared_dathomir_freedprisonercamp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3139274967', 'BB1D88D7', 'object/building/poi/shared_dathomir_freedprisonercamp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067701329', 'B6D96851', 'object/building/poi/shared_dathomir_freedprisonerscamp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1842266310', '6DCEC0C6', 'object/building/poi/shared_dathomir_freedprisonerscamp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978969992', '75F4AF88', 'object/building/poi/shared_dathomir_freedprisonerscamp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934114079', 'AEE3071F', 'object/building/poi/shared_dathomir_freedprisonerscamp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2603789484', '9B32ACAC', 'object/building/poi/shared_dathomir_imperialprisonpatrol_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076167739', '4025043B', 'object/building/poi/shared_dathomir_imperialprisonpatrol_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('937321147', '37DE62BB', 'object/building/poi/shared_dathomir_imperialprisonpatrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1927414722', '72E203C2', 'object/building/poi/shared_dathomir_imperialprisonscout_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2851449685', 'A9F5AB55', 'object/building/poi/shared_dathomir_imperialprisonscout_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('255101489', 'F348A31', 'object/building/poi/shared_dathomir_nightsister_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012109994', '77EE5CAA', 'object/building/poi/shared_dathomir_nightsister_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2902062141', 'ACF9F43D', 'object/building/poi/shared_dathomir_nightsister_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858011056', 'E5F493B0', 'object/building/poi/shared_dathomir_nightsister_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('504871076', '1E17B8A4', 'object/building/poi/shared_dathomir_nightsister_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1461378857', '571ADF29', 'object/building/poi/shared_dathomir_nightsister_small5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2349692862', '8C0D77BE', 'object/building/poi/shared_dathomir_nightsister_small6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485566354', 'CFC18592', 'object/building/poi/shared_dathomir_nightsisterpatrol_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('349580549', '14D62D05', 'object/building/poi/shared_dathomir_nightsisterpatrol_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942599520', 'AF648160', 'object/building/poi/shared_dathomir_nightsisterpatrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095836244', 'B886B654', 'object/building/poi/shared_dathomir_singingmtnclan_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1670454979', '63911EC3', 'object/building/poi/shared_dathomir_singingmtnclan_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('139005500', '8490E3C', 'object/building/poi/shared_dathomir_singingmtnclanpatrol_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3546195627', 'D35EA6AB', 'object/building/poi/shared_dathomir_singingmtnclanpatrol_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680011260', '6422EFFC', 'object/building/poi/shared_dathomir_singingmtnclanpatrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201619574', 'FA6FA076', 'object/building/poi/shared_destroyed_moisture_farm_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909453160', 'E9058568', 'object/building/poi/shared_destroyed_sandcrawler_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489412304', '58C6A0D0', 'object/building/poi/shared_endor_dulok_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2211514439', '83D10847', 'object/building/poi/shared_endor_dulok_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403444170', 'CADC6FCA', 'object/building/poi/shared_endor_dulok_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951405793', 'EB85AAE1', 'object/building/poi/shared_endor_dulok_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208746092', '480C006C', 'object/building/poi/shared_endor_dulok_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('569762914', '21F5E462', 'object/building/poi/shared_endor_dulok_medium7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221183644', '8464929C', 'object/building/poi/shared_endor_dulok_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601387019', '5F733A0B', 'object/building/poi/shared_endor_dulok_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('377380230', '167E5D86', 'object/building/poi/shared_endor_dulok_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2760904991', 'A490111F', 'object/building/poi/shared_endor_dulok_small5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139601288', '7F87B988', 'object/building/poi/shared_endor_dulok_small6.iff');
INSERT INTO `object_crc_string_table` VALUES ('915070469', '368ADE05', 'object/building/poi/shared_endor_dulok_small7.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525456539', '5AEC9E9B', 'object/building/poi/shared_endor_ewok_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180724236', '81FB360C', 'object/building/poi/shared_endor_ewok_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3371585921', 'C8F65181', 'object/building/poi/shared_endor_ewok_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('857045653', '33157A95', 'object/building/poi/shared_endor_ewok_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2048400664', '7A181D18', 'object/building/poi/shared_endor_ewok_large5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702161295', 'A10FB58F', 'object/building/poi/shared_endor_ewok_large6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892498946', 'E802D202', 'object/building/poi/shared_endor_ewok_large7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3920598186', 'E9AF94AA', 'object/building/poi/shared_endor_ewok_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('582817679', '22BD178F', 'object/building/poi/shared_endor_ewok_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646831771', 'D95E3C9B', 'object/building/poi/shared_endor_ewok_medium4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2253302999', '864EACD7', 'object/building/poi/shared_endor_ewok_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566114880', '5D590440', 'object/building/poi/shared_endor_ewok_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('341074893', '145463CD', 'object/building/poi/shared_endor_ewok_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2271972307', '876B8BD3', 'object/building/poi/shared_endor_marauder_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1551639364', '5C7C2344', 'object/building/poi/shared_endor_marauder_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('359744713', '157144C9', 'object/building/poi/shared_endor_marauder_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002574301', 'EE926FDD', 'object/building/poi/shared_endor_marauder_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('875069922', '342881E2', 'object/building/poi/shared_endor_marauder_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438540088', 'CCF3F538', 'object/building/poi/shared_endor_marauder_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1539946911', '5BC9B99F', 'object/building/poi/shared_endor_marauder_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2162037000', '80DE1108', 'object/building/poi/shared_endor_marauder_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3386078853', 'C9D37685', 'object/building/poi/shared_endor_marauder_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('842030481', '32305D91', 'object/building/poi/shared_endor_marauder_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267290153', 'C2BEE429', 'object/building/poi/shared_imperial_listening_post.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644566900', '9DA0E374', 'object/building/poi/shared_lincbarnes_testcamp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325908803', '4F07C343', 'object/building/poi/shared_lok_imperial_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484104148', '94106BD4', 'object/building/poi/shared_lok_imperial_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709668441', 'DD1D0C59', 'object/building/poi/shared_lok_imperial_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('654190413', '26FE274D', 'object/building/poi/shared_lok_imperial_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878212800', '6FF340C0', 'object/building/poi/shared_lok_imperial_large5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232366450', 'FC44C972', 'object/building/poi/shared_lok_imperial_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677952025', 'DB391819', 'object/building/poi/shared_lok_imperial_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775719552', '69D75480', 'object/building/poi/shared_lok_imperial_medium4.iff');
INSERT INTO `object_crc_string_table` VALUES ('551170829', '20DA330D', 'object/building/poi/shared_lok_imperial_medium5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224555930', 'FBCD9B9A', 'object/building/poi/shared_lok_imperial_medium6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477125903', '93A5F10F', 'object/building/poi/shared_lok_imperial_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1219647896', '48B25998', 'object/building/poi/shared_lok_imperial_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468275837', '931EE67D', 'object/building/poi/shared_lok_nymshenchman_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('368864307', '15FC6C33', 'object/building/poi/shared_lok_nymshenchman_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1559301054', '5CF10BBE', 'object/building/poi/shared_lok_nymshenchman_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802983082', 'A71220AA', 'object/building/poi/shared_lok_nymshenchman_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995027239', 'EE1F4727', 'object/building/poi/shared_lok_nymshenchman_large5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2108214933', '7DA8CE95', 'object/building/poi/shared_lok_nymshenchman_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525875264', '5AF30240', 'object/building/poi/shared_lok_nymshenchman_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('335439309', '13FE65CD', 'object/building/poi/shared_lok_nymshenchman_medium3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3894234841', 'E81D4ED9', 'object/building/poi/shared_lok_nymshenchman_medium4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2152937970', '805339F2', 'object/building/poi/shared_lok_nymshenchman_small3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075136742', '7BB012E6', 'object/building/poi/shared_lok_nymshenchman_small4.iff');
INSERT INTO `object_crc_string_table` VALUES ('616378301', '24BD2FBD', 'object/building/poi/shared_naboo_abbots_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('591257863', '233DE107', 'object/building/poi/shared_naboo_afcitexplor_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163520912', 'F82A4990', 'object/building/poi/shared_naboo_afcitexplor_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2424236854', '907EEB36', 'object/building/poi/shared_naboo_afcitexplor_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('568758617', '21E69159', 'object/building/poi/shared_naboo_borvos_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210112974', 'FAF139CE', 'object/building/poi/shared_naboo_borvos_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019660867', 'B3FC5E43', 'object/building/poi/shared_naboo_borvos_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2460326760', '92A59B68', 'object/building/poi/shared_naboo_borvos_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283975782', 'FF584866', 'object/building/poi/shared_naboo_farm_medium_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('609214705', '244FE0F1', 'object/building/poi/shared_naboo_farm_medium_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3123585066', 'BA2E202A', 'object/building/poi/shared_naboo_gungawar_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1631160509', '613988BD', 'object/building/poi/shared_naboo_gungawar_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437191612', 'CCDF61BC', 'object/building/poi/shared_naboo_gungtrad_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('399034667', '17C8C92B', 'object/building/poi/shared_naboo_gungtrad_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2140957581', '7F9C6B8D', 'object/building/poi/shared_naboo_gungtrad_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741955374', '67D4212E', 'object/building/poi/shared_naboo_gungtrad_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104254608', '7D6C6090', 'object/building/poi/shared_naboo_gungwar_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2793129991', 'A67BC807', 'object/building/poi/shared_naboo_gungwar_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459213985', 'CE2F6AA1', 'object/building/poi/shared_naboo_gungwar_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2566973772', '9900E94C', 'object/building/poi/shared_naboo_gunrunners_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1108820443', '421741DB', 'object/building/poi/shared_naboo_gunrunners_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('709092221', '2A43E37D', 'object/building/poi/shared_naboo_gunrunners_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168300800', '45A2DB00', 'object/building/poi/shared_naboo_gunrunners_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662691735', '9EB57397', 'object/building/poi/shared_naboo_gunrunners_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('179496592', 'AB2E690', 'object/building/poi/shared_naboo_imperial_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1761246693', '68FA7DE5', 'object/building/poi/shared_naboo_imperial_scout_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509571779', 'D12FD0C3', 'object/building/poi/shared_naboo_impext_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('171472980', 'A387854', 'object/building/poi/shared_naboo_impext_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127555033', '43351FD9', 'object/building/poi/shared_naboo_impext_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651301106', '626CDAF2', 'object/building/poi/shared_naboo_impext_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('536910191', '2000996F', 'object/building/poi/shared_naboo_impswamp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212601336', 'FB1731F8', 'object/building/poi/shared_naboo_impswamp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470679390', '9343935E', 'object/building/poi/shared_naboo_impswamp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('647466583', '26978E57', 'object/building/poi/shared_naboo_mauler_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253034176', 'FD8026C0', 'object/building/poi/shared_naboo_mauler_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513732710', '95D48466', 'object/building/poi/shared_naboo_mauler_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333273055', '4F7821DF', 'object/building/poi/shared_naboo_mvillager_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2490337608', '946F8948', 'object/building/poi/shared_naboo_mvillager_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231736302', 'FC3B2BEE', 'object/building/poi/shared_naboo_mvillager_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977371865', 'B17716D9', 'object/building/poi/shared_naboo_police_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784725070', '6A60BE4E', 'object/building/poi/shared_naboo_police_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('36969704', '2341CE8', 'object/building/poi/shared_naboo_police_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943429571', 'AF712BC3', 'object/building/poi/shared_naboo_politic_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1952875348', '74668354', 'object/building/poi/shared_naboo_politic_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('473047538', '1C3221F2', 'object/building/poi/shared_naboo_politic_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1925640941', '72C6F2ED', 'object/building/poi/shared_naboo_ruins_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535903472', '9726D0F0', 'object/building/poi/shared_naboo_ruins_medium_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('87826410', '53C1FEA', 'object/building/poi/shared_naboo_ruins_medium_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100157024', 'F4636E60', 'object/building/poi/shared_naboo_ruins_small_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('796182263', '2F74C6F7', 'object/building/poi/shared_naboo_ruins_small_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719247226', '6679A17A', 'object/building/poi/shared_naboo_ruins_small_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644150894', '9D9A8A6E', 'object/building/poi/shared_naboo_ruins_small_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566726627', 'D497EDE3', 'object/building/poi/shared_naboo_ruins_small_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3018898037', 'B3F0BA75', 'object/building/poi/shared_naboo_swamhunt_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759974114', '68E712E2', 'object/building/poi/shared_naboo_swamhunt_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('11776068', 'B3B044', 'object/building/poi/shared_naboo_swamhunt_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168819895', '45AAC6B7', 'object/building/poi/shared_naboo_swamp_rat_gang_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2663214624', '9EBD6E20', 'object/building/poi/shared_naboo_swamp_rat_gang_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142517382', 'F6E9CC86', 'object/building/poi/shared_naboo_swamp_rat_gang_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('665275923', '27A74E13', 'object/building/poi/shared_naboo_tradefederationloyalist_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4239451780', 'FCB0E684', 'object/building/poi/shared_naboo_tradefederationloyalist_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497987618', '94E44422', 'object/building/poi/shared_naboo_tradefederationloyalist_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211440735', 'FB057C5F', 'object/building/poi/shared_naboo_tradefederationloyalist_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('538105032', '2012D4C8', 'object/building/poi/shared_naboo_tradefederationloyalist_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('609383494', '24527446', 'object/building/poi/shared_naboo_tuskcattam_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4282768593', 'FF45DCD1', 'object/building/poi/shared_naboo_tuskcattam_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534506103', '97117E77', 'object/building/poi/shared_naboo_tuskcattam_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100618175', '419A19BF', 'object/building/poi/shared_naboo_village_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924073718', 'AE49D2F6', 'object/building/poi/shared_rebel_listening_post.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509267724', '59F5990C', 'object/building/poi/shared_rebel_scavenger_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('144155712', '897A440', 'object/building/poi/shared_scout_camp_s0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100661709', '419AC3CD', 'object/building/poi/shared_scout_camp_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592959322', '9A8D6B5A', 'object/building/poi/shared_scout_camp_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548384471', 'D3800CD7', 'object/building/poi/shared_scout_camp_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('677586883', '286327C3', 'object/building/poi/shared_scout_camp_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634615374', '616E404E', 'object/building/poi/shared_scout_camp_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('301257872', '11F4D490', 'object/building/poi/shared_slavegirl_medium_camp_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403906055', 'CAE37C07', 'object/building/poi/shared_slavegirl_medium_camp_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2704439988', 'A1327AB4', 'object/building/poi/shared_slavegirl_small_camp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957252267', 'B04416AB', 'object/building/poi/shared_small_imperial_tie_bomber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574028468', '5DD1C4B4', 'object/building/poi/shared_small_imperial_tie_bomber_base_v2.iff');
INSERT INTO `object_crc_string_table` VALUES ('622598573', '251C19AD', 'object/building/poi/shared_tatooine_alkahara_bandits_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258103248', '4AFD21D0', 'object/building/poi/shared_tatooine_alkahara_bandits_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2448066887', '91EA8947', 'object/building/poi/shared_tatooine_alkahara_bandits_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289090146', 'FFA65262', 'object/building/poi/shared_tatooine_alkahara_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('615643893', '24B1FAF5', 'object/building/poi/shared_tatooine_alkahara_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2841070881', 'A9574D21', 'object/building/poi/shared_tatooine_burning_sandcrawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792167870', 'A66D19BE', 'object/building/poi/shared_tatooine_dervishcamp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2105192745', '7D7AB129', 'object/building/poi/shared_tatooine_dervishcamp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('355341199', '152E138F', 'object/building/poi/shared_tatooine_dervishcamp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060397554', '7ACF2BF2', 'object/building/poi/shared_tatooine_dervishcamp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715321189', 'A1D88365', 'object/building/poi/shared_tatooine_dervishcamp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3587580084', 'D5D620B4', 'object/building/poi/shared_tatooine_desert_demons_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('247564323', 'EC18823', 'object/building/poi/shared_tatooine_desert_demons_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721051781', '66952A85', 'object/building/poi/shared_tatooine_desert_demons_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919443673', 'E99DF6D9', 'object/building/poi/shared_tatooine_dim_u_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('847928910', '328A5E4E', 'object/building/poi/shared_tatooine_dim_u_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1524563176', '5ADEFCE8', 'object/building/poi/shared_tatooine_dim_u_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1602134381', '5F7EA16D', 'object/building/poi/shared_tatooine_dunestalkers_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221476346', '846909FA', 'object/building/poi/shared_tatooine_dunestalkers_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3963464540', 'EC3DAB5C', 'object/building/poi/shared_tatooine_dunestalkers_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212270881', '83DC9321', 'object/building/poi/shared_tatooine_dunestalkers_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489714102', '58CB3BB6', 'object/building/poi/shared_tatooine_dunestalkers_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440346918', 'CD0F8726', 'object/building/poi/shared_tatooine_evil_hermit_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('370683825', '16182FB1', 'object/building/poi/shared_tatooine_evil_hermit_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759776270', '68E40E0E', 'object/building/poi/shared_tatooine_evil_hermit_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019089561', 'B3F3A699', 'object/building/poi/shared_tatooine_evil_hermit_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('296596842', '11ADB56A', 'object/building/poi/shared_tatooine_evil_hermit_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401195005', 'CABA1DFD', 'object/building/poi/shared_tatooine_evil_hermit_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('577830484', '2270FE54', 'object/building/poi/shared_tatooine_evil_nomad_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4184299203', 'F96756C3', 'object/building/poi/shared_tatooine_evil_nomad_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2959749454', 'B06A314E', 'object/building/poi/shared_tatooine_evil_nomad_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3933988810', 'EA7BE7CA', 'object/building/poi/shared_tatooine_evil_nomad_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('829181789', '316C4F5D', 'object/building/poi/shared_tatooine_evil_nomad_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4275227672', 'FED2CC18', 'object/building/poi/shared_tatooine_evil_nomad_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('633693327', '25C5648F', 'object/building/poi/shared_tatooine_evil_nomad_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('944821265', '3850D411', 'object/building/poi/shared_tatooine_evil_settlers_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813112966', 'E3477C86', 'object/building/poi/shared_tatooine_evil_settlers_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856983307', 'AA4A1B0B', 'object/building/poi/shared_tatooine_evil_settlers_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333335072', '8B13DE20', 'object/building/poi/shared_tatooine_evil_settlers_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1927088123', '72DD07FB', 'object/building/poi/shared_tatooine_evil_settlers_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841123933', 'E4F2E65D', 'object/building/poi/shared_tatooine_evil_settlers_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1071992522', '3FE54ECA', 'object/building/poi/shared_tatooine_evil_settlers_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256091414', 'C2140316', 'object/building/poi/shared_tatooine_factory_liberation.iff');
INSERT INTO `object_crc_string_table` VALUES ('589370670', '2321152E', 'object/building/poi/shared_tatooine_farm_medium_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2269855089', '874B3D71', 'object/building/poi/shared_tatooine_fugitive_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1549571558', '5C5C95E6', 'object/building/poi/shared_tatooine_fugitive_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('357692011', '1551F26B', 'object/building/poi/shared_tatooine_fugitive_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('872953664', '34083740', 'object/building/poi/shared_tatooine_fugitive_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407212781', '8F7B26ED', 'object/building/poi/shared_tatooine_gunrunners_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416400506', '546C8E7A', 'object/building/poi/shared_tatooine_gunrunners_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010314460', '3C382CDC', 'object/building/poi/shared_tatooine_gunrunners_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403597906', 'CADEC852', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('298410181', '11C960C5', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489241928', '58C40748', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737253468', 'A3272C5C', 'object/building/poi/shared_tatooine_hutt_assassin_camp_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817272331', 'A7EC2A0B', 'object/building/poi/shared_tatooine_hutt_assassin_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2096857756', '7CFB829C', 'object/building/poi/shared_tatooine_hutt_assassin_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('377289246', '167CFA1E', 'object/building/poi/shared_tatooine_hutt_assassin_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446362761', 'CD6B5289', 'object/building/poi/shared_tatooine_hutt_assassin_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763131686', 'A4B20B26', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141561777', '7FA5A3B1', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('917029948', '36A8C43C', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3444305704', 'CD4BEF28', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('401670423', '17F10117', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148765697', '80139001', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014329194', '7810396A', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735182333', 'A30791FD', 'object/building/poi/shared_tatooine_hutt_businessmen_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785735227', '6A70283B', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976350380', 'B16780AC', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167755553', 'F86AE721', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163048709', 'F8231505', 'object/building/poi/shared_tatooine_jawa_droid_thieves_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('780991958', '2E8CFDD6', 'object/building/poi/shared_tatooine_jawa_large_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('230353567', 'DBAEA9F', 'object/building/poi/shared_tatooine_jawa_tradesmen_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3601678856', 'D6AD4208', 'object/building/poi/shared_tatooine_jawa_tradesmen_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147690391', '80032797', 'object/building/poi/shared_tatooine_jawa_tradesmen_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('886252581', '34D32425', 'object/building/poi/shared_tatooine_mineral_farmer_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022635698', 'EFC48CB2', 'object/building/poi/shared_tatooine_mineral_farmer_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798250815', 'A6C9EB3F', 'object/building/poi/shared_tatooine_mineral_farmer_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563082795', '5D2AC02B', 'object/building/poi/shared_tatooine_mineral_farmer_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('523632648', '1F360008', 'object/building/poi/shared_tatooine_mineral_farmer_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290540191', 'C421A89F', 'object/building/poi/shared_tatooine_mineral_farmer_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815056351', 'A7CA59DF', 'object/building/poi/shared_tatooine_moisture_farmer_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094920008', '7CDDF148', 'object/building/poi/shared_tatooine_moisture_farmer_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('902862533', '35D096C5', 'object/building/poi/shared_tatooine_moisture_farmer_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459497425', 'CE33BDD1', 'object/building/poi/shared_tatooine_moisture_farmer_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('773187407', '2E15E74F', 'object/building/poi/shared_tatooine_moisture_farmer_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110569432', 'F5024FD8', 'object/building/poi/shared_tatooine_moisture_farmer_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135190096', '43A9A050', 'object/building/poi/shared_tatooine_nomad_squatter_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562590919', '98BE08C7', 'object/building/poi/shared_tatooine_nomad_squatter_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604742890', '9B4138EA', 'object/building/poi/shared_tatooine_nomad_squatter_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('103376874', '62967EA', 'object/building/poi/shared_tatooine_plaguevictim_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3711881085', 'DD3ECF7D', 'object/building/poi/shared_tatooine_plaguevictim_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043651035', 'B56A6DDB', 'object/building/poi/shared_tatooine_plaguevictim_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1155349866', '44DD3D6A', 'object/building/poi/shared_tatooine_prison_break.iff');
INSERT INTO `object_crc_string_table` VALUES ('3108734198', 'B94B84F6', 'object/building/poi/shared_tatooine_rodianhunter_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650207841', '625C2C61', 'object/building/poi/shared_tatooine_rodianhunter_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('168332999', 'A088EC7', 'object/building/poi/shared_tatooine_rodianhunter_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('864649654', '338981B6', 'object/building/poi/shared_tatooine_slaver_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3902679329', 'E89E2921', 'object/building/poi/shared_tatooine_slaver_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2710785708', 'A1934EAC', 'object/building/poi/shared_tatooine_slaver_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517315512', '5A7065B8', 'object/building/poi/shared_tatooine_slaver_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160757639', '80CA8B87', 'object/building/poi/shared_tatooine_slaver_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160290714', '80C36B9A', 'object/building/poi/shared_tatooine_slaver_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2850462148', 'A9E699C4', 'object/building/poi/shared_tatooine_spicefiend_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928409427', '72F13153', 'object/building/poi/shared_tatooine_spicefiend_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006393054', '3BFC56DE', 'object/building/poi/shared_tatooine_spicefiend_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223289290', 'C01F7DCA', 'object/building/poi/shared_tatooine_spicefiend_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('447058933', '1AA593F5', 'object/building/poi/shared_tatooine_spicefiend_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847025874', 'E54CF4D2', 'object/building/poi/shared_tatooine_spicefiend_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1230309351', '495507E7', 'object/building/poi/shared_tatooine_swoop_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453843824', '9242AF70', 'object/building/poi/shared_tatooine_swoop_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679439101', 'DB4FC8FD', 'object/building/poi/shared_tatooine_swoop_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('548201449', '20ACE3E9', 'object/building/poi/shared_tatooine_swoop_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195749334', 'FA160DD6', 'object/building/poi/shared_tatooine_swoop_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474373547', '937BF1AB', 'object/building/poi/shared_tatooine_swoop_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('70977104', '43B0650', 'object/building/poi/shared_tatooine_tuskenbantha_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744247495', 'DF2CAEC7', 'object/building/poi/shared_tatooine_tuskenbantha_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078098017', 'B7780C61', 'object/building/poi/shared_tatooine_tuskenbantha_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071159081', 'F2A8F529', 'object/building/poi/shared_tatooine_tuskenwar_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('700407230', '29BF5DBE', 'object/building/poi/shared_tatooine_tuskenwar_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622293043', '60B23A33', 'object/building/poi/shared_tatooine_tuskenwar_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1105985304', '41EBFF18', 'object/building/poi/shared_tatooine_tuskenwar_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919757322', 'E9A2C00A', 'object/building/poi/shared_tatooine_valariangang_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('850749597', '32B5689D', 'object/building/poi/shared_tatooine_valariangang_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1524746811', '5AE1CA3B', 'object/building/poi/shared_tatooine_valariangang_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925334203', 'AE5D0EBB', 'object/building/poi/shared_tatooine_valariantrader_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967826476', '754AA62C', 'object/building/poi/shared_tatooine_valariantrader_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('488506506', '1D1E048A', 'object/building/poi/shared_tatooine_valariantrader_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488043728', '58B1BED0', 'object/building/poi/shared_tatooine_village_medium_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400233418', 'CAAB71CA', 'object/building/poi/shared_tatooine_village_medium_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('749133500', '2CA6DEBC', 'object/building/poi/shared_tatooine_weequayzealots_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155602475', 'F7B1762B', 'object/building/poi/shared_tatooine_weequayzealots_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2682639501', '9FE5D48D', 'object/building/poi/shared_tatooine_weequayzealots_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3686926167', 'DBC20757', 'object/building/poi/shared_tatooine_weequayzealots_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922111839', 'E9C6AD5F', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('852559304', '32D105C8', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078040645', '7BDC6245', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('719959858', '2AE9B732', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059963301', 'F1FE1FA5', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('895786771', '35649F13', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4000528260', 'EE733784', 'object/building/poi/shared_yavin4_abandoned_rebel_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405724823', '53C9A897', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296250368', '88DE0000', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076007066', 'B758249A', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1817152525', '6C4F8C0D', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406193883', '8F6B9ADB', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417425484', '547C324C', 'object/building/poi/shared_yavin4_hutt_scavenger_camp_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421675238', '54BD0AE6', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410324593', '8FAAA271', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332883964', 'C6A7C5FC', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1027927784', '3D44EEE8', 'object/building/poi/shared_yavin4_imperial_patrol_camp_large4.iff');
INSERT INTO `object_crc_string_table` VALUES ('989401762', '3AF912A2', 'object/building/poi/shared_yavin4_imperial_patrol_medium1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3790518837', 'E1EEBA35', 'object/building/poi/shared_yavin4_imperial_patrol_medium2.iff');
INSERT INTO `object_crc_string_table` VALUES ('94420443', '5A0BDDB', 'object/building/poi/shared_yavin4_imperial_patrol_small1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3736540492', 'DEB7154C', 'object/building/poi/shared_yavin4_imperial_patrol_small2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483054122', 'CF9B302A', 'object/building/tatooine/shared_association_hall_civilian_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781643094', 'E1674B56', 'object/building/tatooine/shared_association_hall_civilian_tatooine_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('533531985', '1FCD0D51', 'object/building/tatooine/shared_bank_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072782602', '3FF15D0A', 'object/building/tatooine/shared_cantina_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064279242', '3F6F9CCA', 'object/building/tatooine/shared_capitol_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062222401', 'B685CE41', 'object/building/tatooine/shared_cave_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838311126', '6D9266D6', 'object/building/tatooine/shared_cave_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('749651154', '2CAEC4D2', 'object/building/tatooine/shared_cloning_facility_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267595977', '4B8DFAC9', 'object/building/tatooine/shared_cloning_facility_tatooine_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1977133003', '75D8A7CB', 'object/building/tatooine/shared_filler_building_block_64x16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932805468', 'AECF0F5C', 'object/building/tatooine/shared_filler_building_block_64x16_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491257899', 'D0185E2B', 'object/building/tatooine/shared_filler_building_block_64x32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('185595580', 'B0FF6BC', 'object/building/tatooine/shared_filler_building_block_64x32_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3086665699', 'B7FAC7E3', 'object/building/tatooine/shared_filler_building_slave_quarters_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2338066597', '8B5C10A5', 'object/building/tatooine/shared_filler_building_tatt_style01_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347139634', '504BB832', 'object/building/tatooine/shared_filler_building_tatt_style01_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('424075199', '1946DFBF', 'object/building/tatooine/shared_filler_building_tatt_style01_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802526891', 'E2A5F4AB', 'object/building/tatooine/shared_filler_building_tatt_style01_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2879951654', 'ABA89326', 'object/building/tatooine/shared_filler_building_tatt_style01_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891580849', '70BF3BB1', 'object/building/tatooine/shared_filler_building_tatt_style01_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('967990332', '39B25C3C', 'object/building/tatooine/shared_filler_building_tatt_style01_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209902638', '83B8702E', 'object/building/tatooine/shared_filler_building_tatt_style01_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400865699', 'CAB517A3', 'object/building/tatooine/shared_filler_building_tatt_style01_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648617040', 'D9797A50', 'object/building/tatooine/shared_filler_building_tatt_style01_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423528925', '90741DDD', 'object/building/tatooine/shared_filler_building_tatt_style01_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194412824', '47314B18', 'object/building/tatooine/shared_fort_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273926318', '4BEE92AE', 'object/building/tatooine/shared_guild_combat_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('113904481', '6CA0B61', 'object/building/tatooine/shared_guild_commerce_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289028168', 'C40A9648', 'object/building/tatooine/shared_guild_theater_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('970934772', '39DF49F4', 'object/building/tatooine/shared_guild_university_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804815715', 'E2C8E163', 'object/building/tatooine/shared_guild_university_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066183619', 'F25D09C3', 'object/building/tatooine/shared_hospital_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745462757', 'A3A46FE5', 'object/building/tatooine/shared_hospital_tatooine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('776066139', '2E41D45B', 'object/building/tatooine/shared_hotel_tatooine_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181798094', 'F9412CCE', 'object/building/tatooine/shared_hotel_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3970726045', 'ECAC789D', 'object/building/tatooine/shared_housing_tatt_style01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662523338', '9EB2E1CA', 'object/building/tatooine/shared_housing_tatt_style01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3635932340', 'D8B7ECB4', 'object/building/tatooine/shared_housing_tatt_style01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801672984', 'E298ED18', 'object/building/tatooine/shared_housing_tatt_style02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2356282071', '8C7202D7', 'object/building/tatooine/shared_housing_tatt_style02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598940465', 'D6837931', 'object/building/tatooine/shared_housing_tatt_style02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('456420086', '1B346AF6', 'object/building/tatooine/shared_housing_tatt_style03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121443505', '7E72A8B1', 'object/building/tatooine/shared_housing_tatt_style03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('791674591', '2F2FFEDF', 'object/building/tatooine/shared_housing_tatt_style03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014265599', 'EF44D4FF', 'object/building/tatooine/shared_junkshop_watto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616325223', '9BF1F467', 'object/building/tatooine/shared_lair_environment_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100188829', '41938C9D', 'object/building/tatooine/shared_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745583203', 'A3A64663', 'object/building/tatooine/shared_merchant_tent_tato_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034000230', 'F071F566', 'object/building/tatooine/shared_palace_tatooine_jabba.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278884651', '87D5052B', 'object/building/tatooine/shared_parking_garage_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014253665', '3C744861', 'object/building/tatooine/shared_poi_tato_farm_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('616531993', '24BF8819', 'object/building/tatooine/shared_salon_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505295527', 'D0EE90A7', 'object/building/tatooine/shared_shuttleport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('351600928', '14F50120', 'object/building/tatooine/shared_starport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860552089', 'AA808F99', 'object/building/tatooine/shared_tower_jabbas_palace.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882030964', 'ABC84D74', 'object/building/yavin/shared_dark_enclave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550315323', 'D39D833B', 'object/building/yavin/shared_light_enclave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060389087', '3F3440DF', 'object/building/yavin/shared_temple_blueleaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687664408', 'DBCD4B18', 'object/building/yavin/shared_temple_exar_kun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078872520', '7BE913C8', 'object/building/yavin/shared_temple_massassi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1136920717', '43C4088D', 'object/building/yavin/shared_temple_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381216749', 'C98945ED', 'object/cell/base/shared_base_cell.iff');
INSERT INTO `object_crc_string_table` VALUES ('632406981', '25B1C3C5', 'object/cell/base/shared_cell_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('206832110', 'C5401EE', 'object/cell/shared_cell.iff');
INSERT INTO `object_crc_string_table` VALUES ('645732506', '267D189A', 'object/construction_contract/base/shared_base_construction_contract.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027882478', 'B479D1EE', 'object/construction_contract/shared_construction_contract.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904726131', 'AD229A73', 'object/counting/base/shared_base_counting.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211286444', 'BF6857AC', 'object/counting/base/shared_counting_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842659589', 'E50A5505', 'object/counting/shared_default_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('697154328', '298DBB18', 'object/creature/base/shared_base_creature.iff');
INSERT INTO `object_crc_string_table` VALUES ('937448992', '37E05620', 'object/creature/base/shared_creature_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2217042692', '84256304', 'object/creature/camera/shared_intro_camera.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416223243', '5469DA0B', 'object/creature/camera/shared_intro_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('2762844902', 'A4ADAAE6', 'object/creature/npc/base/shared_aqualish_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('643792170', '265F7D2A', 'object/creature/npc/base/shared_aqualish_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130200645', '435D7E45', 'object/creature/npc/base/shared_aqualish_s02_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1420546336', '54ABD120', 'object/creature/npc/base/shared_aqualish_s02_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418612504', '548E4F18', 'object/creature/npc/base/shared_aqualish_s03_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309238866', '89A43052', 'object/creature/npc/base/shared_aqualish_s03_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496555527', 'D0693407', 'object/creature/npc/base/shared_base_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('636692298', '25F3274A', 'object/creature/npc/base/shared_base_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('654644587', '2705156B', 'object/creature/npc/base/shared_base_npc_theme_park.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412520178', '8FCC22F2', 'object/creature/npc/base/shared_bith_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042888288', '3E293660', 'object/creature/npc/base/shared_bith_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3759013611', 'E00DFEEB', 'object/creature/npc/base/shared_bothan_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590149475', '5EC7C163', 'object/creature/npc/base/shared_bothan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('896393245', '356DE01D', 'object/creature/npc/base/shared_chadra_fan_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('313334022', '12AD1906', 'object/creature/npc/base/shared_chadra_fan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185808736', 'BDE39560', 'object/creature/npc/base/shared_dantari_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4086632991', 'F395121F', 'object/creature/npc/base/shared_devaronian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636192846', '6186524E', 'object/creature/npc/base/shared_drall_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('999880424', '3B98F6E8', 'object/creature/npc/base/shared_drall_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138236706', '7F72E722', 'object/creature/npc/base/shared_dulok_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('748671429', '2C9FD1C5', 'object/creature/npc/base/shared_dulok_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504641037', '59AF000D', 'object/creature/npc/base/shared_ewok_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588984693', '9A50C575', 'object/creature/npc/base/shared_ewok_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906894721', 'E8DE7B81', 'object/creature/npc/base/shared_gamorrean_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('595885541', '23847DE5', 'object/creature/npc/base/shared_geonosian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2975619975', 'B15C5B87', 'object/creature/npc/base/shared_gorax_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900679321', 'E87FA499', 'object/creature/npc/base/shared_gran_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826781885', 'A87D44BD', 'object/creature/npc/base/shared_gungan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('53721594', '333B9FA', 'object/creature/npc/base/shared_human_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2134943660', '7F40A7AC', 'object/creature/npc/base/shared_human_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('36831134', '231FF9E', 'object/creature/npc/base/shared_hutt_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532419442', 'D28C7172', 'object/creature/npc/base/shared_hutt_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055229554', 'B61B1A72', 'object/creature/npc/base/shared_ishi_tib_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397449143', '534B61B7', 'object/creature/npc/base/shared_ithorian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3349422050', 'C7A41FE2', 'object/creature/npc/base/shared_jawa_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291004780', 'FFC3896C', 'object/creature/npc/base/shared_jinda_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('242045215', 'E6D511F', 'object/creature/npc/base/shared_jinda_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370318767', 'C8E2FBAF', 'object/creature/npc/base/shared_klatooinian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2355090288', '8C5FD370', 'object/creature/npc/base/shared_marauder_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688940240', '64AB2ED0', 'object/creature/npc/base/shared_marauder_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371353669', '51BD3245', 'object/creature/npc/base/shared_moncal_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617753563', '606CF5DB', 'object/creature/npc/base/shared_moncal_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839443196', 'A93E76FC', 'object/creature/npc/base/shared_nikto_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2606234616', '9B57FBF8', 'object/creature/npc/base/shared_quarren_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2803462038', 'A7196F96', 'object/creature/npc/base/shared_rodian_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('873111919', '340AA16F', 'object/creature/npc/base/shared_rodian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4114788784', 'F542B1B0', 'object/creature/npc/base/shared_selonian_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841868410', '6DC8AE7A', 'object/creature/npc/base/shared_selonian_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('381383099', '16BB71BB', 'object/creature/npc/base/shared_sullustan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585187332', '9A16D404', 'object/creature/npc/base/shared_trandoshan_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('193024850', 'B815352', 'object/creature/npc/base/shared_trandoshan_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('344809642', '148D60AA', 'object/creature/npc/base/shared_tusken_raider_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167458949', 'F8666085', 'object/creature/npc/base/shared_twilek_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3121839578', 'BA137DDA', 'object/creature/npc/base/shared_twilek_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478426739', 'CF549473', 'object/creature/npc/base/shared_weequay_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('858760919', '332FA6D7', 'object/creature/npc/base/shared_whiphid_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('929953104', '376DF550', 'object/creature/npc/base/shared_whiphid_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361749167', 'C86038AF', 'object/creature/npc/base/shared_wookiee_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('627149744', '25618BB0', 'object/creature/npc/base/shared_wookiee_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580396153', '99CDB879', 'object/creature/npc/base/shared_zabrak_base_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904879514', 'AD24F19A', 'object/creature/npc/base/shared_zabrak_base_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915843418', 'ADCC3D5A', 'object/creature/npc/droid/crafted/shared_2_1b_surgical_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1752432055', '6873FDB7', 'object/creature/npc/droid/crafted/shared_2_1b_surgical_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2764227037', 'A4C2C1DD', 'object/creature/npc/droid/crafted/shared_3po_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('604017168', '24009210', 'object/creature/npc/droid/crafted/shared_3po_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172589023', 'BD19DDDF', 'object/creature/npc/droid/crafted/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295784813', '88D6E56D', 'object/creature/npc/droid/crafted/shared_bomarr_monk_spider_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144214850', '44335542', 'object/creature/npc/droid/crafted/shared_cll_8_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691944817', 'A073D171', 'object/creature/npc/droid/crafted/shared_cll_8_binary_load_lifter_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813952229', 'E3544AE5', 'object/creature/npc/droid/crafted/shared_dark_trooper_phase_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('320581973', '131BB155', 'object/creature/npc/droid/crafted/shared_dark_trooper_phase_ii_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178328195', 'BD717083', 'object/creature/npc/droid/crafted/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('2397633499', '8EE8FBDB', 'object/creature/npc/droid/crafted/shared_droideka_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709391789', 'DD18D3AD', 'object/creature/npc/droid/crafted/shared_dz_70_fugitive_tracker_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848917490', '6E343DF2', 'object/creature/npc/droid/crafted/shared_dz_70_fugitive_tracker_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388417509', '8E5C5BE5', 'object/creature/npc/droid/crafted/shared_eg_6_power_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251263338', '862F8D6A', 'object/creature/npc/droid/crafted/shared_eg_6_power_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('103856343', '630B8D7', 'object/creature/npc/droid/crafted/shared_ig_assassin_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720942075', 'DDC911FB', 'object/creature/npc/droid/crafted/shared_ig_assassin_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904803500', 'AD23C8AC', 'object/creature/npc/droid/crafted/shared_imperial_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998077962', 'B2B30A0A', 'object/creature/npc/droid/crafted/shared_imperial_probot_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950548383', 'EB78959F', 'object/creature/npc/droid/crafted/shared_it_o_interrogator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1493429482', '5903ECEA', 'object/creature/npc/droid/crafted/shared_it_o_interrogator_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('150852356', '8FDD304', 'object/creature/npc/droid/crafted/shared_jedi_training_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150973475', '449A7623', 'object/creature/npc/droid/crafted/shared_jedi_training_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2448691902', '91F412BE', 'object/creature/npc/droid/crafted/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('256863265', 'F4F6C21', 'object/creature/npc/droid/crafted/shared_le_repair_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276460545', 'FEE59C01', 'object/creature/npc/droid/crafted/shared_lin_demolitionmech.iff');
INSERT INTO `object_crc_string_table` VALUES ('3957385280', 'EBE0E840', 'object/creature/npc/droid/crafted/shared_lin_demolitionmech_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169488229', '814FC365', 'object/creature/npc/droid/crafted/shared_mse_6_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206627850', '8386780A', 'object/creature/npc/droid/crafted/shared_mse_6_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995149002', '76EB8ECA', 'object/creature/npc/droid/crafted/shared_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470713199', '57A94D6F', 'object/creature/npc/droid/crafted/shared_probe_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532167005', '5B53035D', 'object/creature/npc/droid/crafted/shared_r2_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218729421', 'FB74B3CD', 'object/creature/npc/droid/crafted/shared_r2_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734654643', 'A2FF84B3', 'object/creature/npc/droid/crafted/shared_r3_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480632347', 'CF763C1B', 'object/creature/npc/droid/crafted/shared_r3_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194993751', '473A2857', 'object/creature/npc/droid/crafted/shared_r4_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132172089', '437B9339', 'object/creature/npc/droid/crafted/shared_r4_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197546425', 'BE96AFB9', 'object/creature/npc/droid/crafted/shared_r5_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004425967', '77791CEF', 'object/creature/npc/droid/crafted/shared_r5_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905884809', '71997E89', 'object/creature/npc/droid/crafted/shared_ra7_bug_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('298901338', '11D0DF5A', 'object/creature/npc/droid/crafted/shared_ra7_bug_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('774994860', '2E317BAC', 'object/creature/npc/droid/crafted/shared_red_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864675349', 'AABF7A15', 'object/creature/npc/droid/crafted/shared_red_protocol_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('700179103', '29BBE29F', 'object/creature/npc/droid/crafted/shared_robo_bartender_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665563112', '634679E8', 'object/creature/npc/droid/crafted/shared_robo_bartender_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802774389', 'E2A9BB75', 'object/creature/npc/droid/crafted/shared_silver_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209769049', 'FAEBFA59', 'object/creature/npc/droid/crafted/shared_silver_protocol_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627618627', 'D8391143', 'object/creature/npc/droid/crafted/shared_tt_8l_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840849400', 'E4EEB5F8', 'object/creature/npc/droid/crafted/shared_tt_8l_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258466577', 'C2384111', 'object/creature/npc/droid/crafted/shared_tt_8l_y7_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3957782001', 'EBE6F5F1', 'object/creature/npc/droid/crafted/shared_tt_8l_y7_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585315002', '5E7DFCBA', 'object/creature/npc/droid/crafted/shared_wed_treadwell_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3393855591', 'CA4A2067', 'object/creature/npc/droid/crafted/shared_wed_treadwell_droid_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1605343560', '5FAF9948', 'object/creature/npc/droid/shared_2_1b_surgical_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915624318', 'ADC8E57E', 'object/creature/npc/droid/shared_3po_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197073485', 'BE8F784D', 'object/creature/npc/droid/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746759604', 'A3B839B4', 'object/creature/npc/droid/shared_cll_8_binary_load_lifter_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007882000', 'B348A310', 'object/creature/npc/droid/shared_dark_trooper_phase_ii_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363686436', '51483424', 'object/creature/npc/droid/shared_droideka_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1822521972', '6CA17A74', 'object/creature/npc/droid/shared_dz_70_fugitive_tracker_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4263326196', 'FE1D31F4', 'object/creature/npc/droid/shared_eg_6_power_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147155885', '7FFAFFAD', 'object/creature/npc/droid/shared_ig_assassin_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('855701230', '3300F6EE', 'object/creature/npc/droid/shared_imperial_probot_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404177386', '8F4CD5EA', 'object/creature/npc/droid/shared_it_o_interrogator_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824587153', '6CC0FD91', 'object/creature/npc/droid/shared_jedi_training_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636727392', 'D8C40E60', 'object/creature/npc/droid/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3586538841', 'D5C63D59', 'object/creature/npc/droid/shared_lin_demolitionmech_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281145336', '4C5CB9F8', 'object/creature/npc/droid/shared_maul_probe_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289977441', 'C4191261', 'object/creature/npc/droid/shared_mse_6_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822086398', 'A8359EFE', 'object/creature/npc/droid/shared_r2_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('681918105', '28A53E99', 'object/creature/npc/droid/shared_r3_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786425205', 'A6157975', 'object/creature/npc/droid/shared_r4_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('646306066', '2685D912', 'object/creature/npc/droid/shared_r5_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('148666614', '8DC78F6', 'object/creature/npc/droid/shared_ra7_bug_droid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('368181993', '15F202E9', 'object/creature/npc/droid/shared_red_protocol_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380886881', 'C9843D61', 'object/creature/npc/droid/shared_robo_bartender_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083758013', '7C339FBD', 'object/creature/npc/droid/shared_silver_protocol_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547923813', '5C437165', 'object/creature/npc/droid/shared_tt_8l_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384722195', '52892F13', 'object/creature/npc/droid/shared_tt_8l_y7_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639908569', '61BF04D9', 'object/creature/npc/droid/shared_wed_treadwell_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2389040637', '8E65DDFD', 'object/creature/npc/general/shared_skill_trainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3752954766', 'DFB18B8E', 'object/creature/npc/theme_park/shared_lambda_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655546204', 'D9E3355C', 'object/creature/npc/theme_park/shared_lambda_shuttle_faction_perk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1984806965', '764DC035', 'object/creature/npc/theme_park/shared_player_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1196401137', '474FA1F1', 'object/creature/npc/theme_park/shared_player_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('773296996', '2E179364', 'object/creature/npc/theme_park/shared_player_transport_theed_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('940072196', '38085D04', 'object/creature/player/base/base_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('957124474', '390C8F7A', 'object/creature/player/base/shared_base_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289006210', 'C40A4082', 'object/creature/player/bothan.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138440591', 'F6AB978F', 'object/creature/player/bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2608966962', '9B81AD32', 'object/creature/player/bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398692358', 'CA93EE06', 'object/creature/player/human.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567725168', 'D4A72A70', 'object/creature/player/human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('101601749', '60E51D5', 'object/creature/player/human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2983618428', 'B1D6677C', 'object/creature/player/ithorian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889828710', 'E7DA1366', 'object/creature/player/ithorian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544392517', 'D3432345', 'object/creature/player/ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2750856484', 'A3F6BD24', 'object/creature/player/moncal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1943427935', '73D65B5F', 'object/creature/player/moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042529705', '79BE87A9', 'object/creature/player/moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('159868048', '9876490', 'object/creature/player/rodian.iff');
INSERT INTO `object_crc_string_table` VALUES ('698204378', '299DC0DA', 'object/creature/player/rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415154589', 'CB8F1F9D', 'object/creature/player/rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('491942670', '1D52730E', 'object/creature/player/shared_bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542946611', '5BF77F33', 'object/creature/player/shared_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294949865', 'FFFFBBE9', 'object/creature/player/shared_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937962913', 'AF1DC1A1', 'object/creature/player/shared_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3017834515', 'B3E08013', 'object/creature/player/shared_ithorian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('951764932', '38BAC7C4', 'object/creature/player/shared_ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2553266142', '982FBFDE', 'object/creature/player/shared_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3116914088', 'B9C855A8', 'object/creature/player/shared_moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261342811', 'C264245B', 'object/creature/player/shared_rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('200920476', 'BF9CD9C', 'object/creature/player/shared_rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('359871514', '1573341A', 'object/creature/player/shared_sullustan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('194222500', 'B9399A4', 'object/creature/player/shared_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('406594758', '183C24C6', 'object/creature/player/shared_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1355045775', '50C45B8F', 'object/creature/player/shared_trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224509660', '849752DC', 'object/creature/player/shared_twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4068532859', 'F280E27B', 'object/creature/player/shared_twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('229336546', 'DAB65E2', 'object/creature/player/shared_wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('90470685', '564791D', 'object/creature/player/shared_wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2850250749', 'A9E35FFD', 'object/creature/player/shared_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791955286', 'E204A556', 'object/creature/player/shared_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3896384354', 'E83E1B62', 'object/creature/player/sullustan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148427457', '44739CC1', 'object/creature/player/sullustan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('479589820', '1C95F5BC', 'object/creature/player/sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1434855482', '5586283A', 'object/creature/player/trandoshan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1690454390', '64C24976', 'object/creature/player/trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('83806458', '4FEC8FA', 'object/creature/player/trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('123334804', '759F094', 'object/creature/player/twilek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869526621', '6F6EB65D', 'object/creature/player/twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('854995066', '32F6307A', 'object/creature/player/twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183820448', '468FAAA0', 'object/creature/player/wookiee.iff');
INSERT INTO `object_crc_string_table` VALUES ('447547898', '1AAD09FA', 'object/creature/player/wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('775743620', '2E3CE884', 'object/creature/player/wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166791527', '458BD367', 'object/creature/player/zabrak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109048188', '421ABB7C', 'object/creature/player/zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('577926999', '22727757', 'object/creature/player/zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792719503', '6ADABA8F', 'object/draft_schematic/armor/component/shared_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('180189865', 'ABD7AA9', 'object/draft_schematic/armor/component/shared_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769957782', 'E0B4FD96', 'object/draft_schematic/armor/component/shared_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2193465881', '82BDA219', 'object/draft_schematic/armor/component/shared_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258794187', 'FDD80ACB', 'object/draft_schematic/armor/component/shared_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965303725', 'EC59BBAD', 'object/draft_schematic/armor/component/shared_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('408400742', '1857B366', 'object/draft_schematic/armor/component/shared_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175436808', 'F8E01C08', 'object/draft_schematic/armor/component/shared_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228456823', 'C06E5777', 'object/draft_schematic/armor/component/shared_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540900933', '5BD84845', 'object/draft_schematic/armor/component/shared_armor_layer_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919500503', 'AE040AD7', 'object/draft_schematic/armor/component/shared_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177230385', 'BD60B031', 'object/draft_schematic/armor/component/shared_deflector_shield_emitter_assembly.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571137786', 'D4DB3CFA', 'object/draft_schematic/armor/component/shared_deflector_shield_generator_energy_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523195897', 'D1FFB3F9', 'object/draft_schematic/armor/component/shared_deflector_shield_generator_particle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075484439', '401A9717', 'object/draft_schematic/armor/component/shared_deflector_shield_ion_feed_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('831687516', '31928B5C', 'object/draft_schematic/armor/component/shared_deflector_shield_overload_discharge_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('951632989', '38B8C45D', 'object/draft_schematic/armor/component/shared_deflector_shield_projector_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874931611', '6FC12F9B', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('116196802', '6ED05C2', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853478018', 'E5AF6882', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('127633276', '79B877C', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('2561407663', '98ABFAAF', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('690401981', '2926B2BD', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('491529842', '1D4C2672', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('812701172', '3070D5F4', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695390575', '650D9B6F', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870976451', 'AB1F9FC3', 'object/draft_schematic/armor/component/shared_heavy_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('908240485', '3622A665', 'object/draft_schematic/armor/shared_armor_module_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152007355', 'F77A9ABB', 'object/draft_schematic/armor/shared_armor_module_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1286868407', '4CB40DB7', 'object/draft_schematic/armor/shared_armor_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('211004258', 'C93AB62', 'object/draft_schematic/armor/shared_armor_segment_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007340042', '3C0ACA0A', 'object/draft_schematic/armor/shared_armor_segment_bone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889266361', 'AC36B4B9', 'object/draft_schematic/armor/shared_armor_segment_bone_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('1129609908', '43547AB4', 'object/draft_schematic/armor/shared_armor_segment_bone_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865019752', 'E65F8568', 'object/draft_schematic/armor/shared_armor_segment_chitin.iff');
INSERT INTO `object_crc_string_table` VALUES ('892546099', '35332C33', 'object/draft_schematic/armor/shared_armor_segment_chitin_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1778592860', '6A032C5C', 'object/draft_schematic/armor/shared_armor_segment_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060695348', '7AD3B734', 'object/draft_schematic/armor/shared_armor_segment_composite_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('168895200', 'A1122E0', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_black_mtn.iff');
INSERT INTO `object_crc_string_table` VALUES ('737525903', '2BF5C08F', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_black_mtn_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171031092', '45CC8434', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_ceremonial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897422446', '71185E6E', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_ceremonial_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257597570', 'FDC5C882', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_hunting.iff');
INSERT INTO `object_crc_string_table` VALUES ('1703266289', '6585C7F1', 'object/draft_schematic/armor/shared_armor_segment_kashyyykian_hunting_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432695926', '55653476', 'object/draft_schematic/armor/shared_armor_segment_padded.iff');
INSERT INTO `object_crc_string_table` VALUES ('626237841', '2553A191', 'object/draft_schematic/armor/shared_armor_segment_padded_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640774670', '9D67060E', 'object/draft_schematic/armor/shared_armor_segment_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('103597235', '62CC4B3', 'object/draft_schematic/armor/shared_armor_segment_ris_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533039838', 'D295E8DE', 'object/draft_schematic/armor/shared_armor_segment_ubese.iff');
INSERT INTO `object_crc_string_table` VALUES ('83159329', '4F4E921', 'object/draft_schematic/armor/shared_armor_segment_ubese_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204507579', '47CB53BB', 'object/draft_schematic/armor/shared_armor_segment_zam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640349743', '9D608A2F', 'object/draft_schematic/armor/shared_armor_segment_zam_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522717131', '5AC2D1CB', 'object/draft_schematic/armor/shared_shield_generator_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('677114065', '285BF0D1', 'object/draft_schematic/armor/shared_shield_generator_personal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759066430', '68D9393E', 'object/draft_schematic/armor/shared_shield_generator_personal_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('567566003', '21D45EB3', 'object/draft_schematic/armor/shared_shield_generator_personal_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2086068372', '7C56E094', 'object/draft_schematic/armor/shared_shield_generator_personal_imperial_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1960728983', '74DE5997', 'object/draft_schematic/armor/shared_shield_generator_vehicular.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315482063', '4E68A9CF', 'object/draft_schematic/base/shared_base_draft_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088794197', '40E5AE55', 'object/draft_schematic/base/shared_draft_schematic_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521547401', '5AB0F889', 'object/draft_schematic/base/shared_missing_schematic_substitute.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925842', '2CA512', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_charisma.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961130234', 'EC1A0CFA', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_charisma_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('768952240', '2DD547B0', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_entertainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2552206589', '981F94FD', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_entertainer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589090972', '5EB79A9C', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813406638', 'E34BF7AE', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_medic_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1620152707', '60919183', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_taming.iff');
INSERT INTO `object_crc_string_table` VALUES ('899505469', '359D5D3D', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_taming_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024699150', '78AE750E', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809419089', 'A7745551', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_casual_training_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665358309', '9EDE23E5', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('395605474', '179475E2', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_armor_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070501512', '3FCE8E88', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_bleeding.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262729200', '86DE81F0', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_bleeding_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361810650', 'C86128DA', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_camo.iff');
INSERT INTO `object_crc_string_table` VALUES ('756747736', '2D1B0DD8', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_camo_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2635065111', '9D0FE717', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_cover.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034020975', 'B4D77C6F', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_cover_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421353901', '54B823AD', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217369934', '488F974E', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_defense_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1549050933', '5C54A435', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_intimidate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3053086977', 'B5FA6901', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_clothing_field_intimidate_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('295650264', '119F43D8', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077000315', 'F302167B', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('463434519', '1B9F7317', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722871954', 'DDE68492', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_heavy_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624931359', '9C75461F', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804703928', 'E2C72CB8', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803745287', '6B82F807', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864508847', '6F2225AF', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_light_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('903570077', '35DB629D', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('929619132', '3768DCBC', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027905587', '78DF6233', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('316670382', '12E001AE', 'object/draft_schematic/bio_engineer/bio_component/shared_bio_component_food_medium_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194731916', '82D0F38C', 'object/draft_schematic/bio_engineer/creature/shared_creature_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4215503445', 'FB437A55', 'object/draft_schematic/bio_engineer/creature/shared_creature_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986875366', 'B20819E6', 'object/draft_schematic/bio_engineer/creature/shared_creature_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105804770', 'F4B99BE2', 'object/draft_schematic/bio_engineer/creature/shared_creature_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526408720', 'D230BA10', 'object/draft_schematic/bio_engineer/creature/shared_creature_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013578304', 'EF3A5840', 'object/draft_schematic/bio_engineer/creature/shared_creature_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241064889', '8593EFB9', 'object/draft_schematic/bio_engineer/creature/shared_creature_bocatt.iff');
INSERT INTO `object_crc_string_table` VALUES ('194404346', 'B965FFA', 'object/draft_schematic/bio_engineer/creature/shared_creature_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('774858939', '2E2F68BB', 'object/draft_schematic/bio_engineer/creature/shared_creature_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401168648', 'CAB9B708', 'object/draft_schematic/bio_engineer/creature/shared_creature_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122372411', '7E80D53B', 'object/draft_schematic/bio_engineer/creature/shared_creature_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202172720', 'FA781130', 'object/draft_schematic/bio_engineer/creature/shared_creature_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2824161282', 'A8554802', 'object/draft_schematic/bio_engineer/creature/shared_creature_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519862275', '96320C03', 'object/draft_schematic/bio_engineer/creature/shared_creature_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('294189744', '1188FAB0', 'object/draft_schematic/bio_engineer/creature/shared_creature_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1742701874', '67DF8532', 'object/draft_schematic/bio_engineer/creature/shared_creature_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('458255116', '1B506B0C', 'object/draft_schematic/bio_engineer/creature/shared_creature_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538963680', '5BBAB8E0', 'object/draft_schematic/bio_engineer/creature/shared_creature_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143765286', '7FC74326', 'object/draft_schematic/bio_engineer/creature/shared_creature_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256914670', 'FDBB5CEE', 'object/draft_schematic/bio_engineer/creature/shared_creature_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1377358713', '5218D379', 'object/draft_schematic/bio_engineer/creature/shared_creature_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3590470383', 'D6023AEF', 'object/draft_schematic/bio_engineer/creature/shared_creature_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008536395', 'B3529F4B', 'object/draft_schematic/bio_engineer/creature/shared_creature_gnort.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155029108', 'F7A8B674', 'object/draft_schematic/bio_engineer/creature/shared_creature_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598263633', 'D6792551', 'object/draft_schematic/bio_engineer/creature/shared_creature_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('1583894111', '5E684E5F', 'object/draft_schematic/bio_engineer/creature/shared_creature_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('214864710', 'CCE9346', 'object/draft_schematic/bio_engineer/creature/shared_creature_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942082056', 'AF5C9C08', 'object/draft_schematic/bio_engineer/creature/shared_creature_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('836337505', '31D97F61', 'object/draft_schematic/bio_engineer/creature/shared_creature_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573412958', '99632A5E', 'object/draft_schematic/bio_engineer/creature/shared_creature_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('3982863564', 'ED65ACCC', 'object/draft_schematic/bio_engineer/creature/shared_creature_hermit_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('42281249', '2852921', 'object/draft_schematic/bio_engineer/creature/shared_creature_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('221814880', 'D38A060', 'object/draft_schematic/bio_engineer/creature/shared_creature_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034849253', 'B4E41FE5', 'object/draft_schematic/bio_engineer/creature/shared_creature_ikopi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687731549', 'DBCE515D', 'object/draft_schematic/bio_engineer/creature/shared_creature_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090758476', '7C9E714C', 'object/draft_schematic/bio_engineer/creature/shared_creature_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083743117', 'F368F98D', 'object/draft_schematic/bio_engineer/creature/shared_creature_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('2952128886', 'AFF5E976', 'object/draft_schematic/bio_engineer/creature/shared_creature_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064324910', 'F240AD2E', 'object/draft_schematic/bio_engineer/creature/shared_creature_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('2639605564', '9D552F3C', 'object/draft_schematic/bio_engineer/creature/shared_creature_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1674691308', '63D1C2EC', 'object/draft_schematic/bio_engineer/creature/shared_creature_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('822086132', '310009F4', 'object/draft_schematic/bio_engineer/creature/shared_creature_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('382639713', '16CE9E61', 'object/draft_schematic/bio_engineer/creature/shared_creature_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3222156358', 'C00E3446', 'object/draft_schematic/bio_engineer/creature/shared_creature_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1998178833', '7719CA11', 'object/draft_schematic/bio_engineer/creature/shared_creature_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363831532', 'C87FFEEC', 'object/draft_schematic/bio_engineer/creature/shared_creature_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('391972314', '175D05DA', 'object/draft_schematic/bio_engineer/creature/shared_creature_mott.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494399637', '5912BA95', 'object/draft_schematic/bio_engineer/creature/shared_creature_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('876066471', '3437B6A7', 'object/draft_schematic/bio_engineer/creature/shared_creature_piket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3425505007', 'CC2D0EEF', 'object/draft_schematic/bio_engineer/creature/shared_creature_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('2315289809', '8A0084D1', 'object/draft_schematic/bio_engineer/creature/shared_creature_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996613579', 'EE377BCB', 'object/draft_schematic/bio_engineer/creature/shared_creature_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3413941223', 'CB7C9BE7', 'object/draft_schematic/bio_engineer/creature/shared_creature_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557933596', '5CDC2E1C', 'object/draft_schematic/bio_engineer/creature/shared_creature_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130402855', '43609427', 'object/draft_schematic/bio_engineer/creature/shared_creature_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912736913', 'AD9CD691', 'object/draft_schematic/bio_engineer/creature/shared_creature_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198942193', 'BEABFBF1', 'object/draft_schematic/bio_engineer/creature/shared_creature_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916872379', 'E976BABB', 'object/draft_schematic/bio_engineer/creature/shared_creature_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147183865', '4460A2F9', 'object/draft_schematic/bio_engineer/creature/shared_creature_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889951794', '70A66032', 'object/draft_schematic/bio_engineer/creature/shared_creature_swirl_prong.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789806366', 'A649111E', 'object/draft_schematic/bio_engineer/creature/shared_creature_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3492399802', 'D029CABA', 'object/draft_schematic/bio_engineer/creature/shared_creature_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('784595182', '2EC3F8EE', 'object/draft_schematic/bio_engineer/creature/shared_creature_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830962018', 'E457D762', 'object/draft_schematic/bio_engineer/creature/shared_creature_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267151566', '4B8732CE', 'object/draft_schematic/bio_engineer/creature/shared_creature_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('240128094', 'E50105E', 'object/draft_schematic/bio_engineer/creature/shared_creature_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('454865702', '1B1CB326', 'object/draft_schematic/bio_engineer/creature/shared_creature_vir_vur.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302146856', '8937F928', 'object/draft_schematic/bio_engineer/creature/shared_creature_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008121273', '77B17FB9', 'object/draft_schematic/bio_engineer/creature/shared_creature_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075558247', 'F2EC1567', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258253069', 'C234FF0D', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415032707', '5457AF83', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718719227', 'A20C5CFB', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('359532674', '156E0882', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3039475182', 'B52AB5EE', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304346718', '4DBEC05E', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635634277', '617DCC65', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075374860', 'B74E7F0C', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('288717653', '11357B55', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('297710271', '11BEB2BF', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338837483', 'C7029DEB', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059152312', '7ABC2BB8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1502836358', '59937686', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789137412', 'A63EDC04', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001518312', 'B2E788E8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184886456', '823AB8B8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546683411', '97CB4E13', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985344902', 'ED8B8986', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1160895673', '4531DCB9', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('1556686347', '5CC9260B', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('184501953', 'AFF46C1', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('3650412283', 'D994DEFB', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('3983133143', 'ED69C9D7', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('3839276474', 'E4D6B5BA', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256313792', 'C21767C0', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125557602', 'BA4C3962', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198261306', 'FA3C623A', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283189937', '4C7BECB1', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137121554', '43C71912', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('891571292', '35244C5C', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685742161', 'A0152C51', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2848231352', 'A9C48FB8', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('939860357', '38052185', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084231750', '7C3ADA46', 'object/draft_schematic/bio_engineer/dna_template/shared_dna_template_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910061894', 'AD740546', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1986244049', '7663ADD1', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064225372', '3F6ECA5C', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3297632584', 'C48DE148', 'object/draft_schematic/bio_engineer/utilities/shared_pet_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('996406481', '3B63F4D1', 'object/draft_schematic/bio_engineer/utilities/shared_pet_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765722182', 'E0745C46', 'object/draft_schematic/bio_engineer/utilities/shared_pet_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843294667', 'A9793BCB', 'object/draft_schematic/bio_engineer/utilities/shared_pet_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661748357', '9EA70E85', 'object/draft_schematic/chemistry/component/shared_biologic_effect_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('800746464', '2FBA6BE0', 'object/draft_schematic/chemistry/component/shared_biologic_effect_controller_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('478830585', '1C8A5FF9', 'object/draft_schematic/chemistry/component/shared_dispersal_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('830646641', '3182A971', 'object/draft_schematic/chemistry/component/shared_dispersal_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1655499039', '62ACE91F', 'object/draft_schematic/chemistry/component/shared_dye_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869282426', 'E6A0907A', 'object/draft_schematic/chemistry/component/shared_dye_hair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3761672459', 'E036910B', 'object/draft_schematic/chemistry/component/shared_infection_amplifier.iff');
INSERT INTO `object_crc_string_table` VALUES ('878631490', '345EDA42', 'object/draft_schematic/chemistry/component/shared_infection_amplifier_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319984747', '8A48286B', 'object/draft_schematic/chemistry/component/shared_liquid_delivery_suspension.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383554373', 'C9ACF145', 'object/draft_schematic/chemistry/component/shared_liquid_delivery_suspension_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('756180985', '2D1267F9', 'object/draft_schematic/chemistry/component/shared_release_mechanism_duration.iff');
INSERT INTO `object_crc_string_table` VALUES ('3061218995', 'B6767EB3', 'object/draft_schematic/chemistry/component/shared_release_mechanism_duration_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214515751', 'FB346827', 'object/draft_schematic/chemistry/component/shared_resilience_compound.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897418306', '71184E42', 'object/draft_schematic/chemistry/component/shared_resilience_compound_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3674074652', 'DAFDEE1C', 'object/draft_schematic/chemistry/component/shared_solid_delivery_shell.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535549193', '5B869F09', 'object/draft_schematic/chemistry/component/shared_solid_delivery_shell_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265117703', 'C29DBE07', 'object/draft_schematic/chemistry/shared_antidote_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('362148804', '1595F3C4', 'object/draft_schematic/chemistry/shared_dye_kit_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('291639705', '11621199', 'object/draft_schematic/chemistry/shared_dye_kit_hair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3675038200', 'DB0CA1F8', 'object/draft_schematic/chemistry/shared_med_fire_blanket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3757704336', 'DFFA0490', 'object/draft_schematic/chemistry/shared_med_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2814723846', 'A7C54706', 'object/draft_schematic/chemistry/shared_med_stimpack_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094198673', '7CD2EF91', 'object/draft_schematic/chemistry/shared_med_stimpack_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('903841820', '35DF881C', 'object/draft_schematic/chemistry/shared_med_stimpack_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('82684935', '4EDAC07', 'object/draft_schematic/chemistry/shared_med_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306577802', '4DE0CB8A', 'object/draft_schematic/chemistry/shared_med_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3053707422', 'B603E09E', 'object/draft_schematic/chemistry/shared_med_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4279142163', 'FF0E8713', 'object/draft_schematic/chemistry/shared_med_stimpack_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387638158', '8E50778E', 'object/draft_schematic/chemistry/shared_med_stimpack_range_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430773529', '5547DF19', 'object/draft_schematic/chemistry/shared_med_stimpack_range_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('474658964', '1C4AB894', 'object/draft_schematic/chemistry/shared_med_stimpack_range_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3886650240', 'E7A99380', 'object/draft_schematic/chemistry/shared_med_stimpack_range_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930045965', 'AEA4F40D', 'object/draft_schematic/chemistry/shared_med_stimpack_range_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1364124168', '514EE208', 'object/draft_schematic/chemistry/shared_med_stimpack_state_blinded_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321107615', '8A594A9F', 'object/draft_schematic/chemistry/shared_med_stimpack_state_blinded_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036204741', '3DC33AC5', 'object/draft_schematic/chemistry/shared_med_stimpack_state_dizzy_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872690770', 'E6D49252', 'object/draft_schematic/chemistry/shared_med_stimpack_state_dizzy_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1965538987', '7527BEAB', 'object/draft_schematic/chemistry/shared_med_stimpack_state_intimidated_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922387004', 'AE30163C', 'object/draft_schematic/chemistry/shared_med_stimpack_state_intimidated_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140453120', 'BB2F8300', 'object/draft_schematic/chemistry/shared_med_stimpack_state_stunned_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1614293911', '60382B97', 'object/draft_schematic/chemistry/shared_med_stimpack_state_stunned_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775360187', '69D1D8BB', 'object/draft_schematic/chemistry/shared_medic_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941410275', '73B791E3', 'object/draft_schematic/chemistry/shared_medikit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213021622', '83E807B6', 'object/draft_schematic/chemistry/shared_medikit_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('124288552', '7687E28', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871211792', 'E6BE0110', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034529159', '3DA9A987', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956957706', '74A4CE0A', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699365567', 'DC7FD6BF', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2507321650', '9572B132', 'object/draft_schematic/chemistry/shared_medpack_cure_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('351667608', '14F60598', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('954914479', '38EAD6AF', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3825040952', 'E3FD7E38', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2867861941', 'AAF019B5', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487673615', 'CFE1AD0F', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2263665282', '86ECCA82', 'object/draft_schematic/chemistry/shared_medpack_cure_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3405539555', 'CAFC68E3', 'object/draft_schematic/chemistry/shared_medpack_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('694015561', '295DD649', 'object/draft_schematic/chemistry/shared_medpack_disease_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064968414', 'F24A7EDE', 'object/draft_schematic/chemistry/shared_medpack_disease_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141998931', 'BB471953', 'object/draft_schematic/chemistry/shared_medpack_disease_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3808059942', 'E2FA6226', 'object/draft_schematic/chemistry/shared_medpack_disease_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('971885233', '39EDCAB1', 'object/draft_schematic/chemistry/shared_medpack_disease_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1893772604', '70E0AD3C', 'object/draft_schematic/chemistry/shared_medpack_disease_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084105908', '7C38EEB4', 'object/draft_schematic/chemistry/shared_medpack_disease_area_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2804893219', 'A72F4623', 'object/draft_schematic/chemistry/shared_medpack_disease_area_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995214254', 'EE2221AE', 'object/draft_schematic/chemistry/shared_medpack_disease_area_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1596796775', '5F2D2F67', 'object/draft_schematic/chemistry/shared_medpack_disease_area_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218428400', '843A87F0', 'object/draft_schematic/chemistry/shared_medpack_disease_area_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442991229', 'CD37E07D', 'object/draft_schematic/chemistry/shared_medpack_disease_area_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732580378', '6745141A', 'object/draft_schematic/chemistry/shared_medpack_disease_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159538829', 'BC52BC8D', 'object/draft_schematic/chemistry/shared_medpack_disease_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116699904', 'F55FDB00', 'object/draft_schematic/chemistry/shared_medpack_disease_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1596047843', '5F21C1E3', 'object/draft_schematic/chemistry/shared_medpack_disease_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218158452', '84366974', 'object/draft_schematic/chemistry/shared_medpack_disease_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443199737', 'CD3B0EF9', 'object/draft_schematic/chemistry/shared_medpack_disease_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3559575404', 'D42ACF6C', 'object/draft_schematic/chemistry/shared_medpack_disease_area_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('255682555', 'F3D67FB', 'object/draft_schematic/chemistry/shared_medpack_disease_area_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177550966', '46300076', 'object/draft_schematic/chemistry/shared_medpack_disease_area_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040229827', '799B6FC3', 'object/draft_schematic/chemistry/shared_medpack_disease_area_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727135060', 'A28CC754', 'object/draft_schematic/chemistry/shared_medpack_disease_area_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951141081', 'EB81A0D9', 'object/draft_schematic/chemistry/shared_medpack_disease_area_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967260026', '7542017A', 'object/draft_schematic/chemistry/shared_medpack_disease_area_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924849645', 'AE55A9ED', 'object/draft_schematic/chemistry/shared_medpack_disease_area_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881356896', 'E758CE60', 'object/draft_schematic/chemistry/shared_medpack_disease_area_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('98306144', '5DC0860', 'object/draft_schematic/chemistry/shared_medpack_disease_area_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737886967', 'DECBA0F7', 'object/draft_schematic/chemistry/shared_medpack_disease_area_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546386810', '97C6C77A', 'object/draft_schematic/chemistry/shared_medpack_disease_area_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302811997', '89421F5D', 'object/draft_schematic/chemistry/shared_medpack_disease_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381349322', '5255B7CA', 'object/draft_schematic/chemistry/shared_medpack_disease_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('458805319', '1B58D047', 'object/draft_schematic/chemistry/shared_medpack_disease_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4097633358', 'F43CEC4E', 'object/draft_schematic/chemistry/shared_medpack_disease_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('791364825', '2F2B44D9', 'object/draft_schematic/chemistry/shared_medpack_disease_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1713775444', '66262354', 'object/draft_schematic/chemistry/shared_medpack_disease_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900533365', 'ACE2A075', 'object/draft_schematic/chemistry/shared_medpack_disease_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012547298', '77F508E2', 'object/draft_schematic/chemistry/shared_medpack_disease_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1056468847', '3EF86F6F', 'object/draft_schematic/chemistry/shared_medpack_disease_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467316230', 'CEAB0C06', 'object/draft_schematic/chemistry/shared_medpack_disease_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('364684433', '15BCA491', 'object/draft_schematic/chemistry/shared_medpack_disease_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555153692', '5CB1C31C', 'object/draft_schematic/chemistry/shared_medpack_disease_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('371283963', '162157FB', 'object/draft_schematic/chemistry/shared_medpack_disease_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442933612', 'CD36FF6C', 'object/draft_schematic/chemistry/shared_medpack_disease_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218498273', '843B98E1', 'object/draft_schematic/chemistry/shared_medpack_disease_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834193211', 'A8EE5B3B', 'object/draft_schematic/chemistry/shared_medpack_disease_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945760684', '73F9F3AC', 'object/draft_schematic/chemistry/shared_medpack_disease_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('989107233', '3AF49421', 'object/draft_schematic/chemistry/shared_medpack_disease_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('355249956', '152CAF24', 'object/draft_schematic/chemistry/shared_medpack_disease_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459975091', 'CE3B07B3', 'object/draft_schematic/chemistry/shared_medpack_disease_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268487742', '8736603E', 'object/draft_schematic/chemistry/shared_medpack_disease_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352793335', 'C7D790F7', 'object/draft_schematic/chemistry/shared_medpack_disease_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('482359392', '1CC03860', 'object/draft_schematic/chemistry/shared_medpack_disease_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439522797', '55CD5FED', 'object/draft_schematic/chemistry/shared_medpack_disease_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2369668578', '8D3E45E2', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1445588341', '5629ED75', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('522488568', '1F248AF8', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3838288364', 'E4C7A1EC', 'object/draft_schematic/chemistry/shared_medpack_enhance_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('481940432', '1CB9D3D0', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350100807', 'C7AE7B47', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393054410', '8EA31CCA', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967142878', '754037DE', 'object/draft_schematic/chemistry/shared_medpack_enhance_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898940476', 'E8651C3C', 'object/draft_schematic/chemistry/shared_medpack_enhance_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('863155371', '3372B4AB', 'object/draft_schematic/chemistry/shared_medpack_enhance_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2055197478', '7A7FD326', 'object/draft_schematic/chemistry/shared_medpack_enhance_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('142685150', '88133DE', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3549862729', 'D3969B49', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2593914052', '9A9BFCC4', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635309520', '6178D7D0', 'object/draft_schematic/chemistry/shared_medpack_enhance_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('140514746', '86015BA', 'object/draft_schematic/chemistry/shared_medpack_enhance_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3547839789', 'D377BD2D', 'object/draft_schematic/chemistry/shared_medpack_enhance_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591742624', '9A7ADAA0', 'object/draft_schematic/chemistry/shared_medpack_enhance_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448095353', '56502E79', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370275054', '8D4786EE', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3293241699', 'C44AE163', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068092023', '3FA9CA77', 'object/draft_schematic/chemistry/shared_medpack_enhance_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('693555433', '2956D0E9', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064376958', 'F241787E', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142328307', 'BB4C1FF3', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085224167', '40AF34E7', 'object/draft_schematic/chemistry/shared_medpack_enhance_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228205181', 'C06A807D', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('461187306', '1B7D28EA', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1383092071', '52704F67', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845009011', 'A9936473', 'object/draft_schematic/chemistry/shared_medpack_enhance_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893232021', 'AC733795', 'object/draft_schematic/chemistry/shared_medpack_poison_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2003083010', '77649F02', 'object/draft_schematic/chemistry/shared_medpack_poison_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1047132303', '3E69F88F', 'object/draft_schematic/chemistry/shared_medpack_poison_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913034152', 'E93C29A8', 'object/draft_schematic/chemistry/shared_medpack_poison_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('841711935', '322B813F', 'object/draft_schematic/chemistry/shared_medpack_poison_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2066146994', '7B26E6B2', 'object/draft_schematic/chemistry/shared_medpack_poison_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820549012', '6C835F94', 'object/draft_schematic/chemistry/shared_medpack_poison_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079993091', 'B794F703', 'object/draft_schematic/chemistry/shared_medpack_poison_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271476878', 'FE99908E', 'object/draft_schematic/chemistry/shared_medpack_poison_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885526500', 'E7986DE4', 'object/draft_schematic/chemistry/shared_medpack_poison_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016055155', '3C8FC573', 'object/draft_schematic/chemistry/shared_medpack_poison_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971495678', '7582A2FE', 'object/draft_schematic/chemistry/shared_medpack_poison_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('701252009', '29CC41A9', 'object/draft_schematic/chemistry/shared_medpack_poison_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074498366', 'F2DBE93E', 'object/draft_schematic/chemistry/shared_medpack_poison_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151400627', 'BBD68EB3', 'object/draft_schematic/chemistry/shared_medpack_poison_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919448554', 'AE033FEA', 'object/draft_schematic/chemistry/shared_medpack_poison_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964283773', '7514977D', 'object/draft_schematic/chemistry/shared_medpack_poison_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008333040', '3C19F0F0', 'object/draft_schematic/chemistry/shared_medpack_poison_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702447331', '657948E3', 'object/draft_schematic/chemistry/shared_medpack_revive.iff');
INSERT INTO `object_crc_string_table` VALUES ('751951570', '2CD1DED2', 'object/draft_schematic/chemistry/shared_medpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399715807', '8F08C1DF', 'object/draft_schematic/chemistry/shared_medpack_wound.iff');
INSERT INTO `object_crc_string_table` VALUES ('2149892394', '8024C12A', 'object/draft_schematic/chemistry/shared_medpack_wound_action.iff');
INSERT INTO `object_crc_string_table` VALUES ('1923718175', '72A99C1F', 'object/draft_schematic/chemistry/shared_medpack_wound_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847814792', 'A9BE3488', 'object/draft_schematic/chemistry/shared_medpack_wound_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769848581', 'E0B35305', 'object/draft_schematic/chemistry/shared_medpack_wound_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('458258449', '1B507811', 'object/draft_schematic/chemistry/shared_medpack_wound_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381834652', '525D1F9C', 'object/draft_schematic/chemistry/shared_medpack_wound_action_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820732441', '6C862C19', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261572470', '4B321176', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418391521', '9025B9E1', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643334252', 'D928DE6C', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('583791992', '22CBF578', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808175861', '6BC692F5', 'object/draft_schematic/chemistry/shared_medpack_wound_constitution_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('685238281', '28D7E809', 'object/draft_schematic/chemistry/shared_medpack_wound_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('4145474083', 'F716EA23', 'object/draft_schematic/chemistry/shared_medpack_wound_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('738280116', '2C0142B4', 'object/draft_schematic/chemistry/shared_medpack_wound_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695294777', '650C2539', 'object/draft_schematic/chemistry/shared_medpack_wound_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666466861', '9EEF0E2D', 'object/draft_schematic/chemistry/shared_medpack_wound_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621939616', 'D7E269A0', 'object/draft_schematic/chemistry/shared_medpack_wound_health_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('45293723', '2B3209B', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319233299', '8A3CB113', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361779076', '512B1984', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('405175817', '18267E09', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821360413', 'E3C5551D', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865246864', 'AAC83290', 'object/draft_schematic/chemistry/shared_medpack_wound_quickness_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('643507193', '265B23F9', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina.iff');
INSERT INTO `object_crc_string_table` VALUES ('259550557', 'F786D5D', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3564094922', 'D46FC5CA', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640486983', '9D62A247', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719765331', '66818953', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('797765342', '2F8CEEDE', 'object/draft_schematic/chemistry/shared_medpack_wound_stamina_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4078580754', 'F31A3412', 'object/draft_schematic/chemistry/shared_medpack_wound_strength.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819463471', '6C72CF2F', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076876216', 'B76567B8', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4268228661', 'FE680035', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('93006625', '58B2B21', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283869868', '4C864CAC', 'object/draft_schematic/chemistry/shared_medpack_wound_strength_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('773676321', '2E1D5D21', 'object/draft_schematic/chemistry/shared_quest_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2382882754', '8E07E7C2', 'object/draft_schematic/chemistry/shared_stimpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('217803170', 'CFB69A2', 'object/draft_schematic/clothing/component/shared_clothing_cargo_pocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2902252643', 'ACFCDC63', 'object/draft_schematic/clothing/component/shared_clothing_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('3235529113', 'C0DA4199', 'object/draft_schematic/clothing/component/shared_clothing_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('656345238', '271F0896', 'object/draft_schematic/clothing/component/shared_clothing_fiberplast_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119926044', 'B9F64B1C', 'object/draft_schematic/clothing/component/shared_clothing_jewelry_setting.iff');
INSERT INTO `object_crc_string_table` VALUES ('196841582', 'BBB906E', 'object/draft_schematic/clothing/component/shared_clothing_metal_fasteners.iff');
INSERT INTO `object_crc_string_table` VALUES ('1984198906', '764478FA', 'object/draft_schematic/clothing/component/shared_clothing_padding_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('394655839', '1785F85F', 'object/draft_schematic/clothing/component/shared_clothing_reinforced_fiber_panels.iff');
INSERT INTO `object_crc_string_table` VALUES ('794389103', '2F596A6F', 'object/draft_schematic/clothing/component/shared_clothing_shoe_sole.iff');
INSERT INTO `object_crc_string_table` VALUES ('329274185', '13A05349', 'object/draft_schematic/clothing/component/shared_clothing_synthetic_cloth.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996452682', 'EE35074A', 'object/draft_schematic/clothing/component/shared_clothing_trim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1709613137', '65E6A051', 'object/draft_schematic/clothing/shared_clothing_apron_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015992243', '3C8ECFB3', 'object/draft_schematic/clothing/shared_clothing_apron_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3196236554', 'BE82B30A', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1704270749', '65951B9D', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('748190736', '2C987C10', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615184644', 'D77B5704', 'object/draft_schematic/clothing/shared_clothing_apron_field_01_quest_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272321681', '4BD61691', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('990073602', '3B035302', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('970979898', '39DFFA3A', 'object/draft_schematic/clothing/shared_clothing_armor_bone_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642323858', '61E3DF92', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('288791041', '11369A01', 'object/draft_schematic/clothing/shared_clothing_armor_bone_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('450361637', '1AD7F925', 'object/draft_schematic/clothing/shared_clothing_armor_bone_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920088501', 'AE0D03B5', 'object/draft_schematic/clothing/shared_clothing_armor_bone_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('416146109', '18CDE2BD', 'object/draft_schematic/clothing/shared_clothing_armor_bone_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4006019725', 'EEC7028D', 'object/draft_schematic/clothing/shared_clothing_armor_bone_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913124016', 'ADA2BEB0', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188330078', 'BE0A0E5E', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470740429', 'CEDF4BCD', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169440995', 'BCE9D4E3', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('596018928', '238686F0', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397998435', '5353C363', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('689554844', '2919C59C', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874115888', 'E6EA5130', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344974904', '502AB038', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896321519', 'ACA25BEF', 'object/draft_schematic/clothing/shared_clothing_armor_bounty_hunter_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3047595124', 'B5A69C74', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312703975', 'C573D9E7', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1821888750', '6C97D0EE', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757715857', 'A45F6791', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565822466', 'D48A2202', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335874545', '4F9FD3F1', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306152409', '897517D9', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068889809', '3FB5F6D1', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('729528974', '2B7BBA8E', 'object/draft_schematic/clothing/shared_clothing_armor_chitin_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('816015931', '30A36A3B', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1081487272', '40762FA8', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025601885', '3D21715D', 'object/draft_schematic/clothing/shared_clothing_armor_composite_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3747652372', 'DF60A314', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2947933831', 'AFB5E687', 'object/draft_schematic/clothing/shared_clothing_armor_composite_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('506032706', '1E297242', 'object/draft_schematic/clothing/shared_clothing_armor_composite_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132597865', '43821269', 'object/draft_schematic/clothing/shared_clothing_armor_composite_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('4114805601', 'F542F361', 'object/draft_schematic/clothing/shared_clothing_armor_composite_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346665995', '50447E0B', 'object/draft_schematic/clothing/shared_clothing_armor_composite_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077397359', 'B76D5B6F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350732540', 'C7B81EFC', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('750129025', '2CB60F81', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1712998399', '661A47FF', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('382665324', '16CF026C', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('264113310', 'FBE0C9E', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2620131502', '9C2C08AE', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('720169382', '2AECE9A6', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913194208', 'E93E9AE0', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_defender_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137038776', 'F69633B8', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2252568107', '8643762B', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3355136251', 'C7FB50FB', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905996607', 'AD35FD3F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722492076', 'DDE0B8AC', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841151972', 'E4F353E4', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1066508214', '3F919FB6', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303819454', '89517EBE', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('571547680', '22112020', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_guardian_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('365205610', '15C4986A', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695669753', '6511DDF9', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3805329247', 'E2D0B75F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('930361247', '37742F9F', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201760780', '47A16A0C', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252204608', 'C1D8B440', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609964605', '9B90E63D', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('760219445', '2D500735', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092312704', 'B850F280', 'object/draft_schematic/clothing/shared_clothing_armor_ithorian_sentinel_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731516736', 'A2CFA340', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524978387', 'D21AE6D3', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154804782', 'F7A54A2E', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('770408031', '2DEB7E5F', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_black_mtn_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1982155306', '76254A2A', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('116395961', '6F00FB9', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2034172347', '793F01BB', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4177631029', 'F9019735', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_ceremonial_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('611262677', '246F20D5', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421501766', '54BA6546', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('592867110', '23566F26', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2873884106', 'AB4BFDCA', 'object/draft_schematic/clothing/shared_clothing_armor_kashyyykian_hunting_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802855714', 'A7102F22', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('305069795', '122EFEE3', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660664688', '62FBBB70', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('569544757', '21F29035', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3277190810', 'C355F69A', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011556105', 'B380B309', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746571471', 'A3B55ACF', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3917363837', 'E97E3A7D', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606343541', '5FBEDB75', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282485125', '4C712B85', 'object/draft_schematic/clothing/shared_clothing_armor_mandalorian_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238463430', '49D173C6', 'object/draft_schematic/clothing/shared_clothing_armor_padded_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('18400770', '118C602', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909293969', '71CD8391', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('428470854', '1989F246', 'object/draft_schematic/clothing/shared_clothing_armor_padded_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024087603', 'B43FEA33', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303714720', 'C4EAAFA0', 'object/draft_schematic/clothing/shared_clothing_armor_padded_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('981594457', '3A81F159', 'object/draft_schematic/clothing/shared_clothing_armor_padded_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613154645', '6026C955', 'object/draft_schematic/clothing/shared_clothing_armor_padded_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605407837', 'D6E6285D', 'object/draft_schematic/clothing/shared_clothing_armor_padded_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('991639340', '3B1B372C', 'object/draft_schematic/clothing/shared_clothing_armor_padded_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1855767107', '6E9CC243', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('508135376', '1E4987D0', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('93979565', '59A03AD', 'object/draft_schematic/clothing/shared_clothing_armor_ris_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765213721', 'A4D1D019', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557070218', 'D404958A', 'object/draft_schematic/clothing/shared_clothing_armor_ris_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('764259865', '2D8DAE19', 'object/draft_schematic/clothing/shared_clothing_armor_ris_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('181035585', 'ACA6241', 'object/draft_schematic/clothing/shared_clothing_armor_ris_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154805577', 'BC0A8349', 'object/draft_schematic/clothing/shared_clothing_armor_ris_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('737479942', '2BF50D06', 'object/draft_schematic/clothing/shared_clothing_armor_ris_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070704485', '7B6C7165', 'object/draft_schematic/clothing/shared_clothing_armor_tantel_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482977914', '5864727A', 'object/draft_schematic/clothing/shared_clothing_armor_tantel_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2520970916', '9642F6A4', 'object/draft_schematic/clothing/shared_clothing_armor_tantel_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802019036', '6B68A0DC', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268014346', '4B945D0A', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416333578', '546B890A', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('616483993', '24BECC99', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('211555644', 'C9C153C', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126654004', 'BA5CF434', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414320930', '8FE79D22', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_jacket.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124011912', 'F5CF6D88', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('559189669', '21548EA5', 'object/draft_schematic/clothing/shared_clothing_armor_ubese_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('344794469', '148D2565', 'object/draft_schematic/clothing/shared_clothing_armor_zam_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('210074770', 'C857C92', 'object/draft_schematic/clothing/shared_clothing_armor_zam_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('797802381', '2F8D7F8D', 'object/draft_schematic/clothing/shared_clothing_armor_zam_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('930917710', '377CAD4E', 'object/draft_schematic/clothing/shared_clothing_armor_zam_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176601158', '81BC4C46', 'object/draft_schematic/clothing/shared_clothing_armor_zam_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3000912912', 'B2DE4C10', 'object/draft_schematic/clothing/shared_clothing_armor_zam_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065293376', '7B19E040', 'object/draft_schematic/clothing/shared_clothing_backpack_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909300058', 'E9032F5A', 'object/draft_schematic/clothing/shared_clothing_backpack_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3310546342', 'C552EDA6', 'object/draft_schematic/clothing/shared_clothing_backpack_field_03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('316671054', '12E0044E', 'object/draft_schematic/clothing/shared_clothing_backpack_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542284227', '5BED63C3', 'object/draft_schematic/clothing/shared_clothing_backpack_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163919700', '80FACB54', 'object/draft_schematic/clothing/shared_clothing_backpack_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3608105769', 'D70F5329', 'object/draft_schematic/clothing/shared_clothing_backpack_field_06_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1358780911', '50FD59EF', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295553965', 'C46E29AD', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_02_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('435175010', '19F03E62', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3792901494', 'E2131576', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624338087', 'D80702A7', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_04_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870899451', 'AB1E72FB', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1879693932', '7009DA6C', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('956612065', '3904BDE1', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198770163', '830E91F3', 'object/draft_schematic/clothing/shared_clothing_bandolier_field_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('825555419', '3134F9DB', 'object/draft_schematic/clothing/shared_clothing_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241263026', '8596F5B2', 'object/draft_schematic/clothing/shared_clothing_belt_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585536293', '5E815D25', 'object/draft_schematic/clothing/shared_clothing_belt_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('395066024', '178C3AA8', 'object/draft_schematic/clothing/shared_clothing_belt_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966702012', 'EC6F11BC', 'object/draft_schematic/clothing/shared_clothing_belt_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774693425', 'A5627631', 'object/draft_schematic/clothing/shared_clothing_belt_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2928106130', 'AE875A92', 'object/draft_schematic/clothing/shared_clothing_belt_field_05_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('930658603', '3778B92B', 'object/draft_schematic/clothing/shared_clothing_belt_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296719540', 'C47FF2B4', 'object/draft_schematic/clothing/shared_clothing_belt_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2663315658', '9EBEF8CA', 'object/draft_schematic/clothing/shared_clothing_belt_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066865224', 'F2677048', 'object/draft_schematic/clothing/shared_clothing_belt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144292293', 'BB6A17C5', 'object/draft_schematic/clothing/shared_clothing_belt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082735825', '40893CD1', 'object/draft_schematic/clothing/shared_clothing_belt_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('159669084', '9845B5C', 'object/draft_schematic/clothing/shared_clothing_belt_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532911563', 'D293F3CB', 'object/draft_schematic/clothing/shared_clothing_belt_formal_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610861126', '9B9E9446', 'object/draft_schematic/clothing/shared_clothing_belt_formal_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('563394644', '2194B854', 'object/draft_schematic/clothing/shared_clothing_belt_formal_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754914777', '6899DFD9', 'object/draft_schematic/clothing/shared_clothing_belt_formal_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292216538', '4D05A8DA', 'object/draft_schematic/clothing/shared_clothing_belt_formal_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('764549397', '2D921915', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135956866', 'F685B182', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3213415951', 'BF88D60F', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147927835', '446BFD1B', 'object/draft_schematic/clothing/shared_clothing_bikini_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560259623', 'D4354027', 'object/draft_schematic/clothing/shared_clothing_bikini_leggings_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3174599388', 'BD388ADC', 'object/draft_schematic/clothing/shared_clothing_bodysuit_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1977831352', '75E34FB8', 'object/draft_schematic/clothing/shared_clothing_bodysuit_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603791203', 'D6CD7D63', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610596097', '5FFFBF01', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753336341', 'A41C9415', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977376664', 'ED11F398', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('906386191', '36065B0F', 'object/draft_schematic/clothing/shared_clothing_bodysuit_field_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3890717293', 'E7E7A26D', 'object/draft_schematic/clothing/shared_clothing_bodysuit_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('196342496', 'BB3F2E0', 'object/draft_schematic/clothing/shared_clothing_boots_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725622529', 'A275B301', 'object/draft_schematic/clothing/shared_clothing_boots_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1503041557', '59969815', 'object/draft_schematic/clothing/shared_clothing_boots_casual_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('948640912', '388B1C90', 'object/draft_schematic/clothing/shared_clothing_boots_casual_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410993182', '541A0C1E', 'object/draft_schematic/clothing/shared_clothing_boots_casual_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858090702', 'E5F5CACE', 'object/draft_schematic/clothing/shared_clothing_boots_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1461421655', '571B8657', 'object/draft_schematic/clothing/shared_clothing_boots_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('88009890', '53EECA2', 'object/draft_schematic/clothing/shared_clothing_boots_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594748339', '9AA8B7B3', 'object/draft_schematic/clothing/shared_clothing_boots_field_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('862910034', '336EF652', 'object/draft_schematic/clothing/shared_clothing_boots_field_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782064495', 'E16DB96F', 'object/draft_schematic/clothing/shared_clothing_bustier_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('981078520', '3A7A11F8', 'object/draft_schematic/clothing/shared_clothing_bustier_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1937208949', '73777675', 'object/draft_schematic/clothing/shared_clothing_bustier_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230028828', '84EB8A1C', 'object/draft_schematic/clothing/shared_clothing_dress_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610359435', '5FFC228B', 'object/draft_schematic/clothing/shared_clothing_dress_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('384910598', '16F14506', 'object/draft_schematic/clothing/shared_clothing_dress_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858108057', 'E5F60E99', 'object/draft_schematic/clothing/shared_clothing_dress_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131021674', 'F63A636A', 'object/draft_schematic/clothing/shared_clothing_dress_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679862896', '6420AC70', 'object/draft_schematic/clothing/shared_clothing_dress_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('86182458', '5230A3A', 'object/draft_schematic/clothing/shared_clothing_dress_formal_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771320306', '699433F2', 'object/draft_schematic/clothing/shared_clothing_dress_formal_08_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('384788425', '16EF67C9', 'object/draft_schematic/clothing/shared_clothing_dress_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230692051', '84F5A8D3', 'object/draft_schematic/clothing/shared_clothing_dress_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2132181959', '7F1683C7', 'object/draft_schematic/clothing/shared_clothing_dress_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('907797578', '361BE44A', 'object/draft_schematic/clothing/shared_clothing_dress_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977006301', 'ED0C4CDD', 'object/draft_schematic/clothing/shared_clothing_dress_formal_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('504039234', '1E0B0742', 'object/draft_schematic/clothing/shared_clothing_dress_formal_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1460035791', '570660CF', 'object/draft_schematic/clothing/shared_clothing_dress_formal_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2844639067', 'A98DBF5B', 'object/draft_schematic/clothing/shared_clothing_dress_formal_23.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228851029', 'C0745B55', 'object/draft_schematic/clothing/shared_clothing_dress_formal_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306424024', '89793CD8', 'object/draft_schematic/clothing/shared_clothing_dress_formal_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2055108423', '7A7E7747', 'object/draft_schematic/clothing/shared_clothing_dress_formal_29.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773279924', '69B21AB4', 'object/draft_schematic/clothing/shared_clothing_dress_formal_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('549420345', '20BF7D39', 'object/draft_schematic/clothing/shared_clothing_dress_formal_31.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222145966', 'FBA8D5AE', 'object/draft_schematic/clothing/shared_clothing_dress_formal_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997203491', 'B2A5B223', 'object/draft_schematic/clothing/shared_clothing_dress_formal_33.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229363511', '49469937', 'object/draft_schematic/clothing/shared_clothing_dress_formal_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('4980410', '4BFEBA', 'object/draft_schematic/clothing/shared_clothing_dress_formal_35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896518833', '710A94B1', 'object/draft_schematic/clothing/shared_clothing_gloves_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('418607295', '18F370BF', 'object/draft_schematic/clothing/shared_clothing_gloves_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748466152', '683779E8', 'object/draft_schematic/clothing/shared_clothing_gloves_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('30318054', '1CE9DE6', 'object/draft_schematic/clothing/shared_clothing_gloves_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3775249290', 'E105BB8A', 'object/draft_schematic/clothing/shared_clothing_gloves_field_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819152903', 'A808DC07', 'object/draft_schematic/clothing/shared_clothing_gloves_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931441296', '731F7490', 'object/draft_schematic/clothing/shared_clothing_gloves_field_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('974263069', '3A12131D', 'object/draft_schematic/clothing/shared_clothing_gloves_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253811209', 'C1F13809', 'object/draft_schematic/clothing/shared_clothing_gloves_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3156505087', 'BC2471FF', 'object/draft_schematic/clothing/shared_clothing_hat_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('890680221', '3516B39D', 'object/draft_schematic/clothing/shared_clothing_hat_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802613383', 'A70C7C87', 'object/draft_schematic/clothing/shared_clothing_hat_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('367144990', '15E2301E', 'object/draft_schematic/clothing/shared_clothing_hat_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580572048', 'D56B3190', 'object/draft_schematic/clothing/shared_clothing_hat_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('243046663', 'E7C9907', 'object/draft_schematic/clothing/shared_clothing_hat_chef_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1708681155', '65D867C3', 'object/draft_schematic/clothing/shared_clothing_hat_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1205434404', '47D97824', 'object/draft_schematic/clothing/shared_clothing_hat_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2563353264', '98C9AAB0', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138623015', '43DE0227', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735408772', 'A30B0684', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1491611024', '58E82D90', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('300239389', '11E54A1D', 'object/draft_schematic/clothing/shared_clothing_hat_twilek_formal_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567680505', 'D4A67BF9', 'object/draft_schematic/clothing/shared_clothing_ith_apron_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522580360', '965B8588', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('71387794', '4414A92', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3064923659', 'B6AF060B', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840819868', '6DB8AE9C', 'object/draft_schematic/clothing/shared_clothing_ith_backpack_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875287365', 'E6FC3145', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2951829192', 'AFF156C8', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410498012', '54127DDC', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('488577617', '1D1F1A51', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322458822', 'C608B2C6', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399524171', '8F05D54B', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('890239321', '350FF959', 'object/draft_schematic/clothing/shared_clothing_ith_bandolier_field_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('886451738', '34D62E1A', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022437517', 'EFC1868D', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798444800', 'A6CCE100', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563413012', '5D2FCA14', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('337816985', '1422AD99', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251842179', '86386283', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967073564', '753F291C', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('805184354', '2FFE2362', 'object/draft_schematic/clothing/shared_clothing_ith_belt_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('188958849', 'B434881', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1112420108', '424E2F0C', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3115123736', 'B9AD0418', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037043093', 'F0A06395', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('733465346', '2BB7CB02', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1656401039', '62BAAC8F', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3635445917', 'D8B0809D', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445141776', '91BDE710', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022098451', 'B4219013', 'object/draft_schematic/clothing/shared_clothing_ith_belt_formal_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('64848637', '3DD82FD', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445757927', '91C74DE7', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780770547', '6A2466F3', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('589889918', '2329017E', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768102972', 'E098B03C', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1374079687', '51E6CAC7', 'object/draft_schematic/clothing/shared_clothing_ith_bodysuit_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4030817550', 'F041650E', 'object/draft_schematic/clothing/shared_clothing_ith_dress_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('278159789', '109461AD', 'object/draft_schematic/clothing/shared_clothing_ith_dress_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950463673', 'EB774AB9', 'object/draft_schematic/clothing/shared_clothing_ith_dress_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883843054', 'E77EBDEE', 'object/draft_schematic/clothing/shared_clothing_ith_gloves_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597861568', 'D67302C0', 'object/draft_schematic/clothing/shared_clothing_ith_hat_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147784666', '4469CDDA', 'object/draft_schematic/clothing/shared_clothing_ith_hat_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471257791', '57B19CBF', 'object/draft_schematic/clothing/shared_clothing_ith_hat_chef_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359702568', '8CA63428', 'object/draft_schematic/clothing/shared_clothing_ith_hat_chef_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763835769', 'A4BCC979', 'object/draft_schematic/clothing/shared_clothing_ith_hat_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('374506976', '165285E0', 'object/draft_schematic/clothing/shared_clothing_ith_hat_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218278620', '489D74DC', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666328518', 'DA87BBC6', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011403720', 'B37E5FC8', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('158626778', '97473DA', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292371763', '88A2D133', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('978099626', '3A4C9DAA', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('682128055', '28A872B7', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544930723', 'D34B59A3', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095866041', '415196B9', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3902265176', 'E897D758', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056067138', '7A8D1842', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2294084604', '88BCF3FC', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919673209', 'E9A17779', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3009445127', 'B3607D07', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3667499273', 'DA999909', 'object/draft_schematic/clothing/shared_clothing_ith_jacket_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3694343430', 'DC333506', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('119840145', '7249D91', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1311373852', '4E29FA1C', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049967880', 'B5CAD108', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4240946821', 'FCC7B685', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('667950610', '27D01E12', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860008351', '6EDD799F', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570881933', 'D4D7558D', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648322560', '9DDA3200', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383831027', '8E165FF3', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3340449918', 'C71B387E', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('470585577', '1C0C90E9', 'object/draft_schematic/clothing/shared_clothing_ith_jewelry_necklace_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568038916', '5D766004', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2254555283', '8661C893', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480006430', 'CF6CAF1E', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435631759', '5592008F', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('480208642', '1C9F6702', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3183298152', 'BDBD4668', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105183717', 'F4B021E5', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320816119', '4EBA0DF7', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1797683956', '6B267AF4', 'object/draft_schematic/clothing/shared_clothing_ith_pants_casual_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('814575802', '308D70BA', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038437687', '79801737', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727853984', 'A297BFA0', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3952793645', 'EB9AD82D', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571841883', '994B315B', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494270678', 'D04656D6', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1655183951', '62A81A4F', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('62234314', '3B59ECA', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('640281033', '2629E9C9', 'object/draft_schematic/clothing/shared_clothing_ith_pants_field_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794154463', 'A68B69DF', 'object/draft_schematic/clothing/shared_clothing_ith_pants_formal_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4018540114', 'EF860E52', 'object/draft_schematic/clothing/shared_clothing_ith_pants_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256530012', '867FEA5C', 'object/draft_schematic/clothing/shared_clothing_ith_pants_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3469187502', 'CEC799AE', 'object/draft_schematic/clothing/shared_clothing_ith_robe_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('365965625', '15D03139', 'object/draft_schematic/clothing/shared_clothing_ith_robe_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176658641', '462262D1', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560484299', 'D438ADCB', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('802916063', '2FDB86DF', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3183561157', 'BDC149C5', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4107021896', 'F4CC2E48', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321599578', '4EC6025A', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('130770391', '7CB65D7', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2250098494', '861DC73E', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473973427', 'CF10A0B3', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('888376231', '34F38BA7', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365718462', '8D01FFBE', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_field_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067965765', 'B6DD7145', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_field_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('887990632', '34EDA968', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185535754', 'BDDF6B0A', 'object/draft_schematic/clothing/shared_clothing_ith_shirt_formal_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754490583', '689366D7', 'object/draft_schematic/clothing/shared_clothing_ith_skirt_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011825216', 'B384CE40', 'object/draft_schematic/clothing/shared_clothing_ith_skirt_formal_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4203325901', 'FA89A9CD', 'object/draft_schematic/clothing/shared_clothing_ith_skirt_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('454011368', '1B0FA9E8', 'object/draft_schematic/clothing/shared_clothing_ith_vest_field_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2332919576', '8B0D8718', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894689804', '70EEAC0C', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3807666966', 'E2F46316', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418379360', '90258A60', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('583780089', '22CBC6F9', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4191972974', 'F9DC6E6E', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138115196', '43D6427C', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('182134257', 'ADB25F1', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('263442801', 'FB3D171', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256605971', '86811313', 'object/draft_schematic/clothing/shared_clothing_jacket_casual_36.iff');
INSERT INTO `object_crc_string_table` VALUES ('1947369133', '74127EAD', 'object/draft_schematic/clothing/shared_clothing_jacket_field_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('785609939', '2ED374D3', 'object/draft_schematic/clothing/shared_clothing_jacket_field_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123319364', 'F5C4DC44', 'object/draft_schematic/clothing/shared_clothing_jacket_field_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193971933', '472A90DD', 'object/draft_schematic/clothing/shared_clothing_jacket_field_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2621257802', '9C3D384A', 'object/draft_schematic/clothing/shared_clothing_jacket_field_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1866101717', '6F3A73D5', 'object/draft_schematic/clothing/shared_clothing_jacket_field_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1252394198', '4AA604D6', 'object/draft_schematic/clothing/shared_clothing_jacket_field_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903856173', '717A8A2D', 'object/draft_schematic/clothing/shared_clothing_jacket_field_35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809351611', '6BD883BB', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('35743669', '22167B5', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3807003097', 'E2EA41D9', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('344325830', '1485FEC6', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016494034', 'EF66D5D2', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('879852869', '34717D45', 'object/draft_schematic/clothing/shared_clothing_jacket_formal_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('446131726', '1A976E0E', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402603907', '539A0983', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826510999', 'A8792297', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782493466', 'E174451A', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('979627405', '3A63ED8D', 'object/draft_schematic/clothing/shared_clothing_jewelry_bracelet_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061721546', '7AE35FCA', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2717185885', 'A1F4F75D', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3908669648', 'E8F990D0', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('320519108', '131ABBC4', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1511513161', '5A17DC49', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164290782', '810074DE', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3356300115', 'C80D1353', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1913077569', '72073F41', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('990533836', '3B0A58CC', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('684078399', '28C6353F', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1640714930', '61CB52B2', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135044133', 'BADCFA25', 'object/draft_schematic/clothing/shared_clothing_jewelry_necklace_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962417774', 'B092E86E', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803895033', '6B8540F9', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('579348340', '22882774', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647671392', 'D96B0C60', 'object/draft_schematic/clothing/shared_clothing_jewelry_ring_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527386114', 'D23FA402', 'object/draft_schematic/clothing/shared_clothing_pants_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('153619605', '9280C95', 'object/draft_schematic/clothing/shared_clothing_pants_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073400193', 'F2CB2781', 'object/draft_schematic/clothing/shared_clothing_pants_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('702320406', '29DC8F16', 'object/draft_schematic/clothing/shared_clothing_pants_casual_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671835785', 'DADBC489', 'object/draft_schematic/clothing/shared_clothing_pants_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480317188', '93D6A304', 'object/draft_schematic/clothing/shared_clothing_pants_casual_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2149240567', '801ACEF7', 'object/draft_schematic/clothing/shared_clothing_pants_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3373771130', 'C917A97A', 'object/draft_schematic/clothing/shared_clothing_pants_casual_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2079974883', '7BF9E5E3', 'object/draft_schematic/clothing/shared_clothing_pants_casual_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253979633', 'C1F3C9F1', 'object/draft_schematic/clothing/shared_clothing_pants_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375441148', '8D965AFC', 'object/draft_schematic/clothing/shared_clothing_pants_casual_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298508145', 'C49B3D71', 'object/draft_schematic/clothing/shared_clothing_pants_casual_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('529307110', '1F8C95E6', 'object/draft_schematic/clothing/shared_clothing_pants_casual_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383314547', 'C9A94873', 'object/draft_schematic/clothing/shared_clothing_pants_field_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('314499300', '12BEE0E4', 'object/draft_schematic/clothing/shared_clothing_pants_field_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617889682', '606F0992', 'object/draft_schematic/clothing/shared_clothing_pants_field_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3531687179', 'D281450B', 'object/draft_schematic/clothing/shared_clothing_pants_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2516629133', '9600B68D', 'object/draft_schematic/clothing/shared_clothing_pants_field_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1293360666', '4D171E1A', 'object/draft_schematic/clothing/shared_clothing_pants_field_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('619641364', '24EEFA14', 'object/draft_schematic/clothing/shared_clothing_pants_field_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665797126', '9EE4D606', 'object/draft_schematic/clothing/shared_clothing_pants_field_28.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622416779', 'D7E9B18B', 'object/draft_schematic/clothing/shared_clothing_pants_field_29.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290815608', 'C425DC78', 'object/draft_schematic/clothing/shared_clothing_pants_field_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074046798', 'F2D5054E', 'object/draft_schematic/clothing/shared_clothing_pants_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077627351', '403B49D7', 'object/draft_schematic/clothing/shared_clothing_pants_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453314212', '569FD0A4', 'object/draft_schematic/clothing/shared_clothing_pants_formal_31.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374531123', '8D887833', 'object/draft_schematic/clothing/shared_clothing_pants_formal_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('3297058750', 'C4851FBE', 'object/draft_schematic/clothing/shared_clothing_pants_formal_33.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585164335', '5E7BB02F', 'object/draft_schematic/clothing/shared_clothing_pants_formal_38.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290443455', '888564BF', 'object/draft_schematic/clothing/shared_clothing_quest_jacket_rebel_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('224341466', 'D5F2DDA', 'object/draft_schematic/clothing/shared_clothing_quest_robe_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1888189585', '708B7C91', 'object/draft_schematic/clothing/shared_clothing_quest_vest_smuggler_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156696135', 'F7C22647', 'object/draft_schematic/clothing/shared_clothing_robe_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201253834', 'BECF41CA', 'object/draft_schematic/clothing/shared_clothing_robe_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903710802', 'E8ADE652', 'object/draft_schematic/clothing/shared_clothing_robe_casual_05b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381819834', '8DF7AFBA', 'object/draft_schematic/clothing/shared_clothing_robe_casual_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075666882', '401D5FC2', 'object/draft_schematic/clothing/shared_clothing_robe_field_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('937664871', '37E3A167', 'object/draft_schematic/clothing/shared_clothing_robe_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158391432', 'F7DC0488', 'object/draft_schematic/clothing/shared_clothing_robe_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534159309', '5B7169CD', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693939929', 'A09242D9', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2072373838', '7B85EA4E', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527650223', 'D243ABAF', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('698384571', '29A080BB', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2529318953', '96C25829', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305866430', '4DD5F0BE', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904479442', 'AD1ED6D2', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('2380944721', '8DEA5551', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975664084', 'ECF7D1D4', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_38.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128362400', '7EDC3BA0', 'object/draft_schematic/clothing/shared_clothing_shirt_casual_42.iff');
INSERT INTO `object_crc_string_table` VALUES ('356008946', '153843F2', 'object/draft_schematic/clothing/shared_clothing_shirt_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('116665857', '6F42E01', 'object/draft_schematic/clothing/shared_clothing_shirt_field_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('637578626', '2600AD82', 'object/draft_schematic/clothing/shared_clothing_shirt_field_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573366544', '99627510', 'object/draft_schematic/clothing/shared_clothing_shirt_field_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('1078412922', '4047467A', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750574450', '6857A572', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693554198', 'A08C6016', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3917547419', 'E981079B', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534020354', '5B6F4B02', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1577566082', '5E07BF82', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_28.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531031782', '96DC7AE6', 'object/draft_schematic/clothing/shared_clothing_shirt_formal_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153745366', '44C4C1D6', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('231319131', 'DC9A65B', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('758982104', '2D3D25D8', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2536966602', '973709CA', 'object/draft_schematic/clothing/shared_clothing_shoes_casual_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('906693231', '360B0A6F', 'object/draft_schematic/clothing/shared_clothing_shoes_formal_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2011303273', '77E20D69', 'object/draft_schematic/clothing/shared_clothing_shoes_formal_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692564197', 'DC180EE5', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('670770673', '27FB25F1', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861632636', '6EF6427C', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('472361738', '1C27AB0A', 'object/draft_schematic/clothing/shared_clothing_skirt_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('473532869', '1C3989C5', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429532232', '5534EE48', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788402647', 'A633A5D7', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4243763113', 'FCF2AFA9', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('669321022', '27E5073E', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860722867', '6EE860B3', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500545447', '950B4BA7', 'object/draft_schematic/clothing/shared_clothing_skirt_formal_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3798683604', 'E26B4FD4', 'object/draft_schematic/clothing/shared_clothing_vest_casual_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('964486979', '397CE743', 'object/draft_schematic/clothing/shared_clothing_vest_casual_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1886486734', '707180CE', 'object/draft_schematic/clothing/shared_clothing_vest_casual_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341645274', '8B92ABDA', 'object/draft_schematic/clothing/shared_clothing_vest_casual_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265252439', 'C29FCC57', 'object/draft_schematic/clothing/shared_clothing_vest_casual_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957911329', 'B04E2521', 'object/draft_schematic/clothing/shared_clothing_vest_casual_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181934764', 'F94342AC', 'object/draft_schematic/clothing/shared_clothing_vest_casual_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370249556', '51AC5954', 'object/draft_schematic/clothing/shared_clothing_vest_field_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953554758', 'EBA67546', 'object/draft_schematic/clothing/shared_clothing_vest_field_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('489581843', '1D2E6D13', 'object/draft_schematic/clothing/shared_clothing_vest_field_hutt_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3325674884', 'C639C584', 'object/draft_schematic/clothing/shared_clothing_vest_field_hutt_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402591241', '8F34A209', 'object/draft_schematic/clothing/shared_clothing_vest_field_hutt_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1886364161', '706FA201', 'object/draft_schematic/clothing/shared_clothing_vest_formal_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557216934', 'D406D2A6', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('252803633', 'F117A31', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176247740', '461C1DBC', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187619496', 'BDFF36A8', 'object/draft_schematic/clothing/shared_clothing_wke_gloves_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1693934374', '64F76326', 'object/draft_schematic/clothing/shared_clothing_wke_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381032072', 'C9867488', 'object/draft_schematic/clothing/shared_clothing_wke_hood_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('311548959', '1291DC1F', 'object/draft_schematic/clothing/shared_clothing_wke_hood_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1536998290', '5B9CBB92', 'object/draft_schematic/clothing/shared_clothing_wke_hood_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901194065', 'E8877F51', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('865130438', '3390D7C6', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057154635', '7A9DB04B', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2172558175', '817E9B5F', 'object/draft_schematic/clothing/shared_clothing_wke_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660876305', '62FEF611', 'object/draft_schematic/clothing/shared_clothing_wke_shoulder_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119079046', 'B9E95E86', 'object/draft_schematic/clothing/shared_clothing_wke_shoulder_pad_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768343131', 'E09C5A5B', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('999027404', '3B8BF2CC', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921422657', '72869541', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305146453', '8965BE55', 'object/draft_schematic/clothing/shared_clothing_wke_skirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4055607250', 'F1BBA7D2', 'object/draft_schematic/community_crafting/component/shared_connections.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475941003', '9393DC8B', 'object/draft_schematic/community_crafting/component/shared_endrost.iff');
INSERT INTO `object_crc_string_table` VALUES ('2447534688', '91E26A60', 'object/draft_schematic/community_crafting/component/shared_lightweight_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('3176161507', 'BD5060E3', 'object/draft_schematic/community_crafting/component/shared_lightweight_turret_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801620264', 'E2981F28', 'object/draft_schematic/community_crafting/component/shared_lightweight_turret_hardware.iff');
INSERT INTO `object_crc_string_table` VALUES ('4259828056', 'FDE7D158', 'object/draft_schematic/community_crafting/component/shared_power_supply.iff');
INSERT INTO `object_crc_string_table` VALUES ('165554499', '9DE2943', 'object/draft_schematic/community_crafting/component/shared_primary_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988740242', '7689C492', 'object/draft_schematic/community_crafting/component/shared_refined_ardanium_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('3315144456', 'C5991708', 'object/draft_schematic/community_crafting/component/shared_refined_endrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152625889', '44B3ACE1', 'object/draft_schematic/community_crafting/component/shared_refined_rudic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007982575', 'B34A2BEF', 'object/draft_schematic/community_crafting/component/shared_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('426210556', '196774FC', 'object/draft_schematic/community_crafting/component/shared_reinforced_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054564743', 'F1ABBF87', 'object/draft_schematic/community_crafting/component/shared_shield_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('866494494', '33A5A81E', 'object/draft_schematic/community_crafting/component/shared_unit_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199067220', 'BEADE454', 'object/draft_schematic/community_crafting/shared_base_community_crafting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022784928', '78913FA0', 'object/draft_schematic/community_crafting/shared_village_defenses.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318897333', '8A3790B5', 'object/draft_schematic/community_crafting/shared_village_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707409451', 'DCFA942B', 'object/draft_schematic/droid/component/shared_advanced_droid_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('495603709', '1D8A4FFD', 'object/draft_schematic/droid/component/shared_armor_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332237162', 'C69DE76A', 'object/draft_schematic/droid/component/shared_armor_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2408612071', '8F9080E7', 'object/draft_schematic/droid/component/shared_armor_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953737715', '7473ABF3', 'object/draft_schematic/droid/component/shared_armor_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031720062', '3D7ECC7E', 'object/draft_schematic/droid/component/shared_armor_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865666793', 'E66964E9', 'object/draft_schematic/droid/component/shared_armor_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137122581', 'F6977B15', 'object/draft_schematic/droid/component/shared_auto_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093618278', 'B864DE66', 'object/draft_schematic/droid/component/shared_capacitor_high_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802575426', 'A70BE842', 'object/draft_schematic/droid/component/shared_capacitor_low_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1917062474', '72440D4A', 'object/draft_schematic/droid/component/shared_chassis_droid_3p0.iff');
INSERT INTO `object_crc_string_table` VALUES ('627202236', '256258BC', 'object/draft_schematic/droid/component/shared_chassis_droid_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454279073', '56AE89A1', 'object/draft_schematic/droid/component/shared_chassis_droid_le_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('826632567', '31456977', 'object/draft_schematic/droid/component/shared_chassis_droid_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430274925', '90DB0D6D', 'object/draft_schematic/droid/component/shared_chassis_droid_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3654707936', 'D9D66AE0', 'object/draft_schematic/droid/component/shared_chassis_droid_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('573915636', '223541F4', 'object/draft_schematic/droid/component/shared_chassis_droid_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708426767', 'DD0A1A0F', 'object/draft_schematic/droid/component/shared_chassis_droid_surgical.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062424977', '3F535191', 'object/draft_schematic/droid/component/shared_combat_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4091831192', 'F3E46398', 'object/draft_schematic/droid/component/shared_combat_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903465021', 'E8AA263D', 'object/draft_schematic/droid/component/shared_crafting_module_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2020344340', '786C0214', 'object/draft_schematic/droid/component/shared_crafting_module_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('2988881404', 'B226B5FC', 'object/draft_schematic/droid/component/shared_crafting_module_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342793735', '50096807', 'object/draft_schematic/droid/component/shared_crafting_module_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('2836886900', 'A9177574', 'object/draft_schematic/droid/component/shared_crafting_module_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095575463', 'B882BBA7', 'object/draft_schematic/droid/component/shared_data_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1670714160', '63951330', 'object/draft_schematic/droid/component/shared_data_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('714634429', '2A9874BD', 'object/draft_schematic/droid/component/shared_data_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3514523561', 'D17B5FA9', 'object/draft_schematic/droid/component/shared_data_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557884452', '98763824', 'object/draft_schematic/droid/component/shared_data_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130467507', '436190B3', 'object/draft_schematic/droid/component/shared_data_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1401526520', '538998F8', 'object/draft_schematic/droid/component/shared_detonation_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658743175', '62DE6987', 'object/draft_schematic/droid/component/shared_diagnostic_circuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931179205', 'AEB63EC5', 'object/draft_schematic/droid/component/shared_diagnostic_circuit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('350351326', '14E1EFDE', 'object/draft_schematic/droid/component/shared_droid_brain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1277338736', '4C22A470', 'object/draft_schematic/droid/component/shared_droid_brain_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276486956', '4C15A52C', 'object/draft_schematic/droid/component/shared_droid_motive_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037562', '3D9BBA', 'object/draft_schematic/droid/component/shared_droid_motive_system_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4097812653', 'F43FA8AD', 'object/draft_schematic/droid/component/shared_droid_space_memory_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('14675959', 'DFEFF7', 'object/draft_schematic/droid/component/shared_droid_storage_compartment.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297099612', '4D502B5C', 'object/draft_schematic/droid/component/shared_harvest_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860278231', '6EE197D7', 'object/draft_schematic/droid/component/shared_item_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052814144', 'B5F63F40', 'object/draft_schematic/droid/component/shared_item_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244330701', 'FCFB58CD', 'object/draft_schematic/droid/component/shared_item_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('119043033', '71873D9', 'object/draft_schematic/droid/component/shared_item_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1310004308', '4E151454', 'object/draft_schematic/droid/component/shared_item_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499984579', '9502BCC3', 'object/draft_schematic/droid/component/shared_item_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607709946', '5FD3B4FA', 'object/draft_schematic/droid/component/shared_manipulator_arm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596785845', 'D66298B5', 'object/draft_schematic/droid/component/shared_manipulator_arm_package_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910848469', 'AD8005D5', 'object/draft_schematic/droid/component/shared_medic_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1989651778', '7697AD42', 'object/draft_schematic/droid/component/shared_medic_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067109071', '3F9ACACF', 'object/draft_schematic/droid/component/shared_medic_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296322011', 'C479E1DB', 'object/draft_schematic/droid/component/shared_medic_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373224022', '8D748656', 'object/draft_schematic/droid/component/shared_medic_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449340609', '56632EC1', 'object/draft_schematic/droid/component/shared_medic_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832999494', 'A8DC2446', 'object/draft_schematic/droid/component/shared_merchant_barker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910297856', 'AD779F00', 'object/draft_schematic/droid/component/shared_module_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('336724066', '14120062', 'object/draft_schematic/droid/component/shared_performer_effects_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('811492893', '305E661D', 'object/draft_schematic/droid/component/shared_performer_effects_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473254645', 'CF05A8F5', 'object/draft_schematic/droid/component/shared_performer_effects_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248724344', '8608CF78', 'object/draft_schematic/droid/component/shared_performer_effects_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112611436', '7DEBE46C', 'object/draft_schematic/droid/component/shared_performer_effects_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('887522273', '34E683E1', 'object/draft_schematic/droid/component/shared_performer_effects_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499447339', '595FC02B', 'object/draft_schematic/droid/component/shared_personality_module_geek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1777589517', '69F3DD0D', 'object/draft_schematic/droid/component/shared_personality_module_prissy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313369621', '89E33815', 'object/draft_schematic/droid/component/shared_personality_module_sarcastic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3590751523', 'D6068523', 'object/draft_schematic/droid/component/shared_personality_module_slang.iff');
INSERT INTO `object_crc_string_table` VALUES ('4185529459', 'F97A1C73', 'object/draft_schematic/droid/component/shared_personality_module_stupid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2575103077', '997CF465', 'object/draft_schematic/droid/component/shared_personality_module_worshipful.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135218997', 'BADFA535', 'object/draft_schematic/droid/component/shared_playback_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746549117', 'DF4FCD7D', 'object/draft_schematic/droid/component/shared_power_supply_redundant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927866988', 'EA1E7E6C', 'object/draft_schematic/droid/component/shared_power_supply_redundant_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133747824', '43939E70', 'object/draft_schematic/droid/component/shared_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2600714842', '9B03C25A', 'object/draft_schematic/droid/component/shared_repair_unit_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4238826541', 'FCA75C2D', 'object/draft_schematic/droid/component/shared_repair_unit_casing_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095289017', 'F41926B9', 'object/draft_schematic/droid/component/shared_sensor_package_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649448310', '9DEB5F76', 'object/draft_schematic/droid/component/shared_stimpack_dispensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214412986', 'BF980CBA', 'object/draft_schematic/droid/component/shared_struct_maint_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1687135277', '648FA42D', 'object/draft_schematic/droid/component/shared_struct_maint_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('763544480', '2D82C3A0', 'object/draft_schematic/droid/component/shared_struct_maint_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('574411331', '223CD243', 'object/draft_schematic/droid/component/shared_trap_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662626430', 'DA4F3E7E', 'object/draft_schematic/droid/component/shared_unit_delivery_cartridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067143839', 'B6D0E69F', 'object/draft_schematic/droid/component/shared_unit_delivery_cartridge_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941968174', '73C0152E', 'object/draft_schematic/droid/shared_bounty_probot_transmitter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758845308', 'A470A37C', 'object/draft_schematic/droid/shared_bounty_seeker_transmitter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1389615347', '52D3D8F3', 'object/draft_schematic/droid/shared_droid_3p0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306893282', '4DE59BE2', 'object/draft_schematic/droid/shared_droid_3p0_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286041096', 'FF77CC08', 'object/draft_schematic/droid/shared_droid_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404292567', 'CAE961D7', 'object/draft_schematic/droid/shared_droid_binary_load_lifter_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2443661159', '91A74F67', 'object/draft_schematic/droid/shared_droid_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2525304754', '968517B2', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1301462821', '4D92BF25', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('77584552', '49FD8A8', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286378940', 'FF7CF3BC', 'object/draft_schematic/droid/shared_droid_damage_repair_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('708846051', '2A4021E3', 'object/draft_schematic/droid/shared_droid_dz70.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942797773', 'AF6787CD', 'object/draft_schematic/droid/shared_droid_dz70_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('5645596', '56251C', 'object/draft_schematic/droid/shared_droid_interplanetary_survey.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934220330', 'AEE4A62A', 'object/draft_schematic/droid/shared_droid_le_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2527796117', '96AB1B95', 'object/draft_schematic/droid/shared_droid_le_repair_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('901463605', '35BB3E35', 'object/draft_schematic/droid/shared_droid_mse.iff');
INSERT INTO `object_crc_string_table` VALUES ('118884910', '7160A2E', 'object/draft_schematic/droid/shared_droid_mse_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('385422826', '16F915EA', 'object/draft_schematic/droid/shared_droid_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('495736923', '1D8C585B', 'object/draft_schematic/droid/shared_droid_power_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('270329060', '101CE4E4', 'object/draft_schematic/droid/shared_droid_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398676938', 'CA93B1CA', 'object/draft_schematic/droid/shared_droid_probot_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('823031027', '310E74F3', 'object/draft_schematic/droid/shared_droid_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('783926207', '2EB9C3BF', 'object/draft_schematic/droid/shared_droid_r2_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013467518', '7803137E', 'object/draft_schematic/droid/shared_droid_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766722942', '694E0D7E', 'object/draft_schematic/droid/shared_droid_r3_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212509802', '83E0386A', 'object/draft_schematic/droid/shared_droid_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125311630', 'BA48788E', 'object/draft_schematic/droid/shared_droid_r4_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404554215', 'CAED5FE7', 'object/draft_schematic/droid/shared_droid_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257199695', 'FDBFB64F', 'object/draft_schematic/droid/shared_droid_r5_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('670345241', '27F4A819', 'object/draft_schematic/droid/shared_droid_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4242735246', 'FCE3008E', 'object/draft_schematic/droid/shared_droid_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052300035', 'B5EE6703', 'object/draft_schematic/droid/shared_droid_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309494295', '4E0D4C17', 'object/draft_schematic/droid/shared_droid_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4168988413', 'F87DB6FD', 'object/draft_schematic/droid/shared_droid_surgical.iff');
INSERT INTO `object_crc_string_table` VALUES ('4113263864', 'F52B6CF8', 'object/draft_schematic/droid/shared_droid_surgical_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('201412072', 'C014DE8', 'object/draft_schematic/droid/shared_droid_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172777822', 'BD1CBF5E', 'object/draft_schematic/droid/shared_droid_treadwell_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984466830', 'B1E3598E', 'object/draft_schematic/droid/shared_droid_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794437401', '6AF4F119', 'object/draft_schematic/droid/shared_droid_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('603559572', '23F99694', 'object/draft_schematic/droid/shared_droid_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('376516854', '167130F6', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446052961', 'CD669861', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221670380', '846BFFEC', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139673848', '7F88D4F8', 'object/draft_schematic/droid/shared_droid_wound_repair_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('783582353', '2EB48491', 'object/draft_schematic/droid/shared_navicomputer_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4121111558', 'F5A32C06', 'object/draft_schematic/droid/shared_navicomputer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165539211', 'BCAE4B8B', 'object/draft_schematic/droid/shared_navicomputer_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1196253343', '474D609F', 'object/draft_schematic/droid/shared_navicomputer_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('239077138', 'E400712', 'object/draft_schematic/droid/shared_navicomputer_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3579293573', 'D557AF85', 'object/draft_schematic/droid/shared_navicomputer_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572109934', 'D4EA126E', 'object/draft_schematic/food/additive/shared_additive_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('363998896', '15B22EB0', 'object/draft_schematic/food/additive/shared_additive_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258764043', '86A2010B', 'object/draft_schematic/food/additive/shared_additive_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809601710', '6BDC54AE', 'object/draft_schematic/food/component/shared_container_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2983185528', 'B1CFCC78', 'object/draft_schematic/food/component/shared_container_cask.iff');
INSERT INTO `object_crc_string_table` VALUES ('3740654207', 'DEF5DA7F', 'object/draft_schematic/food/component/shared_container_large_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819609352', '6C750908', 'object/draft_schematic/food/component/shared_container_small_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('797799084', '2F8D72AC', 'object/draft_schematic/food/component/shared_ingredient_ball_of_dough.iff');
INSERT INTO `object_crc_string_table` VALUES ('752274773', '2CD6CD55', 'object/draft_schematic/food/component/shared_ingredient_carbosyrup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534105211', 'D2A62A7B', 'object/draft_schematic/food/shared_base_food_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1232265308', '4972E05C', 'object/draft_schematic/food/shared_dessert_air_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643860574', '61FB525E', 'object/draft_schematic/food/shared_dessert_almond_kwevvu_crisp_munchies.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534089256', '5B705828', 'object/draft_schematic/food/shared_dessert_bantha_butter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877457110', 'AB8282D6', 'object/draft_schematic/food/shared_dessert_blap_biscuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218540665', 'FB71D279', 'object/draft_schematic/food/shared_dessert_blob_candy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207249955', '838FF623', 'object/draft_schematic/food/shared_dessert_bofa_treat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781117254', 'E15F4546', 'object/draft_schematic/food/shared_dessert_cavaellin_creams.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230715855', '84F605CF', 'object/draft_schematic/food/shared_dessert_chandad.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694757424', '6503F230', 'object/draft_schematic/food/shared_dessert_citros_snow_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175174885', 'F8DC1CE5', 'object/draft_schematic/food/shared_dessert_corellian_fried_icecream.iff');
INSERT INTO `object_crc_string_table` VALUES ('3417631805', 'CBB4EC3D', 'object/draft_schematic/food/shared_dessert_deneelian_fizz_pudding.iff');
INSERT INTO `object_crc_string_table` VALUES ('891262167', '351F94D7', 'object/draft_schematic/food/shared_dessert_dweezel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718719593', 'A20C5E69', 'object/draft_schematic/food/shared_dessert_felbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027079478', 'F0085B36', 'object/draft_schematic/food/shared_dessert_glazed_glucose_pate.iff');
INSERT INTO `object_crc_string_table` VALUES ('613121721', '248B7EB9', 'object/draft_schematic/food/shared_dessert_gorrnar.iff');
INSERT INTO `object_crc_string_table` VALUES ('147823633', '8CF9C11', 'object/draft_schematic/food/shared_dessert_kiwik_clusjo_swirl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469520119', '9331E2F7', 'object/draft_schematic/food/shared_dessert_nanana_twist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783790420', 'E1880F54', 'object/draft_schematic/food/shared_dessert_para_roll.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390404412', '52DFE33C', 'object/draft_schematic/food/shared_dessert_parwan_nutricake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1271872434', '4BCF3BB2', 'object/draft_schematic/food/shared_dessert_pastebread.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617520830', 'D79EFCBE', 'object/draft_schematic/food/shared_dessert_pikatta_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('223277237', 'D4EF0B5', 'object/draft_schematic/food/shared_dessert_pkneb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3689968253', 'DBF0727D', 'object/draft_schematic/food/shared_dessert_puffcake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3212906328', 'BF810F58', 'object/draft_schematic/food/shared_dessert_pyollian_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448198568', 'CD8755A8', 'object/draft_schematic/food/shared_dessert_ryshcate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092844576', '7CBE4620', 'object/draft_schematic/food/shared_dessert_smugglers_delight.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003562934', 'EEA185B6', 'object/draft_schematic/food/shared_dessert_sweesonberry_rolls.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267367960', 'C2C01418', 'object/draft_schematic/food/shared_dessert_sweet_cake_mix.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016541288', '3C973068', 'object/draft_schematic/food/shared_dessert_tranna_nougat_cream.iff');
INSERT INTO `object_crc_string_table` VALUES ('3895744001', 'E8345601', 'object/draft_schematic/food/shared_dessert_vagnerian_canape.iff');
INSERT INTO `object_crc_string_table` VALUES ('1242276912', '4A0BA430', 'object/draft_schematic/food/shared_dessert_wedding_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560062309', 'D4323D65', 'object/draft_schematic/food/shared_dessert_won_won.iff');
INSERT INTO `object_crc_string_table` VALUES ('2183154251', '82204A4B', 'object/draft_schematic/food/shared_dish_ahrisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290158899', 'C41BD733', 'object/draft_schematic/food/shared_dish_bivoli_tempari.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109116374', '421BC5D6', 'object/draft_schematic/food/shared_dish_blood_chowder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734261289', 'A2F98429', 'object/draft_schematic/food/shared_dish_braised_canron.iff');
INSERT INTO `object_crc_string_table` VALUES ('1659210847', '62E58C5F', 'object/draft_schematic/food/shared_dish_cho_nor_hoola.iff');
INSERT INTO `object_crc_string_table` VALUES ('654822514', '2707CC72', 'object/draft_schematic/food/shared_dish_crispic.iff');
INSERT INTO `object_crc_string_table` VALUES ('451779682', '1AED9C62', 'object/draft_schematic/food/shared_dish_dustcrepe.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045225099', 'F11D3C8B', 'object/draft_schematic/food/shared_dish_exo_protein_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266076523', '8711956B', 'object/draft_schematic/food/shared_dish_fire_stew.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099048355', 'B8B7B9A3', 'object/draft_schematic/food/shared_dish_fried_endwa.iff');
INSERT INTO `object_crc_string_table` VALUES ('767510337', '2DBF4741', 'object/draft_schematic/food/shared_dish_gruuvan_shaal.iff');
INSERT INTO `object_crc_string_table` VALUES ('811374233', '305C9699', 'object/draft_schematic/food/shared_dish_havla.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008463907', '77B6BA23', 'object/draft_schematic/food/shared_dish_kanali_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('627565504', '2567E3C0', 'object/draft_schematic/food/shared_dish_karkan_ribenes.iff');
INSERT INTO `object_crc_string_table` VALUES ('2726957459', 'A28A1193', 'object/draft_schematic/food/shared_dish_meatlump.iff');
INSERT INTO `object_crc_string_table` VALUES ('2829323424', 'A8A40CA0', 'object/draft_schematic/food/shared_dish_ormachek.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914707129', 'ADBAE6B9', 'object/draft_schematic/food/shared_dish_patot_panak.iff');
INSERT INTO `object_crc_string_table` VALUES ('4162901350', 'F820D566', 'object/draft_schematic/food/shared_dish_protato.iff');
INSERT INTO `object_crc_string_table` VALUES ('497945491', '1DAE0B93', 'object/draft_schematic/food/shared_dish_puk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517322434', '5A7080C2', 'object/draft_schematic/food/shared_dish_rakririan_burnout_sauce.iff');
INSERT INTO `object_crc_string_table` VALUES ('765738435', '2DA43DC3', 'object/draft_schematic/food/shared_dish_ramorrean_capanata.iff');
INSERT INTO `object_crc_string_table` VALUES ('103531831', '62BC537', 'object/draft_schematic/food/shared_dish_rations.iff');
INSERT INTO `object_crc_string_table` VALUES ('613957967', '2498414F', 'object/draft_schematic/food/shared_dish_scrimpi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964935706', '751E8A1A', 'object/draft_schematic/food/shared_dish_soypro.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781922189', 'E16B8D8D', 'object/draft_schematic/food/shared_dish_stewed_gwouch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494447818', '591376CA', 'object/draft_schematic/food/shared_dish_synthsteak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3118947489', 'B9E75CA1', 'object/draft_schematic/food/shared_dish_teltier_noodles.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124204125', '7E9CC85D', 'object/draft_schematic/food/shared_dish_terratta.iff');
INSERT INTO `object_crc_string_table` VALUES ('3315393340', 'C59CE33C', 'object/draft_schematic/food/shared_dish_thakitillo.iff');
INSERT INTO `object_crc_string_table` VALUES ('854764144', '32F2AA70', 'object/draft_schematic/food/shared_dish_travel_biscuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('2878426134', 'AB914C16', 'object/draft_schematic/food/shared_dish_trimpian.iff');
INSERT INTO `object_crc_string_table` VALUES ('810320403', '304C8213', 'object/draft_schematic/food/shared_dish_vegeparsine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653623915', '62904C6B', 'object/draft_schematic/food/shared_dish_veghash.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313024144', 'C578BC90', 'object/draft_schematic/food/shared_dish_vercupti_of_agazza_boleruuee.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843611804', '6DE3489C', 'object/draft_schematic/food/shared_dish_wastril_bread.iff');
INSERT INTO `object_crc_string_table` VALUES ('117295245', '6FDC88D', 'object/draft_schematic/food/shared_dish_xermaauc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962432093', 'B093205D', 'object/draft_schematic/food/shared_drink_accarragm.iff');
INSERT INTO `object_crc_string_table` VALUES ('276726581', '107E8335', 'object/draft_schematic/food/shared_drink_aitha.iff');
INSERT INTO `object_crc_string_table` VALUES ('4248532865', 'FD3B7781', 'object/draft_schematic/food/shared_drink_alcohol.iff');
INSERT INTO `object_crc_string_table` VALUES ('732438292', '2BA81F14', 'object/draft_schematic/food/shared_drink_aludium_pu36.iff');
INSERT INTO `object_crc_string_table` VALUES ('1973756725', '75A52335', 'object/draft_schematic/food/shared_drink_angerian_fishak_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('3876777294', 'E712ED4E', 'object/draft_schematic/food/shared_drink_antakarian_fire_dancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('13350537', 'CBB689', 'object/draft_schematic/food/shared_drink_bantha_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1871364813', '6F8AC2CD', 'object/draft_schematic/food/shared_drink_bespin_port.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399918537', '53710FC9', 'object/draft_schematic/food/shared_drink_blue_milk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267245284', 'FE58FEE4', 'object/draft_schematic/food/shared_drink_breath_of_heaven.iff');
INSERT INTO `object_crc_string_table` VALUES ('3676820545', 'DB27D441', 'object/draft_schematic/food/shared_drink_caf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023703123', '789F4253', 'object/draft_schematic/food/shared_drink_charde.iff');
INSERT INTO `object_crc_string_table` VALUES ('760961429', '2D5B5995', 'object/draft_schematic/food/shared_drink_corellian_ale.iff');
INSERT INTO `object_crc_string_table` VALUES ('452526783', '1AF902BF', 'object/draft_schematic/food/shared_drink_corellian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3280328510', 'C385D73E', 'object/draft_schematic/food/shared_drink_cortyg.iff');
INSERT INTO `object_crc_string_table` VALUES ('803945736', '2FEB3D08', 'object/draft_schematic/food/shared_drink_deuterium_pyro.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003536549', '3BD0C0A5', 'object/draft_schematic/food/shared_drink_double_dip_outer_rim_rumdrop.iff');
INSERT INTO `object_crc_string_table` VALUES ('982697559', '3A92C657', 'object/draft_schematic/food/shared_drink_durindfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('1393778960', '53136110', 'object/draft_schematic/food/shared_drink_elshandruu_pica_thundercloud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2009122717', '77C0C79D', 'object/draft_schematic/food/shared_drink_flameout.iff');
INSERT INTO `object_crc_string_table` VALUES ('231956831', 'DD3615F', 'object/draft_schematic/food/shared_drink_garrmorl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147287850', '4462392A', 'object/draft_schematic/food/shared_drink_gralinyn_juice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3333710935', 'C6B46457', 'object/draft_schematic/food/shared_drink_ice_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653880997', '9E2F02A5', 'object/draft_schematic/food/shared_drink_ithorian_mist.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135578942', 'F67FED3E', 'object/draft_schematic/food/shared_drink_jaar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2181376134', '82052886', 'object/draft_schematic/food/shared_drink_jawa_beer.iff');
INSERT INTO `object_crc_string_table` VALUES ('472363791', '1C27B30F', 'object/draft_schematic/food/shared_drink_kylessian_fruit_distillate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504650869', '9549F075', 'object/draft_schematic/food/shared_drink_mandalorian_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465295596', '5756A2EC', 'object/draft_schematic/food/shared_drink_ruby_bliel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072768290', '3FF12522', 'object/draft_schematic/food/shared_drink_skannbult_likker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970945815', '757A3F17', 'object/draft_schematic/food/shared_drink_spiced_tea.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111876122', 'B97B761A', 'object/draft_schematic/food/shared_drink_starshine_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('1582183508', '5E4E3454', 'object/draft_schematic/food/shared_drink_sullustan_gin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040174805', 'B53562D5', 'object/draft_schematic/food/shared_drink_tatooine_sunburn.iff');
INSERT INTO `object_crc_string_table` VALUES ('727640070', '2B5EE806', 'object/draft_schematic/food/shared_drink_tilla_tiil.iff');
INSERT INTO `object_crc_string_table` VALUES ('568876713', '21E85EA9', 'object/draft_schematic/food/shared_drink_tssolok.iff');
INSERT INTO `object_crc_string_table` VALUES ('483425020', '1CD07AFC', 'object/draft_schematic/food/shared_drink_vasarian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('823533577', '31162009', 'object/draft_schematic/food/shared_drink_vayerbok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150731917', 'BBCC5A8D', 'object/draft_schematic/food/shared_drink_veronian_berry_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554417607', 'D3DC1BC7', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_blueleaf_temple.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868739773', 'E69848BD', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_blumbush.iff');
INSERT INTO `object_crc_string_table` VALUES ('3812766941', 'E34234DD', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_boffa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798774405', 'A6D1E885', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_golden_flower_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110144530', '7DC64012', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_golden_flower_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('885729183', '34CB279F', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_golden_flower_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1534476352', '5B764040', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3028784545', 'B48795A1', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_krayt_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610627862', '60003B16', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3967202686', 'EC76B57E', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_mattberry.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453343183', 'CDD5D5CF', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_moncal_eye_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('381844824', '16C27D58', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_moncal_eye_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('33582333', '2006CFD', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_rainbow_berry_bush.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011444247', 'B37EFE17', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_raventhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('653658046', '26F607BE', 'object/draft_schematic/furniture/bestine/shared_painting_bestine_ronka.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279874804', '4C4956F4', 'object/draft_schematic/furniture/city/shared_furniture_fountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671586006', '9F3D2AD6', 'object/draft_schematic/furniture/city/shared_furniture_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457349982', '56DD655E', 'object/draft_schematic/furniture/city/shared_furniture_streetlamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('503234127', '1DFEBE4F', 'object/draft_schematic/furniture/shared_furniture_armoire_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043086902', 'F0FC9C36', 'object/draft_schematic/furniture/shared_furniture_armoire_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3731755770', 'DE6E12FA', 'object/draft_schematic/furniture/shared_furniture_armoire_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186069946', 'F9825BBA', 'object/draft_schematic/furniture/shared_furniture_assorted_fruit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153194', '20DAEA', 'object/draft_schematic/furniture/shared_furniture_bacta_tank_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897060991', '7112DA7F', 'object/draft_schematic/furniture/shared_furniture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001218854', '77482D26', 'object/draft_schematic/furniture/shared_furniture_basket_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('533283202', '1FC94182', 'object/draft_schematic/furniture/shared_furniture_bed_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('735237547', '2BD2D5AB', 'object/draft_schematic/furniture/shared_furniture_bed_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537699992', '97423A98', 'object/draft_schematic/furniture/shared_furniture_bench_park.iff');
INSERT INTO `object_crc_string_table` VALUES ('12431605', 'BDB0F5', 'object/draft_schematic/furniture/shared_furniture_bookcase_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400004268', 'CAA7F2AC', 'object/draft_schematic/furniture/shared_furniture_bookcase_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770479961', 'E0BCF559', 'object/draft_schematic/furniture/shared_furniture_bookcase_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('461981833', '1B894889', 'object/draft_schematic/furniture/shared_furniture_bottle_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125427623', '4314A9A7', 'object/draft_schematic/furniture/shared_furniture_bottle_pear.iff');
INSERT INTO `object_crc_string_table` VALUES ('3469962240', 'CED36C00', 'object/draft_schematic/furniture/shared_furniture_bottle_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212832359', '83E52467', 'object/draft_schematic/furniture/shared_furniture_bowl_carved.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322611379', 'C60B06B3', 'object/draft_schematic/furniture/shared_furniture_bowl_plain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1963156114', '75036292', 'object/draft_schematic/furniture/shared_furniture_bubble_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423921648', '907A1BF0', 'object/draft_schematic/furniture/shared_furniture_cabinet_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721082397', '6695A21D', 'object/draft_schematic/furniture/shared_furniture_cabinet_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247286204', 'C18DA7BC', 'object/draft_schematic/furniture/shared_furniture_campfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751547432', '68667E28', 'object/draft_schematic/furniture/shared_furniture_candle_free_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223250294', '84841B76', 'object/draft_schematic/furniture/shared_furniture_candle_free_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133739820', 'BAC9132C', 'object/draft_schematic/furniture/shared_furniture_candle_table_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1445688946', '562B7672', 'object/draft_schematic/furniture/shared_furniture_candle_table_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('227191480', 'D8AAAB8', 'object/draft_schematic/furniture/shared_furniture_candle_table_s03_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513782024', '95D54508', 'object/draft_schematic/furniture/shared_furniture_chair_cafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('910119282', '363F5172', 'object/draft_schematic/furniture/shared_furniture_chair_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1652364514', '627D14E2', 'object/draft_schematic/furniture/shared_furniture_chair_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835590680', 'A903AE18', 'object/draft_schematic/furniture/shared_furniture_chair_divan.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063077968', 'F22DA650', 'object/draft_schematic/furniture/shared_furniture_chair_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204774907', '47CF67FB', 'object/draft_schematic/furniture/shared_furniture_chair_futon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923662897', 'AE438E31', 'object/draft_schematic/furniture/shared_furniture_chair_kitchen.iff');
INSERT INTO `object_crc_string_table` VALUES ('567802060', '21D7F8CC', 'object/draft_schematic/furniture/shared_furniture_chair_love_seat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169224090', 'BCE6859A', 'object/draft_schematic/furniture/shared_furniture_chair_loveseat_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506865564', 'D106859C', 'object/draft_schematic/furniture/shared_furniture_chair_loveseat_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('867929155', '33BB8C43', 'object/draft_schematic/furniture/shared_furniture_chair_loveseat_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732226002', '673FABD2', 'object/draft_schematic/furniture/shared_furniture_chair_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4056307587', 'F1C65783', 'object/draft_schematic/furniture/shared_furniture_chair_metal_wheeled.iff');
INSERT INTO `object_crc_string_table` VALUES ('2235506592', '853F1FA0', 'object/draft_schematic/furniture/shared_furniture_chair_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1388339274', '52C0604A', 'object/draft_schematic/furniture/shared_furniture_chair_ottoman.iff');
INSERT INTO `object_crc_string_table` VALUES ('561313142', '2174F576', 'object/draft_schematic/furniture/shared_furniture_chair_recliner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144483446', '7FD23876', 'object/draft_schematic/furniture/shared_furniture_chair_tatooine_cafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440141471', 'CD0C649F', 'object/draft_schematic/furniture/shared_furniture_chair_upholstered.iff');
INSERT INTO `object_crc_string_table` VALUES ('956097755', '38FCE4DB', 'object/draft_schematic/furniture/shared_furniture_chair_wooden.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666704761', '9EF2AF79', 'object/draft_schematic/furniture/shared_furniture_chest_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('614563865', '24A18019', 'object/draft_schematic/furniture/shared_furniture_chest_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3056657101', 'B630E2CD', 'object/draft_schematic/furniture/shared_furniture_chest_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937549491', 'AF1772B3', 'object/draft_schematic/furniture/shared_furniture_command_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733441831', 'DE87CD27', 'object/draft_schematic/furniture/shared_furniture_corellia_flagpole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140317503', 'BB2D713F', 'object/draft_schematic/furniture/shared_furniture_couch_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('503627770', '1E04BFFA', 'object/draft_schematic/furniture/shared_furniture_couch_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('630253626', '2590E83A', 'object/draft_schematic/furniture/shared_furniture_couch_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1982260857', '7626E679', 'object/draft_schematic/furniture/shared_furniture_couch_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('690782499', '292C8123', 'object/draft_schematic/furniture/shared_furniture_couch_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1111323216', '423D7250', 'object/draft_schematic/furniture/shared_furniture_couch_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046525404', 'F13113DC', 'object/draft_schematic/furniture/shared_furniture_diagnostic_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416269598', '546A8F1E', 'object/draft_schematic/furniture/shared_furniture_display_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('727885265', '2B62A5D1', 'object/draft_schematic/furniture/shared_furniture_droid_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('387670342', '171B6146', 'object/draft_schematic/furniture/shared_furniture_droid_detector.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037432099', '7970BF23', 'object/draft_schematic/furniture/shared_furniture_droid_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('259067166', 'F710D1E', 'object/draft_schematic/furniture/shared_furniture_food_cart.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767456943', 'E08ED4AF', 'object/draft_schematic/furniture/shared_furniture_lamp_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644518188', 'D93AEF2C', 'object/draft_schematic/furniture/shared_furniture_lamp_desk_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('903383666', '35D88A72', 'object/draft_schematic/furniture/shared_furniture_lamp_desk_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('998998605', '3B8B824D', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614041875', 'D769E713', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2361932761', '8CC83BD9', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s03_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('174862360', 'A6C3018', 'object/draft_schematic/furniture/shared_furniture_lamp_free_s04_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738470849', 'DED489C1', 'object/draft_schematic/furniture/shared_furniture_lamp_freestanding.iff');
INSERT INTO `object_crc_string_table` VALUES ('3339274515', 'C7094913', 'object/draft_schematic/furniture/shared_furniture_lamp_street.iff');
INSERT INTO `object_crc_string_table` VALUES ('2352769980', '8C3C6BBC', 'object/draft_schematic/furniture/shared_furniture_lamp_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555131837', '5CB16DBD', 'object/draft_schematic/furniture/shared_furniture_lamp_table_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('585235442', '22E1FBF2', 'object/draft_schematic/furniture/shared_furniture_lamp_table_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456343724', 'CE039EAC', 'object/draft_schematic/furniture/shared_furniture_lamp_table_s02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2510439014', '95A24266', 'object/draft_schematic/furniture/shared_furniture_lamp_table_s03_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874570331', 'E6F1405B', 'object/draft_schematic/furniture/shared_furniture_lamp_tatt_s01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('641464866', '263BFA22', 'object/draft_schematic/furniture/shared_furniture_microphone_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247540405', 'FD2C52B5', 'object/draft_schematic/furniture/shared_furniture_microphone_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223826284', '848CE56C', 'object/draft_schematic/furniture/shared_furniture_pitcher_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('1324890214', '4EF83866', 'object/draft_schematic/furniture/shared_furniture_plant_hanging.iff');
INSERT INTO `object_crc_string_table` VALUES ('1254741892', '4AC9D784', 'object/draft_schematic/furniture/shared_furniture_plants_potted_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2127709101', '7ED243AD', 'object/draft_schematic/furniture/shared_furniture_plants_potted_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765530604', 'E0716FEC', 'object/draft_schematic/furniture/shared_furniture_professors_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3139706323', 'BB241DD3', 'object/draft_schematic/furniture/shared_furniture_radar_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679529615', 'DB512A8F', 'object/draft_schematic/furniture/shared_furniture_radio.iff');
INSERT INTO `object_crc_string_table` VALUES ('966033779', '39948173', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3851878103', 'E596FED7', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_large_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303564975', '4DB2D2AF', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_medium_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3522772935', 'D1F93FC7', 'object/draft_schematic/furniture/shared_furniture_rug_rectangle_small_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1853332128', '6E779AA0', 'object/draft_schematic/furniture/shared_furniture_rug_round_large_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002516512', 'EE918E20', 'object/draft_schematic/furniture/shared_furniture_rug_round_medium_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1511545776', '5A185BB0', 'object/draft_schematic/furniture/shared_furniture_rug_round_small_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('165207937', '9D8DF81', 'object/draft_schematic/furniture/shared_furniture_shisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077678655', 'F30C703F', 'object/draft_schematic/furniture/shared_furniture_slave_brazier.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112658765', 'F522314D', 'object/draft_schematic/furniture/shared_furniture_sofachair_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075462693', '401A4225', 'object/draft_schematic/furniture/shared_furniture_spear_stand.iff');
INSERT INTO `object_crc_string_table` VALUES ('3934526753', 'EA841D21', 'object/draft_schematic/furniture/shared_furniture_stove.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996703472', 'EE38DAF0', 'object/draft_schematic/furniture/shared_furniture_table_coffee_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385957167', '529C072F', 'object/draft_schematic/furniture/shared_furniture_table_coffee_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633070122', '9CF1762A', 'object/draft_schematic/furniture/shared_furniture_table_coffee_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3991989661', 'EDF0ED9D', 'object/draft_schematic/furniture/shared_furniture_table_coffee_modern_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679809800', '641FDD08', 'object/draft_schematic/furniture/shared_furniture_table_dining_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303951734', '4DB8B976', 'object/draft_schematic/furniture/shared_furniture_table_endtable_cheap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295486124', '88D256AC', 'object/draft_schematic/furniture/shared_furniture_table_endtable_elegant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3774775549', 'E0FE80FD', 'object/draft_schematic/furniture/shared_furniture_table_endtable_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560273523', 'D4357673', 'object/draft_schematic/furniture/shared_furniture_table_endtable_small_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712386824', 'A1ABBD08', 'object/draft_schematic/furniture/shared_furniture_table_gambling.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911992161', '71F6AF61', 'object/draft_schematic/furniture/shared_furniture_table_modern.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131306340', 'F63EBB64', 'object/draft_schematic/furniture/shared_furniture_table_small_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088284371', '40DDE6D3', 'object/draft_schematic/furniture/shared_furniture_table_tatooine_cafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133553880', 'F66106D8', 'object/draft_schematic/furniture/shared_furniture_tatooine_tapestry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712417397', 'A1AC3475', 'object/draft_schematic/furniture/shared_furniture_technical_console_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059115746', '7ABB9CE2', 'object/draft_schematic/furniture/shared_furniture_technical_console_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617247497', 'D79AD109', 'object/draft_schematic/furniture/shared_furniture_terminal_freestanding.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070041440', '3FC78960', 'object/draft_schematic/furniture/shared_furniture_terminal_wall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544072226', '97A37622', 'object/draft_schematic/furniture/shared_furniture_throwpillow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246784176', '4A506AB0', 'object/draft_schematic/furniture/shared_furniture_tiki_torch.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284576998', 'FF6174E6', 'object/draft_schematic/furniture/shared_furniture_toolchest_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610104422', '9B930866', 'object/draft_schematic/furniture/shared_furniture_toolchest_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133188143', 'BAC0A82F', 'object/draft_schematic/furniture/shared_furniture_tree_potted.iff');
INSERT INTO `object_crc_string_table` VALUES ('586863296', '22FAD2C0', 'object/draft_schematic/furniture/shared_furniture_utensils.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770705362', '698AD1D2', 'object/draft_schematic/furniture/shared_tanning_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('1254608802', '4AC7CFA2', 'object/draft_schematic/furniture/shared_tanning_hide_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('658217892', '273B9BA4', 'object/draft_schematic/instrument/component/shared_dual_wave_synthesizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069929316', '3FC5D364', 'object/draft_schematic/instrument/shared_instrument_bandfill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133647251', 'BAC7A993', 'object/draft_schematic/instrument/shared_instrument_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('592945841', '2357A2B1', 'object/draft_schematic/instrument/shared_instrument_drums.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598981907', '5F4E8713', 'object/draft_schematic/instrument/shared_instrument_fanfar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476982860', '5808F84C', 'object/draft_schematic/instrument/shared_instrument_fizz.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913461118', 'E942AD7E', 'object/draft_schematic/instrument/shared_instrument_flute_droopy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207775926', 'FACD90B6', 'object/draft_schematic/instrument/shared_instrument_kloo_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835965889', '6D6E9DC1', 'object/draft_schematic/instrument/shared_instrument_mandoviol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180987107', '81FF38E3', 'object/draft_schematic/instrument/shared_instrument_nalargon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365239168', 'C8957980', 'object/draft_schematic/instrument/shared_instrument_omni_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('12716542', 'C209FE', 'object/draft_schematic/instrument/shared_instrument_organ_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('747863128', '2C937C58', 'object/draft_schematic/instrument/shared_instrument_organ_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027141215', '78D3B85F', 'object/draft_schematic/instrument/shared_instrument_slitherhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1146643573', '44586475', 'object/draft_schematic/instrument/shared_instrument_traz.iff');
INSERT INTO `object_crc_string_table` VALUES ('989624055', '3AFC76F7', 'object/draft_schematic/item/component/shared_item_electronic_control_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152098080', '44AB9F20', 'object/draft_schematic/item/component/shared_item_electronic_energy_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615264224', 'D77C8DE0', 'object/draft_schematic/item/component/shared_item_electronic_power_conditioner.iff');
INSERT INTO `object_crc_string_table` VALUES ('4228360112', 'FC07A7B0', 'object/draft_schematic/item/component/shared_item_electronics_gp_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170102415', '8159228F', 'object/draft_schematic/item/component/shared_item_electronics_memory_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('622519855', '251AE62F', 'object/draft_schematic/item/component/shared_item_micro_sensor_suite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4038906353', 'F0BCD1F1', 'object/draft_schematic/item/quest_item/shared_attunement_grid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250243198', 'FD55907E', 'object/draft_schematic/item/quest_item/shared_current_alternator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237757933', 'C0FC43ED', 'object/draft_schematic/item/quest_item/shared_feedback_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025902927', 'EFF6674F', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_config_processor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1486639811', '589C52C3', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_decryption_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('1039066742', '3DEEE676', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_gyro_receiver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171554059', '816F490B', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_signal_amp.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028815217', 'F022D771', 'object/draft_schematic/item/quest_item/shared_fs_craft_puzzle_solid_state_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522512719', '5ABFB34F', 'object/draft_schematic/item/quest_item/shared_fs_medic_puzzle_heal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('863982881', '337F5521', 'object/draft_schematic/item/quest_item/shared_output_governor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2816707854', 'A7E38D0E', 'object/draft_schematic/item/quest_item/shared_power_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662038442', 'DA4645AA', 'object/draft_schematic/item/shared_craftable_bug_habitat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332388159', 'C6A0353F', 'object/draft_schematic/item/shared_item_agitator_motor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213189419', '83EA972B', 'object/draft_schematic/item/shared_item_ballot_box_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261161372', 'C2615F9C', 'object/draft_schematic/item/shared_item_base_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508567807', 'D1207EFF', 'object/draft_schematic/item/shared_item_battery_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203266155', 'BEEDF66B', 'object/draft_schematic/item/shared_item_chance_cube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775090103', '69CDB9B7', 'object/draft_schematic/item/shared_item_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505349903', '59B9D10F', 'object/draft_schematic/item/shared_item_clothing_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370957893', '51B72845', 'object/draft_schematic/item/shared_item_configurable_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660502688', 'DA2ED6A0', 'object/draft_schematic/item/shared_item_firework_eighteen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713986341', 'A1C42525', 'object/draft_schematic/item/shared_item_firework_eleven.iff');
INSERT INTO `object_crc_string_table` VALUES ('879669640', '346EB188', 'object/draft_schematic/item/shared_item_firework_five.iff');
INSERT INTO `object_crc_string_table` VALUES ('3323326153', 'C615EEC9', 'object/draft_schematic/item/shared_item_firework_four.iff');
INSERT INTO `object_crc_string_table` VALUES ('2052759177', '7A5A9E89', 'object/draft_schematic/item/shared_item_firework_one.iff');
INSERT INTO `object_crc_string_table` VALUES ('2196218270', '82E7A19E', 'object/draft_schematic/item/shared_item_firework_show.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345222985', '502E7949', 'object/draft_schematic/item/shared_item_firework_ten.iff');
INSERT INTO `object_crc_string_table` VALUES ('1853917921', '6E808AE1', 'object/draft_schematic/item/shared_item_firework_three.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570243587', '9932CE03', 'object/draft_schematic/item/shared_item_firework_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197036370', 'FA29B152', 'object/draft_schematic/item/shared_item_fishing_pole.iff');
INSERT INTO `object_crc_string_table` VALUES ('697822739', '2997EE13', 'object/draft_schematic/item/shared_item_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492600411', '58F7465B', 'object/draft_schematic/item/shared_item_food_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914524854', 'ADB81EB6', 'object/draft_schematic/item/shared_item_generic_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('292809069', '1173E96D', 'object/draft_schematic/item/shared_item_hundred_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722220294', 'DDDC9306', 'object/draft_schematic/item/shared_item_jedi_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2785425064', 'A60636A8', 'object/draft_schematic/item/shared_item_parrot_cage.iff');
INSERT INTO `object_crc_string_table` VALUES ('247131041', 'EBAEBA1', 'object/draft_schematic/item/shared_item_powerup_weapon_melee_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('964828866', '39821EC2', 'object/draft_schematic/item/shared_item_powerup_weapon_melee_lightsaber.iff');
INSERT INTO `object_crc_string_table` VALUES ('797092971', '2F82AC6B', 'object/draft_schematic/item/shared_item_powerup_weapon_mine_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1412684588', '5433DB2C', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_five.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789770349', 'A648846D', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_four.iff');
INSERT INTO `object_crc_string_table` VALUES ('926910485', '373F8815', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_one.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911715488', '71F276A0', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_six.iff');
INSERT INTO `object_crc_string_table` VALUES ('2672814198', '9F4FE876', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_three.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562526879', 'D457D89F', 'object/draft_schematic/item/shared_item_powerup_weapon_ranged_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975490857', 'ECF52D29', 'object/draft_schematic/item/shared_item_powerup_weapon_thrown_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101449408', '7D4192C0', 'object/draft_schematic/item/shared_item_powerup_weapon_thrown_wiring.iff');
INSERT INTO `object_crc_string_table` VALUES ('860687270', '334D0BA6', 'object/draft_schematic/item/shared_item_public_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('925875807', '372FBE5F', 'object/draft_schematic/item/shared_item_public_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326594481', '4F1239B1', 'object/draft_schematic/item/shared_item_public_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519720442', '962FE1FA', 'object/draft_schematic/item/shared_item_public_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('780076423', '2E7F0587', 'object/draft_schematic/item/shared_item_recycler_chemical.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037307449', '796ED839', 'object/draft_schematic/item/shared_item_recycler_creature.iff');
INSERT INTO `object_crc_string_table` VALUES ('134662469', '806C945', 'object/draft_schematic/item/shared_item_recycler_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('3962708535', 'EC322237', 'object/draft_schematic/item/shared_item_recycler_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090788459', '7C9EE66B', 'object/draft_schematic/item/shared_item_recycler_ore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371712760', '51C2ACF8', 'object/draft_schematic/item/shared_item_repairkit_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082185823', '7C1BA25F', 'object/draft_schematic/item/shared_item_repairkit_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481009784', '93E13478', 'object/draft_schematic/item/shared_item_repairkit_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3616819013', 'D7944745', 'object/draft_schematic/item/shared_item_repairkit_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1278219253', '4C3013F5', 'object/draft_schematic/item/shared_item_repairkit_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302103457', '4D9C85A1', 'object/draft_schematic/item/shared_item_shellfish_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953774166', 'B00F0456', 'object/draft_schematic/item/shared_item_six_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829585398', '6D0D41F6', 'object/draft_schematic/item/shared_item_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('245803278', 'EA6A90E', 'object/draft_schematic/item/shared_item_space_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562544992', '98BD5560', 'object/draft_schematic/item/shared_item_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567438265', '5D6D35B9', 'object/draft_schematic/item/shared_item_structure_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375088999', '51F63167', 'object/draft_schematic/item/shared_item_survey_tool_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('256520291', 'F4A3063', 'object/draft_schematic/item/shared_item_survey_tool_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('780227147', '2E81524B', 'object/draft_schematic/item/shared_item_survey_tool_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449938755', '566C4F43', 'object/draft_schematic/item/shared_item_survey_tool_mineral.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420859733', 'CBE62D55', 'object/draft_schematic/item/shared_item_survey_tool_moisture.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148903380', '8015A9D4', 'object/draft_schematic/item/shared_item_survey_tool_solar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2695222848', 'A0A5D640', 'object/draft_schematic/item/shared_item_survey_tool_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('3387294730', 'C9E6040A', 'object/draft_schematic/item/shared_item_ten_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2328709231', '8ACD486F', 'object/draft_schematic/item/shared_item_tumble_blender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1478333642', '581D94CA', 'object/draft_schematic/item/shared_item_twelve_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('1156487020', '44EE976C', 'object/draft_schematic/item/shared_item_twenty_sided_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('580576987', '229AE6DB', 'object/draft_schematic/item/shared_item_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('806231782', '300E1EE6', 'object/draft_schematic/item/shared_item_weapon_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649870245', '625705A5', 'object/draft_schematic/item/theme_park/alderaan/act2/shared_dead_eye_decoder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578248809', 'D547BE69', 'object/draft_schematic/item/theme_park/alderaan/act3/shared_dead_eye_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036740128', 'F09BC420', 'object/draft_schematic/munition/component/shared_ammo_projectile.iff');
INSERT INTO `object_crc_string_table` VALUES ('443220500', '1A6B0214', 'object/draft_schematic/munition/component/shared_ammo_projectile_entanglement.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506113789', 'D0FB0CFD', 'object/draft_schematic/munition/component/shared_base_munition_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3153150043', 'BBF1405B', 'object/draft_schematic/munition/component/shared_enhanced_charge_composition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3158528693', 'BC4352B5', 'object/draft_schematic/munition/component/shared_enhanced_charge_shaping.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401022295', '8F1CB157', 'object/draft_schematic/munition/component/shared_enhanced_destructive_pulse_channeling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256653222', 'C21C95A6', 'object/draft_schematic/munition/component/shared_enhanced_fragmentation_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1156003088', '44E73510', 'object/draft_schematic/munition/component/shared_warhead_chemical.iff');
INSERT INTO `object_crc_string_table` VALUES ('3955180920', 'EBBF4578', 'object/draft_schematic/munition/component/shared_warhead_fusing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2232358950', '850F1826', 'object/draft_schematic/munition/component/shared_warhead_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1146561784', '445724F8', 'object/draft_schematic/munition/component/shared_warhead_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('536805307', '1FFEFFBB', 'object/draft_schematic/munition/component/shared_warhead_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4065626322', 'F25488D2', 'object/draft_schematic/munition/component/shared_warhead_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('565719631', '21B8324F', 'object/draft_schematic/munition/shared_base_munition.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705118881', 'A13CD6A1', 'object/draft_schematic/munition/shared_base_munition_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027709871', 'F011F9AF', 'object/draft_schematic/munition/shared_bomb_field_antigravity.iff');
INSERT INTO `object_crc_string_table` VALUES ('3371484020', 'C8F4C374', 'object/draft_schematic/munition/shared_detonator_thermal_class_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('273841684', '10527E14', 'object/draft_schematic/munition/shared_detonator_thermal_imperial_issue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932295981', '732C7F2D', 'object/draft_schematic/munition/shared_grenade_cryoban_ww_41.iff');
INSERT INTO `object_crc_string_table` VALUES ('11395638', 'ADE236', 'object/draft_schematic/munition/shared_grenade_fragmentation_c_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('768996798', '2DD5F5BE', 'object/draft_schematic/munition/shared_grenade_fragmentation_c_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560497923', 'D438E303', 'object/draft_schematic/munition/shared_grenade_glop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1913629188', '720FAA04', 'object/draft_schematic/munition/shared_grenade_proton.iff');
INSERT INTO `object_crc_string_table` VALUES ('225539159', 'D717457', 'object/draft_schematic/munition/shared_mine_anti_vehicle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1052443447', '3EBB0337', 'object/draft_schematic/munition/shared_mine_dxr55.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813474007', '6C176AD7', 'object/draft_schematic/munition/shared_mine_xg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1271566961', '4BCA9271', 'object/draft_schematic/scout/shared_item_camokit_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1726167672', '66E33A78', 'object/draft_schematic/scout/shared_item_camokit_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742569809', 'DF131551', 'object/draft_schematic/scout/shared_item_camokit_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218082990', '489A78AE', 'object/draft_schematic/scout/shared_item_camokit_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('594480745', '236F0E69', 'object/draft_schematic/scout/shared_item_camokit_lok.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327891628', '8AC0CEAC', 'object/draft_schematic/scout/shared_item_camokit_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('380917503', '16B456FF', 'object/draft_schematic/scout/shared_item_camokit_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475866246', '9392B886', 'object/draft_schematic/scout/shared_item_camokit_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2005529582', '7789F3EE', 'object/draft_schematic/scout/shared_item_camokit_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300033935', '8917BB8F', 'object/draft_schematic/scout/shared_item_camokit_yavin.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508179971', '957FCA03', 'object/draft_schematic/scout/shared_item_camp_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('102187210', '61740CA', 'object/draft_schematic/scout/shared_item_camp_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426650174', 'CC3E883E', 'object/draft_schematic/scout/shared_item_camp_improved.iff');
INSERT INTO `object_crc_string_table` VALUES ('253213515', 'F17BB4B', 'object/draft_schematic/scout/shared_item_camp_luxury.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178673319', 'BD76B4A7', 'object/draft_schematic/scout/shared_item_camp_multi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1609906001', '5FF53751', 'object/draft_schematic/scout/shared_item_camp_quality.iff');
INSERT INTO `object_crc_string_table` VALUES ('1724840642', '66CEFAC2', 'object/draft_schematic/scout/shared_item_trap_drowsy_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('253853379', 'F217EC3', 'object/draft_schematic/scout/shared_item_trap_enraging_spur.iff');
INSERT INTO `object_crc_string_table` VALUES ('1322113998', '4ECDDBCE', 'object/draft_schematic/scout/shared_item_trap_flash_bomb.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212347810', 'FB1353A2', 'object/draft_schematic/scout/shared_item_trap_melee_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226010853', '84AE3AE5', 'object/draft_schematic/scout/shared_item_trap_melee_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127661828', 'F6071F04', 'object/draft_schematic/scout/shared_item_trap_noise_maker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312435007', 'C56FBF3F', 'object/draft_schematic/scout/shared_item_trap_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585913329', '9A21E7F1', 'object/draft_schematic/scout/shared_item_trap_sonic_pulse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1618982847', '607FB7BF', 'object/draft_schematic/scout/shared_item_trap_state_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155383645', 'F7AE1F5D', 'object/draft_schematic/scout/shared_item_trap_tranq_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('2895113899', 'AC8FEEAB', 'object/draft_schematic/scout/shared_item_trap_webber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225468655', '490B2AEF', 'object/draft_schematic/slicing/shared_slicing_armor_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('425747428', '196063E4', 'object/draft_schematic/slicing/shared_slicing_flow_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575116633', '5DE25F59', 'object/draft_schematic/slicing/shared_slicing_laser_knife.iff');
INSERT INTO `object_crc_string_table` VALUES ('2888384407', 'AC293F97', 'object/draft_schematic/slicing/shared_slicing_molecular_clamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390191987', '8E776F73', 'object/draft_schematic/slicing/shared_slicing_weapon_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102420108', '7D50628C', 'object/draft_schematic/space/armor/shared_adv_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2806408794', 'A746665A', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085736141', '7C51CECD', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('895265088', '355CA940', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468657236', 'CEBF8254', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276648409', '87B2E5D9', 'object/draft_schematic/space/armor/shared_armor_reinforcement_panel_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4047177961', 'F13B08E9', 'object/draft_schematic/space/armor/shared_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426217899', 'CC37EFAB', 'object/draft_schematic/space/armor/shared_exp_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174167663', '81972A6F', 'object/draft_schematic/space/armor/shared_heavy_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('4236143256', 'FC7E6A98', 'object/draft_schematic/space/armor/shared_light_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('67761570', '409F5A2', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3743309109', 'DF1E5D35', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517842616', '96133AB8', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844449708', '6DF011AC', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('620590625', '24FD7621', 'object/draft_schematic/space/armor/shared_mass_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('216548376', 'CE84418', 'object/draft_schematic/space/booster/shared_advanced_fuel_ignition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157928076', '4504948C', 'object/draft_schematic/space/booster/shared_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2652060699', '9E133C1B', 'object/draft_schematic/space/booster/shared_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3609090966', 'D71E5B96', 'object/draft_schematic/space/booster/shared_booster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('754806914', '2CFD7082', 'object/draft_schematic/space/booster/shared_booster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710233359', '65F0170F', 'object/draft_schematic/space/booster/shared_booster_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1287538938', '4CBE48FA', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544492653', '97A9E06D', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3735324640', 'DEA487E0', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('625454324', '2547ACF4', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816841081', '6C4ACB79', 'object/draft_schematic/space/booster/shared_booster_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1033968628', '3DA11BF4', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870733155', 'E6B6B363', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948322542', 'AFBBD4EE', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415118842', '5458FFFA', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('492148855', '1D559877', 'object/draft_schematic/space/booster/shared_extended_life_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2613161095', '9BC1AC87', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087767568', '40D60410', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('165372829', '9DB639D', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063774857', 'F2384889', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140824836', 'BB352F04', 'object/draft_schematic/space/booster/shared_fast_charge_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915024240', 'E95A8770', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('843919335', '324D2FE7', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067810410', '7B40486A', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2158191486', '80A3637E', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383624947', 'C9AE04F3', 'object/draft_schematic/space/booster/shared_heavy_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520819528', '5AA5DD48', 'object/draft_schematic/space/booster/shared_xwing_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175956447', '81B275DF', 'object/draft_schematic/space/booster/shared_xwing_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279300072', '4C4091E8', 'object/draft_schematic/space/capacitor/shared_basic_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2202770982', '834B9E26', 'object/draft_schematic/space/capacitor/shared_capacitor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482438321', '585C36B1', 'object/draft_schematic/space/capacitor/shared_capacitor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('290541884', '1151513C', 'object/draft_schematic/space/capacitor/shared_capacitor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937565224', 'EAB27A28', 'object/draft_schematic/space/capacitor/shared_capacitor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2747211173', 'A3BF1DA5', 'object/draft_schematic/space/capacitor/shared_capacitor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('731258544', '2B961EB0', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035032615', 'F081B627', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113013674', 'B98CD1AA', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114634942', '426FFABE', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('191012147', 'B629D33', 'object/draft_schematic/space/capacitor/shared_energy_saver_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1501708613', '59824145', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2190862802', '8295E9D2', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415772767', 'CB988E5F', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('813409611', '307BA54B', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037826246', '7976C2C6', 'object/draft_schematic/space/capacitor/shared_extended_life_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001021296', 'B2DFF370', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774738407', '69C85BE7', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('549796970', '20C53C6A', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3676706686', 'DB26177E', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2452320499', '922B70F3', 'object/draft_schematic/space/capacitor/shared_heavy_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603192853', 'D6C45C15', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('231994498', 'DD3F482', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1155437327', '44DE930F', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208493083', 'BF3DB81B', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4130398102', 'F630DF96', 'object/draft_schematic/space/capacitor/shared_quick_recharge_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088349067', 'F3AF418B', 'object/draft_schematic/space/chassis/shared_awing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739966126', '67B5C6AE', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164761657', 'BCA26E39', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4121889204', 'F5AF09B4', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('239870624', 'E4C22A0', 'object/draft_schematic/space/chassis/shared_blacksun_heavy_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076334324', '7BC258F4', 'object/draft_schematic/space/chassis/shared_blacksun_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698375267', 'A0D5F063', 'object/draft_schematic/space/chassis/shared_blacksun_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3923285998', 'E9D897EE', 'object/draft_schematic/space/chassis/shared_blacksun_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('305904890', '123BBCFA', 'object/draft_schematic/space/chassis/shared_blacksun_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149181177', '447F1CF9', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674439278', '9F68B46E', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596997603', 'D665D3E3', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('763820279', '2D86F8F7', 'object/draft_schematic/space/chassis/shared_blacksun_medium_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782189718', 'E16FA296', 'object/draft_schematic/space/chassis/shared_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('28631849', '1B4E329', 'object/draft_schematic/space/chassis/shared_decimator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220046426', '48B86E5A', 'object/draft_schematic/space/chassis/shared_firespray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018297747', '784CC793', 'object/draft_schematic/space/chassis/shared_hutt_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2740678404', 'A35B6F04', 'object/draft_schematic/space/chassis/shared_hutt_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681611209', '643B59C9', 'object/draft_schematic/space/chassis/shared_hutt_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207393630', 'BF2CF15E', 'object/draft_schematic/space/chassis/shared_hutt_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374335796', 'C9204734', 'object/draft_schematic/space/chassis/shared_hutt_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('305655715', '1237EFA3', 'object/draft_schematic/space/chassis/shared_hutt_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789657129', '6AAC0029', 'object/draft_schematic/space/chassis/shared_hutt_turret_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565914279', 'D48B88A7', 'object/draft_schematic/space/chassis/shared_texture_kit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('261890096', 'F9C2030', 'object/draft_schematic/space/chassis/shared_texture_kit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183926205', '469147BD', 'object/draft_schematic/space/chassis/shared_texture_kit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178392745', 'BD726CA9', 'object/draft_schematic/space/chassis/shared_texture_kit_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4101966628', 'F47F0B24', 'object/draft_schematic/space/chassis/shared_texture_kit_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('795386803', '2F68A3B3', 'object/draft_schematic/space/chassis/shared_texture_kit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807324799', 'A754607F', 'object/draft_schematic/space/chassis/shared_tie_in.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042083013', '79B7B6C5', 'object/draft_schematic/space/chassis/shared_tie_light_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2726853665', 'A2887C21', 'object/draft_schematic/space/chassis/shared_tieadvanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('675255699', '283F9593', 'object/draft_schematic/space/chassis/shared_tieaggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922789724', 'E9D1055C', 'object/draft_schematic/space/chassis/shared_tiebomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781545168', 'A5CB02D0', 'object/draft_schematic/space/chassis/shared_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164496814', '4568CFAE', 'object/draft_schematic/space/chassis/shared_tiefighter_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195192561', '82D7FAF1', 'object/draft_schematic/space/chassis/shared_tieinterceptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('653085701', '26ED4C05', 'object/draft_schematic/space/chassis/shared_tieoppressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544431877', '97A8F305', 'object/draft_schematic/space/chassis/shared_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124324408', 'F5D43238', 'object/draft_schematic/space/chassis/shared_xwing_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518980580', '5A89CDE4', 'object/draft_schematic/space/chassis/shared_xwing_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412810817', '8FD09241', 'object/draft_schematic/space/chassis/shared_xwing_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('385814820', '16FF1124', 'object/draft_schematic/space/chassis/shared_xwing_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714050231', '662A54B7', 'object/draft_schematic/space/chassis/shared_xwing_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171955086', '45DA9D8E', 'object/draft_schematic/space/chassis/shared_ykl37r.iff');
INSERT INTO `object_crc_string_table` VALUES ('654797812', '27076BF4', 'object/draft_schematic/space/chassis/shared_yt1300.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705531747', '65A85963', 'object/draft_schematic/space/chassis/shared_ywing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3626101042', 'D821E932', 'object/draft_schematic/space/chassis/shared_ywing_longprobe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2357203295', '8C80115F', 'object/draft_schematic/space/chassis/shared_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('646958322', '268FCCF2', 'object/draft_schematic/space/chassis/shared_z95_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('160769152', '9952480', 'object/draft_schematic/space/chassis/shared_z95_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('446234966', '1A990156', 'object/draft_schematic/space/chassis/shared_z95_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783383237', '6A4C44C5', 'object/draft_schematic/space/chassis/shared_z95_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067045132', 'B6CF650C', 'object/draft_schematic/space/droid_interface/shared_basic_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260211482', 'C252E11A', 'object/draft_schematic/space/droid_interface/shared_ddi_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('423971213', '1945498D', 'object/draft_schematic/space/droid_interface/shared_ddi_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346907648', '50482E00', 'object/draft_schematic/space/droid_interface/shared_ddi_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2880111892', 'ABAB0514', 'object/draft_schematic/space/droid_interface/shared_ddi_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802555033', 'E2A66299', 'object/draft_schematic/space/droid_interface/shared_ddi_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028213100', 'F019A76C', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('722341883', '2B0E0FFB', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644390518', '62036876', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581611362', '99E04362', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505202415', 'D0ED24EF', 'object/draft_schematic/space/droid_interface/shared_droid_brain_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536617726', 'D2CC80FE', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('165357673', '9DB2869', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087786980', '40D64FE4', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140838640', 'BB3564F0', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063757181', 'F238037D', 'object/draft_schematic/space/droid_interface/shared_maintenance_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('541354942', '20446BBE', 'object/draft_schematic/space/engine/shared_basic_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997394294', '770DD176', 'object/draft_schematic/space/engine/shared_eng_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2887416289', 'AC1A79E1', 'object/draft_schematic/space/engine/shared_eng_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843497580', 'E5171E6C', 'object/draft_schematic/space/engine/shared_eng_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('519320952', '1EF43578', 'object/draft_schematic/space/engine/shared_eng_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475957493', '57F952F5', 'object/draft_schematic/space/engine/shared_eng_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3601967388', 'D6B1A91C', 'object/draft_schematic/space/engine/shared_engine_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('228983179', 'DA6018B', 'object/draft_schematic/space/engine/shared_engine_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152083462', '44AB6606', 'object/draft_schematic/space/engine/shared_engine_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3209186578', 'BF484D12', 'object/draft_schematic/space/engine/shared_engine_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131728031', 'F6452A9F', 'object/draft_schematic/space/engine/shared_engine_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012002136', 'EF224B58', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('875946959', '3435E3CF', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100855874', '7D388442', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262544214', '86DBAF56', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3486959835', 'CFD6C8DB', 'object/draft_schematic/space/engine/shared_engine_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('366234772', '15D44C94', 'object/draft_schematic/space/reactor/shared_basic_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664496596', 'DA6BC7D4', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('24932163', '17C6F43', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1215367374', '487108CE', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3012699098', 'B39223DA', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204741719', 'FA9F4457', 'object/draft_schematic/space/reactor/shared_fusion_reactor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282952808', 'C3ADE268', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('414862079', '18BA4AFF', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370959218', '51B72D72', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857633382', 'AA540666', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3814285803', 'E35961EB', 'object/draft_schematic/space/reactor/shared_reactor_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('287048772', '111C0444', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3389762771', 'CA0BACD3', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198260574', '8306CB5E', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2028331082', '78E5E04A', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('837322695', '31E887C7', 'object/draft_schematic/space/reactor/shared_reactor_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('159626494', '983B4FE', 'object/draft_schematic/space/repair/shared_armor_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182505796', '82166544', 'object/draft_schematic/space/repair/shared_booster_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561061070', 'D4417ACE', 'object/draft_schematic/space/repair/shared_capacitor_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046246395', '79F73DFB', 'object/draft_schematic/space/repair/shared_chassis_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1979319803', '75FA05FB', 'object/draft_schematic/space/repair/shared_droid_interface_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834161708', 'A8EDE02C', 'object/draft_schematic/space/repair/shared_engine_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504809285', '954C5B45', 'object/draft_schematic/space/repair/shared_generic_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277810100', 'FEFA33B4', 'object/draft_schematic/space/repair/shared_plasma_conduit_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('383068437', '16D52915', 'object/draft_schematic/space/repair/shared_reactor_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463568618', '92D712EA', 'object/draft_schematic/space/repair/shared_shield_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('974874513', '3A1B6791', 'object/draft_schematic/space/repair/shared_weapon_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256991250', 'FDBC8812', 'object/draft_schematic/space/reverse_engineering/shared_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368050000', 'C8C05D50', 'object/draft_schematic/space/reverse_engineering/shared_armor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558712471', '5CE81097', 'object/draft_schematic/space/reverse_engineering/shared_booster_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158784961', 'F7E205C1', 'object/draft_schematic/space/reverse_engineering/shared_capacitor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820998508', '6C8A3B6C', 'object/draft_schematic/space/reverse_engineering/shared_droid_interface_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400518634', 'CAAFCBEA', 'object/draft_schematic/space/reverse_engineering/shared_engine_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1274882415', '4BFD296F', 'object/draft_schematic/space/reverse_engineering/shared_reactor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3323192675', 'C613E563', 'object/draft_schematic/space/reverse_engineering/shared_retrofit_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342685561', '8BA28B79', 'object/draft_schematic/space/reverse_engineering/shared_shields_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831959480', 'E4670FB8', 'object/draft_schematic/space/reverse_engineering/shared_weapon_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117582132', '429CF334', 'object/draft_schematic/space/shields/shared_adv_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884245261', 'E784E10D', 'object/draft_schematic/space/shields/shared_basic_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694654678', '650260D6', 'object/draft_schematic/space/shields/shared_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('4093345299', 'F3FB7E13', 'object/draft_schematic/space/shields/shared_exp_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667507411', '9EFEEED3', 'object/draft_schematic/space/shields/shared_heavy_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3809979940', 'E317AE24', 'object/draft_schematic/space/shields/shared_light_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723995512', '66C21578', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3184901615', 'BDD5BDEF', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4107852386', 'F4D8DA62', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('255586678', 'F3BF176', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177982715', '463696FB', 'object/draft_schematic/space/shields/shared_shield_energy_saver_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1539385043', '5BC126D3', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2161544772', '80D68E44', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3386632649', 'C9DBE9C9', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('842580701', '3238C2DD', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067113296', '7B35A550', 'object/draft_schematic/space/shields/shared_shield_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2950186363', 'AFD8457B', 'object/draft_schematic/space/shields/shared_shield_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1959783916', '74CFEDEC', 'object/draft_schematic/space/shields/shared_shield_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036159585', '3DC28A61', 'object/draft_schematic/space/shields/shared_shield_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324092789', 'C621A175', 'object/draft_schematic/space/shields/shared_shield_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402076408', '8F2CC6F8', 'object/draft_schematic/space/shields/shared_shield_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('759499849', '2D450C49', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4132611294', 'F652A4DE', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210724179', 'BF5FC353', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153230919', '44BCE847', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('229740490', 'DB18FCA', 'object/draft_schematic/space/shields/shared_shield_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598298958', 'D679AF4E', 'object/draft_schematic/space/weapon/missile/shared_basic_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098216050', '7D103C72', 'object/draft_schematic/space/weapon/missile/shared_basic_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802841048', '6B752BD8', 'object/draft_schematic/space/weapon/missile/shared_basic_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('126586241', '78B8D81', 'object/draft_schematic/space/weapon/missile/shared_basic_missile_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1669199220', '637DF574', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('967427990', '39A9C796', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010014254', '3C33982E', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_confuser_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096963488', '416255A0', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_confuser_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889493337', 'E7D4F559', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_decoy_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710067156', '65ED8DD4', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_decoy_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736033559', 'A3148F17', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_em_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3044761439', 'B57B5F5F', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_em_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1406628129', '53D77121', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_microchaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491272814', 'D018986E', 'object/draft_schematic/space/weapon/missile/shared_countermeasure_microchaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4275827372', 'FEDBF2AC', 'object/draft_schematic/space/weapon/missile/shared_wpn_concussion_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('634149435', '25CC5A3B', 'object/draft_schematic/space/weapon/missile/shared_wpn_concussion_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824603574', '6CC13DB6', 'object/draft_schematic/space/weapon/missile/shared_wpn_concussion_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2093977497', '7CCF8F99', 'object/draft_schematic/space/weapon/missile/shared_wpn_imagerec_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815960846', 'A7D8270E', 'object/draft_schematic/space/weapon/missile/shared_wpn_imagerec_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043274696', '3E2F1BC8', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_concussion_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845698399', 'E538B35F', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_concussion_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889209042', 'AC35D4D2', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_concussion_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('650835732', '26CAF714', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_imagerec_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4259143555', 'FDDD5F83', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_imagerec_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316343727', 'C5AB63AF', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('515689272', '1EBCCB38', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471261877', '57B1ACB5', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891089825', 'AC5287A1', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_proton_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651288032', 'D9A23BE0', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_seismic_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('45454199', '2B59377', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_seismic_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270412538', '4BB8F4FA', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_seismic_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3784031794', 'E18BBE32', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_spacebomb_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('983307941', '3A9C16A5', 'object/draft_schematic/space/weapon/missile/shared_wpn_launcher_spacebomb_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('681902817', '28A502E1', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088572534', 'F3B2AA76', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133132283', 'BABFCDFB', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096607471', '415CE6EF', 'object/draft_schematic/space/weapon/missile/shared_wpn_proton_missile_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507837660', 'D1155ADC', 'object/draft_schematic/space/weapon/missile/shared_wpn_seismic_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('167965259', 'A02F24B', 'object/draft_schematic/space/weapon/missile/shared_wpn_seismic_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125094854', '430F95C6', 'object/draft_schematic/space/weapon/missile/shared_wpn_seismic_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2352553481', '8C391E09', 'object/draft_schematic/space/weapon/missile/shared_wpn_spacebomb_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462679198', '572EB69E', 'object/draft_schematic/space/weapon/missile/shared_wpn_spacebomb_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('357549043', '154FC3F3', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3461901156', 'CE586B64', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270498025', '87550CE9', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092312573', '7CB627FD', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('901464176', '35BB4070', 'object/draft_schematic/space/weapon/shared_armor_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3535680224', 'D2BE32E0', 'object/draft_schematic/space/weapon/shared_basic_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('925393883', '372863DB', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3963603788', 'EC3FCB4C', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2771561665', 'A532ACC1', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590790101', '5ED187D5', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('400351320', '17DCE058', 'object/draft_schematic/space/weapon/shared_max_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276034256', '87A986D0', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555967559', '5CBE2E47', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('364071370', '15B349CA', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3998245598', 'EE5062DE', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807891283', 'A75D0553', 'object/draft_schematic/space/weapon/shared_min_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('207458723', 'C5D91A3', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611965748', 'D74A3934', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655477433', '9E475EB9', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705276845', '65A475AD', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('749277728', '2CA91220', 'object/draft_schematic/space/weapon/shared_quick_shot_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068760823', '7B4EC8F7', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690211936', 'A0596060', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3914598381', 'E95407ED', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('313994489', '12B72CF9', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538935668', '5BBA4B74', 'object/draft_schematic/space/weapon/shared_shield_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212255047', '48418B47', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2471896016', '935623D0', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663414365', 'DA5B445D', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('565735241', '21B86F49', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756694724', '68B508C4', 'object/draft_schematic/space/weapon/shared_speed_limiter_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3740796153', 'DEF804F9', 'object/draft_schematic/space/weapon/shared_wpn_advanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929052829', 'EA30969D', 'object/draft_schematic/space/weapon/shared_wpn_advanced_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431740762', '5556A15A', 'object/draft_schematic/space/weapon/shared_wpn_advanced_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('90674496', '5679540', 'object/draft_schematic/space/weapon/shared_wpn_advanced_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('749584960', '2CADC240', 'object/draft_schematic/space/weapon/shared_wpn_experimental_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909227909', 'E9021585', 'object/draft_schematic/space/weapon/shared_wpn_experimental_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943870680', 'AF77E6D8', 'object/draft_schematic/space/weapon/shared_wpn_experimental_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4282831554', 'FF46D2C2', 'object/draft_schematic/space/weapon/shared_wpn_experimental_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094697931', '7CDA8DCB', 'object/draft_schematic/space/weapon/shared_wpn_heavy_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('651808748', '26D9CFEC', 'object/draft_schematic/space/weapon/shared_wpn_heavy_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326996581', '4F185C65', 'object/draft_schematic/space/weapon/shared_wpn_heavy_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('522807423', '1F29687F', 'object/draft_schematic/space/weapon/shared_wpn_heavy_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046489612', 'F130880C', 'object/draft_schematic/space/weapon/shared_wpn_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388774737', 'C9FC9951', 'object/draft_schematic/space/weapon/shared_wpn_light_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1057347445', '3F05D775', 'object/draft_schematic/space/weapon/shared_wpn_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865737071', '6F34E36F', 'object/draft_schematic/space/weapon/shared_wpn_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453442561', 'CDD75A01', 'object/draft_schematic/space/weapon/shared_wpn_medium_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1698920791', '65437957', 'object/draft_schematic/space/weapon/shared_wpn_medium_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380113095', 'C9786EC7', 'object/draft_schematic/space/weapon/shared_wpn_medium_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571721437', '99495ADD', 'object/draft_schematic/space/weapon/shared_wpn_medium_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1461060097', '57160201', 'object/draft_schematic/spices/shared_spice_booster_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344700100', 'C75C12C4', 'object/draft_schematic/spices/shared_spice_crash_n_burn.iff');
INSERT INTO `object_crc_string_table` VALUES ('3232550663', 'C0ACCF07', 'object/draft_schematic/spices/shared_spice_droid_lube.iff');
INSERT INTO `object_crc_string_table` VALUES ('3392956409', 'CA3C67F9', 'object/draft_schematic/spices/shared_spice_giggledust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344628504', 'C75AFB18', 'object/draft_schematic/spices/shared_spice_grey_gabaki.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606899928', '5FC758D8', 'object/draft_schematic/spices/shared_spice_gunjack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071554224', '7B7968B0', 'object/draft_schematic/spices/shared_spice_muon_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1790064822', '6AB238B6', 'object/draft_schematic/spices/shared_spice_neutron_pixey.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245288866', 'FD09F7A2', 'object/draft_schematic/spices/shared_spice_pyrepenol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617885526', '606EF956', 'object/draft_schematic/spices/shared_spice_scramjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('811014949', '30571B25', 'object/draft_schematic/spices/shared_spice_sedative_h4b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1734826910', '67675B9E', 'object/draft_schematic/spices/shared_spice_shadowpaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224540196', '8497CA24', 'object/draft_schematic/spices/shared_spice_sweetblossom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661232828', '9E9F30BC', 'object/draft_schematic/spices/shared_spice_thruster_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906041259', 'E8D175AB', 'object/draft_schematic/spices/shared_spice_yarrock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1957527431', '74AD7F87', 'object/draft_schematic/structure/city/shared_bank_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356737706', '50DE2CAA', 'object/draft_schematic/structure/city/shared_bank_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223564824', '48EE1E18', 'object/draft_schematic/structure/city/shared_bank_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('922879724', '370206EC', 'object/draft_schematic/structure/city/shared_cantina_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642793186', '61EB08E2', 'object/draft_schematic/structure/city/shared_cantina_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('188835699', 'B416773', 'object/draft_schematic/structure/city/shared_cantina_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052243419', 'F18853DB', 'object/draft_schematic/structure/city/shared_cityhall_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095160852', 'F4173214', 'object/draft_schematic/structure/city/shared_cityhall_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452645956', 'CDCB3244', 'object/draft_schematic/structure/city/shared_cityhall_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3102761064', 'B8F06068', 'object/draft_schematic/structure/city/shared_cloning_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637377287', '9D332F07', 'object/draft_schematic/structure/city/shared_cloning_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226323959', '84B301F7', 'object/draft_schematic/structure/city/shared_cloning_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511913384', '95B8C1A8', 'object/draft_schematic/structure/city/shared_garage_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583461183', 'D597473F', 'object/draft_schematic/structure/city/shared_garage_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2851840055', 'A9FBA037', 'object/draft_schematic/structure/city/shared_garage_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('191116922', 'B64367A', 'object/draft_schematic/structure/city/shared_garden_exotic_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283291302', '881842A6', 'object/draft_schematic/structure/city/shared_garden_exotic_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('197575835', 'BC6C49B', 'object/draft_schematic/structure/city/shared_garden_exotic_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276792416', '4C1A4E60', 'object/draft_schematic/structure/city/shared_garden_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356080577', '50D425C1', 'object/draft_schematic/structure/city/shared_garden_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013387337', '7801DA49', 'object/draft_schematic/structure/city/shared_garden_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104967184', 'B9120A10', 'object/draft_schematic/structure/city/shared_hospital_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1804532749', '6B8EFC0D', 'object/draft_schematic/structure/city/shared_hospital_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2236705679', '85516B8F', 'object/draft_schematic/structure/city/shared_hospital_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673430783', '9F5950FF', 'object/draft_schematic/structure/city/shared_shuttleport_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('881536708', '348B2EC4', 'object/draft_schematic/structure/city/shared_shuttleport_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736402784', 'A31A3160', 'object/draft_schematic/structure/city/shared_shuttleport_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('758724611', '2D393803', 'object/draft_schematic/structure/city/shared_theater_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113591979', 'B995A4AB', 'object/draft_schematic/structure/city/shared_theater_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('293231004', '117A599C', 'object/draft_schematic/structure/city/shared_theater_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3736246245', 'DEB297E5', 'object/draft_schematic/structure/component/shared_structural_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('188700507', 'B3F575B', 'object/draft_schematic/structure/component/shared_structure_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('890068144', '350D5CB0', 'object/draft_schematic/structure/component/shared_structure_generator_turbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1426968673', '550DD061', 'object/draft_schematic/structure/component/shared_structure_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2142863561', '7FB980C9', 'object/draft_schematic/structure/component/shared_structure_heavy_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('3263967120', 'C28C2F90', 'object/draft_schematic/structure/component/shared_structure_light_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040269434', '799C0A7A', 'object/draft_schematic/structure/component/shared_structure_light_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592150343', '5EE64947', 'object/draft_schematic/structure/component/shared_structure_manufacturing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037730009', '79754AD9', 'object/draft_schematic/structure/component/shared_structure_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261427507', 'C2656F33', 'object/draft_schematic/structure/component/shared_structure_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364203190', 'C885AAB6', 'object/draft_schematic/structure/component/shared_structure_small_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345350988', '50306D4C', 'object/draft_schematic/structure/component/shared_structure_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('661556822', '276E8E56', 'object/draft_schematic/structure/component/shared_structure_turbo_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('686217066', '28E6D76A', 'object/draft_schematic/structure/component/shared_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433532742', '910CC346', 'object/draft_schematic/structure/component/shared_weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665444927', 'DA7A403F', 'object/draft_schematic/structure/shared_corellia_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370388037', 'C8E40A45', 'object/draft_schematic/structure/shared_corellia_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853219478', 'E5AB7696', 'object/draft_schematic/structure/shared_corellia_house_player_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566769907', 'D49896F3', 'object/draft_schematic/structure/shared_corellia_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830483623', 'E4508AA7', 'object/draft_schematic/structure/shared_corellia_house_player_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244610668', 'FCFF9E6C', 'object/draft_schematic/structure/shared_corellia_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2371857542', '8D5FAC86', 'object/draft_schematic/structure/shared_corellia_house_player_small_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313991968', 'C5878120', 'object/draft_schematic/structure/shared_corellia_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455024554', '9254B3AA', 'object/draft_schematic/structure/shared_corellia_house_player_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('745024084', '2C682A54', 'object/draft_schematic/structure/shared_generic_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059188252', 'F1F24C1C', 'object/draft_schematic/structure/shared_generic_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458415719', '56EDA867', 'object/draft_schematic/structure/shared_generic_house_player_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('874861164', '3425526C', 'object/draft_schematic/structure/shared_generic_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('317968384', '12F3D000', 'object/draft_schematic/structure/shared_generic_house_player_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320436789', 'C5E9D835', 'object/draft_schematic/structure/shared_generic_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('364360184', '15B7B1F8', 'object/draft_schematic/structure/shared_generic_house_player_small_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992384465', '76C15FD1', 'object/draft_schematic/structure/shared_generic_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3838920320', 'E4D14680', 'object/draft_schematic/structure/shared_generic_house_player_small_style_02_floorplan_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('40573621', '26B1AB5', 'object/draft_schematic/structure/shared_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204999703', '836DA017', 'object/draft_schematic/structure/shared_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1124040677', '42FF7FE5', 'object/draft_schematic/structure/shared_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077977150', 'B776343E', 'object/draft_schematic/structure/shared_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2529898048', '96CB2E40', 'object/draft_schematic/structure/shared_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925546520', 'E9FB1618', 'object/draft_schematic/structure/shared_installation_factory_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3287078704', 'C3ECD730', 'object/draft_schematic/structure/shared_installation_factory_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('100159664', '5F850B0', 'object/draft_schematic/structure/shared_installation_factory_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1608711350', '5FE2FCB6', 'object/draft_schematic/structure/shared_installation_factory_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430182849', '553EDBC1', 'object/draft_schematic/structure/shared_installation_generator_fusion.iff');
INSERT INTO `object_crc_string_table` VALUES ('464777341', '1BB3F07D', 'object/draft_schematic/structure/shared_installation_generator_solar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011453668', 'B37F22E4', 'object/draft_schematic/structure/shared_installation_generator_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('189297844', 'B4874B4', 'object/draft_schematic/structure/shared_installation_mining_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372573215', 'C905621F', 'object/draft_schematic/structure/shared_installation_mining_gas_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('140336833', '85D5EC1', 'object/draft_schematic/structure/shared_installation_mining_gas_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039707891', '799378F3', 'object/draft_schematic/structure/shared_installation_mining_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('362692246', '159E3E96', 'object/draft_schematic/structure/shared_installation_mining_liquid_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3569746504', 'D4C60248', 'object/draft_schematic/structure/shared_installation_mining_liquid_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343309848', '8BAC1218', 'object/draft_schematic/structure/shared_installation_mining_liquid_vapor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643145278', '61F0683E', 'object/draft_schematic/structure/shared_installation_mining_liquid_vapor_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2695386336', 'A0A854E0', 'object/draft_schematic/structure/shared_installation_mining_liquid_vapor_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3530854520', 'D2749078', 'object/draft_schematic/structure/shared_installation_mining_ore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543208719', '5BFB7F0F', 'object/draft_schematic/structure/shared_installation_mining_ore_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594390993', '9AA343D1', 'object/draft_schematic/structure/shared_installation_mining_ore_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915458084', 'E9612624', 'object/draft_schematic/structure/shared_installation_mining_organic_creature.iff');
INSERT INTO `object_crc_string_table` VALUES ('1656287178', '62B8EFCA', 'object/draft_schematic/structure/shared_installation_mining_organic_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('2861455405', 'AA8E582D', 'object/draft_schematic/structure/shared_installation_mining_organic_flora_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809212659', '6BD664F3', 'object/draft_schematic/structure/shared_installation_mining_organic_flora_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2724074378', 'A25E138A', 'object/draft_schematic/structure/shared_merchant_tent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1974589873', '75B1D9B1', 'object/draft_schematic/structure/shared_naboo_house_guild_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('939754027', '3803822B', 'object/draft_schematic/structure/shared_naboo_house_player_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131573754', 'BAA805FA', 'object/draft_schematic/structure/shared_naboo_house_player_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('202905090', 'C181602', 'object/draft_schematic/structure/shared_naboo_house_player_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('903806834', '35DEFF72', 'object/draft_schematic/structure/shared_naboo_house_player_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1463325777', '57389451', 'object/draft_schematic/structure/shared_tatooine_house_guild_hall_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('945497402', '385B253A', 'object/draft_schematic/test/shared_dan_test_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('1485880165', '5890BB65', 'object/draft_schematic/test/shared_dan_test_pistol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3547848737', 'D377E021', 'object/draft_schematic/vehicle/civilian/shared_civilian_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('376694145', '1673E581', 'object/draft_schematic/vehicle/civilian/shared_civilian_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('140527798', '86048B6', 'object/draft_schematic/vehicle/civilian/shared_civilian_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097674555', '416D2F3B', 'object/draft_schematic/vehicle/civilian/shared_civilian_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129869359', 'BA8E042F', 'object/draft_schematic/vehicle/civilian/shared_civilian_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4085474210', 'F38363A2', 'object/draft_schematic/vehicle/civilian/shared_civilian_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3255217674', 'C206AE0A', 'object/draft_schematic/vehicle/civilian/shared_jetpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632559466', '9CE9AB6A', 'object/draft_schematic/vehicle/civilian/shared_landspeeder_av21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178368929', 'BD720FA1', 'object/draft_schematic/vehicle/civilian/shared_landspeeder_x34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3893680726', 'E814DA56', 'object/draft_schematic/vehicle/civilian/shared_speeder_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231876597', 'FC3D4FF5', 'object/draft_schematic/vehicle/civilian/shared_speeder_bike_swoop.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478654115', 'CF580CA3', 'object/draft_schematic/vehicle/component/shared_adv_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820646245', 'E3BA6F65', 'object/draft_schematic/vehicle/component/shared_adv_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831493388', 'E45FF30C', 'object/draft_schematic/vehicle/component/shared_adv_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2606958072', '9B6305F8', 'object/draft_schematic/vehicle/component/shared_armor_panel_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1048309015', '3E7BED17', 'object/draft_schematic/vehicle/component/shared_armor_panel_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('286081761', '110D42E1', 'object/draft_schematic/vehicle/component/shared_armor_panel_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167986321', 'BCD3A291', 'object/draft_schematic/vehicle/component/shared_armor_panel_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('4235833223', 'FC79AF87', 'object/draft_schematic/vehicle/component/shared_armor_panel_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3924691985', 'E9EE0C11', 'object/draft_schematic/vehicle/component/shared_armor_panel_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568951743', '5D844DBF', 'object/draft_schematic/vehicle/component/shared_armor_panel_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710945708', '65FAF5AC', 'object/draft_schematic/vehicle/component/shared_armor_plating_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203226939', 'BEED5D3B', 'object/draft_schematic/vehicle/component/shared_armor_plating_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158667446', 'F7E03AB6', 'object/draft_schematic/vehicle/component/shared_armor_plating_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2395664099', '8ECAEEE3', 'object/draft_schematic/vehicle/component/shared_auto_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('682698271', '28B1261F', 'object/draft_schematic/vehicle/component/shared_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022913854', '7893373E', 'object/draft_schematic/vehicle/component/shared_command_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619881434', '9C2837DA', 'object/draft_schematic/vehicle/component/shared_disperser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2892938786', 'AC6EBE22', 'object/draft_schematic/vehicle/component/shared_dx_disruptor_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771997793', 'E0D41E61', 'object/draft_schematic/vehicle/component/shared_extended_fuel_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('808312838', '302DE006', 'object/draft_schematic/vehicle/component/shared_extended_fuel_tank_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284576256', 'FF617200', 'object/draft_schematic/vehicle/component/shared_fuel_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('611768983', '2476DA97', 'object/draft_schematic/vehicle/component/shared_fuel_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836825882', '6D7BBD1A', 'object/draft_schematic/vehicle/component/shared_fuel_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935185074', 'EA8E28B2', 'object/draft_schematic/vehicle/component/shared_fuel_cell_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('832143397', '31998025', 'object/draft_schematic/vehicle/component/shared_fuel_cell_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023024552', '7894E7A8', 'object/draft_schematic/vehicle/component/shared_fuel_cell_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332814833', 'C6A6B7F1', 'object/draft_schematic/vehicle/component/shared_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308336165', 'C5313425', 'object/draft_schematic/vehicle/component/shared_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058872493', 'B652B0AD', 'object/draft_schematic/vehicle/component/shared_laser_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2177317912', '81C73C18', 'object/draft_schematic/vehicle/component/shared_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246650067', '85E928D3', 'object/draft_schematic/vehicle/component/shared_mass_driver.iff');
INSERT INTO `object_crc_string_table` VALUES ('692221089', '294274A1', 'object/draft_schematic/vehicle/component/shared_mini_launcher_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('292651205', '117180C5', 'object/draft_schematic/vehicle/component/shared_power_plant_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3395692626', 'CA662852', 'object/draft_schematic/vehicle/component/shared_power_plant_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204848095', '836B4FDF', 'object/draft_schematic/vehicle/component/shared_power_plant_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3785575259', 'E1A34B5B', 'object/draft_schematic/vehicle/component/shared_proton_torpedo_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085630879', '7C50339F', 'object/draft_schematic/vehicle/component/shared_reactor_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810129002', 'E319F46A', 'object/draft_schematic/vehicle/component/shared_starship_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2723083446', 'A24EF4B6', 'object/draft_schematic/vehicle/component/shared_starship_module_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138971548', '7F7E1D9C', 'object/draft_schematic/vehicle/component/shared_starship_shield_generator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144006749', '4430285D', 'object/draft_schematic/vehicle/component/shared_storage_bay.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428251943', 'CC56F927', 'object/draft_schematic/vehicle/component/shared_structural_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('1550856246', '5C703036', 'object/draft_schematic/vehicle/component/shared_structural_frame_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188051200', 'BE05CD00', 'object/draft_schematic/vehicle/component/shared_structural_reinforcement.iff');
INSERT INTO `object_crc_string_table` VALUES ('3098033682', 'B8A83E12', 'object/draft_schematic/vehicle/component/shared_structural_reinforcement_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2988472593', 'B2207911', 'object/draft_schematic/vehicle/component/shared_veh_shield_generator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1765265798', '6937D186', 'object/draft_schematic/vehicle/component/shared_veh_shield_generator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('540718603', '203AB60B', 'object/draft_schematic/vehicle/component/shared_veh_shield_generator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('12867979', 'C4598B', 'object/draft_schematic/vehicle/component/shared_vehicle_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246345170', '4A49B7D2', 'object/draft_schematic/vehicle/component/shared_vehicle_module_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784669777', 'A5FAB051', 'object/draft_schematic/vehicle/component/shared_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1296711234', '4D4A3E42', 'object/draft_schematic/vehicle/component/shared_weapon_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('333191706', '13DC1A1A', 'object/draft_schematic/vehicle/component/shared_weapon_link.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402380717', '8F316BAD', 'object/draft_schematic/vehicle/military/shared_military_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1411826490', '5426C33A', 'object/draft_schematic/vehicle/military/shared_military_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('489399479', '1D2BA4B7', 'object/draft_schematic/vehicle/military/shared_military_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871903651', 'E6C88FA3', 'object/draft_schematic/vehicle/military/shared_military_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948982830', 'AFC5E82E', 'object/draft_schematic/vehicle/military/shared_military_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100515758', 'F468E7AE', 'object/draft_schematic/vehicle/military/shared_starship_impl_tie_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('796872505', '2F7F4F39', 'object/draft_schematic/vehicle/military/shared_starship_impl_tie_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330578969', '4F4F0619', 'object/draft_schematic/vehicle/military/shared_starship_rebel_xwing_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488839822', '9458AE8E', 'object/draft_schematic/vehicle/military/shared_starship_rebel_xwing_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170918716', 'F89B2B3C', 'object/draft_schematic/vehicle/shared_vehicle_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('642464593', '264B3B51', 'object/draft_schematic/weapon/component/shared_blade_vibro_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591525916', '9A778C1C', 'object/draft_schematic/weapon/component/shared_blade_vibro_unit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763890276', '6922D464', 'object/draft_schematic/weapon/component/shared_blaster_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2411109221', '8FB69B65', 'object/draft_schematic/weapon/component/shared_blaster_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('291466906', '115F6E9A', 'object/draft_schematic/weapon/component/shared_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('669027229', '27E08B9D', 'object/draft_schematic/weapon/component/shared_blaster_power_handler_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3017432687', 'B3DA5E6F', 'object/draft_schematic/weapon/component/shared_blaster_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415303462', '8FF69B26', 'object/draft_schematic/weapon/component/shared_blaster_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4093058849', 'F3F71F21', 'object/draft_schematic/weapon/component/shared_chemical_dispersion_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692236674', 'DC130F82', 'object/draft_schematic/weapon/component/shared_chemical_dispersion_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3330558458', 'C68449FA', 'object/draft_schematic/weapon/component/shared_energization_crystals.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314707956', '4E5CD9F4', 'object/draft_schematic/weapon/component/shared_galven_tube_circuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('4113789241', 'F5337139', 'object/draft_schematic/weapon/component/shared_laser_cannon_cooling_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303806735', '89514D0F', 'object/draft_schematic/weapon/component/shared_laser_cannon_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('4238408983', 'FCA0FD17', 'object/draft_schematic/weapon/component/shared_laser_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558702385', 'D41D7D31', 'object/draft_schematic/weapon/component/shared_laser_magnetic_flashback_supressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3824855701', 'E3FAAA95', 'object/draft_schematic/weapon/component/shared_parallel_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3297087256', 'C4858F18', 'object/draft_schematic/weapon/component/shared_projectile_feed_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('262118266', 'F9F9B7A', 'object/draft_schematic/weapon/component/shared_projectile_feed_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418709976', '902A95D8', 'object/draft_schematic/weapon/component/shared_projectile_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111961622', 'B97CC416', 'object/draft_schematic/weapon/component/shared_projectile_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('365494069', '15C8FF35', 'object/draft_schematic/weapon/component/shared_projectile_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1631155967', '613976FF', 'object/draft_schematic/weapon/component/shared_projectile_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874693612', 'AB5857EC', 'object/draft_schematic/weapon/component/shared_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('1668239813', '636F51C5', 'object/draft_schematic/weapon/component/shared_reinforcement_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540459451', '5BD18BBB', 'object/draft_schematic/weapon/component/shared_reinforcement_core_geo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596514252', 'D65E73CC', 'object/draft_schematic/weapon/component/shared_scope_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611829706', 'D74825CA', 'object/draft_schematic/weapon/component/shared_scope_weapon_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('507005578', '1E384A8A', 'object/draft_schematic/weapon/component/shared_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592695997', '5EEE9CBD', 'object/draft_schematic/weapon/component/shared_stock_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049686729', 'F16150C9', 'object/draft_schematic/weapon/component/shared_sword_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271255485', 'FE962FBD', 'object/draft_schematic/weapon/component/shared_sword_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2844636480', 'A98DB540', 'object/draft_schematic/weapon/component/shared_sword_core_geo.iff');
INSERT INTO `object_crc_string_table` VALUES ('522996520', '1F2C4B28', 'object/draft_schematic/weapon/component/shared_turbo_laser_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571298637', 'D4DDB14D', 'object/draft_schematic/weapon/component/shared_weapon_mount.iff');
INSERT INTO `object_crc_string_table` VALUES ('3504836884', 'D0E79114', 'object/draft_schematic/weapon/component/shared_weapon_mount_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2837944775', 'A92799C7', 'object/draft_schematic/weapon/component/shared_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3402034090', 'CAC6EBAA', 'object/draft_schematic/weapon/component/shared_weapon_trajectory_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209371727', '83B0564F', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1487404760', '58A7FED8', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('296393045', '11AA9955', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3930698305', 'EA49B241', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739197388', 'A344D5CC', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_one_hand_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2055057421', '7A7DB00D', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708084890', 'A16A189A', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899096855', 'E8677F17', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('327439363', '13845403', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518941070', '5A89338E', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_polearm_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234584747', '85310EAB', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_refined_crystal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899605882', 'E86F437A', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495319493', '94BB8DC5', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336681810', '4FAC2552', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('111231711', '6A142DF', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4248988107', 'FD4269CB', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3025079878', 'B44F0E46', 'object/draft_schematic/weapon/lightsaber/shared_lightsaber_two_hand_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('326162791', '1370D967', 'object/draft_schematic/weapon/shared_2h_sword_scythe.iff');
INSERT INTO `object_crc_string_table` VALUES ('234370130', 'DF83452', 'object/draft_schematic/weapon/shared_axe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3948376002', 'EB576FC2', 'object/draft_schematic/weapon/shared_axe_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052026379', 'B5EA3A0B', 'object/draft_schematic/weapon/shared_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('366533914', '15D8DD1A', 'object/draft_schematic/weapon/shared_baton_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('597539800', '239DBBD8', 'object/draft_schematic/weapon/shared_battleaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2782911899', 'A5DFDD9B', 'object/draft_schematic/weapon/shared_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('76251144', '48B8008', 'object/draft_schematic/weapon/shared_carbine_blaster_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1906569024', '71A3EF40', 'object/draft_schematic/weapon/shared_carbine_quest_smuggler_underslung.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092291953', 'B850A171', 'object/draft_schematic/weapon/shared_cleaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647480452', 'D9682284', 'object/draft_schematic/weapon/shared_executioners_hack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797052196', 'A6B7A124', 'object/draft_schematic/weapon/shared_heavy_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279236123', '4C3F981B', 'object/draft_schematic/weapon/shared_heavy_lightning_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571649817', 'D4E30D19', 'object/draft_schematic/weapon/shared_heavy_particle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478786473', '93BF47A9', 'object/draft_schematic/weapon/shared_heavy_rocket_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667625944', '6365F3D8', 'object/draft_schematic/weapon/shared_ion_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248015659', 'C198C92B', 'object/draft_schematic/weapon/shared_katana.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343310494', '50114A9E', 'object/draft_schematic/weapon/shared_knife_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1433859593', '5576F609', 'object/draft_schematic/weapon/shared_knife_survival.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451327989', '568181F5', 'object/draft_schematic/weapon/shared_knife_twilek_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275846224', 'C3417250', 'object/draft_schematic/weapon/shared_knife_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403681275', '53AA79FB', 'object/draft_schematic/weapon/shared_knuckler_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133019254', 'F658DE76', 'object/draft_schematic/weapon/shared_lance_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399536859', '8F0606DB', 'object/draft_schematic/weapon/shared_lance_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('2188173511', '826CE0C7', 'object/draft_schematic/weapon/shared_lance_vibro_controller_fp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159431738', 'BC511A3A', 'object/draft_schematic/weapon/shared_laser_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('190437753', 'B59D979', 'object/draft_schematic/weapon/shared_lightsaber_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312097223', '4E3503C7', 'object/draft_schematic/weapon/shared_maul.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266178839', '87132517', 'object/draft_schematic/weapon/shared_pistol_blaster_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1379546989', '523A376D', 'object/draft_schematic/weapon/shared_pistol_blaster_d18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372103801', '8D636E79', 'object/draft_schematic/weapon/shared_pistol_blaster_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('408961925', '18604385', 'object/draft_schematic/weapon/shared_pistol_blaster_dl44.iff');
INSERT INTO `object_crc_string_table` VALUES ('2361580915', '8CC2DD73', 'object/draft_schematic/weapon/shared_pistol_blaster_dl44_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124760882', 'F5DADB32', 'object/draft_schematic/weapon/shared_pistol_blaster_power5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147231467', '44615CEB', 'object/draft_schematic/weapon/shared_pistol_blaster_scout_trooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207190896', 'BF29D970', 'object/draft_schematic/weapon/shared_pistol_blaster_short_range_combat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1460478', '1648FE', 'object/draft_schematic/weapon/shared_pistol_de_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('343860113', '147EE391', 'object/draft_schematic/weapon/shared_pistol_disrupter_dx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2825813273', 'A86E7D19', 'object/draft_schematic/weapon/shared_pistol_flechette_fwg5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441382387', 'CD1F53F3', 'object/draft_schematic/weapon/shared_pistol_flechette_fwg5_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419108874', 'CBCB760A', 'object/draft_schematic/weapon/shared_pistol_geo_sonic_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800323184', '6B4EC070', 'object/draft_schematic/weapon/shared_pistol_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('70825547', '438B64B', 'object/draft_schematic/weapon/shared_pistol_projectile_striker.iff');
INSERT INTO `object_crc_string_table` VALUES ('222927716', 'D499B64', 'object/draft_schematic/weapon/shared_pistol_quest_imperial_navy_formal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3999110437', 'EE5D9525', 'object/draft_schematic/weapon/shared_pistol_republic_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459893602', '57043562', 'object/draft_schematic/weapon/shared_pistol_republic_blaster_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('636138859', '25EAB56B', 'object/draft_schematic/weapon/shared_pistol_scatter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580001250', '5E2CE7E2', 'object/draft_schematic/weapon/shared_poleaxe_vibro.iff');
INSERT INTO `object_crc_string_table` VALUES ('158977907', '979CF73', 'object/draft_schematic/weapon/shared_razor_knuckler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393268622', '8EA6618E', 'object/draft_schematic/weapon/shared_rifle_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418671476', '9029FF74', 'object/draft_schematic/weapon/shared_rifle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('393845120', '17799980', 'object/draft_schematic/weapon/shared_rifle_berserker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598018363', 'D675673B', 'object/draft_schematic/weapon/shared_rifle_blaster_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869102319', '6F683CEF', 'object/draft_schematic/weapon/shared_rifle_blaster_dlt20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174565787', '819D3D9B', 'object/draft_schematic/weapon/shared_rifle_blaster_dlt20a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213003971', '83E7C2C3', 'object/draft_schematic/weapon/shared_rifle_blaster_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607432911', '9B6A44CF', 'object/draft_schematic/weapon/shared_rifle_blaster_ionization_jawa.iff');
INSERT INTO `object_crc_string_table` VALUES ('621048174', '2504716E', 'object/draft_schematic/weapon/shared_rifle_blaster_laser_rifle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189243546', 'F9B2C89A', 'object/draft_schematic/weapon/shared_rifle_bowcaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2244091215', '85C21D4F', 'object/draft_schematic/weapon/shared_rifle_disrupter_dxr6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104931422', '41DBEA5E', 'object/draft_schematic/weapon/shared_rifle_flame_thrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774809121', '69C97021', 'object/draft_schematic/weapon/shared_rifle_light_blaster_dh17_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025642760', '78BCDB08', 'object/draft_schematic/weapon/shared_rifle_light_blaster_dh17_carbine_snubnose.iff');
INSERT INTO `object_crc_string_table` VALUES ('24679666', '17894F2', 'object/draft_schematic/weapon/shared_rifle_light_blaster_e11_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869068993', 'E69D4EC1', 'object/draft_schematic/weapon/shared_rifle_light_blaster_e11_carbine_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756442314', '68B12ECA', 'object/draft_schematic/weapon/shared_rifle_light_blaster_ee3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997753388', 'B2AE162C', 'object/draft_schematic/weapon/shared_rifle_light_blaster_imperial_scout_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('638676086', '26116C76', 'object/draft_schematic/weapon/shared_rifle_light_blaster_laser_carbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1659428780', '62E8DFAC', 'object/draft_schematic/weapon/shared_rifle_lightning.iff');
INSERT INTO `object_crc_string_table` VALUES ('112067557', '6AE03E5', 'object/draft_schematic/weapon/shared_rifle_projectile_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('74294879', '46DA65F', 'object/draft_schematic/weapon/shared_rifle_quest_rebel_longrifle.iff');
INSERT INTO `object_crc_string_table` VALUES ('722478817', '2B1026E1', 'object/draft_schematic/weapon/shared_rifle_sonic_sg82.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338440548', 'C6FC8F64', 'object/draft_schematic/weapon/shared_rifle_spray_stick_stohli.iff');
INSERT INTO `object_crc_string_table` VALUES ('546888390', '2098DAC6', 'object/draft_schematic/weapon/shared_rifle_t21.iff');
INSERT INTO `object_crc_string_table` VALUES ('306573674', '1245F16A', 'object/draft_schematic/weapon/shared_rifle_tangle_gun7.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198608458', 'FA41AE4A', 'object/draft_schematic/weapon/shared_rifle_tenloss_disrupter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766431643', 'A4E4659B', 'object/draft_schematic/weapon/shared_staff.iff');
INSERT INTO `object_crc_string_table` VALUES ('1376786982', '52101A26', 'object/draft_schematic/weapon/shared_staff_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748771750', 'A3D6EDA6', 'object/draft_schematic/weapon/shared_staff_reinforced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572901439', 'D4F6263F', 'object/draft_schematic/weapon/shared_sword.iff');
INSERT INTO `object_crc_string_table` VALUES ('2999681334', 'B2CB8136', 'object/draft_schematic/weapon/shared_sword_curved.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464681484', 'CE82D80C', 'object/draft_schematic/weapon/shared_sword_ryyk_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3719216124', 'DDAEBBFC', 'object/draft_schematic/weapon/shared_turbo_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2878298230', 'AB8F5876', 'object/factory/base/shared_base_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005028874', 'EEB7E40A', 'object/factory/base/shared_factory_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598099833', '5F411179', 'object/factory/shared_factory_crate_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401438151', 'CABDD3C7', 'object/factory/shared_factory_crate_chemicals.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342101395', '8B99A193', 'object/factory/shared_factory_crate_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584679689', '5E744B09', 'object/factory/shared_factory_crate_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('1184983851', '46A16B2B', 'object/factory/shared_factory_crate_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880912033', 'E75204A1', 'object/factory/shared_factory_crate_furniture.iff');
INSERT INTO `object_crc_string_table` VALUES ('685226208', '28D7B8E0', 'object/factory/shared_factory_crate_generic_items.iff');
INSERT INTO `object_crc_string_table` VALUES ('577406456', '226A85F8', 'object/factory/shared_factory_crate_installation.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077073151', 'F30332FF', 'object/factory/shared_factory_crate_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283159762', '881640D2', 'object/group/base/shared_base_group.iff');
INSERT INTO `object_crc_string_table` VALUES ('3581093559', 'D57326B7', 'object/group/base/shared_group_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022504856', '788CF998', 'object/group/shared_group_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854935626', 'AA2ADC4A', 'object/guild/base/shared_base_guild.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744093888', 'DF2A56C0', 'object/guild/base/shared_guild_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101404390', '7D40E2E6', 'object/guild/shared_guild_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('544424204', '2073410C', 'object/installation/base/shared_construction_installation_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610526259', '5FFEAE33', 'object/installation/base/shared_installation_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138250553', 'F6A8B139', 'object/installation/base/shared_installation_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('529503793', '1F8F9631', 'object/installation/battlefield/destructible/barracks/shared_bfield_gungan_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('745421256', '2C6E39C8', 'object/installation/battlefield/destructible/barracks/shared_bfield_nightsister_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854704940', 'E5C2212C', 'object/installation/battlefield/destructible/barracks/shared_rebel_infantry_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('3586973666', 'D5CCDFE2', 'object/installation/battlefield/destructible/barracks/shared_storm_trooper_barracks.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062251189', 'B6863EB5', 'object/installation/battlefield/destructible/base/shared_base_destructible_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258056519', '86973547', 'object/installation/battlefield/destructible/base/shared_construction_base_destructible_building.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010668003', '3C3D91E3', 'object/installation/battlefield/destructible/shared_antenna_tatt_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3878304116', 'E72A3974', 'object/installation/battlefield/destructible/shared_antenna_tatt_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493653890', '94A22382', 'object/installation/battlefield/destructible/shared_battlefield_constructor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039684051', '79931BD3', 'object/installation/battlefield/destructible/shared_bfield_banner_freestand_impl.iff');
INSERT INTO `object_crc_string_table` VALUES ('520990553', '1F0DAF59', 'object/installation/battlefield/destructible/shared_bfield_banner_freestand_rebl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617968651', '9C0B080B', 'object/installation/battlefield/destructible/shared_bfield_base_gate_impl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2654774665', '9E3CA589', 'object/installation/battlefield/destructible/shared_bfield_column_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1286651525', '4CB0BE85', 'object/installation/battlefield/destructible/shared_bfield_column_impl_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786325575', 'A613F447', 'object/installation/battlefield/destructible/shared_bfield_column_impl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243521441', 'C15435A1', 'object/installation/battlefield/destructible/shared_bfield_column_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256393755', 'FDB36A1B', 'object/installation/battlefield/destructible/shared_bfield_column_rebl_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2202504027', '83478B5B', 'object/installation/battlefield/destructible/shared_bfield_column_rebl_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('473496206', '1C38FA8E', 'object/installation/battlefield/destructible/shared_bfield_column_rebl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3725708837', 'DE11CE25', 'object/installation/battlefield/destructible/shared_bfield_column_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467497655', 'CEADD0B7', 'object/installation/battlefield/destructible/shared_bfield_gungan_cleft_wall_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2072399894', '7B865016', 'object/installation/battlefield/destructible/shared_bfield_gungan_damaged_narrow_arch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127732580', 'BA6D6964', 'object/installation/battlefield/destructible/shared_bfield_gungan_damaged_wall_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148938953', 'BBB0FEC9', 'object/installation/battlefield/destructible/shared_bfield_gungan_damaged_wide_arch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2861241123', 'AA8B1323', 'object/installation/battlefield/destructible/shared_bfield_gungan_pillar_damaged.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046900101', 'B59C0185', 'object/installation/battlefield/destructible/shared_bfield_gungan_pillar_ruined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317620099', 'C5BEDD83', 'object/installation/battlefield/destructible/shared_bfield_gungan_relic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260516219', 'C257877B', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s01a.iff');
INSERT INTO `object_crc_string_table` VALUES ('423636972', '19402FEC', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s01b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012871923', 'EF2F90F3', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s02a.iff');
INSERT INTO `object_crc_string_table` VALUES ('876099684', '34383864', 'object/installation/battlefield/destructible/shared_bfield_gungan_statue_s02b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410944935', '8FB419A7', 'object/installation/battlefield/destructible/shared_bfield_gungan_target_shield_gen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289393973', 'FFAAF535', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('616390050', '24BD5DA2', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('656107195', '271B66BB', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4228697644', 'FC0CCE2C', 'object/installation/battlefield/destructible/shared_bfield_gungan_wall_ruined_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1198047599', '4768C16F', 'object/installation/battlefield/destructible/shared_bfield_nightsister_fence.iff');
INSERT INTO `object_crc_string_table` VALUES ('712214351', '2A73874F', 'object/installation/battlefield/destructible/shared_bfield_nightsister_freestand_banner01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049874904', 'F1642FD8', 'object/installation/battlefield/destructible/shared_bfield_nightsister_freestand_banner02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093907541', 'B8694855', 'object/installation/battlefield/destructible/shared_bfield_nightsister_freestand_banner03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788699463', 'A6382D47', 'object/installation/battlefield/destructible/shared_bfield_nightsister_gate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1444171901', '5614507D', 'object/installation/battlefield/destructible/shared_bfield_nightsister_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112050906', 'B97E20DA', 'object/installation/battlefield/destructible/shared_bfield_nightsister_target_sith_altar.iff');
INSERT INTO `object_crc_string_table` VALUES ('483726355', '1CD51413', 'object/installation/battlefield/destructible/shared_bfield_nightsister_target_sith_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3796911801', 'E25046B9', 'object/installation/battlefield/destructible/shared_bfield_nightsister_target_tower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393390431', '8EA83D5F', 'object/installation/battlefield/destructible/shared_bfield_target_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659920532', 'DA25F494', 'object/installation/battlefield/destructible/shared_bfield_target_power_transformer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('20077571', '1325C03', 'object/installation/battlefield/destructible/shared_bfield_target_power_transformer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261137937', 'FDFBCE11', 'object/installation/battlefield/destructible/shared_bfield_wall_barbed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122168983', '7E7DBA97', 'object/installation/battlefield/destructible/shared_bfield_wall_connector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072454055', 'B721EDA7', 'object/installation/battlefield/destructible/shared_bfield_wall_impl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827387119', 'A88680EF', 'object/installation/battlefield/destructible/shared_bfield_wall_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3711597492', 'DD3A7BB4', 'object/installation/battlefield/destructible/shared_bfield_wall_rebl_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237630314', '855F876A', 'object/installation/battlefield/destructible/shared_bfield_wall_rebl_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('218817390', 'D0AE36E', 'object/installation/battlefield/destructible/shared_bfield_wall_rebl_weak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471201695', '57B0C19F', 'object/installation/battlefield/destructible/shared_bfield_wall_strong.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515256237', '95EBC3AD', 'object/installation/battlefield/destructible/shared_gungan_sacred_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('4180449547', 'F92C990B', 'object/installation/battlefield/destructible/shared_imperial_gate_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637065132', 'D8C935AC', 'object/installation/battlefield/destructible/shared_rebel_gate_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('422378636', '192CFC8C', 'object/installation/battlefield/destructible/shared_small_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('209537017', 'C7D47F9', 'object/installation/battlefield/destructible/shared_turret_dish_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('718314234', '2AD09AFA', 'object/installation/battlefield/destructible/shared_turret_tower_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218940295', '84425787', 'object/installation/faction_perk/covert_detector/shared_detector_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321802406', '4EC91AA6', 'object/installation/faction_perk/minefield/base/shared_minefield_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970833898', '757889EA', 'object/installation/faction_perk/minefield/shared_field_1x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860325711', '6EE2514F', 'object/installation/faction_perk/turret/base/shared_faction_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2286796965', '884DC0A5', 'object/installation/faction_perk/turret/shared_block_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869715208', '6F719708', 'object/installation/faction_perk/turret/shared_block_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969720102', '75678B26', 'object/installation/faction_perk/turret/shared_block_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581064772', '5E3D2244', 'object/installation/faction_perk/turret/shared_dish_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736220615', 'A31769C7', 'object/installation/faction_perk/turret/shared_dish_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604402557', 'D6D6D17D', 'object/installation/faction_perk/turret/shared_tower_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2960737285', 'B0794405', 'object/installation/faction_perk/turret/shared_tower_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('737975038', '2BFC9AFE', 'object/installation/faction_perk/turret/shared_tower_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3676361903', 'DB20D4AF', 'object/installation/generators/base/shared_power_generator_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283788286', '4C850DFE', 'object/installation/generators/shared_power_generator_fusion_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363771835', '8CE44BBB', 'object/installation/generators/shared_power_generator_photo_bio_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('859942951', '3341B027', 'object/installation/generators/shared_power_generator_solar_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932869055', 'AED007BF', 'object/installation/generators/shared_power_generator_wind_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460199396', 'CE3E73E4', 'object/installation/manufacture/base/shared_manufacture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037216595', '796D7553', 'object/installation/manufacture/shared_clothing_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484565682', '941776B2', 'object/installation/manufacture/shared_food_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('1556571915', '5CC7670B', 'object/installation/manufacture/shared_structure_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304272380', '4DBD9DFC', 'object/installation/manufacture/shared_weapon_factory.iff');
INSERT INTO `object_crc_string_table` VALUES ('415547091', '18C4BED3', 'object/installation/manufacture/shared_weapon_installation.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518209965', '5A7E0BAD', 'object/installation/mining_gas/base/shared_mining_gas_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446200775', 'CD68D9C7', 'object/installation/mining_gas/shared_mining_gas_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('377450832', '167F7150', 'object/installation/mining_gas/shared_mining_gas_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601312477', '5F7216DD', 'object/installation/mining_gas/shared_mining_gas_harvester_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659189194', '9E8001CA', 'object/installation/mining_liquid/base/shared_mining_liquid_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015682736', '7824E0B0', 'object/installation/mining_liquid/shared_mining_liquid_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738047015', 'A3334827', 'object/installation/mining_liquid/shared_mining_liquid_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929943978', 'EA3E2FAA', 'object/installation/mining_liquid/shared_mining_liquid_harvester_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2235626870', '8540F576', 'object/installation/mining_liquid/shared_mining_liquid_moisture_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305511934', '4DD087FE', 'object/installation/mining_liquid/shared_mining_liquid_moisture_harvester_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3152239258', 'BBE35A9A', 'object/installation/mining_liquid/shared_mining_liquid_moisture_harvester_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('860426391', '33491097', 'object/installation/mining_liquid/shared_resource_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('1937734566', '737F7BA6', 'object/installation/mining_ore/base/shared_mining_ore_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242761962', '85ADD4EA', 'object/installation/mining_ore/construction/shared_construction_mining_ore_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589279869', '5EBA7C7D', 'object/installation/mining_ore/construction/shared_construction_mining_ore_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1103585647', '41C7616F', 'object/installation/mining_ore/construction/shared_construction_mining_ore_harvester_style_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077924017', '403FD0B1', 'object/installation/mining_ore/shared_mining_ore_harvester_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719643610', '667FADDA', 'object/installation/mining_ore/shared_mining_ore_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177710925', 'BD68054D', 'object/installation/mining_ore/shared_mining_ore_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780958356', '6A274494', 'object/installation/mining_organic/base/shared_mining_organic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544083954', 'D33E6DF2', 'object/installation/mining_organic/shared_mining_organic_creature_farm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438944708', 'CCFA21C4', 'object/installation/mining_organic/shared_mining_organic_flora_farm.iff');
INSERT INTO `object_crc_string_table` VALUES ('880917767', '3481BD07', 'object/installation/mining_organic/shared_mining_organic_flora_farm_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('681856626', '28A44E72', 'object/installation/mining_organic/shared_mining_organic_flora_farm_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('646823895', '268DBFD7', 'object/installation/turret/base/shared_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901317905', 'E8896311', 'object/installation/turret/shared_turret_block_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1652270840', '627BA6F8', 'object/installation/turret/shared_turret_block_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880132119', 'E7461E17', 'object/installation/turret/shared_turret_block_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('264371583', 'FC1FD7F', 'object/installation/turret/shared_turret_dish_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645535897', 'D94A7699', 'object/installation/turret/shared_turret_dish_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938857030', '73909C46', 'object/installation/turret/shared_turret_tower_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178460661', 'BD7375F5', 'object/installation/turret/shared_turret_tower_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3118272463', 'B9DD0FCF', 'object/installation/turret/shared_turret_tower_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3949582877', 'EB69DA1D', 'object/intangible/base/shared_base_intangible.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331018210', '4F55B9E2', 'object/intangible/base/shared_intangible_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1638993826', '61B10FA2', 'object/intangible/data_item/shared_data_geiger_counter.iff');
INSERT INTO `object_crc_string_table` VALUES ('228023073', 'D975B21', 'object/intangible/data_item/shared_data_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189484016', 'F9B673F0', 'object/intangible/data_item/shared_data_item.iff');
INSERT INTO `object_crc_string_table` VALUES ('197286219', 'BC2594B', 'object/intangible/data_item/shared_data_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128492217', '43436CB9', 'object/intangible/data_item/shared_droid_command.iff');
INSERT INTO `object_crc_string_table` VALUES ('994574621', '3B48011D', 'object/intangible/data_item/shared_warren_encryption_key.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760892474', 'E02AAA3A', 'object/intangible/data_item/shared_warren_evidence_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('993854125', '3B3D02AD', 'object/intangible/data_item/shared_warren_evidence_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915774240', '72306520', 'object/intangible/data_item/shared_warren_evidence_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2312326708', '89D34E34', 'object/intangible/data_item/shared_warren_evidence_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2608329477', '9B77F305', 'object/intangible/faction_perk/shared_shuttle_extract.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789110379', '6AA3A86B', 'object/intangible/holocron/shared_newbie_mission.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339278002', '4FD3C2B2', 'object/intangible/pet/shared_21b_surgical_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1151045797', '449B90A5', 'object/intangible/pet/shared_3po_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('23365206', '1648656', 'object/intangible/pet/shared_3po_protocol_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('1404851907', '53BC56C3', 'object/intangible/pet/shared_3po_protocol_droid_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910857037', 'AD80274D', 'object/intangible/pet/shared_3po_protocol_droid_silver.iff');
INSERT INTO `object_crc_string_table` VALUES ('589316378', '2320411A', 'object/intangible/pet/shared_angler_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1324343534', '4EEFE0EE', 'object/intangible/pet/shared_astromech_waiter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823818603', 'E3EAD76B', 'object/intangible/pet/shared_bageraset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245924782', 'FD13ABAE', 'object/intangible/pet/shared_bantha_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2460317493', '92A57735', 'object/intangible/pet/shared_bark_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2105300149', '7D7C54B5', 'object/intangible/pet/shared_bearded_jax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907258996', 'AD494074', 'object/intangible/pet/shared_blurrg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961986832', 'EC271F10', 'object/intangible/pet/shared_boar_wolf_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462408235', '572A942B', 'object/intangible/pet/shared_bocatt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365864788', 'C89F0554', 'object/intangible/pet/shared_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3465438553', 'CE8E6559', 'object/intangible/pet/shared_bolle_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112020105', '7DE2DE89', 'object/intangible/pet/shared_bolma_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304397641', '895A5149', 'object/intangible/pet/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248156228', 'C19AEE44', 'object/intangible/pet/shared_bordok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776791504', 'E11D43D0', 'object/intangible/pet/shared_borgle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('932343786', '37926FEA', 'object/intangible/pet/shared_brackaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('85637661', '51ABA1D', 'object/intangible/pet/shared_capper_spineflap_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1876009660', '6FD1A2BC', 'object/intangible/pet/shared_carrion_spat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1603716876', '5F96C70C', 'object/intangible/pet/shared_choku_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478782544', '93BF3850', 'object/intangible/pet/shared_chuba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945863130', '73FB83DA', 'object/intangible/pet/shared_cll8_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157866050', 'F7D40042', 'object/intangible/pet/shared_condor_dragon_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1485452335', '588A342F', 'object/intangible/pet/shared_corellian_butterfly_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('261977165', 'F9D744D', 'object/intangible/pet/shared_corellian_sand_panther_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('636628481', '25F22E01', 'object/intangible/pet/shared_corellian_slice_hound_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2696046285', 'A0B266CD', 'object/intangible/pet/shared_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229022652', '84DC2FBC', 'object/intangible/pet/shared_cu_pa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738155310', 'DECFB92E', 'object/intangible/pet/shared_dalyrake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870771439', 'E6B748EF', 'object/intangible/pet/shared_darth_maul_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745422351', 'A3A3D20F', 'object/intangible/pet/shared_dewback_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2217571195', '842D737B', 'object/intangible/pet/shared_droid_pet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3107311581', 'B935CFDD', 'object/intangible/pet/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377707050', '8DB8EE2A', 'object/intangible/pet/shared_dune_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('779257516', '2E7286AC', 'object/intangible/pet/shared_durni_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2326969858', '8AB2BE02', 'object/intangible/pet/shared_dwarf_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('215765850', 'CDC535A', 'object/intangible/pet/shared_dz70_fugitive_tracker_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040278264', 'F0D1C0F8', 'object/intangible/pet/shared_eg6_power_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381576162', '52592DE2', 'object/intangible/pet/shared_eg6_power_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150571270', 'BBC9E706', 'object/intangible/pet/shared_eopie_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257725045', '86922675', 'object/intangible/pet/shared_ev_9d9.iff');
INSERT INTO `object_crc_string_table` VALUES ('2686405669', 'A01F4C25', 'object/intangible/pet/shared_falumpaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3353974211', 'C7E995C3', 'object/intangible/pet/shared_fambaa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1856953327', '6EAEDBEF', 'object/intangible/pet/shared_fanned_rawl_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804467322', 'E2C3907A', 'object/intangible/pet/shared_flewt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923608669', 'AE42BA5D', 'object/intangible/pet/shared_flit_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285917811', '88405673', 'object/intangible/pet/shared_fynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('184038036', 'AF83294', 'object/intangible/pet/shared_gackle_bat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334930732', 'C6C7012C', 'object/intangible/pet/shared_gaping_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858510328', 'AA6167F8', 'object/intangible/pet/shared_gnort_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('580835531', '229ED8CB', 'object/intangible/pet/shared_graul_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3080189549', 'B797F66D', 'object/intangible/pet/shared_gronda_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('943256525', '3838F3CD', 'object/intangible/pet/shared_gualama_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671246669', '9F37FD4D', 'object/intangible/pet/shared_gubbur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334338028', '8B232BEC', 'object/intangible/pet/shared_guf_drolg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('896340341', '356D1175', 'object/intangible/pet/shared_gulginaw_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720963355', 'DDC9651B', 'object/intangible/pet/shared_gurk_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('223844542', 'D5798BE', 'object/intangible/pet/shared_gurnaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145605419', '7FE3572B', 'object/intangible/pet/shared_gurreck_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('697606401', '2994A101', 'object/intangible/pet/shared_hanadak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2367204663', '8D18AD37', 'object/intangible/pet/shared_hermit_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396316832', '8ED4E4A0', 'object/intangible/pet/shared_horned_krevol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500397762', 'D0A3D4C2', 'object/intangible/pet/shared_horned_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089599434', 'B8278BCA', 'object/intangible/pet/shared_huf_dun_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969470414', '7563BBCE', 'object/intangible/pet/shared_huurton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786377662', '6A79F5BE', 'object/intangible/pet/shared_ig_assassin_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('936658701', '37D4470D', 'object/intangible/pet/shared_ikopi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276251054', '4C120BAE', 'object/intangible/pet/shared_ito_interrogator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1791601248', '6AC9AA60', 'object/intangible/pet/shared_kaadu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3450820067', 'CDAF55E3', 'object/intangible/pet/shared_kai_tok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208771572', 'BF41F7F4', 'object/intangible/pet/shared_kima_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021952384', 'EFBA1F80', 'object/intangible/pet/shared_kimogila_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970580359', 'B10F7587', 'object/intangible/pet/shared_kliknik_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054788993', '7A799781', 'object/intangible/pet/shared_krahbu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739916137', '67B50369', 'object/intangible/pet/shared_kusak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989984964', 'EDD256C4', 'object/intangible/pet/shared_kwi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731995998', 'A2D6F35E', 'object/intangible/pet/shared_langlatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('554540263', '210D9CE7', 'object/intangible/pet/shared_lantern_bird_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1013378354', '3C66ED32', 'object/intangible/pet/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('771860722', '2E01A8F2', 'object/intangible/pet/shared_lin_demolitionmech.iff');
INSERT INTO `object_crc_string_table` VALUES ('754217676', '2CF472CC', 'object/intangible/pet/shared_malkloc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067716749', 'B6D9A48D', 'object/intangible/pet/shared_mamien_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('10709435', 'A369BB', 'object/intangible/pet/shared_mawgax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431435109', '90ECC165', 'object/intangible/pet/shared_merek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('604608091', '2409965B', 'object/intangible/pet/shared_mott_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1597090102', '5F31A936', 'object/intangible/pet/shared_mouse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582700290', 'D58BAB02', 'object/intangible/pet/shared_mouse_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('548542319', '20B2176F', 'object/intangible/pet/shared_murra_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1986283606', '76644856', 'object/intangible/pet/shared_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3888571684', 'E7C6E524', 'object/intangible/pet/shared_narglatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3421430045', 'CBEEE11D', 'object/intangible/pet/shared_nhelper_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3091853501', 'B849F0BD', 'object/intangible/pet/shared_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('392393668', '176373C4', 'object/intangible/pet/shared_peko_peko_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839464306', '6DA3FF72', 'object/intangible/pet/shared_perlek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094694212', '413FB544', 'object/intangible/pet/shared_pet_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291887021', 'C43635AD', 'object/intangible/pet/shared_pet_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554017920', 'D3D60280', 'object/intangible/pet/shared_piket_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2974753647', 'B14F236F', 'object/intangible/pet/shared_plumed_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('535952493', '1FF1FC6D', 'object/intangible/pet/shared_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4000809563', 'EE77825B', 'object/intangible/pet/shared_pugoriss_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3982156177', 'ED5AE191', 'object/intangible/pet/shared_purbole_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2267633287', '87295687', 'object/intangible/pet/shared_quenker_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2191450852', '829EE2E4', 'object/intangible/pet/shared_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('442194865', '1A5B5BB1', 'object/intangible/pet/shared_r2_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('387302363', '1715C3DB', 'object/intangible/pet/shared_r2d2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415442793', 'CB938569', 'object/intangible/pet/shared_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4076801460', 'F2FF0DB4', 'object/intangible/pet/shared_r3_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('812691069', '3070AE7D', 'object/intangible/pet/shared_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610650817', '600094C1', 'object/intangible/pet/shared_r4_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038286832', '797DC9F0', 'object/intangible/pet/shared_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292499140', '88A4C2C4', 'object/intangible/pet/shared_r5_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('50664012', '305124C', 'object/intangible/pet/shared_ra7_bug_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1377624567', '521CE1F7', 'object/intangible/pet/shared_rancor_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2028852617', '78EDD589', 'object/intangible/pet/shared_reptilian_flier_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100700576', '7D3625A0', 'object/intangible/pet/shared_roba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925451769', 'AE5ED9F9', 'object/intangible/pet/shared_robo_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336305960', '4FA66928', 'object/intangible/pet/shared_rock_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('794949628', '2F61F7FC', 'object/intangible/pet/shared_ronto_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085682547', '7C50FD73', 'object/intangible/pet/shared_salt_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('273179059', '104861B3', 'object/intangible/pet/shared_sharnaff_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159009522', '80AFDEF2', 'object/intangible/pet/shared_shaupaut_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966894198', 'B0D73676', 'object/intangible/pet/shared_shear_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842631555', 'E509E783', 'object/intangible/pet/shared_skreeg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901518942', 'E88C745E', 'object/intangible/pet/shared_snorbal_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255586723', 'FDA719A3', 'object/intangible/pet/shared_spined_puc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2113307554', '7DF683A2', 'object/intangible/pet/shared_spined_snake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('713872273', '2A8CD391', 'object/intangible/pet/shared_squall_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189043940', 'F9AFBCE4', 'object/intangible/pet/shared_squill_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('748019304', '2C95DE68', 'object/intangible/pet/shared_stintaril_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871755001', 'AB2B80F9', 'object/intangible/pet/shared_swirl_prong_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342328122', 'C737E13A', 'object/intangible/pet/shared_tanc_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1854611752', '6E8B2128', 'object/intangible/pet/shared_thune_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('969518136', '39C9AC38', 'object/intangible/pet/shared_tip_solicitor_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2899651011', 'ACD529C3', 'object/intangible/pet/shared_torton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182158026', 'BDABE0CA', 'object/intangible/pet/shared_training_remote.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553023360', '5C914180', 'object/intangible/pet/shared_tt8l.iff');
INSERT INTO `object_crc_string_table` VALUES ('218724646', 'D097926', 'object/intangible/pet/shared_tt8l_y7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290289692', '88830C1C', 'object/intangible/pet/shared_tusk_cat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3794077692', 'E22507FC', 'object/intangible/pet/shared_tybis_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304145962', 'C4F1442A', 'object/intangible/pet/shared_veermok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441960181', 'CD2824F5', 'object/intangible/pet/shared_vehicular_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843250911', 'A97890DF', 'object/intangible/pet/shared_vehicular_prototype_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036157279', '795D4B5F', 'object/intangible/pet/shared_verne_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('58797746', '3812EB2', 'object/intangible/pet/shared_vesp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('844441928', '32552948', 'object/intangible/pet/shared_vir_vur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578601916', '5E178DBC', 'object/intangible/pet/shared_voritor_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3828927679', 'E438CCBF', 'object/intangible/pet/shared_vynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347741729', '5054E821', 'object/intangible/pet/shared_wed_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('273820215', '10522A37', 'object/intangible/pet/shared_womp_rat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182931850', 'BDB7AF8A', 'object/intangible/pet/shared_woolamander_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024101379', '78A55603', 'object/intangible/pet/shared_worrt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('49929061', '2F9DB65', 'object/intangible/pet/shared_zucca_boar_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1318932514', '4E9D5022', 'object/intangible/ship/base/shared_ship_control_device_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3231609067', 'C09E70EB', 'object/intangible/ship/shared_awing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117731697', 'B9D4CF71', 'object/intangible/ship/shared_basic_hutt_light_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542586269', 'D327939D', 'object/intangible/ship/shared_basic_tiefighter_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951744339', '74554153', 'object/intangible/ship/shared_basic_z95_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920551856', '72794BB0', 'object/intangible/ship/shared_blacksun_heavy_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622780077', '60B9A8AD', 'object/intangible/ship/shared_blacksun_heavy_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2461598411', '92B902CB', 'object/intangible/ship/shared_blacksun_heavy_s03_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161326231', '45386E97', 'object/intangible/ship/shared_blacksun_heavy_s04_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287843959', 'FF934E77', 'object/intangible/ship/shared_blacksun_light_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3981684074', 'ED53AD6A', 'object/intangible/ship/shared_blacksun_light_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('525534988', '1F53070C', 'object/intangible/ship/shared_blacksun_light_s03_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3369233232', 'C8D26B50', 'object/intangible/ship/shared_blacksun_light_s04_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830604387', 'E4526263', 'object/intangible/ship/shared_blacksun_medium_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136796542', 'F692817E', 'object/intangible/ship/shared_blacksun_medium_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('76688152', '4922B18', 'object/intangible/ship/shared_blacksun_medium_s03_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541256004', 'D3134744', 'object/intangible/ship/shared_blacksun_medium_s04_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256405331', 'FDB39753', 'object/intangible/ship/shared_bwing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('816398955', '30A9426B', 'object/intangible/ship/shared_decimator_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214165542', 'BF944626', 'object/intangible/ship/shared_firespray_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913916856', 'ADAED7B8', 'object/intangible/ship/shared_hutt_heavy_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211670693', 'BF6E34A5', 'object/intangible/ship/shared_hutt_heavy_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('541381247', '2044D27F', 'object/intangible/ship/shared_hutt_light_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('847524194', '32843162', 'object/intangible/ship/shared_hutt_light_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('437951543', '1A1A9C37', 'object/intangible/ship/shared_hutt_medium_s01_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('148537130', '8DA7F2A', 'object/intangible/ship/shared_hutt_medium_s02_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431555714', 'CC896282', 'object/intangible/ship/shared_hutt_turret_ship_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404705593', 'CAEFAF39', 'object/intangible/ship/shared_navicomputer_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('301467566', '11F807AE', 'object/intangible/ship/shared_navicomputer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492475939', '58F56023', 'object/intangible/ship/shared_navicomputer_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736147255', 'A3164B37', 'object/intangible/ship/shared_navicomputer_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927649466', 'EA1B2CBA', 'object/intangible/ship/shared_navicomputer_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('822903853', '310C842D', 'object/intangible/ship/shared_navicomputer_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1537107009', '5B9E6441', 'object/intangible/ship/shared_navicomputer_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320786901', 'C5EF2FD5', 'object/intangible/ship/shared_prototype_hutt_light_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937877305', 'AF1C7339', 'object/intangible/ship/shared_prototype_tiefighter_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760715561', 'E027F729', 'object/intangible/ship/shared_prototype_z95_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('264594860', 'FC565AC', 'object/intangible/ship/shared_sorosuub_space_yacht_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072676654', 'F2C01D2E', 'object/intangible/ship/shared_tie_in_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211390', '31007E', 'object/intangible/ship/shared_tie_light_duty_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041041630', 'B5429CDE', 'object/intangible/ship/shared_tieadvanced_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3555369555', 'D3EAA253', 'object/intangible/ship/shared_tieaggressor_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3994408379', 'EE15D5BB', 'object/intangible/ship/shared_tiebomber_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741040950', 'A360F736', 'object/intangible/ship/shared_tiefighter_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152772827', 'F78648DB', 'object/intangible/ship/shared_tieinterceptor_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673716446', 'DAF876DE', 'object/intangible/ship/shared_tieoppressor_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314812569', 'C5940699', 'object/intangible/ship/shared_xwing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454524572', '56B2489C', 'object/intangible/ship/shared_ykl37r_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2265582340', '870A0B04', 'object/intangible/ship/shared_yt1300_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884767324', 'E78CD85C', 'object/intangible/ship/shared_ywing_longprobe_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('758141084', '2D30509C', 'object/intangible/ship/shared_ywing_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('628864673', '257BB6A1', 'object/intangible/ship/shared_z95_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322781790', '8A72D65E', 'object/intangible/theater/shared_base_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2096609656', '7CF7B978', 'object/intangible/vehicle/shared_jetpack_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762629621', 'E0452BF5', 'object/intangible/vehicle/shared_landspeeder_av21_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148893162', 'BBB04BEA', 'object/intangible/vehicle/shared_landspeeder_x31_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364632781', '8CF16ECD', 'object/intangible/vehicle/shared_landspeeder_x34_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448247515', '565280DB', 'object/intangible/vehicle/shared_speederbike_flash_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659586517', 'DA20DBD5', 'object/intangible/vehicle/shared_speederbike_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2233671002', '85231D5A', 'object/intangible/vehicle/shared_speederbike_swoop_pcd.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853503513', 'AA150219', 'object/intangible/vehicle/shared_vehicle_pcd_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4042830301', 'F0F8B1DD', 'object/jedi_manager/shared_jedi_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062041799', 'B6830CC7', 'object/manufacture_schematic/base/shared_base_manufacture_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('933697332', '37A71734', 'object/manufacture_schematic/base/shared_manufacture_schematic_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('941212681', '3819C409', 'object/manufacture_schematic/shared_generic_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240843527', 'C12B5907', 'object/mission/base/shared_base_mission.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210569821', '83C29E5D', 'object/mission/base/shared_mission_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3205608574', 'BF11B47E', 'object/mission/shared_mission_data_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('2729425872', 'A2AFBBD0', 'object/mission/shared_mission_list_entry_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741732474', 'DF064E7A', 'object/mission/shared_mission_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('721694525', '2B042F3D', 'object/mobile/naboo_npc/shared_thrawn.iff');
INSERT INTO `object_crc_string_table` VALUES ('548983473', '20B8D2B1', 'object/mobile/naboo_npc/shared_veers.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419245135', 'CBCD8A4F', 'object/mobile/shared_21b_surgical_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871376015', 'AB25B88F', 'object/mobile/shared_3po_protocol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229997144', 'C085D858', 'object/mobile/shared_3po_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322058554', '8A67CD3A', 'object/mobile/shared_3po_protocol_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980932165', 'ED483445', 'object/mobile/shared_3po_protocol_droid_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167333574', 'F86476C6', 'object/mobile/shared_3po_protocol_droid_silver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1105187711', '41DFD37F', 'object/mobile/shared_4lom.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714052983', '662A5F77', 'object/mobile/shared_ackbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('258679778', 'F6B23E2', 'object/mobile/shared_acklay_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1079261977', '40543B19', 'object/mobile/shared_alpha_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('873755149', '3414720D', 'object/mobile/shared_alpha_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645434131', 'D948E913', 'object/mobile/shared_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561022171', 'D440E2DB', 'object/mobile/shared_angler_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757109237', 'A45625F5', 'object/mobile/shared_angler_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1513149813', '5A30D575', 'object/mobile/shared_ankura_gungan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2880441498', 'ABB00C9A', 'object/mobile/shared_aqualish_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577500162', 'D53C5202', 'object/mobile/shared_aqualish_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611025486', 'D73BE04E', 'object/mobile/shared_aqualish_s02_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031980568', '3D82C618', 'object/mobile/shared_aqualish_s02_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503096648', 'D0CD0348', 'object/mobile/shared_aqualish_s03_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172099711', 'BD12667F', 'object/mobile/shared_aqualish_s03_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('193029957', 'B816745', 'object/mobile/shared_arachne_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('1942418333', '73C6F39D', 'object/mobile/shared_astromech_waiter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274898142', 'FECDC4DE', 'object/mobile/shared_atat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128352281', '7EDC1419', 'object/mobile/shared_atst.iff');
INSERT INTO `object_crc_string_table` VALUES ('573531266', '222F6482', 'object/mobile/shared_aujante_klee.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520114851', 'D1D0B0A3', 'object/mobile/shared_baby_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2017464107', '78400F2B', 'object/mobile/shared_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3463716330', 'CE741DEA', 'object/mobile/shared_bageraset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3918529401', 'E9900379', 'object/mobile/shared_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053492545', '7A65CF41', 'object/mobile/shared_bantha_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1901766605', '715AA7CD', 'object/mobile/shared_bantha_saddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('205859894', 'C452C36', 'object/mobile/shared_bantha_saddle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3755698973', 'DFDB6B1D', 'object/mobile/shared_barada.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318119001', '8A2BB059', 'object/mobile/shared_bark_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1477419452', '580FA1BC', 'object/mobile/shared_bark_mite_burrower_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684910254', '646DB0AE', 'object/mobile/shared_bark_mite_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208363444', 'BF3BBDB4', 'object/mobile/shared_bark_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042392243', '79BC6EB3', 'object/mobile/shared_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941248391', 'AF4FE387', 'object/mobile/shared_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986306980', 'B1FF6DA4', 'object/mobile/shared_baz_nitch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095266416', '7CE33A70', 'object/mobile/shared_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478332448', '93B85A20', 'object/mobile/shared_bearded_jax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085862217', '7C53BB49', 'object/mobile/shared_bestine_museum_owner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678312038', '64090266', 'object/mobile/shared_bib_fortuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('644720935', '266DA927', 'object/mobile/shared_bile_drenched_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145541444', '44479344', 'object/mobile/shared_bith_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('817734764', '30BDA46C', 'object/mobile/shared_bith_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267504420', 'FE5CF324', 'object/mobile/shared_blastromech.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430922138', '90E4ED9A', 'object/mobile/shared_blister_rot_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('21982066', '14F6B72', 'object/mobile/shared_blood_drenched_merek_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273297352', '877FC3C8', 'object/mobile/shared_bloodfanged_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102628433', 'F4892451', 'object/mobile/shared_bloodseeker_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('706552459', '2A1D228B', 'object/mobile/shared_bloodseeker_mite_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1187375621', '46C5EA05', 'object/mobile/shared_blooming_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309529743', '89A8A08F', 'object/mobile/shared_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('708781211', '2A3F249B', 'object/mobile/shared_blurrg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432306355', '555F42B3', 'object/mobile/shared_blurrg_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3376386441', 'C93F9189', 'object/mobile/shared_blushing_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815686462', '6C392D3E', 'object/mobile/shared_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560245072', '989A3D50', 'object/mobile/shared_boar_wolf_cub.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250181521', 'C1B9D591', 'object/mobile/shared_boar_wolf_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2908233289', 'AD581E49', 'object/mobile/shared_boba_fett.iff');
INSERT INTO `object_crc_string_table` VALUES ('3725325606', 'DE0BF526', 'object/mobile/shared_bocatt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495751876', 'D05CF0C4', 'object/mobile/shared_bocatt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195766949', '4745F4A5', 'object/mobile/shared_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1849838534', '6E424BC6', 'object/mobile/shared_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3745797903', 'DF44570F', 'object/mobile/shared_bol_pack_runner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905349573', 'AD2C1DC5', 'object/mobile/shared_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2063978210', '7B05CEE2', 'object/mobile/shared_bolle_bol_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3809521624', 'E310AFD8', 'object/mobile/shared_bolle_bol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4078228623', 'F314D48F', 'object/mobile/shared_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('395403417', '17916099', 'object/mobile/shared_bolma_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423917739', '54DF42AB', 'object/mobile/shared_bolma_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480583701', '93DAB415', 'object/mobile/shared_bolma_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2894091205', 'AC8053C5', 'object/mobile/shared_bomarr_monk_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037341400', '796F5CD8', 'object/mobile/shared_bomarr_spider_monk_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('622383012', '2518CFA4', 'object/mobile/shared_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4179476385', 'F91DBFA1', 'object/mobile/shared_bordok_foal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189907115', '46EC8AAB', 'object/mobile/shared_bordok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('715008896', '2A9E2B80', 'object/mobile/shared_borgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1718298431', '666B273F', 'object/mobile/shared_borgle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1880344724', '7013C894', 'object/mobile/shared_borvo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2344257018', '8BBA85FA', 'object/mobile/shared_boss_nass.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748507550', '68381B9E', 'object/mobile/shared_bossk.iff');
INSERT INTO `object_crc_string_table` VALUES ('110794157', '69A95AD', 'object/mobile/shared_bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2910398359', 'AD792797', 'object/mobile/shared_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038129742', '797B644E', 'object/mobile/shared_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('437036395', '1A0CA56B', 'object/mobile/shared_brackaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('837719973', '31EE97A5', 'object/mobile/shared_bull_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053019120', 'F19429F0', 'object/mobile/shared_c_3po.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600355953', '5F637E71', 'object/mobile/shared_canoid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1139580531', '43EC9E73', 'object/mobile/shared_canoid_pack_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238991743', '49D9837F', 'object/mobile/shared_canyon_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3797965860', 'E2605C24', 'object/mobile/shared_capper_spineflap.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207949910', 'FAD03856', 'object/mobile/shared_capper_spineflap_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148793812', 'F74991D4', 'object/mobile/shared_captain_eso.iff');
INSERT INTO `object_crc_string_table` VALUES ('4166677801', 'F85A7529', 'object/mobile/shared_captain_hassk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186677588', 'BDF0D754', 'object/mobile/shared_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392030159', '52F8B1CF', 'object/mobile/shared_carrion_spat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234817390', '4999D16E', 'object/mobile/shared_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327478152', 'C6554988', 'object/mobile/shared_chadra_fan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2357441488', '8C83B3D0', 'object/mobile/shared_chadra_fan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('169882835', 'A2034D3', 'object/mobile/shared_charal.iff');
INSERT INTO `object_crc_string_table` VALUES ('993210305', '3B332FC1', 'object/mobile/shared_chewbacca.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946461572', 'AF9F6F84', 'object/mobile/shared_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990941486', '76AB5B2E', 'object/mobile/shared_choku_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('164314374', '9CB3D06', 'object/mobile/shared_choku_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308574907', 'C534D8BB', 'object/mobile/shared_chuba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129123954', 'BA82A472', 'object/mobile/shared_chuba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('768940720', '2DD51AB0', 'object/mobile/shared_clipped_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('103360686', '62928AE', 'object/mobile/shared_cll8_binary_load_lifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333671459', '8B190023', 'object/mobile/shared_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('993564673', '3B389801', 'object/mobile/shared_condor_dragon_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('38180676', '2469744', 'object/mobile/shared_confused_wood_mite_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636427705', 'D8BF7BB9', 'object/mobile/shared_corellian_butterfly.iff');
INSERT INTO `object_crc_string_table` VALUES ('1729513297', '67164751', 'object/mobile/shared_corellian_butterfly_defender.iff');
INSERT INTO `object_crc_string_table` VALUES ('760782683', '2D589F5B', 'object/mobile/shared_corellian_butterfly_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920594560', 'AE14BC80', 'object/mobile/shared_corellian_butterfly_monarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('705935397', '2A13B825', 'object/mobile/shared_corellian_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720206304', 'DDBDD7E0', 'object/mobile/shared_corellian_sand_panther_cub.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224963361', '849E3F21', 'object/mobile/shared_corellian_sand_panther_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638763255', '9D4854F7', 'object/mobile/shared_corellian_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('1880522634', '70167F8A', 'object/mobile/shared_corellian_slice_hound_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('138923017', '847CC09', 'object/mobile/shared_crazed_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('3569435698', 'D4C14432', 'object/mobile/shared_crimson_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('229802836', 'DB28354', 'object/mobile/shared_crowned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2286569912', '884A49B8', 'object/mobile/shared_crowned_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2368515148', '8D2CAC4C', 'object/mobile/shared_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('673552695', '28259937', 'object/mobile/shared_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917249950', 'ADE1B39E', 'object/mobile/shared_cu_pa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621894346', 'D7E1B8CA', 'object/mobile/shared_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4115746713', 'F5514F99', 'object/mobile/shared_dalyrake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3341021560', 'C723F178', 'object/mobile/shared_dalyrake_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3486278575', 'CFCC63AF', 'object/mobile/shared_dantari_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083847450', 'F36A911A', 'object/mobile/shared_dantari_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2351012697', '8C219B59', 'object/mobile/shared_dappled_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312348723', '4E38DA33', 'object/mobile/shared_dark_trooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116341658', '7E24CF9A', 'object/mobile/shared_darklight_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1480796777', '58432A69', 'object/mobile/shared_darth_maul_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('147261716', '8C70914', 'object/mobile/shared_darth_vader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767611196', '695B9B3C', 'object/mobile/shared_death_watch_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1029266079', '3D595A9F', 'object/mobile/shared_death_watch_battle_droid_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951677714', '74543D12', 'object/mobile/shared_death_watch_battle_droid_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('403141407', '1807731F', 'object/mobile/shared_death_watch_s_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('854577453', '32EFD12D', 'object/mobile/shared_death_watch_s_battle_droid_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078455456', '7BE2B6A0', 'object/mobile/shared_death_watch_s_battle_droid_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3943467921', 'EB0C8B91', 'object/mobile/shared_decay_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2501027811', '9512A7E3', 'object/mobile/shared_dera_darklighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059258087', 'B65892E7', 'object/mobile/shared_deranged_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('497085163', '1DA0EAEB', 'object/mobile/shared_devaronian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164163092', '4563B814', 'object/mobile/shared_devil_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499529322', 'D096946A', 'object/mobile/shared_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727120356', 'A28C8DE4', 'object/mobile/shared_dewback_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303882694', '4DB7ABC6', 'object/mobile/shared_diax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616759912', '605DCC68', 'object/mobile/shared_dire_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135080150', 'BADD86D6', 'object/mobile/shared_distant_ship_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464873062', 'CE85C466', 'object/mobile/shared_dragonet.iff');
INSERT INTO `object_crc_string_table` VALUES ('21647313', '14A4FD1', 'object/mobile/shared_drall_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3116494340', 'B9C1EE04', 'object/mobile/shared_drall_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144371959', '7FD084F7', 'object/mobile/shared_dressed_1handsword_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2764516448', 'A4C72C60', 'object/mobile/shared_dressed_1handsword_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989457901', 'EDCA4BED', 'object/mobile/shared_dressed_1handsword_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('763716767', '2D85649F', 'object/mobile/shared_dressed_2handsword_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136815624', 'F692CC08', 'object/mobile/shared_dressed_2handsword_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214912389', 'BF9FAB85', 'object/mobile/shared_dressed_2handsword_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('285582608', '1105A510', 'object/mobile/shared_dressed_aakuan_champion_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3531454450', 'D27DB7F2', 'object/mobile/shared_dressed_aakuan_champion_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('44536943', '2A7946F', 'object/mobile/shared_dressed_aakuan_defender_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861023902', '6EECF89E', 'object/mobile/shared_dressed_aakuan_defender_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2384407781', '8E1F2CE5', 'object/mobile/shared_dressed_aakuan_follower_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521468694', 'D1E55916', 'object/mobile/shared_dressed_aakuan_follower_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3190504305', 'BE2B3B71', 'object/mobile/shared_dressed_aakuan_guardian_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2760638919', 'A48C01C7', 'object/mobile/shared_dressed_aakuan_guardian_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639930037', 'D8F4ECB5', 'object/mobile/shared_dressed_aakuan_keeper_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2426711269', '90A4ACE5', 'object/mobile/shared_dressed_aakuan_keeper_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079254704', 'B789B2B0', 'object/mobile/shared_dressed_aakuan_sentinal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('810742409', '3052F289', 'object/mobile/shared_dressed_aakuan_sentinal_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('395933616', '179977B0', 'object/mobile/shared_dressed_aakuan_steward_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987859108', '767C52A4', 'object/mobile/shared_dressed_aakuan_steward_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1551900709', '5C802025', 'object/mobile/shared_dressed_aakuan_warder_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666866181', 'DA8FF005', 'object/mobile/shared_dressed_aakuan_warder_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('206516695', 'C4F31D7', 'object/mobile/shared_dressed_ackbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951482007', 'EB86D497', 'object/mobile/shared_dressed_ajuva_vanasterin.iff');
INSERT INTO `object_crc_string_table` VALUES ('792175214', '2F37A26E', 'object/mobile/shared_dressed_architect_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095740665', 'F4200AF9', 'object/mobile/shared_dressed_architect_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173870964', 'BD2D6D74', 'object/mobile/shared_dressed_architect_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1052594439', '3EBD5107', 'object/mobile/shared_dressed_armorsmith_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853187472', 'E5AAF990', 'object/mobile/shared_dressed_armorsmith_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896666141', 'ACA79E1D', 'object/mobile/shared_dressed_armorsmith_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('111428352', '6A44300', 'object/mobile/shared_dressed_artisan_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3719555991', 'DDB3EB97', 'object/mobile/shared_dressed_artisan_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495515674', '94BE8C1A', 'object/mobile/shared_dressed_artisan_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430477753', 'CC78EFB9', 'object/mobile/shared_dressed_arven_wendik.iff');
INSERT INTO `object_crc_string_table` VALUES ('2867003287', 'AAE2FF97', 'object/mobile/shared_dressed_assassin_mission_giver_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911904000', '71F55700', 'object/mobile/shared_dressed_assassin_mission_giver_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('955789453', '38F8308D', 'object/mobile/shared_dressed_assassin_mission_giver_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2999746712', 'B2CC8098', 'object/mobile/shared_dressed_assassin_mission_giver_imp_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775970319', '69DB280F', 'object/mobile/shared_dressed_assassin_mission_giver_imp_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('550915970', '20D64F82', 'object/mobile/shared_dressed_assassin_mission_giver_imp_hum_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342323877', '8B9D06A5', 'object/mobile/shared_dressed_assassin_mission_giver_reb_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1351265842', '508AAE32', 'object/mobile/shared_dressed_assassin_mission_giver_reb_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('428329407', '1987C9BF', 'object/mobile/shared_dressed_assassin_mission_giver_reb_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557835749', '987579E5', 'object/mobile/shared_dressed_athok_dinvar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3423768628', 'CC129034', 'object/mobile/shared_dressed_aujante_klee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318105215', '8A2B7A7F', 'object/mobile/shared_dressed_bardo_klinj.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569256686', '9923BEEE', 'object/mobile/shared_dressed_baritha.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404464510', 'CAEC017E', 'object/mobile/shared_dressed_bestine_artist01.iff');
INSERT INTO `object_crc_string_table` VALUES ('301705705', '11FBA9E9', 'object/mobile/shared_dressed_bestine_artist02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492569700', '58F6CE64', 'object/mobile/shared_dressed_bestine_artist03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736121200', 'A315E570', 'object/mobile/shared_dressed_bestine_artist04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927474941', 'EA1882FD', 'object/mobile/shared_dressed_bestine_artist05.iff');
INSERT INTO `object_crc_string_table` VALUES ('823077482', '310F2A6A', 'object/mobile/shared_dressed_bestine_artist06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1310701477', '4E1FB7A5', 'object/mobile/shared_dressed_bestine_capitol01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500337458', '95081F32', 'object/mobile/shared_dressed_bestine_capitol02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691346111', 'DC0578BF', 'object/mobile/shared_dressed_bestine_capitol03.iff');
INSERT INTO `object_crc_string_table` VALUES ('669406123', '27E653AB', 'object/mobile/shared_dressed_bestine_capitol04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339869628', '4FDCC9BC', 'object/mobile/shared_dressed_bestine_rumor01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496356651', '94CB612B', 'object/mobile/shared_dressed_bestine_rumor02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720742566', 'DDC606A6', 'object/mobile/shared_dressed_bestine_rumor03.iff');
INSERT INTO `object_crc_string_table` VALUES ('639970738', '26252DB2', 'object/mobile/shared_dressed_bestine_rumor04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864911423', '6F284A3F', 'object/mobile/shared_dressed_bestine_rumor05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024085672', 'B43FE2A8', 'object/mobile/shared_dressed_bestine_rumor06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247946533', 'FD328525', 'object/mobile/shared_dressed_bestine_rumor07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194895671', '4738A937', 'object/mobile/shared_dressed_bestine_rumor08.iff');
INSERT INTO `object_crc_string_table` VALUES ('238407354', 'E35CEBA', 'object/mobile/shared_dressed_bestine_rumor09.iff');
INSERT INTO `object_crc_string_table` VALUES ('502899529', '1DF9A349', 'object/mobile/shared_dressed_bestine_rumor10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425327300', '54F4C4C4', 'object/mobile/shared_dressed_bestine_rumor11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414046291', '8FE36C53', 'object/mobile/shared_dressed_bestine_rumor12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2108211755', '7DA8C22B', 'object/mobile/shared_dressed_binayre_bruiser_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('631166786', '259ED742', 'object/mobile/shared_dressed_binayre_bruiser_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2961997465', 'B08C7E99', 'object/mobile/shared_dressed_binayre_chief_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('510097734', '1E677946', 'object/mobile/shared_dressed_binayre_chief_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706622894', 'A153C9AE', 'object/mobile/shared_dressed_binayre_goon_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809920427', 'A77BFBAB', 'object/mobile/shared_dressed_binayre_goon_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736089111', 'A3156817', 'object/mobile/shared_dressed_binayre_hoodlum_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306777365', '897EA115', 'object/mobile/shared_dressed_binayre_hoodlum_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('48769020', '2E827FC', 'object/mobile/shared_dressed_binayre_hooligan_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('318185811', '12F72153', 'object/mobile/shared_dressed_binayre_hooligan_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089904341', 'B82C32D5', 'object/mobile/shared_dressed_binayre_pirate_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070552187', '3FCF547B', 'object/mobile/shared_dressed_binayre_pirate_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699863784', 'DC8770E8', 'object/mobile/shared_dressed_binayre_prowler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029132092', 'F027AD3C', 'object/mobile/shared_dressed_binayre_prowler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680180330', 'DB5B186A', 'object/mobile/shared_dressed_binayre_ruffian_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794653011', '6AF83B53', 'object/mobile/shared_dressed_binayre_ruffian_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348451756', '8BFA87AC', 'object/mobile/shared_dressed_binayre_scalawag_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4048463412', 'F14EA634', 'object/mobile/shared_dressed_binayre_scalawag_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210819917', '482BA54D', 'object/mobile/shared_dressed_binayre_smuggler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1975330486', '75BD26B6', 'object/mobile/shared_dressed_binayre_smuggler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282438609', 'C3A609D1', 'object/mobile/shared_dressed_binayre_swindler_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('538295350', '2015BC36', 'object/mobile/shared_dressed_binayre_swindler_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2506246921', '95624B09', 'object/mobile/shared_dressed_binayre_thief_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('921281473', '36E9A3C1', 'object/mobile/shared_dressed_binayre_thief_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870866351', 'E6B8BBAF', 'object/mobile/shared_dressed_bioengineer_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034883896', '3DAF1338', 'object/mobile/shared_dressed_bioengineer_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956803765', '74A274B5', 'object/mobile/shared_dressed_bioengineer_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754521442', 'A42EA962', 'object/mobile/shared_dressed_biribas_tarun.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627888108', 'D83D2DEC', 'object/mobile/shared_dressed_black_sun_assassin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095856786', 'B8870692', 'object/mobile/shared_dressed_black_sun_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930323679', '730E66DF', 'object/mobile/shared_dressed_black_sun_henchman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905654803', 'AD30C613', 'object/mobile/shared_dressed_black_sun_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('332227579', '13CD63FB', 'object/mobile/shared_dressed_blood_crazed_plains_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('4199989558', 'FA56C136', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621651111', '60A86EA7', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3826708386', 'E416EFA2', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418850156', 'CBC7836C', 'object/mobile/shared_dressed_blood_razor_pirate_berzerker_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865307966', 'AAC9213E', 'object/mobile/shared_dressed_blood_razor_pirate_captain_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274430150', 'FEC6A0C6', 'object/mobile/shared_dressed_blood_razor_pirate_captain_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('900630951', '35AE89A7', 'object/mobile/shared_dressed_blood_razor_pirate_captain_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539328812', 'D2F5DF2C', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208709309', '480B70BD', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3101038540', 'B8D617CC', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3606233652', 'D6F2C234', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614234660', 'D76CD824', 'object/mobile/shared_dressed_blood_razor_pirate_cutthroat_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3613451706', 'D760E5BA', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302219307', '4D9E4A2B', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('665167692', '27A5A74C', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410154335', '540D3F5F', 'object/mobile/shared_dressed_blood_razor_pirate_destroyer_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257177660', '8689CC3C', 'object/mobile/shared_dressed_blood_razor_pirate_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('477586349', '1C7763AD', 'object/mobile/shared_dressed_blood_razor_pirate_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783449529', '6A4D47B9', 'object/mobile/shared_dressed_blood_razor_pirate_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245477871', 'C1720FEF', 'object/mobile/shared_dressed_blood_razor_pirate_elite_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198915892', '8310CB34', 'object/mobile/shared_dressed_blood_razor_pirate_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535139283', '971B27D3', 'object/mobile/shared_dressed_blood_razor_pirate_guard_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('233146434', 'DE58842', 'object/mobile/shared_dressed_blood_razor_pirate_guard_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869946246', '6F751D86', 'object/mobile/shared_dressed_blood_razor_pirate_guard_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304444743', '895B0947', 'object/mobile/shared_dressed_blood_razor_pirate_guard_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731439784', 'A2CE76A8', 'object/mobile/shared_dressed_blood_razor_pirate_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('942725433', '3830D939', 'object/mobile/shared_dressed_blood_razor_pirate_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2678026308', '9F9F7044', 'object/mobile/shared_dressed_blood_razor_pirate_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349033504', '50689E20', 'object/mobile/shared_dressed_blood_razor_pirate_officer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398840753', 'CA9631B1', 'object/mobile/shared_dressed_blood_razor_pirate_officer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480546326', 'CF74EC16', 'object/mobile/shared_dressed_blood_razor_pirate_officer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1311289524', '4E28B0B4', 'object/mobile/shared_dressed_blood_razor_pirate_officer_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441896744', '55F19928', 'object/mobile/shared_dressed_blood_razor_pirate_officer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3163445308', 'BC8E583C', 'object/mobile/shared_dressed_blood_razor_pirate_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1671721438', '63A471DE', 'object/mobile/shared_dressed_blood_razor_pirate_scout_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4183481935', 'F95ADE4F', 'object/mobile/shared_dressed_blood_razor_pirate_scout_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112118602', '7DE45F4A', 'object/mobile/shared_dressed_blood_razor_pirate_scout_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050910973', '3EA3A0FD', 'object/mobile/shared_dressed_blood_razor_pirate_scout_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990738266', 'B2430B5A', 'object/mobile/shared_dressed_blood_razor_pirate_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('683517131', '28BDA4CB', 'object/mobile/shared_dressed_blood_razor_pirate_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2868743530', 'AAFD8D6A', 'object/mobile/shared_dressed_blood_razor_pirate_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2885887438', 'AC0325CE', 'object/mobile/shared_dressed_blood_razor_pirate_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431166627', 'CC8372A3', 'object/mobile/shared_dressed_blood_razor_pirate_strong_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084520530', 'B7DA0C52', 'object/mobile/shared_dressed_blood_razor_pirate_strong_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365210911', '8CFA411F', 'object/mobile/shared_dressed_blood_razor_pirate_strong_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('233790419', 'DEF5BD3', 'object/mobile/shared_dressed_blood_razor_pirate_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('437068806', '1A0D2406', 'object/mobile/shared_dressed_blood_razor_pirate_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163444631', '80F38B97', 'object/mobile/shared_dressed_blood_razor_pirate_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781802747', 'A5CEF0FB', 'object/mobile/shared_dressed_blood_razor_pirate_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('72157842', '44D0A92', 'object/mobile/shared_dressed_blood_razor_pirate_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('529801998', '1F94230E', 'object/mobile/shared_dressed_blood_razor_pirate_weak_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('615804483', '24B46E43', 'object/mobile/shared_dressed_blood_razor_pirate_weak_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807525792', 'A75771A0', 'object/mobile/shared_dressed_blood_razor_pirate_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2625060077', '9C773CED', 'object/mobile/shared_dressed_blood_razor_pirate_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1879667779', '70097443', 'object/mobile/shared_dressed_borvos_bruiser.iff');
INSERT INTO `object_crc_string_table` VALUES ('4026950238', 'F006625E', 'object/mobile/shared_dressed_borvos_champion.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246087789', 'FD16286D', 'object/mobile/shared_dressed_borvos_mercenary.iff');
INSERT INTO `object_crc_string_table` VALUES ('309867940', '127835A4', 'object/mobile/shared_dressed_borvos_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('63783907', '3CD43E3', 'object/mobile/shared_dressed_borvos_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881848951', 'ABC58677', 'object/mobile/shared_dressed_borvos_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113345378', 'B991E162', 'object/mobile/shared_dressed_bounty_hunter_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548044523', '5C4548EB', 'object/mobile/shared_dressed_bountyhunter_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270355580', '8752E07C', 'object/mobile/shared_dressed_bountyhunter_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462367217', 'CE5F87F1', 'object/mobile/shared_dressed_bountyhunter_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('901557477', '35BCACE5', 'object/mobile/shared_dressed_bountyhunter_trainer_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3269586252', 'C2E1ED4C', 'object/mobile/shared_dressed_brantlee_spondoon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146794019', 'BB904423', 'object/mobile/shared_dressed_brawler_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619520692', '6087ECB4', 'object/mobile/shared_dressed_brawler_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('696945465', '298A8B39', 'object/mobile/shared_dressed_brawler_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508291775', '95817EBF', 'object/mobile/shared_dressed_brennis_doore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292099918', '4D03E14E', 'object/mobile/shared_dressed_brigade_captain_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('931042019', '377E92E3', 'object/mobile/shared_dressed_brigade_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800532815', 'E287874F', 'object/mobile/shared_dressed_brigade_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994893804', '76E7A9EC', 'object/mobile/shared_dressed_brigade_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937956007', 'EAB870A7', 'object/mobile/shared_dressed_brigade_gunner_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390460344', 'CA1651B8', 'object/mobile/shared_dressed_brigade_gunner_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439642847', '55CF34DF', 'object/mobile/shared_dressed_brigade_infiltrator_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('631381531', '25A21E1B', 'object/mobile/shared_dressed_brigade_infiltrator_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('241925181', 'E6B7C3D', 'object/mobile/shared_dressed_brigade_marine_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('583793692', '22CBFC1C', 'object/mobile/shared_dressed_brigade_marine_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494584116', '59158B34', 'object/mobile/shared_dressed_brigade_officer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('738700410', '2C07AC7A', 'object/mobile/shared_dressed_brigade_officer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172406444', 'BD1714AC', 'object/mobile/shared_dressed_brigade_scout_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060082921', '3F2F94E9', 'object/mobile/shared_dressed_brigade_scout_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('764894191', '2D975BEF', 'object/mobile/shared_dressed_brigade_sergeant_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914153568', '7217AA60', 'object/mobile/shared_dressed_brigade_sergeant_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807671153', 'A759A971', 'object/mobile/shared_dressed_brigade_technician_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275684387', 'C33EFA23', 'object/mobile/shared_dressed_brigade_technician_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170332525', '815CA56D', 'object/mobile/shared_dressed_brigade_trooper_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('565695608', '21B7D478', 'object/mobile/shared_dressed_brigade_trooper_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('211938328', 'CA1EC18', 'object/mobile/shared_dressed_bth_spynet_pilot_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('886002808', '34CF5478', 'object/mobile/shared_dressed_bth_spynet_pilot_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023975151', 'EFD8FCEF', 'object/mobile/shared_dressed_bth_spynet_pilot_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2799016802', 'A6D59B62', 'object/mobile/shared_dressed_bth_spynet_pilot_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('694637565', '296753FD', 'object/mobile/shared_dressed_businessman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('601118418', '23D456D2', 'object/mobile/shared_dressed_capt_ric_olie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601211291', '5F708B9B', 'object/mobile/shared_dressed_captain_eso.iff');
INSERT INTO `object_crc_string_table` VALUES ('416325093', '18D09DE5', 'object/mobile/shared_dressed_captain_gilad_pellaeon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150051230', 'BBC1F79E', 'object/mobile/shared_dressed_captain_tish.iff');
INSERT INTO `object_crc_string_table` VALUES ('3376482768', 'C94109D0', 'object/mobile/shared_dressed_carbine_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('307667271', '1256A147', 'object/mobile/shared_dressed_carbine_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532741322', '5B5BC6CA', 'object/mobile/shared_dressed_carbine_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453530973', '923DE95D', 'object/mobile/shared_dressed_chadra_fan_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1227506122', '492A41CA', 'object/mobile/shared_dressed_chadra_fan_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565703', '272647', 'object/mobile/shared_dressed_chadra_fan_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857587005', 'AA53513D', 'object/mobile/shared_dressed_chadra_fan_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900345770', '7144F9AA', 'object/mobile/shared_dressed_chadra_fan_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('944348711', '38499E27', 'object/mobile/shared_dressed_chadra_fan_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403581691', '8F43BEFB', 'object/mobile/shared_dressed_champhra_biahin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3948617257', 'EB5B1E29', 'object/mobile/shared_dressed_chef_trainer_devaronian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1051403638', '3EAB2576', 'object/mobile/shared_dressed_chef_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072597558', 'F2BEE836', 'object/mobile/shared_dressed_chef_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176019381', '81B36BB5', 'object/mobile/shared_dressed_cobral_assassin_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119677650', '42BCECD2', 'object/mobile/shared_dressed_cobral_assassin_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2358376164', '8C91F6E4', 'object/mobile/shared_dressed_cobral_bandit_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('915891720', '36976608', 'object/mobile/shared_dressed_cobral_bandit_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735939972', 'A3132184', 'object/mobile/shared_dressed_cobral_boss_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1769302321', '69756931', 'object/mobile/shared_dressed_cobral_boss_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3682831326', 'DB838BDE', 'object/mobile/shared_dressed_cobral_hitman_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1731610618', '673647FA', 'object/mobile/shared_dressed_cobral_hitman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3910983327', 'E91CDE9F', 'object/mobile/shared_dressed_cobral_hooligan_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2735896748', 'A31278AC', 'object/mobile/shared_dressed_cobral_hooligan_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('801261173', '2FC24675', 'object/mobile/shared_dressed_cobral_mugger_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175646546', '81ADBB52', 'object/mobile/shared_dressed_cobral_mugger_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('296359878', '11AA17C6', 'object/mobile/shared_dressed_cobral_overlord_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728905292', 'DE42944C', 'object/mobile/shared_dressed_cobral_overlord_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633608178', '615EE1F2', 'object/mobile/shared_dressed_cobral_runner_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('579043751', '228381A7', 'object/mobile/shared_dressed_cobral_runner_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1527998977', '5B136A01', 'object/mobile/shared_dressed_cobral_thief_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('683714709', '28C0A895', 'object/mobile/shared_dressed_cobral_thief_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021148797', 'B413127D', 'object/mobile/shared_dressed_cobral_thug_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295771949', '88D6B32D', 'object/mobile/shared_dressed_cobral_thug_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257954726', '8695A7A6', 'object/mobile/shared_dressed_combatmedic_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931483406', '7320190E', 'object/mobile/shared_dressed_combatmedic_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661371614', '9EA14EDE', 'object/mobile/shared_dressed_combatmedic_trainer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938030814', 'AF1ECADE', 'object/mobile/shared_dressed_commander_xalox_guul.iff');
INSERT INTO `object_crc_string_table` VALUES ('765923786', '2DA711CA', 'object/mobile/shared_dressed_commando_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571848659', '5DB081D3', 'object/mobile/shared_dressed_commando_trainer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787658199', 'E1C313D7', 'object/mobile/shared_dressed_commando_trainer_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('604803028', '240C8FD4', 'object/mobile/shared_dressed_commoner_artisan_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1233791826', '498A2B52', 'object/mobile/shared_dressed_commoner_artisan_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004861826', 'B31A8D82', 'object/mobile/shared_dressed_commoner_artisan_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103475195', 'F4960FFB', 'object/mobile/shared_dressed_commoner_fat_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('797026156', '2F81A76C', 'object/mobile/shared_dressed_commoner_fat_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852970812', '6E72173C', 'object/mobile/shared_dressed_commoner_fat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043344299', 'B565BFAB', 'object/mobile/shared_dressed_commoner_fat_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('638835734', '2613DC16', 'object/mobile/shared_dressed_commoner_fat_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244927617', 'FD047481', 'object/mobile/shared_dressed_commoner_fat_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812306872', '6C059BB8', 'object/mobile/shared_dressed_commoner_fat_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071423279', 'B712332F', 'object/mobile/shared_dressed_commoner_fat_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('824463446', '31245056', 'object/mobile/shared_dressed_commoner_fat_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929274561', 'EA33F8C1', 'object/mobile/shared_dressed_commoner_fat_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984675979', 'B1E68A8B', 'object/mobile/shared_dressed_commoner_fat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794187804', '6AF1221C', 'object/mobile/shared_dressed_commoner_fat_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('41146771', '273D993', 'object/mobile/shared_dressed_commoner_naboo_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647238404', 'D9647104', 'object/mobile/shared_dressed_commoner_naboo_bothan_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309761692', '4E11609C', 'object/mobile/shared_dressed_commoner_naboo_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500249611', '9506C80B', 'object/mobile/shared_dressed_commoner_naboo_bothan_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3504184450', 'D0DD9C82', 'object/mobile/shared_dressed_commoner_naboo_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('197800981', 'BCA3415', 'object/mobile/shared_dressed_commoner_naboo_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120359320', '42C75398', 'object/mobile/shared_dressed_commoner_naboo_human_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106175116', 'B924788C', 'object/mobile/shared_dressed_commoner_naboo_human_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029226753', 'F0291F01', 'object/mobile/shared_dressed_commoner_naboo_human_female_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('725530518', '2B3EB796', 'object/mobile/shared_dressed_commoner_naboo_human_female_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647562779', '6233D01B', 'object/mobile/shared_dressed_commoner_naboo_human_female_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627678729', 'D839FC09', 'object/mobile/shared_dressed_commoner_naboo_human_female_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('955311928', '38F0E738', 'object/mobile/shared_dressed_commoner_naboo_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823587247', 'E3E74FAF', 'object/mobile/shared_dressed_commoner_naboo_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2867472418', 'AAEA2822', 'object/mobile/shared_dressed_commoner_naboo_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1359545142', '51090336', 'object/mobile/shared_dressed_commoner_naboo_human_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('402941115', '180464BB', 'object/mobile/shared_dressed_commoner_naboo_human_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3272854572', 'C313CC2C', 'object/mobile/shared_dressed_commoner_naboo_human_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2317265825', '8A1EABA1', 'object/mobile/shared_dressed_commoner_naboo_human_male_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('806651827', '301487B3', 'object/mobile/shared_dressed_commoner_naboo_human_male_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020849451', '3CD8ED2B', 'object/mobile/shared_dressed_commoner_naboo_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889120700', 'E7CF45BC', 'object/mobile/shared_dressed_commoner_naboo_moncal_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1293171481', '4D143B19', 'object/mobile/shared_dressed_commoner_naboo_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2516816782', '9603938E', 'object/mobile/shared_dressed_commoner_naboo_moncal_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869730090', 'E6A7652A', 'object/mobile/shared_dressed_commoner_naboo_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034997181', '3DB0CDBD', 'object/mobile/shared_dressed_commoner_naboo_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363783437', '8CE4790D', 'object/mobile/shared_dressed_commoner_naboo_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475596698', '57F3D19A', 'object/mobile/shared_dressed_commoner_naboo_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052805994', 'F190E96A', 'object/mobile/shared_dressed_commoner_naboo_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('713507325', '2A8741FD', 'object/mobile/shared_dressed_commoner_naboo_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1359439934', '5107683E', 'object/mobile/shared_dressed_commoner_naboo_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316353705', '8A10C0A9', 'object/mobile/shared_dressed_commoner_naboo_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('481461881', '1CB28679', 'object/mobile/shared_dressed_commoner_old_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3349491438', 'C7A52EEE', 'object/mobile/shared_dressed_commoner_old_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112269243', '7DE6ABBB', 'object/mobile/shared_dressed_commoner_old_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800812844', 'A6F1032C', 'object/mobile/shared_dressed_commoner_old_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778778583', 'E13B95D7', 'object/mobile/shared_dressed_commoner_old_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('975977792', '3A2C3D40', 'object/mobile/shared_dressed_commoner_old_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119243537', 'B9EBE111', 'object/mobile/shared_dressed_commoner_old_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660701062', '62FC4986', 'object/mobile/shared_dressed_commoner_old_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127988119', 'F60C1997', 'object/mobile/shared_dressed_commoner_old_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('756789504', '2D1BB100', 'object/mobile/shared_dressed_commoner_old_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678307362', '6408F022', 'object/mobile/shared_dressed_commoner_old_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206502581', 'BF1F58B5', 'object/mobile/shared_dressed_commoner_old_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('145755511', '8B00D77', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550979552', 'D3A7A5E0', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594882157', '9AAAC26D', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1632233849', '6149E979', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('675581684', '28448EF4', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082312803', 'F3532663', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126739438', 'BA5E41EE', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('5533180', '546DFC', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_female_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498486854', 'D086AC46', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('194053329', 'B9104D1', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117545308', '429C635C', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112126536', 'B97F4848', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034015173', 'F0722FC5', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('728074066', '2B658752', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651040479', '6268E0DF', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630353613', 'D862CCCD', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440014656', '916FAB40', 'object/mobile/shared_dressed_commoner_tatooine_aqualish_male_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1241828047', '4A04CACF', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433966680', '91136258', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3625846229', 'D81E05D5', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('603795137', '23FD2EC1', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794132300', '6AF0494C', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984763867', 'B1E7E1DB', 'object/mobile/shared_dressed_commoner_tatooine_bith_female_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206161025', 'BF1A2281', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678608918', '640D8A16', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('755035547', '2D00ED9B', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605251727', 'D6E3C68F', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2683216130', '9FEEA102', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157171605', '44F90995', 'object/mobile/shared_dressed_commoner_tatooine_bith_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027163053', '78D40DAD', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2747508026', 'A3C3A53A', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939418807', 'EACEC2B7', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('288221603', '112DE9A3', 'object/mobile/shared_dressed_commoner_tatooine_devaronian_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('190716306', 'B5E1992', 'object/mobile/shared_dressed_commoner_tatooine_ishitib_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494490373', 'D049B105', 'object/mobile/shared_dressed_commoner_tatooine_ishitib_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571425416', '9944D688', 'object/mobile/shared_dressed_commoner_tatooine_ishitib_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('181687135', 'AD4535F', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519282120', 'D1C3FBC8', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2563677253', '98CE9C45', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663940433', '632DB751', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('706793692', '2A20D0DC', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046944331', 'F137784B', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090816966', 'B83A1FC6', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('36713428', '23033D4', 'object/mobile/shared_dressed_commoner_tatooine_nikto_male_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497774199', '94E10277', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341565664', '4FF6AAE0', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('117165421', '6FBCD6D', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246267513', 'FD18E679', 'object/mobile/shared_dressed_commoner_tatooine_rodian_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651467751', 'D9A4F9E7', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('45306224', '2B35170', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270757117', '4BBE36FD', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2958892521', 'B05D1DE9', 'object/mobile/shared_dressed_commoner_tatooine_rodian_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944026085', '73DF7BE5', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831733618', 'A8C8D372', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787830527', 'E1C5B4FF', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('438738923', '1A269FEB', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395390566', '532BF866', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285654257', '883C50F1', 'object/mobile/shared_dressed_commoner_tatooine_sullustan_male_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('138244543', '83D71BF', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542800680', 'D32AD928', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586295973', '9A27BEA5', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1640273329', '61C495B1', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('502432196', '1DF281C4', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3336907091', 'C6E52953', 'object/mobile/shared_dressed_commoner_tatooine_trandoshan_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062555626', 'B68AE3EA', 'object/mobile/shared_dressed_coraline_dynes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145107103', '4440F29F', 'object/mobile/shared_dressed_corellia_cec_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071518060', 'F2AE6F6C', 'object/mobile/shared_dressed_corellia_corran_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546781728', '97CCCE20', 'object/mobile/shared_dressed_corellia_hal_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('142160511', '879327F', 'object/mobile/shared_dressed_corellia_local_corsec_chief.iff');
INSERT INTO `object_crc_string_table` VALUES ('1929807804', '730687BC', 'object/mobile/shared_dressed_corellia_viceprex_mistress.iff');
INSERT INTO `object_crc_string_table` VALUES ('2814605458', 'A7C37892', 'object/mobile/shared_dressed_corran_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643912755', 'D931B233', 'object/mobile/shared_dressed_corsair_captain_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240373981', 'C1242EDD', 'object/mobile/shared_dressed_corsair_captain_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1180048042', '46561AAA', 'object/mobile/shared_dressed_corsair_captain_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104907751', '7D7657E7', 'object/mobile/shared_dressed_corsair_captain_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977728311', 'ED175137', 'object/mobile/shared_dressed_corsair_cutthroat_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2011823782', '77E9FEA6', 'object/mobile/shared_dressed_corsair_cutthroat_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901642303', 'E88E563F', 'object/mobile/shared_dressed_corsair_cutthroat_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551402866', 'D3AE1B72', 'object/mobile/shared_dressed_corsair_cutthroat_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900861345', 'E8826BA1', 'object/mobile/shared_dressed_corsair_destroyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920779312', '727CC430', 'object/mobile/shared_dressed_corsair_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977997481', 'ED1B6CA9', 'object/mobile/shared_dressed_corsair_destroyer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594199524', 'D63B21E4', 'object/mobile/shared_dressed_corsair_destroyer_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015626219', 'EF5997EB', 'object/mobile/shared_dressed_corsair_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1973893242', '75A7387A', 'object/mobile/shared_dressed_corsair_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('431346868', '19B5D4B4', 'object/mobile/shared_dressed_corsair_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3938488547', 'EAC090E3', 'object/mobile/shared_dressed_corsair_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521174958', 'D1E0DDAE', 'object/mobile/shared_dressed_corsair_elite_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274748420', 'FECB7C04', 'object/mobile/shared_dressed_corsair_guard_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681249173', '6435D395', 'object/mobile/shared_dressed_corsair_guard_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('479039115', '1C8D8E8B', 'object/mobile/shared_dressed_corsair_guard_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767227024', 'E08B5290', 'object/mobile/shared_dressed_corsair_guard_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844771565', 'E52A8EED', 'object/mobile/shared_dressed_corsair_pirate_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144608636', '7FD4217C', 'object/mobile/shared_dressed_corsair_pirate_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3355325143', 'C7FE32D7', 'object/mobile/shared_dressed_corsair_pirate_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218069113', 'FB6AA079', 'object/mobile/shared_dressed_corsair_pirate_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769862629', 'E0B389E5', 'object/mobile/shared_dressed_corsair_pirate_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683894440', 'DB93C4A8', 'object/mobile/shared_dressed_corsair_pirate_elite_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967943700', 'B0E73A14', 'object/mobile/shared_dressed_corsair_pirate_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('706319749', '2A199585', 'object/mobile/shared_dressed_corsair_pirate_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647615927', 'D96A33B7', 'object/mobile/shared_dressed_corsair_pirate_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388553809', '8E5E7051', 'object/mobile/shared_dressed_corsair_pirate_strong_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077516857', '40399A39', 'object/mobile/shared_dressed_corsair_pirate_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3670488488', 'DAC735A8', 'object/mobile/shared_dressed_corsair_pirate_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1585034413', '5E79B4AD', 'object/mobile/shared_dressed_corsair_pirate_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('175385097', 'A742A09', 'object/mobile/shared_dressed_corsair_scout_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2424997272', '908A8598', 'object/mobile/shared_dressed_corsair_scout_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('338953373', '1434049D', 'object/mobile/shared_dressed_corsair_scout_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('267201793', 'FED2D01', 'object/mobile/shared_dressed_corsair_scout_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('466282881', '1BCAE981', 'object/mobile/shared_dressed_corsec_captain_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('16556953', 'FCA399', 'object/mobile/shared_dressed_corsec_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875886160', '6FCFC050', 'object/mobile/shared_dressed_corsec_detective_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750712439', 'DF8F5477', 'object/mobile/shared_dressed_corsec_detective_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254959481', 'C202BD79', 'object/mobile/shared_dressed_corsec_officer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('152421728', '915C560', 'object/mobile/shared_dressed_corsec_officer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630538207', 'D8659DDF', 'object/mobile/shared_dressed_corsec_pilot_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('920895820', '36E3C14C', 'object/mobile/shared_dressed_corsec_pilot_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('971528206', '39E8580E', 'object/mobile/shared_dressed_corvette_imperial_darkstone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2642335020', '9D7ED52C', 'object/mobile/shared_dressed_corvette_imperial_sabol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3435443235', 'CCC4B423', 'object/mobile/shared_dressed_corvette_imperial_velso.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101878876', '7D48205C', 'object/mobile/shared_dressed_corvette_neutral_bronell.iff');
INSERT INTO `object_crc_string_table` VALUES ('1901946192', '715D6550', 'object/mobile/shared_dressed_corvette_neutral_bruce.iff');
INSERT INTO `object_crc_string_table` VALUES ('1266546126', '4B7DF5CE', 'object/mobile/shared_dressed_corvette_neutral_yondalla.iff');
INSERT INTO `object_crc_string_table` VALUES ('4086098905', 'F38CEBD9', 'object/mobile/shared_dressed_corvette_rebel_adar.iff');
INSERT INTO `object_crc_string_table` VALUES ('509098355', '1E583973', 'object/mobile/shared_dressed_corvette_rebel_crowley.iff');
INSERT INTO `object_crc_string_table` VALUES ('3232029514', 'C0A4DB4A', 'object/mobile/shared_dressed_corvette_rebel_pashna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930076531', 'AEA56B73', 'object/mobile/shared_dressed_coynite_off_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1974649828', '75B2C3E4', 'object/mobile/shared_dressed_coynite_off_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165756757', '8116D355', 'object/mobile/shared_dressed_coynite_pilot_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1510046658', '5A017BC2', 'object/mobile/shared_dressed_coynite_pilot_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('319560783', '130C1C4F', 'object/mobile/shared_dressed_coynite_pilot_hum_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3907991387', 'E8EF375B', 'object/mobile/shared_dressed_coynite_pilot_hum_m_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715963606', 'A1E250D6', 'object/mobile/shared_dressed_coynite_pilot_hum_m_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2975872532', 'B1603614', 'object/mobile/shared_dressed_creaturehandler_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('544352117', '20722775', 'object/mobile/shared_dressed_creaturehandler_trainer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316522719', '8A1354DF', 'object/mobile/shared_dressed_creaturehandler_trainer_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126019205', 'F5EE0E85', 'object/mobile/shared_dressed_crev_bombaasa.iff');
INSERT INTO `object_crc_string_table` VALUES ('4227186798', 'FBF5C06E', 'object/mobile/shared_dressed_crider_trant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456571922', 'CE071A12', 'object/mobile/shared_dressed_criminal_assassin_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216467552', 'BFB76660', 'object/mobile/shared_dressed_criminal_assassin_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1871385447', '6F8B1367', 'object/mobile/shared_dressed_criminal_organized_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789315994', '6AA6CB9A', 'object/mobile/shared_dressed_criminal_organized_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('895070441', '3559B0E9', 'object/mobile/shared_dressed_criminal_organized_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2883406692', 'ABDD4B64', 'object/mobile/shared_dressed_criminal_organized_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941743775', 'AF57729F', 'object/mobile/shared_dressed_criminal_pirate_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075287882', 'B74D2B4A', 'object/mobile/shared_dressed_criminal_pirate_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268027596', '872F5ACC', 'object/mobile/shared_dressed_criminal_slicer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693793018', 'A09004FA', 'object/mobile/shared_dressed_criminal_slicer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439737032', '55D0A4C8', 'object/mobile/shared_dressed_criminal_smuggler_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4184098303', 'F96445FF', 'object/mobile/shared_dressed_criminal_smuggler_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('598710341', '23AF9845', 'object/mobile/shared_dressed_criminal_swooper_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('783797004', '2EB7CB0C', 'object/mobile/shared_dressed_criminal_swooper_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('124777914', '76FF5BA', 'object/mobile/shared_dressed_criminal_swooper_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1086114556', '40BCCAFC', 'object/mobile/shared_dressed_criminal_swooper_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411344577', 'CB54FCC1', 'object/mobile/shared_dressed_criminal_thug_aqualish_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('272847958', '10435456', 'object/mobile/shared_dressed_criminal_thug_aqualish_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('490930067', '1D42FF93', 'object/mobile/shared_dressed_criminal_thug_aqualish_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327481604', 'C6555704', 'object/mobile/shared_dressed_criminal_thug_aqualish_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('870855086', '33E831AE', 'object/mobile/shared_dressed_criminal_thug_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812834379', '6C0DA84B', 'object/mobile/shared_dressed_criminal_thug_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572128268', '5DB4C60C', 'object/mobile/shared_dressed_criminal_thug_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258857627', '86A36E9B', 'object/mobile/shared_dressed_criminal_thug_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2603521920', '9B2E9780', 'object/mobile/shared_dressed_criminal_thug_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077493527', '40393F17', 'object/mobile/shared_dressed_criminal_thug_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495617954', '592551A2', 'object/mobile/shared_dressed_criminal_thug_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938688799', '738E0B1F', 'object/mobile/shared_dressed_criminal_thug_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2651310621', '9E07CA1D', 'object/mobile/shared_dressed_criminal_thug_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3726012530', 'DE167072', 'object/mobile/shared_dressed_criminal_thug_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3221946711', 'C00B0157', 'object/mobile/shared_dressed_criminal_thug_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931190505', '731BA0E9', 'object/mobile/shared_dressed_criminal_thug_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121620877', '7E755D8D', 'object/mobile/shared_dressed_crook_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110857106', '42365592', 'object/mobile/shared_dressed_crook_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994099101', '76DB899D', 'object/mobile/shared_dressed_cx_425.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507958054', 'D1173126', 'object/mobile/shared_dressed_daclif_gallamby.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760167728', 'E01F9B30', 'object/mobile/shared_dressed_dalla_solo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800557384', 'A6ED1D48', 'object/mobile/shared_dressed_damalia_korde.iff');
INSERT INTO `object_crc_string_table` VALUES ('369592207', '1607878F', 'object/mobile/shared_dressed_dancer_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440389912', 'CD102F18', 'object/mobile/shared_dressed_dancer_trainer_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983490866', '7639AB32', 'object/mobile/shared_dressed_dancer_trainer_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171393597', '816CD63D', 'object/mobile/shared_dressed_dark_force_crystal_hunter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570698968', '5D9EF6D8', 'object/mobile/shared_dressed_dark_jedi_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2005105485', '77837B4D', 'object/mobile/shared_dressed_dark_jedi_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('381404964', '16BBC724', 'object/mobile/shared_dressed_dark_side_savage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500972348', '9511CF3C', 'object/mobile/shared_dressed_dark_trooper_black_hole.iff');
INSERT INTO `object_crc_string_table` VALUES ('910678824', '3647DB28', 'object/mobile/shared_dressed_darklighter_niece.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853795094', 'AA197516', 'object/mobile/shared_dressed_dathomir_nightsister_axkva.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033230337', 'F0663601', 'object/mobile/shared_dressed_dathomir_nightsister_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('361612105', '158DC349', 'object/mobile/shared_dressed_dathomir_nightsister_escaped_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967208473', 'B0DC0219', 'object/mobile/shared_dressed_dathomir_nightsister_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('531141629', '1FA893FD', 'object/mobile/shared_dressed_dathomir_nightsister_initiate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430135288', '90D8EBF8', 'object/mobile/shared_dressed_dathomir_nightsister_outcast.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893162759', 'AC722907', 'object/mobile/shared_dressed_dathomir_nightsister_protector.iff');
INSERT INTO `object_crc_string_table` VALUES ('764979635', '2D98A9B3', 'object/mobile/shared_dressed_dathomir_nightsister_rancor_tamer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3628672450', 'D84925C2', 'object/mobile/shared_dressed_dathomir_nightsister_ranger.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363815615', '514A2CBF', 'object/mobile/shared_dressed_dathomir_nightsister_sentinal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482802851', '5861C6A3', 'object/mobile/shared_dressed_dathomir_nightsister_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2291851149', '889ADF8D', 'object/mobile/shared_dressed_dathomir_nightsister_spellweaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157182633', '44F934A9', 'object/mobile/shared_dressed_dathomir_nightsister_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292914982', '4D105126', 'object/mobile/shared_dressed_dathomir_prisoner_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517105073', '9607F9B1', 'object/mobile/shared_dressed_dathomir_prisoner_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742015036', 'DF0A9E3C', 'object/mobile/shared_dressed_dathomir_prisoner_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('619296040', '24E9B528', 'object/mobile/shared_dressed_dathomir_prisoner_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843712677', '6DE4D2A5', 'object/mobile/shared_dressed_dathomir_prisoner_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1806425280', '6BABDCC0', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_arch_witch.iff');
INSERT INTO `object_crc_string_table` VALUES ('905293113', '35F5AD39', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_councilwoman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2066521183', '7B2C9C5F', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_dragoon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140756286', 'BB34233E', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_escaped_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845924648', 'E53C2728', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615915310', '6050E92E', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_huntress.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246279372', '4A48B6CC', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_initiate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3930207510', 'EA423516', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_outcast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1828886051', '6D029623', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_rancor_tamer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1250467023', '4A889CCF', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197970667', '476794EB', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_sentry.iff');
INSERT INTO `object_crc_string_table` VALUES ('722215438', '2B0C220E', 'object/mobile/shared_dressed_dathomir_sing_mt_clan_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294388409', 'FFF72AB9', 'object/mobile/shared_dressed_dathomir_spider_nightsister_crawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('916249685', '369CDC55', 'object/mobile/shared_dressed_dathomir_spider_nightsister_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238613848', '49D3BF58', 'object/mobile/shared_dressed_dathomir_spider_nightsister_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869716156', 'E6A72EBC', 'object/mobile/shared_dressed_dathomir_spider_nightsister_initiate.iff');
INSERT INTO `object_crc_string_table` VALUES ('146695425', '8BE6501', 'object/mobile/shared_dressed_dathomir_spider_nightsister_protector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303384094', 'C4E5A41E', 'object/mobile/shared_dressed_dathomir_spider_nightsister_sentinel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259412327', '4B111B67', 'object/mobile/shared_dressed_dathomir_spider_nightsister_spellweaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('780342276', '2E831404', 'object/mobile/shared_dressed_dathomir_spider_nightsister_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806977449', 'E2E9DDA9', 'object/mobile/shared_dressed_dathomir_spider_nightsister_web_dancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('839768165', '320DD865', 'object/mobile/shared_dressed_death_watch_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089566225', 'B8270A11', 'object/mobile/shared_dressed_death_watch_grey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286146806', 'C3DE9EF6', 'object/mobile/shared_dressed_death_watch_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553170937', 'D3C915F9', 'object/mobile/shared_dressed_death_watch_silver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985030980', 'ED86BF44', 'object/mobile/shared_dressed_deathstar_debris_cultist_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('915478483', '369117D3', 'object/mobile/shared_dressed_deathstar_debris_cultist_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142371591', 'F6E79307', 'object/mobile/shared_dressed_deathstar_debris_cultist_mon_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2347860664', '8BF182B8', 'object/mobile/shared_dressed_deathstar_debris_cultist_rod_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3850528316', 'E582663C', 'object/mobile/shared_dressed_deathstar_debris_leader_rod_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2432259061', '90F953F5', 'object/mobile/shared_dressed_denell_kelvannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053608249', '7A679339', 'object/mobile/shared_dressed_desperado_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616396794', '605841FA', 'object/mobile/shared_dressed_desperado_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331530610', '4F5D8B72', 'object/mobile/shared_dressed_diax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089666985', '7C8DC9A9', 'object/mobile/shared_dressed_diplomat_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2811912510', 'A79A613E', 'object/mobile/shared_dressed_diplomat_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002875059', 'EE9706B3', 'object/mobile/shared_dressed_diplomat_human_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3809271012', 'E30CDCE4', 'object/mobile/shared_dressed_diplomat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('941323379', '381B7473', 'object/mobile/shared_dressed_diplomat_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897272318', '711613FE', 'object/mobile/shared_dressed_diplomat_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('838046104', '31F39198', 'object/mobile/shared_dressed_diplomat_trando_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('756505236', '2D175A94', 'object/mobile/shared_dressed_diplomat_trando_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1709575936', '65E60F00', 'object/mobile/shared_dressed_diplomat_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203508119', 'BEF1A797', 'object/mobile/shared_dressed_diplomat_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2548839606', '97EC34B6', 'object/mobile/shared_dressed_diplomat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1291557921', '4CFB9C21', 'object/mobile/shared_dressed_diplomat_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('278701370', '109CA53A', 'object/mobile/shared_dressed_disable_sidequest_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838302384', '6D9244B0', 'object/mobile/shared_dressed_diva_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3454026602', 'CDE0436A', 'object/mobile/shared_dressed_doak_sif.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153411498', '44BFA9AA', 'object/mobile/shared_dressed_doctor_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760856169', '68F48869', 'object/mobile/shared_dressed_doctor_trainer_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970430892', '757263AC', 'object/mobile/shared_dressed_doctor_trainer_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334423662', 'C6BF446E', 'object/mobile/shared_dressed_doctor_vacca.iff');
INSERT INTO `object_crc_string_table` VALUES ('940947755', '3815B92B', 'object/mobile/shared_dressed_dolac_legasi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525826938', '5AF2457A', 'object/mobile/shared_dressed_dr_dea_tore.iff');
INSERT INTO `object_crc_string_table` VALUES ('1851363330', '6E599002', 'object/mobile/shared_dressed_dr_vacca.iff');
INSERT INTO `object_crc_string_table` VALUES ('325819301', '136B9BA5', 'object/mobile/shared_dressed_drakka_judarrl.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247998836', 'FD335174', 'object/mobile/shared_dressed_draya_korbinari.iff');
INSERT INTO `object_crc_string_table` VALUES ('617014231', '24C6E3D7', 'object/mobile/shared_dressed_drenn_zebber.iff');
INSERT INTO `object_crc_string_table` VALUES ('3794306810', 'E22886FA', 'object/mobile/shared_dressed_droidengineer_trainer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875483174', 'AB646426', 'object/mobile/shared_dressed_droidengineer_trainer_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085081847', 'B7E29CF7', 'object/mobile/shared_dressed_droidengineer_trainer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573085560', 'D4F8F578', 'object/mobile/shared_dressed_durgur_pyne.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905762901', '7197A255', 'object/mobile/shared_dressed_eisley_harburik_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('969141434', '39C3ECBA', 'object/mobile/shared_dressed_eisley_officer_aqualish_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('42070043', '281F01B', 'object/mobile/shared_dressed_eisley_officer_aqualish_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('741031462', '2C2B3E26', 'object/mobile/shared_dressed_eisley_officer_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885288051', 'E794CA73', 'object/mobile/shared_dressed_eisley_officer_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2257704323', '8691D583', 'object/mobile/shared_dressed_eisley_officer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('300124372', '11E388D4', 'object/mobile/shared_dressed_eisley_officer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474359135', '937BB95F', 'object/mobile/shared_dressed_eisley_officer_quarren_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189502506', '46E65E2A', 'object/mobile/shared_dressed_eisley_officer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4162283815', 'F8176927', 'object/mobile/shared_dressed_eisley_officer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874236008', 'E6EC2668', 'object/mobile/shared_dressed_eisley_officer_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('746676233', '2C816009', 'object/mobile/shared_dressed_eisley_officer_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372188319', 'C8FF829F', 'object/mobile/shared_dressed_eisley_officer_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('627168226', '2561D3E2', 'object/mobile/shared_dressed_eisley_officer_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3754430175', 'DFC80EDF', 'object/mobile/shared_dressed_eisley_officer_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4169319121', 'F882C2D1', 'object/mobile/shared_dressed_eisley_officer_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199160442', 'BEAF507A', 'object/mobile/shared_dressed_emperors_hand_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1486314061', '58975A4D', 'object/mobile/shared_dressed_emperors_hand_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206266074', '8380F2DA', 'object/mobile/shared_dressed_emperors_hand_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585779113', '9A1FDBA9', 'object/mobile/shared_dressed_emperors_hand_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733923381', 'DE8F2635', 'object/mobile/shared_dressed_entertainer_trainer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002969215', '7762E27F', 'object/mobile/shared_dressed_entertainer_trainer_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('795770506', '2F6E7E8A', 'object/mobile/shared_dressed_entertainer_trainer_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2888229824', 'AC26E3C0', 'object/mobile/shared_dressed_erran_sif.iff');
INSERT INTO `object_crc_string_table` VALUES ('974088634', '3A0F69BA', 'object/mobile/shared_dressed_ewok_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776495917', 'E118C12D', 'object/mobile/shared_dressed_ewok_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819991200', 'A815A6A0', 'object/mobile/shared_dressed_ewok_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1408667060', '53F68DB4', 'object/mobile/shared_dressed_ewok_f_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('452717113', '1AFBEA39', 'object/mobile/shared_dressed_ewok_f_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253486254', 'C1EC42AE', 'object/mobile/shared_dressed_ewok_f_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296456483', '88E12523', 'object/mobile/shared_dressed_ewok_f_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('854264113', '32EB0931', 'object/mobile/shared_dressed_ewok_f_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078699196', '7BE66EBC', 'object/mobile/shared_dressed_ewok_f_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1747583823', '682A034F', 'object/mobile/shared_dressed_ewok_f_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('556229826', '212764C2', 'object/mobile/shared_dressed_ewok_f_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197502037', 'FA30CC55', 'object/mobile/shared_dressed_ewok_f_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('39965146', '261D1DA', 'object/mobile/shared_dressed_ewok_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648420173', 'D976794D', 'object/mobile/shared_dressed_ewok_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423987904', '907B1EC0', 'object/mobile/shared_dressed_ewok_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1805137364', '6B9835D4', 'object/mobile/shared_dressed_ewok_m_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('580211289', '22955259', 'object/mobile/shared_dressed_ewok_m_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186110670', 'F982FACE', 'object/mobile/shared_dressed_ewok_m_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962201923', 'B08F9D43', 'object/mobile/shared_dressed_ewok_m_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('176533841', 'A85B151', 'object/mobile/shared_dressed_ewok_m_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133041372', '4388D6DC', 'object/mobile/shared_dressed_ewok_m_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346681647', '5044BB2F', 'object/mobile/shared_dressed_ewok_m_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('424271010', '1949DCA2', 'object/mobile/shared_dressed_ewok_m_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260970037', 'C25E7435', 'object/mobile/shared_dressed_ewok_m_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('552012164', '20E70984', 'object/mobile/shared_dressed_fancy_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083472646', '7C2F4506', 'object/mobile/shared_dressed_farmer_husband_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759379812', '68DE0164', 'object/mobile/shared_dressed_farmer_wife_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812641406', '6C0AB67E', 'object/mobile/shared_dressed_fath_hray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327997767', 'C65D3747', 'object/mobile/shared_dressed_fawn_moonraiser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361618348', 'C85E39AC', 'object/mobile/shared_dressed_fed_dub_captain_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('12819568', 'C39C70', 'object/mobile/shared_dressed_fed_dub_captain_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2942933226', 'AF6998EA', 'object/mobile/shared_dressed_fed_dub_commander_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3161535209', 'BC7132E9', 'object/mobile/shared_dressed_fed_dub_commander_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('334303988', '13ED12F4', 'object/mobile/shared_dressed_fed_dub_constable_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('279439411', '10A7E833', 'object/mobile/shared_dressed_fed_dub_constable_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778777696', 'E13B9260', 'object/mobile/shared_dressed_fed_dub_investigator_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('90363846', '562D7C6', 'object/mobile/shared_dressed_fed_dub_investigator_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664654311', '63389BE7', 'object/mobile/shared_dressed_fed_dub_patrol_man_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889525055', 'AC3AA73F', 'object/mobile/shared_dressed_fed_dub_patrolman_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127504966', '43345C46', 'object/mobile/shared_dressed_fed_dub_patrolman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386145364', '529EE654', 'object/mobile/shared_dressed_fed_dub_supporter_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('749035356', '2CA55F5C', 'object/mobile/shared_dressed_fed_dub_supporter_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095772516', '7CEAF364', 'object/mobile/shared_dressed_feinu_zerk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2507849557', '957ABF55', 'object/mobile/shared_dressed_feral_force_wielder.iff');
INSERT INTO `object_crc_string_table` VALUES ('52876059', '326D31B', 'object/mobile/shared_dressed_feral_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872065888', 'E6CB0960', 'object/mobile/shared_dressed_fightmaster_jorak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582842102', 'D58DD4F6', 'object/mobile/shared_dressed_force_sensitive_crypt_crawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4022749602', 'EFC649A2', 'object/mobile/shared_dressed_force_sensitive_renegade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067446413', '7B3ABA8D', 'object/mobile/shared_dressed_force_trained_archaist.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874526327', '6FBB0077', 'object/mobile/shared_dressed_forsaken_force_drifter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1366618558', '5174F1BE', 'object/mobile/shared_dressed_frenzied_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1512375804', '5A2505FC', 'object/mobile/shared_dressed_fs_converter.iff');
INSERT INTO `object_crc_string_table` VALUES ('892039589', '352B71A5', 'object/mobile/shared_dressed_fs_trainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('551049976', '20D85AF8', 'object/mobile/shared_dressed_fs_village_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897249451', 'E84B4EAB', 'object/mobile/shared_dressed_fs_village_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('760613899', '2D560C0B', 'object/mobile/shared_dressed_fs_village_enemies_daktar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1307193204', '4DEA2F74', 'object/mobile/shared_dressed_fs_village_enemy_daktar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754508565', 'A42E7715', 'object/mobile/shared_dressed_fs_village_enemy_gadsle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989382798', 'EDC9268E', 'object/mobile/shared_dressed_fs_village_enemy_kylaena.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261483492', '4B30B5E4', 'object/mobile/shared_dressed_fs_village_enemy_mellichae.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164924830', '456F579E', 'object/mobile/shared_dressed_fs_village_farmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('849175958', '329D6596', 'object/mobile/shared_dressed_fs_village_intro_woman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2518383563', '961B7BCB', 'object/mobile/shared_dressed_fs_village_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513398694', '95CF6BA6', 'object/mobile/shared_dressed_fs_village_oldman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2964267603', 'B0AF2253', 'object/mobile/shared_dressed_fs_village_quharek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326393236', '4F0F2794', 'object/mobile/shared_dressed_fs_village_sad.iff');
INSERT INTO `object_crc_string_table` VALUES ('567479231', '21D30BBF', 'object/mobile/shared_dressed_fs_village_surveyor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1285208010', '4C9AB7CA', 'object/mobile/shared_dressed_fs_village_whip.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284535005', 'FF60D0DD', 'object/mobile/shared_dressed_garm_bel_iblis.iff');
INSERT INTO `object_crc_string_table` VALUES ('379852701', '16A4179D', 'object/mobile/shared_dressed_garyn_dragoon_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('658499922', '273FE952', 'object/mobile/shared_dressed_garyn_dragoon_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2593641177', '9A97D2D9', 'object/mobile/shared_dressed_garyn_lieutenant_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720805250', 'A22C3182', 'object/mobile/shared_dressed_garyn_lieutenant_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('704542206', '29FE75FE', 'object/mobile/shared_dressed_garyn_marauder_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('31538792', '1E13E68', 'object/mobile/shared_dressed_garyn_marauder_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('779794461', '2E7AB81D', 'object/mobile/shared_dressed_garyn_mugger_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570846511', '993C012F', 'object/mobile/shared_dressed_garyn_mugger_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679678950', 'DB5371E6', 'object/mobile/shared_dressed_garyn_pirate_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508255084', 'D11BB96C', 'object/mobile/shared_dressed_garyn_pirate_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('501375303', '1DE26147', 'object/mobile/shared_dressed_garyn_prowler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038842218', '7986436A', 'object/mobile/shared_dressed_garyn_prowler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742435317', 'DF1107F5', 'object/mobile/shared_dressed_garyn_raider_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3217528770', 'BFC797C2', 'object/mobile/shared_dressed_garyn_raider_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2088843005', '7C8136FD', 'object/mobile/shared_dressed_garyn_theif_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('324685249', '135A4DC1', 'object/mobile/shared_dressed_garyn_theif_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1926554567', '72D4E3C7', 'object/mobile/shared_dressed_garyn_vigo_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167663919', 'F869812F', 'object/mobile/shared_dressed_garyn_vigo_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410643434', 'CB4A49EA', 'object/mobile/shared_dressed_gavyn_sykes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110838154', '42360B8A', 'object/mobile/shared_dressed_geonosian_commoner_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569118493', '9921A31D', 'object/mobile/shared_dressed_geonosian_commoner_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049007864', '3E8696F8', 'object/mobile/shared_dressed_geonosian_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953979153', 'EBACEF11', 'object/mobile/shared_dressed_geonosian_noble_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('817579910', '30BB4786', 'object/mobile/shared_dressed_geonosian_noble_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('504767605', '1E162475', 'object/mobile/shared_dressed_geonosian_scientist_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3305213154', 'C5018CE2', 'object/mobile/shared_dressed_geonosian_scientist_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023268625', 'B4336B11', 'object/mobile/shared_dressed_geonosian_warrior_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864680326', '6F24C386', 'object/mobile/shared_dressed_geonosian_warrior_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('640263179', '2629A40B', 'object/mobile/shared_dressed_geonosian_warrior_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2620110369', '9C2BB621', 'object/mobile/shared_dressed_gerrio_coronis.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517198202', '5A6E9B7A', 'object/mobile/shared_dressed_ghent.iff');
INSERT INTO `object_crc_string_table` VALUES ('715708874', '2AA8D9CA', 'object/mobile/shared_dressed_giker_budz.iff');
INSERT INTO `object_crc_string_table` VALUES ('336777384', '1412D0A8', 'object/mobile/shared_dressed_ging_darjeek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856857139', 'E5E2F833', 'object/mobile/shared_dressed_gins_darone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558798248', '988429A8', 'object/mobile/shared_dressed_goon_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646837680', 'D95E53B0', 'object/mobile/shared_dressed_goon_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('53895320', '3366098', 'object/mobile/shared_dressed_goru_rainstealer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875364182', '6FC7C956', 'object/mobile/shared_dressed_governor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764711956', '692F5E14', 'object/mobile/shared_dressed_graf_zapalo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2901057639', 'ACEAA067', 'object/mobile/shared_dressed_gran_thug_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013071600', '77FD08F0', 'object/mobile/shared_dressed_gran_thug_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397186032', '53475DF0', 'object/mobile/shared_dressed_grassland_blood_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2457307675', '92778A1B', 'object/mobile/shared_dressed_gravin_attal.iff');
INSERT INTO `object_crc_string_table` VALUES ('337327897', '141B3719', 'object/mobile/shared_dressed_grondorn_muse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1709106425', '65DEE4F9', 'object/mobile/shared_dressed_hagrin_zeed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4024810595', 'EFE5BC63', 'object/mobile/shared_dressed_haline_snowline.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103436961', 'F4957AA1', 'object/mobile/shared_dressed_hefsen_zindalai.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068785020', '3FB45D7C', 'object/mobile/shared_dressed_herald_biogenic_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3835950571', 'E4A3F5EB', 'object/mobile/shared_dressed_herald_biogenic_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913899110', 'ADAE9266', 'object/mobile/shared_dressed_herald_biogenic_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263781370', '4B53C5FA', 'object/mobile/shared_dressed_herald_corellia_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2420403565', '90446D6D', 'object/mobile/shared_dressed_herald_corellia_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451994947', '568BAF43', 'object/mobile/shared_dressed_herald_dathomir_nsister_cave_azzenaj.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899969798', '713F3D06', 'object/mobile/shared_dressed_herald_dathomir_nsister_cave_leandra.iff');
INSERT INTO `object_crc_string_table` VALUES ('979563827', '3A62F533', 'object/mobile/shared_dressed_herald_dathomir_nsister_cave_olof.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399008769', '8EFDF801', 'object/mobile/shared_dressed_herald_emperors_retreat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258356187', 'C23691DB', 'object/mobile/shared_dressed_herald_lok_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('421607756', '1921394C', 'object/mobile/shared_dressed_herald_lok_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515985347', '95F6E3C3', 'object/mobile/shared_dressed_herald_naboo_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1323387732', '4EE14B54', 'object/mobile/shared_dressed_herald_naboo_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128604511', '4345235F', 'object/mobile/shared_dressed_herald_noble_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('890806653', '3518A17D', 'object/mobile/shared_dressed_herald_nsister_rancor_cave_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3993962986', 'EE0F09EA', 'object/mobile/shared_dressed_herald_nsister_rancor_cave_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049082673', 'B5BD4F31', 'object/mobile/shared_dressed_herald_pirate_naboo_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2873284654', 'AB42D82E', 'object/mobile/shared_dressed_herald_servant_naboo_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621271537', '60A2A3F1', 'object/mobile/shared_dressed_herald_tatooine_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3149204326', 'BBB50B66', 'object/mobile/shared_dressed_herald_tatooine_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('754123397', '2CF30285', 'object/mobile/shared_dressed_hermit_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2267502107', '8727561B', 'object/mobile/shared_dressed_hiddendagger_pilot_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3209293435', 'BF49EE7B', 'object/mobile/shared_dressed_hiddendagger_pilot_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591680328', '9A79E748', 'object/mobile/shared_dressed_hirsch_sif.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753395803', 'A41D7C5B', 'object/mobile/shared_dressed_hoodlum_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2154342619', '8068A8DB', 'object/mobile/shared_dressed_hoodlum_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375379724', '8D956B0C', 'object/mobile/shared_dressed_hooligan_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('648197290', '26A2B4AA', 'object/mobile/shared_dressed_hooligan_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('702008669', '29D7CD5D', 'object/mobile/shared_dressed_huff_zinga.iff');
INSERT INTO `object_crc_string_table` VALUES ('212098020', 'CA45BE4', 'object/mobile/shared_dressed_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1481202544', '58495B70', 'object/mobile/shared_dressed_hutt_expedition_force_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240174951', 'C1212567', 'object/mobile/shared_dressed_hutt_expedition_force_member.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634320731', '6169C15B', 'object/mobile/shared_dressed_hutt_informant_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223887816', '48F30BC8', 'object/mobile/shared_dressed_hutt_medic1_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2456484453', '926AFA65', 'object/mobile/shared_dressed_hutt_medic2_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277287259', 'FEF2395B', 'object/mobile/shared_dressed_igbi_freemo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495474236', '94BDEA3C', 'object/mobile/shared_dressed_ignar_ominaz.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208167227', 'FAD3893B', 'object/mobile/shared_dressed_image_designer_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('566501804', '21C421AC', 'object/mobile/shared_dressed_image_designer_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758021153', '68C94621', 'object/mobile/shared_dressed_image_designer_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('391329231', '175335CF', 'object/mobile/shared_dressed_imperial_admiral_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2376964702', '8DAD9A5E', 'object/mobile/shared_dressed_imperial_admiral_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('560106012', '21628A1C', 'object/mobile/shared_dressed_imperial_admiral_m_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2087563029', '7C6DAF15', 'object/mobile/shared_dressed_imperial_atat_pilot_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498321727', 'D084273F', 'object/mobile/shared_dressed_imperial_captain_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1373753095', '51E1CF07', 'object/mobile/shared_dressed_imperial_cold_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2701430666', 'A1048F8A', 'object/mobile/shared_dressed_imperial_colonel_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('383293821', '16D8997D', 'object/mobile/shared_dressed_imperial_commander_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481288664', '93E575D8', 'object/mobile/shared_dressed_imperial_exterminator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3799379131', 'E275ECBB', 'object/mobile/shared_dressed_imperial_general_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217933493', '489830B5', 'object/mobile/shared_dressed_imperial_gunner_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449644294', '5667D106', 'object/mobile/shared_dressed_imperial_inquisitor_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317919928', 'C5C370B8', 'object/mobile/shared_dressed_imperial_lieutenant_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953999744', '7477AB80', 'object/mobile/shared_dressed_imperial_major_cold_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1867395579', '6F4E31FB', 'object/mobile/shared_dressed_imperial_major_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590349271', '5ECACDD7', 'object/mobile/shared_dressed_imperial_medic1_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('477381975', '1C744557', 'object/mobile/shared_dressed_imperial_medic2_21b_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258151269', '4AFDDD65', 'object/mobile/shared_dressed_imperial_medic3_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038898656', 'B521E9E0', 'object/mobile/shared_dressed_imperial_moff_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155535310', 'F7B06FCE', 'object/mobile/shared_dressed_imperial_moff1_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458378929', '56ED18B1', 'object/mobile/shared_dressed_imperial_officer_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3423844128', 'CC13B720', 'object/mobile/shared_dressed_imperial_officer_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('519244536', '1EF30AF8', 'object/mobile/shared_dressed_imperial_officer_m_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476291957', '57FE6D75', 'object/mobile/shared_dressed_imperial_officer_m_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2887599713', 'AC1D4661', 'object/mobile/shared_dressed_imperial_officer_m_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843039724', 'E51021EC', 'object/mobile/shared_dressed_imperial_officer_m_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1040681339', '3E07897B', 'object/mobile/shared_dressed_imperial_officer_m_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967105963', '753FA7AB', 'object/mobile/shared_dressed_imperial_red_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1623607949', '60C64A8D', 'object/mobile/shared_dressed_imperial_soldier_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('330150147', '13ADB103', 'object/mobile/shared_dressed_imperial_trainer_alozen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950366823', 'EB75D067', 'object/mobile/shared_dressed_imperial_trainer_holfheim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950081642', '743BE26A', 'object/mobile/shared_dressed_imperial_trainer_oberhaur.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198850561', 'FA456001', 'object/mobile/shared_dressed_imperial_trainer_space_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('559073430', '2152C896', 'object/mobile/shared_dressed_imperial_trainer_space_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751101211', '685FAF1B', 'object/mobile/shared_dressed_imperial_trainer_space_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089937518', '40F7206E', 'object/mobile/shared_dressed_ind.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991056770', 'B247E782', 'object/mobile/shared_dressed_indigo_siyan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146920626', '7FF768B2', 'object/mobile/shared_dressed_indintra_imbru_yerevan.iff');
INSERT INTO `object_crc_string_table` VALUES ('177360391', 'A924E07', 'object/mobile/shared_dressed_industrialist_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515213456', 'D185E690', 'object/mobile/shared_dressed_industrialist_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559082781', '9888811D', 'object/mobile/shared_dressed_industrialist_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('530535693', '1F9F550D', 'object/mobile/shared_dressed_isshala_daprovan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183190064', '46860C30', 'object/mobile/shared_dressed_izaryx.iff');
INSERT INTO `object_crc_string_table` VALUES ('965056128', '39859680', 'object/mobile/shared_dressed_jadam_questrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023398566', 'B43566A6', 'object/mobile/shared_dressed_jaleela_bindoo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3877267891', 'E71A69B3', 'object/mobile/shared_dressed_jan_dodonna.iff');
INSERT INTO `object_crc_string_table` VALUES ('3492268220', 'D027C8BC', 'object/mobile/shared_dressed_jatrian_lytus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478704547', '93BE07A3', 'object/mobile/shared_dressed_jazeen_thurmm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500161469', 'D0A039BD', 'object/mobile/shared_dressed_jedi_trainer_chiss_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('649399391', '26B50C5F', 'object/mobile/shared_dressed_jedi_trainer_nikto_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('70519421', '4340A7D', 'object/mobile/shared_dressed_jedi_trainer_old_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681424650', 'DB6E150A', 'object/mobile/shared_dressed_jedi_trainer_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613368528', '602A0CD0', 'object/mobile/shared_dressed_jowir_arlensa.iff');
INSERT INTO `object_crc_string_table` VALUES ('936443092', '37D0FCD4', 'object/mobile/shared_dressed_joz_jodhul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558112822', '5CDEEA36', 'object/mobile/shared_dressed_jusani_zhord.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209366666', 'FAE5D68A', 'object/mobile/shared_dressed_jyr_koble.iff');
INSERT INTO `object_crc_string_table` VALUES ('770892346', '2DF2E23A', 'object/mobile/shared_dressed_kais.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741772966', 'DF06ECA6', 'object/mobile/shared_dressed_karlaina_goldlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607865991', 'D70BAA87', 'object/mobile/shared_dressed_karrek_film.iff');
INSERT INTO `object_crc_string_table` VALUES ('1046512307', '3E6082B3', 'object/mobile/shared_dressed_kathikiis_ruwahurr.iff');
INSERT INTO `object_crc_string_table` VALUES ('564386208', '21A3D9A0', 'object/mobile/shared_dressed_kavas_urdano.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059682328', '7AC44218', 'object/mobile/shared_dressed_keanna_likyna.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811616322', '6BFB1242', 'object/mobile/shared_dressed_kelvus_naria.iff');
INSERT INTO `object_crc_string_table` VALUES ('623980582', '25313026', 'object/mobile/shared_dressed_kobola_assassin_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197861951', '4765EC3F', 'object/mobile/shared_dressed_kobola_assassin_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2426247961', '909D9B19', 'object/mobile/shared_dressed_kobola_guard_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829293794', '6D08CEE2', 'object/mobile/shared_dressed_kobola_guard_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466937588', 'CEA544F4', 'object/mobile/shared_dressed_kobola_miner_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565353846', '98E83176', 'object/mobile/shared_dressed_kobola_miner_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583164488', 'D592C048', 'object/mobile/shared_dressed_kobola_pitboss_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713205365', 'A1B83A75', 'object/mobile/shared_dressed_kobola_pitboss_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070809352', '3FD34108', 'object/mobile/shared_dressed_kobola_smuggler_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572510011', '221FCF3B', 'object/mobile/shared_dressed_kobola_smuggler_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('145386432', '8AA6BC0', 'object/mobile/shared_dressed_kobola_thief_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1730466112', '6724D140', 'object/mobile/shared_dressed_kobola_thief_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433581784', 'CCA84CD8', 'object/mobile/shared_dressed_kobola_underboss_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('683881069', '28C3326D', 'object/mobile/shared_dressed_kobola_underboss_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481153223', '93E364C7', 'object/mobile/shared_dressed_kritus_morven.iff');
INSERT INTO `object_crc_string_table` VALUES ('4099641481', 'F45B9089', 'object/mobile/shared_dressed_lasha_bindari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364800791', 'C88EC917', 'object/mobile/shared_dressed_lassin_dedge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892196875', 'E7FE360B', 'object/mobile/shared_dressed_leb_slesher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538430112', '5BB294A0', 'object/mobile/shared_dressed_lergo_brazee.iff');
INSERT INTO `object_crc_string_table` VALUES ('623965379', '2530F4C3', 'object/mobile/shared_dressed_lethin_bludder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250723058', 'C1C218F2', 'object/mobile/shared_dressed_lian_byrne.iff');
INSERT INTO `object_crc_string_table` VALUES ('947462918', '38792306', 'object/mobile/shared_dressed_liberation_activist_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601060901', '5F6E4025', 'object/mobile/shared_dressed_liberation_activist_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('739288441', '2C10A579', 'object/mobile/shared_dressed_liberation_fanatic_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3808151967', 'E2FBC99F', 'object/mobile/shared_dressed_liberation_fanatic_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('276027883', '1073D9EB', 'object/mobile/shared_dressed_liberation_loyalist_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426281992', 'CC38EA08', 'object/mobile/shared_dressed_liberation_loyalist_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('779502639', '2E76442F', 'object/mobile/shared_dressed_liberation_partisan_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('897341670', '357C58E6', 'object/mobile/shared_dressed_liberation_partisan_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736741704', '67849348', 'object/mobile/shared_dressed_liberation_patriot_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('787073854', '2EE9CB3E', 'object/mobile/shared_dressed_liberation_patriot_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('479143739', '1C8F273B', 'object/mobile/shared_dressed_liberation_reactionist_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860335492', 'AA7D4184', 'object/mobile/shared_dressed_liberation_reactionist_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615554812', '9BE632FC', 'object/mobile/shared_dressed_liberation_volunteer_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807907259', 'A75D43BB', 'object/mobile/shared_dressed_liberation_volunteer_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('955764932', '38F7D0C4', 'object/mobile/shared_dressed_lieutenant_lance.iff');
INSERT INTO `object_crc_string_table` VALUES ('1041217450', '3E0FB7AA', 'object/mobile/shared_dressed_lieutenant_riggs.iff');
INSERT INTO `object_crc_string_table` VALUES ('475806339', '1C5C3A83', 'object/mobile/shared_dressed_lok_cas_vankoo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4219937413', 'FB872285', 'object/mobile/shared_dressed_lord_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605093507', 'D6E15C83', 'object/mobile/shared_dressed_lord_sloan_rusper.iff');
INSERT INTO `object_crc_string_table` VALUES ('211338452', 'C98C4D4', 'object/mobile/shared_dressed_lord_throme_gormengal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3529912023', 'D2662ED7', 'object/mobile/shared_dressed_lost_aqualish_bomber_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333325052', '4F78ECFC', 'object/mobile/shared_dressed_lost_aqualish_bomber_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135075943', 'BADD7667', 'object/mobile/shared_dressed_lost_aqualish_captain_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3477140721', 'CF40F4F1', 'object/mobile/shared_dressed_lost_aqualish_captain_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3600770521', 'D69F65D9', 'object/mobile/shared_dressed_lost_aqualish_commando_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737355927', 'A328BC97', 'object/mobile/shared_dressed_lost_aqualish_commando_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3958728876', 'EBF568AC', 'object/mobile/shared_dressed_lost_aqualish_infiltrator_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639880829', 'D8F42C7D', 'object/mobile/shared_dressed_lost_aqualish_infiltrator_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072770288', 'F2C18AF0', 'object/mobile/shared_dressed_lost_aqualish_lookout_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('302007941', '12004685', 'object/mobile/shared_dressed_lost_aqualish_lookout_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432799906', 'CC9C5EA2', 'object/mobile/shared_dressed_lost_aqualish_marksman_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2058114902', '7AAC5756', 'object/mobile/shared_dressed_lost_aqualish_marksman_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3894956242', 'E82850D2', 'object/mobile/shared_dressed_lost_aqualish_marshal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2384888696', '8E268378', 'object/mobile/shared_dressed_lost_aqualish_marshal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249890837', '4A7FD215', 'object/mobile/shared_dressed_lost_aqualish_outrider_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819569599', 'E3AA01BF', 'object/mobile/shared_dressed_lost_aqualish_outrider_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755759198', '68A6C25E', 'object/mobile/shared_dressed_lost_aqualish_scout_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('423623', '676C7', 'object/mobile/shared_dressed_lost_aqualish_scout_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('845541443', '3265F043', 'object/mobile/shared_dressed_lost_aqualish_soldier_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343082890', '8BA89B8A', 'object/mobile/shared_dressed_lost_aqualish_soldier_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107235899', '41FF143B', 'object/mobile/shared_dressed_lost_aqualish_warchief_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278879940', '87D4F2C4', 'object/mobile/shared_dressed_lost_aqualish_warchief_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830683083', 'E45395CB', 'object/mobile/shared_dressed_lost_aqualish_warrior_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2901742474', 'ACF5138A', 'object/mobile/shared_dressed_lost_aqualish_warrior_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('944471301', '384B7D05', 'object/mobile/shared_dressed_lt_oron_wintree.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659641704', 'DA21B368', 'object/mobile/shared_dressed_lt_vana_sage.iff');
INSERT INTO `object_crc_string_table` VALUES ('196428947', 'BB54493', 'object/mobile/shared_dressed_luke_skywalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1009717039', '3C2F0F2F', 'object/mobile/shared_dressed_luthik_uwyr.iff');
INSERT INTO `object_crc_string_table` VALUES ('3471228081', 'CEE6BCB1', 'object/mobile/shared_dressed_luthin_dlunar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482499810', '585D26E2', 'object/mobile/shared_dressed_lx_466.iff');
INSERT INTO `object_crc_string_table` VALUES ('4058692295', 'F1EABAC7', 'object/mobile/shared_dressed_lyda_skims.iff');
INSERT INTO `object_crc_string_table` VALUES ('3429158012', 'CC64CC7C', 'object/mobile/shared_dressed_magur_torigai.iff');
INSERT INTO `object_crc_string_table` VALUES ('3926753656', 'EA0D8178', 'object/mobile/shared_dressed_mand_bunker_crazed_miner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1121654046', '42DB151E', 'object/mobile/shared_dressed_mand_bunker_foreman.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584504744', 'D5A733A8', 'object/mobile/shared_dressed_mand_bunker_technician.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960169544', 'EC0B6448', 'object/mobile/shared_dressed_mand_miner_aqualish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2473795196', '93731E7C', 'object/mobile/shared_dressed_mand_miner_bith.iff');
INSERT INTO `object_crc_string_table` VALUES ('2838717540', 'A9336464', 'object/mobile/shared_dressed_mand_miner_hum_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915014387', '7224CCF3', 'object/mobile/shared_dressed_mand_miner_hum_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('992586622', '3B29AB7E', 'object/mobile/shared_dressed_mand_miner_hum_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665147795', 'DA75B793', 'object/mobile/shared_dressed_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641710673', 'D9101851', 'object/mobile/shared_dressed_marksman_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('34058438', '207B0C6', 'object/mobile/shared_dressed_marksman_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259001675', '4B0AD74B', 'object/mobile/shared_dressed_marksman_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615217683', 'D77BD813', 'object/mobile/shared_dressed_marooned_pirate_bith_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856434738', 'E5DC8632', 'object/mobile/shared_dressed_marooned_pirate_captain_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276044217', 'FEDF41B9', 'object/mobile/shared_dressed_marooned_pirate_captain_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253116393', 'C1E69DE9', 'object/mobile/shared_dressed_marooned_pirate_captain_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059087531', '7ABB2EAB', 'object/mobile/shared_dressed_marooned_pirate_captain_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494554629', '59151805', 'object/mobile/shared_dressed_marooned_pirate_engr_bith_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398355279', 'CA8EC94F', 'object/mobile/shared_dressed_marooned_pirate_engr_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349543646', '507066DE', 'object/mobile/shared_dressed_marooned_pirate_engr_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842573061', 'E5090305', 'object/mobile/shared_dressed_marooned_pirate_engr_sull_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472654375', '57C6EC27', 'object/mobile/shared_dressed_marooned_pirate_engr1_bith_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4233014939', 'FC4EAE9B', 'object/mobile/shared_dressed_marooned_pirate_engr1_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722810634', '66B0010A', 'object/mobile/shared_dressed_marooned_pirate_engr1_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3956995879', 'EBDAF727', 'object/mobile/shared_dressed_marooned_pirate_engr1_sull_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157311584', '44FB2C60', 'object/mobile/shared_dressed_marooned_pirate_first_mate_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3724903409', 'DE0583F1', 'object/mobile/shared_dressed_marooned_pirate_first_mate_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051051', '1F4BEB', 'object/mobile/shared_dressed_marooned_pirate_first_mate_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522205428', '5ABB02F4', 'object/mobile/shared_dressed_marooned_pirate_first_mate_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885692952', 'E79AF818', 'object/mobile/shared_dressed_marooned_pirate_first_mate_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166319668', '811F6A34', 'object/mobile/shared_dressed_marooned_pirate_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('467781029', '1BE1C5A5', 'object/mobile/shared_dressed_marooned_pirate_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289468911', 'C4114FEF', 'object/mobile/shared_dressed_marooned_pirate_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('94497585', '5A1EB31', 'object/mobile/shared_dressed_marooned_pirate_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673820832', '9F5F44A0', 'object/mobile/shared_dressed_marooned_pirate_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234393066', '499357EA', 'object/mobile/shared_dressed_marooned_pirate_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3962845587', 'EC343993', 'object/mobile/shared_dressed_mauler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239599673', 'C1185E39', 'object/mobile/shared_dressed_mauler_acolyte.iff');
INSERT INTO `object_crc_string_table` VALUES ('651266589', '26D18A1D', 'object/mobile/shared_dressed_mauler_apprentice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470638760', '9342F4A8', 'object/mobile/shared_dressed_mauler_lord.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826884049', '6CE409D1', 'object/mobile/shared_dressed_mauler_master.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201343736', 'BED0A0F8', 'object/mobile/shared_dressed_mayor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815575059', '6C377A13', 'object/mobile/shared_dressed_medic_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072381572', 'B720D284', 'object/mobile/shared_dressed_medic_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4264408329', 'FE2DB509', 'object/mobile/shared_dressed_medic_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360870828', 'C852D1AC', 'object/mobile/shared_dressed_mercenary_commander_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239416924', 'C115945C', 'object/mobile/shared_dressed_mercenary_commander_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1463122229', '57357935', 'object/mobile/shared_dressed_mercenary_commander_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813329016', '6C153478', 'object/mobile/shared_dressed_mercenary_commander_zab_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('111439077', '6A46CE5', 'object/mobile/shared_dressed_mercenary_destroyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2623193972', '9C5AC374', 'object/mobile/shared_dressed_mercenary_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791040274', 'E1F6AF12', 'object/mobile/shared_dressed_mercenary_destroyer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('54356973', '33D6BED', 'object/mobile/shared_dressed_mercenary_destroyer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288300086', 'FF9A4436', 'object/mobile/shared_dressed_mercenary_elite_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1701112743', '6564EBA7', 'object/mobile/shared_dressed_mercenary_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3044338694', 'B574EC06', 'object/mobile/shared_dressed_mercenary_elite_medic_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2331048423', '8AF0F9E7', 'object/mobile/shared_dressed_mercenary_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789187746', 'E1DA6AA2', 'object/mobile/shared_dressed_mercenary_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194517822', 'FA03433E', 'object/mobile/shared_dressed_mercenary_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325337605', '4EFF0C05', 'object/mobile/shared_dressed_mercenary_medic_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229947334', 'C08515C6', 'object/mobile/shared_dressed_mercenary_messanger_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518058071', '5A7BBA57', 'object/mobile/shared_dressed_mercenary_messanger_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737467730', 'DEC53B52', 'object/mobile/shared_dressed_mercenary_messanger_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334055534', '8B1EDC6E', 'object/mobile/shared_dressed_mercenary_messanger_sullustan_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672932530', '63B6ECB2', 'object/mobile/shared_dressed_mercenary_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4182262563', 'F9484323', 'object/mobile/shared_dressed_mercenary_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2113323558', '7DF6C226', 'object/mobile/shared_dressed_mercenary_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('742313213', '2C3ECCFD', 'object/mobile/shared_dressed_mercenary_strong_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3306620307', 'C5170593', 'object/mobile/shared_dressed_mercenary_warlord_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('723266663', '2B1C2C67', 'object/mobile/shared_dressed_mercenary_warlord_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517333770', '5A70AD0A', 'object/mobile/shared_dressed_mercenary_warlord_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('340310318', '1448B92E', 'object/mobile/shared_dressed_mercenary_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394298047', '8EB616BF', 'object/mobile/shared_dressed_mercenary_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('168335290', 'A0897BA', 'object/mobile/shared_dressed_mercenary_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1219048604', '48A9349C', 'object/mobile/shared_dressed_merchant_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478742539', '93BE9C0B', 'object/mobile/shared_dressed_merchant_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3669228422', 'DAB3FB86', 'object/mobile/shared_dressed_merchant_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('122069444', '746A1C4', 'object/mobile/shared_dressed_mountain_villager.iff');
INSERT INTO `object_crc_string_table` VALUES ('495034452', '1D81A054', 'object/mobile/shared_dressed_mourno_draver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861706741', 'E62CF7F5', 'object/mobile/shared_dressed_mozo_bondog.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305519749', '896B7085', 'object/mobile/shared_dressed_mugger.iff');
INSERT INTO `object_crc_string_table` VALUES ('747095842', '2C87C722', 'object/mobile/shared_dressed_mullud_bombo.iff');
INSERT INTO `object_crc_string_table` VALUES ('376670109', '1673879D', 'object/mobile/shared_dressed_murder_mystery_alonarg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994617029', '76E370C5', 'object/mobile/shared_dressed_murder_mystery_ardol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722395149', '66A9AA0D', 'object/mobile/shared_dressed_murder_mystery_captain_harrigan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311653609', 'C563D2E9', 'object/mobile/shared_dressed_murder_mystery_car_nistran.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848904904', 'E569A0C8', 'object/mobile/shared_dressed_murder_mystery_chelerra.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732877226', 'A2E465AA', 'object/mobile/shared_dressed_murder_mystery_dareth_faerine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1993889412', '76D85684', 'object/mobile/shared_dressed_murder_mystery_gevers.iff');
INSERT INTO `object_crc_string_table` VALUES ('2135718194', '7F4C7932', 'object/mobile/shared_dressed_murder_mystery_rezden.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219908786', '84511EB2', 'object/mobile/shared_dressed_murder_mystery_thanik_santilis.iff');
INSERT INTO `object_crc_string_table` VALUES ('438572567', '1A241617', 'object/mobile/shared_dressed_musician_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3241393792', 'C133BE80', 'object/mobile/shared_dressed_musician_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285820173', '883ED90D', 'object/mobile/shared_dressed_musician_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944138708', 'AF7BFDD4', 'object/mobile/shared_dressed_naboo_ayn_eckener.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734276594', 'A2F9BFF2', 'object/mobile/shared_dressed_naboo_captain_dallows.iff');
INSERT INTO `object_crc_string_table` VALUES ('1828754012', '6D00925C', 'object/mobile/shared_dressed_naboo_dissident.iff');
INSERT INTO `object_crc_string_table` VALUES ('156723958', '9576AF6', 'object/mobile/shared_dressed_naboo_govenor_ian_lago.iff');
INSERT INTO `object_crc_string_table` VALUES ('953770859', '38D9636B', 'object/mobile/shared_dressed_naboo_gunrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996282061', 'B297A2CD', 'object/mobile/shared_dressed_naboo_holy_man.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771727654', 'E0CFFF26', 'object/mobile/shared_dressed_naboo_junelle_astor.iff');
INSERT INTO `object_crc_string_table` VALUES ('791733027', '2F30E323', 'object/mobile/shared_dressed_naboo_kadil_nurugen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946296785', 'AF9CEBD1', 'object/mobile/shared_dressed_naboo_liane.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279142292', '4C3E2994', 'object/mobile/shared_dressed_naboo_lt_porro_dolphe.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210584096', 'FAF86A20', 'object/mobile/shared_dressed_naboo_mal_sikander.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542952599', 'D32D2A97', 'object/mobile/shared_dressed_naboo_monk.iff');
INSERT INTO `object_crc_string_table` VALUES ('157916561', '9699D91', 'object/mobile/shared_dressed_naboo_nomad.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225308126', '4908B7DE', 'object/mobile/shared_dressed_naboo_police.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605262391', 'D6E3F037', 'object/mobile/shared_dressed_naboo_police_chief.iff');
INSERT INTO `object_crc_string_table` VALUES ('900147651', '35A729C3', 'object/mobile/shared_dressed_naboo_queen_kylantha_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004544852', 'EEB08154', 'object/mobile/shared_dressed_naboo_queen_kylantha_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2161264385', '80D24701', 'object/mobile/shared_dressed_naboo_sayama_edosun.iff');
INSERT INTO `object_crc_string_table` VALUES ('315133989', '12C89025', 'object/mobile/shared_dressed_naboo_serena_fenner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2540419932', '976BBB5C', 'object/mobile/shared_dressed_naboo_vrir_unglan.iff');
INSERT INTO `object_crc_string_table` VALUES ('658617488', '2741B490', 'object/mobile/shared_dressed_narmle_captain_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649958645', '9DF328F5', 'object/mobile/shared_dressed_narmle_captain_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425584552', '54F8B1A8', 'object/mobile/shared_dressed_narmle_colonel_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966483962', 'B0D0F3FA', 'object/mobile/shared_dressed_narmle_colonel_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291865971', 'FFD0AD73', 'object/mobile/shared_dressed_narmle_commander_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483182730', '5867928A', 'object/mobile/shared_dressed_narmle_commander_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('956494460', '3902F27C', 'object/mobile/shared_dressed_narmle_commando_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995017057', 'B2845561', 'object/mobile/shared_dressed_narmle_commando_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253691894', 'C1EF65F6', 'object/mobile/shared_dressed_narmle_ensign_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694969239', '65072D97', 'object/mobile/shared_dressed_narmle_ensign_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('741581017', '2C33A0D9', 'object/mobile/shared_dressed_narmle_grenadier_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842393606', 'E5064606', 'object/mobile/shared_dressed_narmle_grenadier_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('607934672', '243C58D0', 'object/mobile/shared_dressed_narmle_guard_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806888161', 'E2E880E1', 'object/mobile/shared_dressed_narmle_guard_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3773749177', 'E0EED7B9', 'object/mobile/shared_dressed_narmle_lieutenant_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1496072288', '592C4060', 'object/mobile/shared_dressed_narmle_lieutenant_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166132297', '4581C449', 'object/mobile/shared_dressed_narmle_major_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('364856187', '15BF437B', 'object/mobile/shared_dressed_narmle_major_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146377796', '7FEF2044', 'object/mobile/shared_dressed_narmle_rifleman_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1012651850', '3C5BD74A', 'object/mobile/shared_dressed_narmle_rifleman_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('350942716', '14EAF5FC', 'object/mobile/shared_dressed_neja_bertolo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2409892248', '8FA40998', 'object/mobile/shared_dressed_noble_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150912757', '449988F5', 'object/mobile/shared_dressed_noble_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('193271410', 'B851672', 'object/mobile/shared_dressed_noble_fat_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499278053', 'D092BEE5', 'object/mobile/shared_dressed_noble_fat_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3023966340', 'B43E1084', 'object/mobile/shared_dressed_noble_fat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865005075', '6F29B813', 'object/mobile/shared_dressed_noble_fat_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231178658', '84FD15A2', 'object/mobile/shared_dressed_noble_fat_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1609219381', '5FEABD35', 'object/mobile/shared_dressed_noble_fat_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('504610439', '1E13BE87', 'object/mobile/shared_dressed_noble_fat_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3305379344', 'C5041610', 'object/mobile/shared_dressed_noble_fat_twilek_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2479528418', '93CA99E2', 'object/mobile/shared_dressed_noble_fat_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222455669', '48DD3175', 'object/mobile/shared_dressed_noble_fat_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3287330740', 'C3F0AFB4', 'object/mobile/shared_dressed_noble_fat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('417793827', '18E70723', 'object/mobile/shared_dressed_noble_fat_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2009015124', '77BF2354', 'object/mobile/shared_dressed_noble_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896726979', 'ACA88BC3', 'object/mobile/shared_dressed_noble_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852856398', 'E5A5EC4E', 'object/mobile/shared_dressed_noble_human_female_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('507955034', '1E46C75A', 'object/mobile/shared_dressed_noble_human_female_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1787525696', '6A8B7A40', 'object/mobile/shared_dressed_noble_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2979844823', 'B19CD2D7', 'object/mobile/shared_dressed_noble_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170298714', 'F891B55A', 'object/mobile/shared_dressed_noble_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('57843278', '3729E4E', 'object/mobile/shared_dressed_noble_human_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572077544', 'D4E993E8', 'object/mobile/shared_dressed_noble_naboo_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('268319615', 'FFE3B7F', 'object/mobile/shared_dressed_noble_naboo_twilek_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('772452537', '2E0AB0B9', 'object/mobile/shared_dressed_noble_naboo_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819020272', 'E3A19FF0', 'object/mobile/shared_dressed_noble_old_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('951465831', '38B63767', 'object/mobile/shared_dressed_noble_old_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812980227', 'A7AAAC03', 'object/mobile/shared_dressed_noble_old_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092762260', '7CBD0494', 'object/mobile/shared_dressed_noble_old_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535762044', '5B89DE7C', 'object/mobile/shared_dressed_noble_old_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157868779', '809E76EB', 'object/mobile/shared_dressed_noble_old_twk_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('616279196', '24BBAC9C', 'object/mobile/shared_dressed_noble_old_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289463307', 'FFAC040B', 'object/mobile/shared_dressed_noble_old_twk_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424150563', '54E2D023', 'object/mobile/shared_dressed_noble_old_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415229108', '8FF578B4', 'object/mobile/shared_dressed_noble_old_zabrak_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('371119389', '161ED51D', 'object/mobile/shared_dressed_noble_old_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3439951242', 'CD097D8A', 'object/mobile/shared_dressed_noble_old_zabrak_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848890772', 'E5696994', 'object/mobile/shared_dressed_noble_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528441761', '5B1A2BA1', 'object/mobile/shared_dressed_noble_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877387260', 'AB8171FC', 'object/mobile/shared_dressed_noble_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595785783', '9AB88C37', 'object/mobile/shared_dressed_noble_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802548513', '6B70B521', 'object/mobile/shared_dressed_noble_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255262052', '866C9164', 'object/mobile/shared_dressed_noble_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085042529', '7C473961', 'object/mobile/shared_dressed_noble_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1536131159', '5B8F8057', 'object/mobile/shared_dressed_noble_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1747570832', '6829D090', 'object/mobile/shared_dressed_nomad_chief.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742112963', 'DF0C1CC3', 'object/mobile/shared_dressed_novice_force_mystic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534520204', 'D2AC7F8C', 'object/mobile/shared_dressed_nurla_slinthiss.iff');
INSERT INTO `object_crc_string_table` VALUES ('149210376', '8E4C508', 'object/mobile/shared_dressed_nym_bodyguard_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451204761', '921A6A99', 'object/mobile/shared_dressed_nym_bodyguard_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('379906972', '16A4EB9C', 'object/mobile/shared_dressed_nym_bodyguard_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677564031', '9F98627F', 'object/mobile/shared_dressed_nym_brawler_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('90623470', '566CDEE', 'object/mobile/shared_dressed_nym_brawler_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302922467', 'C4DE98E3', 'object/mobile/shared_dressed_nym_brawler_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('455533434', '1B26E37A', 'object/mobile/shared_dressed_nym_brawler_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2178436331', '81D84CEB', 'object/mobile/shared_dressed_nym_brawler_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187959696', 'BE046790', 'object/mobile/shared_dressed_nym_brawler_tran_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987529421', 'EDACDECD', 'object/mobile/shared_dressed_nym_destroyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436977932', 'CCDC1F0C', 'object/mobile/shared_dressed_nym_destroyer_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1762811848', '69125FC8', 'object/mobile/shared_dressed_nym_destroyer_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1925936724', '72CB7654', 'object/mobile/shared_dressed_nym_destroyer_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('427983067', '198280DB', 'object/mobile/shared_dressed_nym_guard_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2155557294', '807B31AE', 'object/mobile/shared_dressed_nym_guard_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637955550', '9D3C01DE', 'object/mobile/shared_dressed_nym_guard_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1348802097', '50651631', 'object/mobile/shared_dressed_nym_guard_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3399203232', 'CA9BB9A0', 'object/mobile/shared_dressed_nym_guard_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990748869', '76A86AC5', 'object/mobile/shared_dressed_nym_guard_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1311062181', '4E2538A5', 'object/mobile/shared_dressed_nym_guard_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092571955', 'F3EFB133', 'object/mobile/shared_dressed_nym_guard_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1762729634', '69111EA2', 'object/mobile/shared_dressed_nym_guard_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1206447504', '47E8ED90', 'object/mobile/shared_dressed_nym_guard_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987709863', 'EDAF9FA7', 'object/mobile/shared_dressed_nym_guard_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4269351452', 'FE79221C', 'object/mobile/shared_dressed_nym_patrol_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424620366', '54E9FB4E', 'object/mobile/shared_dressed_nym_patrol_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059903769', '7AC7A319', 'object/mobile/shared_dressed_nym_patrol_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881777997', '7029A74D', 'object/mobile/shared_dressed_nym_patrol_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939961052', 'EAD708DC', 'object/mobile/shared_dressed_nym_patrol_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875387376', 'E6FDB7F0', 'object/mobile/shared_dressed_nym_patrol_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852410329', '6E6989D9', 'object/mobile/shared_dressed_nym_patrol_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3795884631', 'E2409A57', 'object/mobile/shared_dressed_nym_patrol_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025731526', '78BE35C6', 'object/mobile/shared_dressed_nym_patrol_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738824940', '67A45CEC', 'object/mobile/shared_dressed_nym_patrol_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4227904707', 'FC00B4C3', 'object/mobile/shared_dressed_nym_patrol_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368463168', 'C8C6AB40', 'object/mobile/shared_dressed_nym_pirate_elite_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2380323102', '8DE0D91E', 'object/mobile/shared_dressed_nym_pirate_elite_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282943557', '4C782A45', 'object/mobile/shared_dressed_nym_pirate_elite_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470170073', '57A103D9', 'object/mobile/shared_dressed_nym_pirate_elite_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('18144111', '114DB6F', 'object/mobile/shared_dressed_nym_pirate_strong_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615833854', '9BEA74FE', 'object/mobile/shared_dressed_nym_pirate_strong_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3700251670', 'DC8D5C16', 'object/mobile/shared_dressed_nym_pirate_strong_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242533994', '85AA5A6A', 'object/mobile/shared_dressed_nym_pirate_strong_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('525661691', '1F54F5FB', 'object/mobile/shared_dressed_nym_pirate_strong_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('76405863', '48DDC67', 'object/mobile/shared_dressed_nym_pirate_strong_wee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678094195', '6405AF73', 'object/mobile/shared_dressed_nym_pirate_weak_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277862626', 'FEFB00E2', 'object/mobile/shared_dressed_nym_pirate_weak_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('379134158', '169920CE', 'object/mobile/shared_dressed_nym_pirate_weak_nikto_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770363510', 'E0BB2E76', 'object/mobile/shared_dressed_nym_pirate_weak_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051375591', '7A4581E7', 'object/mobile/shared_dressed_nym_pirate_weak_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3657604091', 'DA029BFB', 'object/mobile/shared_dressed_nym_surveyer_hum_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090270314', '40FC346A', 'object/mobile/shared_dressed_nym_surveyer_hum_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589385982', '5EBC1AFE', 'object/mobile/shared_dressed_nym_surveyer_rod_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3292706159', 'C442B56F', 'object/mobile/shared_dressed_nym_surveyer_rod_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2773365757', 'A54E33FD', 'object/mobile/shared_dressed_nym_technician_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2119801706', '7E599B6A', 'object/mobile/shared_dressed_nym_technician_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('928316647', '3754FCE7', 'object/mobile/shared_dressed_nym_technician_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4085719491', 'F38721C3', 'object/mobile/shared_dressed_official.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865557108', '6F322474', 'object/mobile/shared_dressed_onli_shien.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599346226', '5F541632', 'object/mobile/shared_dressed_oxil_sarban.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146770993', 'BB8FEA31', 'object/mobile/shared_dressed_palace_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330242632', '4F49E448', 'object/mobile/shared_dressed_palejo_reshad.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237320511', 'FC90613F', 'object/mobile/shared_dressed_palu_zerk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008505665', '77B75D41', 'object/mobile/shared_dressed_patron_chiss_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339680033', '4FD9E521', 'object/mobile/shared_dressed_patron_chiss_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2371112259', '8D544D43', 'object/mobile/shared_dressed_patron_devaronian_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012249795', 'EF2612C3', 'object/mobile/shared_dressed_patron_ishi_tib_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2567607166', '990A937E', 'object/mobile/shared_dressed_patron_klaatu_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159232937', '80B347A9', 'object/mobile/shared_dressed_patron_nikto_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937588766', 'EAB2D61E', 'object/mobile/shared_dressed_patron_quarren_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466707655', '9306F8C7', 'object/mobile/shared_dressed_patron_sullustan_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2793076345', 'A67AF679', 'object/mobile/shared_dressed_philosopher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143976124', '442FB0BC', 'object/mobile/shared_dressed_pirate_leader_of_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3163478299', 'BC8ED91B', 'object/mobile/shared_dressed_pistol_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738109324', '6799718C', 'object/mobile/shared_dressed_pistol_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('781456897', '2E941601', 'object/mobile/shared_dressed_pistol_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772660176', 'E0DE39D0', 'object/mobile/shared_dressed_plainsfolk.iff');
INSERT INTO `object_crc_string_table` VALUES ('115778272', '6E6A2E0', 'object/mobile/shared_dressed_plasma_bandit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953381637', '746E3D05', 'object/mobile/shared_dressed_plasma_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('1434120831', '557AF27F', 'object/mobile/shared_dressed_plasma_thief_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145502049', '7FE1C361', 'object/mobile/shared_dressed_poi_tatooine_alerris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022456323', '788C3C03', 'object/mobile/shared_dressed_poi_tatooine_garret.iff');
INSERT INTO `object_crc_string_table` VALUES ('801701399', '2FC8FE17', 'object/mobile/shared_dressed_poi_tatooine_kelen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3836738261', 'E4AFFAD5', 'object/mobile/shared_dressed_polearm_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069044290', '3FB85242', 'object/mobile/shared_dressed_polearm_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991587279', '76B535CF', 'object/mobile/shared_dressed_polearm_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2701359949', 'A1037B4D', 'object/mobile/shared_dressed_pooja_naberrie.iff');
INSERT INTO `object_crc_string_table` VALUES ('384013830', '16E39606', 'object/mobile/shared_dressed_porcellus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068694', '1F90D6', 'object/mobile/shared_dressed_prowler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1388389383', '52C12407', 'object/mobile/shared_dressed_qualdo_herm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644923330', 'D9411DC2', 'object/mobile/shared_dressed_queen_kylantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022793578', '7891616A', 'object/mobile/shared_dressed_quest_farmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220358659', '48BD3203', 'object/mobile/shared_dressed_quest_farmer_child.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187813890', 'BE022E02', 'object/mobile/shared_dressed_quest_farmer_wife.iff');
INSERT INTO `object_crc_string_table` VALUES ('1289033943', '4CD518D7', 'object/mobile/shared_dressed_quest_liar_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546118720', '97C2B040', 'object/mobile/shared_dressed_quest_liar_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445129339', '91BDB67B', 'object/mobile/shared_dressed_quest_liar_bh.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732681690', 'DE7C33DA', 'object/mobile/shared_dressed_radlee_mathiss.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447872584', 'CD825C48', 'object/mobile/shared_dressed_raglith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152735844', '44B55A64', 'object/mobile/shared_dressed_raider_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1981892818', '762148D2', 'object/mobile/shared_dressed_raider_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3602745306', 'D6BD87DA', 'object/mobile/shared_dressed_rancorclan_hum_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('149944561', '8EFF8F1', 'object/mobile/shared_dressed_ranger_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3556266086', 'D3F85066', 'object/mobile/shared_dressed_ranger_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599761899', '9AF537EB', 'object/mobile/shared_dressed_ranger_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234489056', 'C0CA62E0', 'object/mobile/shared_dressed_ravager_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282541156', 'C3A79A64', 'object/mobile/shared_dressed_ravager_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('486848381', '1D04B77D', 'object/mobile/shared_dressed_raxa_binn.iff');
INSERT INTO `object_crc_string_table` VALUES ('698248160', '299E6BE0', 'object/mobile/shared_dressed_rebel_army_captain_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570028687', '5D94BC8F', 'object/mobile/shared_dressed_rebel_army_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2452562405', '922F21E5', 'object/mobile/shared_dressed_rebel_army_captain_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('601764367', '23DE320F', 'object/mobile/shared_dressed_rebel_army_captain_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2043495164', '79CD42FC', 'object/mobile/shared_dressed_rebel_army_captain_twk_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3793368595', 'E21A3613', 'object/mobile/shared_dressed_rebel_army_captain_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('609082266', '244DDB9A', 'object/mobile/shared_dressed_rebel_brigadier_general_bith_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('201697436', 'C05A89C', 'object/mobile/shared_dressed_rebel_brigadier_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3957935841', 'EBE94EE1', 'object/mobile/shared_dressed_rebel_brigadier_general_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484958994', '941D7712', 'object/mobile/shared_dressed_rebel_brigadier_general_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('546676122', '20959D9A', 'object/mobile/shared_dressed_rebel_brigadier_general_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881299181', 'E757ECED', 'object/mobile/shared_dressed_rebel_brigadier_general_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803030018', '6B780E02', 'object/mobile/shared_dressed_rebel_colonel_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('986931283', '3AD36053', 'object/mobile/shared_dressed_rebel_colonel_fat_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2293190584', '88AF4FB8', 'object/mobile/shared_dressed_rebel_colonel_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449984372', 'CDA29574', 'object/mobile/shared_dressed_rebel_colonel_old_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('781724201', '2E982A29', 'object/mobile/shared_dressed_rebel_colonel_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031477329', '3D7B1851', 'object/mobile/shared_dressed_rebel_colonel_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340194354', '4FE1BE32', 'object/mobile/shared_dressed_rebel_commando_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797115337', 'A6B897C9', 'object/mobile/shared_dressed_rebel_commando_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('485970317', '1CF7518D', 'object/mobile/shared_dressed_rebel_commando_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('7448924', '71A95C', 'object/mobile/shared_dressed_rebel_commando_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352777481', 'C7D75309', 'object/mobile/shared_dressed_rebel_commando_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3504398153', 'D0E0DF49', 'object/mobile/shared_dressed_rebel_commando_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281722081', '4C6586E1', 'object/mobile/shared_dressed_rebel_corporal_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225818781', 'C046169D', 'object/mobile/shared_dressed_rebel_corporal_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525959014', 'D229DD66', 'object/mobile/shared_dressed_rebel_corporal_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275967768', 'C3434D18', 'object/mobile/shared_dressed_rebel_corporal_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508023537', '957D66F1', 'object/mobile/shared_dressed_rebel_corporal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950698578', 'EB7AE052', 'object/mobile/shared_dressed_rebel_corporal_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718687819', 'A20BE24B', 'object/mobile/shared_dressed_rebel_corvette_commando_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089637617', 'B82820F1', 'object/mobile/shared_dressed_rebel_corvette_commando_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4242477815', 'FCDF12F7', 'object/mobile/shared_dressed_rebel_corvette_commando_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763989030', 'E059EA26', 'object/mobile/shared_dressed_rebel_corvette_commando_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656354467', 'D9EF8AA3', 'object/mobile/shared_dressed_rebel_corvette_commando_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470264035', 'CED806E3', 'object/mobile/shared_dressed_rebel_corvette_commando_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118279920', '42A798F0', 'object/mobile/shared_dressed_rebel_crewman_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2578460775', '99B03067', 'object/mobile/shared_dressed_rebel_crewman_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157774510', 'F7D29AAE', 'object/mobile/shared_dressed_rebel_crewman_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('751120953', '2CC53239', 'object/mobile/shared_dressed_rebel_crewman_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1707627956', '65C855B4', 'object/mobile/shared_dressed_rebel_crewman_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653650592', '9E2B7EA0', 'object/mobile/shared_dressed_rebel_crewman_human_male_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053270126', '3EC7A06E', 'object/mobile/shared_dressed_rebel_first_lieutenant_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869864805', 'E6A97365', 'object/mobile/shared_dressed_rebel_first_lieutenant_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257906179', 'FDCA7E03', 'object/mobile/shared_dressed_rebel_first_lieutenant_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256742921', '86832A09', 'object/mobile/shared_dressed_rebel_first_lieutenant_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570013854', '5D94829E', 'object/mobile/shared_dressed_rebel_first_lieutenant_moncal_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1503890464', '59A38C20', 'object/mobile/shared_dressed_rebel_first_lieutenant_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539948146', 'D2FF5272', 'object/mobile/shared_dressed_rebel_general_fat_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3181822525', 'BDA6C23D', 'object/mobile/shared_dressed_rebel_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722903210', '66B16AAA', 'object/mobile/shared_dressed_rebel_general_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('354934529', '1527DF01', 'object/mobile/shared_dressed_rebel_general_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164387595', 'BC9CB90B', 'object/mobile/shared_dressed_rebel_general_old_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391295707', '8E8846DB', 'object/mobile/shared_dressed_rebel_general_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895884541', '7100E6FD', 'object/mobile/shared_dressed_rebel_high_general_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772693403', 'E0DEBB9B', 'object/mobile/shared_dressed_rebel_high_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003033356', '3BC9130C', 'object/mobile/shared_dressed_rebel_high_general_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423654472', '54DB3E48', 'object/mobile/shared_dressed_rebel_high_general_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388026943', 'C9F1303F', 'object/mobile/shared_dressed_rebel_high_general_old_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3134134224', 'BACF17D0', 'object/mobile/shared_dressed_rebel_high_general_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527361510', 'D23F43E6', 'object/mobile/shared_dressed_rebel_lance_corporal_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432467606', '5561B896', 'object/mobile/shared_dressed_rebel_lance_corporal_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3615863365', 'D785B245', 'object/mobile/shared_dressed_rebel_lance_corporal_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571106188', '5DA52D8C', 'object/mobile/shared_dressed_rebel_lance_corporal_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839726825', 'A942CAE9', 'object/mobile/shared_dressed_rebel_lance_corporal_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048032260', 'B5AD4804', 'object/mobile/shared_dressed_rebel_lance_corporal_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658140104', 'DA0AC9C8', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('18702687', '11D615F', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('321819859', '132E94D3', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195950183', '4748C067', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737961183', '67972EDF', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728218409', '67028529', 'object/mobile/shared_dressed_rebel_lieutenant_colonel_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('262265598', 'FA1DAFE', 'object/mobile/shared_dressed_rebel_lieutenant_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216846830', 'BFBD2FEE', 'object/mobile/shared_dressed_rebel_lieutenant_general_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596402828', 'D65CC08C', 'object/mobile/shared_dressed_rebel_lieutenant_general_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403298909', 'CADA385D', 'object/mobile/shared_dressed_rebel_lieutenant_general_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1707255791', '65C2A7EF', 'object/mobile/shared_dressed_rebel_lieutenant_general_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('397181592', '17AC8298', 'object/mobile/shared_dressed_rebel_lieutenant_general_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('450207030', '1AD59D36', 'object/mobile/shared_dressed_rebel_major_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384952791', '528CB3D7', 'object/mobile/shared_dressed_rebel_major_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993669208', 'B26FC458', 'object/mobile/shared_dressed_rebel_major_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1939834444', '739F864C', 'object/mobile/shared_dressed_rebel_major_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341542693', '8B911B25', 'object/mobile/shared_dressed_rebel_major_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927400831', 'AE7C977F', 'object/mobile/shared_dressed_rebel_major_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4024707117', 'EFE4282D', 'object/mobile/shared_dressed_rebel_master_sergeant_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135789557', '43B2C5F5', 'object/mobile/shared_dressed_rebel_medic1_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430309468', '5540CA5C', 'object/mobile/shared_dressed_rebel_medic2_21b_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607565960', '9B6C4C88', 'object/mobile/shared_dressed_rebel_medic3_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1246114680', '4A463378', 'object/mobile/shared_dressed_rebel_pilot_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('827237442', '314EA442', 'object/mobile/shared_dressed_rebel_pilot_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3931704533', 'EA590CD5', 'object/mobile/shared_dressed_rebel_pilot_human_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440921031', 'CD1849C7', 'object/mobile/shared_dressed_rebel_pilot_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300287905', '891B9BA1', 'object/mobile/shared_dressed_rebel_pilot_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980741761', 'ED454C81', 'object/mobile/shared_dressed_rebel_recruiter_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('911402006', '3652E416', 'object/mobile/shared_dressed_rebel_recruiter_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3013383572', 'B39C9594', 'object/mobile/shared_dressed_rebel_recruiter_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609417577', '9B888D69', 'object/mobile/shared_dressed_rebel_recruiter_twilek_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3518921629', 'D1BE7B9D', 'object/mobile/shared_dressed_rebel_scout_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653873569', '62941BA1', 'object/mobile/shared_dressed_rebel_scout_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112416054', 'B983B336', 'object/mobile/shared_dressed_rebel_scout_human_female_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2445061765', '91BCAE85', 'object/mobile/shared_dressed_rebel_scout_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460159689', 'CE3DD8C9', 'object/mobile/shared_dressed_rebel_scout_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('212565114', 'CAB7C7A', 'object/mobile/shared_dressed_rebel_scout_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209774811', '83B67CDB', 'object/mobile/shared_dressed_rebel_second_lieutenant_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500959189', 'D0AC65D5', 'object/mobile/shared_dressed_rebel_second_lieutenant_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065090255', 'B6B190CF', 'object/mobile/shared_dressed_rebel_second_lieutenant_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('681709148', '28A20E5C', 'object/mobile/shared_dressed_rebel_second_lieutenant_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201296853', '83351FD5', 'object/mobile/shared_dressed_rebel_second_lieutenant_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020518324', 'EFA43DB4', 'object/mobile/shared_dressed_rebel_second_lieutenant_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110720926', 'F5049F9E', 'object/mobile/shared_dressed_rebel_sergeant_fat_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930986441', 'AEB34DC9', 'object/mobile/shared_dressed_rebel_sergeant_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881398557', 'E759711D', 'object/mobile/shared_dressed_rebel_sergeant_major_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('334153556', '13EAC754', 'object/mobile/shared_dressed_rebel_sergeant_major_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316194516', 'C5A91CD4', 'object/mobile/shared_dressed_rebel_sergeant_major_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831245464', 'E45C2A98', 'object/mobile/shared_dressed_rebel_sergeant_major_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906154097', 'E8D32E71', 'object/mobile/shared_dressed_rebel_sergeant_major_old_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446280800', '91CF4860', 'object/mobile/shared_dressed_rebel_sergeant_major_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('824556597', '3125BC35', 'object/mobile/shared_dressed_rebel_sergeant_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176412218', '81B96A3A', 'object/mobile/shared_dressed_rebel_sergeant_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('765674724', '2DA344E4', 'object/mobile/shared_dressed_rebel_sergeant_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930097118', '730AF1DE', 'object/mobile/shared_dressed_rebel_sergeant_twilek_female_old_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('542195677', '20513FDD', 'object/mobile/shared_dressed_rebel_specforce_captain_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084489301', 'B7D99255', 'object/mobile/shared_dressed_rebel_specforce_captain_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('969101090', '39C34F22', 'object/mobile/shared_dressed_rebel_specforce_captain_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839537046', '6DA51B96', 'object/mobile/shared_dressed_rebel_specforce_captain_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297961472', '88F81C00', 'object/mobile/shared_dressed_rebel_specforce_captain_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('691099757', '2931586D', 'object/mobile/shared_dressed_rebel_specforce_captain_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673553935', '9F5B320F', 'object/mobile/shared_dressed_rebel_specforce_general_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2669072967', '9F16D247', 'object/mobile/shared_dressed_rebel_specforce_general_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('174316325', 'A63DB25', 'object/mobile/shared_dressed_rebel_specforce_general_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586945197', '9A31A6AD', 'object/mobile/shared_dressed_rebel_specforce_guerilla_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962460025', '74F8C379', 'object/mobile/shared_dressed_rebel_specforce_guerilla_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1762755489', '691183A1', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('995551214', '3B56E7EE', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459669329', 'CE365D51', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725820187', 'A278B71B', 'object/mobile/shared_dressed_rebel_specforce_guerrilla_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('643421087', '2659D39F', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970410253', 'B10CDD0D', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848964537', 'E56A89B9', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665469920', 'DA7AA1E0', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082664932', '7C22F1E4', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995996499', '76F87D53', 'object/mobile/shared_dressed_rebel_specforce_pathfinder_zabrak_female_fat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('5471313', '537C51', 'object/mobile/shared_dressed_rebel_specforce_sergeant_bothan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('667614018', '27CAFB42', 'object/mobile/shared_dressed_rebel_specforce_sergeant_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('868824714', '33C9368A', 'object/mobile/shared_dressed_rebel_specforce_sergeant_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('55977940', '35627D4', 'object/mobile/shared_dressed_rebel_specforce_sergeant_moncal_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4099938187', 'F460178B', 'object/mobile/shared_dressed_rebel_specforce_sergeant_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3689515325', 'DBE9893D', 'object/mobile/shared_dressed_rebel_specforce_sergeant_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('760067467', '2D4DB58B', 'object/mobile/shared_dressed_rebel_staff_corporal_bith_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3238905363', 'C10DC613', 'object/mobile/shared_dressed_rebel_staff_corporal_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384016966', '527E6C46', 'object/mobile/shared_dressed_rebel_staff_corporal_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023958294', '3D085D16', 'object/mobile/shared_dressed_rebel_staff_corporal_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881529375', 'ABC0A61F', 'object/mobile/shared_dressed_rebel_staff_corporal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('622830948', '251FA564', 'object/mobile/shared_dressed_rebel_staff_sergeant_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('7469172', '71F874', 'object/mobile/shared_dressed_rebel_surface_marshal_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085203466', '7C49AE0A', 'object/mobile/shared_dressed_rebel_surface_marshal_moncal_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('674233022', '282FFABE', 'object/mobile/shared_dressed_rebel_surface_marshal_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('582422496', '22B70FE0', 'object/mobile/shared_dressed_rebel_surface_marshal_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('309083003', '126C3B7B', 'object/mobile/shared_dressed_rebel_surface_marshal_twk_male_fat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572695574', '2222A416', 'object/mobile/shared_dressed_rebel_surface_marshal_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012550111', 'EF2AA7DF', 'object/mobile/shared_dressed_rebel_trooper_bith_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630957150', 'D86C025E', 'object/mobile/shared_dressed_rebel_trooper_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094091104', '41368160', 'object/mobile/shared_dressed_rebel_trooper_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035675155', '3DBB2613', 'object/mobile/shared_dressed_rebel_trooper_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172332319', 'BD15F31F', 'object/mobile/shared_dressed_rebel_trooper_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3356992038', 'C817A226', 'object/mobile/shared_dressed_rebel_trooper_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061352541', '7ADDBE5D', 'object/mobile/shared_dressed_rifleman_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2714375882', 'A1CA16CA', 'object/mobile/shared_dressed_rifleman_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3905384775', 'E8C77147', 'object/mobile/shared_dressed_rifleman_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('783348019', '2EB0F133', 'object/mobile/shared_dressed_ris_inventor_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520469080', '5AA08458', 'object/mobile/shared_dressed_robber_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681935872', '64404E00', 'object/mobile/shared_dressed_robber_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556640383', '98633C7F', 'object/mobile/shared_dressed_robber_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082161926', '7C1B4506', 'object/mobile/shared_dressed_robber_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3235108002', 'C0D3D4A2', 'object/mobile/shared_dressed_royal_counterintelligence_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142947170', 'F6F05B62', 'object/mobile/shared_dressed_royal_counterintelligence_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572408132', '221E4144', 'object/mobile/shared_dressed_royal_officer_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('930136432', '3770C170', 'object/mobile/shared_dressed_royal_officer_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858799055', 'E60099CF', 'object/mobile/shared_dressed_royal_pilot_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('810274264', '304BCDD8', 'object/mobile/shared_dressed_royal_pilot_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941705264', 'EAF1A630', 'object/mobile/shared_dressed_royal_security_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025996770', '78C241E2', 'object/mobile/shared_dressed_royal_security_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558172385', '987A9CE1', 'object/mobile/shared_dressed_rsf_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3895382960', 'E82ED3B0', 'object/mobile/shared_dressed_rsf_commando.iff');
INSERT INTO `object_crc_string_table` VALUES ('2038367918', '797F06AE', 'object/mobile/shared_dressed_rsf_palace_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('67737149', '409963D', 'object/mobile/shared_dressed_rsf_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4160022471', 'F7F4E7C7', 'object/mobile/shared_dressed_rsf_security_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111252772', 'B971F324', 'object/mobile/shared_dressed_rsf_security_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391131240', '8E85C468', 'object/mobile/shared_dressed_rsf_tier2_trainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3984356119', 'ED7C7317', 'object/mobile/shared_dressed_ruffian_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619685836', '9C253BCC', 'object/mobile/shared_dressed_ruffian_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3402413884', 'CACCB73C', 'object/mobile/shared_dressed_ruwan_tokai.iff');
INSERT INTO `object_crc_string_table` VALUES ('4164040273', 'F8323651', 'object/mobile/shared_dressed_sargeant_tarl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283275937', '4C7D3CA1', 'object/mobile/shared_dressed_scarab_pirate_general_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069493558', 'F28F8B36', 'object/mobile/shared_dressed_scarab_pirate_general_twilek_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448495854', 'CD8BDEEE', 'object/mobile/shared_dressed_scholar_szingo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862571885', '6F04976D', 'object/mobile/shared_dressed_scolex_grath.iff');
INSERT INTO `object_crc_string_table` VALUES ('978633536', '3A54C340', 'object/mobile/shared_dressed_scout_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3779292119', 'E1436BD7', 'object/mobile/shared_dressed_scout_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823687258', 'A84E0C5A', 'object/mobile/shared_dressed_scout_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('427178976', '19763BE0', 'object/mobile/shared_dressed_scout_trooper_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260762182', 'C25B4846', 'object/mobile/shared_dressed_scout_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303490976', '894C7BA0', 'object/mobile/shared_dressed_scout_trooper_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617041264', 'D797AB70', 'object/mobile/shared_dressed_sean_contact_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300427205', 'C4B885C5', 'object/mobile/shared_dressed_sean_questn_university.iff');
INSERT INTO `object_crc_string_table` VALUES ('1376428811', '520AA30B', 'object/mobile/shared_dressed_sean_questp_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3752493227', 'DFAA80AB', 'object/mobile/shared_dressed_sean_questp_market.iff');
INSERT INTO `object_crc_string_table` VALUES ('2356198358', '8C70BBD6', 'object/mobile/shared_dressed_sean_trenwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('1648304325', '623F20C5', 'object/mobile/shared_dressed_seans_historian.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574558142', '5DD9D9BE', 'object/mobile/shared_dressed_selonian_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261676329', '86CE7129', 'object/mobile/shared_dressed_selonian_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485669028', 'CFC316A4', 'object/mobile/shared_dressed_selonian_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('874528176', '34203DB0', 'object/mobile/shared_dressed_selonian_f_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100124221', '7D2D5A3D', 'object/mobile/shared_dressed_selonian_f_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788881066', 'A63AF2AA', 'object/mobile/shared_dressed_selonian_f_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013397287', 'EF379527', 'object/mobile/shared_dressed_selonian_f_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430108469', '553DB935', 'object/mobile/shared_dressed_selonian_f_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('472964792', '1C30DEB8', 'object/mobile/shared_dressed_selonian_f_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('268219211', 'FFCB34B', 'object/mobile/shared_dressed_selonian_f_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1190253766', '46F1D4C6', 'object/mobile/shared_dressed_selonian_f_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649128017', '9DE67C51', 'object/mobile/shared_dressed_selonian_f_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1706516958', '65B761DE', 'object/mobile/shared_dressed_selonian_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198208329', 'BEA0C949', 'object/mobile/shared_dressed_selonian_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155354820', 'F7ADAEC4', 'object/mobile/shared_dressed_selonian_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('206472656', 'C4E85D0', 'object/mobile/shared_dressed_selonian_m_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1162076765', '4543E25D', 'object/mobile/shared_dressed_selonian_m_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2656324298', '9E544ACA', 'object/mobile/shared_dressed_selonian_m_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3612945735', 'D7592D47', 'object/mobile/shared_dressed_selonian_m_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834156373', '6D530155', 'object/mobile/shared_dressed_selonian_m_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('610166488', '245E66D8', 'object/mobile/shared_dressed_selonian_m_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('932317995', '37920B2B', 'object/mobile/shared_dressed_selonian_m_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124377254', '7E9F6CA6', 'object/mobile/shared_dressed_selonian_m_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777203761', 'A588C431', 'object/mobile/shared_dressed_selonian_m_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453845306', '9242B53A', 'object/mobile/shared_dressed_sennex_pirate_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1230314925', '49551DAD', 'object/mobile/shared_dressed_sennex_pirate_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('5798432', '587A20', 'object/mobile/shared_dressed_sennex_pirate_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4223357236', 'FBBB5134', 'object/mobile/shared_dressed_sennex_pirate_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998286009', 'B2B636B9', 'object/mobile/shared_dressed_sennex_pirate_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1772199470', '69A19E2E', 'object/mobile/shared_dressed_sennex_pirate_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('548207011', '20ACF9A3', 'object/mobile/shared_dressed_sennex_pirate_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2594624945', '9AA6D5B1', 'object/mobile/shared_dressed_sennex_pirate_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551244860', 'D3ABB23C', 'object/mobile/shared_dressed_sennex_pirate_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228032975', 'C067DFCF', 'object/mobile/shared_dressed_sennex_pirate_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305472578', '896AB842', 'object/mobile/shared_dressed_sennex_pirate_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1383928021', '527D10D5', 'object/mobile/shared_dressed_sennex_pirate_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576077327', 'D5269C0F', 'object/mobile/shared_dressed_serjix_arrogantus.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847048714', 'A9B2840A', 'object/mobile/shared_dressed_sg_567.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341728454', '8B93F0C6', 'object/mobile/shared_dressed_shaki_hamachil.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385405505', '8E2E6641', 'object/mobile/shared_dressed_shibb_nisshil.iff');
INSERT INTO `object_crc_string_table` VALUES ('4130887746', 'F6385842', 'object/mobile/shared_dressed_sidoras_bey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870788230', 'E6B78A86', 'object/mobile/shared_dressed_sigrix_slix.iff');
INSERT INTO `object_crc_string_table` VALUES ('1352060508', '5096CE5C', 'object/mobile/shared_dressed_sindra_lintikoor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220510861', '48BF848D', 'object/mobile/shared_dressed_singular_nak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2087691308', '7C6FA42C', 'object/mobile/shared_dressed_sith_shadow_aqualish_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809662651', 'A7780CBB', 'object/mobile/shared_dressed_sith_shadow_aqualish_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140923468', '44011C4C', 'object/mobile/shared_dressed_sith_shadow_aqualish_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2669065435', '9F16B4DB', 'object/mobile/shared_dressed_sith_shadow_aqualish_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574553080', '5DD9C5F8', 'object/mobile/shared_dressed_sith_shadow_hum_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261675375', '86CE6D6F', 'object/mobile/shared_dressed_sith_shadow_hum_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485666018', 'CFC30AE2', 'object/mobile/shared_dressed_sith_shadow_hum_f_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1706524056', '65B77D98', 'object/mobile/shared_dressed_sith_shadow_hum_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198211343', 'BEA0D50F', 'object/mobile/shared_dressed_sith_shadow_hum_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155355778', 'F7ADB282', 'object/mobile/shared_dressed_sith_shadow_hum_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1949568181', '74340CB5', 'object/mobile/shared_dressed_sith_shadow_hum_m_nco.iff');
INSERT INTO `object_crc_string_table` VALUES ('371253062', '1620DF46', 'object/mobile/shared_dressed_sith_shadow_nikto_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3442964433', 'CD3777D1', 'object/mobile/shared_dressed_sith_shadow_nikto_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218397788', '843A105C', 'object/mobile/shared_dressed_sith_shadow_nikto_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('241297803', 'E61E98B', 'object/mobile/shared_dressed_sith_shadow_nikto_m_nco.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065885724', 'B6BDB41C', 'object/mobile/shared_dressed_sith_shadow_rodian_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839864971', '6DAA1C8B', 'object/mobile/shared_dressed_sith_shadow_rodian_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396195964', '8ED30C7C', 'object/mobile/shared_dressed_sith_shadow_rodian_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438950635', '55C4A4EB', 'object/mobile/shared_dressed_sith_shadow_rodian_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651388490', '626E304A', 'object/mobile/shared_dressed_sith_shadow_trn_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509984298', '5A00882A', 'object/mobile/shared_dressed_sith_shadow_trn_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165776573', '811720BD', 'object/mobile/shared_dressed_sith_shadow_trn_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357165360', 'C81A4730', 'object/mobile/shared_dressed_sith_shadow_trn_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246600608', 'FD1DFBA0', 'object/mobile/shared_dressed_sith_shadow_zab_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('638210871', '260A5337', 'object/mobile/shared_dressed_sith_shadow_zab_f_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3718767251', 'DDA7E293', 'object/mobile/shared_dressed_sith_shadow_zab_f_nco.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312665536', 'C57343C0', 'object/mobile/shared_dressed_sith_shadow_zab_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('509930327', '1E64EB57', 'object/mobile/shared_dressed_sith_shadow_zab_m_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466535130', '57698CDA', 'object/mobile/shared_dressed_sith_shadow_zab_m_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('64463528', '3D7A2A8', 'object/mobile/shared_dressed_skinkner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777803693', 'A591EBAD', 'object/mobile/shared_dressed_slooni_long.iff');
INSERT INTO `object_crc_string_table` VALUES ('2631289812', '9CD64BD4', 'object/mobile/shared_dressed_smuggler_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203888963', '47C1E343', 'object/mobile/shared_dressed_smuggler_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('248284366', 'ECC84CE', 'object/mobile/shared_dressed_smuggler_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1116567363', '428D7743', 'object/mobile/shared_dressed_solcar_dienbel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395686545', '53307C91', 'object/mobile/shared_dressed_space_comm_chiss_assassin_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385774848', 'C9CED300', 'object/mobile/shared_dressed_space_comm_chiss_assassin_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3858816757', 'E600DEF5', 'object/mobile/shared_dressed_space_rebel_trainer_brother_vrovel.iff');
INSERT INTO `object_crc_string_table` VALUES ('616317845', '24BC4395', 'object/mobile/shared_dressed_space_rebel_trainer_lady_viopa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650608969', '62624B49', 'object/mobile/shared_dressed_space_rebel_trainer_major_eker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182790194', '821ABC32', 'object/mobile/shared_dressed_spice_collective_courier_rodian_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4057893577', 'F1DE8AC9', 'object/mobile/shared_dressed_spice_collective_courier_rodian_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('575122373', '2247ABC5', 'object/mobile/shared_dressed_spice_collective_eliteguard_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475860359', '57F7D787', 'object/mobile/shared_dressed_spice_collective_eliteguard_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('615329380', '24AD2E64', 'object/mobile/shared_dressed_spice_collective_foreman_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365968103', 'C8A098E7', 'object/mobile/shared_dressed_spice_collective_foreman_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295073659', '88CC0B7B', 'object/mobile/shared_dressed_spice_collective_heavyguard_zabrak_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488678851', '945639C3', 'object/mobile/shared_dressed_spice_collective_heavyguard_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('929247009', '37632F21', 'object/mobile/shared_dressed_spice_collective_miner_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095687610', 'B88471BA', 'object/mobile/shared_dressed_spice_collective_miner_human_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341689731', '4FF88F83', 'object/mobile/shared_dressed_spice_collective_sentry_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1849408029', '6E3BBA1D', 'object/mobile/shared_dressed_spice_collective_sentry_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727419831', '66F655B7', 'object/mobile/shared_dressed_spice_collective_workchief_twk_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('80047482', '4C56D7A', 'object/mobile/shared_dressed_spice_collective_workchief_twk_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966925356', 'EC727A2C', 'object/mobile/shared_dressed_squad_leader_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('929419963', '3765D2BB', 'object/mobile/shared_dressed_squad_leader_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2120791350', '7E68B536', 'object/mobile/shared_dressed_squad_leader_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4285356578', 'FF6D5A22', 'object/mobile/shared_dressed_statesman_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('19010705', '1221491', 'object/mobile/shared_dressed_stoos_olko.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172933515', 'BD1F1F8B', 'object/mobile/shared_dressed_stormtrooper_assault_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706161932', 'A14CC10C', 'object/mobile/shared_dressed_stormtrooper_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('572214088', '221B4B48', 'object/mobile/shared_dressed_stormtrooper_black_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4280388140', 'FF218A2C', 'object/mobile/shared_dressed_stormtrooper_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('952713016', '38C93F38', 'object/mobile/shared_dressed_stormtrooper_black_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1963677784', '750B5858', 'object/mobile/shared_dressed_stormtrooper_black_grey.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039820271', 'F0CAC3EF', 'object/mobile/shared_dressed_stormtrooper_black_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477345103', '93A9494F', 'object/mobile/shared_dressed_stormtrooper_black_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217747543', 'FB65B857', 'object/mobile/shared_dressed_stormtrooper_bombardier_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684193105', '9FFD8951', 'object/mobile/shared_dressed_stormtrooper_captain_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502200687', 'D0BF576F', 'object/mobile/shared_dressed_stormtrooper_captain_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('264751377', 'FC7C911', 'object/mobile/shared_dressed_stormtrooper_captain_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('755018446', '2D00AACE', 'object/mobile/shared_dressed_stormtrooper_commander_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925561809', 'E9FB51D1', 'object/mobile/shared_dressed_stormtrooper_commander_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037629485', 'B50E8C2D', 'object/mobile/shared_dressed_stormtrooper_commando_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637879502', 'D8D5A2CE', 'object/mobile/shared_dressed_stormtrooper_commando1_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493178409', '949AE229', 'object/mobile/shared_dressed_stormtrooper_groupleader_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('628727249', '25799DD1', 'object/mobile/shared_dressed_stormtrooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('425662555', '195F185B', 'object/mobile/shared_dressed_stormtrooper_medic_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298804271', '4D6A2E2F', 'object/mobile/shared_dressed_stormtrooper_rifleman_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('440719956', '1A44DA54', 'object/mobile/shared_dressed_stormtrooper_sand_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2688076350', 'A038CA3E', 'object/mobile/shared_dressed_stormtrooper_sniper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781960693', 'A5D159F5', 'object/mobile/shared_dressed_stormtrooper_squad_leader_black_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('2642423881', '9D803049', 'object/mobile/shared_dressed_stormtrooper_squad_leader_black_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1670896092', '6397D9DC', 'object/mobile/shared_dressed_stormtrooper_squad_leader_white_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('904599989', '35EB19B5', 'object/mobile/shared_dressed_stormtrooper_squad_leader_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('59967759', '393090F', 'object/mobile/shared_dressed_stormtrooper_white_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691815645', 'DC0CA2DD', 'object/mobile/shared_dressed_stormtrooper_white_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('20341689', '13663B9', 'object/mobile/shared_dressed_stormtrooper_white_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585196347', '9A16F73B', 'object/mobile/shared_dressed_stormtrooper_white_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333913549', '8B1CB1CD', 'object/mobile/shared_dressed_stormtrooper_white_grey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3355353403', 'C7FEA13B', 'object/mobile/shared_dressed_stormtrooper_white_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('829849932', '3176814C', 'object/mobile/shared_dressed_stormtrooper_white_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('698862146', '29A7CA42', 'object/mobile/shared_dressed_story_loot_bestine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970321141', '7570B6F5', 'object/mobile/shared_dressed_story_loot_bestine_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014878584', '3C7DD178', 'object/mobile/shared_dressed_story_loot_bestine_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1935589621', '735EC0F5', 'object/mobile/shared_dressed_story_loot_coronet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1796863393', '6B19F5A1', 'object/mobile/shared_dressed_story_loot_eisley_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953731382', 'B00E5D36', 'object/mobile/shared_dressed_story_loot_eisley_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1587973862', '5EA68EE6', 'object/mobile/shared_dressed_story_loot_espa.iff');
INSERT INTO `object_crc_string_table` VALUES ('192910918', 'B7F9646', 'object/mobile/shared_dressed_story_loot_kadaara.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399426063', '8F04560F', 'object/mobile/shared_dressed_story_loot_moeina.iff');
INSERT INTO `object_crc_string_table` VALUES ('150791232', '8FCE440', 'object/mobile/shared_dressed_story_loot_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976506732', '75CF196C', 'object/mobile/shared_dressed_story_loot_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1795874748', '6B0ADFBC', 'object/mobile/shared_dressed_story_loot_tyrena.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302781103', 'C4DC70AF', 'object/mobile/shared_dressed_stranded_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689982294', '64BB1556', 'object/mobile/shared_dressed_stranded_imperial_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2951134852', 'AFE6BE84', 'object/mobile/shared_dressed_stranded_imperial_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622133309', 'D7E55E3D', 'object/mobile/shared_dressed_stranded_rebel_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1828371552', '6CFABC60', 'object/mobile/shared_dressed_stranded_rebel_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3168768022', 'BCDF9016', 'object/mobile/shared_dressed_stranded_rebel_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827134666', 'A882A6CA', 'object/mobile/shared_dressed_supervisor_zogor_sturm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469825511', '579BC1E7', 'object/mobile/shared_dressed_surlin_rolei.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231005743', 'FC30062F', 'object/mobile/shared_dressed_swamp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496246070', '94C9B136', 'object/mobile/shared_dressed_swamp_trooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3266904714', 'C2B9028A', 'object/mobile/shared_dressed_swamp_trooper_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2728777398', 'A2A5D6B6', 'object/mobile/shared_dressed_swamp_villager.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765594550', 'A4D79FB6', 'object/mobile/shared_dressed_tailor_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143303457', '7FC03721', 'object/mobile/shared_dressed_tailor_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('919425196', '36CD50AC', 'object/mobile/shared_dressed_tailor_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412965344', '8FD2EDE0', 'object/mobile/shared_dressed_talon_karrde.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875782427', 'AB68F51B', 'object/mobile/shared_dressed_talus_sif_mercenary_rodian_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1887395212', '707F5D8C', 'object/mobile/shared_dressed_talus_sif_mercenary_rodian_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717185433', 'DD8FBF99', 'object/mobile/shared_dressed_talus_sif_mercenary_trand_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('110630670', '698170E', 'object/mobile/shared_dressed_talus_sif_mercenary_trand_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484454863', '587AFBCF', 'object/mobile/shared_dressed_tamvar_senzen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117545060', '429C6264', 'object/mobile/shared_dressed_tatooine_aaph_koden.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585524237', '9A1BF80D', 'object/mobile/shared_dressed_tatooine_alkhara_bandit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033743537', 'F06E0AB1', 'object/mobile/shared_dressed_tatooine_alkhara_champion.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039191602', 'F0C12C32', 'object/mobile/shared_dressed_tatooine_alkhara_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('525698458', '1F55859A', 'object/mobile/shared_dressed_tatooine_alkhara_lieutenant.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997057190', 'B2A376A6', 'object/mobile/shared_dressed_tatooine_binna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481130818', '93E30D42', 'object/mobile/shared_dressed_tatooine_blerx_tango.iff');
INSERT INTO `object_crc_string_table` VALUES ('533866262', '1FD22716', 'object/mobile/shared_dressed_tatooine_boshek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234397476', 'C0C8FD24', 'object/mobile/shared_dressed_tatooine_brea_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165896093', '8118F39D', 'object/mobile/shared_dressed_tatooine_cannibal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577509863', 'D53C77E7', 'object/mobile/shared_dressed_tatooine_crimelord.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922109466', 'AE2BDA1A', 'object/mobile/shared_dressed_tatooine_dervish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619822546', '9C2751D2', 'object/mobile/shared_dressed_tatooine_desert_demon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891837247', 'AC5DEF3F', 'object/mobile/shared_dressed_tatooine_desert_demon_bodyguard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319703009', '4EA911E1', 'object/mobile/shared_dressed_tatooine_desert_demon_brawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171148228', 'BD03E1C4', 'object/mobile/shared_dressed_tatooine_desert_demon_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('207095094', 'C580536', 'object/mobile/shared_dressed_tatooine_desert_demon_marksman.iff');
INSERT INTO `object_crc_string_table` VALUES ('3873482467', 'E6E0A6E3', 'object/mobile/shared_dressed_tatooine_desert_swooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('1866886579', '6F466DB3', 'object/mobile/shared_dressed_tatooine_desert_swooper_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('47900839', '2DAE8A7', 'object/mobile/shared_dressed_tatooine_dim_u_abbot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021660117', 'EFB5A9D5', 'object/mobile/shared_dressed_tatooine_dim_u_cleric.iff');
INSERT INTO `object_crc_string_table` VALUES ('507065980', '1E39367C', 'object/mobile/shared_dressed_tatooine_dim_u_monastery_nun.iff');
INSERT INTO `object_crc_string_table` VALUES ('851470317', '32C067ED', 'object/mobile/shared_dressed_tatooine_dim_u_monk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1594655942', '5F0C84C6', 'object/mobile/shared_dressed_tatooine_dim_u_preacher.iff');
INSERT INTO `object_crc_string_table` VALUES ('62019124', '3B25634', 'object/mobile/shared_dressed_tatooine_dim_u_priestess.iff');
INSERT INTO `object_crc_string_table` VALUES ('2572134690', '994FA922', 'object/mobile/shared_dressed_tatooine_dune_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839533722', 'A93FD89A', 'object/mobile/shared_dressed_tatooine_dune_stalker_brawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('172429008', 'A470ED0', 'object/mobile/shared_dressed_tatooine_dune_stalker_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098844234', '417F084A', 'object/mobile/shared_dressed_tatooine_dune_stalker_marksman.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125860595', '431B44F3', 'object/mobile/shared_dressed_tatooine_evil_hermit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2756305281', 'A449E181', 'object/mobile/shared_dressed_tatooine_evil_settler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064689763', '3F75E063', 'object/mobile/shared_dressed_tatooine_farious_gletch.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060343926', 'F203EE76', 'object/mobile/shared_dressed_tatooine_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2589964585', '9A5FB929', 'object/mobile/shared_dressed_tatooine_fixer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2245876929', '85DD5CC1', 'object/mobile/shared_dressed_tatooine_fugitive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1671485825', '63A0D981', 'object/mobile/shared_dressed_tatooine_gold_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('405583246', '182CB58E', 'object/mobile/shared_dressed_tatooine_gunrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('4113187836', 'F52A43FC', 'object/mobile/shared_dressed_tatooine_hedon_istee.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261280467', 'C26330D3', 'object/mobile/shared_dressed_tatooine_hermit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592179372', '9A8184AC', 'object/mobile/shared_dressed_tatooine_ikka_gesul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1559021904', '5CECC950', 'object/mobile/shared_dressed_tatooine_jabba_assassin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3315833874', 'C5A39C12', 'object/mobile/shared_dressed_tatooine_jabba_enforcer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158620259', 'F7DF8263', 'object/mobile/shared_dressed_tatooine_jabba_henchman.iff');
INSERT INTO `object_crc_string_table` VALUES ('3640565796', 'D8FEA024', 'object/mobile/shared_dressed_tatooine_jabba_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282805440', '4C760EC0', 'object/mobile/shared_dressed_tatooine_jabba_swooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3956928835', 'EBD9F143', 'object/mobile/shared_dressed_tatooine_jabba_swooper_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('933892840', '37AA12E8', 'object/mobile/shared_dressed_tatooine_jabba_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('203327776', 'C1E8920', 'object/mobile/shared_dressed_tatooine_jabba_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462393809', 'CE5FEFD1', 'object/mobile/shared_dressed_tatooine_jilljoo_jab.iff');
INSERT INTO `object_crc_string_table` VALUES ('849589762', '32A3B602', 'object/mobile/shared_dressed_tatooine_kaeline_ungasan.iff');
INSERT INTO `object_crc_string_table` VALUES ('684030067', '28C57873', 'object/mobile/shared_dressed_tatooine_kitster_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065756883', '7B20F2D3', 'object/mobile/shared_dressed_tatooine_kormund_thrylle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114519294', '426E36FE', 'object/mobile/shared_dressed_tatooine_lilas_dinhint.iff');
INSERT INTO `object_crc_string_table` VALUES ('4213556758', 'FB25C616', 'object/mobile/shared_dressed_tatooine_lt_hantor_loftus.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571582723', '5DAC7303', 'object/mobile/shared_dressed_tatooine_lt_harburik.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850887803', '6E524E7B', 'object/mobile/shared_dressed_tatooine_mat_rags.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672474013', '63AFED9D', 'object/mobile/shared_dressed_tatooine_melious_purl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394503607', '8EB939B7', 'object/mobile/shared_dressed_tatooine_mikos_denari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875991561', 'E706F009', 'object/mobile/shared_dressed_tatooine_militiaman.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732966134', 'A2E5C0F6', 'object/mobile/shared_dressed_tatooine_moisture_farmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('903465893', '35D9CBA5', 'object/mobile/shared_dressed_tatooine_moisture_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('966807087', '39A04E2F', 'object/mobile/shared_dressed_tatooine_mos_eisley_police_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175079995', 'F8DAAA3B', 'object/mobile/shared_dressed_tatooine_mos_eisley_police_sergeant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880120838', 'E745F206', 'object/mobile/shared_dressed_tatooine_nitra_vendallan.iff');
INSERT INTO `object_crc_string_table` VALUES ('71120972', '43D384C', 'object/mobile/shared_dressed_tatooine_nomad.iff');
INSERT INTO `object_crc_string_table` VALUES ('347384355', '14B4AA23', 'object/mobile/shared_dressed_tatooine_om_aynat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218076122', 'FB6ABBDA', 'object/mobile/shared_dressed_tatooine_pfilbee_jhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('544425454', '207345EE', 'object/mobile/shared_dressed_tatooine_phinea_shantee.iff');
INSERT INTO `object_crc_string_table` VALUES ('201618992', 'C047630', 'object/mobile/shared_dressed_tatooine_plague_victim.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157500626', '8098D8D2', 'object/mobile/shared_dressed_tatooine_rakir_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('7201715', '6DE3B3', 'object/mobile/shared_dressed_tatooine_rodian_clan_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727421474', '66F65C22', 'object/mobile/shared_dressed_tatooine_rodian_clan_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('986700441', '3ACFDA99', 'object/mobile/shared_dressed_tatooine_rodian_clan_warchief.iff');
INSERT INTO `object_crc_string_table` VALUES ('946265272', '3866DCB8', 'object/mobile/shared_dressed_tatooine_rodian_gladiator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519983264', '9633E4A0', 'object/mobile/shared_dressed_tatooine_sango_rond.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002780196', '77600024', 'object/mobile/shared_dressed_tatooine_scavenger.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858183973', 'AA5C6D25', 'object/mobile/shared_dressed_tatooine_senni_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('2985311448', 'B1F03CD8', 'object/mobile/shared_dressed_tatooine_settler.iff');
INSERT INTO `object_crc_string_table` VALUES ('22290055', '1541E87', 'object/mobile/shared_dressed_tatooine_slaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607910047', 'D70C569F', 'object/mobile/shared_dressed_tatooine_spice_fiend.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907123253', 'AD472E35', 'object/mobile/shared_dressed_tatooine_squatter.iff');
INSERT INTO `object_crc_string_table` VALUES ('136039445', '81BCC15', 'object/mobile/shared_dressed_tatooine_tekil_barje.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884139724', 'E78344CC', 'object/mobile/shared_dressed_tatooine_tour_aryon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173915810', 'BD2E1CA2', 'object/mobile/shared_dressed_tatooine_trandoshan_slavemaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897433190', '71188866', 'object/mobile/shared_dressed_tatooine_trandoshan_slaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2129924', '208004', 'object/mobile/shared_dressed_tatooine_valarian_assassin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1450006686', '566D589E', 'object/mobile/shared_dressed_tatooine_valarian_compound_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574243142', '996FD546', 'object/mobile/shared_dressed_tatooine_valarian_enforcer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870201143', 'AB13CB37', 'object/mobile/shared_dressed_tatooine_valarian_henchman.iff');
INSERT INTO `object_crc_string_table` VALUES ('162757528', '9B37B98', 'object/mobile/shared_dressed_tatooine_valarian_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466453119', '9303167F', 'object/mobile/shared_dressed_tatooine_valarian_swooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404283589', 'CAE93EC5', 'object/mobile/shared_dressed_tatooine_valarian_swooper_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3873950036', 'E6E7C954', 'object/mobile/shared_dressed_tatooine_valarian_thief.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854514144', 'AA246DE0', 'object/mobile/shared_dressed_tatooine_valarian_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104079659', '41CEEB2B', 'object/mobile/shared_dressed_tatooine_vardias_tyne.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903225686', 'E8A67F56', 'object/mobile/shared_dressed_tatooine_wald.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174449815', '819B7897', 'object/mobile/shared_dressed_tatooine_water_bug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843079037', 'E510BB7D', 'object/mobile/shared_dressed_tatooine_weequay_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('165532274', '9DDD272', 'object/mobile/shared_dressed_tatooine_weequay_champion.iff');
INSERT INTO `object_crc_string_table` VALUES ('2227074402', '84BE7562', 'object/mobile/shared_dressed_tatooine_weequay_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843632835', '6DE39AC3', 'object/mobile/shared_dressed_tatooine_weequay_thug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699048006', '65456A46', 'object/mobile/shared_dressed_tatooine_weequay_zealot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2952819539', 'B0007353', 'object/mobile/shared_dressed_tatooine_wilhalm_skrim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221199472', '48CA0670', 'object/mobile/shared_dressed_tatooine_windom_starkiller.iff');
INSERT INTO `object_crc_string_table` VALUES ('2239425332', '857AEB34', 'object/mobile/shared_dressed_tatooine_wuher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792230761', 'A66E0F69', 'object/mobile/shared_dressed_terminator_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511591853', 'D14EA3AD', 'object/mobile/shared_dressed_theed_palace_chamberlain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428264275', '55219553', 'object/mobile/shared_dressed_tiberus_anderlock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719126009', '6677C7F9', 'object/mobile/shared_dressed_tie_fighter_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2498034736', '94E4FC30', 'object/mobile/shared_dressed_tieykna_mercenary_human_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499808077', '95000B4D', 'object/mobile/shared_dressed_tieykna_mercenary_human_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465505555', '5759D713', 'object/mobile/shared_dressed_tieykna_mercenary_zabrak_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('89143208', '55037A8', 'object/mobile/shared_dressed_tieykna_miner_bith_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176413592', '461EA598', 'object/mobile/shared_dressed_tieykna_miner_bothan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660511267', 'DA2EF823', 'object/mobile/shared_dressed_tieykna_miner_sullustan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507336402', 'D10DB4D2', 'object/mobile/shared_dressed_trade_federation_avenger.iff');
INSERT INTO `object_crc_string_table` VALUES ('595567551', '237FA3BF', 'object/mobile/shared_dressed_trade_federation_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609079790', '9B8365EE', 'object/mobile/shared_dressed_trade_federation_zealot.iff');
INSERT INTO `object_crc_string_table` VALUES ('863061149', '3371449D', 'object/mobile/shared_dressed_tusk_cat_rider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598237323', '9ADDF48B', 'object/mobile/shared_dressed_unarmed_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1103780892', '41CA5C1C', 'object/mobile/shared_dressed_unarmed_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('147274641', '8C73B91', 'object/mobile/shared_dressed_unarmed_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931904990', 'AEC151DE', 'object/mobile/shared_dressed_untrained_wielder_of_the_darkside.iff');
INSERT INTO `object_crc_string_table` VALUES ('534258499', '1FD82343', 'object/mobile/shared_dressed_velocity_bith_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479252597', 'CF612E75', 'object/mobile/shared_dressed_velocity_chiss_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929106056', 'AE969C88', 'object/mobile/shared_dressed_velocity_gran_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857550099', 'AA52C113', 'object/mobile/shared_dressed_velocity_hum_f_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183129198', '46851E6E', 'object/mobile/shared_dressed_velocity_quar_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2911603905', 'AD8B8CC1', 'object/mobile/shared_dressed_velocity_trn_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414223399', '8FE62027', 'object/mobile/shared_dressed_venthan_chassu.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772153811', 'E0D67FD3', 'object/mobile/shared_dressed_vhaunda.iff');
INSERT INTO `object_crc_string_table` VALUES ('398517092', '17C0E364', 'object/mobile/shared_dressed_victor_questn_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1011696302', '3C4D42AE', 'object/mobile/shared_dressed_victor_questn_capitol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362107874', '8CCAE7E2', 'object/mobile/shared_dressed_victor_questp_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('99901750', '5F46136', 'object/mobile/shared_dressed_victor_questp_slums.iff');
INSERT INTO `object_crc_string_table` VALUES ('871692080', '33F4F730', 'object/mobile/shared_dressed_victor_visalis.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903416078', '7173D30E', 'object/mobile/shared_dressed_villain_trandoshan_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('454087031', '1B10D177', 'object/mobile/shared_dressed_villain_trandoshan_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3160184982', 'BC5C9896', 'object/mobile/shared_dressed_vinya_maysor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123065659', '42F09F3B', 'object/mobile/shared_dressed_vinzel_haylon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261127142', 'C260D9E6', 'object/mobile/shared_dressed_vordin_sildor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3812523374', 'E33E7D6E', 'object/mobile/shared_dressed_vraker_orde.iff');
INSERT INTO `object_crc_string_table` VALUES ('374445299', '165194F3', 'object/mobile/shared_dressed_vurlene.iff');
INSERT INTO `object_crc_string_table` VALUES ('998736755', '3B878373', 'object/mobile/shared_dressed_wallaw_loowobbli.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103644702', 'F498A61E', 'object/mobile/shared_dressed_wandering_desert_marauder.iff');
INSERT INTO `object_crc_string_table` VALUES ('4265953165', 'FE45478D', 'object/mobile/shared_dressed_warren_cyborg_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2579995835', '99C79CBB', 'object/mobile/shared_dressed_warren_doctor_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293689440', 'FFEC8060', 'object/mobile/shared_dressed_weaponsmith_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('620439799', '24FB28F7', 'object/mobile/shared_dressed_weaponsmith_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844858746', '6DF64F7A', 'object/mobile/shared_dressed_weaponsmith_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1552458793', '5C88A429', 'object/mobile/shared_dressed_xaan_talmaron.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685958549', '647DAF95', 'object/mobile/shared_dressed_xarot_korlin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304412051', 'C4F55393', 'object/mobile/shared_dressed_yith_seenath.iff');
INSERT INTO `object_crc_string_table` VALUES ('117506864', '7010330', 'object/mobile/shared_dressed_zeelius_kraymunder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2356948414', '8C7C2DBE', 'object/mobile/shared_dressed_zideera.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412922465', '8FD24661', 'object/mobile/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('3056528372', 'B62EEBF4', 'object/mobile/shared_droopy_mccool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1541355871', '5BDF395F', 'object/mobile/shared_dulok_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350961206', '8C20D236', 'object/mobile/shared_dulok_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554679154', 'D3E01972', 'object/mobile/shared_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1669128383', '637CE0BF', 'object/mobile/shared_dune_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('382834958', '16D1990E', 'object/mobile/shared_dung_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1181360289', '466A20A1', 'object/mobile/shared_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('122624654', '74F1A8E', 'object/mobile/shared_durni_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229494825', 'FC18F829', 'object/mobile/shared_dwarf_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('3051864722', 'B5E7C292', 'object/mobile/shared_dwarf_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557068446', '9869C49E', 'object/mobile/shared_dwarf_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763251553', 'A4B3DF61', 'object/mobile/shared_dwarf_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180728113', 'BD960F31', 'object/mobile/shared_dwarf_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305482453', '4DD014D5', 'object/mobile/shared_dz70_fugitive_tracker_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('504745581', '1E15CE6D', 'object/mobile/shared_eg6_power_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('663455382', '278B8696', 'object/mobile/shared_eg6_power_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('426628456', '196DD568', 'object/mobile/shared_elder_hanadak_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('751022420', '2CC3B154', 'object/mobile/shared_elder_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('2656910223', '9E5D3B8F', 'object/mobile/shared_elder_snorbal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2413744233', '8FDED069', 'object/mobile/shared_elder_snorbal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548119821', '5C466F0D', 'object/mobile/shared_emperor_royal_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935706286', 'EA961CAE', 'object/mobile/shared_enraged_wood_mite_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289792361', 'C4163F69', 'object/mobile/shared_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465495844', '92F47B24', 'object/mobile/shared_eopie_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282043693', 'C3A0032D', 'object/mobile/shared_ephant_mon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783661997', 'E18619AD', 'object/mobile/shared_ev_9d9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221034026', '48C7802A', 'object/mobile/shared_ewok_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033412878', 'F068FF0E', 'object/mobile/shared_ewok_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('139303918', '84D9BEE', 'object/mobile/shared_ewok_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2368719642', '8D2FCB1A', 'object/mobile/shared_ewok_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('891448142', '35226B4E', 'object/mobile/shared_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537291030', '973BFD16', 'object/mobile/shared_falumpaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375688304', '8D9A2070', 'object/mobile/shared_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084223788', '409FF12C', 'object/mobile/shared_fambaa_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('304357171', '12241F33', 'object/mobile/shared_fanned_rawl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2154485114', '806AD57A', 'object/mobile/shared_fanned_rawl_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3937658602', 'EAB3E6EA', 'object/mobile/shared_fath_hray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406226385', '8F6C19D1', 'object/mobile/shared_fearful_fynock_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465113907', '92EEA733', 'object/mobile/shared_female_dire_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661514098', '6308B172', 'object/mobile/shared_female_grassland_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('857953251', '332353E3', 'object/mobile/shared_female_snorbal_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651259209', 'D9A1CB49', 'object/mobile/shared_female_swamp_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041927583', 'B550219F', 'object/mobile/shared_fightmaster_jorak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1436777570', '55A37C62', 'object/mobile/shared_flewt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3422424152', 'CBFE0C58', 'object/mobile/shared_flewt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('878848245', '346228F5', 'object/mobile/shared_flit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560963553', '98A533E1', 'object/mobile/shared_flit_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('554215691', '2108A90B', 'object/mobile/shared_flit_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138484659', '43DBE5B3', 'object/mobile/shared_flite_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107821844', '7DA2CF14', 'object/mobile/shared_flite_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253086890', 'FD80F4AA', 'object/mobile/shared_forest_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('108259727', '673E98F', 'object/mobile/shared_forest_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917464836', 'ADE4FB04', 'object/mobile/shared_forest_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126395623', 'F5F3CCE7', 'object/mobile/shared_frenzied_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114917911', '42744C17', 'object/mobile/shared_frightened_young_flewt.iff');
INSERT INTO `object_crc_string_table` VALUES ('388899118', '172E212E', 'object/mobile/shared_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('255210140', 'F36329C', 'object/mobile/shared_fynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2791266544', 'A65F58F0', 'object/mobile/shared_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037861799', '3DDC83A7', 'object/mobile/shared_gackle_bat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('890755352', '3517D918', 'object/mobile/shared_gamorrean.iff');
INSERT INTO `object_crc_string_table` VALUES ('874176443', '341ADFBB', 'object/mobile/shared_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('670298183', '27F3F047', 'object/mobile/shared_gaping_spider_broodling.iff');
INSERT INTO `object_crc_string_table` VALUES ('170629487', 'A2B996F', 'object/mobile/shared_gaping_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435207717', '558B8825', 'object/mobile/shared_gaping_spider_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216583678', '841E61FE', 'object/mobile/shared_gaping_spider_recluse.iff');
INSERT INTO `object_crc_string_table` VALUES ('9986579', '986213', 'object/mobile/shared_gaping_spider_recluse_giant_kiin_dray.iff');
INSERT INTO `object_crc_string_table` VALUES ('236788505', 'E1D1B19', 'object/mobile/shared_general_jan_dodonna.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346665302', '50447B56', 'object/mobile/shared_gerrick_lond.iff');
INSERT INTO `object_crc_string_table` VALUES ('2239716054', '857F5AD6', 'object/mobile/shared_gethzerion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519374408', '5A8FD048', 'object/mobile/shared_giant_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('411959999', '188E02BF', 'object/mobile/shared_giant_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592720151', '9A89C517', 'object/mobile/shared_giant_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918503337', '725A09A9', 'object/mobile/shared_giant_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1561394973', '5D10FF1D', 'object/mobile/shared_giant_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341282550', '4FF258F6', 'object/mobile/shared_giant_dune_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('4002066866', 'EE8AB1B2', 'object/mobile/shared_giant_flit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3301424523', 'C4C7BD8B', 'object/mobile/shared_giant_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210767459', '83C5A263', 'object/mobile/shared_giant_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('135987033', '81AFF59', 'object/mobile/shared_giant_horned_krevol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503643993', '953A9359', 'object/mobile/shared_giant_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('2940660181', 'AF46E9D5', 'object/mobile/shared_giant_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032288412', '3D87789C', 'object/mobile/shared_giant_peko_peko.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108418006', 'F4E17BD6', 'object/mobile/shared_giant_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('607873114', '243B685A', 'object/mobile/shared_giant_sand_beetle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892971996', '70D475DC', 'object/mobile/shared_giant_spined_puc.iff');
INSERT INTO `object_crc_string_table` VALUES ('928031214', '3750A1EE', 'object/mobile/shared_giant_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055227574', 'B61B12B6', 'object/mobile/shared_giant_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091826918', '7CAEBEE6', 'object/mobile/shared_giant_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363995443', '8CE7B533', 'object/mobile/shared_giant_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229150764', 'FC13B82C', 'object/mobile/shared_giant_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677634246', '9F9974C6', 'object/mobile/shared_glutted_fynock_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247872509', '4A6105FD', 'object/mobile/shared_gnarled_bark_mite_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2332032204', '8AFFFCCC', 'object/mobile/shared_gnort.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203909082', '835CFBDA', 'object/mobile/shared_gnort_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3371835636', 'C8FA20F4', 'object/mobile/shared_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2760269032', 'A4865CE8', 'object/mobile/shared_gorg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538453074', 'D2E88252', 'object/mobile/shared_gorr_ebelt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180193191', '81F31BA7', 'object/mobile/shared_gran_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021374410', 'B41683CA', 'object/mobile/shared_grand_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('727049275', '2B55E43B', 'object/mobile/shared_grassland_voritor_tracker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456488947', 'CE05D5F3', 'object/mobile/shared_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('195249385', 'BA344E9', 'object/mobile/shared_graul_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('197567680', 'BC6A4C0', 'object/mobile/shared_great_borgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337882429', 'C6F40B3D', 'object/mobile/shared_greater_desert_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004591794', '777BA4B2', 'object/mobile/shared_greater_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822551779', 'A83CB8E3', 'object/mobile/shared_greater_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403761131', '8F467BEB', 'object/mobile/shared_greater_sludge_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('626775279', '255BD4EF', 'object/mobile/shared_greeata.iff');
INSERT INTO `object_crc_string_table` VALUES ('2380349390', '8DE13FCE', 'object/mobile/shared_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('820089474', '30E19282', 'object/mobile/shared_gronda_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('699324195', '29AED723', 'object/mobile/shared_grubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511253817', '95AEB139', 'object/mobile/shared_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('957852710', '3917AC26', 'object/mobile/shared_gualama_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('622698539', '251DA02B', 'object/mobile/shared_gualama_patriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('170808', '29B38', 'object/mobile/shared_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('406952354', '184199A2', 'object/mobile/shared_gubbur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412635704', '8FCDE638', 'object/mobile/shared_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797461869', 'A6BDE16D', 'object/mobile/shared_guf_drolg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3577243781', 'D5386885', 'object/mobile/shared_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('519301058', '1EF3E7C2', 'object/mobile/shared_gulginaw_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438350132', 'CCF10F34', 'object/mobile/shared_gungan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1911569758', '71F03D5E', 'object/mobile/shared_gungan_outcast.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291134911', 'FFC585BF', 'object/mobile/shared_gungan_s02_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2136286680', '7F5525D8', 'object/mobile/shared_gungan_s03_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4058341940', 'F1E56234', 'object/mobile/shared_gungan_s04_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464397925', 'CE7E8465', 'object/mobile/shared_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945720999', 'EB2EECA7', 'object/mobile/shared_gurk_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648622033', 'D9798DD1', 'object/mobile/shared_gurk_whelp.iff');
INSERT INTO `object_crc_string_table` VALUES ('526557680', '1F62A1F0', 'object/mobile/shared_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388439199', '8E5CB09F', 'object/mobile/shared_gurnaset_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('650735113', '26C96E09', 'object/mobile/shared_gurnaset_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196368391', 'FA1F8007', 'object/mobile/shared_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386599736', '52A5D538', 'object/mobile/shared_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('2127300800', '7ECC08C0', 'object/mobile/shared_gurreck_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209483922', 'FAE7A092', 'object/mobile/shared_han_solo.iff');
INSERT INTO `object_crc_string_table` VALUES ('737828942', '2BFA604E', 'object/mobile/shared_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('683409130', '28BBFEEA', 'object/mobile/shared_hanadak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('321800919', '132E4AD7', 'object/mobile/shared_hermit_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1106523508', '41F43574', 'object/mobile/shared_hermit_spider_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1772162748', '69A10EBC', 'object/mobile/shared_hermit_spider_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151073468', 'F76C5ABC', 'object/mobile/shared_horned_krevol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110998243', '42387CE3', 'object/mobile/shared_horned_krevol_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1235301079', '49A132D7', 'object/mobile/shared_horned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1046993495', '3E67DA57', 'object/mobile/shared_horned_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3376666183', 'C943D647', 'object/mobile/shared_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104363553', 'B908D421', 'object/mobile/shared_huf_dun_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('455344365', '1B2400ED', 'object/mobile/shared_huff_darklighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801722706', 'E299AF52', 'object/mobile/shared_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3807249423', 'E2EE040F', 'object/mobile/shared_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('271061361', '10281171', 'object/mobile/shared_humanoid.iff');
INSERT INTO `object_crc_string_table` VALUES ('372793188', '16385F64', 'object/mobile/shared_hutt_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524293994', 'D210756A', 'object/mobile/shared_hutt_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338559238', 'C6FE5F06', 'object/mobile/shared_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951196197', '744CE425', 'object/mobile/shared_huurton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('187466253', 'B2C820D', 'object/mobile/shared_huurton_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624261773', 'D805D88D', 'object/mobile/shared_ig_88.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794810877', 'A6956DFD', 'object/mobile/shared_ig_assassin_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370403426', '8D497C62', 'object/mobile/shared_ikopi.iff');
INSERT INTO `object_crc_string_table` VALUES ('518642479', '1EE9DB2F', 'object/mobile/shared_ikopi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3489809286', 'D0024386', 'object/mobile/shared_infant_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('1512283088', '5A239BD0', 'object/mobile/shared_infant_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('2606110011', '9B56153B', 'object/mobile/shared_ishi_tib_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('594682215', '23722167', 'object/mobile/shared_ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899698397', '713B18DD', 'object/mobile/shared_ito_interrogator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667695413', '9F01CD35', 'object/mobile/shared_jabba_the_hutt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350586805', '508051B5', 'object/mobile/shared_jawa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3444186231', 'CD4A1C77', 'object/mobile/shared_jawa_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1884909391', '70596F4F', 'object/mobile/shared_jinda_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180848925', 'BD97E71D', 'object/mobile/shared_jinda_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886364858', 'AC0A6EBA', 'object/mobile/shared_jinda_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791269426', 'E1FA2E32', 'object/mobile/shared_jinda_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152200653', 'F77D8DCD', 'object/mobile/shared_jinkins.iff');
INSERT INTO `object_crc_string_table` VALUES ('3796385498', 'E2483EDA', 'object/mobile/shared_junk_dender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073383419', '3FFA87FB', 'object/mobile/shared_junk_lila.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200510488', '478E5618', 'object/mobile/shared_junk_malik.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519505878', 'D1C765D6', 'object/mobile/shared_junk_nado.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068835611', '3FB5231B', 'object/mobile/shared_junk_nathan.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083329630', 'F362AA5E', 'object/mobile/shared_junk_ollobo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2442790048', '919A04A0', 'object/mobile/shared_junk_quich.iff');
INSERT INTO `object_crc_string_table` VALUES ('3743679532', 'DF24042C', 'object/mobile/shared_junk_reggi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1497892027', '594804BB', 'object/mobile/shared_junk_sheani.iff');
INSERT INTO `object_crc_string_table` VALUES ('1491720494', '58E9D92E', 'object/mobile/shared_junk_sneg.iff');
INSERT INTO `object_crc_string_table` VALUES ('899113216', '35976100', 'object/mobile/shared_juvenile_canyon_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3798151898', 'E26332DA', 'object/mobile/shared_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140078146', '43F43642', 'object/mobile/shared_kaadu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433057460', 'CCA04CB4', 'object/mobile/shared_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1823266132', '6CACD554', 'object/mobile/shared_kai_tok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430943240', 'CC800A08', 'object/mobile/shared_kai_tok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('790151822', '2F18C28E', 'object/mobile/shared_kais.iff');
INSERT INTO `object_crc_string_table` VALUES ('2220741380', '845DD304', 'object/mobile/shared_kaja_orzee.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021216065', 'EFAEE341', 'object/mobile/shared_kardeer.iff');
INSERT INTO `object_crc_string_table` VALUES ('558452126', '21494D9E', 'object/mobile/shared_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309389896', '89A67E48', 'object/mobile/shared_kima_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('533451918', '1FCBD48E', 'object/mobile/shared_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('331807070', '13C6F95E', 'object/mobile/shared_kimogila_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290753335', 'C424E937', 'object/mobile/shared_kimogila_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('696113680', '297DDA10', 'object/mobile/shared_king_merek_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('2679096925', '9FAFC65D', 'object/mobile/shared_king_terak.iff');
INSERT INTO `object_crc_string_table` VALUES ('894333200', '354E7110', 'object/mobile/shared_king_venom_nightspider.iff');
INSERT INTO `object_crc_string_table` VALUES ('853883293', '32E5399D', 'object/mobile/shared_kitonak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921032397', '7280A0CD', 'object/mobile/shared_kittle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3514726180', 'D17E7724', 'object/mobile/shared_kittle_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777947553', 'A5941DA1', 'object/mobile/shared_klaatu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786131312', '6A763370', 'object/mobile/shared_klatooinian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('965104200', '39865248', 'object/mobile/shared_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('563836998', '219B7846', 'object/mobile/shared_kliknik_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954898028', 'B0202A6C', 'object/mobile/shared_kliknik_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1426582452', '5507EBB4', 'object/mobile/shared_kliknik_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3181883060', 'BDA7AEB4', 'object/mobile/shared_kole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335337379', 'C6CD35A3', 'object/mobile/shared_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245681006', 'FD0FF36E', 'object/mobile/shared_krahbu_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661868611', '630E1A43', 'object/mobile/shared_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506562190', 'D101E48E', 'object/mobile/shared_krayt_dragon_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267723937', 'C2C582A1', 'object/mobile/shared_kreetle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518117227', '5A7CA16B', 'object/mobile/shared_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1317576523', '4E889F4B', 'object/mobile/shared_kusak_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('837351779', '31E8F963', 'object/mobile/shared_kusak_pup.iff');
INSERT INTO `object_crc_string_table` VALUES ('2111021739', '7DD3A2AB', 'object/mobile/shared_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259280470', '4B0F1856', 'object/mobile/shared_kwi_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732119602', '673E0C32', 'object/mobile/shared_lady_valarian.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513300255', '95CDEB1F', 'object/mobile/shared_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089092771', '7C8506A3', 'object/mobile/shared_langlatch_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403875295', '8F4839DF', 'object/mobile/shared_langlatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('92206253', '57EF4AD', 'object/mobile/shared_langlatch_juvenile.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183906554', '4690FAFA', 'object/mobile/shared_lantern_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('472158100', '1C248F94', 'object/mobile/shared_lantern_bird_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533890471', 'D2A2E3A7', 'object/mobile/shared_le_repair_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810094755', 'E3196EA3', 'object/mobile/shared_leia_organa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069323499', '7B575EEB', 'object/mobile/shared_lerat_zom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598364682', '9ADFE60A', 'object/mobile/shared_lesser_desert_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2862937050', 'AAA4F3DA', 'object/mobile/shared_leviasquall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1979857288', '76023988', 'object/mobile/shared_lice_ridden_remmer_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246900266', 'FD228E2A', 'object/mobile/shared_lieutenant_heb_nee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859131568', 'AA6AE2B0', 'object/mobile/shared_lieutenant_ori.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854215695', 'AA1FE00F', 'object/mobile/shared_lin_demolitionmech.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144531529', 'F7088849', 'object/mobile/shared_loam_redge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645848119', 'D94F3A37', 'object/mobile/shared_lord_hethrir.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517357014', '960BD1D6', 'object/mobile/shared_luke_skywalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('145629216', '8AE2020', 'object/mobile/shared_malakili.iff');
INSERT INTO `object_crc_string_table` VALUES ('604798460', '240C7DFC', 'object/mobile/shared_male_snorbal_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1884038525', '704C257D', 'object/mobile/shared_male_swamp_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('197708576', 'BC8CB20', 'object/mobile/shared_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2252300184', '863F5F98', 'object/mobile/shared_malkloc_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('769338663', '2DDB2D27', 'object/mobile/shared_malkloc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1795257005', '6B0172AD', 'object/mobile/shared_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('3896527107', 'E8404903', 'object/mobile/shared_mamien_ancient.iff');
INSERT INTO `object_crc_string_table` VALUES ('833601634', '31AFC062', 'object/mobile/shared_mamien_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('534842102', '1FE10AF6', 'object/mobile/shared_mammoth_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684536430', '6467FC6E', 'object/mobile/shared_mantigrue_night_stalker.iff');
INSERT INTO `object_crc_string_table` VALUES ('302799756', '120C5B8C', 'object/mobile/shared_mara_jade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2751070604', 'A3FA018C', 'object/mobile/shared_marauder_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107662910', '7DA0623E', 'object/mobile/shared_marauder_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237343893', '855B2895', 'object/mobile/shared_marauder_male_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428208408', 'CC564F18', 'object/mobile/shared_marauder_male_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005725996', 'B327BD2C', 'object/mobile/shared_matriarch_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('746705038', '2C81D08E', 'object/mobile/shared_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278886740', '87D50D54', 'object/mobile/shared_mawgax_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390351063', '52DF12D7', 'object/mobile/shared_mawgax_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('4134465553', 'F66EF011', 'object/mobile/shared_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394031156', '8EB20434', 'object/mobile/shared_meager_tortur.iff');
INSERT INTO `object_crc_string_table` VALUES ('278841892', '109ECA24', 'object/mobile/shared_megan_drlar.iff');
INSERT INTO `object_crc_string_table` VALUES ('4057111915', 'F1D29D6B', 'object/mobile/shared_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117505863', 'B9D15D47', 'object/mobile/shared_merek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095272695', 'B87E1CF7', 'object/mobile/shared_minor_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297255033', '4D528A79', 'object/mobile/shared_minor_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2183424297', '82246929', 'object/mobile/shared_minor_sludge_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647415305', '62319009', 'object/mobile/shared_minor_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3397167220', 'CA7CA874', 'object/mobile/shared_mobile.iff');
INSERT INTO `object_crc_string_table` VALUES ('717270744', '2AC0AED8', 'object/mobile/shared_mon_mothma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212977021', '83E7597D', 'object/mobile/shared_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329990924', '4F460D0C', 'object/mobile/shared_moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2678081700', '9FA048A4', 'object/mobile/shared_morag.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780356929', '6A1E1741', 'object/mobile/shared_mordran.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571307552', 'D4DDD420', 'object/mobile/shared_mos_taike_cantina_owner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565654856', 'D4879348', 'object/mobile/shared_mos_taike_guard_old.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344047957', 'C7521F55', 'object/mobile/shared_mos_taike_guard_young.iff');
INSERT INTO `object_crc_string_table` VALUES ('3457587793', 'CE169A51', 'object/mobile/shared_mos_taike_mayor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313283529', 'C57CB1C9', 'object/mobile/shared_mott.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601195957', '5F704FB5', 'object/mobile/shared_mott_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('147591516', '8CC115C', 'object/mobile/shared_mott_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('317595623', '12EE1FE7', 'object/mobile/shared_mott_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2626589931', '9C8E94EB', 'object/mobile/shared_mottled_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483139495', 'CF9C7DA7', 'object/mobile/shared_mouf.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266026234', 'FE4664FA', 'object/mobile/shared_mound_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084332041', '40A19809', 'object/mobile/shared_mountain_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555554447', '5CB7E08F', 'object/mobile/shared_mountain_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('807169980', '301C6FBC', 'object/mobile/shared_mountain_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('239900799', 'E4C987F', 'object/mobile/shared_mountain_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579087581', '5E1EF6DD', 'object/mobile/shared_mouse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982920240', 'B1CBC030', 'object/mobile/shared_mouse_droid_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756550775', '68B2D677', 'object/mobile/shared_muftak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2019564259', '78601AE3', 'object/mobile/shared_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('160402253', '98F8B4D', 'object/mobile/shared_murra_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('252682001', 'F0F9F11', 'object/mobile/shared_mutant_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('976459327', '3A33963F', 'object/mobile/shared_mutant_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3723114695', 'DDEA38C7', 'object/mobile/shared_mutated_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223392893', '48EB7E7D', 'object/mobile/shared_mutated_krevol_clicker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246027732', '85DFA9D4', 'object/mobile/shared_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('4044500153', 'F1122CB9', 'object/mobile/shared_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658600427', 'DA11CFEB', 'object/mobile/shared_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474362724', '937BC764', 'object/mobile/shared_narglatch_cub.iff');
INSERT INTO `object_crc_string_table` VALUES ('793263804', '2F483EBC', 'object/mobile/shared_narglatch_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('595934525', '23853D3D', 'object/mobile/shared_narglatch_female_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394776997', 'CA582FA5', 'object/mobile/shared_narglatch_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402390357', '8F319155', 'object/mobile/shared_nerf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370906334', 'C8EBF2DE', 'object/mobile/shared_nerf_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3866110876', 'E6702B9C', 'object/mobile/shared_nhelper_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105718577', 'B91D8131', 'object/mobile/shared_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343438906', '5013403A', 'object/mobile/shared_nightsister_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118742802', 'F57F0712', 'object/mobile/shared_nightspider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881975821', 'ABC7760D', 'object/mobile/shared_nightspider_aggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('184069760', 'AF8AE80', 'object/mobile/shared_nightspider_poison_spitter.iff');
INSERT INTO `object_crc_string_table` VALUES ('337606181', '141F7625', 'object/mobile/shared_nikto_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273076283', '4BE19A3B', 'object/mobile/shared_noxious_vrelt_scavenger.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646925455', '9DC4E08F', 'object/mobile/shared_nsister_rancor_grovo.iff');
INSERT INTO `object_crc_string_table` VALUES ('598467155', '23ABE253', 'object/mobile/shared_nudfuh.iff');
INSERT INTO `object_crc_string_table` VALUES ('2432817562', '9101D99A', 'object/mobile/shared_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393798913', '8EAE7901', 'object/mobile/shared_nuna_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2824646682', 'A85CB01A', 'object/mobile/shared_nym.iff');
INSERT INTO `object_crc_string_table` VALUES ('4145365928', 'F71543A8', 'object/mobile/shared_oola.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254768126', 'C1FFD1FE', 'object/mobile/shared_palpatine.iff');
INSERT INTO `object_crc_string_table` VALUES ('634611787', '25D3684B', 'object/mobile/shared_paralope.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319882660', '8A4699A4', 'object/mobile/shared_peko_peko.iff');
INSERT INTO `object_crc_string_table` VALUES ('989706565', '3AFDB945', 'object/mobile/shared_peko_peko_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4249958797', 'FD51398D', 'object/mobile/shared_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939867549', 'EAD59B9D', 'object/mobile/shared_perlek_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469572833', '5797E6E1', 'object/mobile/shared_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318505708', '8A3196EC', 'object/mobile/shared_pharple_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2773934611', 'A556E213', 'object/mobile/shared_pigmy_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('228250912', 'D9AD520', 'object/mobile/shared_piket.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209745570', 'FAEB9EA2', 'object/mobile/shared_piket_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816463323', 'E37A9BDB', 'object/mobile/shared_piket_longhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('487283564', '1D0B5B6C', 'object/mobile/shared_piket_plains_walker.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041302046', 'F0E1601E', 'object/mobile/shared_player_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('144116282', '8970A3A', 'object/mobile/shared_plumed_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1602956794', '5F8B2DFA', 'object/mobile/shared_plumed_rasp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766345516', '69484B2C', 'object/mobile/shared_poisonous_krevol_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421868178', '905AC692', 'object/mobile/shared_porcellus.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834228429', 'E489AECD', 'object/mobile/shared_prefect_talmont.iff');
INSERT INTO `object_crc_string_table` VALUES ('2028323765', '78E5C3B5', 'object/mobile/shared_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2081633047', '7C133317', 'object/mobile/shared_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320411372', 'C5E974EC', 'object/mobile/shared_pugoriss_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('539898393', '202E3219', 'object/mobile/shared_puny_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511490991', 'D14D19AF', 'object/mobile/shared_puny_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('469284351', '1BF8B5FF', 'object/mobile/shared_puny_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043838137', '3E37B4B9', 'object/mobile/shared_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649503815', '62516E47', 'object/mobile/shared_purbole_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3967139450', 'EC75BE7A', 'object/mobile/shared_purbole_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308440626', '89980232', 'object/mobile/shared_purbole_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827279538', 'A884DCB2', 'object/mobile/shared_putrid_decay_mite_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210572872', 'FAF83E48', 'object/mobile/shared_qualdo_herm.iff');
INSERT INTO `object_crc_string_table` VALUES ('693363261', '2953E23D', 'object/mobile/shared_quarren_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157055229', '44F742FD', 'object/mobile/shared_queen_arachne.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600142947', '5F603E63', 'object/mobile/shared_queen_merek_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('894437668', '35500924', 'object/mobile/shared_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248542572', '8606096C', 'object/mobile/shared_quenker_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105108794', 'B914333A', 'object/mobile/shared_quenker_relic_reaper.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584953800', '5E7879C8', 'object/mobile/shared_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636988254', '9D2D3F5E', 'object/mobile/shared_r2_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('860207358', '3345B8FE', 'object/mobile/shared_r2_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667365664', '6361FB20', 'object/mobile/shared_r2_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340204332', '4FE1E52C', 'object/mobile/shared_r2d2.iff');
INSERT INTO `object_crc_string_table` VALUES ('393551429', '17751E45', 'object/mobile/shared_r3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971939675', '7589695B', 'object/mobile/shared_r3_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('962474151', '395E30A7', 'object/mobile/shared_r3_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597158094', '9ACD7CCE', 'object/mobile/shared_r3_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('3969267025', 'EC963551', 'object/mobile/shared_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883331630', 'E776F02E', 'object/mobile/shared_r4_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('253528360', 'F1C8928', 'object/mobile/shared_r4_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131284010', '7F08D02A', 'object/mobile/shared_r4_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778419932', 'A59B52DC', 'object/mobile/shared_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('265463339', 'FD2A62B', 'object/mobile/shared_r5_crafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('84345201', '5070171', 'object/mobile/shared_r5_crafted_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258917316', '86A457C4', 'object/mobile/shared_r5_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('781965517', '2E9BD8CD', 'object/mobile/shared_ra7_bug_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3516440142', 'D1989E4E', 'object/mobile/shared_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580527896', 'D56A8518', 'object/mobile/shared_rancor_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919713604', 'AE074B44', 'object/mobile/shared_rancor_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('657461156', '27300FA4', 'object/mobile/shared_recluse_gurk_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('357807548', '1553B5BC', 'object/mobile/shared_reelo_baruk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3273659222', 'C3201356', 'object/mobile/shared_remmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944971325', 'AF88B23D', 'object/mobile/shared_remmer_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270001055', '874D779F', 'object/mobile/shared_reptilian_flier.iff');
INSERT INTO `object_crc_string_table` VALUES ('481148603', '1CADBEBB', 'object/mobile/shared_reptilian_flier_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('813958609', '308405D1', 'object/mobile/shared_rill.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599197632', '5F51D1C0', 'object/mobile/shared_riverside_sulfur_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008127960', '3C16CFD8', 'object/mobile/shared_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272032284', '4BD1AC1C', 'object/mobile/shared_roba_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574936266', '997A68CA', 'object/mobile/shared_robo_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381990465', '525F8041', 'object/mobile/shared_rock_beetle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212835476', '484A6694', 'object/mobile/shared_rock_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647879081', '6238A3A9', 'object/mobile/shared_rock_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651977976', 'D9ACC2F8', 'object/mobile/shared_rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('4252472632', 'FD779538', 'object/mobile/shared_rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073846880', 'F2D1F860', 'object/mobile/shared_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('106720222', '65C6BDE', 'object/mobile/shared_ronto_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167786528', 'F86B6020', 'object/mobile/shared_rot_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('413618023', '18A74F67', 'object/mobile/shared_rotten_gut_remmer_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('4225004735', 'FBD474BF', 'object/mobile/shared_royal_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510308358', 'D13B0E06', 'object/mobile/shared_runty_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987091963', '76709DFB', 'object/mobile/shared_salacious_crumb.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848263825', '6E2A4491', 'object/mobile/shared_salt_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459235302', '9294F3E6', 'object/mobile/shared_salt_mynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3811928373', 'E3356935', 'object/mobile/shared_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1979223286', '75F88CF6', 'object/mobile/shared_savage_flewt_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217993661', '48991BBD', 'object/mobile/shared_savage_humbaba.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345670059', '50354BAB', 'object/mobile/shared_scholar_szingo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164121956', 'BC98AB64', 'object/mobile/shared_scyk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820992759', 'E3BFB8F7', 'object/mobile/shared_seething_bol_crusher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2810724451', 'A7884063', 'object/mobile/shared_selonian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('770788109', '2DF14B0D', 'object/mobile/shared_selonian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('595956848', '23859470', 'object/mobile/shared_sevorrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('117230570', '6FCCBEA', 'object/mobile/shared_shaggy_gurk_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018439632', '784EF1D0', 'object/mobile/shared_shalera.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970962787', '757A8163', 'object/mobile/shared_shallow_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083067359', 'F35EA9DF', 'object/mobile/shared_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709004378', 'DD12EA5A', 'object/mobile/shared_sharnaff_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003919108', '3BD69704', 'object/mobile/shared_sharnaff_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('176125140', 'A7F74D4', 'object/mobile/shared_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2872125509', 'AB312845', 'object/mobile/shared_shaupaut_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3399904934', 'CAA66EA6', 'object/mobile/shared_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('501606791', '1DE5E987', 'object/mobile/shared_shear_mite_broodling.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280884037', '87F38745', 'object/mobile/shared_shear_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4216430900', 'FB51A134', 'object/mobile/shared_shear_mite_hunter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821753803', 'E3CB55CB', 'object/mobile/shared_shear_mite_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1678456640', '640B3740', 'object/mobile/shared_shear_mite_soldier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3568220072', 'D4AEB7A8', 'object/mobile/shared_sickening_dung_mite_worker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342299915', 'C737730B', 'object/mobile/shared_singing_mt_clan_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185675425', '46ABF8A1', 'object/mobile/shared_singing_mt_clan_witch.iff');
INSERT INTO `object_crc_string_table` VALUES ('714096395', '2A903F0B', 'object/mobile/shared_sirad_far.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391906030', '8E9196EE', 'object/mobile/shared_skreeg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067374229', '3F9ED695', 'object/mobile/shared_skreeg_adolescent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1652523884', '627F836C', 'object/mobile/shared_skreeg_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('768808419', '2DD315E3', 'object/mobile/shared_skreeg_infant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1248104419', '4A648FE3', 'object/mobile/shared_slinking_voritor_hunter.iff');
INSERT INTO `object_crc_string_table` VALUES ('581977565', '22B045DD', 'object/mobile/shared_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919784885', 'E9A32BB5', 'object/mobile/shared_snorbal_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831973457', 'A8CC7C51', 'object/mobile/shared_snorbal_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639457236', 'D8EDB5D4', 'object/mobile/shared_space_chassis_broker_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('66723139', '3FA1D43', 'object/mobile/shared_space_chassis_broker_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1257732814', '4AF77ACE', 'object/mobile/shared_space_chassis_broker_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970898906', 'B11451DA', 'object/mobile/shared_space_chassis_broker_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4162401879', 'F8193657', 'object/mobile/shared_space_chassis_broker_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('148115873', '8D411A1', 'object/mobile/shared_space_comm_aynat_ace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3552819510', 'D3C3B936', 'object/mobile/shared_space_comm_aynat_ace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597248699', '9ACEDEBB', 'object/mobile/shared_space_comm_aynat_ace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1630401967', '612DF5AF', 'object/mobile/shared_space_comm_aynat_ace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1160287463', '452894E7', 'object/mobile/shared_space_comm_blacksun_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2654944368', '9E3F3C70', 'object/mobile/shared_space_comm_blacksun_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3610401789', 'D7325BFD', 'object/mobile/shared_space_comm_blacksun_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573735897', 'D502E1D9', 'object/mobile/shared_space_comm_civilian_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('236276046', 'E15494E', 'object/mobile/shared_space_comm_civilian_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1192767171', '47182EC3', 'object/mobile/shared_space_comm_civilian_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3170567639', 'BCFB05D7', 'object/mobile/shared_space_comm_civilian_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126564954', 'F5F6625A', 'object/mobile/shared_space_comm_civilian_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('786549453', '2EE1CACD', 'object/mobile/shared_space_comm_civilian_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737456484', '678F7B64', 'object/mobile/shared_space_comm_hutt_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164132339', 'BC98D3F3', 'object/mobile/shared_space_comm_hutt_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4120228990', 'F595B47E', 'object/mobile/shared_space_comm_hutt_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507387338', '59D8E7CA', 'object/mobile/shared_space_comm_imperial_ace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770030665', '69808649', 'object/mobile/shared_space_comm_imperial_officer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996252382', 'B2972EDE', 'object/mobile/shared_space_comm_imperial_officer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707663572', 'DCFE74D4', 'object/mobile/shared_space_comm_imperial_tiefighter_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668479742', 'DAA88EFE', 'object/mobile/shared_space_comm_quest_hortrix_steelarm_chiss_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('491206767', '1D47386F', 'object/mobile/shared_space_comm_rancorclan_hum_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327168760', 'C65090F8', 'object/mobile/shared_space_comm_rancorclan_hum_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405300085', '8F5DF775', 'object/mobile/shared_space_comm_rancorclan_hum_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1958665313', '74BEDC61', 'object/mobile/shared_space_comm_rancorclan_hum_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478752260', '93BEC204', 'object/mobile/shared_space_comm_rebel_transport_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1219062419', '48A96A93', 'object/mobile/shared_space_comm_rebel_transport_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('27528478', '1A40D1E', 'object/mobile/shared_space_comm_rebel_transport_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198966794', 'FA47260A', 'object/mobile/shared_space_comm_rebel_transport_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007988103', 'B34A4187', 'object/mobile/shared_space_comm_rebel_transport_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750984976', '685DE910', 'object/mobile/shared_space_comm_rebel_transport_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2555678598', '98548F86', 'object/mobile/shared_space_comm_rebel_xwing_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128474385', '43432711', 'object/mobile/shared_space_comm_rebel_xwing_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('172900508', 'A4E409C', 'object/mobile/shared_space_comm_rebel_xwing_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054674312', 'F1AD6B88', 'object/mobile/shared_space_comm_rebel_xwing_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097496581', 'B8A00C05', 'object/mobile/shared_space_comm_rebel_xwing_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672979602', '63B7A492', 'object/mobile/shared_space_comm_rebel_xwing_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('971474758', '39E78746', 'object/mobile/shared_space_comm_station_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730503153', 'A2C02BF1', 'object/mobile/shared_space_comm_station_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2906521702', 'AD3E0066', 'object/mobile/shared_space_comm_station_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334621237', 'C6C24835', 'object/mobile/shared_space_comm_station_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4126385773', 'F5F3A66D', 'object/mobile/shared_space_comm_station_lok.iff');
INSERT INTO `object_crc_string_table` VALUES ('77135415', '498FE37', 'object/mobile/shared_space_comm_station_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164348068', '810154A4', 'object/mobile/shared_space_comm_station_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('499812381', '1DCA881D', 'object/mobile/shared_space_comm_station_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('94693081', '5A4E6D9', 'object/mobile/shared_space_comm_station_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3227911400', 'C06604E8', 'object/mobile/shared_space_comm_station_yavin4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483579408', '586DA010', 'object/mobile/shared_space_comm_witchblood_ace_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2205812871', '837A0887', 'object/mobile/shared_space_comm_witchblood_ace_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3396824842', 'CA776F0A', 'object/mobile/shared_space_comm_witchblood_ace_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('831800350', '3194441E', 'object/mobile/shared_space_comm_witchblood_ace_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153419363', '805A9263', 'object/mobile/shared_space_greeter_bestine_bookie.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220216566', 'FB8B64F6', 'object/mobile/shared_space_greeter_coronet_merchant.iff');
INSERT INTO `object_crc_string_table` VALUES ('667337002', '27C6C12A', 'object/mobile/shared_space_greeter_coronet_shipwright_impatient.iff');
INSERT INTO `object_crc_string_table` VALUES ('2630690869', '9CCD2835', 'object/mobile/shared_space_greeter_coronet_shipwright_indifferent.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317857177', 'C5C27B99', 'object/mobile/shared_space_greeter_dantooine_brother_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736058884', 'A314F204', 'object/mobile/shared_space_greeter_dantooine_brother_neutral.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133759376', '7F2E9590', 'object/mobile/shared_space_greeter_dantooine_brother_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('523854362', '1F39621A', 'object/mobile/shared_space_greeter_dantooine_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1477218900', '580C9254', 'object/mobile/shared_space_greeter_dantooine_imperial_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852169411', 'E59B70C3', 'object/mobile/shared_space_greeter_dantooine_old_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103085678', '7D5A8A6E', 'object/mobile/shared_space_greeter_kadaara_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638356577', 'D8DCEA61', 'object/mobile/shared_space_greeter_kadaara_mistress.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211927465', 'BF721FA9', 'object/mobile/shared_space_greeter_kor_vella_imperial_officer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1370241895', '51AC3B67', 'object/mobile/shared_space_greeter_moenia_undercover_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('716517814', '2AB531B6', 'object/mobile/shared_space_greeter_mos_eisley_smuggler_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1374373695', '51EB473F', 'object/mobile/shared_space_greeter_mos_eisley_smuggler_nervous.iff');
INSERT INTO `object_crc_string_table` VALUES ('191586259', 'B6B5FD3', 'object/mobile/shared_space_greeter_mos_eisley_smuggler_skinny.iff');
INSERT INTO `object_crc_string_table` VALUES ('1419401755', '549A5A1B', 'object/mobile/shared_space_greeter_mos_espa_young_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138123225', '7F712BD9', 'object/mobile/shared_space_greeter_theed_freighter_captain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757437671', '68C05EE7', 'object/mobile/shared_space_greeter_tyrena_disgraced_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('2605794132', '9B514354', 'object/mobile/shared_space_greeter_tyrena_pilot_friend.iff');
INSERT INTO `object_crc_string_table` VALUES ('1713238074', '661DF03A', 'object/mobile/shared_space_imperial_experimental_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1322301995', '4ED0BA2B', 'object/mobile/shared_space_imperial_tier2_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('385974235', '17017FDB', 'object/mobile/shared_space_imperial_tier2_lok_fuel_tech.iff');
INSERT INTO `object_crc_string_table` VALUES ('2167455850', '8130C06A', 'object/mobile/shared_space_imperial_tier2_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245577162', 'C17393CA', 'object/mobile/shared_space_imperial_tier2_spy_morv.iff');
INSERT INTO `object_crc_string_table` VALUES ('331515184', '13C28530', 'object/mobile/shared_space_imperial_tier2_tatooine_alozen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571620160', 'D4E29940', 'object/mobile/shared_space_imperial_tier2_tatooine_oberhaur.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852132037', 'E59ADEC5', 'object/mobile/shared_space_imperial_tier3_naboo_vrke.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068525735', '7B4B32A7', 'object/mobile/shared_space_imperial_tier3_yavin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1231947478', '496E06D6', 'object/mobile/shared_space_imperial_tier3_yavin_blackepsilon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080327542', 'F334DB76', 'object/mobile/shared_space_imperial_tier4_corellia_nin_gursawe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3682206605', 'DB7A038D', 'object/mobile/shared_space_imperial_tier4_naboo_inquisitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('562288135', '2183D607', 'object/mobile/shared_space_imperial_tier4_naboo_jace_yiaso.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087846293', '40D73795', 'object/mobile/shared_space_imperial_tier4_tatooine_kilnstrider.iff');
INSERT INTO `object_crc_string_table` VALUES ('3734741019', 'DE9BA01B', 'object/mobile/shared_space_newbie_generic_pilot_male_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977322049', 'B1765441', 'object/mobile/shared_space_privateer_broker_fired_worker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164244784', '80FFC130', 'object/mobile/shared_space_privateer_broker_retired_pilot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663997357', 'DA6429AD', 'object/mobile/shared_space_privateer_retired_corsec_beggar.iff');
INSERT INTO `object_crc_string_table` VALUES ('492217850', '1D56A5FA', 'object/mobile/shared_space_privateer_tier1_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3749780760', 'DF811D18', 'object/mobile/shared_space_privateer_tier1_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('555074661', '2115C465', 'object/mobile/shared_space_privateer_tier1_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578721977', 'D54EF6B9', 'object/mobile/shared_space_privateer_tier2_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3518335133', 'D1B5889D', 'object/mobile/shared_space_privateer_tier2_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('242138417', 'E6EBD31', 'object/mobile/shared_space_privateer_tier2_shamdon.iff');
INSERT INTO `object_crc_string_table` VALUES ('672730995', '28190F73', 'object/mobile/shared_space_privateer_tier3_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('137142299', '82CA01B', 'object/mobile/shared_space_privateer_tier3_ramna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2027152464', '78D3E450', 'object/mobile/shared_space_privateer_tier4_corellia_adwan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453789079', 'CDDCA397', 'object/mobile/shared_space_privateer_tier4_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1407375199', '53E2D75F', 'object/mobile/shared_space_privateer_tier4_naboo_diness.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173018805', 'BD206CB5', 'object/mobile/shared_space_privateer_tier4_ryel.iff');
INSERT INTO `object_crc_string_table` VALUES ('360509381', '157CEFC5', 'object/mobile/shared_space_privateer_tier4_tatooine_nirame.iff');
INSERT INTO `object_crc_string_table` VALUES ('798946004', '2F9EF2D4', 'object/mobile/shared_space_rebel_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865440118', '6F305B76', 'object/mobile/shared_space_rebel_tier1_corellia_kreezo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681704139', 'DB7258CB', 'object/mobile/shared_space_rebel_tier1_naboo_kiizete.iff');
INSERT INTO `object_crc_string_table` VALUES ('187578299', 'B2E37BB', 'object/mobile/shared_space_rebel_tier1_naboo_v3fx.iff');
INSERT INTO `object_crc_string_table` VALUES ('2236790901', '8552B875', 'object/mobile/shared_space_rebel_tier1_tatooine_socuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606981878', '5FC898F6', 'object/mobile/shared_space_rebel_tier2_eker.iff');
INSERT INTO `object_crc_string_table` VALUES ('954834746', '38E99F3A', 'object/mobile/shared_space_rebel_tier2_vrovel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399509205', '536AD0D5', 'object/mobile/shared_space_rebel_tier3_aqzow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1502567424', '598F5C00', 'object/mobile/shared_space_rebel_tier3_arnecio.iff');
INSERT INTO `object_crc_string_table` VALUES ('3145096769', 'BB765E41', 'object/mobile/shared_space_rebel_tier3_beissa.iff');
INSERT INTO `object_crc_string_table` VALUES ('206016170', 'C478EAA', 'object/mobile/shared_space_rebel_tier3_ezkiel.iff');
INSERT INTO `object_crc_string_table` VALUES ('764445939', '2D9084F3', 'object/mobile/shared_space_rebel_tier3_female_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('254556443', 'F2C391B', 'object/mobile/shared_space_rebel_tier4_extok_evin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1544112958', '5C094B3E', 'object/mobile/shared_space_rebel_tier4_ufwol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677513096', '9F979B88', 'object/mobile/shared_space_rebel_tier4_warvog.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184783819', '823927CB', 'object/mobile/shared_space_shipwright_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1496223580', '592E8F5C', 'object/mobile/shared_space_shipwright_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('270788817', '1023E8D1', 'object/mobile/shared_space_shipwright_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1091624249', '4110DD39', 'object/mobile/shared_space_starfighter_engineer_trainer_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584180142', '9A0775AE', 'object/mobile/shared_space_starfighter_engineer_trainer_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3540652579', 'D30A1223', 'object/mobile/shared_space_starfighter_engineer_trainer_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('307007655', '124C90A7', 'object/mobile/shared_spined_puc.iff');
INSERT INTO `object_crc_string_table` VALUES ('3397626000', 'CA83A890', 'object/mobile/shared_spined_puc_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('271168429', '1029B3AD', 'object/mobile/shared_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088393425', '40DF90D1', 'object/mobile/shared_spined_snake_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774004209', '69BD27F1', 'object/mobile/shared_spineflap_queen.iff');
INSERT INTO `object_crc_string_table` VALUES ('536393830', '1FF8B866', 'object/mobile/shared_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2918889342', 'ADFAB77E', 'object/mobile/shared_squall_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824637824', '6CC1C380', 'object/mobile/shared_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128205835', '7ED9D80B', 'object/mobile/shared_squill_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('626565000', '25589F88', 'object/mobile/shared_startled_vrelt_mother.iff');
INSERT INTO `object_crc_string_table` VALUES ('31126414', '1DAF38E', 'object/mobile/shared_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('17503465', '10B14E9', 'object/mobile/shared_stintaril_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128894413', 'BA7F23CD', 'object/mobile/shared_stormtrooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('313608476', '12B1491C', 'object/mobile/shared_stormtrooper_groupleader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411571666', 'CB5873D2', 'object/mobile/shared_stunted_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754554549', 'A42F2AB5', 'object/mobile/shared_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3793641800', 'E21E6148', 'object/mobile/shared_super_battle_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1765279360', '69380680', 'object/mobile/shared_swarming_lesser_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('4177314208', 'F8FCC1A0', 'object/mobile/shared_swirl_prong.iff');
INSERT INTO `object_crc_string_table` VALUES ('1173327468', '45EF8E6C', 'object/mobile/shared_swirl_prong_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694139040', '64FA82A0', 'object/mobile/shared_sy_snootles.iff');
INSERT INTO `object_crc_string_table` VALUES ('1588417694', '5EAD549E', 'object/mobile/shared_tabage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3413073886', 'CB6F5FDE', 'object/mobile/shared_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3936955323', 'EAA92BBB', 'object/mobile/shared_tanc_mite_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907846429', 'AD52371D', 'object/mobile/shared_tauntaun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218267784', '84381488', 'object/mobile/shared_tauntaun_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('67035887', '3FEE2EF', 'object/mobile/shared_theme_park_record_keeper_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457884080', '56E58BB0', 'object/mobile/shared_theme_park_record_keeper_jabba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278650535', 'C36C3CA7', 'object/mobile/shared_theme_park_record_keeper_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2682548889', '9FE47299', 'object/mobile/shared_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147765074', '80044B52', 'object/mobile/shared_thune_grassland_guardian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588269792', 'D5E0A6E0', 'object/mobile/shared_thune_herd_leader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203158282', '47B6BD0A', 'object/mobile/shared_thune_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1569310474', '5D89C70A', 'object/mobile/shared_tip_solicitor_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343686181', '8BB1D025', 'object/mobile/shared_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('732122412', '2BA34D2C', 'object/mobile/shared_torton_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1399844447', '536FEE5F', 'object/mobile/shared_training_remote.iff');
INSERT INTO `object_crc_string_table` VALUES ('417229050', '18DE68FA', 'object/mobile/shared_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('622305596', '2517A13C', 'object/mobile/shared_trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('73754487', '4656777', 'object/mobile/shared_tt8l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882811828', 'ABD437B4', 'object/mobile/shared_tt8l_y7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922712105', 'AE350C29', 'object/mobile/shared_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736650923', 'A31DFAAB', 'object/mobile/shared_tusk_cat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3780705985', 'E158FEC1', 'object/mobile/shared_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673849471', '9F5FB47F', 'object/mobile/shared_twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('68074207', '40EBADF', 'object/mobile/shared_twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('393124713', '176E9B69', 'object/mobile/shared_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407387614', 'CB189BDE', 'object/mobile/shared_tybis_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('641206826', '26380A2A', 'object/mobile/shared_tybis_youth.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909480803', '71D05D63', 'object/mobile/shared_variegated_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('798042116', '2F912804', 'object/mobile/shared_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319667649', 'C5DE1BC1', 'object/mobile/shared_veermok_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842185671', 'A9684FC7', 'object/mobile/shared_vehicular_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359464531', '8CA29253', 'object/mobile/shared_vehicular_prototype_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915375945', '722A5149', 'object/mobile/shared_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('3971784364', 'ECBC9EAC', 'object/mobile/shared_verne_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137388613', 'BB00C045', 'object/mobile/shared_verne_calf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1348523901', '5060D77D', 'object/mobile/shared_verne_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3698435149', 'DC71A44D', 'object/mobile/shared_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('895919886', '3566A70E', 'object/mobile/shared_vesp_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014205794', 'EF43EB62', 'object/mobile/shared_vexed_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870376228', 'AB167724', 'object/mobile/shared_violent_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503967296', 'D0DA4C40', 'object/mobile/shared_vir_vur.iff');
INSERT INTO `object_crc_string_table` VALUES ('863663779', '337A76A3', 'object/mobile/shared_vir_vur_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('14767466', 'E1556A', 'object/mobile/shared_vog_eel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1711359682', '660146C2', 'object/mobile/shared_vog_eel_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238343173', '856A6805', 'object/mobile/shared_voritor_dasher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766827549', '694FA61D', 'object/mobile/shared_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658073409', 'DA09C541', 'object/mobile/shared_voritor_lizard_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882436158', 'ABCE7C3E', 'object/mobile/shared_vrelt.iff');
INSERT INTO `object_crc_string_table` VALUES ('927885796', '374E69E4', 'object/mobile/shared_vrobal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400935020', '5380926C', 'object/mobile/shared_vrobal_bull.iff');
INSERT INTO `object_crc_string_table` VALUES ('130113365', '7C15F55', 'object/mobile/shared_vrobalet.iff');
INSERT INTO `object_crc_string_table` VALUES ('942459622', '382CCAE6', 'object/mobile/shared_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1666099280', '634EA850', 'object/mobile/shared_vynock_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('867421028', '33B3CB64', 'object/mobile/shared_wald.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265031797', 'C29C6E75', 'object/mobile/shared_war_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('89820136', '55A8BE8', 'object/mobile/shared_warren_agro_droid_boss.iff');
INSERT INTO `object_crc_string_table` VALUES ('162667025', '9B21A11', 'object/mobile/shared_warren_agro_droid_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534074502', 'D2A5B286', 'object/mobile/shared_warren_agro_droid_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2611533067', '9BA8D50B', 'object/mobile/shared_warren_agro_droid_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615592991', '604BFE1F', 'object/mobile/shared_warren_agro_droid_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229601505', '84E504E1', 'object/mobile/shared_warren_bors_teraud.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135859313', 'BAE96A71', 'object/mobile/shared_warren_crazed_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('136013095', '81B6527', 'object/mobile/shared_warren_cyborg_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1142940054', '441FE196', 'object/mobile/shared_warren_cyborg_dunelizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011024511', 'B378967F', 'object/mobile/shared_warren_cyborg_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3500363411', 'D0A34E93', 'object/mobile/shared_warren_cyborg_slicehound.iff');
INSERT INTO `object_crc_string_table` VALUES ('4091483135', 'F3DF13FF', 'object/mobile/shared_warren_cyborg_tuskcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659217543', '9E807087', 'object/mobile/shared_warren_cyborg_worker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1066860952', '3F970198', 'object/mobile/shared_warren_dim_u_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159215060', 'BC4DCBD4', 'object/mobile/shared_warren_droideka_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786849417', 'E1B6BC89', 'object/mobile/shared_warren_dying_loyalist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3513325628', 'D169183C', 'object/mobile/shared_warren_escapee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223977526', '848F3436', 'object/mobile/shared_warren_imperial_officer_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1603837089', '5F989CA1', 'object/mobile/shared_warren_imperial_officer_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('378927916', '1695FB2C', 'object/mobile/shared_warren_imperial_officer_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351270727', 'C7C05547', 'object/mobile/shared_warren_imperial_worker_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('483917264', '1CD7FDD0', 'object/mobile/shared_warren_imperial_worker_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440389725', '55DA9A5D', 'object/mobile/shared_warren_imperial_worker_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923016521', 'AE39B149', 'object/mobile/shared_warren_imperial_worker_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3878999748', 'E734D6C4', 'object/mobile/shared_warren_imperial_worker_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008959059', '3C237E53', 'object/mobile/shared_warren_imperial_worker_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('348441981', '14C4CD7D', 'object/mobile/shared_warren_insane_comp_sci.iff');
INSERT INTO `object_crc_string_table` VALUES ('520769640', '1F0A5068', 'object/mobile/shared_warren_irradiated_worker_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290298623', 'C41DF8FF', 'object/mobile/shared_warren_irradiated_worker_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366676850', '8D109F72', 'object/mobile/shared_warren_irradiated_worker_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3740812193', 'DEF843A1', 'object/mobile/shared_warren_janna_bel_arde.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055618382', 'B621094E', 'object/mobile/shared_warren_jerrd_sonclim.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266608790', '8719B496', 'object/mobile/shared_warren_knag_garhun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1996885184', '77060CC0', 'object/mobile/shared_warren_loyalist_commander.iff');
INSERT INTO `object_crc_string_table` VALUES ('97887118', '5D5A38E', 'object/mobile/shared_warren_mirla.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568593996', '5D7ED84C', 'object/mobile/shared_warren_phy_hudgen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3712415776', 'DD46F820', 'object/mobile/shared_warren_research_scientist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180069091', 'BD8C00E3', 'object/mobile/shared_warren_scientist_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721477236', '669BA874', 'object/mobile/shared_warren_scientist_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('798412793', '2F96CFF9', 'object/mobile/shared_warren_scientist_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('320821801', '131F5A29', 'object/mobile/shared_warren_stormtrooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889694918', '70A274C6', 'object/mobile/shared_warren_technician.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282994696', '4C78F208', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2540657311', '976F5A9F', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730980114', 'DE623D12', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('629216774', '25811606', 'object/mobile/shared_warren_teraud_loyalist_cyborg_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005247216', 'B3206EF0', 'object/mobile/shared_warren_teraud_loyalist_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748485735', '6837C667', 'object/mobile/shared_warren_teraud_loyalist_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('557490666', '213AA1EA', 'object/mobile/shared_warren_teraud_loyalist_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671689982', 'DAD98AFE', 'object/mobile/shared_warren_teraud_loyalist_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('208413022', 'C6C215E', 'object/mobile/shared_warren_teraud_loyalist_scientist.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110399136', '7DCA22A0', 'object/mobile/shared_wed_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('75671079', '482A627', 'object/mobile/shared_wedge_antilles.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382091790', '52610C0E', 'object/mobile/shared_weequay_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229632721', 'C08048D1', 'object/mobile/shared_whisper_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('453669455', '1B0A724F', 'object/mobile/shared_whisper_bird_hatchling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326314502', 'C6438806', 'object/mobile/shared_whisper_bird_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('995330799', '3B538AEF', 'object/mobile/shared_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003281536', '3BCCDC80', 'object/mobile/shared_womp_rat_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933860928', 'AEDF2A40', 'object/mobile/shared_wood_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186511910', 'BDEE5026', 'object/mobile/shared_wood_mite_matriarch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719471347', 'A217D6F3', 'object/mobile/shared_wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365627490', '8D009C62', 'object/mobile/shared_wookiee_lifeday_elder.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967512761', 'B0E0A6B9', 'object/mobile/shared_wookiee_lifeday_female1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811353134', '6BF70E2E', 'object/mobile/shared_wookiee_lifeday_female2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221402643', '48CD2013', 'object/mobile/shared_wookiee_lifeday_male1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480572548', '93DA8884', 'object/mobile/shared_wookiee_lifeday_male2.iff');
INSERT INTO `object_crc_string_table` VALUES ('402812326', '18026DA6', 'object/mobile/shared_wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('23943354', '16D58BA', 'object/mobile/shared_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400086815', '5373A11F', 'object/mobile/shared_woolamander_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('714826259', '2A9B6213', 'object/mobile/shared_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368967713', '5198CA21', 'object/mobile/shared_worrt_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441033354', '917F368A', 'object/mobile/shared_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854115772', 'AA1E59BC', 'object/mobile/shared_wuher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2080130327', '7BFC4517', 'object/mobile/shared_young_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722994435', 'DDE86303', 'object/mobile/shared_young_hanadak_rock_crusher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3978814666', 'ED27E4CA', 'object/mobile/shared_young_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('65705057', '3EA9461', 'object/mobile/shared_young_reptilian_flier.iff');
INSERT INTO `object_crc_string_table` VALUES ('2564251610', '98D75FDA', 'object/mobile/shared_young_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('729848387', '2B809A43', 'object/mobile/shared_young_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989209950', 'B22BB95E', 'object/mobile/shared_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('344653298', '148AFDF2', 'object/mobile/shared_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('277596046', '108BC78E', 'object/mobile/shared_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('903703126', '35DD6A56', 'object/mobile/shared_zucca_boar_hue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915581743', 'E963092F', 'object/mobile/skeleton/shared_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('994908092', '3B4D17BC', 'object/mobile/skeleton/shared_astromech.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820074321', '6C7C2151', 'object/mobile/skeleton/shared_base_insect_moth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504466576', '95472090', 'object/mobile/skeleton/shared_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1000541852', '3BA30E9C', 'object/mobile/skeleton/shared_bird_finch.iff');
INSERT INTO `object_crc_string_table` VALUES ('519570189', '1EF8030D', 'object/mobile/skeleton/shared_bird_giant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1413515142', '54408786', 'object/mobile/skeleton/shared_bird_turkey.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223413436', '848698BC', 'object/mobile/skeleton/shared_camel.iff');
INSERT INTO `object_crc_string_table` VALUES ('825801147', '3138B9BB', 'object/mobile/skeleton/shared_canine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826010896', '6CD6B710', 'object/mobile/skeleton/shared_cat_domestic.iff');
INSERT INTO `object_crc_string_table` VALUES ('284042171', '10EE23BB', 'object/mobile/skeleton/shared_cat_predatory.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021854628', 'B41DD7A4', 'object/mobile/skeleton/shared_cll8.iff');
INSERT INTO `object_crc_string_table` VALUES ('892528452', '3532E744', 'object/mobile/skeleton/shared_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856144413', 'AA3D4E1D', 'object/mobile/skeleton/shared_droid_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4190971251', 'F9CD2573', 'object/mobile/skeleton/shared_droideka.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699879603', 'A0ECE4B3', 'object/mobile/skeleton/shared_dz70.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003303428', 'B302C604', 'object/mobile/skeleton/shared_eg6.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284811148', 'FF65078C', 'object/mobile/skeleton/shared_elephant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1623233094', '60C09246', 'object/mobile/skeleton/shared_elephant_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('1277611918', '4C26CF8E', 'object/mobile/skeleton/shared_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2783556290', 'A5E9B2C2', 'object/mobile/skeleton/shared_frog.iff');
INSERT INTO `object_crc_string_table` VALUES ('2416872297', '900E8B69', 'object/mobile/skeleton/shared_giraffe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334329739', 'C6BDD58B', 'object/mobile/skeleton/shared_goat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997066566', '7708D146', 'object/mobile/skeleton/shared_griffon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297855719', '88F67EE7', 'object/mobile/skeleton/shared_horse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714909795', '66377263', 'object/mobile/skeleton/shared_humanoid.iff');
INSERT INTO `object_crc_string_table` VALUES ('422447477', '192E0975', 'object/mobile/skeleton/shared_insect_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4047561864', 'F140E488', 'object/mobile/skeleton/shared_insect_mantis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3715444431', 'DD752ECF', 'object/mobile/skeleton/shared_insect_moth.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016222327', 'EF62B077', 'object/mobile/skeleton/shared_ito.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497999971', 'D07F3E63', 'object/mobile/skeleton/shared_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('765355707', '2D9E66BB', 'object/mobile/skeleton/shared_lin_demolition.iff');
INSERT INTO `object_crc_string_table` VALUES ('2532063942', '96EC3AC6', 'object/mobile/skeleton/shared_lizard_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('873783873', '3414E241', 'object/mobile/skeleton/shared_lizard_giant.iff');
INSERT INTO `object_crc_string_table` VALUES ('340337386', '144922EA', 'object/mobile/skeleton/shared_mouse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147356714', '4463462A', 'object/mobile/skeleton/shared_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('984617406', '3AB011BE', 'object/mobile/skeleton/shared_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813957157', '6C1ECA25', 'object/mobile/skeleton/shared_pig.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856845356', 'E5E2CA2C', 'object/mobile/skeleton/shared_probe_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037551555', 'B50D5BC3', 'object/mobile/skeleton/shared_protocol_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('161991049', '9A7C989', 'object/mobile/skeleton/shared_rabbit.iff');
INSERT INTO `object_crc_string_table` VALUES ('270823856', '102471B0', 'object/mobile/skeleton/shared_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932908380', '7335D75C', 'object/mobile/skeleton/shared_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976038956', 'B162C02C', 'object/mobile/skeleton/shared_robo_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1735902555', '6777C55B', 'object/mobile/skeleton/shared_simian_ape.iff');
INSERT INTO `object_crc_string_table` VALUES ('75660389', '4827C65', 'object/mobile/skeleton/shared_simian_monkey.iff');
INSERT INTO `object_crc_string_table` VALUES ('253409232', 'F1AB7D0', 'object/mobile/skeleton/shared_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4213186397', 'FB201F5D', 'object/mobile/skeleton/shared_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('460559210', '1B73936A', 'object/mobile/skeleton/shared_spider_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679278095', 'DB4D540F', 'object/mobile/skeleton/shared_tauntaun.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778895664', 'A5A29530', 'object/mobile/skeleton/shared_tt8l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315980442', '4E70449A', 'object/mobile/skeleton/shared_tt8l_y7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765187251', 'A4D168B3', 'object/mobile/skeleton/shared_wed_treadwell.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210665097', '83C41289', 'object/mobile/tatooine_npc/shared_aaph_koden.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420862161', 'CBE636D1', 'object/mobile/tatooine_npc/shared_binna_jode.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463657324', '92D86D6C', 'object/mobile/tatooine_npc/shared_blerx_tango.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226761307', '491EE45B', 'object/mobile/tatooine_npc/shared_boshek.iff');
INSERT INTO `object_crc_string_table` VALUES ('4285124243', 'FF69CE93', 'object/mobile/tatooine_npc/shared_brea_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289563473', 'FFAD8B51', 'object/mobile/tatooine_npc/shared_capt_loftus.iff');
INSERT INTO `object_crc_string_table` VALUES ('1952005063', '74593BC7', 'object/mobile/tatooine_npc/shared_farious_gletch.iff');
INSERT INTO `object_crc_string_table` VALUES ('861642395', '335B9E9B', 'object/mobile/tatooine_npc/shared_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('119383383', '71DA557', 'object/mobile/tatooine_npc/shared_fixer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094763986', 'F41123D2', 'object/mobile/tatooine_npc/shared_hedon_istee.iff');
INSERT INTO `object_crc_string_table` VALUES ('1541010497', '5BD9F441', 'object/mobile/tatooine_npc/shared_ikka_gesul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479474175', 'CF648FFF', 'object/mobile/tatooine_npc/shared_jilljoo_jab.iff');
INSERT INTO `object_crc_string_table` VALUES ('28682516', '1B5A914', 'object/mobile/tatooine_npc/shared_kaeline_ungasan.iff');
INSERT INTO `object_crc_string_table` VALUES ('1703616350', '658B1F5E', 'object/mobile/tatooine_npc/shared_kitster_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('1211559365', '4836EDC5', 'object/mobile/tatooine_npc/shared_kormund_thrylle.iff');
INSERT INTO `object_crc_string_table` VALUES ('253776339', 'F2051D3', 'object/mobile/tatooine_npc/shared_lilas_dinhint.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553404717', '5C97132D', 'object/mobile/tatooine_npc/shared_lt_harburik.iff');
INSERT INTO `object_crc_string_table` VALUES ('1901596031', '71580D7F', 'object/mobile/tatooine_npc/shared_mat_rags.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049550118', 'F15F3B26', 'object/mobile/tatooine_npc/shared_melios_purl.iff');
INSERT INTO `object_crc_string_table` VALUES ('2971142656', 'B1180A00', 'object/mobile/tatooine_npc/shared_mikos_denari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562269968', 'D453ED10', 'object/mobile/tatooine_npc/shared_nitra_vendallan.iff');
INSERT INTO `object_crc_string_table` VALUES ('197060903', 'BBEE927', 'object/mobile/tatooine_npc/shared_om_aynat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055869175', 'B624DCF7', 'object/mobile/tatooine_npc/shared_pfilbee_jhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801428554', '6B5F9E4A', 'object/mobile/tatooine_npc/shared_phinea_shantee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174990588', '81A3B8FC', 'object/mobile/tatooine_npc/shared_rakir_banai.iff');
INSERT INTO `object_crc_string_table` VALUES ('3876719112', 'E7120A08', 'object/mobile/tatooine_npc/shared_senni_tonnika.iff');
INSERT INTO `object_crc_string_table` VALUES ('153136187', '920AC3B', 'object/mobile/tatooine_npc/shared_tekil_barje.iff');
INSERT INTO `object_crc_string_table` VALUES ('651899937', '26DB3421', 'object/mobile/tatooine_npc/shared_tour_aryon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121259164', '7E6FD89C', 'object/mobile/tatooine_npc/shared_vardias_tyne.iff');
INSERT INTO `object_crc_string_table` VALUES ('4249752702', 'FD4E147E', 'object/mobile/tatooine_npc/shared_wilhalm_skrim.iff');
INSERT INTO `object_crc_string_table` VALUES ('1129472596', '43526254', 'object/mobile/tatooine_npc/shared_windom_starkiller.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613040434', '60250B32', 'object/mobile/vehicle/shared_jetpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842025402', 'A965DDBA', 'object/mobile/vehicle/shared_landspeeder_av21.iff');
INSERT INTO `object_crc_string_table` VALUES ('634510067', '25D1DAF3', 'object/mobile/vehicle/shared_landspeeder_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('658152450', '273A9C02', 'object/mobile/vehicle/shared_landspeeder_x31.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321433100', '4EC3780C', 'object/mobile/vehicle/shared_landspeeder_x34.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064205223', '3F6E7BA7', 'object/mobile/vehicle/shared_landspeeder_xp38.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922373615', '729517EF', 'object/mobile/vehicle/shared_speederbike.iff');
INSERT INTO `object_crc_string_table` VALUES ('2115869795', '7E1D9C63', 'object/mobile/vehicle/shared_speederbike_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('5125428', '4E3534', 'object/mobile/vehicle/shared_speederbike_flash.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943197007', 'AF6D9F4F', 'object/mobile/vehicle/shared_speederbike_swoop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1605130582', '5FAC5956', 'object/mobile/vehicle/shared_vehicle_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3405269957', 'CAF84BC5', 'object/mobile/vendor/shared_aqualish_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560977643', 'D44034EB', 'object/mobile/vendor/shared_aqualish_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071723635', '7B7BFE73', 'object/mobile/vendor/shared_bith_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1947827481', '74197D19', 'object/mobile/vendor/shared_bith_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('132576068', '7E6F344', 'object/mobile/vendor/shared_bothan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('2454014624', '92454AA0', 'object/mobile/vendor/shared_bothan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095623604', '7CE8ADB4', 'object/mobile/vendor/shared_devaronian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3310863058', 'C557C2D2', 'object/mobile/vendor/shared_gran_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('847857791', '3289487F', 'object/mobile/vendor/shared_human_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639282596', '61B577A4', 'object/mobile/vendor/shared_human_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586473426', '9A2A73D2', 'object/mobile/vendor/shared_ishi_tib_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809871871', 'A77B3DFF', 'object/mobile/vendor/shared_ithorian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('571361166', '220E478E', 'object/mobile/vendor/shared_ithorian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2191212436', '829B3F94', 'object/mobile/vendor/shared_moncal_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1887068219', '707A603B', 'object/mobile/vendor/shared_moncal_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537817486', '9744058E', 'object/mobile/vendor/shared_nikto_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181918992', 'F9430510', 'object/mobile/vendor/shared_quarren_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637552145', 'D8D0A411', 'object/mobile/vendor/shared_rodian_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3259758607', 'C24BF80F', 'object/mobile/vendor/shared_rodian_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520820662', 'D1DB75B6', 'object/mobile/vendor/shared_sullustan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699957250', 'DC88DE02', 'object/mobile/vendor/shared_sullustan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('4277366403', 'FEF36E83', 'object/mobile/vendor/shared_trandoshan_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147135587', '445FE663', 'object/mobile/vendor/shared_trandoshan_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653147798', '9E23D296', 'object/mobile/vendor/shared_twilek_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('993187816', '3B32D7E8', 'object/mobile/vendor/shared_twilek_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2188503843', '8271EB23', 'object/mobile/vendor/shared_weequay_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668976196', 'DAB02244', 'object/mobile/vendor/shared_wookiee_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('3356658315', 'C8128A8B', 'object/mobile/vendor/shared_wookiee_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008880567', 'B357DFB7', 'object/mobile/vendor/shared_zabrak_female.iff');
INSERT INTO `object_crc_string_table` VALUES ('733384901', '2BB690C5', 'object/mobile/vendor/shared_zabrak_male.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637095427', '9D2EE203', 'object/object/base/shared_base_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571647223', '5DAD6EF7', 'object/object/base/shared_object_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3574077008', 'D5081650', 'object/path_waypoint/base/shared_path_waypoint_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053891523', '7A6BE5C3', 'object/path_waypoint/shared_path_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534396119', 'D2AA9AD7', 'object/path_waypoint/shared_path_waypoint_auto_spawn.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085605223', 'B7EA9967', 'object/path_waypoint/shared_path_waypoint_city.iff');
INSERT INTO `object_crc_string_table` VALUES ('3986061853', 'ED967A1D', 'object/path_waypoint/shared_path_waypoint_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010698515', '3C3E0913', 'object/path_waypoint/shared_path_waypoint_patrol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894914263', '70F218D7', 'object/player/base/shared_base_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016063662', '3C8FE6AE', 'object/player/base/shared_player_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637592609', '619BAE21', 'object/player/shared_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272540468', '4BD96D34', 'object/resource_container/resource_container_base/shared_base_resource_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('741847407', '2C37B16F', 'object/resource_container/resource_container_base/shared_resource_container_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640304325', '9D5FD8C5', 'object/resource_container/resource_container_shared_resource_container_energy_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023265709', '3CFDCBAD', 'object/resource_container/resource_container_shared_resource_container_energy_gas_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('505491474', '1E213012', 'object/resource_container/resource_container_shared_resource_container_energy_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('4165569512', 'F8498BE8', 'object/resource_container/resource_container_shared_resource_container_energy_liquid_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3244320243', 'C16065F3', 'object/resource_container/resource_container_shared_resource_container_energy_radioactive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1769828233', '697D6F89', 'object/resource_container/resource_container_shared_resource_container_energy_radioactive_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912559902', 'E934ED1E', 'object/resource_container/resource_container_shared_resource_container_energy_solid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935977713', 'EA9A40F1', 'object/resource_container/resource_container_shared_resource_container_energy_solid_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('125850083', '78051E3', 'object/resource_container/resource_container_shared_resource_container_inorganic_bottle_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('422061124', '19282444', 'object/resource_container/resource_container_shared_resource_container_inorganic_chemicals.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886132575', 'AC06E35F', 'object/resource_container/resource_container_shared_resource_container_inorganic_chemicals_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204725480', '836970E8', 'object/resource_container/resource_container_shared_resource_container_inorganic_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('73541074', '46225D2', 'object/resource_container/resource_container_shared_resource_container_inorganic_gas_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295225965', '88CE5E6D', 'object/resource_container/resource_container_shared_resource_container_inorganic_minerals.iff');
INSERT INTO `object_crc_string_table` VALUES ('3162714701', 'BC83324D', 'object/resource_container/resource_container_shared_resource_container_inorganic_minerals_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404372557', 'CAEA9A4D', 'object/resource_container/resource_container_shared_resource_container_inorganic_petrochem_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('759021360', '2D3DBF30', 'object/resource_container/resource_container_shared_resource_container_inorganic_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891729994', '70C1824A', 'object/resource_container/resource_container_shared_resource_container_inorganic_water_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4263974406', 'FE271606', 'object/resource_container/resource_container_shared_resource_container_organic_bean.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072418635', 'B721634B', 'object/resource_container/resource_container_shared_resource_container_organic_bottle_milk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077617394', '7BD5ECF2', 'object/resource_container/resource_container_shared_resource_container_organic_bristley_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542662327', 'D328BCB7', 'object/resource_container/resource_container_shared_resource_container_organic_corn.iff');
INSERT INTO `object_crc_string_table` VALUES ('699752337', '29B55F91', 'object/resource_container/resource_container_shared_resource_container_organic_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('466521573', '1BCE8DE5', 'object/resource_container/resource_container_shared_resource_container_organic_food_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967870892', '754B53AC', 'object/resource_container/resource_container_shared_resource_container_organic_fruit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670708128', '9F2FC5A0', 'object/resource_container/resource_container_shared_resource_container_organic_fungi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2909750726', 'AD6F45C6', 'object/resource_container/resource_container_shared_resource_container_organic_green_vegetables.iff');
INSERT INTO `object_crc_string_table` VALUES ('976954288', '3A3B23B0', 'object/resource_container/resource_container_shared_resource_container_organic_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('495391475', '1D8712F3', 'object/resource_container/resource_container_shared_resource_container_organic_hide_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514079067', '95D9CD5B', 'object/resource_container/resource_container_shared_resource_container_organic_leathery_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222368053', '48DBDB35', 'object/resource_container/resource_container_shared_resource_container_organic_oats.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052716729', 'B5F4C2B9', 'object/resource_container/resource_container_shared_resource_container_organic_rice.iff');
INSERT INTO `object_crc_string_table` VALUES ('355985042', '1537E692', 'object/resource_container/resource_container_shared_resource_container_organic_scaley_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326787440', '4F152B70', 'object/resource_container/resource_container_shared_resource_container_organic_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3803992658', 'E2BC5252', 'object/resource_container/resource_container_shared_resource_container_organic_structure_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('41151102', '273EA7E', 'object/resource_container/resource_container_shared_resource_container_organic_tuber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848360314', '6E2BBD7A', 'object/resource_container/resource_container_shared_resource_container_organic_wheat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648978698', 'D97EFF0A', 'object/resource_container/resource_container_shared_resource_container_organic_wooly_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049825392', 'F1636E70', 'object/resource_container/resource_container_shared_simple.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840320293', 'E4E6A325', 'object/ship/base/shared_ship_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2714493516', 'A1CBE24C', 'object/ship/base/shared_ship_capital_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1221795395', '48D31E43', 'object/ship/base/shared_ship_fighter_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('92011496', '57BFBE8', 'object/ship/base/shared_ship_station_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138284526', 'F6A935EE', 'object/ship/base/shared_ship_transport_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823165423', 'A84615EF', 'object/ship/player/shared_player_awing.iff');
INSERT INTO `object_crc_string_table` VALUES ('770455739', '2DEC38BB', 'object/ship/player/shared_player_basic_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2430870087', '90E42247', 'object/ship/player/shared_player_basic_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('960125460', '393A5A14', 'object/ship/player/shared_player_basic_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406012699', '8F68D71B', 'object/ship/player/shared_player_blacksun_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417641868', '547F7F8C', 'object/ship/player/shared_player_blacksun_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('494016513', '1D721801', 'object/ship/player/shared_player_blacksun_heavy_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868275477', 'E6913315', 'object/ship/player/shared_player_blacksun_heavy_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468301121', '931F4941', 'object/ship/player/shared_player_blacksun_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208541654', '4808E1D6', 'object/ship/player/shared_player_blacksun_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('17139291', '105865B', 'object/ship/player/shared_player_blacksun_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4209421647', 'FAE6AD4F', 'object/ship/player/shared_player_blacksun_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060411448', '7ACF6238', 'object/ship/player/shared_player_blacksun_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715339439', 'A1D8CAAF', 'object/ship/player/shared_player_blacksun_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906317602', 'E8D5AD22', 'object/ship/player/shared_player_blacksun_medium_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('322340406', '13368636', 'object/ship/player/shared_player_blacksun_medium_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129407218', 'BA86F6F2', 'object/ship/player/shared_player_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738437900', '679E750C', 'object/ship/player/shared_player_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150522393', 'BBC92819', 'object/ship/player/shared_player_decimator.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073039210', 'F2C5A56A', 'object/ship/player/shared_player_firespray.iff');
INSERT INTO `object_crc_string_table` VALUES ('354676203', '1523EDEB', 'object/ship/player/shared_player_hutt_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459532156', 'CE34457C', 'object/ship/player/shared_player_hutt_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('156529585', '95473B1', 'object/ship/player/shared_player_hutt_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3527662374', 'D243DB26', 'object/ship/player/shared_player_hutt_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('996310896', '3B627F70', 'object/ship/player/shared_player_hutt_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765819367', 'E075D7E7', 'object/ship/player/shared_player_hutt_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2830008910', 'A8AE824E', 'object/ship/player/shared_player_hutt_turret_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('1541926498', '5BE7EE62', 'object/ship/player/shared_player_prototype_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874485406', 'E6EFF49E', 'object/ship/player/shared_player_prototype_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4125787031', 'F5EA8397', 'object/ship/player/shared_player_prototype_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077746601', 'F30D79A9', 'object/ship/player/shared_player_sorosuub_space_yacht.iff');
INSERT INTO `object_crc_string_table` VALUES ('500982809', '1DDC6419', 'object/ship/player/shared_player_tie_in.iff');
INSERT INTO `object_crc_string_table` VALUES ('349740221', '14D89CBD', 'object/ship/player/shared_player_tie_light_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('537219045', '20054FE5', 'object/ship/player/shared_player_tieadvanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3313666579', 'C5828A13', 'object/ship/player/shared_player_tieaggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403833964', '53ACCE6C', 'object/ship/player/shared_player_tiebomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253337464', '4AB46978', 'object/ship/player/shared_player_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021866633', 'EFB8D089', 'object/ship/player/shared_player_tieinterceptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411039109', 'CB505385', 'object/ship/player/shared_player_tieoppressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426854753', 'CC41A761', 'object/ship/player/shared_player_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283603432', 'FF5299E8', 'object/ship/player/shared_player_ykl37r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2643423122', '9D8F6F92', 'object/ship/player/shared_player_yt1300.iff');
INSERT INTO `object_crc_string_table` VALUES ('3619233988', 'D7B920C4', 'object/ship/player/shared_player_yt1300_decorated_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1044450567', '3E410D07', 'object/ship/player/shared_player_ywing.iff');
INSERT INTO `object_crc_string_table` VALUES ('711184758', '2A63D176', 'object/ship/player/shared_player_ywing_longprobe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298750759', 'C49EF127', 'object/ship/player/shared_player_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844148531', 'E5210D33', 'object/ship/shared_assaultship.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006768204', '3C02104C', 'object/ship/shared_awing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304550097', '895CA4D1', 'object/ship/shared_awing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1380650054', '524B0C46', 'object/ship/shared_awing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('457599947', '1B466BCB', 'object/ship/shared_awing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768926431', 'E0A540DF', 'object/ship/shared_awing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846369618', 'A9A82752', 'object/ship/shared_awing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('762962365', '2D79E1BD', 'object/ship/shared_basic_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423388993', '9071FB41', 'object/ship/shared_basic_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('237307345', 'E2505D1', 'object/ship/shared_basic_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689683950', '64B687EE', 'object/ship/shared_blacksun_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('42858675', '28DF8B3', 'object/ship/shared_blacksun_heavy_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3650768932', 'D99A5024', 'object/ship/shared_blacksun_heavy_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425829289', '909737A9', 'object/ship/shared_blacksun_heavy_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802771645', '6B741CBD', 'object/ship/shared_blacksun_heavy_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('578386736', '22797B30', 'object/ship/shared_blacksun_heavy_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3215011705', 'BFA12F79', 'object/ship/shared_blacksun_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('213478710', 'CB96D36', 'object/ship/shared_blacksun_heavy_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3618555297', 'D7AEC5A1', 'object/ship/shared_blacksun_heavy_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2661524012', '9EA3A22C', 'object/ship/shared_blacksun_heavy_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1698728248', '65408938', 'object/ship/shared_blacksun_heavy_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('743304885', '2C4DEEB5', 'object/ship/shared_blacksun_heavy_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138486004', 'F6AC48F4', 'object/ship/shared_blacksun_heavy_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111854296', 'F515EAD8', 'object/ship/shared_blacksun_heavy_s03_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('771899983', '2E02424F', 'object/ship/shared_blacksun_heavy_s03_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1729045954', '670F25C2', 'object/ship/shared_blacksun_heavy_s03_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632715990', '9CEC0ED6', 'object/ship/shared_blacksun_heavy_s03_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588319579', 'D5E1695B', 'object/ship/shared_blacksun_heavy_s03_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('223306720', 'D4F63E0', 'object/ship/shared_blacksun_heavy_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('282084924', '10D0463C', 'object/ship/shared_blacksun_heavy_s04_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418877611', 'CBC7EEAB', 'object/ship/shared_blacksun_heavy_s04_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194311462', '82CA8926', 'object/ship/shared_blacksun_heavy_s04_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032771634', '7929A232', 'object/ship/shared_blacksun_heavy_s04_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('807716287', '3024C5BF', 'object/ship/shared_blacksun_heavy_s04_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025920948', '78C119B4', 'object/ship/shared_blacksun_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922069411', '729073A3', 'object/ship/shared_blacksun_light_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2844252980', 'A987DB34', 'object/ship/shared_blacksun_light_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767188665', 'E08ABCB9', 'object/ship/shared_blacksun_light_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('459904941', '1B6997AD', 'object/ship/shared_blacksun_light_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382346784', '5264F020', 'object/ship/shared_blacksun_light_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748756259', 'A3D6B123', 'object/ship/shared_blacksun_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091181606', '7CA4E626', 'object/ship/shared_blacksun_light_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813546161', 'A7B34EB1', 'object/ship/shared_blacksun_light_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005439804', 'EEBE293C', 'object/ship/shared_blacksun_light_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('358416936', '155D0228', 'object/ship/shared_blacksun_light_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548772773', '5C5065A5', 'object/ship/shared_blacksun_light_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3940275886', 'EADBD6AE', 'object/ship/shared_blacksun_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231919048', '850861C8', 'object/ship/shared_blacksun_light_s03_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579141471', '5E1FC95F', 'object/ship/shared_blacksun_light_s03_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('387100370', '1712AED2', 'object/ship/shared_blacksun_light_s03_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975251398', 'ECF185C6', 'object/ship/shared_blacksun_light_s03_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784813643', 'A5FCE24B', 'object/ship/shared_blacksun_light_s03_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('288947642', '1138FDBA', 'object/ship/shared_blacksun_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624100140', '60CDCD2C', 'object/ship/shared_blacksun_light_s04_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151652283', 'BBDA65BB', 'object/ship/shared_blacksun_light_s04_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074177078', 'F2D70236', 'object/ship/shared_blacksun_light_s04_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('154413346', '9342922', 'object/ship/shared_blacksun_light_s04_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077497519', '40394EAF', 'object/ship/shared_blacksun_light_s04_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249737248', '4A7D7A20', 'object/ship/shared_blacksun_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687774721', 'DBCEFA01', 'object/ship/shared_blacksun_medium_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('14242454', 'D95296', 'object/ship/shared_blacksun_medium_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238643995', '49D4351B', 'object/ship/shared_blacksun_medium_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989956623', 'B2371E0F', 'object/ship/shared_blacksun_medium_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214913410', 'FB3A7982', 'object/ship/shared_blacksun_medium_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439697079', '916AD2B7', 'object/ship/shared_blacksun_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589959556', 'D5FA6F84', 'object/ship/shared_blacksun_medium_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('250464019', 'EEDC713', 'object/ship/shared_blacksun_medium_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1205903518', '47E0A09E', 'object/ship/shared_blacksun_medium_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154348938', 'BC038B8A', 'object/ship/shared_blacksun_medium_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111395847', 'F50EEC07', 'object/ship/shared_blacksun_medium_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630675258', 'D867B53A', 'object/ship/shared_blacksun_medium_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('743893098', '2C56E86A', 'object/ship/shared_blacksun_medium_s03_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148248829', 'F74140FD', 'object/ship/shared_blacksun_medium_s03_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192661872', 'BE4C2770', 'object/ship/shared_blacksun_medium_s03_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1169099876', '45AF0C64', 'object/ship/shared_blacksun_medium_s03_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('211971049', 'CA26BE9', 'object/ship/shared_blacksun_medium_s03_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('595893806', '23849E2E', 'object/ship/shared_blacksun_medium_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381871758', 'C993448E', 'object/ship/shared_blacksun_medium_s04_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('310701081', '1284EC19', 'object/ship/shared_blacksun_medium_s04_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535740820', '5B898B94', 'object/ship/shared_blacksun_medium_s04_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691342464', 'A06AA080', 'object/ship/shared_blacksun_medium_s04_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915892493', 'E967C70D', 'object/ship/shared_blacksun_medium_s04_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('806145873', '300CCF51', 'object/ship/shared_blacksun_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('3217548599', 'BFC7E537', 'object/ship/shared_blacksun_transport_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1691372960', '64D04DA0', 'object/ship/shared_blacksun_transport_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('769468973', '2DDD2A2D', 'object/ship/shared_blacksun_transport_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594387769', 'D63E0139', 'object/ship/shared_blacksun_transport_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670945972', '9F3366B4', 'object/ship/shared_blacksun_transport_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('784528209', '2EC2F351', 'object/ship/shared_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935148784', 'EA8D9AF0', 'object/ship/shared_bwing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('832189031', '319A3267', 'object/ship/shared_bwing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023183850', '789755EA', 'object/ship/shared_bwing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2205449982', '83747EFE', 'object/ship/shared_bwing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3396934003', 'CA791973', 'object/ship/shared_bwing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('907129698', '3611B362', 'object/ship/shared_civshuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4120399097', 'F5984CF9', 'object/ship/shared_civspeeder1.iff');
INSERT INTO `object_crc_string_table` VALUES ('781182062', '2E8FE46E', 'object/ship/shared_civspeeder2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717426532', 'DD936D64', 'object/ship/shared_civtaxi.iff');
INSERT INTO `object_crc_string_table` VALUES ('952499678', '38C5FDDE', 'object/ship/shared_civtransport.iff');
INSERT INTO `object_crc_string_table` VALUES ('562522734', '21876A6E', 'object/ship/shared_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035559423', 'B4EEF5FF', 'object/ship/shared_corvette_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362865628', '8CD677DC', 'object/ship/shared_decimator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2353591998', '8C48F6BE', 'object/ship/shared_decimator_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465867817', '575F5E29', 'object/ship/shared_decimator_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('508705188', '1E5239A4', 'object/ship/shared_decimator_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3853587120', 'E5B112B0', 'object/ship/shared_decimator_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898031933', 'ACBC753D', 'object/ship/shared_decimator_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308789341', '899D545D', 'object/ship/shared_droid_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('14973297', 'E47971', 'object/ship/shared_droid_fighter_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690189286', 'DBF3D1E6', 'object/ship/shared_droid_fighter_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466166379', '92FEB66B', 'object/ship/shared_droid_fighter_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763548543', '691D9D7F', 'object/ship/shared_droid_fighter_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('537983730', '2010FAF2', 'object/ship/shared_droid_fighter_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997532055', 'B2AAB597', 'object/ship/shared_escape_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280868888', '87F34C18', 'object/ship/shared_escape_pod_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558504591', '5CE4E48F', 'object/ship/shared_escape_pod_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('367624962', '15E98302', 'object/ship/shared_escape_pod_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3993675798', 'EE0AA816', 'object/ship/shared_escape_pod_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802306971', 'A707CF9B', 'object/ship/shared_escape_pod_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319462575', 'C5DAFAAF', 'object/ship/shared_firespray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1391589453', '52F1F84D', 'object/ship/shared_firespray_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313572570', '89E650DA', 'object/ship/shared_firespray_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3236640599', 'C0EB3757', 'object/ship/shared_firespray_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('990387267', '3B081C43', 'object/ship/shared_firespray_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1912961998', '72057BCE', 'object/ship/shared_firespray_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210460492', '83C0F34C', 'object/ship/shared_freighterheavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('237176683', 'E23076B', 'object/ship/shared_freighterheavy_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576999932', 'D534AFFC', 'object/ship/shared_freighterheavy_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2621032561', '9C39C871', 'object/ship/shared_freighterheavy_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1742398309', '67DAE365', 'object/ship/shared_freighterheavy_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('785876200', '2ED784E8', 'object/ship/shared_freighterheavy_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1117310866', '4298CF92', 'object/ship/shared_freighterlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981606241', 'B1B7B361', 'object/ship/shared_freighterlight_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788877814', '6AA01BF6', 'object/ship/shared_freighterlight_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('598572155', '23AD7C7B', 'object/ship/shared_freighterlight_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3629012847', 'D84E576F', 'object/ship/shared_freighterlight_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437099746', '914330E2', 'object/ship/shared_freighterlight_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398686729', 'CA93D809', 'object/ship/shared_freightermedium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092912234', '4124846A', 'object/ship/shared_freightermedium_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587045117', '9A332CFD', 'object/ship/shared_freightermedium_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544075120', 'D33E4B70', 'object/ship/shared_freightermedium_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('685596772', '28DD6064', 'object/ship/shared_freightermedium_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641023465', '61D007E9', 'object/ship/shared_freightermedium_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217600546', '48931C22', 'object/ship/shared_hutt_heavy_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3993388117', 'EE064455', 'object/ship/shared_hutt_heavy_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('890367170', '3511ECC2', 'object/ship/shared_hutt_heavy_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082245455', '7C1C8B4F', 'object/ship/shared_hutt_heavy_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2281676891', '87FFA05B', 'object/ship/shared_hutt_heavy_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3472017366', 'CEF2C7D6', 'object/ship/shared_hutt_heavy_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474947765', '9384B4B5', 'object/ship/shared_hutt_heavy_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3761426896', 'E032D1D0', 'object/ship/shared_hutt_heavy_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('992311623', '3B257947', 'object/ship/shared_hutt_heavy_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915231946', '72281ECA', 'object/ship/shared_hutt_heavy_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2311796190', '89CB35DE', 'object/ship/shared_hutt_heavy_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234222675', 'C0C65253', 'object/ship/shared_hutt_heavy_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424261752', '54E48278', 'object/ship/shared_hutt_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2652622661', '9E1BCF45', 'object/ship/shared_hutt_light_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1158440914', '450C67D2', 'object/ship/shared_hutt_light_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('201392223', 'C01005F', 'object/ship/shared_hutt_light_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158794571', 'F7E22B4B', 'object/ship/shared_hutt_light_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203353798', 'BEEF4CC6', 'object/ship/shared_hutt_light_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415078127', '8FF32AEF', 'object/ship/shared_hutt_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419022528', '902F5AC0', 'object/ship/shared_hutt_light_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262023255', '4B38F257', 'object/ship/shared_hutt_light_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('37066202', '23595DA', 'object/ship/shared_hutt_light_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4191600334', 'F9D6BECE', 'object/ship/shared_hutt_light_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967198019', 'B0DBD943', 'object/ship/shared_hutt_light_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267992484', 'C2C99BA4', 'object/ship/shared_hutt_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698486044', 'A0D7A11C', 'object/ship/shared_hutt_medium_s01_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076182923', '7BC0098B', 'object/ship/shared_hutt_medium_s01_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('852323846', '32CD6E06', 'object/ship/shared_hutt_medium_s01_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375252754', 'C92E4512', 'object/ship/shared_hutt_medium_s01_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2149786271', '8023229F', 'object/ship/shared_hutt_medium_s01_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('433992499', '19DE3333', 'object/ship/shared_hutt_medium_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934125721', 'AEE33499', 'object/ship/shared_hutt_medium_s02_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978965006', '75F49C0E', 'object/ship/shared_hutt_medium_s02_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023015811', '3CF9FB83', 'object/ship/shared_hutt_medium_s02_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3340423319', 'C71AD097', 'object/ship/shared_hutt_medium_s02_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383918874', '8E17B71A', 'object/ship/shared_hutt_medium_s02_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('472470685', '1C29549D', 'object/ship/shared_hutt_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397512657', '534C59D1', 'object/ship/shared_hutt_transport_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2287726918', '885BF146', 'object/ship/shared_hutt_transport_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243677387', 'C15696CB', 'object/ship/shared_hutt_transport_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('984989151', '3AB5BDDF', 'object/ship/shared_hutt_transport_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941494354', '73B8DA52', 'object/ship/shared_hutt_transport_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822462280', 'A83B5B48', 'object/ship/shared_hutt_turret_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('3259306099', 'C2451073', 'object/ship/shared_imperial_gunboat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1910102521', '71D9D9F9', 'object/ship/shared_imperial_gunboat_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865656174', 'AACE716E', 'object/ship/shared_imperial_gunboat_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821213411', 'E3C316E3', 'object/ship/shared_imperial_gunboat_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('404766199', '18203DF7', 'object/ship/shared_imperial_gunboat_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361926778', '512D5A7A', 'object/ship/shared_imperial_gunboat_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('979946526', '3A68CC1E', 'object/ship/shared_lambdashuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1746838902', '681EA576', 'object/ship/shared_lambdashuttle_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003715041', 'B3090DE1', 'object/ship/shared_lambdashuttle_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194593388', 'FA046A6C', 'object/ship/shared_lambdashuttle_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('31932792', '1E74178', 'object/ship/shared_lambdashuttle_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223304949', '48EA26F5', 'object/ship/shared_lambdashuttle_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543011646', '9793473E', 'object/ship/shared_merchant_cruiser_light_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283780521', '4C84EFA9', 'object/ship/shared_merchant_cruiser_light_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('92899364', '5898824', 'object/ship/shared_merchant_cruiser_light_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4268401456', 'FE6AA330', 'object/ship/shared_merchant_cruiser_light_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077031101', 'B767C4BD', 'object/ship/shared_merchant_cruiser_light_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266302506', 'FE4A9C2A', 'object/ship/shared_merchant_cruiser_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883212856', 'E7752038', 'object/ship/shared_merchant_cruiser_medium_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1013090479', '3C6288AF', 'object/ship/shared_merchant_cruiser_medium_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970269986', '756FEF22', 'object/ship/shared_merchant_cruiser_medium_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391589942', '8E8CC436', 'object/ship/shared_merchant_cruiser_medium_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347162043', 'C781A3BB', 'object/ship/shared_merchant_cruiser_medium_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407618193', '8F815691', 'object/ship/shared_nebulon.iff');
INSERT INTO `object_crc_string_table` VALUES ('327912933', '138B8DE5', 'object/ship/shared_probe_droid_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('2888320846', 'AC28474E', 'object/ship/shared_probe_droid_pod_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2000678873', '773FEFD9', 'object/ship/shared_probe_droid_pod_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043499092', '3E328854', 'object/ship/shared_probe_droid_pod_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3318850368', 'C5D1A340', 'object/ship/shared_probe_droid_pod_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363278541', '8CDCC4CD', 'object/ship/shared_probe_droid_pod_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036884978', '3DCD9BF2', 'object/ship/shared_prototype_hutt_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160427278', '80C5810E', 'object/ship/shared_prototype_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1141820662', '440ECCF6', 'object/ship/shared_prototype_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542721164', 'D329A28C', 'object/ship/shared_rebel_gunboat.iff');
INSERT INTO `object_crc_string_table` VALUES ('137363241', '82FFF29', 'object/ship/shared_rebel_gunboat_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3543685054', 'D33857BE', 'object/ship/shared_rebel_gunboat_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587177011', '9A353033', 'object/ship/shared_rebel_gunboat_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641421607', '61D61B27', 'object/ship/shared_rebel_gunboat_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('685472938', '28DB7CAA', 'object/ship/shared_rebel_gunboat_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('282943774', '10DD611E', 'object/ship/shared_rebel_shuttle_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419064713', 'CBCAC989', 'object/ship/shared_rebel_shuttle_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194124292', '82C7AE04', 'object/ship/shared_rebel_shuttle_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032436496', '79248510', 'object/ship/shared_rebel_shuttle_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('808051357', '3029E29D', 'object/ship/shared_rebel_shuttle_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243384778', '4A1C8BCA', 'object/ship/shared_smuggler_warlord_ship_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2433426269', '910B235D', 'object/ship/shared_smuggler_warlord_ship_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624289488', 'D80644D0', 'object/ship/shared_smuggler_warlord_ship_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('602238916', '23E56FC4', 'object/ship/shared_smuggler_warlord_ship_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1793591369', '6AE80849', 'object/ship/shared_smuggler_warlord_ship_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2502364217', '95270C39', 'object/ship/shared_sorosuub_space_yacht.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165332223', 'BCAB22FF', 'object/ship/shared_spacestation_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('4164831037', 'F83E473D', 'object/ship/shared_spacestation_neutral.iff');
INSERT INTO `object_crc_string_table` VALUES ('431716433', '19BB7851', 'object/ship/shared_spacestation_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207599336', 'BF3014E8', 'object/ship/shared_star_destroyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043601537', 'F1047681', 'object/ship/shared_supplyship.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874889307', '6FC08A5B', 'object/ship/shared_tie_in.iff');
INSERT INTO `object_crc_string_table` VALUES ('1231580532', '49686D74', 'object/ship/shared_tie_light_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('212073063', 'CA3FA67', 'object/ship/shared_tieadvanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294368666', 'FFF6DD9A', 'object/ship/shared_tieadvanced_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('618755341', '24E1750D', 'object/ship/shared_tieadvanced_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844187776', '6DEC1280', 'object/ship/shared_tieadvanced_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517580180', '960F3994', 'object/ship/shared_tieadvanced_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741474329', 'DF025E19', 'object/ship/shared_tieadvanced_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3457688983', 'CE182597', 'object/ship/shared_tieaggressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918801119', '725E94DF', 'object/ship/shared_tieaggressor_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2840149064', 'A9493C48', 'object/ship/shared_tieaggressor_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762576325', 'E0445BC5', 'object/ship/shared_tieaggressor_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('463958225', '1BA770D1', 'object/ship/shared_tieaggressor_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386878812', '52AA175C', 'object/ship/shared_tieaggressor_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689489833', '64B391A9', 'object/ship/shared_tiebomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('800011159', '2FAF3397', 'object/ship/shared_tiebomber_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105739008', 'F4B89B00', 'object/ship/shared_tiebomber_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182820493', 'BDB5FC8D', 'object/ship/shared_tiebomber_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1180096409', '4656D799', 'object/ship/shared_tiebomber_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('257667092', 'F5BB014', 'object/ship/shared_tiebomber_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677969389', '9F9E91ED', 'object/ship/shared_tiefighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('719737899', '2AE6542B', 'object/ship/shared_tiefighter_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059167932', 'F1F1FCBC', 'object/ship/shared_tiefighter_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103562545', 'B8FC9B31', 'object/ship/shared_tiefighter_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1126150181', '431FB025', 'object/ship/shared_tiefighter_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('169007016', 'A12D7A8', 'object/ship/shared_tiefighter_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986877248', 'B2082140', 'object/ship/shared_tieinterceptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034789135', 'B4E3350F', 'object/ship/shared_tieinterceptor_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878302104', '6FF49D98', 'object/ship/shared_tieinterceptor_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('653916693', '26F9FA15', 'object/ship/shared_tieinterceptor_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709522177', 'DD1AD101', 'object/ship/shared_tieinterceptor_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484582028', '9417B68C', 'object/ship/shared_tieinterceptor_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234528257', 'C0CAFC01', 'object/ship/shared_tieoppressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138516559', 'BB11F64F', 'object/ship/shared_tieoppressor_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611030232', '60065ED8', 'object/ship/shared_tieoppressor_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('688601429', '290B3955', 'object/ship/shared_tieoppressor_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538424385', 'D2E81241', 'object/ship/shared_tieoppressor_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615506380', '9BE575CC', 'object/ship/shared_tieoppressor_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1879411884', '70058CAC', 'object/ship/shared_transport_science.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650455622', '625FF446', 'object/ship/shared_transport_science_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3108527313', 'B9485CD1', 'object/ship/shared_transport_science_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031069020', 'F0453B5C', 'object/ship/shared_transport_science_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('195432520', 'BA61048', 'object/ship/shared_transport_science_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118533573', '42AB77C5', 'object/ship/shared_transport_science_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476764354', '5805A2C2', 'object/ship/shared_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201246834', '47999272', 'object/ship/shared_xwing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2626566885', '9C8E3AE5', 'object/ship/shared_xwing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582156136', 'D5835D68', 'object/ship/shared_xwing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('778073724', '2E60767C', 'object/ship/shared_xwing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1735201265', '676D11F1', 'object/ship/shared_xwing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370729898', '8D4E77AA', 'object/ship/shared_ykl37r.iff');
INSERT INTO `object_crc_string_table` VALUES ('212362802', 'CA86632', 'object/ship/shared_ykl37r_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3619671717', 'D7BFCEA5', 'object/ship/shared_ykl37r_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662508840', '9EB2A928', 'object/ship/shared_ykl37r_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699840572', '6551823C', 'object/ship/shared_ykl37r_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('744285617', '2C5CE5B1', 'object/ship/shared_ykl37r_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019421648', 'EF9381D0', 'object/ship/shared_yt1300.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347113891', '504B53A3', 'object/ship/shared_yt1300_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582257391', 'D584E8EF', 'object/ship/shared_yt1300_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('244531320', 'E934078', 'object/ship/shared_yt1300_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201547253', '479E27F5', 'object/ship/shared_yt1300_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3162311905', 'BC7D0CE1', 'object/ship/shared_yt1300_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4117785452', 'F5706B6C', 'object/ship/shared_yt1300_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2852456612', 'AA0508A4', 'object/ship/shared_ywing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553113506', 'D3C835A2', 'object/ship/shared_ywing_longprobe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2593551104', '9A967300', 'object/ship/shared_ywing_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099029399', '4181DB97', 'object/ship/shared_ywing_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('143440922', '88CBC1A', 'object/ship/shared_ywing_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084176654', 'F36F970E', 'object/ship/shared_ywing_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127046275', 'BA62F083', 'object/ship/shared_ywing_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3963433956', 'EC3D33E4', 'object/ship/shared_z95.iff');
INSERT INTO `object_crc_string_table` VALUES ('603334641', '23F627F1', 'object/ship/shared_z95_tier1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175531878', 'F8E18F66', 'object/ship/shared_z95_tier2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2985093355', 'B1ECE8EB', 'object/ship/shared_z95_tier3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1242547199', '4A0FC3FF', 'object/ship/shared_z95_tier4.iff');
INSERT INTO `object_crc_string_table` VALUES ('50504818', '302A472', 'object/ship/shared_z95_tier5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100063237', '4191A205', 'object/soundobject/base/shared_soundobject_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1113312589', '425BCD4D', 'object/soundobject/shared_soundobject_cantina_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('769239243', '2DD9A8CB', 'object/soundobject/shared_soundobject_cantina_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983928676', '76405964', 'object/soundobject/shared_soundobject_cantina_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('526901089', '1F67DF61', 'object/soundobject/shared_soundobject_cave_drip.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471626100', '57B73B74', 'object/soundobject/shared_soundobject_chamber_music.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649456437', '6250B535', 'object/soundobject/shared_soundobject_city_crowd_booing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171942528', 'BD100080', 'object/soundobject/shared_soundobject_city_crowd_cheering.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007094640', '3C070B70', 'object/soundobject/shared_soundobject_city_crowd_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995810506', 'B29070CA', 'object/soundobject/shared_soundobject_city_crowd_sentients.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220356330', '48BD28EA', 'object/soundobject/shared_soundobject_city_crowd_sentients_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160245111', '80C2B977', 'object/soundobject/shared_soundobject_city_crowd_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219862072', '84506838', 'object/soundobject/shared_soundobject_cloning_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('805544317', '3003A17D', 'object/soundobject/shared_soundobject_elevator_music.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185407219', 'BDDD74F3', 'object/soundobject/shared_soundobject_factory_exterior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322270980', '8A6B0B04', 'object/soundobject/shared_soundobject_figrin_dan_band.iff');
INSERT INTO `object_crc_string_table` VALUES ('543287439', '2061E88F', 'object/soundobject/shared_soundobject_fire_roaring.iff');
INSERT INTO `object_crc_string_table` VALUES ('1387709357', '52B6C3AD', 'object/soundobject/shared_soundobject_fort_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('111680330', '6A81B4A', 'object/soundobject/shared_soundobject_fusion_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865831738', '6F36553A', 'object/soundobject/shared_soundobject_hovering.iff');
INSERT INTO `object_crc_string_table` VALUES ('111189793', '6A09F21', 'object/soundobject/shared_soundobject_hydro_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('995137663', '3B50987F', 'object/soundobject/shared_soundobject_installation_hydro.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621719598', 'D7DF0E2E', 'object/soundobject/shared_soundobject_installation_photo_bio.iff');
INSERT INTO `object_crc_string_table` VALUES ('522992257', '1F2C3A81', 'object/soundobject/shared_soundobject_installation_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503585302', '9539AE16', 'object/soundobject/shared_soundobject_jabba_audience_chamber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1106794', '10E36A', 'object/soundobject/shared_soundobject_jabba_max_rebo_band.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562507459', 'D4578CC3', 'object/soundobject/shared_soundobject_jabba_monk_hideaway.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643654633', '61F82DE9', 'object/soundobject/shared_soundobject_jabba_palace_entrance.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070906203', '7B6F855B', 'object/soundobject/shared_soundobject_jungle_music_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692230604', 'A0782DCC', 'object/soundobject/shared_soundobject_jungle_music_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('999668036', '3B95B944', 'object/soundobject/shared_soundobject_lakeshore.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854588989', 'E5C05C3D', 'object/soundobject/shared_soundobject_lava.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479780870', 'CF693E06', 'object/soundobject/shared_soundobject_loud_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3222553098', 'C014420A', 'object/soundobject/shared_soundobject_marketplace_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094678563', 'F40FD623', 'object/soundobject/shared_soundobject_marketplace_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('293547237', '117F2CE5', 'object/soundobject/shared_soundobject_mountain_winds.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031338094', '3D78F86E', 'object/soundobject/shared_soundobject_nightsisters_stronghold.iff');
INSERT INTO `object_crc_string_table` VALUES ('590222819', '232E15E3', 'object/soundobject/shared_soundobject_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143794115', '442CE9C3', 'object/soundobject/shared_soundobject_quiet_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3950943395', 'EB7E9CA3', 'object/soundobject/shared_soundobject_rebel_hideout.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124729098', '7EA4CB0A', 'object/soundobject/shared_soundobject_refrigeration_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374956061', '8D8EF41D', 'object/soundobject/shared_soundobject_river_indoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441954755', 'CD280FC3', 'object/soundobject/shared_soundobject_river_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4180909034', 'F9339BEA', 'object/soundobject/shared_soundobject_river_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258394168', 'FDD1F038', 'object/soundobject/shared_soundobject_sailbarge_lower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2386769474', '8E433642', 'object/soundobject/shared_soundobject_sailbarge_upper.iff');
INSERT INTO `object_crc_string_table` VALUES ('279468825', '10A85B19', 'object/soundobject/shared_soundobject_seashore_indoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890368574', 'AC47863E', 'object/soundobject/shared_soundobject_seashore_outdoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705653312', 'DCDFC840', 'object/soundobject/shared_soundobject_shield_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803959668', '6B863D74', 'object/soundobject/shared_soundobject_snow_outside.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863794774', 'AAB20A56', 'object/soundobject/shared_soundobject_space_yacht.iff');
INSERT INTO `object_crc_string_table` VALUES ('740379187', '2C214A33', 'object/soundobject/shared_soundobject_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('93072533', '58C2C95', 'object/soundobject/shared_soundobject_starport_exterior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601406698', '9B0E50EA', 'object/soundobject/shared_soundobject_starport_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('20514831', '139080F', 'object/soundobject/shared_soundobject_theed_fountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('425345644', '195A426C', 'object/soundobject/shared_soundobject_transport_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1630317945', '612CAD79', 'object/soundobject/shared_soundobject_underground_music_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3124430318', 'BA3B05EE', 'object/soundobject/shared_soundobject_underground_music_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014649812', '78151DD4', 'object/soundobject/shared_soundobject_water_gurgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152482150', 'F781D966', 'object/soundobject/shared_soundobject_water_gurgle_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465513069', '5759F46D', 'object/soundobject/shared_soundobject_waterfall_indoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('2572356312', '99530AD8', 'object/soundobject/shared_soundobject_waterfall_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999229516', '7729D24C', 'object/soundobject/shared_soundobject_waterfall_outdoors.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907217649', 'AD489EF1', 'object/soundobject/shared_soundobject_waterfall_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2041745522', '79B29072', 'object/soundobject/shared_soundobject_wind_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732101595', '673DC5DB', 'object/static/base/shared_static_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025184', '3D6B60', 'object/static/base/shared_static_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705862416', 'A1482F10', 'object/static/creature/shared_corellia_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('477184105', '1C714069', 'object/static/creature/shared_corellia_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2747990145', 'A3CB0081', 'object/static/creature/shared_corellia_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048728047', 'B5B7E5EF', 'object/static/creature/shared_corellia_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954563063', 'B01B0DF7', 'object/static/creature/shared_corellia_gulingaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2683543667', '9FF3A073', 'object/static/creature/shared_corellia_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2344476589', '8BBDDFAD', 'object/static/creature/shared_corellia_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375326208', '51F9D000', 'object/static/creature/shared_corellia_paralope.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137870482', 'BB081A92', 'object/static/creature/shared_corellia_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063038895', 'F22D0DAF', 'object/static/creature/shared_corellia_wrix.iff');
INSERT INTO `object_crc_string_table` VALUES ('854757845', '32F291D5', 'object/static/creature/shared_dantooine_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931905486', '732689CE', 'object/static/creature/shared_dantooine_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303273158', '894928C6', 'object/static/creature/shared_dantooine_picket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156453868', '8088DFEC', 'object/static/creature/shared_dantooine_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211038446', 'BF648EEE', 'object/static/creature/shared_dantooine_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989515482', 'B23062DA', 'object/static/creature/shared_dantooine_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3739778750', 'DEE87EBE', 'object/static/creature/shared_dathomir_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2130373686', '7EFAEC36', 'object/static/creature/shared_dathomir_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('148699511', '8DCF977', 'object/static/creature/shared_dathomir_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407684045', '8F8257CD', 'object/static/creature/shared_dathomir_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475425069', '938BFD2D', 'object/static/creature/shared_dathomir_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615874421', '60504975', 'object/static/creature/shared_dathomir_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('1734426995', '67614173', 'object/static/creature/shared_dathomir_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('634197524', '25CD1614', 'object/static/creature/shared_droids_21b_medical.iff');
INSERT INTO `object_crc_string_table` VALUES ('3764580571', 'E062F0DB', 'object/static/creature/shared_droids_c118.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268246832', '4B97E930', 'object/static/creature/shared_droids_dz70.iff');
INSERT INTO `object_crc_string_table` VALUES ('3476817295', 'CF3C058F', 'object/static/creature/shared_droids_eg6.iff');
INSERT INTO `object_crc_string_table` VALUES ('470452239', '1C0A880F', 'object/static/creature/shared_droids_imperial_it0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273875386', '4BEDCBBA', 'object/static/creature/shared_droids_le_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987492608', 'EDAC4F00', 'object/static/creature/shared_droids_lin_demolition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766014260', '69433D34', 'object/static/creature/shared_droids_mse_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769609842', 'E0AFAE72', 'object/static/creature/shared_droids_protocol_droid_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('1386398217', '52A2C209', 'object/static/creature/shared_droids_r2.iff');
INSERT INTO `object_crc_string_table` VALUES ('74591773', '4722E1D', 'object/static/creature/shared_droids_r2_waiter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839669021', 'A941E91D', 'object/static/creature/shared_droids_r5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031936600', 'F0527858', 'object/static/creature/shared_endor_arachne.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777768022', 'A5916056', 'object/static/creature/shared_endor_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997015768', 'B2A2D4D8', 'object/static/creature/shared_endor_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('4030049897', 'F035AE69', 'object/static/creature/shared_endor_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('153161597', '9210F7D', 'object/static/creature/shared_endor_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525067606', '5AE6AF56', 'object/static/creature/shared_endor_gurrek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844520985', 'E526BC19', 'object/static/creature/shared_endor_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('3191722300', 'BE3DD13C', 'object/static/creature/shared_imperial_at_st.iff');
INSERT INTO `object_crc_string_table` VALUES ('315951279', '12D508AF', 'object/static/creature/shared_lok_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271066089', 'FE934BE9', 'object/static/creature/shared_lok_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580345318', 'D567BBE6', 'object/static/creature/shared_lok_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2773469649', 'A54FC9D1', 'object/static/creature/shared_lok_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('357241664', '154B1340', 'object/static/creature/shared_lok_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617735804', '606CB07C', 'object/static/creature/shared_lok_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('14297223', 'DA2887', 'object/static/creature/shared_lok_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767558298', '695ACC9A', 'object/static/creature/shared_naboo_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('226349579', 'D7DD20B', 'object/static/creature/shared_naboo_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2354504429', '8C56E2ED', 'object/static/creature/shared_naboo_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571631502', '5DAD318E', 'object/static/creature/shared_naboo_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364724606', '8CF2D57E', 'object/static/creature/shared_naboo_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920843509', '727DBEF5', 'object/static/creature/shared_naboo_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('3593979400', 'D637C608', 'object/static/creature/shared_naboo_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885148339', 'E792A8B3', 'object/static/creature/shared_naboo_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1608440478', '5FDEDA9E', 'object/static/creature/shared_rori_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3736933444', 'DEBD1444', 'object/static/creature/shared_rori_forest_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('115117462', '6DC8D96', 'object/static/creature/shared_rori_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('2689990897', 'A05600F1', 'object/static/creature/shared_rori_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296435059', '88E0D173', 'object/static/creature/shared_rori_vrobal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737643958', 'DEC7EBB6', 'object/static/creature/shared_talus_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('595006750', '2377151E', 'object/static/creature/shared_talus_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('347380569', '14B49B59', 'object/static/creature/shared_talus_sludge_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3938599478', 'EAC24236', 'object/static/creature/shared_tatooine_bantha_nosaddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837912821', 'E4C1E6F5', 'object/static/creature/shared_tatooine_bantha_saddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883442736', '70430E30', 'object/static/creature/shared_tatooine_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('720218946', '2AEDAB42', 'object/static/creature/shared_tatooine_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('73737599', '465257F', 'object/static/creature/shared_tatooine_dewback_nosaddle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624628846', '9C70A86E', 'object/static/creature/shared_tatooine_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('10526857', 'A0A089', 'object/static/creature/shared_tatooine_jawa.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864148327', 'AAB76F67', 'object/static/creature/shared_tatooine_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('424564253', '194E561D', 'object/static/creature/shared_tatooine_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1422492223', '54C9823F', 'object/static/creature/shared_tatooine_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864955184', 'E65E8930', 'object/static/creature/shared_tatooine_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1929245972', '72FDF514', 'object/static/creature/shared_tatooine_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3688075301', 'DBD39025', 'object/static/creature/shared_yavin4_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080884107', 'F33D598B', 'object/static/creature/shared_yavin4_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561928854', 'D44EB896', 'object/static/creature/shared_yavin4_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('2479758005', '93CE1AB5', 'object/static/creature/shared_yavin4_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('836656341', '31DE5CD5', 'object/static/creature/shared_yavin4_skreeg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663198408', '632264C8', 'object/static/creature/shared_yavin4_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786092096', 'A6106440', 'object/static/dathomir/shared_dath_mistyfalls_waterfall1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097663191', '7D07CCD7', 'object/static/dathomir/shared_dath_mistyfalls_waterfall2.iff');
INSERT INTO `object_crc_string_table` VALUES ('918998876', '36C6CF5C', 'object/static/destructible/shared_destructible_cave_wall_damprock.iff');
INSERT INTO `object_crc_string_table` VALUES ('4179770460', 'F9223C5C', 'object/static/destructible/shared_destructible_item_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104939815', '7D76D527', 'object/static/destructible/shared_destructible_tato_cave_rock_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390669674', 'CA19836A', 'object/static/destructible/shared_destructible_tato_cave_rock_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003304122', 'EE9D92BA', 'object/static/destructible/shared_destructible_tato_crate1.iff');
INSERT INTO `object_crc_string_table` VALUES ('316155043', '12D824A3', 'object/static/destructible/shared_destructible_tato_drum_dented.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157671754', '809B754A', 'object/static/destructible/shared_destructible_tato_drum_storage1.iff');
INSERT INTO `object_crc_string_table` VALUES ('196750544', 'BBA2CD0', 'object/static/destructible/shared_gungan_sacred_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524579942', '967A0866', 'object/static/firework/base/shared_firework_fx_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015660279', 'EF5A1CF7', 'object/static/firework/shared_fx_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('877507680', '344DB460', 'object/static/firework/shared_fx_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101400557', '7D40D3ED', 'object/static/firework/shared_fx_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258893049', '86A3F8F9', 'object/static/firework/shared_fx_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484327796', 'CFAE9F74', 'object/static/firework/shared_fx_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179247106', 'BD7F7602', 'object/static/firework/shared_fx_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4101116303', 'F472118F', 'object/static/firework/shared_fx_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237717764', 'FC967104', 'object/static/firework/shared_fx_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092821074', 'F3F37E52', 'object/static/firework/shared_show_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282656608', 'C3A95D60', 'object/static/flora/shared_flora_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380635776', 'C9806880', 'object/static/flora/shared_flora_bush_dathomir_hwotha.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385797177', '8E346039', 'object/static/flora/shared_flora_bush_endor_rainbowbush.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622915798', '60BBBAD6', 'object/static/flora/shared_flora_bush_talus_razorcoil.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112833826', 'F524DD22', 'object/static/flora/shared_flora_bush_yavin_blueleaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303000302', '4DAA34EE', 'object/static/flora/shared_flora_decd_dath_azerontree.iff');
INSERT INTO `object_crc_string_table` VALUES ('1239955396', '49E837C4', 'object/static/flora/shared_flora_decd_dath_blacktree.iff');
INSERT INTO `object_crc_string_table` VALUES ('3087503053', 'B8078ECD', 'object/static/flora/shared_flora_decd_endr_destree_dead.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850241596', '6E48723C', 'object/static/flora/shared_flora_decd_scorched_massassi.iff');
INSERT INTO `object_crc_string_table` VALUES ('1334140957', '4F85601D', 'object/static/flora/shared_flora_decd_scorched_massassi_broke.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131259780', 'F63E0584', 'object/static/flora/shared_flora_decd_scorched_tallbirch.iff');
INSERT INTO `object_crc_string_table` VALUES ('2780610841', 'A5BCC119', 'object/static/flora/shared_flora_decd_scorched_tallbirch_broke.iff');
INSERT INTO `object_crc_string_table` VALUES ('2323835715', '8A82EB43', 'object/static/flora/shared_flora_flower_all_bauhin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951625577', '74537169', 'object/static/flora/shared_flora_flower_endor_scrubwort.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210762519', 'BF605917', 'object/static/flora/shared_flora_flower_tato_funnel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114511484', '426E187C', 'object/static/flora/shared_flora_flower_tato_funnel_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419088004', 'CBCB2484', 'object/static/flora/shared_flora_flower_tato_funnel_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3330222752', 'C67F2AA0', 'object/static/flora/shared_flora_plant_tato_falotil.iff');
INSERT INTO `object_crc_string_table` VALUES ('3257873338', 'C22F33BA', 'object/static/flora/shared_flora_plant_tato_falotil_bare.iff');
INSERT INTO `object_crc_string_table` VALUES ('998793848', '3B886278', 'object/static/flora/shared_flora_plant_tato_hubba.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097396056', '7D03B958', 'object/static/flora/shared_flora_plant_tato_pika.iff');
INSERT INTO `object_crc_string_table` VALUES ('753105168', '2CE37910', 'object/static/flora/shared_flora_plant_tato_pika_tri.iff');
INSERT INTO `object_crc_string_table` VALUES ('4134879921', 'F67542B1', 'object/static/flora/shared_flora_shrb_dath_glingi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776365618', 'E116C432', 'object/static/flora/shared_flora_tree_lok_mkpud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2866142506', 'AAD5DD2A', 'object/static/flora/shared_flora_tree_palm_fngi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535930087', '972738E7', 'object/static/flora/shared_flora_tree_palm_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('758632558', '2D37D06E', 'object/static/flora/shared_flora_tree_palm_thk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1443720376', '560D6CB8', 'object/static/flora/shared_flora_tree_rori_mkpodtree.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015418034', 'EF566AB2', 'object/static/flora/shared_flora_tree_rori_windswept_s00.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790985023', 'A65B0D3F', 'object/static/flora/shared_flora_tree_rori_windswept_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102175144', '7D4CA5A8', 'object/static/flora/shared_flora_tree_rori_windswept_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('876724773', '3441C225', 'object/static/flora/shared_flora_tree_rori_windswept_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020776426', '3CD7CFEA', 'object/static/flora/shared_flora_tree_tato_touchnot.iff');
INSERT INTO `object_crc_string_table` VALUES ('248082179', 'EC96F03', 'object/static/flora/shared_potted_plant_flowers_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892348345', 'E80085B9', 'object/static/flora/shared_potted_plant_flowers_purple.iff');
INSERT INTO `object_crc_string_table` VALUES ('877469590', '344D1F96', 'object/static/flora/shared_potted_plant_leaves_fern.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315610543', '4E6A9FAF', 'object/static/flora/shared_potted_plant_leaves_ivy.iff');
INSERT INTO `object_crc_string_table` VALUES ('622948670', '2521713E', 'object/static/flora/shared_potted_plant_leaves_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1376116358', '5205DE86', 'object/static/installation/shared_mockup_factory_clothing_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702691941', '657D0465', 'object/static/installation/shared_mockup_factory_item_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1996893062', '77062B86', 'object/static/installation/shared_mockup_factory_machine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1851420525', '6E5A6F6D', 'object/static/installation/shared_mockup_factory_organic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670476003', '9F2C3AE3', 'object/static/installation/shared_mockup_farm_creature_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('455333563', '1B23D6BB', 'object/static/installation/shared_mockup_farm_flora_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('952651135', '38C84D7F', 'object/static/installation/shared_mockup_mining_gas_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973636894', 'B13E191E', 'object/static/installation/shared_mockup_mining_liquid_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3774495712', 'E0FA3BE0', 'object/static/installation/shared_mockup_mining_liquid_moisture_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112884760', 'B98ADA18', 'object/static/installation/shared_mockup_mining_ore_harvester_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654485647', '629D728F', 'object/static/installation/shared_mockup_mining_ore_harvester_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278647849', '87D16829', 'object/static/installation/shared_mockup_power_generator_fusion_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650901824', '6266C340', 'object/static/installation/shared_mockup_power_generator_photo_bio_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423687218', '90768832', 'object/static/installation/shared_mockup_power_generator_solar_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('467258209', '1BD9CB61', 'object/static/installation/shared_mockup_power_generator_wind_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899025413', '7130D405', 'object/static/item/shared_armor_bone_bicep_left.iff');
INSERT INTO `object_crc_string_table` VALUES ('41670550', '27BD796', 'object/static/item/shared_armor_bone_bicep_right.iff');
INSERT INTO `object_crc_string_table` VALUES ('382834978', '16D19922', 'object/static/item/shared_armor_bone_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2196134634', '82E65AEA', 'object/static/item/shared_armor_bone_bracer_left.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343152966', '500EE346', 'object/static/item/shared_armor_bone_bracer_right.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633683478', '61600816', 'object/static/item/shared_armor_bone_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3066229216', 'B6C2F1E0', 'object/static/item/shared_armor_bone_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('140815738', '864AD7A', 'object/static/item/shared_armor_bone_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343017016', '500CD038', 'object/static/item/shared_armor_chitin_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3642120486', 'D9165926', 'object/static/item/shared_armor_chitin_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('94582139', '5A3357B', 'object/static/item/shared_armor_composite_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3193810957', 'BE5DB00D', 'object/static/item/shared_armor_composite_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320875919', '4EBAF78F', 'object/static/item/shared_armor_imp_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794536831', 'A6913F7F', 'object/static/item/shared_armor_imp_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2742991799', 'A37EBBB7', 'object/static/item/shared_armor_imp_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633324476', '615A8DBC', 'object/static/item/shared_armor_padded_chestplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('809863082', '304587AA', 'object/static/item/shared_armor_padded_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170506744', 'F894E1F8', 'object/static/item/shared_item_ammo_rocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('570042739', '21FA2973', 'object/static/item/shared_item_atat_lifesupport_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('109834402', '68BF0A2', 'object/static/item/shared_item_axe.iff');
INSERT INTO `object_crc_string_table` VALUES ('568915597', '21E8F68D', 'object/static/item/shared_item_bacta_ampules.iff');
INSERT INTO `object_crc_string_table` VALUES ('377921986', '1686A1C2', 'object/static/item/shared_item_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195165289', '82D79069', 'object/static/item/shared_item_basket_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018770690', '7853FF02', 'object/static/item/shared_item_basket_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('3461086095', 'CE4BFB8F', 'object/static/item/shared_item_basket_shallow.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258606562', '869F99E2', 'object/static/item/shared_item_binoculars.iff');
INSERT INTO `object_crc_string_table` VALUES ('3689007977', 'DBE1CB69', 'object/static/item/shared_item_bottle_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1981667646', '761DD93E', 'object/static/item/shared_item_bottle_pear.iff');
INSERT INTO `object_crc_string_table` VALUES ('4225375385', 'FBDA1C99', 'object/static/item/shared_item_bottle_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3068941566', 'B6EC54FE', 'object/static/item/shared_item_bowl_carved.iff');
INSERT INTO `object_crc_string_table` VALUES ('107185491', '6638553', 'object/static/item/shared_item_bowl_plain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053398824', '3EC99728', 'object/static/item/shared_item_bowl_shallow.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680189690', 'DB5B3CFA', 'object/static/item/shared_item_bread_loaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247183112', 'C18C1508', 'object/static/item/shared_item_briefcase.iff');
INSERT INTO `object_crc_string_table` VALUES ('2462334330', '92C43D7A', 'object/static/item/shared_item_cage_bamboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2142034506', '7FACDA4A', 'object/static/item/shared_item_camera.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137119633', 'BAFCA591', 'object/static/item/shared_item_carbine_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1473664410', '57D6559A', 'object/static/item/shared_item_carbine_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397773079', '53505317', 'object/static/item/shared_item_carbine_imperial_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('272772605', '10422DFD', 'object/static/item/shared_item_carbine_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148404776', '44734428', 'object/static/item/shared_item_chair_cafe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674191551', '9F64ECBF', 'object/static/item/shared_item_chair_cafe_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268935381', '873D34D5', 'object/static/item/shared_item_chair_futon_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('244758057', 'E96B629', 'object/static/item/shared_item_chair_metal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('894596562', '355275D2', 'object/static/item/shared_item_chair_metal_wheeled_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2420924532', '904C6074', 'object/static/item/shared_item_chair_modern_loveseat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071442412', 'B7127DEC', 'object/static/item/shared_item_chair_recliner_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3215824507', 'BFAD967B', 'object/static/item/shared_item_chair_tato_cafe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1689927404', '64BA3EEC', 'object/static/item/shared_item_chair_tato_cafe_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898799663', 'E862F62F', 'object/static/item/shared_item_cheap_cabinet_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128245228', '433FA7EC', 'object/static/item/shared_item_cheese_wheel_s1_partial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995492937', 'B28B9849', 'object/static/item/shared_item_chemical_container_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336005578', '4FA1D3CA', 'object/static/item/shared_item_chemical_container_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('755038889', '2D00FAA9', 'object/static/item/shared_item_cloth_patches.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801331454', 'E293B6FE', 'object/static/item/shared_item_comp_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2119991533', '7E5C80ED', 'object/static/item/shared_item_comp_ion_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210817338', 'BF612F3A', 'object/static/item/shared_item_comp_stabilization_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('881953982', '34918CBE', 'object/static/item/shared_item_comp_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696942882', 'DC5ADF22', 'object/static/item/shared_item_con_bag_ingredients_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2887784359', 'AC2017A7', 'object/static/item/shared_item_con_bag_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('782789818', '2EA86CBA', 'object/static/item/shared_item_con_barrel_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('468970819', '1BF3ED43', 'object/static/item/shared_item_con_basket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435978532', '55974B24', 'object/static/item/shared_item_con_bowl_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('22411271', '155F807', 'object/static/item/shared_item_con_bowl_serving_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135460176', 'BAE35350', 'object/static/item/shared_item_con_drink_flask.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302190221', '4D9DD88D', 'object/static/item/shared_item_con_glass_beaker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557094901', '986A2BF5', 'object/static/item/shared_item_con_glass_full_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008672134', 'B354B186', 'object/static/item/shared_item_con_pitcher_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388012720', 'C9F0F8B0', 'object/static/item/shared_item_con_plate_casserole.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130233010', 'BA9390B2', 'object/static/item/shared_item_con_plate_s1_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('1720318167', '6689F8D7', 'object/static/item/shared_item_con_ration_kit_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534364000', 'D2AA1D60', 'object/static/item/shared_item_con_ration_kit_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('798767493', '2F9C3985', 'object/static/item/shared_item_con_tankard_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519863183', '96320F8F', 'object/static/item/shared_item_con_tato_bowl_full_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294313240', '4D25A718', 'object/static/item/shared_item_con_tato_bowl_full_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1498865741', '5956E04D', 'object/static/item/shared_item_con_tato_cup_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('274433984', '105B87C0', 'object/static/item/shared_item_con_tato_cup_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923451996', 'AE40565C', 'object/static/item/shared_item_con_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('3283714136', 'C3B98058', 'object/static/item/shared_item_con_winebottle_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('414066895', '18AE28CF', 'object/static/item/shared_item_con_winebottle_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1369657154', '51A34F42', 'object/static/item/shared_item_con_winebottle_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856346710', 'AA406456', 'object/static/item/shared_item_con_winebottle_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3813475291', 'E34D03DB', 'object/static/item/shared_item_con_winebottle_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175646326', 'F8E34E76', 'object/static/item/shared_item_container_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255481432', '866FEA58', 'object/static/item/shared_item_container_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085056595', 'B7E23A53', 'object/static/item/shared_item_container_energy_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('3714078297', 'DD605659', 'object/static/item/shared_item_container_energy_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965708443', 'EC5FE89B', 'object/static/item/shared_item_container_energy_radioactive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370309576', '8D480DC8', 'object/static/item/shared_item_container_energy_solid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404088951', '8F4B7C77', 'object/static/item/shared_item_container_inorganic_chemicals.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076369059', '402816A3', 'object/static/item/shared_item_container_inorganic_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784088837', 'A5F1D305', 'object/static/item/shared_item_container_inorganic_minerals.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390061047', 'CA1039F7', 'object/static/item/shared_item_container_inorganic_water.iff');
INSERT INTO `object_crc_string_table` VALUES ('240677545', 'E5872A9', 'object/static/item/shared_item_container_installation.iff');
INSERT INTO `object_crc_string_table` VALUES ('1305067335', '4DC9BF47', 'object/static/item/shared_item_container_organic_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581761382', '5E47C366', 'object/static/item/shared_item_container_organic_hide.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030050763', 'B49AE7CB', 'object/static/item/shared_item_container_organic_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255851413', '4ADAC595', 'object/static/item/shared_item_container_plain_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446159106', '91CD6D02', 'object/static/item/shared_item_container_plain_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636464271', 'D8C00A8F', 'object/static/item/shared_item_container_plain_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('589504923', '2323219B', 'object/static/item/shared_item_container_plain_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641225683', 'D908B1D3', 'object/static/item/shared_item_container_weapons.iff');
INSERT INTO `object_crc_string_table` VALUES ('3546018033', 'D35BF0F1', 'object/static/item/shared_item_cook_frying_pan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685147084', 'A00C17CC', 'object/static/item/shared_item_cook_pot_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1562795087', '5D265C4F', 'object/static/item/shared_item_cook_pot_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603096922', 'D6C2E55A', 'object/static/item/shared_item_crate_clothing_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789284715', '6AA6516B', 'object/static/item/shared_item_crate_spice.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136425931', 'F68CD9CB', 'object/static/item/shared_item_data_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('522904897', '1F2AE541', 'object/static/item/shared_item_datapad_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3292351958', 'C43D4DD6', 'object/static/item/shared_item_datapad_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('980291180', '3A6E0E6C', 'object/static/item/shared_item_decryptor_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1651617897', '6271B069', 'object/static/item/shared_item_diagnostic_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483782412', '5870B90C', 'object/static/item/shared_item_document.iff');
INSERT INTO `object_crc_string_table` VALUES ('2782320182', 'A5D6D636', 'object/static/item/shared_item_door_impl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229629688', 'C0803CF8', 'object/static/item/shared_item_drall_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741400727', 'A3667497', 'object/static/item/shared_item_droid_magnet.iff');
INSERT INTO `object_crc_string_table` VALUES ('578717359', '227E86AF', 'object/static/item/shared_item_dye_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452623710', 'CDCADB5E', 'object/static/item/shared_item_edb_con_tato_cup_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2227682515', '84C7BCD3', 'object/static/item/shared_item_edb_con_tato_cup_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2686619843', 'A02290C3', 'object/static/item/shared_item_eyes_of_mesra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962912307', '74FFAA33', 'object/static/item/shared_item_food_assorted_fruit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2447344421', '91DF8325', 'object/static/item/shared_item_food_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643171226', '61F0CD9A', 'object/static/item/shared_item_food_dish_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135726861', 'BAE7650D', 'object/static/item/shared_item_food_dish_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092199552', 'F3EA0280', 'object/static/item/shared_item_food_dish_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('134818196', '8092994', 'object/static/item/shared_item_food_dish_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090801177', '41044E19', 'object/static/item/shared_item_food_dish_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584995470', '9A13E68E', 'object/static/item/shared_item_food_dish_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484078697', '94100869', 'object/static/item/shared_item_food_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237678042', 'FC95D5DA', 'object/static/item/shared_item_food_fruit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('662863181', '27827D4D', 'object/static/item/shared_item_food_fruit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1854872256', '6E8F1AC0', 'object/static/item/shared_item_food_fruit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941091563', 'EAE848EB', 'object/static/item/shared_item_food_links.iff');
INSERT INTO `object_crc_string_table` VALUES ('357872124', '1554B1FC', 'object/static/item/shared_item_food_meat_loaf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3930727381', 'EA4A23D5', 'object/static/item/shared_item_food_meat_roast.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792426547', 'A6710C33', 'object/static/item/shared_item_food_muffins.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451691855', '56870F4F', 'object/static/item/shared_item_food_nutricake.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291568660', 'FFCC2414', 'object/static/item/shared_item_food_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224713039', 'C035374F', 'object/static/item/shared_item_food_pie_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222035816', 'FBA72768', 'object/static/item/shared_item_food_sandwich.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188629182', 'F9A968BE', 'object/static/item/shared_item_food_sausage.iff');
INSERT INTO `object_crc_string_table` VALUES ('153020576', '91EE8A0', 'object/static/item/shared_item_food_skewer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784005446', 'A5F08D46', 'object/static/item/shared_item_food_spices.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453569476', '56A3B5C4', 'object/static/item/shared_item_food_vegetable_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377391443', '8DB41D53', 'object/static/item/shared_item_food_vegetable_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300489950', 'C4B97ADE', 'object/static/item/shared_item_food_vegetable_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2726248829', 'A27F417D', 'object/static/item/shared_item_fruit_melon.iff');
INSERT INTO `object_crc_string_table` VALUES ('608112100', '243F0DE4', 'object/static/item/shared_item_game_dejarik_gameboard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1526354706', '5AFA5312', 'object/static/item/shared_item_glass_bluemilk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464252430', 'CE7C4C0E', 'object/static/item/shared_item_glass_empty.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995101539', 'EE206963', 'object/static/item/shared_item_glass_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261530459', '86CC375B', 'object/static/item/shared_item_glass_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070449231', '3FCDC24F', 'object/static/item/shared_item_glass_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('781716835', '2E980D63', 'object/static/item/shared_item_hair_dye_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3281791142', 'C39C28A6', 'object/static/item/shared_item_imperial_lifesupport_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166760359', '458B59A7', 'object/static/item/shared_item_items_container_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097563684', 'B8A11224', 'object/static/item/shared_item_items_container_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('1266080022', '4B76D916', 'object/static/item/shared_item_jacket_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('193627130', 'B8A83FA', 'object/static/item/shared_item_jar_berries.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304125843', 'C4F0F593', 'object/static/item/shared_item_jar_bugs.iff');
INSERT INTO `object_crc_string_table` VALUES ('3759215411', 'E0111333', 'object/static/item/shared_item_jar_empty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2934305982', 'AEE5F4BE', 'object/static/item/shared_item_jar_funk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1848547961', '6E2E9A79', 'object/static/item/shared_item_jar_guts.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646277526', '9DBAFD96', 'object/static/item/shared_item_jar_spice_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734733012', 'A300B6D4', 'object/static/item/shared_item_jar_spice_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3077482380', 'B76EA78C', 'object/static/item/shared_item_jar_spice_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894064245', '70E52075', 'object/static/item/shared_item_katana.iff');
INSERT INTO `object_crc_string_table` VALUES ('775820803', '2E3E1603', 'object/static/item/shared_item_keepsakes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1010638097', '3C3D1D11', 'object/static/item/shared_item_key_electronic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347975078', 'C78E0BA6', 'object/static/item/shared_item_kiosk_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563747235', '5D34E3A3', 'object/static/item/shared_item_kitchen_chair_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655114123', '9E41D38B', 'object/static/item/shared_item_kitchen_cook_set_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226902722', '49210CC2', 'object/static/item/shared_item_kitchen_portable_stove_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2564506086', '98DB41E6', 'object/static/item/shared_item_kitchen_pot_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137502577', '43CCE971', 'object/static/item/shared_item_kitchen_pot_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('180457212', 'AC18EFC', 'object/static/item/shared_item_kitchen_pot_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('806343879', '300FD4C7', 'object/static/item/shared_item_makeup.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149924451', '448A7463', 'object/static/item/shared_item_meat_hunk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176592177', 'F8F1BD31', 'object/static/item/shared_item_meat_kabob.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391288762', '8E882BBA', 'object/static/item/shared_item_medic_bacta_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3268663656', 'C2D3D968', 'object/static/item/shared_item_medic_bacta_tank_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('239850220', 'E4BD2EC', 'object/static/item/shared_item_medic_bacta_tank_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('89534284', '5562F4C', 'object/static/item/shared_item_medic_bag.iff');
INSERT INTO `object_crc_string_table` VALUES ('761234502', '2D5F8446', 'object/static/item/shared_item_medic_hormone_enhancements.iff');
INSERT INTO `object_crc_string_table` VALUES ('159228180', '97DA114', 'object/static/item/shared_item_medic_medpack_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596258776', 'D65A8DD8', 'object/static/item/shared_item_medic_radical_enhancements.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863591257', 'AAAEEF59', 'object/static/item/shared_item_medic_stimpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('246106758', 'EAB4A86', 'object/static/item/shared_item_medical_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170258452', '815B8414', 'object/static/item/shared_item_metal_armor_layer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683981192', 'DB951788', 'object/static/item/shared_item_metal_armor_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3838382803', 'E4C912D3', 'object/static/item/shared_item_metal_armor_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('3910295094', 'E9125E36', 'object/static/item/shared_item_metal_staff.iff');
INSERT INTO `object_crc_string_table` VALUES ('332671055', '13D4284F', 'object/static/item/shared_item_mockup_bank_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509759537', 'D132AE31', 'object/static/item/shared_item_mun_ballot_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913685828', 'E9461B44', 'object/static/item/shared_item_music_drum.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886859470', 'AC11FACE', 'object/static/item/shared_item_music_gong_stick.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392564831', '5300DA5F', 'object/static/item/shared_item_music_microphone_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283238088', '881772C8', 'object/static/item/shared_item_music_microphone_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1121751331', '42DC9123', 'object/static/item/shared_item_music_omni_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858477001', 'AA60E5C9', 'object/static/item/shared_item_music_red_ball_jet_organ.iff');
INSERT INTO `object_crc_string_table` VALUES ('254927168', 'F31E140', 'object/static/item/shared_item_nemodian_bird_cage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451068724', '567D8D34', 'object/static/item/shared_item_newbie_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040505241', 'B53A6D99', 'object/static/item/shared_item_organic_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('613259702', '248D99B6', 'object/static/item/shared_item_organichem_stores.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722569308', 'DDE1E65C', 'object/static/item/shared_item_painting_agrilat_swamp_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('116805323', '6F64ECB', 'object/static/item/shared_item_painting_agrilat_swamp_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('319085241', '1304DAB9', 'object/static/item/shared_item_painting_bothan_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2681544199', '9FD51E07', 'object/static/item/shared_item_painting_corellia_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153611408', '44C2B690', 'object/static/item/shared_item_painting_corellia_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('898047270', '35871D26', 'object/static/item/shared_item_painting_endor_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2489851461', '94681E45', 'object/static/item/shared_item_painting_naboo_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('921871763', '36F2A593', 'object/static/item/shared_item_painting_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3991211268', 'EDE50D04', 'object/static/item/shared_item_painting_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1718716397', '667187ED', 'object/static/item/shared_item_pistol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1252414061', '4AA6526D', 'object/static/item/shared_item_pistol_imperial_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('222887447', 'D48FE17', 'object/static/item/shared_item_place_setting_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3593697104', 'D6337750', 'object/static/item/shared_item_raw_cloth.iff');
INSERT INTO `object_crc_string_table` VALUES ('730337579', '2B88112B', 'object/static/item/shared_item_repair_melee_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186133138', '46B2F492', 'object/static/item/shared_item_ribbon.iff');
INSERT INTO `object_crc_string_table` VALUES ('328334469', '1391FC85', 'object/static/item/shared_item_rifle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042864505', '3E28D979', 'object/static/item/shared_item_rifle_t21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1188714941', '46DA59BD', 'object/static/item/shared_item_rocket_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692497434', 'A07C401A', 'object/static/item/shared_item_ryyk_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('516883090', '1ECF0292', 'object/static/item/shared_item_sclpt_stuffed_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('3726137889', 'DE185A21', 'object/static/item/shared_item_scrolling_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('210118642', 'C8627F2', 'object/static/item/shared_item_security_scanner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943431813', 'AF713485', 'object/static/item/shared_item_sewing_utensils.iff');
INSERT INTO `object_crc_string_table` VALUES ('1394799204', '5322F264', 'object/static/item/shared_item_sewing_utensils_lg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285198067', '88355AF3', 'object/static/item/shared_item_sewing_utensils_lg_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589368660', '5EBBD754', 'object/static/item/shared_item_shisha.iff');
INSERT INTO `object_crc_string_table` VALUES ('110349680', '693CD70', 'object/static/item/shared_item_slave_brazier.iff');
INSERT INTO `object_crc_string_table` VALUES ('235065843', 'E02D1F3', 'object/static/item/shared_item_speaker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107032483', '41FBF9A3', 'object/static/item/shared_item_storage_cabinet_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3134020162', 'BACD5A42', 'object/static/item/shared_item_structure_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396654236', '533F409C', 'object/static/item/shared_item_substance_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226997314', '84BD4842', 'object/static/item/shared_item_tank_bubble.iff');
INSERT INTO `object_crc_string_table` VALUES ('2134737488', '7F3D8250', 'object/static/item/shared_item_tank_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('1397358236', '5349FE9C', 'object/static/item/shared_item_tapestry_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975304889', 'ECF256B9', 'object/static/item/shared_item_tapestry_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2397241081', '8EE2FEF9', 'object/static/item/shared_item_tapestry_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('410220122', '1873765A', 'object/static/item/shared_item_tech_console_sectional_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278167757', 'C364DECD', 'object/static/item/shared_item_tech_console_sectional_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322184512', '8A69B940', 'object/static/item/shared_item_tech_console_sectional_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904906836', '718A9254', 'object/static/item/shared_item_tech_console_sectional_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837927792', 'E4C22170', 'object/static/item/shared_item_tool_aeromagnifier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870512519', 'E6B35587', 'object/static/item/shared_item_tool_computer_toolkit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385243389', '529122FD', 'object/static/item/shared_item_tool_demagnetizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574251690', '5DD52CAA', 'object/static/item/shared_item_tool_droid_toolkit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3200271339', 'BEC043EB', 'object/static/item/shared_item_tool_engineering_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196956120', 'FA2877D8', 'object/static/item/shared_item_tool_handheld_viewscreen_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('557834063', '213FDF4F', 'object/static/item/shared_item_tool_handheld_viewscreen_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348445241', '8BFA6E39', 'object/static/item/shared_item_tool_hydrospanner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3875485569', 'E6FF3781', 'object/static/item/shared_item_tool_instrument_calibrator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304998957', '89637E2D', 'object/static/item/shared_item_tool_magnetite_cleaner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3445151914', 'CD58D8AA', 'object/static/item/shared_item_tool_meson_taloscope.iff');
INSERT INTO `object_crc_string_table` VALUES ('644353550', '26680E0E', 'object/static/item/shared_item_tool_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439401525', '55CB8635', 'object/static/item/shared_item_tool_power_output_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2220759169', '845E1881', 'object/static/item/shared_item_tool_radio.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897755824', 'E85308B0', 'object/static/item/shared_item_tool_ranged_wp_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107092671', '7D97AEBF', 'object/static/item/shared_item_tool_recording_rod.iff');
INSERT INTO `object_crc_string_table` VALUES ('3331762173', 'C696A7FD', 'object/static/item/shared_item_tool_sandstat.iff');
INSERT INTO `object_crc_string_table` VALUES ('977421656', '3A424558', 'object/static/item/shared_item_tool_sensor_beacon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660166964', 'DA29B734', 'object/static/item/shared_item_tool_sensor_frequency_jammer_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171461633', '45D31601', 'object/static/item/shared_item_tool_stasis_field.iff');
INSERT INTO `object_crc_string_table` VALUES ('2681316682', '9FD1A54A', 'object/static/item/shared_item_tool_tools.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665023163', '9ED906BB', 'object/static/item/shared_item_tool_turbine_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750773218', '685AADE2', 'object/static/item/shared_item_tool_worklight.iff');
INSERT INTO `object_crc_string_table` VALUES ('1245421508', '4A3B9FC4', 'object/static/item/shared_item_turbine_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3409584272', 'CB3A2090', 'object/static/item/shared_item_vibroaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('674397916', '28327EDC', 'object/static/item/shared_item_vibroknuckles.iff');
INSERT INTO `object_crc_string_table` VALUES ('675826205', '28484A1D', 'object/static/item/shared_item_vibrolance.iff');
INSERT INTO `object_crc_string_table` VALUES ('401434510', '17ED678E', 'object/static/item/shared_item_wood_staff.iff');
INSERT INTO `object_crc_string_table` VALUES ('250888359', 'EF440A7', 'object/static/item/shared_wp_carbine_dh17_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414429101', 'CB840DAD', 'object/static/item/shared_wp_carbine_e11_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1437189080', '55A9C3D8', 'object/static/item/shared_wp_carbine_ee3_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850802894', '6E5102CE', 'object/static/item/shared_wp_carbine_elite_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453498990', '56A2A26E', 'object/static/item/shared_wp_carbine_laser_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699781446', 'DC862F46', 'object/static/item/shared_wp_mle_2h_sword_axe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1065633828', '3F844824', 'object/static/item/shared_wp_mle_2h_sword_lightsaber_luke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350565207', 'C7B59157', 'object/static/item/shared_wp_mle_2h_sword_lightsaber_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1482753040', '58610410', 'object/static/item/shared_wp_mle_2h_sword_maul_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('521257310', '1F11C15E', 'object/static/item/shared_wp_mle_2h_sword_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288754633', 'C40669C9', 'object/static/item/shared_wp_mle_2h_sword_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366312004', '8D0B0E44', 'object/static/item/shared_wp_mle_2h_sword_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844463104', '6DF04600', 'object/static/item/shared_wp_mle_axe_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440657910', '91797BF6', 'object/static/item/shared_wp_mle_axe_vibroax.iff');
INSERT INTO `object_crc_string_table` VALUES ('992193600', '3B23AC40', 'object/static/item/shared_wp_mle_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2420709474', '90491862', 'object/static/item/shared_wp_mle_baton_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1779328413', '6A0E659D', 'object/static/item/shared_wp_mle_battleaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212584107', '83E15AAB', 'object/static/item/shared_wp_mle_blacksun_hack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1625350741', '60E0E255', 'object/static/item/shared_wp_mle_blacksun_razor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3675420926', 'DB1278FE', 'object/static/item/shared_wp_mle_knife_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('3206396187', 'BF1DB91B', 'object/static/item/shared_wp_mle_knife_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('826777135', '31479E2F', 'object/static/item/shared_wp_mle_knife_survival.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599437236', '5F5579B4', 'object/static/item/shared_wp_mle_knife_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826224713', '6CD9FA49', 'object/static/item/shared_wp_mle_lance_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('3718329571', 'DDA134E3', 'object/static/item/shared_wp_mle_lance_lightsaber_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('112630900', '6B69C74', 'object/static/item/shared_wp_mle_lance_lightsaber_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1433317881', '556EB1F9', 'object/static/item/shared_wp_mle_lance_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3472480586', 'CEF9D94A', 'object/static/item/shared_wp_mle_lance_staff_metal_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664898798', 'DA71EAEE', 'object/static/item/shared_wp_mle_lance_staff_wood_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('23478905', '1664279', 'object/static/item/shared_wp_mle_lance_staff_wood_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456274398', 'CE028FDE', 'object/static/item/shared_wp_mle_lance_vibroaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791727168', 'E2012A40', 'object/static/item/shared_wp_mle_lance_vibrolance.iff');
INSERT INTO `object_crc_string_table` VALUES ('1839817431', '6DA962D7', 'object/static/item/shared_wp_mle_nightsister_lance.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502273014', 'D0C071F6', 'object/static/item/shared_wp_mle_scythe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342611236', 'C73C3324', 'object/static/item/shared_wp_mle_sword_lightsaber_anakin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1018608527', '3CB6BB8F', 'object/static/item/shared_wp_mle_sword_lightsaber_andael.iff');
INSERT INTO `object_crc_string_table` VALUES ('592712531', '23541353', 'object/static/item/shared_wp_mle_sword_lightsaber_ben.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547853327', '5C425E0F', 'object/static/item/shared_wp_mle_sword_lightsaber_dugald.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298192347', '4D60D7DB', 'object/static/item/shared_wp_mle_sword_lightsaber_leather.iff');
INSERT INTO `object_crc_string_table` VALUES ('79637610', '4BF2C6A', 'object/static/item/shared_wp_mle_sword_lightsaber_luke.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268199554', '4B973082', 'object/static/item/shared_wp_mle_sword_lightsaber_luke_2h.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504760159', '59B0D15F', 'object/static/item/shared_wp_mle_sword_lightsaber_mace.iff');
INSERT INTO `object_crc_string_table` VALUES ('338954886', '14340A86', 'object/static/item/shared_wp_mle_sword_lightsaber_nebu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627580971', '9C9DB42B', 'object/static/item/shared_wp_mle_sword_lightsaber_obi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820675362', 'A8201722', 'object/static/item/shared_wp_mle_sword_lightsaber_quigon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604364449', '9B3B72A1', 'object/static/item/shared_wp_mle_sword_lightsaber_sleekblack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2115713480', '7E1B39C8', 'object/static/item/shared_wp_mle_sword_lightsaber_sleeksilver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2745431319', 'A3A3F517', 'object/static/item/shared_wp_mle_sword_lightsaber_vader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3924744619', 'E9EED9AB', 'object/static/item/shared_wp_mle_sword_rantok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385616360', '5296D3E8', 'object/static/item/shared_wp_mle_sword_ryyk_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3780711592', 'E15914A8', 'object/static/item/shared_wp_mle_sword_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('978238527', '3A4EBC3F', 'object/static/item/shared_wp_mle_sword_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1317941189', '4E8E2FC5', 'object/static/item/shared_wp_mle_sword_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411329076', 'CB54C034', 'object/static/item/shared_wp_pistol_cdef_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1347955636', '50582BB4', 'object/static/item/shared_wp_pistol_d18_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('907334301', '3614D29D', 'object/static/item/shared_wp_pistol_dl44_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('137325307', '82F6AFB', 'object/static/item/shared_wp_pistol_dl44_metal_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('637170422', '25FA72F6', 'object/static/item/shared_wp_pistol_scout_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596059056', 'D65781B0', 'object/static/item/shared_wp_pistol_srcombat_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861751731', 'E62DA7B3', 'object/static/item/shared_wp_rifle_bowcaster_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285943714', '8840BBA2', 'object/static/item/shared_wp_rifle_laser_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990229508', '76A07E04', 'object/static/item/shared_wp_rifle_t21_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148373752', '800D94F8', 'object/static/item/shared_wp_rifle_tusken_combined.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421347186', '9052D372', 'object/static/naboo/shared_waterfall_200m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586864352', '9A306AE0', 'object/static/naboo/shared_waterfall_all_thin_forked.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454317490', '56AF1FB2', 'object/static/naboo/shared_waterfall_all_wide_short.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151923875', 'F77954A3', 'object/static/naboo/shared_waterfall_mist_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240630762', 'C12819EA', 'object/static/naboo/shared_waterfall_mist_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4101701818', 'F47B00BA', 'object/static/naboo/shared_waterfall_naboo_crest_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('282497930', '10D6938A', 'object/static/naboo/shared_waterfall_naboo_falls_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('370991757', '161CE28D', 'object/static/naboo/shared_waterfall_naboo_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951584767', 'EB8865FF', 'object/static/naboo/shared_waterfall_naboo_keren.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195612510', 'FA13F75E', 'object/static/naboo/shared_waterfall_naboo_theed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3625221420', 'D8147D2C', 'object/static/naboo/shared_waterfall_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015665582', 'EF5A31AE', 'object/static/naboo/shared_whitewater_6meter.iff');
INSERT INTO `object_crc_string_table` VALUES ('208849872', 'C72CBD0', 'object/static/particle/base/shared_static_particle_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1473993018', '57DB593A', 'object/static/particle/shared_particle_bactatank_bubbles.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524188092', '96740DBC', 'object/static/particle/shared_particle_campfire_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407390404', '8F7DDCC4', 'object/static/particle/shared_particle_distant_ships.iff');
INSERT INTO `object_crc_string_table` VALUES ('169978190', 'A21A94E', 'object/static/particle/shared_particle_distant_ships_dogfight_t_vs_x.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214314868', 'FB315774', 'object/static/particle/shared_particle_distant_ships_dogfight_t_vs_x_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990289145', 'B23C30F9', 'object/static/particle/shared_particle_distant_ships_dogfight_t_vs_x_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4182775907', 'F9501863', 'object/static/particle/shared_particle_distant_ships_dogfight_tb_vs_bw.iff');
INSERT INTO `object_crc_string_table` VALUES ('800723222', '2FBA1116', 'object/static/particle/shared_particle_distant_ships_dogfight_tb_vs_bw_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723299483', '66B7769B', 'object/static/particle/shared_particle_distant_ships_dogfight_tb_vs_bw_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('155186459', '93FF51B', 'object/static/particle/shared_particle_distant_ships_dogfight_ti_vs_aw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2769318877', 'A51073DD', 'object/static/particle/shared_particle_distant_ships_dogfight_ti_vs_aw_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961328720', 'EC1D1450', 'object/static/particle/shared_particle_distant_ships_dogfight_ti_vs_aw_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3417625546', 'CBB4D3CA', 'object/static/particle/shared_particle_distant_ships_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663577642', 'DA5DC22A', 'object/static/particle/shared_particle_distant_ships_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932156871', '732A5FC7', 'object/static/particle/shared_particle_geyser_01_l0.iff');
INSERT INTO `object_crc_string_table` VALUES ('975648842', '3A27384A', 'object/static/particle/shared_particle_geyser_01_l1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778056413', 'E13090DD', 'object/static/particle/shared_particle_geyser_01_l2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822633296', 'A83DF750', 'object/static/particle/shared_particle_geyser_01_l3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1698821405', '6541F51D', 'object/static/particle/shared_particle_geyser_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840511804', 'E4E98F3C', 'object/static/particle/shared_particle_lg_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('736770694', '2BEA3A86', 'object/static/particle/shared_particle_magic_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827947559', 'A88F0E27', 'object/static/particle/shared_particle_md_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('84116728', '50384F8', 'object/static/particle/shared_particle_mine_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732966696', '674AF928', 'object/static/particle/shared_particle_mine_warning.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597597224', '9AD43028', 'object/static/particle/shared_particle_newbie_airport_sign.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059002681', '7AB9E339', 'object/static/particle/shared_particle_newbie_arrow.iff');
INSERT INTO `object_crc_string_table` VALUES ('247210913', 'EBC23A1', 'object/static/particle/shared_particle_newbie_bomb_debris.iff');
INSERT INTO `object_crc_string_table` VALUES ('1187500001', '46C7CFE1', 'object/static/particle/shared_particle_newbie_bombed_spot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643854677', '61FB3B55', 'object/static/particle/shared_particle_newbie_hanging_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272311156', '4BD5ED74', 'object/static/particle/shared_particle_newbie_refrigerator_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1940697475', '73ACB183', 'object/static/particle/shared_particle_newbie_siren.iff');
INSERT INTO `object_crc_string_table` VALUES ('4173485801', 'F8C256E9', 'object/static/particle/shared_particle_newbie_spotlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('2193561176', '82BF1658', 'object/static/particle/shared_particle_newbie_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655971520', '9E4EE8C0', 'object/static/particle/shared_particle_newbie_wall_mech_lights_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('726419148', '2B4C46CC', 'object/static/particle/shared_particle_newbie_wall_mech_lights_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2545325419', '97B6956B', 'object/static/particle/shared_particle_newbie_wall_mech_lights_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141382138', '7FA2E5FA', 'object/static/particle/shared_particle_seagulls_flock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3981248322', 'ED4D0742', 'object/static/particle/shared_particle_sm_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('3175786729', 'BD4AA8E9', 'object/static/particle/shared_particle_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641393609', '61D5ADC9', 'object/static/particle/shared_particle_test_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432501582', 'CC97D14E', 'object/static/particle/shared_particle_test_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309247123', '4E098693', 'object/static/particle/shared_particle_test_100.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241509059', '859AB6C3', 'object/static/particle/shared_particle_test_11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586306644', '5E8D1E54', 'object/static/particle/shared_particle_test_12.iff');
INSERT INTO `object_crc_string_table` VALUES ('394295769', '178079D9', 'object/static/particle/shared_particle_test_13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965932237', 'EC6352CD', 'object/static/particle/shared_particle_test_14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775463232', 'A56E3540', 'object/static/particle/shared_particle_test_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121899479', '7E799DD7', 'object/static/particle/shared_particle_test_16.iff');
INSERT INTO `object_crc_string_table` VALUES ('930413146', '3774FA5A', 'object/static/particle/shared_particle_test_17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373899848', '8D7ED648', 'object/static/particle/shared_particle_test_18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295916485', 'C473B1C5', 'object/static/particle/shared_particle_test_19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133277534', 'BAC2055E', 'object/static/particle/shared_particle_test_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3790587590', 'E1EFC6C6', 'object/static/particle/shared_particle_test_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2833424715', 'A8E2A14B', 'object/static/particle/shared_particle_test_21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945438684', '73F509DC', 'object/static/particle/shared_particle_test_22.iff');
INSERT INTO `object_crc_string_table` VALUES ('989359697', '3AF86E51', 'object/static/particle/shared_particle_test_23.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239789893', 'C11B4545', 'object/static/particle/shared_particle_test_24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283152072', '881622C8', 'object/static/particle/shared_particle_test_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392609887', '53018A5F', 'object/static/particle/shared_particle_test_26.iff');
INSERT INTO `object_crc_string_table` VALUES ('437054930', '1A0CEDD2', 'object/static/particle/shared_particle_test_27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684797376', 'A006C1C0', 'object/static/particle/shared_particle_test_28.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909854797', 'E90BA64D', 'object/static/particle/shared_particle_test_29.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090454739', 'F3CF62D3', 'object/static/particle/shared_particle_test_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207397822', 'FAC7CBBE', 'object/static/particle/shared_particle_test_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('3016404019', 'B3CAAC33', 'object/static/particle/shared_particle_test_31.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759315108', '68DD04A4', 'object/static/particle/shared_particle_test_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('567305001', '21D06329', 'object/static/particle/shared_particle_test_33.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660793917', 'DA33483D', 'object/static/particle/shared_particle_test_34.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470326192', '933E2FB0', 'object/static/particle/shared_particle_test_35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210681127', '48298727', 'object/static/particle/shared_particle_test_36.iff');
INSERT INTO `object_crc_string_table` VALUES ('19194026', '124E0AA', 'object/static/particle/shared_particle_test_37.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140406456', 'BB2ECCB8', 'object/static/particle/shared_particle_test_38.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062423861', 'F223AB35', 'object/static/particle/shared_particle_test_39.iff');
INSERT INTO `object_crc_string_table` VALUES ('137120199', '82C49C7', 'object/static/particle/shared_particle_test_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3139430870', 'BB1FE9D6', 'object/static/particle/shared_particle_test_40.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061302363', 'F2128E5B', 'object/static/particle/shared_particle_test_41.iff');
INSERT INTO `object_crc_string_table` VALUES ('688203468', '290526CC', 'object/static/particle/shared_particle_test_42.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611153729', '60084141', 'object/static/particle/shared_particle_test_43.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615896661', '9BEB6A55', 'object/static/particle/shared_particle_test_44.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538292184', 'D2E60DD8', 'object/static/particle/shared_particle_test_45.iff');
INSERT INTO `object_crc_string_table` VALUES ('166831439', '9F1A54F', 'object/static/particle/shared_particle_test_46.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090306754', '40FCC2C2', 'object/static/particle/shared_particle_test_47.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210486992', 'FAF6EED0', 'object/static/particle/shared_particle_test_48.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019606365', 'B3FB895D', 'object/static/particle/shared_particle_test_49.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092693578', '41212E4A', 'object/static/particle/shared_particle_test_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2688017582', 'A037E4AE', 'object/static/particle/shared_particle_test_50.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912925987', 'E93A8323', 'object/static/particle/shared_particle_test_51.iff');
INSERT INTO `object_crc_string_table` VALUES ('841821108', '322D2BB4', 'object/static/particle/shared_particle_test_52.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065714233', '7B204C39', 'object/static/particle/shared_particle_test_53.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160289581', '80C3672D', 'object/static/particle/shared_particle_test_54.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385720992', 'C9CE00A0', 'object/static/particle/shared_particle_test_55.iff');
INSERT INTO `object_crc_string_table` VALUES ('316254263', '12D9A837', 'object/static/particle/shared_particle_test_56.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540673466', '5BD4CFBA', 'object/static/particle/shared_particle_test_57.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789480872', 'E1DEE3A8', 'object/static/particle/shared_particle_test_58.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832434213', 'A8D38425', 'object/static/particle/shared_particle_test_59.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587264733', '9A3686DD', 'object/static/particle/shared_particle_test_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370827046', '8D4FF326', 'object/static/particle/shared_particle_test_60.iff');
INSERT INTO `object_crc_string_table` VALUES ('3292697771', 'C44294AB', 'object/static/particle/shared_particle_test_61.iff');
INSERT INTO `object_crc_string_table` VALUES ('525679676', '1F553C3C', 'object/static/particle/shared_particle_test_62.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448631217', '56585BB1', 'object/static/particle/shared_particle_test_63.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914742437', 'ADBB70A5', 'object/static/particle/shared_particle_test_64.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837138728', 'E4B61728', 'object/static/particle/shared_particle_test_65.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067564991', '3FA1BFBF', 'object/static/particle/shared_particle_test_66.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991039026', '76ACD832', 'object/static/particle/shared_particle_test_67.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433493536', 'CCA6F420', 'object/static/particle/shared_particle_test_68.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242614189', '85AB93AD', 'object/static/particle/shared_particle_test_69.iff');
INSERT INTO `object_crc_string_table` VALUES ('3543916880', 'D33BE150', 'object/static/particle/shared_particle_test_7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2523397726', '9667FE5E', 'object/static/particle/shared_particle_test_70.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748305363', 'DF6A99D3', 'object/static/particle/shared_particle_test_71.iff');
INSERT INTO `object_crc_string_table` VALUES ('75313476', '47D3144', 'object/static/particle/shared_particle_test_72.iff');
INSERT INTO `object_crc_string_table` VALUES ('1299207881', '4D7056C9', 'object/static/particle/shared_particle_test_73.iff');
INSERT INTO `object_crc_string_table` VALUES ('3063119325', 'B6937DDD', 'object/static/particle/shared_particle_test_74.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288551504', 'FF9E1A50', 'object/static/particle/shared_particle_test_75.iff');
INSERT INTO `object_crc_string_table` VALUES ('613003975', '2489B2C7', 'object/static/particle/shared_particle_test_76.iff');
INSERT INTO `object_crc_string_table` VALUES ('1837421898', '6D84D54A', 'object/static/particle/shared_particle_test_77.iff');
INSERT INTO `object_crc_string_table` VALUES ('3616471384', 'D78EF958', 'object/static/particle/shared_particle_test_78.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659426005', '9E839ED5', 'object/static/particle/shared_particle_test_79.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764871490', '6931CD42', 'object/static/particle/shared_particle_test_8.iff');
INSERT INTO `object_crc_string_table` VALUES ('251639798', 'EFFB7F6', 'object/static/particle/shared_particle_test_80.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207095419', '47F2D07B', 'object/static/particle/shared_particle_test_81.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632284396', '9CE578EC', 'object/static/particle/shared_particle_test_82.iff');
INSERT INTO `object_crc_string_table` VALUES ('3588759393', 'D5E81F61', 'object/static/particle/shared_particle_test_83.iff');
INSERT INTO `object_crc_string_table` VALUES ('772486261', '2E0B3475', 'object/static/particle/shared_particle_test_84.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728467960', '670653F8', 'object/static/particle/shared_particle_test_85.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155295087', 'BC11FB6F', 'object/static/particle/shared_particle_test_86.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112293090', 'F51C9CE2', 'object/static/particle/shared_particle_test_87.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326887152', '4F16B0F0', 'object/static/particle/shared_particle_test_88.iff');
INSERT INTO `object_crc_string_table` VALUES ('102487933', '61BD77D', 'object/static/particle/shared_particle_test_89.iff');
INSERT INTO `object_crc_string_table` VALUES ('540846799', '203CAACF', 'object/static/particle/shared_particle_test_9.iff');
INSERT INTO `object_crc_string_table` VALUES ('366459534', '15D7BA8E', 'object/static/particle/shared_particle_test_90.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557847299', '5CDADD03', 'object/static/particle/shared_particle_test_91.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278389140', '87CD7594', 'object/static/particle/shared_particle_test_92.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468694041', 'CEC01219', 'object/static/particle/shared_particle_test_93.iff');
INSERT INTO `object_crc_string_table` VALUES ('891500813', '3523390D', 'object/static/particle/shared_particle_test_94.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083413632', '7C2E5E80', 'object/static/particle/shared_particle_test_95.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805593623', 'A739F617', 'object/static/particle/shared_particle_test_96.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996422554', 'EE34919A', 'object/static/particle/shared_particle_test_97.iff');
INSERT INTO `object_crc_string_table` VALUES ('1413397896', '543EBD88', 'object/static/particle/shared_particle_test_98.iff');
INSERT INTO `object_crc_string_table` VALUES ('489937413', '1D33DA05', 'object/static/particle/shared_particle_test_99.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841523220', '6DC36A14', 'object/static/particle/shared_particle_volcano_glow_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2270635651', '87572683', 'object/static/particle/shared_particle_waterfall_whitewater_s02_l0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462021390', 'CE5A410E', 'object/static/particle/shared_particle_waterfall_whitewater_s02_l1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832359220', 'A8D25F34', 'object/static/particle/shared_pt_airport_race_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1749781363', '684B8B73', 'object/static/particle/shared_pt_airport_race_light_group.iff');
INSERT INTO `object_crc_string_table` VALUES ('574961375', '224536DF', 'object/static/particle/shared_pt_birds_flock.iff');
INSERT INTO `object_crc_string_table` VALUES ('468934100', '1BF35DD4', 'object/static/particle/shared_pt_birds_flock_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451183105', 'CDB4E001', 'object/static/particle/shared_pt_bunker_allum_mine_car_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3389820098', 'CA0C8CC2', 'object/static/particle/shared_pt_bunker_allum_mine_hallway_vent_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3610533575', 'D7345EC7', 'object/static/particle/shared_pt_bunker_allum_mine_large_steam_gravity.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733362585', '67510399', 'object/static/particle/shared_pt_bunker_allum_mine_lift_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112463342', 'F51F35EE', 'object/static/particle/shared_pt_burning_smokeandembers_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3309131413', 'C53D5695', 'object/static/particle/shared_pt_burning_smokeandembers_md.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507296935', '59D786A7', 'object/static/particle/shared_pt_buzzing_insects_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1842090638', '6DCC128E', 'object/static/particle/shared_pt_buzzing_insects_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('655646750', '2714601E', 'object/static/particle/shared_pt_campfire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4138320669', 'F6A9C31D', 'object/static/particle/shared_pt_detector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567175317', 'D49EC695', 'object/static/particle/shared_pt_falling_dirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3490534350', 'D00D53CE', 'object/static/particle/shared_pt_falling_dirt_all.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246067951', 'FD15DAEF', 'object/static/particle/shared_pt_falling_dirt_all_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998306057', 'B2B68509', 'object/static/particle/shared_pt_falling_dirt_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667365428', '6361FA34', 'object/static/particle/shared_pt_falling_dust.iff');
INSERT INTO `object_crc_string_table` VALUES ('337159855', '1418A6AF', 'object/static/particle/shared_pt_falling_dust_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2545958613', '97C03ED5', 'object/static/particle/shared_pt_falling_rock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198363460', '83085D44', 'object/static/particle/shared_pt_falling_rock_loop.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060739444', '3F399974', 'object/static/particle/shared_pt_flocking_bees.iff');
INSERT INTO `object_crc_string_table` VALUES ('333751823', '13E4A60F', 'object/static/particle/shared_pt_flocking_bluefish.iff');
INSERT INTO `object_crc_string_table` VALUES ('360344089', '157A6A19', 'object/static/particle/shared_pt_flocking_butterflies.iff');
INSERT INTO `object_crc_string_table` VALUES ('409161218', '18634E02', 'object/static/particle/shared_pt_flocking_butterflies_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2000292545', '773A0AC1', 'object/static/particle/shared_pt_flocking_centipede.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738808713', 'DED9B189', 'object/static/particle/shared_pt_flocking_cricket.iff');
INSERT INTO `object_crc_string_table` VALUES ('392100184', '175EF958', 'object/static/particle/shared_pt_flocking_frog.iff');
INSERT INTO `object_crc_string_table` VALUES ('386604484', '170B1DC4', 'object/static/particle/shared_pt_flocking_frog_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644547623', '6205CE27', 'object/static/particle/shared_pt_flocking_glowzees.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478976599', 'CF5CF857', 'object/static/particle/shared_pt_frn_all_glowing_light_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('951222437', '38B280A5', 'object/static/particle/shared_pt_geonosian_aquarium_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329694676', '4F4187D4', 'object/static/particle/shared_pt_green_gunk_spurt.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118588253', 'F57CAB5D', 'object/static/particle/shared_pt_green_hanging_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('613903763', '24976D93', 'object/static/particle/shared_pt_green_refrigerator_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1797841273', '6B28E179', 'object/static/particle/shared_pt_green_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919624693', 'AE05EFF5', 'object/static/particle/shared_pt_lair_evil_fire_large_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476527814', '580206C6', 'object/static/particle/shared_pt_lair_evil_fire_large_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('153148481', '920DC41', 'object/static/particle/shared_pt_lair_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('669295657', '27E4A429', 'object/static/particle/shared_pt_lair_med_burn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342131178', '4FFF4BEA', 'object/static/particle/shared_pt_lair_med_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1787409199', '6A89B32F', 'object/static/particle/shared_pt_light_blink_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099575799', 'B8BFC5F7', 'object/static/particle/shared_pt_light_blink_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680016354', '642303E2', 'object/static/particle/shared_pt_light_blink_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049235018', 'B5BFA24A', 'object/static/particle/shared_pt_light_constant_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('927898294', '374E9AB6', 'object/static/particle/shared_pt_light_streetlamp_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3933494226', 'EA745BD2', 'object/static/particle/shared_pt_light_streetlamp_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('919367971', '36CC7123', 'object/static/particle/shared_pt_light_streetlamp_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254920808', 'C2022668', 'object/static/particle/shared_pt_light_streetlamp_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3373071606', 'C90CFCF6', 'object/static/particle/shared_pt_lok_lava_bubblingareaprt.iff');
INSERT INTO `object_crc_string_table` VALUES ('198238654', 'BD0E1BE', 'object/static/particle/shared_pt_lok_lava_drop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234486758', '852F8FE6', 'object/static/particle/shared_pt_lok_lava_spirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('893154540', '353C74EC', 'object/static/particle/shared_pt_lok_volcano.iff');
INSERT INTO `object_crc_string_table` VALUES ('693978317', '295D44CD', 'object/static/particle/shared_pt_lok_volcano_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030325207', 'B49F17D7', 'object/static/particle/shared_pt_lok_volcano_smoke_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('4190362861', 'F9C3DCED', 'object/static/particle/shared_pt_magic_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('4103176691', 'F49181F3', 'object/static/particle/shared_pt_miasma_of_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098974720', '7D1BD000', 'object/static/particle/shared_pt_miasma_of_fog_greenish.iff');
INSERT INTO `object_crc_string_table` VALUES ('495620993', '1D8A9381', 'object/static/particle/shared_pt_miasma_of_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453321375', '923AB69F', 'object/static/particle/shared_pt_miasma_of_fog_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493012147', '949858B3', 'object/static/particle/shared_pt_miasma_of_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2630854860', '9CCFA8CC', 'object/static/particle/shared_pt_poi_broken_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('718197252', '2ACED204', 'object/static/particle/shared_pt_poi_droid_weld_sparks.iff');
INSERT INTO `object_crc_string_table` VALUES ('927712692', '374BC5B4', 'object/static/particle/shared_pt_poi_electricity_2x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063575849', '3F64E129', 'object/static/particle/shared_pt_sm_explosion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921352658', '728583D2', 'object/static/particle/shared_pt_smoke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3471324085', 'CEE833B5', 'object/static/particle/shared_pt_smoke_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210272156', 'FAF3A79C', 'object/static/particle/shared_pt_smoke_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2928460713', 'AE8CC3A9', 'object/static/particle/shared_pt_smoke_tr.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328660965', 'C66755E5', 'object/static/particle/shared_pt_sonic_pulse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1232478276', '49762044', 'object/static/particle/shared_pt_sound_location.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573168569', '995F6FB9', 'object/static/particle/shared_pt_sparking_blast_md.iff');
INSERT INTO `object_crc_string_table` VALUES ('952907796', '38CC3814', 'object/static/particle/shared_pt_sparks_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('215460925', 'CD7AC3D', 'object/static/particle/shared_pt_sparks_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('320796703', '131EF81F', 'object/static/particle/shared_pt_steam.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327575207', '8ABBFAA7', 'object/static/particle/shared_pt_steam_rise.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748858537', 'DF730AA9', 'object/static/particle/shared_pt_steam_rise_2x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872867406', 'E6D7444E', 'object/static/particle/shared_pt_stunned_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('4008828338', 'EEF1DDB2', 'object/static/particle/shared_pt_survey.iff');
INSERT INTO `object_crc_string_table` VALUES ('2454176685', '9247C3AD', 'object/static/particle/shared_pt_survey_gas_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673530585', '9F5AD6D9', 'object/static/particle/shared_pt_survey_liquid_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('3827726832', 'E42679F0', 'object/static/particle/shared_pt_survey_lumber_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570673166', '5D9E920E', 'object/static/particle/shared_pt_survey_mineral_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547554683', '5C3DCF7B', 'object/static/particle/shared_pt_survey_moisture_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160449826', '80C5D922', 'object/static/particle/shared_pt_survey_tool_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247458392', '4A5AB458', 'object/static/particle/shared_pt_survey_tool_lumber.iff');
INSERT INTO `object_crc_string_table` VALUES ('3745960007', 'DF46D047', 'object/static/particle/shared_pt_survey_tool_mineral.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864462260', 'AABC39B4', 'object/static/particle/shared_pt_survey_tool_moisture.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930955215', '731809CF', 'object/static/particle/shared_pt_trailing_falling_dust.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226030876', '84AE891C', 'object/static/particle/shared_pt_trailing_falling_dust_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3586703298', 'D5C8BFC2', 'object/static/particle/shared_pt_waterfall_crest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820269470', 'E3B4AF9E', 'object/static/particle/shared_pt_waterfall_mist.iff');
INSERT INTO `object_crc_string_table` VALUES ('1019797263', '3CC8DF0F', 'object/static/particle/shared_pt_waterfall_mist_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('730945332', '2B915734', 'object/static/particle/shared_pt_waterfall_mist_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705199688', 'DCD8DC48', 'object/static/particle/shared_pt_waterfall_spray.iff');
INSERT INTO `object_crc_string_table` VALUES ('637915981', '2605D34D', 'object/static/particle/shared_pt_waterfall_spray_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219447959', 'BFE4E097', 'object/static/particle/shared_pt_waterfall_whitewater_s02_l0.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142499610', 'F6E9871A', 'object/static/particle/shared_pt_waterfall_whitewater_s02_l1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2168193478', '813C01C6', 'object/static/particle/shared_pt_waterfalling_200m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4066371395', 'F25FE743', 'object/static/particle/shared_pt_waterfalling_slow.iff');
INSERT INTO `object_crc_string_table` VALUES ('364658424', '15BC3EF8', 'object/static/particle/shared_pt_webber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146976297', '7FF84229', 'object/static/space/asteroid/shared_asteroid_acid_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2767186622', 'A4EFEABE', 'object/static/space/asteroid/shared_asteroid_acid_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('162308775', '9ACA2A7', 'object/static/space/asteroid/shared_asteroid_acid_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3535473200', 'D2BB0A30', 'object/static/space/asteroid/shared_asteroid_acid_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2850972277', 'A9EE6275', 'object/static/space/asteroid/shared_asteroid_acid_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928973026', '72F9CAE2', 'object/static/space/asteroid/shared_asteroid_acid_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920047316', '727198D4', 'object/static/space/asteroid/shared_asteroid_ice_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842046531', 'A9663043', 'object/static/space/asteroid/shared_asteroid_ice_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981878132', 'B1BBD974', 'object/static/space/asteroid/shared_asteroid_ice_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789686243', '6AAC71E3', 'object/static/space/asteroid/shared_asteroid_ice_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758260872', 'A467B888', 'object/static/space/asteroid/shared_asteroid_ice_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138050591', '7F70101F', 'object/static/space/asteroid/shared_asteroid_ice_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650332563', '625E1393', 'object/static/space/asteroid/shared_asteroid_iron_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3108616964', 'B949BB04', 'object/static/space/asteroid/shared_asteroid_iron_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525395716', 'D2214504', 'object/static/space/asteroid/shared_asteroid_iron_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('154594707', '936ED93', 'object/static/space/asteroid/shared_asteroid_iron_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077643806', '403B8A1E', 'object/static/space/asteroid/shared_asteroid_iron_medium_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024630735', 'B44833CF', 'object/static/space/asteroid/shared_asteroid_iron_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868536664', '6F5F9B58', 'object/static/space/asteroid/shared_asteroid_iron_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475082056', '57EBF748', 'object/static/space/asteroid/shared_asteroid_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365349855', '8CFC5FDF', 'object/static/space/asteroid/shared_asteroid_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2771529923', 'A53230C3', 'object/static/space/asteroid/shared_asteroid_mammoth_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116393044', '7E259854', 'object/static/space/asteroid/shared_asteroid_mammoth_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2754779391', 'A43298FF', 'object/static/space/asteroid/shared_asteroid_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133143656', '7F253068', 'object/static/space/asteroid/shared_asteroid_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('513619551', '1E9D365F', 'object/static/space/asteroid/shared_asteroid_metal_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314196168', 'C58A9EC8', 'object/static/space/asteroid/shared_asteroid_metal_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300659079', 'C4BC0F87', 'object/static/space/asteroid/shared_asteroid_metal_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('531343120', '1FABA710', 'object/static/space/asteroid/shared_asteroid_metal_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364558339', 'C88B1603', 'object/static/space/asteroid/shared_asteroid_metal_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('329039508', '139CBE94', 'object/static/space/asteroid/shared_asteroid_metal_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('319418639', '1309F10F', 'object/static/space/asteroid/shared_asteroid_molten_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357432216', 'C81E5998', 'object/static/space/asteroid/shared_asteroid_molten_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639373140', '61B6D954', 'object/static/space/asteroid/shared_asteroid_molten_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131142595', 'BAA171C3', 'object/static/space/asteroid/shared_asteroid_molten_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3307196755', 'C51FD153', 'object/static/space/asteroid/shared_asteroid_molten_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('503871940', '1E0879C4', 'object/static/space/asteroid/shared_asteroid_molten_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492758381', '58F9AF6D', 'object/static/space/asteroid/shared_asteroid_obsidian_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213414906', '83EE07FA', 'object/static/space/asteroid/shared_asteroid_obsidian_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2384789570', '8E250042', 'object/static/space/asteroid/shared_asteroid_obsidian_medium_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429383381', '5532A8D5', 'object/static/space/asteroid/shared_asteroid_obsidian_medium_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398064433', '8EEF8F31', 'object/static/space/asteroid/shared_asteroid_obsidian_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1442326438', '55F827A6', 'object/static/space/asteroid/shared_asteroid_obsidian_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2180896532', '81FDD714', 'object/static/space/asteroid/shared_asteroid_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525317507', '5AEA7F83', 'object/static/space/asteroid/shared_asteroid_small_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3193266020', 'BE555F64', 'object/static/space/asteroid/shared_planetoid_ice_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558377422', '987DBDCE', 'object/static/space/asteroid/shared_planetoid_iron_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070404336', '7B67DCF0', 'object/static/space/asteroid/shared_planetoid_molten_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4149044600', 'F74D6578', 'object/static/space/base/shared_static_space_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175205203', '81A6FF53', 'object/static/space/beacon/shared_hyperspace_generator_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042724339', '79C17FF3', 'object/static/space/beacon/shared_hyperspace_route_beacon_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2590979892', '9A6F3734', 'object/static/space/debris/shared_cargo_destroyed_large_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('483044281', '1CCAABB9', 'object/static/space/debris/shared_cargo_destroyed_small_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524446459', 'D212C8FB', 'object/static/space/debris/shared_cargo_pristine_large_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077093717', '7BCDEF55', 'object/static/space/debris/shared_death_star_debris_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698659778', 'A0DA47C2', 'object/static/space/debris/shared_death_star_debris_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3923189839', 'E9D7204F', 'object/static/space/debris/shared_death_star_debris_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('305400667', '12340B5B', 'object/static/space/debris/shared_death_star_debris_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530490070', '5B396CD6', 'object/static/space/debris/shared_death_star_debris_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150548545', '802EC441', 'object/static/space/debris/shared_death_star_debris_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374556108', 'C923A3CC', 'object/static/space/debris/shared_death_star_debris_g.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932103646', '73298FDE', 'object/static/space/debris/shared_death_star_debris_h.iff');
INSERT INTO `object_crc_string_table` VALUES ('975497299', '3A24E853', 'object/static/space/debris/shared_death_star_debris_i.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253175573', 'C1E78515', 'object/static/space/debris/shared_droid_fighter_debris_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('451947906', '1AF02D82', 'object/static/space/debris/shared_droid_fighter_debris_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1409108495', '53FD4A0F', 'object/static/space/debris/shared_droid_fighter_debris_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820563227', 'A81E611B', 'object/static/space/debris/shared_droid_fighter_debris_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3891582202', 'E7F4D4FA', 'object/static/space/debris/shared_tie_fighter_debris_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021541485', '3CE37C6D', 'object/static/space/debris/shared_tie_fighter_debris_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978538976', '75EE1BE0', 'object/static/space/debris/shared_tie_fighter_debris_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383229172', '8E0D30F4', 'object/static/space/debris/shared_tie_fighter_debris_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338688377', 'C7005779', 'object/static/space/debris/shared_tie_fighter_debris_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('471334894', '1C17FFEE', 'object/static/space/debris/shared_tie_fighter_debris_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1427806307', '551A9863', 'object/static/space/debris/shared_tie_fighter_debris_g.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363541547', 'C87B922B', 'object/static/space/debris/shared_tradefed_hulk_debris_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('325860028', '136C3ABC', 'object/static/space/debris/shared_tradefed_hulk_debris_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516330289', '5A615D31', 'object/static/space/debris/shared_tradefed_hulk_debris_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709681701', 'A1827625', 'object/static/space/debris/shared_tradefed_hulk_debris_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548707546', 'D384FADA', 'object/static/space/debris/shared_xwing_debris_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('143872589', '893524D', 'object/static/space/debris/shared_xwing_debris_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100887488', '419E35C0', 'object/static/space/debris/shared_xwing_debris_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128762068', 'BA7D1ED4', 'object/static/space/debris/shared_xwing_debris_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084234585', 'F3707959', 'object/static/space/debris/shared_xwing_debris_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('677892558', '2867D1CE', 'object/static/space/debris/shared_xwing_debris_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634383427', '616AB643', 'object/static/space/debris/shared_xwing_debris_g.iff');
INSERT INTO `object_crc_string_table` VALUES ('141305204', '86C2574', 'object/static/space/ship/shared_cargo_freighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('785804943', '2ED66E8F', 'object/static/space/ship/shared_corellian_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161425774', 'F80A516E', 'object/static/space/ship/shared_nebulon_frigate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2081400463', '7C0FA68F', 'object/static/space/spacestation/shared_corsec_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('51631832', '313D6D8', 'object/static/space/spacestation/shared_destroyed_imperial_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249810321', '4A7E9791', 'object/static/space/spacestation/shared_destroyed_neutral_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2680136017', '9FBFA151', 'object/static/space/spacestation/shared_destroyed_rebel_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798221309', 'A6C977FD', 'object/static/space/spacestation/shared_imperial_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432735117', '5565CD8D', 'object/static/space/spacestation/shared_imperial_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821130357', 'A8270875', 'object/static/space/spacestation/shared_mining_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020449754', '3CD2D3DA', 'object/static/space/spacestation/shared_neutral_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500513199', '597003AF', 'object/static/space/spacestation/shared_pirate_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1677357980', '63FA739C', 'object/static/space/spacestation/shared_pirate_outpost_asteroid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2870024383', 'AB1118BF', 'object/static/space/spacestation/shared_rebel_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738509482', 'A33A56AA', 'object/static/space/spacestation/shared_rebel_spacestation_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1595448737', '5F189DA1', 'object/static/space/spacestation/shared_rsf_spacestation.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274432492', 'FEC6A9EC', 'object/static/space/spacestation/shared_tradefed_destroyed_hulk.iff');
INSERT INTO `object_crc_string_table` VALUES ('58780545', '380EB81', 'object/static/space/spacestation/shared_tradefed_outpost_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636783685', '618F5645', 'object/static/space/zonemap/shared_ui_hyperspace.iff');
INSERT INTO `object_crc_string_table` VALUES ('3111086071', 'B96F67F7', 'object/static/space/zonemap/shared_ui_mission_critical.iff');
INSERT INTO `object_crc_string_table` VALUES ('68001236', '40D9DD4', 'object/static/space/zonemap/shared_ui_poi_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977491959', 'ED13B5F7', 'object/static/space/zonemap/shared_ui_spacestation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973438501', 'B13B1225', 'object/static/space/zonemap/shared_ui_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('464932918', '1BB65036', 'object/static/space/zonemap/shared_ui_waypoint_active.iff');
INSERT INTO `object_crc_string_table` VALUES ('161765900', '9A45A0C', 'object/static/structure/base/shared_static_structure_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488732557', 'CFF1D58D', 'object/static/structure/corellia/shared_corl_banner_govt_angled_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('662555920', '277DCD10', 'object/static/structure/corellia/shared_corl_banner_govt_tall_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3994724911', 'EE1AAA2F', 'object/static/structure/corellia/shared_corl_fountain_brazier_round_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('632694927', '25B6288F', 'object/static/structure/corellia/shared_corl_fountain_brazier_square_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2676149866', '9F82CE6A', 'object/static/structure/corellia/shared_corl_fountain_circle_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330147903', '4F48723F', 'object/static/structure/corellia/shared_corl_fountain_rectangle_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2625105516', '9C77EE6C', 'object/static/structure/corellia/shared_corl_fountain_statue_contemplate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('593244797', '235C327D', 'object/static/structure/corellia/shared_corl_fountain_statue_heroic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523876965', 'D20A1865', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('152940786', '91DB0F2', 'object/static/structure/corellia/shared_corl_imprv_arch_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('180063211', 'ABB8BEB', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3517719420', 'D1AC237C', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560705777', '98A144F1', 'object/static/structure/corellia/shared_corl_imprv_arch_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106256117', 'F4C07EF5', 'object/static/structure/corellia/shared_corl_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451992127', 'CDC1383F', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('383160488', '16D690A8', 'object/static/structure/corellia/shared_corl_imprv_bridge_insert_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('514306461', '1EA7B19D', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316652298', 'C5B0190A', 'object/static/structure/corellia/shared_corl_imprv_bridge_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3323339283', 'C6162213', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('486640260', '1D018A84', 'object/static/structure/corellia/shared_corl_imprv_bridge_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2435499985', '912AC7D1', 'object/static/structure/corellia/shared_corl_imprv_column_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1245540166', '4A3D6F46', 'object/static/structure/corellia/shared_corl_imprv_column_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('53479627', '33008CB', 'object/static/structure/corellia/shared_corl_imprv_column_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4174586847', 'F8D323DF', 'object/static/structure/corellia/shared_corl_imprv_column_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('92914717', '589C41D', 'object/static/structure/corellia/shared_corl_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792479271', '6AD71027', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982197424', 'B1C0B8B0', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4174241597', 'F8CDDF3D', 'object/static/structure/corellia/shared_corl_imprv_gate_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('440351692', '1A3F3BCC', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3240661851', 'C128935B', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2284188886', '8825F4D6', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1942413250', '73C6DFC2', 'object/static/structure/corellia/shared_corl_imprv_wall_4x16_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3667847668', 'DA9EE9F4', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('25772387', '1894163', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1216620270', '488426EE', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3009875450', 'B3670DFA', 'object/static/structure/corellia/shared_corl_imprv_wall_4x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1209853320', '481CE588', 'object/static/structure/corellia/shared_corl_power_arial_prime.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856785881', 'E5E1E1D9', 'object/static/structure/corellia/shared_corl_power_arial_thin.iff');
INSERT INTO `object_crc_string_table` VALUES ('4203234536', 'FA8844E8', 'object/static/structure/corellia/shared_corl_power_box_node.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942637523', 'EAFFDFD3', 'object/static/structure/corellia/shared_corl_power_bubble_node.iff');
INSERT INTO `object_crc_string_table` VALUES ('2265922541', '870F3BED', 'object/static/structure/corellia/shared_corl_power_connector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364711462', 'C88D6C26', 'object/static/structure/corellia/shared_corl_power_transformer_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('328910001', '139AC4B1', 'object/static/structure/corellia/shared_corl_power_transformer_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2489724749', '94662F4D', 'object/static/structure/corellia/shared_corl_stair_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099330896', 'B8BC0950', 'object/static/structure/corellia/shared_corl_stair_medium_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304472342', '895B7516', 'object/static/structure/corellia/shared_corl_stair_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857626571', '6EB921CB', 'object/static/structure/corellia/shared_corl_tent_hut_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517417479', '960CBE07', 'object/static/structure/corellia/shared_corl_tent_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('962796496', '39631BD0', 'object/static/structure/corellia/shared_corl_tent_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719427118', 'A2172A2E', 'object/static/structure/corellia/shared_corl_tent_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924198126', 'AE4BB8EE', 'object/static/structure/dantooine/shared_dant_boundary_post.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600616690', '5F6778F2', 'object/static/structure/dantooine/shared_dant_cooking_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600034556', '5F5E96FC', 'object/static/structure/dantooine/shared_dant_fence_4m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3938371804', 'EABEC8DC', 'object/static/structure/dantooine/shared_dant_fence_8m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033600287', 'F06BDB1F', 'object/static/structure/dantooine/shared_dant_fire_pit.iff');
INSERT INTO `object_crc_string_table` VALUES ('440746262', '1A454116', 'object/static/structure/dantooine/shared_dant_fish_rack.iff');
INSERT INTO `object_crc_string_table` VALUES ('7139239', '6CEFA7', 'object/static/structure/dantooine/shared_dant_gate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2151826436', '80424404', 'object/static/structure/dantooine/shared_dant_hide_tanning_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532357779', '5B55EC93', 'object/static/structure/dantooine/shared_dant_hide_tanning_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238403752', '856B54A8', 'object/static/structure/dantooine/shared_dant_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453851559', 'CDDD97A7', 'object/static/structure/dantooine/shared_dant_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3200541181', 'BEC461FD', 'object/static/structure/dantooine/shared_dant_jedi_main_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3549254078', 'D38D51BE', 'object/static/structure/dantooine/shared_dant_jedi_temple_altar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410738140', 'CB4BBBDC', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737353832', 'DEC37E68', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808475957', '6BCB2735', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_fallen.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036421930', 'F096E92A', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127667832', '4336D878', 'object/static/structure/dantooine/shared_dant_jedi_temple_pillar_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3556125150', 'D3F629DE', 'object/static/structure/dantooine/shared_dant_jedi_wall_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('148996425', '8E18149', 'object/static/structure/dantooine/shared_dant_jedi_wall_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822062306', 'A83540E2', 'object/static/structure/dantooine/shared_dant_large_communal.iff');
INSERT INTO `object_crc_string_table` VALUES ('888416774', '34F42A06', 'object/static/structure/dantooine/shared_dant_large_communal_dest.iff');
INSERT INTO `object_crc_string_table` VALUES ('5395298', '525362', 'object/static/structure/dantooine/shared_dant_large_communal_no_flora_10m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738317565', 'DED232FD', 'object/static/structure/dantooine/shared_dant_large_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953965200', 'B011EE90', 'object/static/structure/dantooine/shared_dant_large_hut_no_flora_10m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375506333', 'C932239D', 'object/static/structure/dantooine/shared_dant_large_mudhut.iff');
INSERT INTO `object_crc_string_table` VALUES ('3829973531', 'E448C21B', 'object/static/structure/dantooine/shared_dant_large_mudhut_no_flora_05m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1876585046', '6FDA6A56', 'object/static/structure/dantooine/shared_dant_large_rock_hut.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097574138', '7D0670FA', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2552639748', '98263104', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127324051', '43319993', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('171769374', 'A3CFE1E', 'object/static/structure/dantooine/shared_dant_large_rock_hut_dest_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1673544289', '63C04261', 'object/static/structure/dantooine/shared_dant_large_rock_hut_no_flora_05m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2326141197', '8AA6190D', 'object/static/structure/dantooine/shared_dant_mud_oven.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133865913', '7F3035B9', 'object/static/structure/dantooine/shared_dant_rack_spears.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964846407', 'EC52C147', 'object/static/structure/dantooine/shared_dant_skull_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296364307', 'C47A8713', 'object/static/structure/dantooine/shared_dant_skull_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732329939', 'A2DC0BD3', 'object/static/structure/dantooine/shared_dant_skull_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250788493', 'FD5DE28D', 'object/static/structure/dantooine/shared_dant_small_mudhut.iff');
INSERT INTO `object_crc_string_table` VALUES ('880635575', '347D6EB7', 'object/static/structure/dantooine/shared_dant_totem_pole.iff');
INSERT INTO `object_crc_string_table` VALUES ('218376108', 'D0427AC', 'object/static/structure/dathomir/shared_dath_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208818658', '480D1BE2', 'object/static/structure/dathomir/shared_dath_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186513770', 'F989216A', 'object/static/structure/dathomir/shared_imp_prison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840196313', '6DAF2AD9', 'object/static/structure/dathomir/shared_mtn_clan_crows_nest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('65550249', '3E837A9', 'object/static/structure/dathomir/shared_mtn_clan_gate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024122595', '78A5A8E3', 'object/static/structure/dathomir/shared_mtn_clan_hut_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('351866084', '14F90CE4', 'object/static/structure/dathomir/shared_mtn_clan_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2457942136', '92813878', 'object/static/structure/dathomir/shared_mtn_clan_strong_fence_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938207181', '7386B1CD', 'object/static/structure/dathomir/shared_mtn_clan_tent_house_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990407384', '76A334D8', 'object/static/structure/dathomir/shared_night_sister_banner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914294863', 'ADB49C4F', 'object/static/structure/dathomir/shared_night_sister_banner_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837393858', 'E4B9FBC2', 'object/static/structure/dathomir/shared_night_sister_banner_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('446202967', '1A988457', 'object/static/structure/dathomir/shared_nsister_fence_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480168117', '93D45CB5', 'object/static/structure/dathomir/shared_nsister_gate_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1729146517', '6710AE95', 'object/static/structure/dathomir/shared_nsister_guard_tower_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535014405', '5B7E7605', 'object/static/structure/dathomir/shared_nsister_hut_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2686708811', 'A023EC4B', 'object/static/structure/dathomir/shared_nsister_tent_house_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1412682900', '5433D494', 'object/static/structure/endor/shared_endor_cap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2834035953', 'A8EBF4F1', 'object/static/structure/endor/shared_endor_catwalk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166795982', '8126AECE', 'object/static/structure/endor/shared_endr_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084104443', 'F36E7CFB', 'object/static/structure/endor/shared_endr_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896788724', 'ACA97CF4', 'object/static/structure/general/shared_all_banner_generic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008994915', '77BED463', 'object/static/structure/general/shared_all_banner_generic_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165822108', '457D089C', 'object/static/structure/general/shared_all_foodcart_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334316222', '8B22D6BE', 'object/static/structure/general/shared_all_sign_shop_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345682985', '50357E29', 'object/static/structure/general/shared_all_sign_shop_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('423106980', '193819A4', 'object/static/structure/general/shared_all_sign_shop_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806016176', 'E2DB32B0', 'object/static/structure/general/shared_all_sign_shop_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238973525', '85740655', 'object/static/structure/general/shared_all_sign_street_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031661587', '7918B213', 'object/static/structure/general/shared_allum_mine_bucket_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999726466', '77316782', 'object/static/structure/general/shared_allum_mine_car_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472819165', '936439DD', 'object/static/structure/general/shared_allum_mine_console_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('798806621', '2F9CD25D', 'object/static/structure/general/shared_allum_mine_device_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102781642', 'F48B7ACA', 'object/static/structure/general/shared_allum_mine_device_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002036005', '7754A525', 'object/static/structure/general/shared_allum_mine_pipes_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890075570', 'AC430DB2', 'object/static/structure/general/shared_allum_mine_pipes_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3698833758', 'DC77B95E', 'object/static/structure/general/shared_allum_mine_support_piston_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841253399', 'E4F4E017', 'object/static/structure/general/shared_allum_mine_support_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('455069579', '1B1FCF8B', 'object/static/structure/general/shared_allum_mine_wall_lamp_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204766571', '836A116B', 'object/static/structure/general/shared_atat_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484634620', '587DB9FC', 'object/static/structure/general/shared_atat_debris_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541027443', 'D30FCA73', 'object/static/structure/general/shared_atat_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('788309969', '2EFCA7D1', 'object/static/structure/general/shared_atst_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123988169', '7E997CC9', 'object/static/structure/general/shared_atst_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060142999', 'F200DD97', 'object/static/structure/general/shared_banner_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2320654391', '8A526037', 'object/static/structure/general/shared_banner_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('556485701', '212B4C45', 'object/static/structure/general/shared_banner_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023415601', '789ADF31', 'object/static/structure/general/shared_bench_generic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3833265874', 'E47AFED2', 'object/static/structure/general/shared_camp_campfire_logs_fresh_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1620143270', '60916CA6', 'object/static/structure/general/shared_camp_campfire_logs_smoldering_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1047908184', '3E75CF58', 'object/static/structure/general/shared_camp_cot_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619023506', '9C1B2092', 'object/static/structure/general/shared_camp_lawn_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('773324764', '2E17FFDC', 'object/static/structure/general/shared_camp_spit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530450717', '5B38D31D', 'object/static/structure/general/shared_camp_stool_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755841704', '68A804A8', 'object/static/structure/general/shared_camp_stool_tall_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('129854704', '7BD6CF0', 'object/static/structure/general/shared_camp_tent_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4067844831', 'F27662DF', 'object/static/structure/general/shared_campfire_ash.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586812298', '9A2F9F8A', 'object/static/structure/general/shared_campfire_burnt.iff');
INSERT INTO `object_crc_string_table` VALUES ('765197024', '2D9BFAE0', 'object/static/structure/general/shared_campfire_fresh.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300560117', '891FC2F5', 'object/static/structure/general/shared_campfire_smoldering.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261177526', 'C2619EB6', 'object/static/structure/general/shared_cave_column_damprock_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('427177505', '19763621', 'object/static/structure/general/shared_cave_column_damprock_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350259116', '507B51AC', 'object/static/structure/general/shared_cave_column_damprock_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977899176', 'B17F22A8', 'object/static/structure/general/shared_cave_column_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785236031', '6A688A3F', 'object/static/structure/general/shared_cave_column_ice_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('593882546', '2365EDB2', 'object/static/structure/general/shared_cave_column_ice_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092283888', 'B85081F0', 'object/static/structure/general/shared_cave_column_tato_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665608039', '63472967', 'object/static/structure/general/shared_cave_column_tato_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('709512938', '2A4A4EEA', 'object/static/structure/general/shared_cave_column_tato_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621325123', 'D7D90943', 'object/static/structure/general/shared_cave_stalactite_damprock_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217032646', 'FB5ACFC6', 'object/static/structure/general/shared_cave_stalactite_damprock_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821182314', 'E3C29D6A', 'object/static/structure/general/shared_cave_stalactite_damprock_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656228038', 'D9ED9CC6', 'object/static/structure/general/shared_cave_stalactite_damprock_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919195355', 'E99A2CDB', 'object/static/structure/general/shared_cave_stalactite_damprock_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992324335', 'EDF608EF', 'object/static/structure/general/shared_cave_stalactite_damprock_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('541137704', '20411B28', 'object/static/structure/general/shared_cave_stalactite_damprock_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('463111869', '1B9A86BD', 'object/static/structure/general/shared_cave_stalactite_damprock_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('341479169', '145A8F01', 'object/static/structure/general/shared_cave_stalactite_damprock_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338296027', 'C6FA5ADB', 'object/static/structure/general/shared_cave_stalactite_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('502133324', '1DEDF24C', 'object/static/structure/general/shared_cave_stalactite_ice_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424004545', '54E095C1', 'object/static/structure/general/shared_cave_stalactite_ice_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936258261', 'AF03BED5', 'object/static/structure/general/shared_cave_stalactite_ice_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3859732824', 'E60ED958', 'object/static/structure/general/shared_cave_stalactite_ice_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025077711', '3D1971CF', 'object/static/structure/general/shared_cave_stalactite_ice_style_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('634638246', '25D3CFA6', 'object/static/structure/general/shared_cave_stalactite_tato_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597707635', '9AD5DF73', 'object/static/structure/general/shared_cave_stalactite_tato_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('298343311', '11C85B8F', 'object/static/structure/general/shared_cave_stalactite_tato_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('736582179', '2BE75A23', 'object/static/structure/general/shared_cave_stalactite_tato_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283093102', '88153C6E', 'object/static/structure/general/shared_cave_stalactite_tato_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('536661514', '1FFCCE0A', 'object/static/structure/general/shared_cave_stalactite_tato_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3528187341', 'D24BDDCD', 'object/static/structure/general/shared_cave_stalactite_tato_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2048235016', '7A159608', 'object/static/structure/general/shared_cave_stalactite_tato_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864021476', 'E65049E4', 'object/static/structure/general/shared_cave_stalactite_tato_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289263471', 'FFA8F76F', 'object/static/structure/general/shared_cave_stalagmite_damprock_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('552994988', '20F608AC', 'object/static/structure/general/shared_cave_stalagmite_damprock_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3417531206', 'CBB36346', 'object/static/structure/general/shared_cave_stalagmite_damprock_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053557994', 'F19C62EA', 'object/static/structure/general/shared_cave_stalagmite_damprock_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('842460081', '3236EBB1', 'object/static/structure/general/shared_cave_stalagmite_damprock_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314022083', 'C587F6C3', 'object/static/structure/general/shared_cave_stalagmite_damprock_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('137422084', '830E504', 'object/static/structure/general/shared_cave_stalagmite_damprock_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224781271', 'C03641D7', 'object/static/structure/general/shared_cave_stalagmite_damprock_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1009479981', '3C2B712D', 'object/static/structure/general/shared_cave_stalagmite_damprock_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580678384', '99D206F0', 'object/static/structure/general/shared_cave_stalagmite_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120251495', '42C5AE67', 'object/static/structure/general/shared_cave_stalagmite_ice_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('197708266', 'BC8C9EA', 'object/static/structure/general/shared_cave_stalagmite_ice_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029407998', 'F02BE2FE', 'object/static/structure/general/shared_cave_stalagmite_ice_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106309491', 'B9268573', 'object/static/structure/general/shared_cave_stalagmite_ice_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1647390180', '62312DE4', 'object/static/structure/general/shared_cave_stalagmite_ice_style_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('725371497', '2B3C4A69', 'object/static/structure/general/shared_cave_stalagmite_ice_style_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2436261499', '9136667B', 'object/static/structure/general/shared_cave_stalagmite_ice_style_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3627745782', 'D83B01F6', 'object/static/structure/general/shared_cave_stalagmite_ice_style_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('725835401', '2B435E89', 'object/static/structure/general/shared_cave_stalagmite_tato_s01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3321725784', 'C5FD8358', 'object/static/structure/general/shared_cave_stalagmite_tato_s01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('525912736', '1F58CAA0', 'object/static/structure/general/shared_cave_stalagmite_tato_s01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('628607756', '2577CB0C', 'object/static/structure/general/shared_cave_stalagmite_tato_s02_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3611123781', 'D73D6045', 'object/static/structure/general/shared_cave_stalagmite_tato_s02_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('292314917', '116C5F25', 'object/static/structure/general/shared_cave_stalagmite_tato_s02_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705359586', 'DCDB4CE2', 'object/static/structure/general/shared_cave_stalagmite_tato_s03_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('624806435', '253DCA23', 'object/static/structure/general/shared_cave_stalagmite_tato_s03_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('3904952523', 'E8C0D8CB', 'object/static/structure/general/shared_cave_stalagmite_tato_s03_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574245952', '5DD51640', 'object/static/structure/general/shared_cave_wall_damprock_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438485055', '55BD8A3F', 'object/static/structure/general/shared_cave_wall_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891269717', 'AC554655', 'object/static/structure/general/shared_cave_wall_tato_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931956368', 'AEC21A90', 'object/static/structure/general/shared_cloning_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('427922071', '19819297', 'object/static/structure/general/shared_corellia_garden_base_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3124174895', 'BA37202F', 'object/static/structure/general/shared_corellia_garden_base_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596257155', 'D65A8783', 'object/static/structure/general/shared_corellia_garden_base_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('44608000', '2A8AA00', 'object/static/structure/general/shared_data_terminal_free_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3653173911', 'D9BF0297', 'object/static/structure/general/shared_data_terminal_free_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122155955', '7E7D87B3', 'object/static/structure/general/shared_data_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775199524', 'A56A2F24', 'object/static/structure/general/shared_data_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966191785', 'EC6748A9', 'object/static/structure/general/shared_data_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('394552253', '178463BD', 'object/static/structure/general/shared_data_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('10375362', '9E50C2', 'object/static/structure/general/shared_data_terminal_wall_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683252309', 'DB89F855', 'object/static/structure/general/shared_data_terminal_wall_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2458165208', '92849FD8', 'object/static/structure/general/shared_data_terminal_wall_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874353965', 'AB53292D', 'object/static/structure/general/shared_debris_deathstar_conduit.iff');
INSERT INTO `object_crc_string_table` VALUES ('935530456', '37C30FD8', 'object/static/structure/general/shared_debris_deathstar_large_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1746560554', '681A662A', 'object/static/structure/general/shared_debris_deathstar_small_chunk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001013115', '7745097B', 'object/static/structure/general/shared_debris_deathstar_small_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692428938', 'A07B348A', 'object/static/structure/general/shared_debris_deathstar_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2528075774', '96AF5FFE', 'object/static/structure/general/shared_debris_deathstar_tractorbeam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279869106', '4C4940B2', 'object/static/structure/general/shared_debris_deathstar_turbolaser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024357967', 'B4440A4F', 'object/static/structure/general/shared_distant_ship_controller_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('2828767827', 'A89B9253', 'object/static/structure/general/shared_distant_ship_controller_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1893331081', '70D9F089', 'object/static/structure/general/shared_distant_ship_controller_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264546069', 'C2950515', 'object/static/structure/general/shared_distant_ship_controller2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757386432', '68BF96C0', 'object/static/structure/general/shared_droid_21bmedical_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437279552', 'CCE0B940', 'object/static/structure/general/shared_droid_4lom_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847574879', 'E555555F', 'object/static/structure/general/shared_droid_droideka_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797855909', 'A6C3E4A5', 'object/static/structure/general/shared_droid_lemedical_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3116660923', 'B9C478BB', 'object/static/structure/general/shared_droid_probedroid_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('602463452', '23E8DCDC', 'object/static/structure/general/shared_droid_r2_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276567470', 'FEE73DAE', 'object/static/structure/general/shared_droid_r3_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830096030', 'E44AA09E', 'object/static/structure/general/shared_droid_r4_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('960840172', '394541EC', 'object/static/structure/general/shared_droid_r5_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368160497', '518C78F1', 'object/static/structure/general/shared_droid_ra7_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519373105', '5A8FCB31', 'object/static/structure/general/shared_escape_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468613806', 'CEBED8AE', 'object/static/structure/general/shared_escape_pod_door.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862118957', '6EFDAE2D', 'object/static/structure/general/shared_flag_corellia_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123706379', 'F5CAC40B', 'object/static/structure/general/shared_fountain_generic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451198859', 'CDB51D8B', 'object/static/structure/general/shared_fs_village_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1915892056', '72323158', 'object/static/structure/general/shared_fs_village_drum.iff');
INSERT INTO `object_crc_string_table` VALUES ('3392378715', 'CA33975B', 'object/static/structure/general/shared_fs_village_fire_pit_p1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2795847292', 'A6A53E7C', 'object/static/structure/general/shared_fs_village_fire_pit_p1_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('287588300', '11243FCC', 'object/static/structure/general/shared_fs_village_fire_pit_p2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328842763', 'C66A1C0B', 'object/static/structure/general/shared_fs_village_nobuild_768m.iff');
INSERT INTO `object_crc_string_table` VALUES ('377795232', '1684B2A0', 'object/static/structure/general/shared_gravestone_generic_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448969783', 'CD931A37', 'object/static/structure/general/shared_gravestone_generic_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224979386', '849E7DBA', 'object/static/structure/general/shared_gravestone_generic_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138920622', '7F7D56AE', 'object/static/structure/general/shared_gravestone_generic_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('913322275', '36703123', 'object/static/structure/general/shared_gravestone_generic_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067227948', 'B6D22F2C', 'object/static/structure/general/shared_ins_shield_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('844164119', '3250EC17', 'object/static/structure/general/shared_ins_shield_generator_stage1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913761920', 'E9474480', 'object/static/structure/general/shared_ins_shield_generator_stage2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2689213197', 'A04A230D', 'object/static/structure/general/shared_ins_shield_generator_stage3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1662232577', '6313A801', 'object/static/structure/general/shared_landing_pad_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960394138', 'EC0ED19A', 'object/static/structure/general/shared_landing_pad_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1071317165', '3FDB00AD', 'object/static/structure/general/shared_lucky_despot_debris_aft_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826694051', '6CE123A3', 'object/static/structure/general/shared_lucky_despot_debris_forward_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930187854', 'AEA71E4E', 'object/static/structure/general/shared_lucky_despot_debris_lg_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1974515417', '75B0B6D9', 'object/static/structure/general/shared_lucky_despot_debris_lg_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('296119740', '11A66DBC', 'object/static/structure/general/shared_lucky_despot_debris_md_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971388264', '7580FF68', 'object/static/structure/general/shared_lucky_despot_debris_nose_cone.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188881805', 'BE12798D', 'object/static/structure/general/shared_lucky_despot_debris_sm_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739982582', 'A350D0F6', 'object/static/structure/general/shared_naboo_garden_base_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('15098446', 'E6624E', 'object/static/structure/general/shared_naboo_garden_base_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1821099490', '6C8BC5E2', 'object/static/structure/general/shared_naboo_garden_base_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624671286', '60D68436', 'object/static/structure/general/shared_nboo_imprv_flower_urn_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('133902662', '7FB3146', 'object/static/structure/general/shared_palette_supply_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3706493393', 'DCEC99D1', 'object/static/structure/general/shared_palette_supply_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514615900', '95E1FE5C', 'object/static/structure/general/shared_palette_supply_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1845679432', '6E02D548', 'object/static/structure/general/shared_palette_supply_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('655340229', '270FB2C5', 'object/static/structure/general/shared_palette_supply_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1146536775', '4456C347', 'object/static/structure/general/shared_planter_generic_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671864784', '9F416BD0', 'object/static/structure/general/shared_planter_generic_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3595308125', 'D64C0C5D', 'object/static/structure/general/shared_planter_generic_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('766453577', '2DAF2749', 'object/static/structure/general/shared_planter_generic_style_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539469744', '975D3BB0', 'object/static/structure/general/shared_poi_all_construction_metal_pile.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004698684', 'EEB2DA3C', 'object/static/structure/general/shared_poi_all_construction_stone_pile.iff');
INSERT INTO `object_crc_string_table` VALUES ('894674624', '3553A6C0', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3997437527', 'EE440E57', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2806606298', 'A74969DA', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1554662094', '5CAA42CE', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('363275587', '15A72543', 'object/static/structure/general/shared_poi_all_corral_half_32x32_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3435272371', 'CCC218B3', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('399880228', '17D5B024', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1591269289', '5ED8D7A9', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2772171965', 'A53BFCBD', 'object/static/structure/general/shared_poi_all_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207782372', 'FACDA9E4', 'object/static/structure/general/shared_poi_all_corral_pen_16x8_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('243441435', 'E829F1B', 'object/static/structure/general/shared_poi_all_corral_pen_8x16_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('521808954', '1F1A2C3A', 'object/static/structure/general/shared_poi_all_farm_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289220269', 'C40D84AD', 'object/static/structure/general/shared_poi_all_farm_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403191254', 'CAD893D6', 'object/static/structure/general/shared_poi_all_impl_corral_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('860433829', '33492DA5', 'object/static/structure/general/shared_poi_all_impl_corral_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898508594', 'E85E8532', 'object/static/structure/general/shared_poi_all_impl_corral_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290955633', 'FFC2C971', 'object/static/structure/general/shared_poi_all_monolith_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045966315', 'F1288BEB', 'object/static/structure/general/shared_poi_all_obelisk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607385038', 'D70453CE', 'object/static/structure/general/shared_poi_all_rebl_corral_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('781577661', '2E95EDBD', 'object/static/structure/general/shared_poi_all_rebl_corral_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118955306', 'F582452A', 'object/static/structure/general/shared_poi_all_rebl_corral_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823161923', 'A8460843', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1934729428', '7351A0D4', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('979158873', '3A5CC759', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250580557', 'C1BFEC4D', 'object/static/structure/general/shared_poi_corl_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1373091376', '51D7B630', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327846567', '8AC01EA7', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3285023018', 'C3CD792A', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('942559806', '382E523E', 'object/static/structure/general/shared_poi_corl_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005460078', 'B323AE6E', 'object/static/structure/general/shared_poi_ev9d9head.iff');
INSERT INTO `object_crc_string_table` VALUES ('765433917', '2D9F983D', 'object/static/structure/general/shared_poi_nboo_corral_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136120490', 'F68830AA', 'object/static/structure/general/shared_poi_nboo_corral_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3213186855', 'BF855727', 'object/static/structure/general/shared_poi_nboo_corral_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557697102', 'D40E264E', 'object/static/structure/general/shared_poi_nboo_corral_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('253333209', 'F198ED9', 'object/static/structure/general/shared_poi_nboo_corral_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767767960', 'E0939398', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('998521615', '3B843B0F', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1921604738', '72895C82', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305456022', '896A7796', 'object/static/structure/general/shared_poi_nboo_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('419573227', '19022DEB', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256190332', 'C215857C', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2333663985', '8B18E2F1', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895549413', '70FBC9E5', 'object/static/structure/general/shared_poi_nboo_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737229246', 'DEC197BE', 'object/static/structure/general/shared_poi_powerdroid_powerdown.iff');
INSERT INTO `object_crc_string_table` VALUES ('3451909497', 'CDBFF579', 'object/static/structure/general/shared_poi_powerdroidbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('4129855315', 'F6289753', 'object/static/structure/general/shared_poi_powerdroidleg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341025511', '8B8936E7', 'object/static/structure/general/shared_poi_protocolarm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853288096', 'AA11B8A0', 'object/static/structure/general/shared_poi_protocolleg.iff');
INSERT INTO `object_crc_string_table` VALUES ('863309006', '33750CCE', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898778713', 'E862A459', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708456404', 'A16FC3D4', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519184064', '5A8CE8C0', 'object/static/structure/general/shared_poi_tato_corral_half_32x32_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403985597', 'CAE4B2BD', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('301144618', '11F31A2A', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1493073319', '58FE7DA7', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736608947', 'A31D56B3', 'object/static/structure/general/shared_poi_tato_corral_half_64x64_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2681617984', '9FD63E40', 'object/static/structure/general/shared_poi_tato_corral_pen_16x8_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2475027384', '9385EBB8', 'object/static/structure/general/shared_poi_tato_farm_32x32_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217545007', '4892432F', 'object/static/structure/general/shared_poi_tato_farm_32x32_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1779717579', '6A1455CB', 'object/static/structure/general/shared_poi_tato_farm_64x64_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2969828700', 'B103FD5C', 'object/static/structure/general/shared_poi_tato_farm_64x64_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('373696824', '16462938', 'object/static/structure/general/shared_poi_tato_tent_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('557561835', '213BB7EB', 'object/static/structure/general/shared_poi_temple_ancient_ruined.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325486496', '4F0151A0', 'object/static/structure/general/shared_prp_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('11049213', 'A898FD', 'object/static/structure/general/shared_prp_engine_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('946860440', '386FF198', 'object/static/structure/general/shared_prp_junk_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816315151', 'E378590F', 'object/static/structure/general/shared_prp_junk_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859810434', 'AA753E82', 'object/static/structure/general/shared_prp_junk_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368790422', '51961596', 'object/static/structure/general/shared_prp_junk_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('412840475', '189B721B', 'object/static/structure/general/shared_prp_junk_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3280788108', 'C38CDA8C', 'object/static/structure/general/shared_prp_junk_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2323758337', '8A81BD01', 'object/static/structure/general/shared_prp_junk_s7.iff');
INSERT INTO `object_crc_string_table` VALUES ('814453011', '308B9113', 'object/static/structure/general/shared_prp_junk_s8.iff');
INSERT INTO `object_crc_string_table` VALUES ('932706472', '3797F8A8', 'object/static/structure/general/shared_r2_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771962306', '699DFFC2', 'object/static/structure/general/shared_r2_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('593109784', '235A2318', 'object/static/structure/general/shared_r2_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('3070712015', 'B70758CF', 'object/static/structure/general/shared_r3_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610779556', '9B9D55A4', 'object/static/structure/general/shared_r3_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673597174', 'DAF6A4F6', 'object/static/structure/general/shared_r3_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('968302371', '39B71F23', 'object/static/structure/general/shared_r4_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276918264', '4C1C39F8', 'object/static/structure/general/shared_r4_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060309010', '3F330812', 'object/static/structure/general/shared_r4_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106389828', 'B927BF44', 'object/static/structure/general/shared_r5_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('3189543838', 'BE1C939E', 'object/static/structure/general/shared_r5_leg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332345852', 'C69F8FFC', 'object/static/structure/general/shared_r5_torso.iff');
INSERT INTO `object_crc_string_table` VALUES ('745217663', '2C6B1E7F', 'object/static/structure/general/shared_repairdroidhead.iff');
INSERT INTO `object_crc_string_table` VALUES ('3102139401', 'B8E6E409', 'object/static/structure/general/shared_repairdroidtorso.iff');
INSERT INTO `object_crc_string_table` VALUES ('71717386', '446520A', 'object/static/structure/general/shared_rock_beach_dark_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3296327653', 'C479F7E5', 'object/static/structure/general/shared_rock_beach_dark_md.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036063186', 'F0916FD2', 'object/static/structure/general/shared_rock_forestriverrock_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218867418', '84413ADA', 'object/static/structure/general/shared_rock_mossy_big.iff');
INSERT INTO `object_crc_string_table` VALUES ('464560897', '1BB0A301', 'object/static/structure/general/shared_rock_mossy_big_a1.iff');
INSERT INTO `object_crc_string_table` VALUES ('86891093', '52DDA55', 'object/static/structure/general/shared_sandcrawler_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728372418', 'DE3A72C2', 'object/static/structure/general/shared_sandcrawler_debris_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430782285', '5548014D', 'object/static/structure/general/shared_sandcrawler_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1576141271', '5DF201D7', 'object/static/structure/general/shared_skeleton_ancient_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('435082443', '19EED4CB', 'object/static/structure/general/shared_skeleton_ancient_s01_with_floor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348339894', '8BF8D2B6', 'object/static/structure/general/shared_skeleton_bith_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1830314734', '6D1862EE', 'object/static/structure/general/shared_skeleton_bith_headandbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483128149', 'CF9C5155', 'object/static/structure/general/shared_skeleton_human_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('2643348391', '9D8E4BA7', 'object/static/structure/general/shared_skeleton_human_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589626000', 'D5F55890', 'object/static/structure/general/shared_skeleton_human_headandbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846173676', 'A9A529EC', 'object/static/structure/general/shared_skeleton_ithorian_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2172543691', '817E62CB', 'object/static/structure/general/shared_skeleton_ithorian_headandbody.iff');
INSERT INTO `object_crc_string_table` VALUES ('366574640', '15D97C30', 'object/static/structure/general/shared_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('943189465', '3837EDD9', 'object/static/structure/general/shared_streetlamp_large_blue_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4240600726', 'FCC26E96', 'object/static/structure/general/shared_streetlamp_large_blue_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810542926', 'E320454E', 'object/static/structure/general/shared_streetlamp_large_blue_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('270535624', '10200BC8', 'object/static/structure/general/shared_streetlamp_large_blue_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3624406979', 'D8080FC3', 'object/static/structure/general/shared_streetlamp_large_green_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('116658492', '6F4113C', 'object/static/structure/general/shared_streetlamp_large_green_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('52406100', '31FA754', 'object/static/structure/general/shared_streetlamp_large_green_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927340130', 'EA167462', 'object/static/structure/general/shared_streetlamp_large_green_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3608090564', 'D70F17C4', 'object/static/structure/general/shared_streetlamp_large_red_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475115555', '57EC7A23', 'object/static/structure/general/shared_streetlamp_large_red_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('202948435', 'C18BF53', 'object/static/structure/general/shared_streetlamp_large_red_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138264957', 'BB0E1F7D', 'object/static/structure/general/shared_streetlamp_large_red_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885351943', 'E795C407', 'object/static/structure/general/shared_streetlamp_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3316525735', 'C5AE2AA7', 'object/static/structure/general/shared_streetlamp_large_style_01_off.iff');
INSERT INTO `object_crc_string_table` VALUES ('382521685', '16CCD155', 'object/static/structure/general/shared_streetlamp_large_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015180432', '3C826C90', 'object/static/structure/general/shared_streetlamp_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197364747', 'FA2EB40B', 'object/static/structure/general/shared_streetlamp_large_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3556643158', 'D3FE1156', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4180237744', 'F9295DB0', 'object/static/structure/general/shared_streetlamp_medium_blue_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('149535169', '8E9B9C1', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('365639918', '15CB38EE', 'object/static/structure/general/shared_streetlamp_medium_blue_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('4279659995', 'FF166DDB', 'object/static/structure/general/shared_streetlamp_medium_green_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194458711', 'FA025C57', 'object/static/structure/general/shared_streetlamp_medium_green_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('604095820', '2401C54C', 'object/static/structure/general/shared_streetlamp_medium_green_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('383793417', '16E03909', 'object/static/structure/general/shared_streetlamp_medium_green_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1554422035', '5CA69913', 'object/static/structure/general/shared_streetlamp_medium_red_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488253126', 'CFEA84C6', 'object/static/structure/general/shared_streetlamp_medium_red_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276536708', '87B13184', 'object/static/structure/general/shared_streetlamp_medium_red_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('587784600', '2308E198', 'object/static/structure/general/shared_streetlamp_medium_red_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('621780950', '250F9FD6', 'object/static/structure/general/shared_streetlamp_medium_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048936619', 'B5BB14AB', 'object/static/structure/general/shared_streetlamp_medium_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262999873', 'FE183741', 'object/static/structure/general/shared_streetlamp_medium_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499034101', '595971F5', 'object/static/structure/general/shared_streetlamp_medium_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3135621574', 'BAE5C9C6', 'object/static/structure/general/shared_streetlamp_small_blue_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100654572', 'F46B05EC', 'object/static/structure/general/shared_streetlamp_small_blue_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643274577', '61F26151', 'object/static/structure/general/shared_streetlamp_small_blue_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('411656370', '188960B2', 'object/static/structure/general/shared_streetlamp_small_blue_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789053763', '6AA2CB43', 'object/static/structure/general/shared_streetlamp_small_green_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308408964', '89978684', 'object/static/structure/general/shared_streetlamp_small_green_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981454804', 'B1B563D4', 'object/static/structure/general/shared_streetlamp_small_green_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702224858', '6575E3DA', 'object/static/structure/general/shared_streetlamp_small_green_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813754022', '6C1BB0A6', 'object/static/structure/general/shared_streetlamp_small_red_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234455603', '49944C33', 'object/static/structure/general/shared_streetlamp_small_red_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071023153', 'B70C1831', 'object/static/structure/general/shared_streetlamp_small_red_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775984493', 'A576296D', 'object/static/structure/general/shared_streetlamp_small_red_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350803377', 'C7B933B1', 'object/static/structure/general/shared_streetlamp_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823745124', 'E3E9B864', 'object/static/structure/general/shared_streetlamp_small_style_01_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('481205030', '1CAE9B26', 'object/static/structure/general/shared_streetlamp_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('252435770', 'F0BDD3A', 'object/static/structure/general/shared_streetlamp_small_style_02_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209227126', '83AE2176', 'object/static/structure/general/shared_tankfarm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('440438426', '1A408E9A', 'object/static/structure/general/shared_tato_cave_rock_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973893562', 'B14203BA', 'object/static/structure/general/shared_tato_cave_rock_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719778318', 'A21C860E', 'object/static/structure/general/shared_tato_cave_stalactite_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143135301', '7FBDA645', 'object/static/structure/general/shared_tato_cave_stalactite_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517045799', '96071227', 'object/static/structure/general/shared_tato_cave_stalactite_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567446267', '5D6D54FB', 'object/static/structure/general/shared_tato_cave_stalactite_tiny.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335732340', 'C6D33C74', 'object/static/structure/general/shared_tato_cave_stalagmite_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537559006', '974013DE', 'object/static/structure/general/shared_tato_cave_stalagmite_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073236573', 'F2C8A85D', 'object/static/structure/general/shared_tato_cave_stalagmite_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1132004410', '4379043A', 'object/static/structure/general/shared_tato_cave_stalagmite_tiny.iff');
INSERT INTO `object_crc_string_table` VALUES ('179319926', 'AB03476', 'object/static/structure/general/shared_tatooine_garden_base_lrg_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835777230', 'A90686CE', 'object/static/structure/general/shared_tatooine_garden_base_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312132450', 'C56B2162', 'object/static/structure/general/shared_tatooine_garden_base_sml_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1810658978', '6BEC76A2', 'object/static/structure/general/shared_tie_bomber_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2386740007', '8E42C327', 'object/static/structure/general/shared_transport_debris_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431661488', '55556BB0', 'object/static/structure/general/shared_transport_debris_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('783749181', '2EB7103D', 'object/static/structure/general/shared_trash_pile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131444493', '7F0B430D', 'object/static/structure/general/shared_tutorial_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194373157', '82CB7A25', 'object/static/structure/general/shared_web_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507644082', '59DCD2B2', 'object/static/structure/general/shared_web_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('282178879', '10D1B53F', 'object/static/structure/general/shared_web_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945963051', 'EB329E2B', 'object/static/structure/general/shared_web_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722101670', 'A23FF9A6', 'object/static/structure/general/shared_web_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032685361', '79285131', 'object/static/structure/general/shared_web_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('807745212', '302536BC', 'object/static/structure/general/shared_web_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3802756237', 'E2A9748D', 'object/static/structure/general/shared_xwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199681465', 'BEB743B9', 'object/static/structure/lok/shared_lok_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2646498442', '9DBE5C8A', 'object/static/structure/lok/shared_lok_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482416832', '93F6ACC0', 'object/static/structure/military/shared_bunker_crate_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580787523', '5E38E743', 'object/static/structure/military/shared_bunker_pillar_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234470356', '852F4FD4', 'object/static/structure/military/shared_bunker_pillar_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3424790617', 'CC222859', 'object/static/structure/military/shared_bunker_pillar_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('935396173', '37C1034D', 'object/static/structure/military/shared_bunker_pillar_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131562949', 'BAA7DBC5', 'object/static/structure/military/shared_military_column_med_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2048366214', '7A179686', 'object/static/structure/military/shared_military_column_med_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024230445', '78A74E2D', 'object/static/structure/military/shared_military_column_strong_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3057024962', 'B6367FC2', 'object/static/structure/military/shared_military_column_strong_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3932437109', 'EA643A75', 'object/static/structure/military/shared_military_column_weak_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('165391475', '9DBAC73', 'object/static/structure/military/shared_military_column_weak_rebel_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3143955172', 'BB64F2E4', 'object/static/structure/military/shared_military_wall_med_imperial_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('514067204', '1EA40B04', 'object/static/structure/military/shared_military_wall_med_imperial_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('790640751', '2F20386F', 'object/static/structure/military/shared_military_wall_med_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655812348', 'D9E744FC', 'object/static/structure/military/shared_military_wall_med_rebl_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082979100', '7C27BD1C', 'object/static/structure/military/shared_military_wall_med_rebl_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3715555896', 'DD76E238', 'object/static/structure/military/shared_military_wall_med_rebl_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838610467', '6D96F823', 'object/static/structure/military/shared_military_wall_strong_imperial_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361079747', 'C85601C3', 'object/static/structure/military/shared_military_wall_strong_imperial_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483242756', '58687D04', 'object/static/structure/military/shared_military_wall_strong_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699886546', 'DC87C9D2', 'object/static/structure/military/shared_military_wall_strong_rebl_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2034708530', '79473032', 'object/static/structure/military/shared_military_wall_strong_rebl_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('456208313', '1B312FB9', 'object/static/structure/military/shared_military_wall_strong_rebl_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733519188', '67536754', 'object/static/structure/military/shared_military_wall_weak_imperial_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264454324', 'C2939EB4', 'object/static/structure/military/shared_military_wall_weak_imperial_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600110720', '5F5FC080', 'object/static/structure/military/shared_military_wall_weak_imperial_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029534530', 'F02DD142', 'object/static/structure/military/shared_military_wall_weak_rebl_16_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441605794', '55ED28A2', 'object/static/structure/military/shared_military_wall_weak_rebl_32_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462224892', '5727C7FC', 'object/static/structure/military/shared_military_wall_weak_rebl_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135100937', 'F678A209', 'object/static/structure/naboo/shared_arbor_corner_45_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575544927', '5DE8E85F', 'object/static/structure/naboo/shared_arbor_corner_90_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146113855', 'F720AD3F', 'object/static/structure/naboo/shared_arbor_long_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('741803432', '2C3705A8', 'object/static/structure/naboo/shared_arbor_long_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('608666818', '244784C2', 'object/static/structure/naboo/shared_arbor_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770334972', '69852AFC', 'object/static/structure/naboo/shared_arbor_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995946091', 'B292826B', 'object/static/structure/naboo/shared_arbor_short_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('528159500', '1F7B130C', 'object/static/structure/naboo/shared_arch_bronze_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('242956153', 'E7B3779', 'object/static/structure/naboo/shared_arch_triumph_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075423280', '4019A830', 'object/static/structure/naboo/shared_archway_narrow_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601386151', '9B0E00A7', 'object/static/structure/naboo/shared_archway_narrow_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2344148347', '8BB8DD7B', 'object/static/structure/naboo/shared_archway_wide_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1353676268', '50AF75EC', 'object/static/structure/naboo/shared_archway_wide_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1827069441', '6CE6DE01', 'object/static/structure/naboo/shared_bridge_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378774480', '8DC937D0', 'object/static/structure/naboo/shared_bridge_stairs_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457430343', '56DE9F47', 'object/static/structure/naboo/shared_bridge_stairs_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('533985482', '1FD3F8CA', 'object/static/structure/naboo/shared_bridge_stairs_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142068500', 'BB482914', 'object/static/structure/naboo/shared_elevated_walkway_cap_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649846057', '6256A729', 'object/static/structure/naboo/shared_elevated_walkway_corner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3220065348', 'BFEE4C44', 'object/static/structure/naboo/shared_elevated_walkway_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694098643', '64F9E4D3', 'object/static/structure/naboo/shared_elevated_walkway_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('770999134', '2DF4835E', 'object/static/structure/naboo/shared_elevated_walkway_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862893955', '6F098183', 'object/static/structure/naboo/shared_enclosed_walkway_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3021875476', 'B41E2914', 'object/static/structure/naboo/shared_enclosed_walkway_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048917433', 'B5BAC9B9', 'object/static/structure/naboo/shared_fountain_naboo_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('195966880', 'BAE37A0', 'object/static/structure/naboo/shared_garden_gazebo_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126742923', '7EC3858B', 'object/static/structure/naboo/shared_garden_gazebo_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1074098797', '4005726D', 'object/static/structure/naboo/shared_gate_narrow_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601704186', '9B12DAFA', 'object/static/structure/naboo/shared_gate_narrow_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519045750', 'D1C06076', 'object/static/structure/naboo/shared_gate_wide_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('181913825', 'AD7C8E1', 'object/static/structure/naboo/shared_gate_wide_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414113435', 'CB7F3C9B', 'object/static/structure/naboo/shared_gungan_cleft_wall_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2657146801', '9E60D7B1', 'object/static/structure/naboo/shared_gungan_damaged_narrow_arch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105404106', 'B918B4CA', 'object/static/structure/naboo/shared_gungan_damaged_wall_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('377663795', '1682B133', 'object/static/structure/naboo/shared_gungan_damaged_wide_arch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805010210', 'A7310F22', 'object/static/structure/naboo/shared_gungan_filler_building_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082908085', '7C26A7B5', 'object/static/structure/naboo/shared_gungan_filler_building_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2422623839', '90664E5F', 'object/static/structure/naboo/shared_gungan_pillar_damaged_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702469898', '6579A10A', 'object/static/structure/naboo/shared_gungan_pillar_ruined_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1354924647', '50C28267', 'object/static/structure/naboo/shared_gungan_relic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2346003184', '8BD52AF0', 'object/static/structure/naboo/shared_gungan_relic_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941709300', 'EAF1B5F4', 'object/static/structure/naboo/shared_gungan_sacred_head_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950388529', '74409131', 'object/static/structure/naboo/shared_gungan_shield_gen_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881619119', 'ABC204AF', 'object/static/structure/naboo/shared_gungan_shield_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3341914811', 'C73192BB', 'object/static/structure/naboo/shared_gungan_statue_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('472267308', '1C263A2C', 'object/static/structure/naboo/shared_gungan_statue_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428905377', '552B5DA1', 'object/static/structure/naboo/shared_gungan_statue_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932373173', 'AEC876B5', 'object/static/structure/naboo/shared_gungan_statue_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035920625', 'B4F478F1', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1877200998', '6FE3D066', 'object/static/structure/naboo/shared_gungan_wall_ruined_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816521599', '6C45EB7F', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075621864', 'B75243E8', 'object/static/structure/naboo/shared_gungan_wall_ruined_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('241189910', 'E604416', 'object/static/structure/naboo/shared_nboo_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1593839317', '5F000ED5', 'object/static/structure/naboo/shared_nboo_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546820738', '97CD6682', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_long_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('686510443', '28EB516B', 'object/static/structure/naboo/shared_nboo_imprv_lattice_wall_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1780163094', '6A1B2216', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970389121', 'B10C8A81', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672669355', '63B2E8AB', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097837628', 'B8A5403C', 'object/static/structure/naboo/shared_nboo_imprv_metal_fence_wall_sml_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2749897506', 'A3E81B22', 'object/static/structure/naboo/shared_nboo_imprv_pillar_lattice_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569571754', '99288DAA', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1111434557', '423F253D', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('187843248', 'B3242B0', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('734445875', '2BC6C133', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446126369', '91CCED21', 'object/static/structure/naboo/shared_nboo_imprv_pillar_pillar_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2272581416', '8774D728', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953865310', 'EBAB325E', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137052165', 'F6966805', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_ornate_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588511603', '9A498D73', 'object/static/structure/naboo/shared_nboo_imprv_pillar_wall_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('630334767', '2592252F', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4270165432', 'FE858DB8', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_large_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('316340941', '12DAFACD', 'object/static/structure/naboo/shared_nboo_imprv_pristine_wall_sml_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3039994617', 'B532A2F9', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819618978', 'A80FF8A2', 'object/static/structure/naboo/shared_nboo_imprv_short_curved_wall_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3465140166', 'CE89D7C6', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_cap_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('808527051', '303124CB', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_pillar_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('979523108', '3A625624', 'object/static/structure/naboo/shared_nboo_imprv_spill_gate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('550850554', '20D54FFA', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_large_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1038620065', '3DE815A1', 'object/static/structure/naboo/shared_nboo_imprv_tall_curved_wall_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2590175363', '9A62F083', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098209300', '41755814', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('142098329', '8783F99', 'object/static/structure/naboo/shared_obelisk_naboo_theed_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('531406240', '1FAC9DA0', 'object/static/structure/naboo/shared_planter_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300603191', 'C4BB3537', 'object/static/structure/naboo/shared_planter_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089723078', '7C8EA4C6', 'object/static/structure/naboo/shared_poi_nboo_tent_hut_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3032697252', 'B4C349A4', 'object/static/structure/naboo/shared_poi_nboo_tent_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565822051', 'D48A2063', 'object/static/structure/naboo/shared_poi_nboo_tent_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('2161696141', '80D8DD8D', 'object/static/structure/naboo/shared_poi_nboo_tent_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216877395', '8422DD53', 'object/static/structure/naboo/shared_seawall_base_naboo_theed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505796690', 'D0F63652', 'object/static/structure/naboo/shared_seawall_block.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659350477', '9E8277CD', 'object/static/structure/naboo/shared_seawall_corner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996812721', 'B29FBBB1', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770525478', '69881326', 'object/static/structure/naboo/shared_seawall_intersect_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075734257', 'F2EEC4F1', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('704212070', '29F96C66', 'object/static/structure/naboo/shared_seawall_rocks_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('971032080', '39E0C610', 'object/static/structure/naboo/shared_seawall_stair_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('346200597', '14A29A15', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484758658', 'CFB53282', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260227343', '86B8550F', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103148059', '7D5B7E1B', 'object/static/structure/naboo/shared_seawall_straight_naboo_theed_style_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('883128137', '34A37749', 'object/static/structure/naboo/shared_street_bridge_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021608414', 'EFB4DFDE', 'object/static/structure/naboo/shared_street_bridge_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3791525150', 'E1FE151E', 'object/static/structure/naboo/shared_streetlamp_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290878358', 'C426D196', 'object/static/structure/naboo/shared_wall_a1_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164222563', '80FF6A63', 'object/static/structure/naboo/shared_wall_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826816525', 'A87DCC0D', 'object/static/structure/naboo/shared_wallend_a1_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('602568228', '23EA7624', 'object/static/structure/naboo/shared_wallend_naboo_theed_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977184644', 'B1743B84', 'object/static/structure/nobuild/base/shared_nobuild_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784128829', '6A57A53D', 'object/static/structure/nobuild/shared_nobuild_128.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076938945', '4030C8C1', 'object/static/structure/nobuild/shared_nobuild_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917289526', 'ADE24E36', 'object/static/structure/nobuild/shared_nobuild_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237054144', '8556BCC0', 'object/static/structure/nobuild/shared_nobuild_64.iff');
INSERT INTO `object_crc_string_table` VALUES ('361465227', '158B858B', 'object/static/structure/rori/shared_rori_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974035646', 'ECDEF8BE', 'object/static/structure/rori/shared_rori_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('181836729', 'AD69BB9', 'object/static/structure/talus/shared_talus_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('929058155', '37604D6B', 'object/static/structure/talus/shared_talus_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3069872384', 'B6FA8900', 'object/static/structure/tatooine/jawa/base/shared_tent_jawa_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1450417289', '56739C89', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551226366', 'D3AB69FE', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650985120', '626808A0', 'object/static/structure/tatooine/jawa/shared_tent_jawa_01_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1093255506', '4129C152', 'object/static/structure/tatooine/shared_antenna_tatt_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587781573', '9A3E69C5', 'object/static/structure/tatooine/shared_antenna_tatt_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012796711', 'EF2E6B27', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('876200880', '3439C3B0', 'object/static/structure/tatooine/shared_beam_tatooine_overhead_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1188632964', '46D91984', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2647568659', '9DCEB113', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3569604254', 'D4C3D69E', 'object/static/structure/tatooine/shared_bridge_tatooine_small_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3926077524', 'EA033054', 'object/static/structure/tatooine/shared_concrete_slab_tatooine_16x8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2802480216', 'A70A7458', 'object/static/structure/tatooine/shared_debris_tatt_crate_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('640052328', '26266C68', 'object/static/structure/tatooine/shared_debris_tatt_crate_metal_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065777367', '7B2142D7', 'object/static/structure/tatooine/shared_debris_tatt_drum_dented_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759237578', '68DBD5CA', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3016523101', 'B3CC7D5D', 'object/static/structure/tatooine/shared_debris_tatt_drum_storage_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869966709', 'E6AB0175', 'object/static/structure/tatooine/shared_debris_tatt_pipe_dual_unconnected.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912961482', 'ADA043CA', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991764829', '76B7EB5D', 'object/static/structure/tatooine/shared_debris_tatt_pipe_narrow_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('734378137', '2BC5B899', 'object/static/structure/tatooine/shared_debris_tatt_pipe_widemouth.iff');
INSERT INTO `object_crc_string_table` VALUES ('509333295', '1E5BCF2F', 'object/static/structure/tatooine/shared_debris_tatt_radar_dish.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217839607', 'FB671FF7', 'object/static/structure/tatooine/shared_guild_ball_free_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3370382065', 'C8E3F2F1', 'object/static/structure/tatooine/shared_guild_banner_free_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311933250', 'C5681742', 'object/static/structure/tatooine/shared_guild_statue_free_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('833921892', '31B4A364', 'object/static/structure/tatooine/shared_luke_farm_dome.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599767179', '9AF54C8B', 'object/static/structure/tatooine/shared_luke_farm_garage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565487141', '98EA3A25', 'object/static/structure/tatooine/shared_orchard_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140691634', '43FD92B2', 'object/static/structure/tatooine/shared_orchard_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('964260108', '3979710C', 'object/static/structure/tatooine/shared_palette_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('241421707', 'E63CD8B', 'object/static/structure/tatooine/shared_pillar_damaged_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4292692970', 'FFDD4BEA', 'object/static/structure/tatooine/shared_pillar_pristine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3757161564', 'DFF1BC5C', 'object/static/structure/tatooine/shared_pillar_pristine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787857912', 'E1C61FF8', 'object/static/structure/tatooine/shared_pillar_pristine_tall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598087847', '5F40E2A7', 'object/static/structure/tatooine/shared_pillar_ruined_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2137789713', '7F6C1511', 'object/static/structure/tatooine/shared_pillar_ruined_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197410545', 'FA2F66F1', 'object/static/structure/tatooine/shared_pillar_watto_junkshop.iff');
INSERT INTO `object_crc_string_table` VALUES ('965371099', '398A64DB', 'object/static/structure/tatooine/shared_planter_hanging_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3602181980', 'D6B4EF5C', 'object/static/structure/tatooine/shared_planter_window_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3540340474', 'D3054EFA', 'object/static/structure/tatooine/shared_shed_junkshop_watto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2360757218', '8CB64BE2', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('1968966439', '755C0B27', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765108574', 'E06AFF5E', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095212814', '41479F0E', 'object/static/structure/tatooine/shared_skeleton_greater_krayt_spine_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2765616042', 'A4D7F3AA', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143312701', '7FC05B3D', 'object/static/structure/tatooine/shared_skeleton_krayt_arm_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709855452', 'DD1FE6DC', 'object/static/structure/tatooine/shared_skeleton_krayt_foot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1206320755', '47E6FE73', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633062116', '9CF156E4', 'object/static/structure/tatooine/shared_skeleton_krayt_head_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('244287544', 'E8F8838', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583516847', 'D59820AF', 'object/static/structure/tatooine/shared_skeleton_krayt_leg_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011148946', 'B37A7C92', 'object/static/structure/tatooine/shared_skeleton_krayt_ribcage.iff');
INSERT INTO `object_crc_string_table` VALUES ('2336540846', '8B44C8AE', 'object/static/structure/tatooine/shared_skeleton_krayt_tail.iff');
INSERT INTO `object_crc_string_table` VALUES ('1322132974', '4ECE25EE', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514062713', '95D98D79', 'object/static/structure/tatooine/shared_stair_tatooine_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860358744', '6EE2D258', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052763855', 'B5F57ACF', 'object/static/structure/tatooine/shared_stair_tatooine_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3200019712', 'BEBC6D00', 'object/static/structure/tatooine/shared_stone_hovel_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684082876', '646110BC', 'object/static/structure/tatooine/shared_streetsign_upright_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198539542', 'BEA5D716', 'object/static/structure/tatooine/shared_streetsign_wall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616904837', '9BFACC85', 'object/static/structure/tatooine/shared_tato_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1474884262', '57E8F2A6', 'object/static/structure/tatooine/shared_tato_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1417975984', '548498B0', 'object/static/structure/tatooine/shared_tent_house_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('380331488', '16AB65E0', 'object/static/structure/tatooine/shared_wall_archway_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('757634419', '2D289573', 'object/static/structure/tatooine/shared_wall_archway_tatooine_wide_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117988515', 'B9D8BAA3', 'object/static/structure/tatooine/shared_wall_cleft_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482982112', 'CF9A16E0', 'object/static/structure/tatooine/shared_wall_damaged_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317597393', 'C5BE84D1', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('514403398', '1EA92C46', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470385099', '57A44BCB', 'object/static/structure/tatooine/shared_wall_gate_tatooine_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('107098437', '6623145', 'object/static/structure/tatooine/shared_wall_gate_tatooine_wide_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988863044', 'EDC13844', 'object/static/structure/tatooine/shared_wall_junkshop_watto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746619484', 'A3B6165C', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023866059', '78A1BECB', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207965674', '839AE1EA', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229804318', '494D531E', 'object/static/structure/tatooine/shared_wall_pristine_tatooine_tall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589895396', 'D5F974E4', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('250535027', 'EEEDC73', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124410706', 'F5D58352', 'object/static/structure/tatooine/shared_wall_ruined_tatooine_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504717915', '954AF65B', 'object/static/structure/yavin/shared_yavn_imprv_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1455376607', '56BF48DF', 'object/static/structure/yavin/shared_yavn_imprv_flagpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890795531', 'AC4E0A0B', 'object/static/terrain/base/shared_static_terrain_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001053430', '7745A6F6', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_double.iff');
INSERT INTO `object_crc_string_table` VALUES ('269158049', '100B06A1', 'object/static/terrain/corellia/shared_rock_bowl_agrilat_single.iff');
INSERT INTO `object_crc_string_table` VALUES ('443205623', '1A6AC7F7', 'object/static/terrain/corellia/shared_rock_crystal_agrilat_arch_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3222394313', 'C011D5C9', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_half_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('925475782', '3729A3C6', 'object/static/terrain/corellia/shared_rock_crystal_arch_agrilat_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1782875920', '6A448710', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('667239859', '27C545B3', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_main.iff');
INSERT INTO `object_crc_string_table` VALUES ('2360913555', '8CB8AE93', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1583289145', '5E5F1339', 'object/static/terrain/corellia/shared_rock_crystal_geyser_agrilat_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649037373', '624A503D', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758241835', 'A4676E2B', 'object/static/terrain/corellia/shared_rock_crystal_mound_agrilat_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('563211563', '2191ED2B', 'object/static/terrain/corellia/shared_rock_crystl_shrpbush_main.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674710016', '9F6CD600', 'object/static/terrain/corellia/shared_rock_crystl_shrpbush_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('751683644', '2CCDC83C', 'object/static/terrain/corellia/shared_rock_crystl_shrpbush_sm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387521344', '8E4EAF40', 'object/static/terrain/tatooine/shared_pinnacle_sacred_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3940129403', 'EAD99A7B', 'object/static/terrain/tatooine/shared_poi_sarlacc_collision_floor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663567208', 'DA5D9968', 'object/static/terrain/tatooine/shared_rock_arch_large_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3478274265', 'CF5240D9', 'object/static/terrain/tatooine/shared_rock_arch_medium_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539268114', 'D2F4F212', 'object/static/terrain/tatooine/shared_rock_arch_small_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('611566460', '2473C37C', 'object/static/terrain/tatooine/shared_rock_mushroom_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1526101729', '5AF676E1', 'object/static/terrain/tatooine/shared_rock_spire_fin_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3421956208', 'CBF6E870', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1746495727', '681968EF', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004088440', 'B30EC078', 'object/static/terrain/tatooine/shared_rock_spire_lumpy_tatooine_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('505839558', '1E267FC6', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('24378186', '173FB4A', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3664008157', 'DA6453DD', 'object/static/terrain/tatooine/shared_rock_spire_skinny_tatooine_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3455314010', 'CDF3E85A', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('323068853', '1341A3B5', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3361082146', 'C8560B22', 'object/static/terrain/tatooine/shared_rock_spire_smooth_tatooine_style_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('956566051', '39040A23', 'object/static/test/shared_test_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262353977', '4B3DFE39', 'object/static/test/shared_test_blaster_bolt.iff');
INSERT INTO `object_crc_string_table` VALUES ('4068306658', 'F27D6EE2', 'object/static/test/shared_test_sound_obelisk_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('694863477', '296AC675', 'object/static/test/shared_test_sound_obelisk_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('82674764', '4ED844C', 'object/static/test/shared_test_static_sandcrawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401779536', '8F283F50', 'object/static/vehicle/e3/shared_landspeeder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3753376188', 'DFB7F9BC', 'object/static/vehicle/shared_player_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('520035504', '1EFF1CB0', 'object/static/vehicle/shared_static_lambda_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1560527030', '5D03C0B6', 'object/static/vehicle/shared_static_sandcrawler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319374106', '4EA40D1A', 'object/static/vehicle/shared_static_speeder_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844639584', '6DF2F760', 'object/static/vehicle/shared_static_swoop_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082501071', 'F35605CF', 'object/static/vehicle/shared_static_tie_bomber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095801974', '41509C76', 'object/static/vehicle/shared_static_tie_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895633812', '70FD1394', 'object/tangible/bank/shared_character_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3825894482', 'E40A8452', 'object/tangible/base/shared_tangible_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1525014593', '5AE5E041', 'object/tangible/base/shared_tangible_craftable.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350067174', '507863E6', 'object/tangible/base/shared_tangible_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246798191', '85EB6B6F', 'object/tangible/battery/shared_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480787913', 'CF789BC9', 'object/tangible/beta/shared_beta_terminal_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('600604858', '23CC80BA', 'object/tangible/beta/shared_beta_terminal_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1792262622', '6AD3C1DE', 'object/tangible/beta/shared_beta_terminal_money.iff');
INSERT INTO `object_crc_string_table` VALUES ('1782676583', '6A417C67', 'object/tangible/beta/shared_beta_terminal_resource.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453711903', '56A5E21F', 'object/tangible/beta/shared_beta_terminal_warp.iff');
INSERT INTO `object_crc_string_table` VALUES ('123483416', '75C3518', 'object/tangible/beta/shared_beta_terminal_wound.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440875324', 'CD17973C', 'object/tangible/beta/shared_beta_terminal_xp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3977978094', 'ED1B20EE', 'object/tangible/beta/shared_donham_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865262015', 'E66337BF', 'object/tangible/bug_jar/shared_craftable_bug_habitat.iff');
INSERT INTO `object_crc_string_table` VALUES ('649283460', '26B34784', 'object/tangible/bug_jar/shared_sample_bats.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990947640', 'B2463D38', 'object/tangible/bug_jar/shared_sample_bees.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650774020', '6264D004', 'object/tangible/bug_jar/shared_sample_bugs.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511677766', 'D14FF346', 'object/tangible/bug_jar/shared_sample_butterflies.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920617264', '727A4B30', 'object/tangible/bug_jar/shared_sample_flies.iff');
INSERT INTO `object_crc_string_table` VALUES ('543867771', '206AC37B', 'object/tangible/bug_jar/shared_sample_glowzees.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330824406', '4F52C4D6', 'object/tangible/bug_jar/shared_sample_moths.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093106291', 'B85D0E73', 'object/tangible/camp/shared_camp_chair_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665836772', '634AA6E4', 'object/tangible/camp/shared_camp_chair_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('709345641', '2A47C169', 'object/tangible/camp/shared_camp_chair_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403576504', '53A8E0B8', 'object/tangible/camp/shared_camp_control_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118144576', '42A58840', 'object/tangible/camp/shared_camp_cot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2382295007', '8DFEEFDF', 'object/tangible/camp/shared_camp_cot_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458128712', '56E94748', 'object/tangible/camp/shared_camp_cot_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('535044293', '1FE420C5', 'object/tangible/camp/shared_camp_cot_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3025871349', 'B45B21F5', 'object/tangible/camp/shared_camp_crate_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758920925', '68D700DD', 'object/tangible/camp/shared_camp_lantern_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015747658', 'B3C0A84A', 'object/tangible/camp/shared_camp_lantern_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207792071', 'FACDCFC7', 'object/tangible/camp/shared_camp_lantern_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201158823', '833304A7', 'object/tangible/camp/shared_camp_lawn_chair.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218683481', '48A3A259', 'object/tangible/camp/shared_camp_light_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478049998', '93B40ACE', 'object/tangible/camp/shared_camp_light_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3669585219', 'DAB96D43', 'object/tangible/camp/shared_camp_light_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526587554', 'D23374A2', 'object/tangible/camp/shared_camp_pavilion_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('153410613', '924DC35', 'object/tangible/camp/shared_camp_pavilion_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348365284', 'C793FFE4', 'object/tangible/camp/shared_camp_spit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3905285557', 'E8C5EDB5', 'object/tangible/camp/shared_camp_spit_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('869418274', '33D24522', 'object/tangible/camp/shared_camp_spit_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061443759', '7ADF22AF', 'object/tangible/camp/shared_camp_spit_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063678177', '3F6670E1', 'object/tangible/camp/shared_camp_stool_short.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243108837', 'C14DE9E5', 'object/tangible/camp/shared_camp_stool_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('2127813712', '7ED3DC50', 'object/tangible/camp/shared_camp_tent_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781115591', 'A5C474C7', 'object/tangible/camp/shared_camp_tent_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3972600650', 'ECC9134A', 'object/tangible/camp/shared_camp_tent_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('388642910', '172A385E', 'object/tangible/camp/shared_camp_tent_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579638739', '5E275FD3', 'object/tangible/camp/shared_camp_tent_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234578756', '8530F744', 'object/tangible/camp/shared_camp_tent_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850708683', '6E4F92CB', 'object/tangible/camp/shared_campfire_logs_ash.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245417317', 'C1712365', 'object/tangible/camp/shared_campfire_logs_burnt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992640015', '76C5460F', 'object/tangible/camp/shared_campfire_logs_fresh.iff');
INSERT INTO `object_crc_string_table` VALUES ('343626744', '147B53F8', 'object/tangible/camp/shared_campfire_logs_smoldering.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871435906', 'E6C16C82', 'object/tangible/component/armor/shared_armor_layer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368394489', 'C8C59EF9', 'object/tangible/component/armor/shared_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3979633097', 'ED3461C9', 'object/tangible/component/armor/shared_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118558688', '42ABD9E0', 'object/tangible/component/armor/shared_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194125131', '82C7B14B', 'object/tangible/component/armor/shared_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938969271', 'AF2D1CB7', 'object/tangible/component/armor/shared_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2751814176', 'A4055A20', 'object/tangible/component/armor/shared_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125319440', 'BA489710', 'object/tangible/component/armor/shared_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095312993', '7CE3F061', 'object/tangible/component/armor/shared_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536633958', 'D2CCC066', 'object/tangible/component/armor/shared_armor_layer_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('3874261151', 'E6EC889F', 'object/tangible/component/armor/shared_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996647863', 'B29D37B7', 'object/tangible/component/armor/shared_armor_layer_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('203108001', 'C1B2EA1', 'object/tangible/component/armor/shared_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1321171754', '4EBF7B2A', 'object/tangible/component/armor/shared_armor_module_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414299124', '8FE747F4', 'object/tangible/component/armor/shared_armor_module_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357044619', '50E2DB8B', 'object/tangible/component/armor/shared_armor_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('34830358', '2137816', 'object/tangible/component/armor/shared_armor_segment_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150752581', '44971745', 'object/tangible/component/armor/shared_armor_segment_bone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282707003', '4C748E3B', 'object/tangible/component/armor/shared_armor_segment_bone_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('2814096223', 'A7BBB35F', 'object/tangible/component/armor/shared_armor_segment_bone_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936004642', '73651622', 'object/tangible/component/armor/shared_armor_segment_bone_donkuwah.iff');
INSERT INTO `object_crc_string_table` VALUES ('2307142178', '89843222', 'object/tangible/component/armor/shared_armor_segment_bone_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('534961284', '1FE2DC84', 'object/tangible/component/armor/shared_armor_segment_bone_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3560749582', 'D43CBA0E', 'object/tangible/component/armor/shared_armor_segment_chitin.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809337004', 'A77314AC', 'object/tangible/component/armor/shared_armor_segment_chitin_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248573794', 'C1A14D62', 'object/tangible/component/armor/shared_armor_segment_chitin_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446761645', '91D69EAD', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037172516', '796CC924', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick_adv.iff');
INSERT INTO `object_crc_string_table` VALUES ('1708779648', '65D9E880', 'object/tangible/component/armor/shared_armor_segment_chitin_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596548182', 'D65EF856', 'object/tangible/component/armor/shared_armor_segment_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2764212654', 'A4C289AE', 'object/tangible/component/armor/shared_armor_segment_composite_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649372559', '9DEA378F', 'object/tangible/component/armor/shared_armor_segment_composite_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('591672738', '234435A2', 'object/tangible/component/armor/shared_armor_segment_enhancement_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('433071916', '19D0272C', 'object/tangible/component/armor/shared_armor_segment_enhancement_dragonet.iff');
INSERT INTO `object_crc_string_table` VALUES ('409289522', '18654332', 'object/tangible/component/armor/shared_armor_segment_enhancement_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('184239884', 'AFB470C', 'object/tangible/component/armor/shared_armor_segment_enhancement_janta.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365812164', 'C89E37C4', 'object/tangible/component/armor/shared_armor_segment_enhancement_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719593091', '667EE883', 'object/tangible/component/armor/shared_armor_segment_enhancement_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2132900638', '7F217B1E', 'object/tangible/component/armor/shared_armor_segment_enhancement_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147665676', '4467FD0C', 'object/tangible/component/armor/shared_armor_segment_enhancement_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('604719765', '240B4A95', 'object/tangible/component/armor/shared_armor_segment_enhancement_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169359198', '814DCB5E', 'object/tangible/component/armor/shared_armor_segment_enhancement_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('923046063', '370490AF', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080254682', 'F333BEDA', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3045138551', 'B5812077', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2163584319', '80F5AD3F', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253647713', 'C1EEB961', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2762649224', 'A4AAAE88', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728449296', '67060B10', 'object/tangible/component/armor/shared_armor_segment_padded.iff');
INSERT INTO `object_crc_string_table` VALUES ('962320502', '395BD876', 'object/tangible/component/armor/shared_armor_segment_padded_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071514894', 'B713990E', 'object/tangible/component/armor/shared_armor_segment_padded_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051360405', '7A454695', 'object/tangible/component/armor/shared_armor_segment_padded_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619219671', '9C1E1ED7', 'object/tangible/component/armor/shared_armor_segment_padded_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223101673', 'C01CA0E9', 'object/tangible/component/armor/shared_armor_segment_padded_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466801045', '576D9B95', 'object/tangible/component/armor/shared_armor_segment_ris.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553286313', 'D3CAD8A9', 'object/tangible/component/armor/shared_armor_segment_ris_acklay.iff');
INSERT INTO `object_crc_string_table` VALUES ('2314491777', '89F45781', 'object/tangible/component/armor/shared_armor_segment_ubese.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032868484', '3D905284', 'object/tangible/component/armor/shared_armor_segment_ubese_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378288672', '8DC1CE20', 'object/tangible/component/armor/shared_armor_segment_zam.iff');
INSERT INTO `object_crc_string_table` VALUES ('452144726', '1AF32E56', 'object/tangible/component/armor/shared_armor_segment_zam_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('524566894', '1F44416E', 'object/tangible/component/armor/shared_base_armor_segment_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('4007249575', 'EED9C6A7', 'object/tangible/component/armor/shared_bone_fragment_woolamander_harrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438496009', 'CCF34909', 'object/tangible/component/armor/shared_deflector_shield_emitter_assembly.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857960052', '6EBE3874', 'object/tangible/component/armor/shared_deflector_shield_generator_energy_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738138651', 'A334AE1B', 'object/tangible/component/armor/shared_deflector_shield_generator_particle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607341358', '9B68DF2E', 'object/tangible/component/armor/shared_deflector_shield_ion_feed_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649973177', '9DF361B9', 'object/tangible/component/armor/shared_deflector_shield_overload_discharge_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995769746', 'B28FD192', 'object/tangible/component/armor/shared_deflector_shield_projector_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381585751', '8DF41D57', 'object/tangible/component/armor/shared_feather_peko_albatross.iff');
INSERT INTO `object_crc_string_table` VALUES ('3619749395', 'D7C0FE13', 'object/tangible/component/armor/shared_heavy_armor_layer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874541769', '6FBB3CC9', 'object/tangible/component/armor/shared_heavy_armor_layer_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097043394', '7CFE57C2', 'object/tangible/component/armor/shared_heavy_armor_layer_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855973328', 'E5D57BD0', 'object/tangible/component/armor/shared_heavy_armor_layer_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('2909170926', 'AD666CEE', 'object/tangible/component/armor/shared_heavy_armor_layer_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153905054', '44C7319E', 'object/tangible/component/armor/shared_heavy_armor_layer_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639844661', '61BE0B35', 'object/tangible/component/armor/shared_heavy_armor_layer_environmental.iff');
INSERT INTO `object_crc_string_table` VALUES ('490091808', '1D363520', 'object/tangible/component/armor/shared_heavy_armor_layer_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016162937', '782C3479', 'object/tangible/component/armor/shared_heavy_armor_layer_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('34964498', '2158412', 'object/tangible/component/armor/shared_heavy_armor_layer_restraint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875559057', 'AB658C91', 'object/tangible/component/armor/shared_heavy_armor_layer_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('605934535', '241DD3C7', 'object/tangible/component/armor/shared_hide_gurk_king.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177620881', 'BD66A591', 'object/tangible/component/armor/shared_scale_giant_dune_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129011017', 'BA80EB49', 'object/tangible/component/armor/shared_shield_generator_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357133395', 'C819CA53', 'object/tangible/component/armor/shared_shield_generator_personal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2352410837', '8C36F0D5', 'object/tangible/component/armor/shared_shield_generator_personal_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3309016920', 'C53B9758', 'object/tangible/component/armor/shared_shield_generator_personal_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034696189', '3DAC35FD', 'object/tangible/component/armor/shared_shield_generator_personal_imperial_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('4081974766', 'F34DFDEE', 'object/tangible/component/armor/shared_shield_generator_vehicular.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531878022', '96E96486', 'object/tangible/component/base/shared_base_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398764559', '8EFA3E0F', 'object/tangible/component/base/shared_base_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('2106678290', '7D915C12', 'object/tangible/component/base/shared_base_dna_sample.iff');
INSERT INTO `object_crc_string_table` VALUES ('77505063', '49EA227', 'object/tangible/component/base/shared_base_electronic_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167521190', 'BCCC89A6', 'object/tangible/component/base/shared_base_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('219382584', 'D138338', 'object/tangible/component/bio/shared_base_bio_component_clothing_casual.iff');
INSERT INTO `object_crc_string_table` VALUES ('2494958129', '94B60A31', 'object/tangible/component/bio/shared_base_bio_component_clothing_field.iff');
INSERT INTO `object_crc_string_table` VALUES ('3815377986', 'E36A0C42', 'object/tangible/component/bio/shared_base_bio_component_clothing_formal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633814515', '9CFCD1F3', 'object/tangible/component/bio/shared_base_bio_component_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272895118', '4BDED68E', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790898256', 'A659BA50', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970227985', '756F4B11', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3713366872', 'DD557B58', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('55693017', '351CED9', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic.iff');
INSERT INTO `object_crc_string_table` VALUES ('608421917', '2443C81D', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483367767', 'CF9FF957', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121215649', '7E6F2EA1', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('861669010', '335C0692', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3979863035', 'ED37E3FB', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1523403607', '5ACD4B57', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3097107766', 'B89A1D36', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4173771067', 'F8C6B13B', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801496294', '6B60A6E6', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468672511', 'CEBFBDFF', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1895651741', '70FD599D', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495044005', '591C8FA5', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover.iff');
INSERT INTO `object_crc_string_table` VALUES ('467211451', '1BD914BB', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4223028089', 'FBB64B79', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('58582226', '37DE4D2', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984936227', 'B1EA8323', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980420512', 'ED4065A0', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2498712826', '94EF54FA', 'object/tangible/component/bio/shared_bio_component_food_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999617734', '772FBEC6', 'object/tangible/component/bio/shared_bio_component_food_heavy_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777049958', 'E1213566', 'object/tangible/component/bio/shared_bio_component_food_heavy_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750501285', 'DF8C1BA5', 'object/tangible/component/bio/shared_bio_component_food_heavy_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677884855', 'DB3811B7', 'object/tangible/component/bio/shared_bio_component_food_heavy_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438083108', '55B76824', 'object/tangible/component/bio/shared_bio_component_food_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207262465', 'FAC5BB01', 'object/tangible/component/bio/shared_bio_component_food_light_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041478053', 'F0E40FA5', 'object/tangible/component/bio/shared_bio_component_food_light_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945552565', 'AF9190B5', 'object/tangible/component/bio/shared_bio_component_food_light_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('1778167946', '69FCB08A', 'object/tangible/component/bio/shared_bio_component_food_light_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076711804', 'B762E57C', 'object/tangible/component/bio/shared_bio_component_food_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('856029112', '3305F7B8', 'object/tangible/component/bio/shared_bio_component_food_medium_filling.iff');
INSERT INTO `object_crc_string_table` VALUES ('1373118882', '51D821A2', 'object/tangible/component/bio/shared_bio_component_food_medium_flavor.iff');
INSERT INTO `object_crc_string_table` VALUES ('624506486', '25393676', 'object/tangible/component/bio/shared_bio_component_food_medium_nutrition.iff');
INSERT INTO `object_crc_string_table` VALUES ('3606276380', 'D6F3691C', 'object/tangible/component/bio/shared_bio_component_food_medium_quantity.iff');
INSERT INTO `object_crc_string_table` VALUES ('3704098001', 'DCC80CD1', 'object/tangible/component/chemistry/shared_biologic_effect_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300334388', '891C5134', 'object/tangible/component/chemistry/shared_biologic_effect_controller_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107717367', '42066CF7', 'object/tangible/component/chemistry/shared_chemistry_component.iff');
INSERT INTO `object_crc_string_table` VALUES ('2561274877', '98A9F3FD', 'object/tangible/component/chemistry/shared_dispersal_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183326232', '46882018', 'object/tangible/component/chemistry/shared_dispersal_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662200732', 'DA48BF9C', 'object/tangible/component/chemistry/shared_dispersal_mechanism_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566810278', '5D63A0A6', 'object/tangible/component/chemistry/shared_endrost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679113487', '64153D0F', 'object/tangible/component/chemistry/shared_infection_amplifier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1129599787', '4354532B', 'object/tangible/component/chemistry/shared_infection_amplifier_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2542466646', '978AF656', 'object/tangible/component/chemistry/shared_infection_amplifier_donkuwah.iff');
INSERT INTO `object_crc_string_table` VALUES ('1058893195', '3F1D6D8B', 'object/tangible/component/chemistry/shared_janta_blood.iff');
INSERT INTO `object_crc_string_table` VALUES ('3358009919', 'C8272A3F', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862978449', '6F0ACB91', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2125828642', '7EB59222', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('478044743', '1C7E6247', 'object/tangible/component/chemistry/shared_quest_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('317047330', '12E5C222', 'object/tangible/component/chemistry/shared_rancor_bile.iff');
INSERT INTO `object_crc_string_table` VALUES ('1870489005', '6F7D65AD', 'object/tangible/component/chemistry/shared_release_mechanism_duration.iff');
INSERT INTO `object_crc_string_table` VALUES ('282084455', '10D04467', 'object/tangible/component/chemistry/shared_release_mechanism_duration_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2132263971', '7F17C423', 'object/tangible/component/chemistry/shared_resilience_compound.iff');
INSERT INTO `object_crc_string_table` VALUES ('101893931', '612C72B', 'object/tangible/component/chemistry/shared_resilience_compound_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203679790', '83597C2E', 'object/tangible/component/chemistry/shared_solid_delivery_shell.iff');
INSERT INTO `object_crc_string_table` VALUES ('2952575979', 'AFFCBBEB', 'object/tangible/component/chemistry/shared_solid_delivery_shell_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428815879', 'CC5F9407', 'object/tangible/component/chemistry/shared_spider_venom.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621976108', 'D7E2F82C', 'object/tangible/component/clothing/shared_cargo_pocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('948917712', '388F55D0', 'object/tangible/component/clothing/shared_clasp_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281925235', '4C68A073', 'object/tangible/component/clothing/shared_clothing_treatment_crystalline.iff');
INSERT INTO `object_crc_string_table` VALUES ('347363744', '14B459A0', 'object/tangible/component/clothing/shared_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('967991397', '39B26065', 'object/tangible/component/clothing/shared_fiberplast_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3580972841', 'D5714F29', 'object/tangible/component/clothing/shared_jewelry_setting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558785369', '9883F759', 'object/tangible/component/clothing/shared_leather_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732023387', '673C945B', 'object/tangible/component/clothing/shared_metal_fasteners.iff');
INSERT INTO `object_crc_string_table` VALUES ('449019087', '1AC37CCF', 'object/tangible/component/clothing/shared_padding_segment.iff');
INSERT INTO `object_crc_string_table` VALUES ('142903413', '8848875', 'object/tangible/component/clothing/shared_reinforced_fiber_panels.iff');
INSERT INTO `object_crc_string_table` VALUES ('845264699', '3261B73B', 'object/tangible/component/clothing/shared_shoe_sole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133284732', '7F27577C', 'object/tangible/component/clothing/shared_synthetic_cloth.iff');
INSERT INTO `object_crc_string_table` VALUES ('3684307948', 'DB9A13EC', 'object/tangible/component/clothing/shared_trim.iff');
INSERT INTO `object_crc_string_table` VALUES ('3272908463', 'C3149EAF', 'object/tangible/component/dna/shared_dna_sample_above_average.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524715920', '967C1B90', 'object/tangible/component/dna/shared_dna_sample_average.iff');
INSERT INTO `object_crc_string_table` VALUES ('675784259', '2847A643', 'object/tangible/component/dna/shared_dna_sample_below_average.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034626514', 'B4E0B9D2', 'object/tangible/component/dna/shared_dna_sample_high.iff');
INSERT INTO `object_crc_string_table` VALUES ('2579345010', '99BDAE72', 'object/tangible/component/dna/shared_dna_sample_low.iff');
INSERT INTO `object_crc_string_table` VALUES ('299885620', '11DFE434', 'object/tangible/component/dna/shared_dna_sample_very_high.iff');
INSERT INTO `object_crc_string_table` VALUES ('1076609940', '402BC394', 'object/tangible/component/dna/shared_dna_sample_very_low.iff');
INSERT INTO `object_crc_string_table` VALUES ('461916189', '1B88481D', 'object/tangible/component/dna/shared_dna_template_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('726704759', '2B50A277', 'object/tangible/component/dna/shared_dna_template_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('727178963', '2B57DED3', 'object/tangible/component/dna/shared_dna_template_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1265107329', '4B680181', 'object/tangible/component/dna/shared_dna_template_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('706373854', '2A1A68DE', 'object/tangible/component/dna/shared_dna_template_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('214227430', 'CC4D9E6', 'object/tangible/component/dna/shared_dna_template_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395080056', '53273B78', 'object/tangible/component/dna/shared_dna_template_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('3633553517', 'D893A06D', 'object/tangible/component/dna/shared_dna_template_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875152726', '6FC48F56', 'object/tangible/component/dna/shared_dna_template_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('262963315', 'FAC8073', 'object/tangible/component/dna/shared_dna_template_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('1214055048', '485D0288', 'object/tangible/component/dna/shared_dna_template_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144992157', '443F319D', 'object/tangible/component/dna/shared_dna_template_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680199838', '6425D09E', 'object/tangible/component/dna/shared_dna_template_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('671613943', '280803F7', 'object/tangible/component/dna/shared_dna_template_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331331454', '4F5A817E', 'object/tangible/component/dna/shared_dna_template_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('836379806', '31DA249E', 'object/tangible/component/dna/shared_dna_template_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('17241294', '10714CE', 'object/tangible/component/dna/shared_dna_template_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('774185499', '2E25221B', 'object/tangible/component/dna/shared_dna_template_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857431024', '6EB625F0', 'object/tangible/component/dna/shared_dna_template_gurrcat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322704079', 'C60C70CF', 'object/tangible/component/dna/shared_dna_template_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('1112595757', '4250DD2D', 'object/tangible/component/dna/shared_dna_template_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1394407158', '531CF6F6', 'object/tangible/component/dna/shared_dna_template_kahmurra.iff');
INSERT INTO `object_crc_string_table` VALUES ('2155310796', '80776ECC', 'object/tangible/component/dna/shared_dna_template_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('67998893', '40D94AD', 'object/tangible/component/dna/shared_dna_template_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('4199501468', 'FA4F4E9C', 'object/tangible/component/dna/shared_dna_template_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2079919048', '7BF90BC8', 'object/tangible/component/dna/shared_dna_template_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819931989', 'E3AF8955', 'object/tangible/component/dna/shared_dna_template_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('324550464', '13583F40', 'object/tangible/component/dna/shared_dna_template_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390548887', '52E21797', 'object/tangible/component/dna/shared_dna_template_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('2605574472', '9B4DE948', 'object/tangible/component/dna/shared_dna_template_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055149098', 'B619E02A', 'object/tangible/component/dna/shared_dna_template_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1232171307', '4971712B', 'object/tangible/component/dna/shared_dna_template_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076355230', 'B75D749E', 'object/tangible/component/dna/shared_dna_template_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141045747', 'BB388DF3', 'object/tangible/component/dna/shared_dna_template_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('228699959', 'DA1AF37', 'object/tangible/component/dna/shared_dna_template_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('475400384', '1C5608C0', 'object/tangible/component/droid/repair/shared_capacitor_high_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('3184279961', 'BDCC4199', 'object/tangible/component/droid/repair/shared_capacitor_low_discharge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770332803', '69852283', 'object/tangible/component/droid/repair/shared_diagnostic_circuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133144792', '438A6AD8', 'object/tangible/component/droid/repair/shared_diagnostic_circuit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2336135433', '8B3E9909', 'object/tangible/component/droid/repair/shared_power_supply_redundant.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755831948', '68A7DE8C', 'object/tangible/component/droid/repair/shared_power_supply_redundant_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421721438', '9058895E', 'object/tangible/component/droid/repair/shared_repair_unit_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('295372848', '119B0830', 'object/tangible/component/droid/repair/shared_repair_unit_casing_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3230177189', 'C08897A5', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878973727', '6FFEDD1F', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744416781', 'DF2F440D', 'object/tangible/component/droid/shared_advanced_droid_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402137071', '5392E9EF', 'object/tangible/component/droid/shared_armor_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290434424', '88854178', 'object/tangible/component/droid/shared_armor_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3246925557', 'C18826F5', 'object/tangible/component/droid/shared_armor_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('980094433', '3A6B0DE1', 'object/tangible/component/droid/shared_armor_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936091756', '73666A6C', 'object/tangible/component/droid/shared_armor_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826027771', 'A871C2FB', 'object/tangible/component/droid/shared_armor_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('832469141', '319E7895', 'object/tangible/component/droid/shared_armor_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('262408920', 'FA40AD8', 'object/tangible/component/droid/shared_auto_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300613134', 'C4BB5C0E', 'object/tangible/component/droid/shared_binary_load_lifter_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671008634', 'DACF257A', 'object/tangible/component/droid/shared_combat_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('181867093', 'AD71255', 'object/tangible/component/droid/shared_combat_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404931840', '8F585900', 'object/tangible/component/droid/shared_crafting_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1487860845', '58AEF46D', 'object/tangible/component/droid/shared_crafting_module_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075775538', '7BB9D232', 'object/tangible/component/droid/shared_crafting_module_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('1790293285', '6AB5B525', 'object/tangible/component/droid/shared_crafting_module_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('3924145529', 'E9E5B579', 'object/tangible/component/droid/shared_crafting_module_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('226757157', 'D840A25', 'object/tangible/component/droid/shared_crafting_module_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611774846', '6011BB7E', 'object/tangible/component/droid/shared_data_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3137737705', 'BB0613E9', 'object/tangible/component/droid/shared_data_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4060836964', 'F20B7464', 'object/tangible/component/droid/shared_data_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('166223728', '9E85F70', 'object/tangible/component/droid/shared_data_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088764157', '40E538FD', 'object/tangible/component/droid/shared_data_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616365162', '9BF2906A', 'object/tangible/component/droid/shared_data_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('85639854', '51AC2AE', 'object/tangible/component/droid/shared_data_storage_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559519879', '988F2C87', 'object/tangible/component/droid/shared_defensive_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275393519', '4C04F5EF', 'object/tangible/component/droid/shared_detonation_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4221279122', 'FB9B9B92', 'object/tangible/component/droid/shared_droid_brain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341617238', '4FF77456', 'object/tangible/component/droid/shared_droid_brain_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225311396', 'C03E58A4', 'object/tangible/component/droid/shared_droid_combat_service_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837390071', 'E4B9ECF7', 'object/tangible/component/droid/shared_droid_interplanetary_survey.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558171946', 'D415652A', 'object/tangible/component/droid/shared_droid_motive_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3082446118', 'B7BA6526', 'object/tangible/component/droid/shared_droid_motive_system_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856991975', 'AA4A3CE7', 'object/tangible/component/droid/shared_droid_service_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3107140233', 'B9333289', 'object/tangible/component/droid/shared_droid_storage_compartment.iff');
INSERT INTO `object_crc_string_table` VALUES ('55086414', '3488D4E', 'object/tangible/component/droid/shared_harvest_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831537892', 'E460A0E4', 'object/tangible/component/droid/shared_harvest_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3060963086', 'B672970E', 'object/tangible/component/droid/shared_item_storage_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835351961', '6D653F99', 'object/tangible/component/droid/shared_item_storage_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('610818068', '24685814', 'object/tangible/component/droid/shared_item_storage_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750458112', 'DF8B7300', 'object/tangible/component/droid/shared_item_storage_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2525369485', '9686148D', 'object/tangible/component/droid/shared_item_storage_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1301396506', '4D91BC1A', 'object/tangible/component/droid/shared_item_storage_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210035121', '481FABB1', 'object/tangible/component/droid/shared_item_storage_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573291172', '5DC684A4', 'object/tangible/component/droid/shared_le_repair_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333622407', '4F7D7687', 'object/tangible/component/droid/shared_manipulator_arm.iff');
INSERT INTO `object_crc_string_table` VALUES ('295096971', '1196D28B', 'object/tangible/component/droid/shared_manipulator_arm_package_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818431431', 'E398A3C7', 'object/tangible/component/droid/shared_medic_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('948898640', '388F0B50', 'object/tangible/component/droid/shared_medic_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904372957', '71826CDD', 'object/tangible/component/droid/shared_medic_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321631177', '8A6147C9', 'object/tangible/component/droid/shared_medic_module_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278643268', 'C36C2044', 'object/tangible/component/droid/shared_medic_module_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('410749139', '187B88D3', 'object/tangible/component/droid/shared_medic_module_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3806402681', 'E2E11879', 'object/tangible/component/droid/shared_medic_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3094537787', 'B872E63B', 'object/tangible/component/droid/shared_merchant_barker.iff');
INSERT INTO `object_crc_string_table` VALUES ('246819840', 'EB62C00', 'object/tangible/component/droid/shared_merchant_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364795143', '8CF3E907', 'object/tangible/component/droid/shared_p0_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350039140', '8C12C064', 'object/tangible/component/droid/shared_performer_effects_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('864794171', '338BB63B', 'object/tangible/component/droid/shared_performer_effects_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459972339', '570568F3', 'object/tangible/component/droid/shared_performer_effects_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('503844734', '1E080F7E', 'object/tangible/component/droid/shared_performer_effects_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3857392746', 'E5EB246A', 'object/tangible/component/droid/shared_performer_effects_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900771815', 'ACE643E7', 'object/tangible/component/droid/shared_performer_effects_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069945063', '3FC610E7', 'object/tangible/component/droid/shared_personality_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('671855097', '280BB1F9', 'object/tangible/component/droid/shared_personality_module_geek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491692659', 'D01F0073', 'object/tangible/component/droid/shared_personality_module_prissy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1046791817', '3E64C689', 'object/tangible/component/droid/shared_personality_module_sarcastic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1711429491', '66025773', 'object/tangible/component/droid/shared_personality_module_slang.iff');
INSERT INTO `object_crc_string_table` VALUES ('1083621645', '4096C10D', 'object/tangible/component/droid/shared_personality_module_stupid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3187389726', 'BDFBB51E', 'object/tangible/component/droid/shared_personality_module_worshipful.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859558728', 'AA716748', 'object/tangible/component/droid/shared_playback_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('498496861', '1DB6755D', 'object/tangible/component/droid/shared_probot_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039239193', 'F0C1E619', 'object/tangible/component/droid/shared_r2_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208619072', 'FADA6E40', 'object/tangible/component/droid/shared_r3_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432568783', 'CC98D7CF', 'object/tangible/component/droid/shared_r4_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786060955', 'A60FEA9B', 'object/tangible/component/droid/shared_repair_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157404831', 'F7CCF69F', 'object/tangible/component/droid/shared_sensor_package_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3701424953', 'DC9F4339', 'object/tangible/component/droid/shared_socket_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('1691889339', '64D82EBB', 'object/tangible/component/droid/shared_stimpack_dispensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1728777315', '670B0C63', 'object/tangible/component/droid/shared_struct_maint_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155993844', 'BC1CA4F4', 'object/tangible/component/droid/shared_struct_maint_module_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111582073', 'F511C379', 'object/tangible/component/droid/shared_struct_maint_module_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2223185422', '84831E0E', 'object/tangible/component/droid/shared_struct_maint_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2925064047', 'AE58EF6F', 'object/tangible/component/droid/shared_surgical_droid_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443959311', 'CD46A60F', 'object/tangible/component/droid/shared_trap_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2178596494', '81DABE8E', 'object/tangible/component/droid/shared_trap_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1975147691', '75BA5CAB', 'object/tangible/component/food/base/shared_drink_container_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005001840', 'EEB77A70', 'object/tangible/component/food/secrets/shared_secret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2542399223', '9789EEF7', 'object/tangible/component/food/secrets/shared_secret_imperial_biochem.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836800845', '6D7B5B4D', 'object/tangible/component/food/secrets/shared_secret_rebel_biochem.iff');
INSERT INTO `object_crc_string_table` VALUES ('208291925', 'C6A4855', 'object/tangible/component/food/shared_container_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('225597999', 'D725A2F', 'object/tangible/component/food/shared_container_cask.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157356093', '44FBDA3D', 'object/tangible/component/food/shared_container_large_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135258442', 'F67B094A', 'object/tangible/component/food/shared_container_small_glass.iff');
INSERT INTO `object_crc_string_table` VALUES ('4273682590', 'FEBB389E', 'object/tangible/component/food/shared_ingredient_ball_of_dough.iff');
INSERT INTO `object_crc_string_table` VALUES ('3067661591', 'B6D8CD17', 'object/tangible/component/food/shared_ingredient_carbosyrup.iff');
INSERT INTO `object_crc_string_table` VALUES ('264284589', 'FC0A9AD', 'object/tangible/component/instrument/shared_dual_wave_synthesizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184126369', '822F1FA1', 'object/tangible/component/item/quest_item/shared_corrective_inducer.iff');
INSERT INTO `object_crc_string_table` VALUES ('899191445', '35989295', 'object/tangible/component/item/quest_item/shared_current_motivator.iff');
INSERT INTO `object_crc_string_table` VALUES ('361454355', '158B5B13', 'object/tangible/component/item/quest_item/shared_cycle_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146196136', '7FEC5AA8', 'object/tangible/component/item/quest_item/shared_decoherence_sensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3309489661', 'C542CDFD', 'object/tangible/component/item/quest_item/shared_directional_sensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('111523036', '6A5B4DC', 'object/tangible/component/item/quest_item/shared_loop_auditor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2600965554', '9B0795B2', 'object/tangible/component/item/quest_item/shared_momentum_compensator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1180256886', '46594A76', 'object/tangible/component/item/quest_item/shared_particle_sensor.iff');
INSERT INTO `object_crc_string_table` VALUES ('754272347', '2CF5485B', 'object/tangible/component/item/quest_item/shared_signal_cleanup_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201370721', '83364061', 'object/tangible/component/item/quest_item/shared_signal_rerouter.iff');
INSERT INTO `object_crc_string_table` VALUES ('529542099', '1F902BD3', 'object/tangible/component/item/quest_item/shared_spin_alignment_inducer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561575461', 'D4495425', 'object/tangible/component/item/quest_item/shared_transductive_shunt.iff');
INSERT INTO `object_crc_string_table` VALUES ('815023209', '30944469', 'object/tangible/component/item/quest_item/shared_tuning_cell.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604740995', 'D6DBFB83', 'object/tangible/component/item/quest_item/shared_variance_throttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('373412997', '1641D485', 'object/tangible/component/item/quest_item/shared_voltage_inducer.iff');
INSERT INTO `object_crc_string_table` VALUES ('814846904', '309193B8', 'object/tangible/component/item/shared_electronic_control_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328520335', 'C665308F', 'object/tangible/component/item/shared_electronic_energy_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1024745663', '3D1460BF', 'object/tangible/component/item/shared_electronic_power_conditioner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786408832', 'E1B00380', 'object/tangible/component/item/shared_electronics_gp_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3552886678', 'D3C4BF96', 'object/tangible/component/item/shared_electronics_memory_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('366580459', '15D992EB', 'object/tangible/component/item/shared_large_sensor_package.iff');
INSERT INTO `object_crc_string_table` VALUES ('3198540321', 'BEA5DA21', 'object/tangible/component/item/shared_micro_sensor_suite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3684259216', 'DB995590', 'object/tangible/component/munition/shared_acklay_venom.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029895422', 'F03352FE', 'object/tangible/component/munition/shared_ammo_projectile.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717162905', '6659D399', 'object/tangible/component/munition/shared_ammo_projectile_entanglement.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098837027', '417EEC23', 'object/tangible/component/munition/shared_base_munition_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1739187546', '67A9E55A', 'object/tangible/component/munition/shared_enhanced_charge_composition.iff');
INSERT INTO `object_crc_string_table` VALUES ('411019932', '187FAA9C', 'object/tangible/component/munition/shared_enhanced_charge_shaping.iff');
INSERT INTO `object_crc_string_table` VALUES ('3545355156', 'D351D394', 'object/tangible/component/munition/shared_enhanced_destructive_pulse_channeling.iff');
INSERT INTO `object_crc_string_table` VALUES ('628465189', '25759E25', 'object/tangible/component/munition/shared_enhanced_fragmentation_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311758812', 'C5656DDC', 'object/tangible/component/munition/shared_kliknick_gland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3966888720', 'EC71EB10', 'object/tangible/component/munition/shared_warhead_chemical.iff');
INSERT INTO `object_crc_string_table` VALUES ('896289962', '356C4CAA', 'object/tangible/component/munition/shared_warhead_fusing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('2416425450', '9007B9EA', 'object/tangible/component/munition/shared_warhead_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1365214516', '515F8534', 'object/tangible/component/munition/shared_warhead_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1284211616', '4C8B83A0', 'object/tangible/component/munition/shared_warhead_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1000887058', '3BA85312', 'object/tangible/component/munition/shared_warhead_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456087885', 'CDFFB74D', 'object/tangible/component/shared_barrel_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2450471928', '920F3BF8', 'object/tangible/component/shared_blaster_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845827705', 'E53AAC79', 'object/tangible/component/shared_blaster_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638681735', '9D471687', 'object/tangible/component/shared_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899287284', 'E86A66F4', 'object/tangible/component/shared_scope_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675600168', '63DFA128', 'object/tangible/component/structure/shared_capacitor_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644580711', '62064F67', 'object/tangible/component/structure/shared_connections.iff');
INSERT INTO `object_crc_string_table` VALUES ('499199094', '1DC12C76', 'object/tangible/component/structure/shared_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363328023', '5142BC17', 'object/tangible/component/structure/shared_generator_turbine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2168038464', '8139A440', 'object/tangible/component/structure/shared_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202910010', 'FA83513A', 'object/tangible/component/structure/shared_heavy_harvesting_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100404133', 'F46733A5', 'object/tangible/component/structure/shared_light_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333204559', '4F77164F', 'object/tangible/component/structure/shared_light_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('216556073', 'CE86229', 'object/tangible/component/structure/shared_lightweight_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('1039813801', '3DFA4CA9', 'object/tangible/component/structure/shared_lightweight_turret_electronics.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213385801', '83ED9649', 'object/tangible/component/structure/shared_lightweight_turret_hardware.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031466188', '7915B6CC', 'object/tangible/component/structure/shared_manufacturing_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('494485339', '1D793F5B', 'object/tangible/component/structure/shared_ore_mining_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2791905969', 'A6691AB1', 'object/tangible/component/structure/shared_power_core_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750169887', '6851791F', 'object/tangible/component/structure/shared_power_supply.iff');
INSERT INTO `object_crc_string_table` VALUES ('872977107', '340892D3', 'object/tangible/component/structure/shared_primary_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750151391', '685130DF', 'object/tangible/component/structure/shared_refined_ardanium_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('4117820382', 'F570F3DE', 'object/tangible/component/structure/shared_refined_endrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234052884', 'C0C3BB14', 'object/tangible/component/structure/shared_refined_rudic.iff');
INSERT INTO `object_crc_string_table` VALUES ('334361877', '13EDF515', 'object/tangible/component/structure/shared_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157237478', '8094D4E6', 'object/tangible/component/structure/shared_reinforced_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222934197', 'FBB4DCB5', 'object/tangible/component/structure/shared_shield_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('581097497', '22A2D819', 'object/tangible/component/structure/shared_structural_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065121947', 'B6B20C9B', 'object/tangible/component/structure/shared_structure_small_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('2670328164', '9F29F964', 'object/tangible/component/structure/shared_structure_storage_section.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576172943', 'D528118F', 'object/tangible/component/structure/shared_turbo_fluidic_drilling_pumping_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084238827', 'B7D5BFEB', 'object/tangible/component/structure/shared_unit_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('831970225', '3196DBB1', 'object/tangible/component/structure/shared_wall_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919359812', 'E99CAF44', 'object/tangible/component/structure/shared_weapon_high_power_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638822414', 'D8E4060E', 'object/tangible/component/structure/shared_weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466579247', 'CE9FCD2F', 'object/tangible/component/vehicle/base/shared_base_armor_panel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375082309', 'C92BAB45', 'object/tangible/component/vehicle/base/shared_base_veh_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342686472', '5007C508', 'object/tangible/component/vehicle/base/shared_base_veh_hull_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126672435', 'BA5D3C33', 'object/tangible/component/vehicle/base/shared_base_veh_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158223239', 'F7D97387', 'object/tangible/component/vehicle/base/shared_base_veh_weapon_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865021906', 'E65F8DD2', 'object/tangible/component/vehicle/shared_adv_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1510776729', '5A0C9F99', 'object/tangible/component/vehicle/shared_adv_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581441816', '5E42E318', 'object/tangible/component/vehicle/shared_adv_vehicle_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('786572723', '2EE225B3', 'object/tangible/component/vehicle/shared_adv_vehicle_structure_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382684326', '526A16A6', 'object/tangible/component/vehicle/shared_adv_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3241531623', 'C135D8E7', 'object/tangible/component/vehicle/shared_armor_panel_acid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1069256646', '3FBB8FC6', 'object/tangible/component/vehicle/shared_armor_panel_blast.iff');
INSERT INTO `object_crc_string_table` VALUES ('1264295934', '4B5B9FFE', 'object/tangible/component/vehicle/shared_armor_panel_cold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441847905', 'CD266E61', 'object/tangible/component/vehicle/shared_armor_panel_electrical.iff');
INSERT INTO `object_crc_string_table` VALUES ('953836336', '38DA6330', 'object/tangible/component/vehicle/shared_armor_panel_energy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015233806', 'B3B8D10E', 'object/tangible/component/vehicle/shared_armor_panel_heat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965773562', 'B0C61CFA', 'object/tangible/component/vehicle/shared_armor_panel_kinetic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681561469', '643A977D', 'object/tangible/component/vehicle/shared_armor_plating_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207413738', 'BF2D3FEA', 'object/tangible/component/vehicle/shared_armor_plating_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4129314919', 'F6205867', 'object/tangible/component/vehicle/shared_armor_plating_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1669906342', '6388BFA6', 'object/tangible/component/vehicle/shared_auto_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207704663', 'BF31B057', 'object/tangible/component/vehicle/shared_blaster_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196904136', 'FA27ACC8', 'object/tangible/component/vehicle/shared_civilian_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4241836654', 'FCD54A6E', 'object/tangible/component/vehicle/shared_civilian_aa.iff');
INSERT INTO `object_crc_string_table` VALUES ('556794975', '2130045F', 'object/tangible/component/vehicle/shared_civilian_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748853714', '683D63D2', 'object/tangible/component/vehicle/shared_civilian_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480818374', '93DE48C6', 'object/tangible/component/vehicle/shared_civilian_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671273291', 'DAD32F4B', 'object/tangible/component/vehicle/shared_civilian_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4011041142', 'EF13A176', 'object/tangible/component/vehicle/shared_command_center.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526466923', '9696D36B', 'object/tangible/component/vehicle/shared_disperser.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758294677', '68CD7295', 'object/tangible/component/vehicle/shared_dx_disruptor_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423684763', '90767E9B', 'object/tangible/component/vehicle/shared_extended_fuel_tanks.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508560129', '59EACD01', 'object/tangible/component/vehicle/shared_extended_fuel_tanks_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('875276992', '342BAAC0', 'object/tangible/component/vehicle/shared_fuel_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013687383', 'EF3C0257', 'object/tangible/component/vehicle/shared_fuel_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788255194', 'A63165DA', 'object/tangible/component/vehicle/shared_fuel_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2771769499', 'A535D89B', 'object/tangible/component/vehicle/shared_fuel_cell_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116186124', '7E22700C', 'object/tangible/component/vehicle/shared_fuel_cell_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('925833089', '372F1781', 'object/tangible/component/vehicle/shared_fuel_cell_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1799983183', '6B49904F', 'object/tangible/component/vehicle/shared_hvy_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('873571042', '3411A2E2', 'object/tangible/component/vehicle/shared_hvy_projectile_feed_mech.iff');
INSERT INTO `object_crc_string_table` VALUES ('23811175', '16B5467', 'object/tangible/component/vehicle/shared_laser_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036478700', '796232EC', 'object/tangible/component/vehicle/shared_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252736157', 'C1E0D09D', 'object/tangible/component/vehicle/shared_launcher_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394427130', 'CA52D8FA', 'object/tangible/component/vehicle/shared_mass_driver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996260675', 'EE321943', 'object/tangible/component/vehicle/shared_military_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('891662804', '3525B1D4', 'object/tangible/component/vehicle/shared_military_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2083051097', '7C28D659', 'object/tangible/component/vehicle/shared_military_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278292813', '87CBFD4D', 'object/tangible/component/vehicle/shared_military_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3469122240', 'CEC69AC0', 'object/tangible/component/vehicle/shared_military_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('679614064', '28821670', 'object/tangible/component/vehicle/shared_mini_launcher_pod.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469492977', '5796AEF1', 'object/tangible/component/vehicle/shared_proton_torpedo_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('3412711253', 'CB69D755', 'object/tangible/component/vehicle/shared_reactor_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('193714292', 'B8BD874', 'object/tangible/component/vehicle/shared_storage_bay.iff');
INSERT INTO `object_crc_string_table` VALUES ('1158767213', '4511626D', 'object/tangible/component/vehicle/shared_structural_reinforcements.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107974846', '7DA524BE', 'object/tangible/component/vehicle/shared_structural_reinforcements_hvy.iff');
INSERT INTO `object_crc_string_table` VALUES ('988089930', '3AE50E4A', 'object/tangible/component/vehicle/shared_veh_power_plant_av21.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595754938', '9AB813BA', 'object/tangible/component/vehicle/shared_veh_power_plant_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102035757', '41AFBB2D', 'object/tangible/component/vehicle/shared_veh_power_plant_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('144891040', '8A2DCA0', 'object/tangible/component/vehicle/shared_veh_power_plant_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1124134870', '4300EFD6', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551662401', '98174741', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508150476', 'D11A20CC', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2537869251', '9744CFC3', 'object/tangible/component/vehicle/shared_vehicle_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570010963', '992F4153', 'object/tangible/component/vehicle/shared_vehicle_structure_frame.iff');
INSERT INTO `object_crc_string_table` VALUES ('4289490254', 'FFAC6D4E', 'object/tangible/component/vehicle/shared_warhead_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201896584', 'FA73DA88', 'object/tangible/component/vehicle/shared_weapon_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('1550314035', '5C67EA33', 'object/tangible/component/vehicle/shared_weapon_link.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404051263', 'CAE5B33F', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_lance_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('2816851382', 'A7E5BDB6', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896638798', '710C694E', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_lance_module_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('384190732', '16E6490C', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_attackspeed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224509400', '849751D8', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_color.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690389169', 'DBF6DEB1', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('4273612814', 'FEBA280E', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573227590', 'D4FB2046', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_forcecost.iff');
INSERT INTO `object_crc_string_table` VALUES ('2322379839', '8A6CB43F', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_krayt_dragon_pearl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396643279', '533F15CF', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_woundchance.iff');
INSERT INTO `object_crc_string_table` VALUES ('4078172805', 'F313FA85', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_refined_crystal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088226280', 'F3AD61E8', 'object/tangible/component/weapon/shared_acklay_bone_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003199598', 'B301306E', 'object/tangible/component/weapon/shared_base_blaster_power_handler_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('2928380904', 'AE8B8BE8', 'object/tangible/component/weapon/shared_base_projectile_feed_mechanism_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563728747', '5D349B6B', 'object/tangible/component/weapon/shared_base_vibro_unit_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710329756', '65F18F9C', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092661773', '7CBB7C0D', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3202754315', 'BEE6270B', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421758291', '90591953', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4159389830', 'F7EB4086', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3422078361', 'CBF8C599', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('201878418', 'C086B92', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297927768', '4D5CCE58', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1157958687', '45050C1F', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('385684114', '16FD1292', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2652021896', '9E12A488', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196366284', 'FA1F77CC', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3609182981', 'D71FC305', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713627398', 'A1BEAB06', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222005055', 'FBA6AF3F', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666495250', 'DA8A4712', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('548472744', '20B107A8', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('912794188', '3668224C', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773953061', '69BC6025', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841954438', '6DC9FE86', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455718705', '925F4B31', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3949851975', 'EB6DF547', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679595708', 'DB522CBC', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2966169997', 'B0CC298D', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4555819', '45842B', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1546538195', '5C2E4CD3', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229513638', '4948E3A6', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('126849049', '78F9019', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3175095314', 'BD401C12', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('867179315', '33B01B33', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717023877', '6657B485', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746725485', 'DF527E6D', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('794481416', '2F5AD308', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2230559399', '84F3A2A7', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3568957468', 'D4B9F81C', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('39299430', '257A966', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645860241', '9DB49F91', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509324204', '59F675AC', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185101574', '46A33706', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037991154', 'B51410F2', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('263082123', 'FAE508B', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004891704', 'EEB5CC38', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07_lg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001062270', 'B2E0937E', 'object/tangible/component/weapon/shared_blaster_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4250066631', 'FD52DEC7', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2263958541', '86F1440D', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3399297408', 'CA9D2980', 'object/tangible/component/weapon/shared_blaster_power_handler.iff');
INSERT INTO `object_crc_string_table` VALUES ('1426378303', '5504CE3F', 'object/tangible/component/weapon/shared_blaster_power_handler_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717492287', '665EDA3F', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_durability.iff');
INSERT INTO `object_crc_string_table` VALUES ('3981194570', 'ED4C354A', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_krayt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3285791160', 'C3D931B8', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_max_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158958561', 'F7E4ABE1', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_min_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3074802434', 'B745C302', 'object/tangible/component/weapon/shared_blaster_power_handler_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('260681278', 'F89AE3E', 'object/tangible/component/weapon/shared_blaster_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('992626072', '3B2A4598', 'object/tangible/component/weapon/shared_blaster_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194049951', '472BC19F', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('1411275981', '541E5CCD', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758372574', 'E00436DE', 'object/tangible/component/weapon/shared_corvette_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('491130592', '1D460EE0', 'object/tangible/component/weapon/shared_energization_crystals.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061079973', 'F20F29A5', 'object/tangible/component/weapon/shared_galven_tube_circuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313307226', '89E2445A', 'object/tangible/component/weapon/shared_geonosian_power_cube.iff');
INSERT INTO `object_crc_string_table` VALUES ('4092441918', 'F3EDB53E', 'object/tangible/component/weapon/shared_geonosian_power_cube_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570329564', '99341DDC', 'object/tangible/component/weapon/shared_geonosian_power_cube_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('98191878', '5DA4A06', 'object/tangible/component/weapon/shared_geonosian_power_cube_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('783478248', '2EB2EDE8', 'object/tangible/component/weapon/shared_geonosian_power_cube_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362781931', '8CD530EB', 'object/tangible/component/weapon/shared_geonosian_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('3710952248', 'DD30A338', 'object/tangible/component/weapon/shared_geonosian_solidifying_agent.iff');
INSERT INTO `object_crc_string_table` VALUES ('927591163', '3749EAFB', 'object/tangible/component/weapon/shared_geonosian_sword_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251276199', '862FBFA7', 'object/tangible/component/weapon/shared_laser_cannon_cooling_sleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385368085', '52930A15', 'object/tangible/component/weapon/shared_laser_cannon_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('695643472', '2976AD50', 'object/tangible/component/weapon/shared_laser_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('741674762', '2C350F0A', 'object/tangible/component/weapon/shared_laser_magnetic_flashback_supressor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988462144', 'EDBB1A40', 'object/tangible/component/weapon/shared_melee_core_enhancement.iff');
INSERT INTO `object_crc_string_table` VALUES ('466802862', '1BD2D8AE', 'object/tangible/component/weapon/shared_parallel_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361510729', '51270149', 'object/tangible/component/weapon/shared_projectile_feed_mechanism.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156025153', 'F7B7E941', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517204001', '5A6EB221', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_durability.iff');
INSERT INTO `object_crc_string_table` VALUES ('255106526', 'F349DDE', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293482918', 'FFE959A6', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_max_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3419718655', 'CBD4C3FF', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_min_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1216914672', '4888A4F0', 'object/tangible/component/weapon/shared_projectile_pistol_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447151631', 'CD775C0F', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641350102', '61D503D6', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('769812356', '2DE26784', 'object/tangible/component/weapon/shared_projectile_rifle_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('594573612', '2370792C', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2968083189', 'B0E95AF5', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3366067371', 'C8A21CAB', 'object/tangible/component/weapon/shared_rancor_tooth.iff');
INSERT INTO `object_crc_string_table` VALUES ('829703922', '317446F2', 'object/tangible/component/weapon/shared_rancor_tooth_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('600823841', '23CFD821', 'object/tangible/component/weapon/shared_reinforcement_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('276012891', '10739F5B', 'object/tangible/component/weapon/shared_reinforcement_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('46230492', '2C16BDC', 'object/tangible/component/weapon/shared_scope_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('210395856', 'C8A62D0', 'object/tangible/component/weapon/shared_scope_weapon_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286610922', 'C3E5B3EA', 'object/tangible/component/weapon/shared_scope_weapon_advanced_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1450202343', '567054E7', 'object/tangible/component/weapon/shared_scope_weapon_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372402288', '8D67FC70', 'object/tangible/component/weapon/shared_scope_weapon_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295321085', 'C46A9BFD', 'object/tangible/component/weapon/shared_scope_weapon_lg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2395064169', '8EC1C769', 'object/tangible/component/weapon/shared_scope_weapon_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440116734', '55D66FFE', 'object/tangible/component/weapon/shared_scope_weapon_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('484116595', '1CDB0873', 'object/tangible/component/weapon/shared_scope_weapon_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3879215975', 'E7382367', 'object/tangible/component/weapon/shared_scope_weapon_sm_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922726634', 'AE3544EA', 'object/tangible/component/weapon/shared_scope_weapon_sm_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1965223037', '7522EC7D', 'object/tangible/component/weapon/shared_scope_weapon_sm_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418250527', '5488C91F', 'object/tangible/component/weapon/shared_spider_spine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306652479', '897CB93F', 'object/tangible/component/weapon/shared_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440579824', 'CD1314F0', 'object/tangible/component/weapon/shared_stock_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('473297139', '1C35F0F3', 'object/tangible/component/weapon/shared_stock_advanced_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001742780', 'B2EAF5BC', 'object/tangible/component/weapon/shared_sword_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('639496171', '261DEFEB', 'object/tangible/component/weapon/shared_sword_core_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('937100583', '37DB0527', 'object/tangible/component/weapon/shared_sword_core_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2743057273', 'A37FBB79', 'object/tangible/component/weapon/shared_turbo_laser_gun_tube.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075249202', '7BB1CA32', 'object/tangible/component/weapon/shared_vibro_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094994187', '4144490B', 'object/tangible/component/weapon/shared_vibro_unit_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('719270332', '2ADF31BC', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_durability.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404964923', '8F58DA3B', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_max_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3143975010', 'BB654062', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_min_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279704725', '4C46BE95', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_wounding.iff');
INSERT INTO `object_crc_string_table` VALUES ('3670724056', 'DACACDD8', 'object/tangible/component/weapon/shared_vibro_unit_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('2177771940', '81CE29A4', 'object/tangible/component/weapon/shared_vibro_unit_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845302346', 'E532A84A', 'object/tangible/component/weapon/shared_weapon_carbine_laser_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('784421487', '2EC1526F', 'object/tangible/component/weapon/shared_weapon_dlt20_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265377487', 'C2A1B4CF', 'object/tangible/component/weapon/shared_weapon_dxr6_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778389108', 'A59ADA74', 'object/tangible/component/weapon/shared_weapon_e11_stock_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3082135386', 'B7B5A75A', 'object/tangible/component/weapon/shared_weapon_e11_stock_open.iff');
INSERT INTO `object_crc_string_table` VALUES ('119190783', '71AB4FF', 'object/tangible/component/weapon/shared_weapon_ee3_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199807561', '831E6649', 'object/tangible/component/weapon/shared_weapon_elite_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('4368733', '42A95D', 'object/tangible/component/weapon/shared_weapon_mount.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483742937', '58701ED9', 'object/tangible/component/weapon/shared_weapon_mount_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098038776', '7D0D87F8', 'object/tangible/component/weapon/shared_weapon_rifle_laser_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060795790', '3F3A758E', 'object/tangible/component/weapon/shared_weapon_t21_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015355286', '3C851796', 'object/tangible/component/weapon/shared_weapon_targeting_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519446623', '5A90EA5F', 'object/tangible/component/weapon/shared_weapon_trajectory_computer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607613666', '5FD23CE2', 'object/tangible/container/base/shared_base_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617825065', '9C08D729', 'object/tangible/container/base/shared_base_container_slotted.iff');
INSERT INTO `object_crc_string_table` VALUES ('2281415090', '87FBA1B2', 'object/tangible/container/base/shared_base_container_volume.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090831505', 'B83A5891', 'object/tangible/container/corpse/shared_player_corpse.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685311950', '6473D1CE', 'object/tangible/container/drum/shared_large_plain_crate_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211032921', 'BF647959', 'object/tangible/container/drum/shared_large_plain_crate_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4134084308', 'F6691ED4', 'object/tangible/container/drum/shared_large_plain_crate_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('227161536', 'D8A35C0', 'object/tangible/container/drum/shared_large_plain_crate_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962311443', '74F67F13', 'object/tangible/container/drum/shared_pob_ship_loot_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325798188', '8AA0DD2C', 'object/tangible/container/drum/shared_poi_prize_box_off.iff');
INSERT INTO `object_crc_string_table` VALUES ('856439167', '330C397F', 'object/tangible/container/drum/shared_poi_prize_box_on.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342593323', 'C73BED2B', 'object/tangible/container/drum/shared_tatt_drum_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112160566', 'B97FCD36', 'object/tangible/container/drum/shared_treasure_drum.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188177313', 'BE07B9A1', 'object/tangible/container/drum/shared_warren_core_rod_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3257388271', 'C227CCEF', 'object/tangible/container/drum/shared_warren_drum_loot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1100233944', '41943CD8', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('738307164', '2C01AC5C', 'object/tangible/container/drum/shared_warren_drum_tech_armoire.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500254490', '9506DB1A', 'object/tangible/container/drum/shared_warren_drum_tech_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2456580913', '926C7331', 'object/tangible/container/drum/shared_warren_reactor_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773382797', '69B3AC8D', 'object/tangible/container/food/shared_lunchbox_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378300955', 'C95CC81B', 'object/tangible/container/general/shared_cargo_pocket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917538', '2C84A2', 'object/tangible/container/general/shared_satchel.iff');
INSERT INTO `object_crc_string_table` VALUES ('997788135', '3B7909E7', 'object/tangible/container/general/shared_tech_armoire.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363389476', 'C8794024', 'object/tangible/container/general/shared_tech_bookcase.iff');
INSERT INTO `object_crc_string_table` VALUES ('542811322', '205AA4BA', 'object/tangible/container/general/shared_tech_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203126472', 'BEEBD4C8', 'object/tangible/container/jar/base/shared_jar_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4139801999', 'F6C05D8F', 'object/tangible/container/jar/shared_jar_berries_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('835828013', '31D1B92D', 'object/tangible/container/jar/shared_jar_bugs_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210399766', '48253C16', 'object/tangible/container/jar/shared_jar_empty_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('790427742', '2F1CF85E', 'object/tangible/container/jar/shared_jar_funk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207170789', '838EC0E5', 'object/tangible/container/jar/shared_jar_guts_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797429817', 'A6BD6439', 'object/tangible/container/jar/shared_jar_spice_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2108345518', '7DAACCAE', 'object/tangible/container/jar/shared_jar_spice_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('883403555', '34A7AB23', 'object/tangible/container/jar/shared_jar_spice_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('84456311', '508B377', 'object/tangible/container/loot/shared_astromech_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996080617', 'B2948FE9', 'object/tangible/container/loot/shared_computer_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('349560727', '14D5DF97', 'object/tangible/container/loot/shared_gas_filter_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('1268006083', '4B943CC3', 'object/tangible/container/loot/shared_loot_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362384973', '8CCF224D', 'object/tangible/container/loot/shared_placable_loot_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636682415', '9D2894AF', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665565001', '9EE14B49', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff');
INSERT INTO `object_crc_string_table` VALUES ('2780389059', 'A5B95EC3', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_ithorian.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410892657', '8FB34D71', 'object/tangible/container/loot/shared_placable_loot_crate_tech_armoire.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025920030', 'EFF6AA1E', 'object/tangible/container/loot/shared_placable_loot_crate_tech_chest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638627675', '9D46435B', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460646661', 'CE454705', 'object/tangible/container/loot/shared_player_loot_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834451270', '6D578146', 'object/tangible/container/medical/shared_medbag_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232935338', 'FC4D77AA', 'object/tangible/container/quest/crafting_contract/shared_armor_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488721733', '9456E145', 'object/tangible/container/quest/crafting_contract/shared_clothing_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('594486839', '236F2637', 'object/tangible/container/quest/crafting_contract/shared_droid_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2851563770', 'A9F768FA', 'object/tangible/container/quest/crafting_contract/shared_food_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179098251', 'BD7D308B', 'object/tangible/container/quest/crafting_contract/shared_furniture_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2299347618', '890D42A2', 'object/tangible/container/quest/crafting_contract/shared_generic_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938212328', 'AF218FE8', 'object/tangible/container/quest/crafting_contract/shared_weapon_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357840333', 'C82493CD', 'object/tangible/container/quest/hero_of_tatooine/shared_rock_crevice.iff');
INSERT INTO `object_crc_string_table` VALUES ('405889283', '18316103', 'object/tangible/crafting/base/shared_base_public_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267815739', 'FE61B33B', 'object/tangible/crafting/base/shared_base_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('722014891', '2B0912AB', 'object/tangible/crafting/base/shared_base_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('589813491', '2327D6F3', 'object/tangible/crafting/base/shared_base_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('4203992702', 'FA93D67E', 'object/tangible/crafting/shared_crafting_components_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('13064699', 'C759FB', 'object/tangible/crafting/shared_default_draft_not_found.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186484366', '46B8508E', 'object/tangible/crafting/shared_missing_schematic_substitute.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769226262', 'E0A9D416', 'object/tangible/crafting/station/shared_armor_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('4032677980', 'F05DC85C', 'object/tangible/crafting/station/shared_clothing_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('737990049', '2BFCD5A1', 'object/tangible/crafting/station/shared_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('753735496', '2CED1748', 'object/tangible/crafting/station/shared_clothing_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945578306', 'EB2CBF42', 'object/tangible/crafting/station/shared_droid_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133859016', 'BACAE4C8', 'object/tangible/crafting/station/shared_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('2849609519', 'A9D9972F', 'object/tangible/crafting/station/shared_food_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1055200365', '3EE5146D', 'object/tangible/crafting/station/shared_generic_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('754074226', '2CF24272', 'object/tangible/crafting/station/shared_jedi_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936644592', 'AF09A3F0', 'object/tangible/crafting/station/shared_public_clothing_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('804779915', '2FF7F78B', 'object/tangible/crafting/station/shared_public_food_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('395482180', '17929444', 'object/tangible/crafting/station/shared_public_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('464244555', '1BABCF4B', 'object/tangible/crafting/station/shared_public_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920049130', '72719FEA', 'object/tangible/crafting/station/shared_public_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('408520625', '185987B1', 'object/tangible/crafting/station/shared_space_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('2903391664', 'AD0E3DB0', 'object/tangible/crafting/station/shared_space_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1513899009', '5A3C4401', 'object/tangible/crafting/station/shared_structure_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496989305', '94D50879', 'object/tangible/crafting/station/shared_structure_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('4275700789', 'FEDA0435', 'object/tangible/crafting/station/shared_structure_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607871827', '9B70F753', 'object/tangible/crafting/station/shared_weapon_repair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2167265111', '812DD757', 'object/tangible/crafting/station/shared_weapon_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1693896753', '64F6D031', 'object/tangible/crafting/station/shared_weapon_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941590017', '73BA5001', 'object/tangible/datapad/shared_character_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496173420', 'D0635F6C', 'object/tangible/datapad/shared_droid_datapad_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('192215035', 'B74F7FB', 'object/tangible/datapad/shared_droid_datapad_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1115263094', '42799076', 'object/tangible/datapad/shared_droid_datapad_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113925474', 'B99ABB62', 'object/tangible/datapad/shared_droid_datapad_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036484335', 'F097DCEF', 'object/tangible/datapad/shared_droid_datapad_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('729838712', '2B807478', 'object/tangible/datapad/shared_droid_datapad_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216787509', 'BFBC4835', 'object/tangible/deed/base/shared_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2878588829', 'AB93C79D', 'object/tangible/deed/base/shared_deed_building_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225611811', 'C042EE23', 'object/tangible/deed/base/shared_deed_installation_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503565638', '95396146', 'object/tangible/deed/base/shared_pet_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4079953693', 'F32F271D', 'object/tangible/deed/base/shared_pet_droid_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('401261440', '17EAC380', 'object/tangible/deed/city_deed/shared_bank_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557805385', 'D40FCD49', 'object/tangible/deed/city_deed/shared_bank_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('613943705', '24980999', 'object/tangible/deed/city_deed/shared_bank_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2192147369', '82A983A9', 'object/tangible/deed/city_deed/shared_cantina_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331321297', '4F5A59D1', 'object/tangible/deed/city_deed/shared_cantina_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2983938480', 'B1DB49B0', 'object/tangible/deed/city_deed/shared_cantina_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784919551', 'A5FE7FFF', 'object/tangible/deed/city_deed/shared_cityhall_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662935696', 'DA53F690', 'object/tangible/deed/city_deed/shared_cityhall_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2525804006', '968CB5E6', 'object/tangible/deed/city_deed/shared_cityhall_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835066567', '6D60E4C7', 'object/tangible/deed/city_deed/shared_cloning_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2532276742', '96EF7A06', 'object/tangible/deed/city_deed/shared_cloning_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578249950', '5E122EDE', 'object/tangible/deed/city_deed/shared_cloning_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847017824', 'A9B20B60', 'object/tangible/deed/city_deed/shared_garage_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3208167004', 'BF38BE5C', 'object/tangible/deed/city_deed/shared_garage_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596323705', '9AC0C179', 'object/tangible/deed/city_deed/shared_garage_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592373233', '9A8479F1', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('536118511', '1FF484EF', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674140296', '9F642488', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('299131748', '11D46364', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437202691', '9144C303', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319304199', 'C5D89007', 'object/tangible/deed/city_deed/shared_garden_corellia_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084779801', '40A86D19', 'object/tangible/deed/city_deed/shared_garden_corellia_med_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224948094', 'C038CD7E', 'object/tangible/deed/city_deed/shared_garden_corellia_med_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1317571218', '4E888A92', 'object/tangible/deed/city_deed/shared_garden_corellia_med_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3457690357', 'CE182AF5', 'object/tangible/deed/city_deed/shared_garden_corellia_med_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095683295', '7CE996DF', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4187581377', 'F9996BC1', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2030685094', '7909CBA6', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156132426', 'F7B98C4A', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999186989', '77292C2D', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153184823', '44BC3437', 'object/tangible/deed/city_deed/shared_garden_dantooine_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('467721665', '1BE0DDC1', 'object/tangible/deed/city_deed/shared_garden_dantooine_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2731662105', 'A2D1DB19', 'object/tangible/deed/city_deed/shared_garden_dantooine_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3330359214', 'C6813FAE', 'object/tangible/deed/city_deed/shared_garden_dathomir_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581452376', '99DDD658', 'object/tangible/deed/city_deed/shared_garden_dathomir_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('552390784', '20ECD080', 'object/tangible/deed/city_deed/shared_garden_dathomir_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266378949', 'FE4BC6C5', 'object/tangible/deed/city_deed/shared_garden_endor_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702651187', 'A1172F33', 'object/tangible/deed/city_deed/shared_garden_endor_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('405154283', '182629EB', 'object/tangible/deed/city_deed/shared_garden_endor_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('410853409', '187D2021', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2634931519', '9D0DDD3F', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('496860504', '1D9D7D58', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469214900', '932D3AB4', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('331193043', '13BD9AD3', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193396695', '4721C9D7', 'object/tangible/deed/city_deed/shared_garden_naboo_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260101833', 'C25134C9', 'object/tangible/deed/city_deed/shared_garden_naboo_med_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119982766', '42C194AE', 'object/tangible/deed/city_deed/shared_garden_naboo_med_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430011714', 'CC71D342', 'object/tangible/deed/city_deed/shared_garden_naboo_med_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1289843493', '4CE17325', 'object/tangible/deed/city_deed/shared_garden_naboo_med_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262514447', 'FE10CF0F', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069901841', '7B603211', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4226847350', 'FBF09276', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1967183258', '7540D59A', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124079613', 'F5D075FD', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472425069', '57C36C6D', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534983539', 'D2B39173', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378038036', '52233114', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3700651768', 'DC9376F8', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543755423', '5C03D69F', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('144672155', '89F859B', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381281413', '8DEF7885', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('226482402', 'D7FD8E2', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2211421966', '83CF9F0E', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('56573801', '35F3F69', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981004099', 'B1AE8343', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('886996573', '34DE7E5D', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3025067578', 'B44EDE3A', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('989764054', '3AFE99D6', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127785905', 'BA6E39B1', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_05_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2836026000', 'A90A5290', 'object/tangible/deed/city_deed/shared_hospital_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107375302', '420134C6', 'object/tangible/deed/city_deed/shared_hospital_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2591594633', '9A789889', 'object/tangible/deed/city_deed/shared_hospital_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681788535', 'DB73A277', 'object/tangible/deed/city_deed/shared_shuttleport_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1379109301', '523389B5', 'object/tangible/deed/city_deed/shared_shuttleport_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3892406382', 'E801686E', 'object/tangible/deed/city_deed/shared_shuttleport_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('613379311', '248F6CEF', 'object/tangible/deed/city_deed/shared_theater_corellia_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022502254', 'B427B96E', 'object/tangible/deed/city_deed/shared_theater_naboo_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('402499318', '17FDA6F6', 'object/tangible/deed/city_deed/shared_theater_tatooine_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('100121621', '5F7BC15', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084143770', 'F36F169A', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165081270', '4571BAB6', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('96032000', '5B95500', 'object/tangible/deed/event_perk/shared_atat_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('868380341', '33C26EB5', 'object/tangible/deed/event_perk/shared_atst_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077833957', '403E70E5', 'object/tangible/deed/event_perk/shared_banner_style_1_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018190082', '784B2302', 'object/tangible/deed/event_perk/shared_banner_style_2_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('490659620', '1D3EDF24', 'object/tangible/deed/event_perk/shared_bantha_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758380112', 'A4698A50', 'object/tangible/deed/event_perk/shared_corellia_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('394496697', '17838AB9', 'object/tangible/deed/event_perk/shared_corellian_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2118733227', '7E494DAB', 'object/tangible/deed/event_perk/shared_corsec_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243554173', '85B9EB7D', 'object/tangible/deed/event_perk/shared_corsec_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541464783', 'D31676CF', 'object/tangible/deed/event_perk/shared_corsec_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1989786470', '7699BB66', 'object/tangible/deed/event_perk/shared_corsec_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('669879864', '27ED8E38', 'object/tangible/deed/event_perk/shared_corsec_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('278767627', '109DA80B', 'object/tangible/deed/event_perk/shared_crashed_tie_bomber_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3107518803', 'B938F953', 'object/tangible/deed/event_perk/shared_crashed_tie_fighter_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2283518877', '881BBB9D', 'object/tangible/deed/event_perk/shared_crashed_xwing_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997866157', 'B2AFCEAD', 'object/tangible/deed/event_perk/shared_dantooine_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('214316882', 'CC63752', 'object/tangible/deed/event_perk/shared_dathomir_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1222265113', '48DA4919', 'object/tangible/deed/event_perk/shared_destroyed_atat_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3400416537', 'CAAE3D19', 'object/tangible/deed/event_perk/shared_endor_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3098769210', 'B8B3773A', 'object/tangible/deed/event_perk/shared_fed_dub_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128518124', '4343D1EC', 'object/tangible/deed/event_perk/shared_fed_dub_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('367807582', '15EC4C5E', 'object/tangible/deed/event_perk/shared_fed_dub_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2959311351', 'B06381F7', 'object/tangible/deed/event_perk/shared_fed_dub_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('478885552', '1C8B36B0', 'object/tangible/deed/event_perk/shared_fed_dub_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2492601987', '94921683', 'object/tangible/deed/event_perk/shared_game_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2067322746', '7B38D77A', 'object/tangible/deed/event_perk/shared_imperial_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160619948', '80C871AC', 'object/tangible/deed/event_perk/shared_imperial_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597134878', 'D667EC1E', 'object/tangible/deed/event_perk/shared_imperial_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944592823', '73E821B7', 'object/tangible/deed/event_perk/shared_imperial_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1199828440', '4783EDD8', 'object/tangible/deed/event_perk/shared_imperial_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('950407805', '38A6127D', 'object/tangible/deed/event_perk/shared_imperial_landing_party_atat_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1341560350', '4FF6961E', 'object/tangible/deed/event_perk/shared_imperial_landing_party_lambda_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942321443', 'EAFB0D23', 'object/tangible/deed/event_perk/shared_imperial_recruiter_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037735539', 'B5102A73', 'object/tangible/deed/event_perk/shared_imperial_recruiting_station_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1465346121', '57576849', 'object/tangible/deed/event_perk/shared_imperial_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('740174005', '2C1E28B5', 'object/tangible/deed/event_perk/shared_lambda_shuttle_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('161207781', '99BD5E5', 'object/tangible/deed/event_perk/shared_lok_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('630171523', '258FA783', 'object/tangible/deed/event_perk/shared_lottery_droid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495277454', 'D055B38E', 'object/tangible/deed/event_perk/shared_marble_gazebo_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494057376', 'D04315A0', 'object/tangible/deed/event_perk/shared_naboo_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889831990', '70A48C36', 'object/tangible/deed/event_perk/shared_naboo_gazebo_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3932323881', 'EA628029', 'object/tangible/deed/event_perk/shared_npc_actor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871451836', 'E6C1AABC', 'object/tangible/deed/event_perk/shared_party_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418087679', '54864CFF', 'object/tangible/deed/event_perk/shared_pavillion_1_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1827872536', '6CF31F18', 'object/tangible/deed/event_perk/shared_pavillion_2_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('316690423', '12E04FF7', 'object/tangible/deed/event_perk/shared_race_droid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285088159', '8833AD9F', 'object/tangible/deed/event_perk/shared_radiologically_shielded_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723520463', '66BAD5CF', 'object/tangible/deed/event_perk/shared_rebel_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638902041', '9D4A7319', 'object/tangible/deed/event_perk/shared_rebel_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420843691', 'CBE5EEAB', 'object/tangible/deed/event_perk/shared_rebel_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852449538', '6E6A2302', 'object/tangible/deed/event_perk/shared_rebel_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380613131', 'C980100B', 'object/tangible/deed/event_perk/shared_rebel_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3579561687', 'D55BC6D7', 'object/tangible/deed/event_perk/shared_rebel_recruiter_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4115692973', 'F5507DAD', 'object/tangible/deed/event_perk/shared_rebel_recruiting_station_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646199194', 'D954959A', 'object/tangible/deed/event_perk/shared_rebel_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('703132094', '29E8F1BE', 'object/tangible/deed/event_perk/shared_rori_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1754106896', '688D8C10', 'object/tangible/deed/event_perk/shared_rsf_1x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2474453702', '937D2AC6', 'object/tangible/deed/event_perk/shared_rsf_2x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3318921076', 'C5D2B774', 'object/tangible/deed/event_perk/shared_rsf_3x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616739037', '605D7ADD', 'object/tangible/deed/event_perk/shared_rsf_4x10_honorguard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659515583', '9E84FCBF', 'object/tangible/deed/event_perk/shared_rsf_stage_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216046432', '84162F60', 'object/tangible/deed/event_perk/shared_scavenger_droid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834589804', '6D599E6C', 'object/tangible/deed/event_perk/shared_shuttle_beacon.iff');
INSERT INTO `object_crc_string_table` VALUES ('411294361', '1883DA99', 'object/tangible/deed/event_perk/shared_shuttle_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3218012813', 'BFCEFA8D', 'object/tangible/deed/event_perk/shared_skeleton_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2059968039', '7AC89E27', 'object/tangible/deed/event_perk/shared_sparking_treasure_box_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('791289209', '2F2A1D79', 'object/tangible/deed/event_perk/shared_stone_base_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161808241', '453FC971', 'object/tangible/deed/event_perk/shared_talus_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487161883', 'CFD9DE1B', 'object/tangible/deed/event_perk/shared_tatooine_banner_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345632337', '5034B851', 'object/tangible/deed/event_perk/shared_tatooine_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2676733006', '9F8BB44E', 'object/tangible/deed/event_perk/shared_technical_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3261222674', 'C2624F12', 'object/tangible/deed/event_perk/shared_test_gaming_table_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003914281', 'EEA6E229', 'object/tangible/deed/event_perk/shared_test_npc_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208408711', 'FAD73887', 'object/tangible/deed/event_perk/shared_test_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210011419', 'BF54E31B', 'object/tangible/deed/event_perk/shared_tie_bomber_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234203599', '852B3DCF', 'object/tangible/deed/event_perk/shared_tie_fighter_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3166995738', 'BCC4851A', 'object/tangible/deed/event_perk/shared_treasure_box_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343696726', '8BB1F956', 'object/tangible/deed/event_perk/shared_treasure_crate_chest_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584596145', '5E7304B1', 'object/tangible/deed/event_perk/shared_universe_flags_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('719238316', '2ADEB4AC', 'object/tangible/deed/event_perk/shared_wedding_garden_imperial_large_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1935091430', '735726E6', 'object/tangible/deed/event_perk/shared_wedding_garden_rebel_large_theater_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('680163975', '288A7A87', 'object/tangible/deed/event_perk/shared_xwing_static_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572439874', '5DB98742', 'object/tangible/deed/event_perk/shared_yavin_flag_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347458445', 'C786298D', 'object/tangible/deed/faction_perk/covert_detector/shared_detector_32m_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2279437035', '87DD72EB', 'object/tangible/deed/faction_perk/hq/shared_hq_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('814071482', '3085BEBA', 'object/tangible/deed/faction_perk/hq/shared_hq_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3952219693', 'EB92162D', 'object/tangible/deed/faction_perk/hq/shared_hq_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2728358304', 'A29F71A0', 'object/tangible/deed/faction_perk/hq/shared_hq_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1501321908', '597C5AB4', 'object/tangible/deed/faction_perk/hq/shared_hq_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('275856697', '10713D39', 'object/tangible/deed/faction_perk/hq/shared_hq_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563479543', '5D30CDF7', 'object/tangible/deed/faction_perk/minefield/shared_field_1x1_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819939378', '6C7A1232', 'object/tangible/deed/faction_perk/turret/base/shared_faction_turret_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('629647552', '2587A8C0', 'object/tangible/deed/faction_perk/turret/shared_block_lg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4221569030', 'FBA00806', 'object/tangible/deed/faction_perk/turret/shared_block_med_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2743566481', 'A3878091', 'object/tangible/deed/faction_perk/turret/shared_block_sm_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034604910', 'F07B2F6E', 'object/tangible/deed/faction_perk/turret/shared_dish_lg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987774271', '767B073F', 'object/tangible/deed/faction_perk/turret/shared_dish_sm_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732331701', 'DE76DCB5', 'object/tangible/deed/faction_perk/turret/shared_tower_lg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821147502', 'A8274B6E', 'object/tangible/deed/faction_perk/turret/shared_tower_med_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484190948', '5876F4E4', 'object/tangible/deed/faction_perk/turret/shared_tower_sm_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812501477', '6C0893E5', 'object/tangible/deed/factory_deed/shared_factory_clothing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488359653', 'CFEC24E5', 'object/tangible/deed/factory_deed/shared_factory_food_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246665338', 'FD1EF87A', 'object/tangible/deed/factory_deed/shared_factory_item_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385714184', '8E331C08', 'object/tangible/deed/factory_deed/shared_factory_structure_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852530581', 'E5A0F395', 'object/tangible/deed/generator_deed/shared_generator_fusion_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('651572803', '26D63643', 'object/tangible/deed/generator_deed/shared_generator_photo_bio_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1181332776', '4669B528', 'object/tangible/deed/generator_deed/shared_generator_solar_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871805863', 'E6C711A7', 'object/tangible/deed/generator_deed/shared_generator_wind_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111019383', 'F5092D77', 'object/tangible/deed/guild_deed/shared_corellia_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3345639792', 'C76A6970', 'object/tangible/deed/guild_deed/shared_generic_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398572808', '8EF75108', 'object/tangible/deed/guild_deed/shared_naboo_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('847751074', '3287A7A2', 'object/tangible/deed/guild_deed/shared_tatooine_guild_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1677139943', '63F71FE7', 'object/tangible/deed/guild_deed/shared_tatooine_guild_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801540743', 'E296E887', 'object/tangible/deed/harvester_deed/shared_harvester_creature_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2840949012', 'A9557114', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005897011', 'EEC52333', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378608973', '522BE74D', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231503385', '85020A19', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('277903692', '1090794C', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991048014', 'B247C54E', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335458434', 'C6CF0E82', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336331736', '4FA6CDD8', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291170804', 'C42B47F4', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578846375', '5E1B48A7', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('21472355', '147A463', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('759835785', '2D4A2C89', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('3224287923', 'C02EBAB3', 'object/tangible/deed/harvester_deed/shared_harvester_ore_heavy_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126009375', '7EB8541F', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s1_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224231681', 'FBC8A901', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s2_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('63835392', '3CE0D00', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495448104', 'D0584E28', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128795043', '43480BA3', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956514459', '749E0A9B', 'object/tangible/deed/pet_deed/shared_acklay_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482798836', '93FC80F4', 'object/tangible/deed/pet_deed/shared_angler_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3630864640', 'D86A9900', 'object/tangible/deed/pet_deed/shared_bageraset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365841175', '8D03DF17', 'object/tangible/deed/pet_deed/shared_bantha_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('78102585', '4A7C039', 'object/tangible/deed/pet_deed/shared_bearded_jax_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944380432', 'AF7FAE10', 'object/tangible/deed/pet_deed/shared_blurrg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('770531261', '2DED5FBD', 'object/tangible/deed/pet_deed/shared_boar_wolf_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788467919', '6A99DACF', 'object/tangible/deed/pet_deed/shared_bocatt_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319053761', 'C5D4BDC1', 'object/tangible/deed/pet_deed/shared_bol_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('355900211', '15369B33', 'object/tangible/deed/pet_deed/shared_bolle_bol_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3293690275', 'C451B9A3', 'object/tangible/deed/pet_deed/shared_bolma_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3849896931', 'E578C3E3', 'object/tangible/deed/pet_deed/shared_bordok_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722964789', 'A24D2535', 'object/tangible/deed/pet_deed/shared_brackaset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1539923178', '5BC95CEA', 'object/tangible/deed/pet_deed/shared_carrion_spat_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('568963373', '21E9B12D', 'object/tangible/deed/pet_deed/shared_choku_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1372684709', '51D181A5', 'object/tangible/deed/pet_deed/shared_cu_pa_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912913130', 'E93A50EA', 'object/tangible/deed/pet_deed/shared_dalyrake_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3377218847', 'C94C451F', 'object/tangible/deed/pet_deed/shared_deed_3p0_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415490905', '545EAD59', 'object/tangible/deed/pet_deed/shared_deed_3p0_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057798202', '7AA7823A', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601281504', '9B0C67E0', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223531426', 'C0232FA2', 'object/tangible/deed/pet_deed/shared_deed_droid_basic_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('582239250', '22B44412', 'object/tangible/deed/pet_deed/shared_deed_dz70_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167973020', 'BCD36E9C', 'object/tangible/deed/pet_deed/shared_deed_dz70_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1844616075', '6DF29B8B', 'object/tangible/deed/pet_deed/shared_deed_le_repair_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('882669301', '349C76F5', 'object/tangible/deed/pet_deed/shared_deed_le_repair_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3093478182', 'B862BB26', 'object/tangible/deed/pet_deed/shared_deed_mse_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('710547098', '2A5A169A', 'object/tangible/deed/pet_deed/shared_deed_mse_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935000008', 'EA8B55C8', 'object/tangible/deed/pet_deed/shared_deed_power_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515669510', 'D18CDC06', 'object/tangible/deed/pet_deed/shared_deed_power_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316266352', '8A0F6B70', 'object/tangible/deed/pet_deed/shared_deed_probot_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3430959224', 'CC804878', 'object/tangible/deed/pet_deed/shared_deed_probot_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405017351', '53BEDD07', 'object/tangible/deed/pet_deed/shared_deed_r2_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138660886', 'BB142A16', 'object/tangible/deed/pet_deed/shared_deed_r2_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1740395217', '67BC52D1', 'object/tangible/deed/pet_deed/shared_deed_r3_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119399416', '42B8ADF8', 'object/tangible/deed/pet_deed/shared_deed_r3_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954310643', 'EBB1FDF3', 'object/tangible/deed/pet_deed/shared_deed_r4_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809987356', 'A77D011C', 'object/tangible/deed/pet_deed/shared_deed_r4_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3753079333', 'DFB37225', 'object/tangible/deed/pet_deed/shared_deed_r5_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590789874', '5ED186F2', 'object/tangible/deed/pet_deed/shared_deed_r5_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1818683217', '6C66E751', 'object/tangible/deed/pet_deed/shared_deed_surgical_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3195886758', 'BE7D5CA6', 'object/tangible/deed/pet_deed/shared_deed_surgical_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('560171017', '21638809', 'object/tangible/deed/pet_deed/shared_deed_treadwell_advanced_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('868926943', '33CAC5DF', 'object/tangible/deed/pet_deed/shared_deed_treadwell_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201174852', '47987944', 'object/tangible/deed/pet_deed/shared_dewback_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1235591728', '49A5A230', 'object/tangible/deed/pet_deed/shared_dune_lizard_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('568136061', '21DD117D', 'object/tangible/deed/pet_deed/shared_durni_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2825186184', 'A864EB88', 'object/tangible/deed/pet_deed/shared_eopie_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1479198736', '582AC810', 'object/tangible/deed/pet_deed/shared_falumpaset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2357528913', '8C850951', 'object/tangible/deed/pet_deed/shared_fambaa_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1211421519', '4834D34F', 'object/tangible/deed/pet_deed/shared_gnort_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170181913', 'F88FED19', 'object/tangible/deed/pet_deed/shared_graul_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('307411638', '1252BAB6', 'object/tangible/deed/pet_deed/shared_gronda_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3538897851', 'D2EF4BBB', 'object/tangible/deed/pet_deed/shared_gualama_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604348719', '9B3B352F', 'object/tangible/deed/pet_deed/shared_guf_drolg_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841540570', '6DC3ADDA', 'object/tangible/deed/pet_deed/shared_gurnaset_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914113142', '72170C76', 'object/tangible/deed/pet_deed/shared_gurrcat_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('596282825', '238A8DC9', 'object/tangible/deed/pet_deed/shared_gurreck_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4141996678', 'F6E1DA86', 'object/tangible/deed/pet_deed/shared_hermit_spider_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2761665621', 'A49BAC55', 'object/tangible/deed/pet_deed/shared_huf_dun_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364325407', '8CECBE1F', 'object/tangible/deed/pet_deed/shared_huurton_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3921976066', 'E9C49B02', 'object/tangible/deed/pet_deed/shared_ikopi_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178486742', 'BD73DBD6', 'object/tangible/deed/pet_deed/shared_kaadu_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1489129172', '58C24ED4', 'object/tangible/deed/pet_deed/shared_kahmurra_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283047253', '4C79BF55', 'object/tangible/deed/pet_deed/shared_kima_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282379469', '4C6F8ECD', 'object/tangible/deed/pet_deed/shared_kimogila_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2930512218', 'AEAC115A', 'object/tangible/deed/pet_deed/shared_kliknik_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423537916', '907440FC', 'object/tangible/deed/pet_deed/shared_krahbu_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028060677', 'F0175405', 'object/tangible/deed/pet_deed/shared_kusak_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('123859018', '761F04A', 'object/tangible/deed/pet_deed/shared_kwi_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3557409216', 'D409C1C0', 'object/tangible/deed/pet_deed/shared_langlatch_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1098639127', '417BE717', 'object/tangible/deed/pet_deed/shared_malkloc_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243211725', '85B4B1CD', 'object/tangible/deed/pet_deed/shared_mawgax_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1043002633', '3E2AF509', 'object/tangible/deed/pet_deed/shared_merek_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('172941482', 'A4EE0AA', 'object/tangible/deed/pet_deed/shared_mott_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3881607388', 'E75CA0DC', 'object/tangible/deed/pet_deed/shared_narglatch_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1026311847', '3D2C46A7', 'object/tangible/deed/pet_deed/shared_piket_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234730618', '8533487A', 'object/tangible/deed/pet_deed/shared_pugoriss_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261006244', '4B296DA4', 'object/tangible/deed/pet_deed/shared_rancor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1872969890', '6FA340A2', 'object/tangible/deed/pet_deed/shared_roba_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('913136842', '366D5CCA', 'object/tangible/deed/pet_deed/shared_ronto_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1167578973', '4597D75D', 'object/tangible/deed/pet_deed/shared_sand_panther_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('266796409', 'FE6FD79', 'object/tangible/deed/pet_deed/shared_sharnaff_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3695263840', 'DC414060', 'object/tangible/deed/pet_deed/shared_shear_mite_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038018529', 'B5147BE1', 'object/tangible/deed/pet_deed/shared_slice_hound_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2012451666', '77F39352', 'object/tangible/deed/pet_deed/shared_snorbal_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('497548283', '1DA7FBFB', 'object/tangible/deed/pet_deed/shared_squall_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483639394', '586E8A62', 'object/tangible/deed/pet_deed/shared_swirl_prong_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3975996682', 'ECFCE50A', 'object/tangible/deed/pet_deed/shared_thune_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('936838311', '37D704A7', 'object/tangible/deed/pet_deed/shared_torton_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('517622400', '1EDA4A80', 'object/tangible/deed/pet_deed/shared_tybis_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817313494', 'A7ECCAD6', 'object/tangible/deed/pet_deed/shared_veermok_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3969410602', 'EC98662A', 'object/tangible/deed/pet_deed/shared_vehicular_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133365907', '438DCA93', 'object/tangible/deed/pet_deed/shared_vehicular_prototype_bike.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757419903', '68C0197F', 'object/tangible/deed/pet_deed/shared_verne_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('76738383', '492EF4F', 'object/tangible/deed/pet_deed/shared_vesp_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2428442733', '90BF186D', 'object/tangible/deed/pet_deed/shared_vir_vur_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463526816', '92D66FA0', 'object/tangible/deed/pet_deed/shared_woolamander_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1175512432', '4610E570', 'object/tangible/deed/pet_deed/shared_zucca_boar_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929915649', 'AEA2F701', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('235215989', 'E051C75', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084610037', '7C409FF5', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451032772', '9217CAC4', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995398562', 'EE24F1A2', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4236382032', 'FC820F50', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362914922', '8CD7386A', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3176020474', 'BD4E39FA', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741240035', '67C936E3', 'object/tangible/deed/player_house_deed/shared_generic_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3587608428', 'D5D68F6C', 'object/tangible/deed/player_house_deed/shared_generic_house_large_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757551971', '68C21D63', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069123916', '7B54534C', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('659501120', '274F3040', 'object/tangible/deed/player_house_deed/shared_generic_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('659659849', '27519C49', 'object/tangible/deed/player_house_deed/shared_generic_house_small_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459923827', '5704AB73', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914522978', '721D4D62', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_floor_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826097149', 'A872D1FD', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('755117283', '2D022CE3', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912062596', 'AD928C84', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425408276', '9090CB14', 'object/tangible/deed/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797619055', 'A6C0476F', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3999622538', 'EE65658A', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491155383', 'D016CDB7', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4010454053', 'EF0AAC25', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('117213262', '6FC884E', 'object/tangible/deed/player_house_deed/shared_tatooine_house_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112018243', 'F5186B43', 'object/tangible/deed/player_house_deed/shared_tatooine_house_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1182437101', '467A8EED', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199454599', '83190387', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_style_02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3516023581', 'D192431D', 'object/tangible/deed/shared_test_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('662025863', '2775B687', 'object/tangible/deed/turret_deed/shared_turret_block_large_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770943764', 'E0C40914', 'object/tangible/deed/turret_deed/shared_turret_block_medium_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1744023588', '67F3B024', 'object/tangible/deed/turret_deed/shared_turret_block_small_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560190060', '9899666C', 'object/tangible/deed/vehicle_deed/shared_jetpack_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746524983', 'DF4F6F37', 'object/tangible/deed/vehicle_deed/shared_landspeeder_av21_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199159464', 'BEAF4CA8', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x31_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('905926205', '35FF563D', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x34_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075476273', 'F2EAD531', 'object/tangible/deed/vehicle_deed/shared_speederbike_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892530279', '70CDB867', 'object/tangible/deed/vehicle_deed/shared_speederbike_flash_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('495473751', '1D885457', 'object/tangible/deed/vehicle_deed/shared_speederbike_swoop_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('504910832', '1E1853F0', 'object/tangible/deed/vehicle_deed/shared_vehicle_deed_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262265566', '4B3CA4DE', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_bike_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3990622047', 'EDDC0F5F', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('551874414', '20E4EF6E', 'object/tangible/destructible/wreckage/shared_wreck_starship_small_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('572459271', '221F0907', 'object/tangible/dice/shared_eqp_chance_cube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212860070', '484AC6A6', 'object/tangible/dice/shared_eqp_configurable_group_dice.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182985448', '821DB6E8', 'object/tangible/dice/shared_eqp_one_hundred_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211047396', 'BF64B1E4', 'object/tangible/dice/shared_eqp_six_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3051569698', 'B5E34222', 'object/tangible/dice/shared_eqp_ten_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176227197', '81B6977D', 'object/tangible/dice/shared_eqp_twelve_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3564430823', 'D474E5E7', 'object/tangible/dice/shared_eqp_twenty_sided_dice_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('240821599', 'E5AA55F', 'object/tangible/droid/shared_droid_space_memory_module_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856908563', 'AA48F713', 'object/tangible/droid/shared_droid_space_memory_module_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883811803', '7048AFDB', 'object/tangible/droid/shared_navicomputer_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875131724', 'AB5F074C', 'object/tangible/droid/shared_navicomputer_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3797049537', 'E25260C1', 'object/tangible/droid/shared_navicomputer_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('431049685', '19B14BD5', 'object/tangible/droid/shared_navicomputer_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1354509400', '50BC2C58', 'object/tangible/droid/shared_navicomputer_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343273679', '8BAB84CF', 'object/tangible/droid/shared_navicomputer_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3955479203', 'EBC3D2A3', 'object/tangible/droid/shared_navicomputer_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005418239', 'EEBDD4FF', 'object/tangible/droid_battery/base/shared_base_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('209388269', 'C7B02ED', 'object/tangible/droid_battery/shared_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('1407650214', '53E709A6', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297471281', '88F0A131', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3254634172', 'C1FDC6BC', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492422801', '58F49091', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212706310', '83E33806', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3404619659', 'CAEE5F8B', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560812636', '98A2E65C', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135955659', '43B54ECB', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('179841350', 'AB82946', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3272388566', 'C30CAFD6', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('404424513', '181B0741', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1360421068', '511660CC', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('264621119', 'FC5CC3F', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570558120', 'D4D264A8', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648638245', '9DDF0325', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3687584342', 'DBCC1256', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('14400193', 'DBBAC1', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238818124', '49D6DD4C', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('542981184', '205D3C40', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4215968983', 'FB4A94D7', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2991059802', 'B247F35A', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('645261248', '2675E7C0', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4251078487', 'FD624F57', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027183834', 'B46F28DA', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089205389', '40EBF48D', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617007130', '9BFC5C1A', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539024791', 'D2F13B97', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544017422', 'D33D6A0E', 'object/tangible/dungeon/death_watch_bunker/shared_crazed_miner_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953987050', 'B01243EA', 'object/tangible/dungeon/death_watch_bunker/shared_door_control_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('707354619', '2A295FFB', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573354578', '5DC77C52', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery_clean.iff');
INSERT INTO `object_crc_string_table` VALUES ('474299270', '1C453B86', 'object/tangible/dungeon/death_watch_bunker/shared_enhanced_filter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4268583510', 'FE6D6A56', 'object/tangible/dungeon/death_watch_bunker/shared_filter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3953005946', 'EB9E157A', 'object/tangible/dungeon/death_watch_bunker/shared_filter_dispenser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707628236', 'DCFDEACC', 'object/tangible/dungeon/death_watch_bunker/shared_gel_packet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1491458500', '58E5D9C4', 'object/tangible/dungeon/death_watch_bunker/shared_invulnerable_debris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015489022', '7821EBFE', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('72046646', '44B5836', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_mine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522380231', '965877C7', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('4007608473', 'EEDF4099', 'object/tangible/dungeon/death_watch_bunker/shared_workbench.iff');
INSERT INTO `object_crc_string_table` VALUES ('1546847010', '5C330322', 'object/tangible/dungeon/shared_cave_stalagmite_ice_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171896668', '8174835C', 'object/tangible/dungeon/shared_chemical_storage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1342811705', '5009AE39', 'object/tangible/dungeon/shared_coal_bin_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483156059', '58672A5B', 'object/tangible/dungeon/shared_computer_desktop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2299324292', '890CE784', 'object/tangible/dungeon/shared_computer_mainframe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3106365328', 'B9275F90', 'object/tangible/dungeon/shared_droid_maint_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('307119363', '124E4503', 'object/tangible/dungeon/shared_keypad_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1380579021', '5249F6CD', 'object/tangible/dungeon/shared_poison_gas_cloud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2249389472', '8612F5A0', 'object/tangible/dungeon/shared_poison_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2707720646', 'A16489C6', 'object/tangible/dungeon/shared_terminal_free_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1529401041', '5B28CED1', 'object/tangible/dungeon/shared_trash_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069617127', 'F2916DE7', 'object/tangible/dungeon/shared_wall_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('696698224', '2986C570', 'object/tangible/dungeon/shared_wall_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619763965', '608BA2FD', 'object/tangible/dungeon/shared_wall_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2607319529', '9B6889E9', 'object/tangible/dungeon/shared_wall_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2852692407', 'AA08A1B7', 'object/tangible/encoded_disk/shared_dead_eye_decoder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811104039', '6BF34127', 'object/tangible/encoded_disk/shared_encoded_disk_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3642693212', 'D91F165C', 'object/tangible/encoded_disk/shared_message_assembled_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('378623221', '169154F5', 'object/tangible/encoded_disk/shared_message_fragment_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696219911', '651A4307', 'object/tangible/firework/base/shared_firework_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158245667', 'F7D9CB23', 'object/tangible/firework/shared_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899934399', 'E87446BF', 'object/tangible/firework/shared_firework_five.iff');
INSERT INTO `object_crc_string_table` VALUES ('437197310', '1A0F19FE', 'object/tangible/firework/shared_firework_four.iff');
INSERT INTO `object_crc_string_table` VALUES ('4192390072', 'F9E2CBB8', 'object/tangible/firework/shared_firework_one.iff');
INSERT INTO `object_crc_string_table` VALUES ('363719141', '15ADE9E5', 'object/tangible/firework/shared_firework_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468312946', 'CEBA4172', 'object/tangible/firework/shared_firework_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276927231', '87B726FF', 'object/tangible/firework/shared_firework_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085883371', '7C540DEB', 'object/tangible/firework/shared_firework_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('895052390', '35596A66', 'object/tangible/firework/shared_firework_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200128784', '47888310', 'object/tangible/firework/shared_firework_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('243655837', 'E85E49D', 'object/tangible/firework/shared_firework_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('107054102', '6618416', 'object/tangible/firework/shared_firework_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356885356', '50E06D6C', 'object/tangible/firework/shared_firework_three.iff');
INSERT INTO `object_crc_string_table` VALUES ('445291314', '1A8A9B32', 'object/tangible/firework/shared_firework_two.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211144857', 'FB00F899', 'object/tangible/firework/shared_show.iff');
INSERT INTO `object_crc_string_table` VALUES ('2699059676', 'A0E061DC', 'object/tangible/firework/shared_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482306960', 'CF8FC990', 'object/tangible/fishing/bait/base/shared_bait_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1907354318', '71AFEACE', 'object/tangible/fishing/bait/shared_bait_chum.iff');
INSERT INTO `object_crc_string_table` VALUES ('2852582475', 'AA06F44B', 'object/tangible/fishing/bait/shared_bait_grub.iff');
INSERT INTO `object_crc_string_table` VALUES ('574609963', '223FDA2B', 'object/tangible/fishing/bait/shared_bait_insect.iff');
INSERT INTO `object_crc_string_table` VALUES ('529269810', '1F8C0432', 'object/tangible/fishing/bait/shared_bait_worm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3666883788', 'DA9034CC', 'object/tangible/fishing/fish/base/shared_fish_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('408623623', '185B1A07', 'object/tangible/fishing/fish/shared_blackfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010790033', '77DA3891', 'object/tangible/fishing/fish/shared_blowfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990319970', 'B23CA962', 'object/tangible/fishing/fish/shared_bluefish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004254750', '7776801E', 'object/tangible/fishing/fish/shared_faa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1061978988', '3F4C836C', 'object/tangible/fishing/fish/shared_fish_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598448090', '9AE12BDA', 'object/tangible/fishing/fish/shared_laa.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789117227', '6AA3C32B', 'object/tangible/fishing/fish/shared_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919980156', 'AE0B5C7C', 'object/tangible/fishing/fish/shared_striped.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813029717', '6C10A355', 'object/tangible/fishing/shared_fishing_pole.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763394438', '691B4386', 'object/tangible/fishing/shared_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084993175', '40ABAE97', 'object/tangible/fishing/shared_splash.iff');
INSERT INTO `object_crc_string_table` VALUES ('57637204', '36F7954', 'object/tangible/food/base/shared_alcoholic_drink_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3304775743', 'C4FAE03F', 'object/tangible/food/base/shared_base_crafted_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('3228094758', 'C068D126', 'object/tangible/food/base/shared_base_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('314474339', '12BE7F63', 'object/tangible/food/base/shared_desert_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3988054565', 'EDB4E225', 'object/tangible/food/base/shared_dish_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('224626249', 'D638649', 'object/tangible/food/base/shared_drink_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('549891041', '20C6ABE1', 'object/tangible/food/base/shared_meal_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('407188941', '184535CD', 'object/tangible/food/base/shared_meat_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('666169127', '27B4EF27', 'object/tangible/food/base/shared_side_dish_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342861658', '8BA53B5A', 'object/tangible/food/base/shared_veggie_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284585922', 'FF6197C2', 'object/tangible/food/crafted/additive/shared_additive_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2284977295', '8831FC8F', 'object/tangible/food/crafted/additive/shared_additive_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1231667281', '4969C051', 'object/tangible/food/crafted/additive/shared_additive_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('282579048', '10D7D068', 'object/tangible/food/crafted/additive/shared_additive_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020591662', 'EFA55C2E', 'object/tangible/food/crafted/shared_dessert_air_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2785624477', 'A609419D', 'object/tangible/food/crafted/shared_dessert_almond_kwevvu_crisp_munchies.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764032352', '6924FF60', 'object/tangible/food/crafted/shared_dessert_bantha_butter.iff');
INSERT INTO `object_crc_string_table` VALUES ('834290076', '31BA419C', 'object/tangible/food/crafted/shared_dessert_blap_biscuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('254187661', 'F26988D', 'object/tangible/food/crafted/shared_dessert_blob_candy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010692823', '77D8BCD7', 'object/tangible/food/crafted/shared_dessert_bofa_treat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1999279141', '772A9425', 'object/tangible/food/crafted/shared_dessert_cavaellin_creams.iff');
INSERT INTO `object_crc_string_table` VALUES ('3279557459', 'C37A1353', 'object/tangible/food/crafted/shared_dessert_chandad.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084605779', 'F3762353', 'object/tangible/food/crafted/shared_dessert_citros_snow_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('998986934', '3B8B54B6', 'object/tangible/food/crafted/shared_dessert_corellian_fried_icecream.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123466191', '7E9185CF', 'object/tangible/food/crafted/shared_dessert_deneelian_fizz_pudding.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922269771', '7293824B', 'object/tangible/food/crafted/shared_dessert_dweezel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695031231', '65081FBF', 'object/tangible/food/crafted/shared_dessert_felbar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513718406', '95D44C86', 'object/tangible/food/crafted/shared_dessert_glazed_glucose_pate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661429797', '63076825', 'object/tangible/food/crafted/shared_dessert_gorrnar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507202736', '59D616B0', 'object/tangible/food/crafted/shared_dessert_kiwik_clusjo_swirl.iff');
INSERT INTO `object_crc_string_table` VALUES ('151593405', '90921BD', 'object/tangible/food/crafted/shared_dessert_nanana_twist.iff');
INSERT INTO `object_crc_string_table` VALUES ('3718080232', 'DD9D66E8', 'object/tangible/food/crafted/shared_dessert_para_roll.iff');
INSERT INTO `object_crc_string_table` VALUES ('3299488351', 'C4AA325F', 'object/tangible/food/crafted/shared_dessert_parwan_nutricake.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214438726', 'BF987146', 'object/tangible/food/crafted/shared_dessert_pastebread.iff');
INSERT INTO `object_crc_string_table` VALUES ('443057003', '1A68836B', 'object/tangible/food/crafted/shared_dessert_pikatta_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('128351778', '7A67E22', 'object/tangible/food/crafted/shared_dessert_pkneb.iff');
INSERT INTO `object_crc_string_table` VALUES ('2099760655', '7D27CE0F', 'object/tangible/food/crafted/shared_dessert_puffcake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2379589648', '8DD5A810', 'object/tangible/food/crafted/shared_dessert_pyollian_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800464858', '6B50E9DA', 'object/tangible/food/crafted/shared_dessert_ryshcate.iff');
INSERT INTO `object_crc_string_table` VALUES ('921981708', '36F4530C', 'object/tangible/food/crafted/shared_dessert_smugglers_delight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3216510743', 'BFB80F17', 'object/tangible/food/crafted/shared_dessert_sweesonberry_rolls.iff');
INSERT INTO `object_crc_string_table` VALUES ('1272384230', '4BD70AE6', 'object/tangible/food/crafted/shared_dessert_sweet_cake_mix.iff');
INSERT INTO `object_crc_string_table` VALUES ('1498097624', '594B27D8', 'object/tangible/food/crafted/shared_dessert_tranna_nougat_cream.iff');
INSERT INTO `object_crc_string_table` VALUES ('2118223714', '7E418762', 'object/tangible/food/crafted/shared_dessert_vagnerian_canape.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493029754', 'D033677A', 'object/tangible/food/crafted/shared_dessert_wedding_cake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478713849', '93BE2BF9', 'object/tangible/food/crafted/shared_dessert_won_won.iff');
INSERT INTO `object_crc_string_table` VALUES ('407534571', '184A7BEB', 'object/tangible/food/crafted/shared_dish_ahrisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('166570214', '9EDA8E6', 'object/tangible/food/crafted/shared_dish_bivoli_tempari.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058470690', 'B64C8F22', 'object/tangible/food/crafted/shared_dish_blood_chowder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1863318524', '6F0FFBFC', 'object/tangible/food/crafted/shared_dish_braised_canron.iff');
INSERT INTO `object_crc_string_table` VALUES ('2528298667', '96B2C6AB', 'object/tangible/food/crafted/shared_dish_cho_nor_hoola.iff');
INSERT INTO `object_crc_string_table` VALUES ('1201766714', '47A1813A', 'object/tangible/food/crafted/shared_dish_crispic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3723091380', 'DDE9DDB4', 'object/tangible/food/crafted/shared_dish_dustcrepe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915488362', 'ADC6D26A', 'object/tangible/food/crafted/shared_dish_exo_protein_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075172541', '4015D4BD', 'object/tangible/food/crafted/shared_dish_fire_stew.iff');
INSERT INTO `object_crc_string_table` VALUES ('509609425', '1E6005D1', 'object/tangible/food/crafted/shared_dish_fried_endwa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655863733', 'D9E80DB5', 'object/tangible/food/crafted/shared_dish_gruuvan_shaal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3540915880', 'D30E16A8', 'object/tangible/food/crafted/shared_dish_havla.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212622551', '83E1F0D7', 'object/tangible/food/crafted/shared_dish_kanali_wafers.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901856789', 'E8919C15', 'object/tangible/food/crafted/shared_dish_karkan_ribenes.iff');
INSERT INTO `object_crc_string_table` VALUES ('2825035524', 'A8629F04', 'object/tangible/food/crafted/shared_dish_meatlump.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722923063', 'A24C8237', 'object/tangible/food/crafted/shared_dish_ormachek.iff');
INSERT INTO `object_crc_string_table` VALUES ('191716043', 'B6D5ACB', 'object/tangible/food/crafted/shared_dish_patot_panak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558957614', '9886982E', 'object/tangible/food/crafted/shared_dish_protato.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037089871', '796B864F', 'object/tangible/food/crafted/shared_dish_puk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023909182', '3D079D3E', 'object/tangible/food/crafted/shared_dish_rakririan_burnout_sauce.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904202530', '717FD322', 'object/tangible/food/crafted/shared_dish_ramorrean_capanata.iff');
INSERT INTO `object_crc_string_table` VALUES ('1720551551', '668D887F', 'object/tangible/food/crafted/shared_dish_rations.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144916999', '443E0C07', 'object/tangible/food/crafted/shared_dish_scrimpi.iff');
INSERT INTO `object_crc_string_table` VALUES ('4017404858', 'EF74BBBA', 'object/tangible/food/crafted/shared_dish_soypro.iff');
INSERT INTO `object_crc_string_table` VALUES ('356304761', '153CC779', 'object/tangible/food/crafted/shared_dish_stewed_gwouch.iff');
INSERT INTO `object_crc_string_table` VALUES ('513761366', '1E9F6056', 'object/tangible/food/crafted/shared_dish_synthsteak.iff');
INSERT INTO `object_crc_string_table` VALUES ('601858027', '23DF9FEB', 'object/tangible/food/crafted/shared_dish_teltier_noodles.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953777354', '747446CA', 'object/tangible/food/crafted/shared_dish_terratta.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182149536', '8210F5A0', 'object/tangible/food/crafted/shared_dish_thakitillo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831837498', 'A8CA693A', 'object/tangible/food/crafted/shared_dish_travel_biscuits.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709111425', 'A179C281', 'object/tangible/food/crafted/shared_dish_trimpian.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526756449', '969B3E61', 'object/tangible/food/crafted/shared_dish_vegeparsine.iff');
INSERT INTO `object_crc_string_table` VALUES ('37093667', '2360123', 'object/tangible/food/crafted/shared_dish_veghash.iff');
INSERT INTO `object_crc_string_table` VALUES ('3271121360', 'C2F959D0', 'object/tangible/food/crafted/shared_dish_vercupti_of_agazza_boleruuee.iff');
INSERT INTO `object_crc_string_table` VALUES ('2578711144', '99B40268', 'object/tangible/food/crafted/shared_dish_wastril_bread.iff');
INSERT INTO `object_crc_string_table` VALUES ('202720794', 'C15461A', 'object/tangible/food/crafted/shared_dish_xermaauc.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146017985', 'F71F36C1', 'object/tangible/food/crafted/shared_drink_accarragm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316612245', '8A14B295', 'object/tangible/food/crafted/shared_drink_aitha.iff');
INSERT INTO `object_crc_string_table` VALUES ('4157864214', 'F7D3F916', 'object/tangible/food/crafted/shared_drink_alcohol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758052832', 'DFFF55E0', 'object/tangible/food/crafted/shared_drink_aludium_pu36.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229633223', 'C0804AC7', 'object/tangible/food/crafted/shared_drink_angerian_fishak_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('2154164402', '8065F0B2', 'object/tangible/food/crafted/shared_drink_antakarian_fire_dancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599646659', '9AF375C3', 'object/tangible/food/crafted/shared_drink_bantha_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402973041', '539FAB71', 'object/tangible/food/crafted/shared_drink_bespin_port.iff');
INSERT INTO `object_crc_string_table` VALUES ('352131413', '14FD1955', 'object/tangible/food/crafted/shared_drink_blue_milk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001723418', '774FE01A', 'object/tangible/food/crafted/shared_drink_breath_of_heaven.iff');
INSERT INTO `object_crc_string_table` VALUES ('2701899786', 'A10BB80A', 'object/tangible/food/crafted/shared_drink_caf.iff');
INSERT INTO `object_crc_string_table` VALUES ('406392603', '18390F1B', 'object/tangible/food/crafted/shared_drink_charde.iff');
INSERT INTO `object_crc_string_table` VALUES ('3769443904', 'E0AD2640', 'object/tangible/food/crafted/shared_drink_corellian_ale.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481855553', '93EE1C41', 'object/tangible/food/crafted/shared_drink_corellian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737019510', 'A3239A76', 'object/tangible/food/crafted/shared_drink_cortyg.iff');
INSERT INTO `object_crc_string_table` VALUES ('3050569282', 'B5D3FE42', 'object/tangible/food/crafted/shared_drink_deuterium_pyro.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758987936', 'A472D0A0', 'object/tangible/food/crafted/shared_drink_double_dip_outer_rim_rumdrop.iff');
INSERT INTO `object_crc_string_table` VALUES ('2621798949', '9C457A25', 'object/tangible/food/crafted/shared_drink_durindfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('3434180885', 'CCB17115', 'object/tangible/food/crafted/shared_drink_elshandruu_pica_thundercloud.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965669451', 'B0C4864B', 'object/tangible/food/crafted/shared_drink_flameout.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403096201', 'CAD72089', 'object/tangible/food/crafted/shared_drink_garrmorl.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730504288', 'DE5AFA60', 'object/tangible/food/crafted/shared_drink_gralinyn_juice.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204858859', 'FAA10DEB', 'object/tangible/food/crafted/shared_drink_ice_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1406762352', '53D97D70', 'object/tangible/food/crafted/shared_drink_ithorian_mist.iff');
INSERT INTO `object_crc_string_table` VALUES ('355298575', '152D6D0F', 'object/tangible/food/crafted/shared_drink_jaar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314105882', 'C5893E1A', 'object/tangible/food/crafted/shared_drink_jawa_beer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748723548', 'DF70FB5C', 'object/tangible/food/crafted/shared_drink_kylessian_fruit_distillate.iff');
INSERT INTO `object_crc_string_table` VALUES ('475983499', '1C5EEE8B', 'object/tangible/food/crafted/shared_drink_mandalorian_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4051771038', 'F1811E9E', 'object/tangible/food/crafted/shared_drink_ruby_bliel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3068541916', 'B6E63BDC', 'object/tangible/food/crafted/shared_drink_skannbult_likker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551363941', 'D3AD8365', 'object/tangible/food/crafted/shared_drink_spiced_tea.iff');
INSERT INTO `object_crc_string_table` VALUES ('789489529', '2F0EA779', 'object/tangible/food/crafted/shared_drink_starshine_surprise.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478328705', '93B84B81', 'object/tangible/food/crafted/shared_drink_sullustan_gin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008892971', '3C227C2B', 'object/tangible/food/crafted/shared_drink_tatooine_sunburn.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374587508', '8D895474', 'object/tangible/food/crafted/shared_drink_tilla_tiil.iff');
INSERT INTO `object_crc_string_table` VALUES ('721473598', '2B00D03E', 'object/tangible/food/crafted/shared_drink_tssolok.iff');
INSERT INTO `object_crc_string_table` VALUES ('780459444', '2E84DDB4', 'object/tangible/food/crafted/shared_drink_vasarian_brandy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4128399839', 'F61261DF', 'object/tangible/food/crafted/shared_drink_vayerbok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052111265', 'F1864FA1', 'object/tangible/food/crafted/shared_drink_veronian_berry_wine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2415963091', '9000ABD3', 'object/tangible/food/creature_bio_effects/shared_bio_kliknik_fortitude_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1615742669', '604E46CD', 'object/tangible/food/creature_bio_effects/shared_bio_kwi_adrenal_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405655823', '53C89B0F', 'object/tangible/food/foraged/shared_edible_jar_berries.iff');
INSERT INTO `object_crc_string_table` VALUES ('2220813342', '845EEC1E', 'object/tangible/food/foraged/shared_edible_jar_bugs.iff');
INSERT INTO `object_crc_string_table` VALUES ('404667969', '181EBE41', 'object/tangible/food/foraged/shared_edible_jar_fungus.iff');
INSERT INTO `object_crc_string_table` VALUES ('3997953331', 'EE4BED33', 'object/tangible/food/foraged/shared_edible_jar_funk.iff');
INSERT INTO `object_crc_string_table` VALUES ('4279994826', 'FF1B89CA', 'object/tangible/food/foraged/shared_edible_jar_livers.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125771498', '4319E8EA', 'object/tangible/food/foraged/shared_foraged_fruit_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551070845', '980E407D', 'object/tangible/food/foraged/shared_foraged_fruit_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506644976', 'D10327F0', 'object/tangible/food/foraged/shared_foraged_fruit_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('719326436', '2AE00CE4', 'object/tangible/food/foraged/shared_foraged_fruit_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676503913', '63ED6B69', 'object/tangible/food/foraged/shared_foraged_fruit_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2375994584', '8D9ECCD8', 'object/tangible/food/foraged/shared_foraged_vegetable_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298011989', 'C493AB55', 'object/tangible/food/foraged/shared_foraged_vegetable_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064337473', '3F708041', 'object/tangible/food/foraged/shared_foraged_vegetable_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987962828', '767DE7CC', 'object/tangible/food/foraged/shared_foraged_vegetable_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('636907490', '25F66FE2', 'object/tangible/food/shared_bread_loaf_full_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1805453686', '6B9D0976', 'object/tangible/food/shared_fruit_melon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607939967', '5FD7377F', 'object/tangible/food/shared_meat_kabob.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002178660', '3BBC0864', 'object/tangible/food/shared_meat_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221635461', '846B7785', 'object/tangible/food/shared_nectar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2073269551', '7B93952F', 'object/tangible/food/spice/shared_spice_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2516008025', '95F73C59', 'object/tangible/food/spice/shared_spice_booster_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('96283804', '5BD2C9C', 'object/tangible/food/spice/shared_spice_crash_n_burn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1700944368', '656259F0', 'object/tangible/food/spice/shared_spice_droid_lube.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878192398', '6FF2F10E', 'object/tangible/food/spice/shared_spice_giggledust.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012257661', 'EF26317D', 'object/tangible/food/spice/shared_spice_grey_gabaki.iff');
INSERT INTO `object_crc_string_table` VALUES ('3162646760', 'BC8228E8', 'object/tangible/food/spice/shared_spice_gunjack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365942016', '8D056900', 'object/tangible/food/spice/shared_spice_kliknik_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381348892', 'C98B4A1C', 'object/tangible/food/spice/shared_spice_kwi_boost.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112742541', 'B988AE8D', 'object/tangible/food/spice/shared_spice_muon_gold.iff');
INSERT INTO `object_crc_string_table` VALUES ('3750021953', 'DF84CB41', 'object/tangible/food/spice/shared_spice_neutron_pixey.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073230239', '3FF8319F', 'object/tangible/food/spice/shared_spice_pyrepenol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992242678', 'EDF4C9F6', 'object/tangible/food/spice/shared_spice_scramjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072023421', 'F2B6257D', 'object/tangible/food/spice/shared_spice_sedative_h4b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778111395', 'A5969DA3', 'object/tangible/food/spice/shared_spice_shadowpaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('1182200956', '4676F47C', 'object/tangible/food/spice/shared_spice_sweetblossom.iff');
INSERT INTO `object_crc_string_table` VALUES ('732545867', '2BA9C34B', 'object/tangible/food/spice/shared_spice_thruster_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('194250139', 'B94059B', 'object/tangible/food/spice/shared_spice_yarrock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1531961782', '5B4FE1B6', 'object/tangible/furniture/all/shared_bestine_quest_imp_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('382776042', '16D0B2EA', 'object/tangible/furniture/all/shared_bestine_quest_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3069965117', 'B6FBF33D', 'object/tangible/furniture/all/shared_event_flag_game_imp_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1888446421', '708F67D5', 'object/tangible/furniture/all/shared_event_flag_game_neut_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('255943061', 'F416195', 'object/tangible/furniture/all/shared_event_flag_game_reb_banner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1081367784', '40745CE8', 'object/tangible/furniture/all/shared_frn_all_banner_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766782450', 'A4E9BFF2', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2147358565', '7FFE1765', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258677740', '86A0AFEC', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572276091', '5DB7077B', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3227489016', 'C05F92F8', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('457718383', '1B483A6F', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('481905908', '1CB94CF4', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1199580943', '4780270F', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014994447', '3C7F960F', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584752217', 'D5AAFA59', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('521624148', '1F175A54', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288396483', 'C400F2C3', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1808903036', '6BD1AB7C', 'object/tangible/furniture/all/shared_frn_all_command_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193418540', '47221F2C', 'object/tangible/furniture/all/shared_frn_all_couch_divan_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092553247', '7CB9D41F', 'object/tangible/furniture/all/shared_frn_all_couch_futon_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042763570', '3E274F32', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845187493', 'E530E7A5', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2658048255', '9E6E98FF', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165570152', '45793068', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218810982', '48A59466', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('476995372', '1C6E5F2C', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558376117', '987DB8B5', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1131024418', '436A1022', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588623479', '9A4B4277', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096608480', '415CEAE0', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('139562349', '8518D6D', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436169521', 'CCCFC931', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('400056742', '17D861A6', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4001814831', 'EE86D92F', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('898724280', '359171B8', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090604085', '7C9C1635', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273262881', '877F3D21', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805336181', 'A7360875', 'object/tangible/furniture/all/shared_frn_all_desk_map_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189355734', '46E420D6', 'object/tangible/furniture/all/shared_frn_all_desk_map_table_insert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848687606', 'E5664FF6', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694461731', '64FF6F23', 'object/tangible/furniture/all/shared_frn_all_gaming_kiosk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800172243', 'A6E73CD3', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521956956', 'D1ECCC5C', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324544895', 'C628877F', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('184247499', 'AFB64CB', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571999842', 'D4E86462', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181620046', 'F93E754E', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('573169113', '2229DDD9', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1797569108', '6B24BA54', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2360472234', '8CB1F2AA', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('382797400', '16D10658', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470519869', '57A65A3D', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('68281669', '411E545', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1325371987', '4EFF9253', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1805089359', '6B977A4F', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515024580', '95E83AC4', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2035784018', '79579952', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3706019145', 'DCE55D49', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2337747764', '8B573334', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('654734941', '2706765D', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557553000', '5CD65F68', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2424631679', '9084F17F', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1267948008', '4B9359E8', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('43925093', '29E3E65', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3608725747', 'D718C8F3', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('822321525', '3103A175', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035162080', 'F083AFE0', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('761322007', '2D60DA17', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('731121527', '2B940777', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067464970', '3FA0390A', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654219002', '629960FA', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449852780', 'CDA0936C', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03_lit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031925830', 'F0524E46', 'object/tangible/furniture/all/shared_frn_all_light_death_watch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1579415490', '5E23F7C2', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2234802005', '85345F55', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771349838', '6994A74E', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2994933721', 'B2830FD9', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('284598381', '10F6A06D', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220414036', 'FB8E6854', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2383392501', '8E0FAEF5', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1427637858', '55180662', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1279381004', '4C41CE0C', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539021979', '9756669B', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730506006', 'DE5B0116', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('632826370', '25B82A02', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('660247825', '275A9511', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232920454', 'FC4D3D86', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040893451', 'B5405A0B', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584464044', 'D5A694AC', 'object/tangible/furniture/all/shared_frn_all_light_lamp_tatt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2264087913', '86F33D69', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575261694', '5DE495FE', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('350876275', '14E9F273', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4010465639', 'EF0AD967', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722056472', '66A47F18', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182679951', 'BDB3D78F', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106137602', 'F4BEB002', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('257792790', 'F5D9B16', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179712667', '4650FC9B', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069121058', 'F289DC22', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466207088', '92FF5570', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1240006119', '49E8FDE7', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('15047274', 'E59A6A', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211519870', 'FB06B17E', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2987120371', 'B20BD6F3', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131467531', 'BAA6670B', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639042972', '61B1CF9C', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('683452433', '28BCA811', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('891789876', '3527A234', 'object/tangible/furniture/all/shared_frn_all_technical_console_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996125859', 'EE300AA3', 'object/tangible/furniture/all/shared_frn_all_technical_console_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('554677542', '210FB526', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195884465', 'FA181DB1', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004529212', 'B3157A3C', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3066089836', 'B6C0D16C', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4055857984', 'F1BF7B40', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035190183', '3DB3BFA7', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995765132', '76F4F58C', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917358875', 'ADE35D1B', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802643293', '6B72275D', 'object/tangible/furniture/all/shared_frn_bench_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515230028', 'D186274C', 'object/tangible/furniture/base/shared_furniture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('814787995', '3090AD9B', 'object/tangible/furniture/cheap/shared_armoire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('536193644', '1FF5AA6C', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571830128', '5DB03970', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('390371593', '17449909', 'object/tangible/furniture/cheap/shared_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830949127', 'E457A507', 'object/tangible/furniture/cheap/shared_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533156957', 'D297B25D', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('760525609', '2D54B329', 'object/tangible/furniture/cheap/shared_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('506885495', '1E367577', 'object/tangible/furniture/cheap/shared_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('649092668', '26B05E3C', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4151196909', 'F76E3CED', 'object/tangible/furniture/city/shared_city_furniture.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313257856', '89E18380', 'object/tangible/furniture/city/shared_fountain_brazier_round.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003277159', 'B3025F67', 'object/tangible/furniture/city/shared_fountain_brazier_square.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062230985', '7AEB25C9', 'object/tangible/furniture/city/shared_fountain_circle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2289141154', '887185A2', 'object/tangible/furniture/city/shared_fountain_contemplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('891317652', '35206D94', 'object/tangible/furniture/city/shared_fountain_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('752522067', '2CDA9353', 'object/tangible/furniture/city/shared_fountain_heroic.iff');
INSERT INTO `object_crc_string_table` VALUES ('288593099', '113394CB', 'object/tangible/furniture/city/shared_fountain_rectangle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297433571', '88F00DE3', 'object/tangible/furniture/city/shared_statue_gungan_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790671586', 'A65644E2', 'object/tangible/furniture/city/shared_statue_sentinel_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2101472373', '7D41EC75', 'object/tangible/furniture/city/shared_statue_sentinel_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953802016', 'B00F7120', 'object/tangible/furniture/city/shared_statue_tatooine_sunball.iff');
INSERT INTO `object_crc_string_table` VALUES ('3005115588', 'B31E6CC4', 'object/tangible/furniture/city/shared_statue_weird_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745470547', '6809C453', 'object/tangible/furniture/city/shared_statue_weird_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2047185274', '7A05917A', 'object/tangible/furniture/city/shared_streetlamp_large_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702326253', 'A11239ED', 'object/tangible/furniture/city/shared_streetlamp_large_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('551133960', '20D9A308', 'object/tangible/furniture/city/shared_streetlamp_large_blue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224584607', 'FBCE0B9F', 'object/tangible/furniture/city/shared_streetlamp_large_blue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531280975', '96E0484F', 'object/tangible/furniture/city/shared_streetlamp_large_green_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1308090584', '4DF7E0D8', 'object/tangible/furniture/city/shared_streetlamp_large_green_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2282086980', '8805E244', 'object/tangible/furniture/city/shared_streetlamp_large_red_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1393707731', '53124AD3', 'object/tangible/furniture/city/shared_streetlamp_large_red_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764304868', '692927E4', 'object/tangible/furniture/city/shared_streetlamp_med_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2990444403', 'B23E8F73', 'object/tangible/furniture/city/shared_streetlamp_med_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('615766032', '24B3D810', 'object/tangible/furniture/city/shared_streetlamp_med_blue_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288966791', 'FFA47087', 'object/tangible/furniture/city/shared_streetlamp_med_blue_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020184723', 'EF9F2693', 'object/tangible/furniture/city/shared_streetlamp_med_green_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('881364484', '34888E04', 'object/tangible/furniture/city/shared_streetlamp_med_green_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676634834', '63EF6AD2', 'object/tangible/furniture/city/shared_streetlamp_med_red_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103310405', 'B8F8C245', 'object/tangible/furniture/city/shared_streetlamp_med_red_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('778917674', '2E6D572A', 'object/tangible/furniture/decorative/shared_bacta_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('1552726710', '5C8CBAB6', 'object/tangible/furniture/decorative/shared_basket_closed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472176746', '935A6C6A', 'object/tangible/furniture/decorative/shared_bottle_fat.iff');
INSERT INTO `object_crc_string_table` VALUES ('3744745457', 'DF3447F1', 'object/tangible/furniture/decorative/shared_bottle_pear.iff');
INSERT INTO `object_crc_string_table` VALUES ('1391690326', '52F38256', 'object/tangible/furniture/decorative/shared_bottle_tall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3911421124', 'E9238CC4', 'object/tangible/furniture/decorative/shared_bubble_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161463527', 'F80AE4E7', 'object/tangible/furniture/decorative/shared_cafe_chair.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302774503', '89418CE7', 'object/tangible/furniture/decorative/shared_campfire.iff');
INSERT INTO `object_crc_string_table` VALUES ('339149947', '1437047B', 'object/tangible/furniture/decorative/shared_carved_bowl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1081449691', '40759CDB', 'object/tangible/furniture/decorative/shared_corellian_flagpole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2673191290', '9F55A97A', 'object/tangible/furniture/decorative/shared_diagnostic_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('247713361', 'EC3CE51', 'object/tangible/furniture/decorative/shared_foodcart.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967222212', 'B0DC37C4', 'object/tangible/furniture/decorative/shared_fruit_assorted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845808441', 'E53A6139', 'object/tangible/furniture/decorative/shared_hanging_planter.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914356187', 'ADB58BDB', 'object/tangible/furniture/decorative/shared_kitchen_utensils.iff');
INSERT INTO `object_crc_string_table` VALUES ('1371805603', '51C417A3', 'object/tangible/furniture/decorative/shared_microphone_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2329132852', '8AD3BF34', 'object/tangible/furniture/decorative/shared_microphone_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3230914916', 'C093D964', 'object/tangible/furniture/decorative/shared_park_bench.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027440534', 'B4731396', 'object/tangible/furniture/decorative/shared_pitcher_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('265330510', 'FD09F4E', 'object/tangible/furniture/decorative/shared_plain_bowl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276845581', '4C1B1E0D', 'object/tangible/furniture/decorative/shared_portable_stove.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449846247', 'CDA079E7', 'object/tangible/furniture/decorative/shared_professor_desk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1925051927', '72BDF617', 'object/tangible/furniture/decorative/shared_radio.iff');
INSERT INTO `object_crc_string_table` VALUES ('2687763225', 'A0340319', 'object/tangible/furniture/decorative/shared_shisa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3637045167', 'D8C8E7AF', 'object/tangible/furniture/decorative/shared_slave_brazier.iff');
INSERT INTO `object_crc_string_table` VALUES ('584986683', '22DE303B', 'object/tangible/furniture/decorative/shared_spear_rack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025826272', '3D24DDE0', 'object/tangible/furniture/decorative/shared_streetlamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3754610369', 'DFCACEC1', 'object/tangible/furniture/decorative/shared_stuffed_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('92142046', '57DF9DE', 'object/tangible/furniture/decorative/shared_tanning_hide_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3731509577', 'DE6A5149', 'object/tangible/furniture/decorative/shared_tanning_hide_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2550512766', '9805BC7E', 'object/tangible/furniture/decorative/shared_tatooine_tapestry.iff');
INSERT INTO `object_crc_string_table` VALUES ('56090695', '357E047', 'object/tangible/furniture/elegant/shared_armoire_elegant_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814465035', '6C268A0B', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2940457110', 'AF43D096', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('824180051', '311FFD53', 'object/tangible/furniture/elegant/shared_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3255615837', 'C20CC15D', 'object/tangible/furniture/elegant/shared_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775305785', '69D10439', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('185587571', 'B0FD773', 'object/tangible/furniture/elegant/shared_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('551627081', '20E12949', 'object/tangible/furniture/elegant/shared_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('409403906', '18670202', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('396719577', '17A575D9', 'object/tangible/furniture/imperial/shared_bunker_table_giant_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690468155', 'A05D493B', 'object/tangible/furniture/imperial/shared_data_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068505004', '7B4AE1AC', 'object/tangible/furniture/imperial/shared_data_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('843548193', '32478621', 'object/tangible/furniture/imperial/shared_data_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383012661', 'C9A4AD35', 'object/tangible/furniture/imperial/shared_data_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484080816', '587546B0', 'object/tangible/furniture/imperial/shared_table_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872577518', 'E6D2D7EE', 'object/tangible/furniture/imperial/shared_warren_computer_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156516600', '8089D4F8', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1537113199', '5B9E7C6F', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('311630818', '12931BE2', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916443894', 'E97030F6', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918381408', '72582D60', 'object/tangible/furniture/imperial/shared_warren_experiment_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('811537804', '305F158C', 'object/tangible/furniture/imperial/shared_warren_warning_sign.iff');
INSERT INTO `object_crc_string_table` VALUES ('1233088738', '497F70E2', 'object/tangible/furniture/jedi/shared_frn_all_banner_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('424725094', '1950CA66', 'object/tangible/furniture/jedi/shared_frn_all_banner_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('655797183', '2716ABBF', 'object/tangible/furniture/jedi/shared_frn_all_candlestick.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388059075', 'C9F1ADC3', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('317064532', '12E60554', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059746437', 'B6600685', 'object/tangible/furniture/jedi/shared_frn_all_dark_throne.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078124404', 'B7787374', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819270115', '6C6FDBE3', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291415310', 'FFC9CD0E', 'object/tangible/furniture/jedi/shared_frn_all_light_throne.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041312926', 'F0E18A9E', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('737550857', '2BF62209', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1906389046', '71A13036', 'object/tangible/furniture/jedi/shared_frn_all_table_light_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864093345', 'AAB698A1', 'object/tangible/furniture/jedi/shared_frn_all_table_light_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1825670087', '6CD183C7', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3231704914', 'C09FE752', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('825953959', '313B0EA7', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3928794672', 'EA2CA630', 'object/tangible/furniture/modern/shared_bar_piece_curve_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('756303151', '2D14452F', 'object/tangible/furniture/modern/shared_bar_piece_straight_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127452600', 'F603EDB8', 'object/tangible/furniture/modern/shared_bar_piece_straight_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582039293', 'D58194FD', 'object/tangible/furniture/modern/shared_bestine_quest_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('947776958', '387DEDBE', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1509992400', '5A00A7D0', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425220436', '54F32354', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089584009', 'B8274F89', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875811519', '6FCE9CBF', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034133544', 'B4D93428', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('997369378', '3B72A622', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3764719285', 'E0650EB5', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671645095', 'DAD8DBA7', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('571124446', '220AAADE', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014144206', '3C729CCE', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897101447', '71137887', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('698741961', '29A5F4C9', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1443324291', '56076183', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3835781381', 'E4A16105', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938908953', 'AF2C3119', 'object/tangible/furniture/modern/shared_rug_rect_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950062990', '743B998E', 'object/tangible/furniture/modern/shared_rug_rect_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2115156746', '7E12BB0A', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('518921305', '1EEE1C59', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('162987896', '9B6FF78', 'object/tangible/furniture/modern/shared_rug_rnd_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1973381647', '759F6A0F', 'object/tangible/furniture/modern/shared_rug_rnd_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1871275749', '6F8966E5', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1959548191', '74CC551F', 'object/tangible/furniture/modern/shared_rug_sqr_m_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262472670', '86DA97DE', 'object/tangible/furniture/modern/shared_searchable_desk_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573732169', '5DCD3F49', 'object/tangible/furniture/modern/shared_searchable_desk_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3001683990', 'B2EA1016', 'object/tangible/furniture/modern/shared_searchable_squill_lair_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052184792', 'F1876ED8', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064046324', '3F6C0EF4', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3086235549', 'B7F4379D', 'object/tangible/furniture/plain/shared_plain_armoire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('203693191', 'C241C87', 'object/tangible/furniture/plain/shared_plain_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671368566', 'DAD4A376', 'object/tangible/furniture/plain/shared_plain_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997607130', '771110DA', 'object/tangible/furniture/plain/shared_plain_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2214735060', '84022CD4', 'object/tangible/furniture/plain/shared_plain_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056326196', '7A910C34', 'object/tangible/furniture/plain/shared_plain_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1291926266', '4D013AFA', 'object/tangible/furniture/plain/shared_plain_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396152798', '8ED263DE', 'object/tangible/furniture/plain/shared_plain_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058976917', 'B6544895', 'object/tangible/furniture/plain/shared_plain_love_seat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('408550317', '1859FBAD', 'object/tangible/furniture/shared_furniture_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326667567', 'C648EB2F', 'object/tangible/furniture/shared_furniture_tatooine_cantina_seat_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521145726', '9645A17E', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297222121', '4D5209E9', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3613873422', 'D767550E', 'object/tangible/furniture/space/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('927756693', '374C7195', 'object/tangible/furniture/space/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1908855481', '71C6D2B9', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164191436', '80FEF0CC', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542019163', '5BE9585B', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245057821', 'C16BA71D', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3779547307', 'E14750AB', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3789730782', 'E1E2B3DE', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff');
INSERT INTO `object_crc_string_table` VALUES ('507352168', '1E3D9468', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3307879679', 'C52A3CFF', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2351389554', '8C275B72', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4223928616', 'FBC40928', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957326043', 'B04536DB', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800576588', '6B529E4C', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1910356061', '71DDB85D', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff');
INSERT INTO `object_crc_string_table` VALUES ('4257932604', 'FDCAE53C', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2639715831', '9D56DDF7', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562781306', 'D45BBA7A', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174626788', '819E2BE4', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518961523', '5A898373', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('327476478', '1384E4FE', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2668054876', '9F07495C', 'object/tangible/furniture/technical/shared_armoire_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097959135', '417186DF', 'object/tangible/furniture/technical/shared_bookcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062698935', 'F227DDB7', 'object/tangible/furniture/technical/shared_cabinet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('563858030', '219BCA6E', 'object/tangible/furniture/technical/shared_chair_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532191328', 'D288F660', 'object/tangible/furniture/technical/shared_chest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031353243', '7913FD9B', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('462151758', '1B8BE04E', 'object/tangible/furniture/technical/shared_couch_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3724791162', 'DE03CD7A', 'object/tangible/furniture/technical/shared_end_table_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509750456', 'D1328AB8', 'object/tangible/gambling/base/shared_gambling_station.iff');
INSERT INTO `object_crc_string_table` VALUES ('1978853321', '75F2E7C9', 'object/tangible/gambling/slot/shared_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('294893544', '1193B7E8', 'object/tangible/gambling/table/shared_table_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596039133', '9ABC69DD', 'object/tangible/gambling/wheel/shared_roulette.iff');
INSERT INTO `object_crc_string_table` VALUES ('1086540149', '40C34975', 'object/tangible/gem/base/shared_gem_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742650204', 'DF144F5C', 'object/tangible/gem/shared_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237805620', 'C0FCFE34', 'object/tangible/gem/shared_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('330070250', '13AC78EA', 'object/tangible/gem/shared_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('479064205', '1C8DF08D', 'object/tangible/gravestone/shared_gravestone01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348781082', 'C79A581A', 'object/tangible/gravestone/shared_gravestone02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2392276887', '8E973F97', 'object/tangible/gravestone/shared_gravestone03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970541699', '75741483', 'object/tangible/gravestone/shared_gravestone04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014592270', '3C79730E', 'object/tangible/gravestone/shared_gravestone05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1570783223', '5DA03FF7', 'object/tangible/hair/base/shared_hair_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2550508164', '9805AA84', 'object/tangible/hair/bothan/base/shared_hair_bothan_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4122368933', 'F5B65BA5', 'object/tangible/hair/bothan/base/shared_hair_bothan_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062977600', 'F22C1E40', 'object/tangible/hair/bothan/base/shared_hair_bothan_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4248154474', 'FD35B16A', 'object/tangible/hair/bothan/shared_hair_bothan_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('639769085', '262219FD', 'object/tangible/hair/bothan/shared_hair_bothan_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1865383536', '6F2F7E70', 'object/tangible/hair/bothan/shared_hair_bothan_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2496419172', '94CC5564', 'object/tangible/hair/bothan/shared_hair_bothan_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720426217', 'DDC132E9', 'object/tangible/hair/bothan/shared_hair_bothan_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('114727550', '6D69A7E', 'object/tangible/hair/bothan/shared_hair_bothan_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339817459', '4FDBFDF3', 'object/tangible/hair/bothan/shared_hair_bothan_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124168673', 'F5D1D1E1', 'object/tangible/hair/bothan/shared_hair_bothan_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3168581228', 'BCDCB66C', 'object/tangible/hair/bothan/shared_hair_bothan_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2937117599', 'AF10DB9F', 'object/tangible/hair/bothan/shared_hair_bothan_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3860708370', 'E61DBC12', 'object/tangible/hair/bothan/shared_hair_bothan_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1024070789', '3D0A1485', 'object/tangible/hair/bothan/shared_hair_bothan_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1946645256', '74077308', 'object/tangible/hair/bothan/shared_hair_bothan_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2414106652', '8FE4581C', 'object/tangible/hair/bothan/shared_hair_bothan_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337174929', 'C6E93F91', 'object/tangible/hair/bothan/shared_hair_bothan_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('503224070', '1DFE9706', 'object/tangible/hair/bothan/shared_hair_bothan_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425272971', '54F3F08B', 'object/tangible/hair/bothan/shared_hair_bothan_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('4009352345', 'EEF9DC99', 'object/tangible/hair/bothan/shared_hair_bothan_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817833748', 'A7F4BB14', 'object/tangible/hair/bothan/shared_hair_bothan_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2187906071', '8268CC17', 'object/tangible/hair/bothan/shared_hair_bothan_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567285451', '5D6AE0CB', 'object/tangible/hair/bothan/shared_hair_bothan_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256357468', '867D485C', 'object/tangible/hair/bothan/shared_hair_bothan_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480235985', 'CF702FD1', 'object/tangible/hair/bothan/shared_hair_bothan_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('882050245', '349304C5', 'object/tangible/hair/bothan/shared_hair_bothan_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107532104', '7D9E6348', 'object/tangible/hair/bothan/shared_hair_bothan_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794048479', 'A689CBDF', 'object/tangible/hair/bothan/shared_hair_bothan_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4018449490', 'EF84AC52', 'object/tangible/hair/bothan/shared_hair_bothan_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435402304', '558E8040', 'object/tangible/hair/bothan/shared_hair_bothan_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('478406605', '1C83E7CD', 'object/tangible/hair/bothan/shared_hair_bothan_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('256870974', 'F4F8A3E', 'object/tangible/hair/bothan/shared_hair_bothan_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1178791347', '4642EDB3', 'object/tangible/hair/bothan/shared_hair_bothan_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2639611172', '9D554524', 'object/tangible/hair/bothan/shared_hair_bothan_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562545833', 'D45822A9', 'object/tangible/hair/bothan/shared_hair_bothan_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('800786877', '2FBB09BD', 'object/tangible/hair/bothan/shared_hair_bothan_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723231792', '66B66E30', 'object/tangible/hair/bothan/shared_hair_bothan_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('4104954154', 'F4ACA12A', 'object/tangible/hair/bothan/shared_hair_bothan_male_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319537976', '4EA68D38', 'object/tangible/hair/bothan/shared_hair_bothan_male_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('128707253', '7ABEAB5', 'object/tangible/hair/bothan/shared_hair_bothan_male_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('574070198', '22379DB6', 'object/tangible/hair/bothan/shared_hair_bothan_male_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1278154793', '4C2F1829', 'object/tangible/hair/human/base/shared_hair_human_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('504761774', '1E160DAE', 'object/tangible/hair/human/base/shared_hair_human_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2205118344', '836F6F88', 'object/tangible/hair/human/base/shared_hair_human_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485410635', 'CFBF254B', 'object/tangible/hair/human/shared_hair_human_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('346590684', '14A88DDC', 'object/tangible/hair/human/shared_hair_human_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571154513', '5DA5EA51', 'object/tangible/hair/human/shared_hair_human_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2789654853', 'A646C145', 'object/tangible/hair/human/shared_hair_human_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014712520', 'EF4BA6C8', 'object/tangible/hair/human/shared_hair_human_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('878448223', '345C0E5F', 'object/tangible/hair/human/shared_hair_human_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102487506', '7D5169D2', 'object/tangible/hair/human/shared_hair_human_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3344647616', 'C75B45C0', 'object/tangible/hair/human/shared_hair_human_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2388009549', '8E56224D', 'object/tangible/hair/human/shared_hair_human_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644135870', '9D9A4FBE', 'object/tangible/hair/human/shared_hair_human_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566676019', 'D4972833', 'object/tangible/hair/human/shared_hair_human_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('260079780', 'F8080A4', 'object/tangible/hair/human/shared_hair_human_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3178155069', 'BD6ECC3D', 'object/tangible/hair/human/shared_hair_human_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4100172720', 'F463ABB0', 'object/tangible/hair/human/shared_hair_human_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('796132135', '2F740327', 'object/tangible/hair/human/shared_hair_human_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1719231658', '667964AA', 'object/tangible/hair/human/shared_hair_human_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3698542776', 'DC7348B8', 'object/tangible/hair/human/shared_hair_human_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2508074805', '957E2F35', 'object/tangible/hair/human/shared_hair_human_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2967623734', 'B0E25836', 'object/tangible/hair/human/shared_hair_human_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('4193206203', 'F9EF3FBB', 'object/tangible/hair/human/shared_hair_human_female_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('586716972', '22F8972C', 'object/tangible/hair/human/shared_hair_human_female_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811280033', '6BF5F0A1', 'object/tangible/hair/human/shared_hair_human_female_s23.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417417141', '9016DBB5', 'object/tangible/hair/human/shared_hair_human_female_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('3642473528', 'D91BBC38', 'object/tangible/hair/human/shared_hair_human_female_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('34346159', '20C14AF', 'object/tangible/hair/human/shared_hair_human_female_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258386210', '4B017322', 'object/tangible/hair/human/shared_hair_human_female_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882164046', 'ABCA554E', 'object/tangible/hair/human/shared_hair_human_female_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804705475', 'E2C732C3', 'object/tangible/hair/human/shared_hair_human_female_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('969972308', '39D09A54', 'object/tangible/hair/human/shared_hair_human_female_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2336151245', '8B3ED6CD', 'object/tangible/hair/human/shared_hair_human_female_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258167616', 'C233B140', 'object/tangible/hair/human/shared_hair_human_female_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('421796311', '192419D7', 'object/tangible/hair/human/shared_hair_human_female_s36.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344896602', '50297E5A', 'object/tangible/hair/human/shared_hair_human_female_s37.iff');
INSERT INTO `object_crc_string_table` VALUES ('3928183368', 'EA235248', 'object/tangible/hair/human/shared_hair_human_female_s38.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737714629', 'A32E35C5', 'object/tangible/hair/human/shared_hair_human_female_s39.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927078694', 'EA127726', 'object/tangible/hair/human/shared_hair_human_female_s40.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736722091', 'A31F10AB', 'object/tangible/hair/human/shared_hair_human_female_s41.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013837372', '7808B83C', 'object/tangible/hair/human/shared_hair_human_female_s42.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377331336', '8DB33288', 'object/tangible/hair/human/shared_hair_human_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453627935', '56A49A1F', 'object/tangible/hair/human/shared_hair_human_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('531234194', '1FA9FD92', 'object/tangible/hair/human/shared_hair_human_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3830109830', 'E44AD686', 'object/tangible/hair/human/shared_hair_human_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907156747', 'AD47B10B', 'object/tangible/hair/human/shared_hair_human_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1984960924', '7650199C', 'object/tangible/hair/human/shared_hair_human_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063091729', '3F5D7E11', 'object/tangible/hair/human/shared_hair_human_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237092355', '85575203', 'object/tangible/hair/human/shared_hair_human_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3428464014', 'CC5A358E', 'object/tangible/hair/human/shared_hair_human_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3751172221', 'DF96587D', 'object/tangible/hair/human/shared_hair_human_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526756848', '969B3FF0', 'object/tangible/hair/human/shared_hair_human_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1301059431', '4D8C9767', 'object/tangible/hair/human/shared_hair_human_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('75624682', '481F0EA', 'object/tangible/hair/human/shared_hair_human_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('4284668926', 'FF62DBFE', 'object/tangible/hair/human/shared_hair_human_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3060776051', 'B66FBC73', 'object/tangible/hair/human/shared_hair_human_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836586212', '6D7814E4', 'object/tangible/hair/human/shared_hair_human_male_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('611677033', '24757369', 'object/tangible/hair/human/shared_hair_human_male_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659147643', '9E7F5F7B', 'object/tangible/hair/human/shared_hair_human_male_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614587126', 'D77238F6', 'object/tangible/hair/human/shared_hair_human_male_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075704309', 'F2EE4FF5', 'object/tangible/hair/human/shared_hair_human_male_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('3152226424', 'BBE32878', 'object/tangible/hair/human/shared_hair_human_male_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('1626636527', '60F480EF', 'object/tangible/hair/human/shared_hair_human_male_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('704243554', '29F9E762', 'object/tangible/hair/human/shared_hair_human_male_s23.iff');
INSERT INTO `object_crc_string_table` VALUES ('3524971638', 'D21ACC76', 'object/tangible/hair/human/shared_hair_human_male_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2602019835', '9B17ABFB', 'object/tangible/hair/human/shared_hair_human_male_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073742700', '4000036C', 'object/tangible/hair/human/shared_hair_human_male_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('151872737', '90D64E1', 'object/tangible/hair/human/shared_hair_human_male_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003599091', 'B30748F3', 'object/tangible/hair/human/shared_hair_human_male_s28.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194971518', 'FA0A2F7E', 'object/tangible/hair/human/shared_hair_human_male_s29.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922084493', 'E9C6428D', 'object/tangible/hair/human/shared_hair_human_male_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('2697667840', 'A0CB2500', 'object/tangible/hair/human/shared_hair_human_male_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078051735', '7BDC8D97', 'object/tangible/hair/human/shared_hair_human_male_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('852617754', '32D1EA1A', 'object/tangible/hair/human/shared_hair_human_male_s33.iff');
INSERT INTO `object_crc_string_table` VALUES ('3375546638', 'C932C10E', 'object/tangible/hair/human/shared_hair_human_male_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('2151655043', '803FA683', 'object/tangible/hair/human/shared_hair_human_male_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('304441753', '12256999', 'object/tangible/hair/human/shared_hair_human_male_s37.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821670283', 'A82F458B', 'object/tangible/hair/human/shared_hair_human_male_s38.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777110534', 'E1222206', 'object/tangible/hair/human/shared_hair_human_male_s39.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820563173', 'A81E60E5', 'object/tangible/hair/human/shared_hair_human_male_s40.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776120680', 'E1130768', 'object/tangible/hair/human/shared_hair_human_male_s41.iff');
INSERT INTO `object_crc_string_table` VALUES ('2992922029', 'B2645DAD', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431919684', 'CC8EF044', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('70668813', '436520D', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082414446', '4084556E', 'object/tangible/hair/rodian/base/shared_hair_rodian_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387184273', '8E498A91', 'object/tangible/hair/rodian/base/shared_hair_rodian_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1061024720', '3F3DF3D0', 'object/tangible/hair/rodian/base/shared_hair_rodian_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932780925', '7333E57D', 'object/tangible/hair/rodian/shared_hair_rodian_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2820951530', 'A8244DEA', 'object/tangible/hair/rodian/shared_hair_rodian_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777571431', 'E1292A67', 'object/tangible/hair/rodian/shared_hair_rodian_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('449446259', '1ACA0173', 'object/tangible/hair/rodian/shared_hair_rodian_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405576958', '53C766FE', 'object/tangible/hair/rodian/shared_hair_rodian_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2295385705', '88D0CE69', 'object/tangible/hair/rodian/shared_hair_rodian_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252529636', 'C1DDA9E4', 'object/tangible/hair/rodian/shared_hair_rodian_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077722102', '7BD785F6', 'object/tangible/hair/rodian/shared_hair_rodian_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('853205627', '32DAE27B', 'object/tangible/hair/rodian/shared_hair_rodian_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('555126664', '21168F88', 'object/tangible/hair/rodian/shared_hair_rodian_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003924626', 'B30C4092', 'object/tangible/hair/rodian/shared_hair_rodian_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194379551', 'FA01271F', 'object/tangible/hair/rodian/shared_hair_rodian_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('31591435', '1E20C0B', 'object/tangible/hair/rodian/shared_hair_rodian_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223650182', '48EF6B86', 'object/tangible/hair/rodian/shared_hair_rodian_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482553617', '93F8C311', 'object/tangible/hair/rodian/shared_hair_rodian_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673531548', 'DAF5A49C', 'object/tangible/hair/rodian/shared_hair_rodian_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1627359374', '60FF888E', 'object/tangible/hair/rodian/shared_hair_rodian_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('703786755', '29F2EF03', 'object/tangible/hair/rodian/shared_hair_rodian_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('208574464', 'C6E9800', 'object/tangible/hair/rodian/shared_hair_rodian_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164181389', '4563FF8D', 'object/tangible/hair/rodian/shared_hair_rodian_female_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('2658424602', '9E74571A', 'object/tangible/hair/rodian/shared_hair_rodian_female_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850856365', '6E51D3AD', 'object/tangible/hair/rodian/shared_hair_rodian_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041295162', 'B5467B3A', 'object/tangible/hair/rodian/shared_hair_rodian_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232780983', 'FC4B1CB7', 'object/tangible/hair/rodian/shared_hair_rodian_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('128464803', '7A837A3', 'object/tangible/hair/rodian/shared_hair_rodian_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1319456814', '4EA5502E', 'object/tangible/hair/rodian/shared_hair_rodian_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511534265', '95B2F8B9', 'object/tangible/hair/rodian/shared_hair_rodian_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3703545652', 'DCBF9F34', 'object/tangible/hair/rodian/shared_hair_rodian_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723183910', '66B5B326', 'object/tangible/hair/rodian/shared_hair_rodian_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('800642219', '2FB8D4AB', 'object/tangible/hair/rodian/shared_hair_rodian_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1014282584', '3C74B958', 'object/tangible/hair/rodian/shared_hair_rodian_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970921173', '7579DED5', 'object/tangible/hair/rodian/shared_hair_rodian_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2926474818', 'AE6E7642', 'object/tangible/hair/rodian/shared_hair_rodian_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3882029519', 'E76311CF', 'object/tangible/hair/rodian/shared_hair_rodian_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('478165723', '1C803ADB', 'object/tangible/hair/rodian/shared_hair_rodian_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435327830', '558D5D56', 'object/tangible/hair/rodian/shared_hair_rodian_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2392520129', '8E9AF5C1', 'object/tangible/hair/rodian/shared_hair_rodian_male_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584119077', '9A068725', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1091645362', '41112FB2', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('136071231', '81C483F', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2007410332', '77A6A69C', 'object/tangible/hair/singing_mountain_clan/shared_singing_mountain_clan_bangs_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('801531223', '2FC66557', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('396464255', '17A1907F', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2746028692', 'A3AD1294', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917568319', 'ADE68F3F', 'object/tangible/hair/sullustan/shared_sul_hair_s01_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('924328110', '371820AE', 'object/tangible/hair/sullustan/shared_sul_hair_s01_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082420492', '7C1F370C', 'object/tangible/hair/sullustan/shared_sul_hair_s02_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3873544349', 'E6E1989D', 'object/tangible/hair/sullustan/shared_sul_hair_s02_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('860380957', '33485F1D', 'object/tangible/hair/sullustan/shared_sul_hair_s03_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847338636', 'A9B6F08C', 'object/tangible/hair/sullustan/shared_sul_hair_s03_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677182685', 'DB2D5ADD', 'object/tangible/hair/sullustan/shared_sul_hair_s04_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1104409932', '41D3F54C', 'object/tangible/hair/sullustan/shared_sul_hair_s04_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491036364', '947A32CC', 'object/tangible/hair/sullustan/shared_sul_hair_s05_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('243572061', 'E849D5D', 'object/tangible/hair/sullustan/shared_sul_hair_s05_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166248703', '45838AFF', 'object/tangible/hair/sullustan/shared_sul_hair_s06_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3749520750', 'DF7D256E', 'object/tangible/hair/sullustan/shared_sul_hair_s06_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('181723886', 'AD4E2EE', 'object/tangible/hair/sullustan/shared_sul_hair_s07_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418691455', '902A4D7F', 'object/tangible/hair/sullustan/shared_sul_hair_s07_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441649352', '91889CC8', 'object/tangible/hair/sullustan/shared_sul_hair_s08_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('192295769', 'B763359', 'object/tangible/hair/sullustan/shared_sul_hair_s08_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3739219161', 'DEDFF4D9', 'object/tangible/hair/sullustan/shared_sul_hair_s09_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143036744', '44215B48', 'object/tangible/hair/sullustan/shared_sul_hair_s09_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104848868', 'B9103BE4', 'object/tangible/hair/sullustan/shared_sul_hair_s10_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('602838133', '23EE9475', 'object/tangible/hair/sullustan/shared_sul_hair_s10_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('4131869685', 'F64753F5', 'object/tangible/hair/sullustan/shared_sul_hair_s11_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824128100', '6CB9FC64', 'object/tangible/hair/sullustan/shared_sul_hair_s11_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('666823622', '27BEEBC6', 'object/tangible/hair/sullustan/shared_sul_hair_s12_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3175105623', 'BD404457', 'object/tangible/hair/sullustan/shared_sul_hair_s12_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760134103', '68E983D7', 'object/tangible/hair/sullustan/shared_sul_hair_s13_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061604934', 'F2172C46', 'object/tangible/hair/sullustan/shared_sul_hair_s13_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156693015', '808C8617', 'object/tangible/hair/sullustan/shared_sul_hair_s14_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('443689350', '1A722986', 'object/tangible/hair/sullustan/shared_sul_hair_s14_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487297030', 'CFDBEE06', 'object/tangible/hair/sullustan/shared_sul_hair_s15_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428504983', '55254197', 'object/tangible/hair/sullustan/shared_sul_hair_s15_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('505566773', '1E225635', 'object/tangible/hair/sullustan/shared_sul_hair_s16_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229074340', '84DCF9A4', 'object/tangible/hair/sullustan/shared_sul_hair_s16_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1366638116', '51753E24', 'object/tangible/hair/sullustan/shared_sul_hair_s17_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414921653', 'CB8B91B5', 'object/tangible/hair/sullustan/shared_sul_hair_s17_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3391700994', 'CA294002', 'object/tangible/hair/sullustan/shared_sul_hair_s18_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356328851', '50D7EF93', 'object/tangible/hair/sullustan/shared_sul_hair_s18_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3635936924', 'D8B7FE9C', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276784889', '87B4FAF9', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('87941221', '53DE065', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('33998203', '206C57B', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641798124', 'D9116DEC', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417756769', '901C0A61', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811882357', '6BFF2175', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('586303224', '22F246F8', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4192595567', 'F9E5EE6F', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2968029666', 'B0E889E2', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('182625776', 'AE2A5F0', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1139786365', '43EFC27D', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344515982', '5023AF8E', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('422496259', '192EC803', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258540180', 'C2396094', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2335442713', '8B340719', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1893149709', '70D72C0D', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363440697', '51447439', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2320751790', '8A53DCAE', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3277765411', 'C35EBB23', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('951947319', '38BD9037', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1907423162', '71B0F7BA', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863095597', 'AAA75F2D', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3819583648', 'E3AA38A0', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1503663282', '59A014B2', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('279802687', '10AD733F', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('56696524', '3611ECC', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1248622913', '4A6C7941', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440810966', '917BD1D6', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631658587', 'D876B65B', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('597007695', '23959D4F', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565672678', 'D487D8E6', 'object/tangible/hair/twilek/base/shared_hair_twilek_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('730298848', '2B8779E0', 'object/tangible/hair/twilek/base/shared_hair_twilek_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('487942244', '1D156864', 'object/tangible/hair/twilek/base/shared_hair_twilek_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3634839517', 'D8A73FDD', 'object/tangible/hair/twilek/shared_hair_twilek_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('61904714', '3B0974A', 'object/tangible/hair/twilek/shared_hair_twilek_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253961927', '4ABDF0C7', 'object/tangible/hair/twilek/shared_hair_twilek_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2975783891', 'B15EDBD3', 'object/tangible/hair/twilek/shared_hair_twilek_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4166237278', 'F853BC5E', 'object/tangible/hair/twilek/shared_hair_twilek_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('591664329', '234414C9', 'object/tangible/hair/twilek/shared_hair_twilek_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783198532', '6A497344', 'object/tangible/hair/twilek/shared_hair_twilek_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494076246', 'D0435F56', 'object/tangible/hair/twilek/shared_hair_twilek_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466956712', '930AC5A8', 'object/tangible/hair/twilek/shared_hair_twilek_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1209888063', '481D6D3F', 'object/tangible/hair/twilek/shared_hair_twilek_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('17828530', '1100AB2', 'object/tangible/hair/twilek/shared_hair_twilek_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4210237862', 'FAF321A6', 'object/tangible/hair/twilek/shared_hair_twilek_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019785771', 'B3FE462B', 'object/tangible/hair/twilek/shared_hair_twilek_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760161468', '68E9EEBC', 'object/tangible/hair/twilek/shared_hair_twilek_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('568625457', '21E48931', 'object/tangible/hair/twilek/shared_hair_twilek_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616108323', '9BEEA523', 'object/tangible/hair/twilek/shared_hair_twilek_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2505702624', '9559FCE0', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402579310', '5399A96E', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('848817616', '3297EDD0', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840322274', '6DB116E2', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('338751255', '1430EF17', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_female_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425340605', '908FC2BD', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_male_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692198825', 'DC127BA9', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('117822270', '705D33E', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309193395', '4E08B4B3', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052117927', 'B5EB9FA7', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4242995242', 'FCE6F82A', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('670126269', '27F150BD', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862022960', '6EFC3730', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572898594', 'D4F61B22', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2650504367', '9DFB7CAF', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385973596', '8E37115C', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342497489', 'C73A76D1', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('472768070', '1C2DDE46', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1428208075', '5520B9CB', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932052703', 'AEC392DF', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889100114', 'E7CEF552', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020878277', '3CD95DC5', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976842824', '75D43A48', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487438426', 'CFDE165A', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262004183', '86D371D7', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739865300', 'A34F06D4', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250935101', 'C1C5553D', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('450035114', '1AD2FDAA', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1407162919', '53DF9A27', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822549811', 'A83CB133', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778139838', 'E131D6BE', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('975601193', '3A267E29', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932204452', '732B19A4', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374396854', 'C92135B6', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150388283', '802C523B', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2480947144', '93E03FC8', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3672987717', 'DAED5845', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('33222866', '1FAF0D2', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1224185695', '48F7975F', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004480587', 'B314BC4B', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195998662', 'FA19DBC6', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('554595153', '210E7351', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745032412', '680314DC', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523819726', 'D20938CE', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('2600755011', '9B045F43', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197642816', 'BE982840', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('867105366', '33AEFA56', 'object/tangible/harvesting/shared_shellfish_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('1942668017', '73CAC2F1', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814389996', '6C2564EC', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204901592', '47D156D8', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805227646', 'A734607E', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417546969', '9018D6D9', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469393495', '932FF457', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304408300', '4DBFB0EC', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('4058756214', 'F1EBB476', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040800453', '79A424C5', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843941257', 'A9831989', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('468681171', '1BEF81D3', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644020640', '9D988DA0', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116612555', '7E28F1CB', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266502475', 'FE4DA94B', 'object/tangible/hopper/shared_manufacture_installation_ingredient_hopper_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3765113149', 'E06B113D', 'object/tangible/hopper/shared_manufacture_installation_output_hopper_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('730285201', '2B874491', 'object/tangible/hq_destructible/shared_base_destructible.iff');
INSERT INTO `object_crc_string_table` VALUES ('2006377548', '7796E44C', 'object/tangible/hq_destructible/shared_override_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447096600', 'CD768518', 'object/tangible/hq_destructible/shared_power_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('868384958', '33C280BE', 'object/tangible/hq_destructible/shared_security_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('459058175', '1B5CABFF', 'object/tangible/hq_destructible/shared_uplink_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2963077221', 'B09CF865', 'object/tangible/instrument/base/shared_instrument_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('838757271', '31FE6B97', 'object/tangible/instrument/shared_bandfill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2024043623', '78A47467', 'object/tangible/instrument/shared_fanfar.iff');
INSERT INTO `object_crc_string_table` VALUES ('197364379', 'BC38A9B', 'object/tangible/instrument/shared_fizz.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186559398', '46B975A6', 'object/tangible/instrument/shared_flute_droopy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221793724', '846DE1BC', 'object/tangible/instrument/shared_instrument_organ_figrin_dan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3369165758', 'C8D163BE', 'object/tangible/instrument/shared_instrument_organ_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261135292', 'FDFBC3BC', 'object/tangible/instrument/shared_kloo_horn.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784205003', '6A58CECB', 'object/tangible/instrument/shared_mandoviol.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412019728', '8FC48010', 'object/tangible/instrument/shared_nalargon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2010287603', '77D28DF3', 'object/tangible/instrument/shared_ommni_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225824678', '491099A6', 'object/tangible/instrument/shared_organ_max_rebo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533891079', 'D2A2E607', 'object/tangible/instrument/shared_slitherhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('395515554', '179316A2', 'object/tangible/instrument/shared_traz.iff');
INSERT INTO `object_crc_string_table` VALUES ('963242043', '3969E83B', 'object/tangible/inventory/shared_character_inventory.iff');
INSERT INTO `object_crc_string_table` VALUES ('554727708', '2110791C', 'object/tangible/inventory/shared_creature_inventory.iff');
INSERT INTO `object_crc_string_table` VALUES ('4169639267', 'F887A563', 'object/tangible/inventory/shared_creature_inventory_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('596643316', '23900DF4', 'object/tangible/inventory/shared_creature_inventory_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788701305', '6A9D6A79', 'object/tangible/inventory/shared_creature_inventory_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440970605', '917E416D', 'object/tangible/inventory/shared_creature_inventory_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631425248', 'D87326E0', 'object/tangible/inventory/shared_creature_inventory_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('56921719', '3648E77', 'object/tangible/inventory/shared_creature_inventory_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089628208', 'B827FC30', 'object/tangible/inventory/shared_lightsaber_inventory_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664111783', '633054A7', 'object/tangible/inventory/shared_lightsaber_inventory_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('708653866', '2A3D332A', 'object/tangible/inventory/shared_lightsaber_inventory_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520993342', 'D1DE183E', 'object/tangible/inventory/shared_lightsaber_inventory_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036860999', '3DCD3E47', 'object/tangible/inventory/shared_lightsaber_inventory_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030613257', 'B4A37D09', 'object/tangible/inventory/shared_lightsaber_inventory_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721032514', 'A22FA942', 'object/tangible/inventory/shared_vendor_inventory.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459202861', '9294752D', 'object/tangible/item/new_player/shared_new_player_cloning_coupon.iff');
INSERT INTO `object_crc_string_table` VALUES ('190401300', 'B594B14', 'object/tangible/item/new_player/shared_new_player_travel_coupon.iff');
INSERT INTO `object_crc_string_table` VALUES ('835581820', '31CDF77C', 'object/tangible/item/new_player/shared_new_player_vehicle_coupon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800711792', 'E28A4270', 'object/tangible/item/plant/shared_force_melon.iff');
INSERT INTO `object_crc_string_table` VALUES ('972371039', '39F5345F', 'object/tangible/item/quest/crowd_pleaser/shared_dance_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('1862695356', '6F0679BC', 'object/tangible/item/quest/crowd_pleaser/shared_music_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('910140533', '363FA475', 'object/tangible/item/quest/force_sensitive/shared_bacta_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('940923132', '381558FC', 'object/tangible/item/quest/force_sensitive/shared_fs_buff_item.iff');
INSERT INTO `object_crc_string_table` VALUES ('486918968', '1D05CB38', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1614838947', '60407CA3', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_calibrator.iff');
INSERT INTO `object_crc_string_table` VALUES ('1790922527', '6ABF4F1F', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_config_processor.iff');
INSERT INTO `object_crc_string_table` VALUES ('704474859', '29FD6EEB', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_decryption_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604518454', '9B3DCC36', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_gyro_receiver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2081471563', '7C10BC4B', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_signal_amp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351448820', 'C7C30CF4', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_solid_state_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439008129', '91604F81', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('821838739', '30FC4393', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_computer_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('997112719', '3B6EBB8F', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_downed_satellite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2568094988', '9912050C', 'object/tangible/item/quest/force_sensitive/shared_fs_medic_puzzle_heal_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794758303', 'A694A09F', 'object/tangible/item/quest/force_sensitive/shared_fs_mellichae_cyborg_arm.iff');
INSERT INTO `object_crc_string_table` VALUES ('622337164', '25181C8C', 'object/tangible/item/quest/force_sensitive/shared_fs_reflex_supply_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534792856', '9715DE98', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275229711', '4C02760F', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('84873602', '50F1182', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276894358', 'FEEC3A96', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('392556278', '1765EEF6', 'object/tangible/item/quest/force_sensitive/shared_fs_village_bannerpole_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2331373945', '8AF5F179', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives.iff');
INSERT INTO `object_crc_string_table` VALUES ('633901236', '25C890B4', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860245091', 'AA7BE063', 'object/tangible/item/shared_con_drinking_glass_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401469915', 'CABE4FDB', 'object/tangible/item/shared_droid_customization.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287269962', 'FF8A8C4A', 'object/tangible/item/shared_loot_credit_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055843193', 'B6247779', 'object/tangible/item/shared_lytus_family_artefact.iff');
INSERT INTO `object_crc_string_table` VALUES ('3528062501', 'D249F625', 'object/tangible/item/shared_vehicle_customization.iff');
INSERT INTO `object_crc_string_table` VALUES ('3757784174', 'DFFB3C6E', 'object/tangible/jedi/shared_force_shrine_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292501440', '88A4CBC0', 'object/tangible/jedi/shared_jedi_holocron_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610980168', '9BA06548', 'object/tangible/jedi/shared_jedi_holocron_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325658238', '8A9EBA7E', 'object/tangible/jedi/shared_no_drop_jedi_holocron_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2824069158', 'A853E026', 'object/tangible/jedi/shared_no_drop_jedi_holocron_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3447451409', 'CD7BEF11', 'object/tangible/jedi/shared_padawan_trials_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2994720477', 'B27FCEDD', 'object/tangible/jedi/shared_power_shrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2808368973', 'A7644F4D', 'object/tangible/jedi/shared_power_shrine_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988238968', '76821E78', 'object/tangible/lair/angler/shared_lair_angler.iff');
INSERT INTO `object_crc_string_table` VALUES ('20648312', '13B1178', 'object/tangible/lair/angler/shared_lair_angler_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297908648', '88F74DA8', 'object/tangible/lair/angler/shared_lair_angler_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099411810', 'B8BD4562', 'object/tangible/lair/angler/shared_lair_angler_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('4218860200', 'FB76B2A8', 'object/tangible/lair/bageraset/shared_lair_bageraset.iff');
INSERT INTO `object_crc_string_table` VALUES ('46513624', '2C5BDD8', 'object/tangible/lair/bageraset/shared_lair_bageraset_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2351102801', '8C22FB51', 'object/tangible/lair/bantha/shared_lair_bantha.iff');
INSERT INTO `object_crc_string_table` VALUES ('810600832', '3050C980', 'object/tangible/lair/bantha/shared_lair_bantha_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3458718751', 'CE27DC1F', 'object/tangible/lair/bantha/shared_lair_bantha_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3384005907', 'C9B3D513', 'object/tangible/lair/bantha/shared_lair_bantha_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('382017471', '16C51FBF', 'object/tangible/lair/bark_mite/shared_lair_bark_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3158646685', 'BC451F9D', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1801002251', '6B591D0B', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_hills.iff');
INSERT INTO `object_crc_string_table` VALUES ('326994159', '137D88EF', 'object/tangible/lair/base/shared_antpile_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1286978231', '4CB5BAB7', 'object/tangible/lair/base/shared_antpile_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2767616602', 'A4F67A5A', 'object/tangible/lair/base/shared_bramble_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681838796', '643ED2CC', 'object/tangible/lair/base/shared_bramble_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1710583853', '65F5702D', 'object/tangible/lair/base/shared_cave_small_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1048520930', '3E7F28E2', 'object/tangible/lair/base/shared_cave_small_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097596216', '7D06C738', 'object/tangible/lair/base/shared_earthmound_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815494954', 'A7D10B2A', 'object/tangible/lair/base/shared_earthmound_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3530316477', 'D26C5ABD', 'object/tangible/lair/base/shared_lair_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488597328', 'CFEFC550', 'object/tangible/lair/base/shared_lair_base_cave_griffon_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201633082', 'FA6FD53A', 'object/tangible/lair/base/shared_lair_base_cave_griffon_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('552648551', '20F0BF67', 'object/tangible/lair/base/shared_lair_base_cave_lion_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('418609662', '18F379FE', 'object/tangible/lair/base/shared_lair_base_cave_lion_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148303792', 'BBA74DB0', 'object/tangible/lair/base/shared_lair_base_crevice_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096244737', '41575E01', 'object/tangible/lair/base/shared_lair_base_crevice_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561390098', 'D4468012', 'object/tangible/lair/base/shared_lair_base_den_earthen_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('879789867', '3470872B', 'object/tangible/lair/base/shared_lair_base_den_earthen_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('734574174', '2BC8B65E', 'object/tangible/lair/base/shared_lair_base_hovel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776501697', 'E118D7C1', 'object/tangible/lair/base/shared_lair_base_imperial_guard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387382663', '8E4C9187', 'object/tangible/lair/base/shared_lair_base_mound_bramble_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1769762810', '697C6FFA', 'object/tangible/lair/base/shared_lair_base_mound_bramble_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360926461', 'C853AAFD', 'object/tangible/lair/base/shared_lair_base_mound_insect_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1481058367', '5847283F', 'object/tangible/lair/base/shared_lair_base_mound_insect_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1671618921', '63A2E169', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936204112', '73682150', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3610220706', 'D72F98A2', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344999922', '502B11F2', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('738621096', '2C0676A8', 'object/tangible/lair/base/shared_lair_base_rancor_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('3677760922', 'DB362D9A', 'object/tangible/lair/base/shared_lair_base_rancor_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('960523007', '39406AFF', 'object/tangible/lair/base/shared_lair_base_trash_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338586753', 'C6FECA81', 'object/tangible/lair/base/shared_lair_base_trash_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002824904', '3BC5E4C8', 'object/tangible/lair/base/shared_nest_tree.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575829275', '5DED3F1B', 'object/tangible/lair/base/shared_objective_banner_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1806591986', '6BAE67F2', 'object/tangible/lair/base/shared_objective_banner_generic_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2964967269', 'B0B9CF65', 'object/tangible/lair/base/shared_objective_banner_generic_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154468577', 'BC055EE1', 'object/tangible/lair/base/shared_objective_banner_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3574902738', 'D514AFD2', 'object/tangible/lair/base/shared_objective_banner_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1638817412', '61AE5E84', 'object/tangible/lair/base/shared_objective_banner_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1367098929', '517C4631', 'object/tangible/lair/base/shared_objective_dantari_fire_pit.iff');
INSERT INTO `object_crc_string_table` VALUES ('426269176', '196859F8', 'object/tangible/lair/base/shared_objective_dantari_monolith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140811690', '43FF67AA', 'object/tangible/lair/base/shared_objective_data_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2446722637', '91D6064D', 'object/tangible/lair/base/shared_objective_gungan_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090575675', 'B836713B', 'object/tangible/lair/base/shared_objective_main_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290984139', 'FFC338CB', 'object/tangible/lair/base/shared_objective_mts_clan_monolith.iff');
INSERT INTO `object_crc_string_table` VALUES ('468482047', '1BEC77FF', 'object/tangible/lair/base/shared_objective_power_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2086368006', '7C5B7306', 'object/tangible/lair/base/shared_objective_power_node.iff');
INSERT INTO `object_crc_string_table` VALUES ('3115996224', 'B9BA5440', 'object/tangible/lair/base/shared_objective_power_transformer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3142299424', 'BB4BAF20', 'object/tangible/lair/base/shared_poi_all_lair_bones.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845871690', 'A9A08E4A', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770695820', '698AAC8C', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3803873203', 'E2BA7FB3', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('430580141', '19AA21AD', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('965028408', '39852A38', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554933816', 'D3E3FC38', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1163934021', '45603945', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1362281265', '5132C331', 'object/tangible/lair/base/shared_poi_all_lair_bones_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3202178196', 'BEDD5C94', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('287273685', '111F72D5', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123503981', 'F5C7AD6D', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627450629', '9C9BB705', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994000829', '76DA09BD', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283439590', '4C7FBBE6', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286037128', 'FF77BC88', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2971623955', 'B11F6213', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3450920549', 'CDB0DE65', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728817132', 'DE413BEC', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2259300252', '86AA2F9C', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1837327181', '6D83634D', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099426587', '4187EB1B', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255201415', '4AD0DA87', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330750206', '4F51A2FE', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3991876404', 'EDEF3334', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231694906', '8504F63A', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3553159285', 'D3C8E875', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553145843', '5C931FF3', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2563905932', '98D2198C', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1638603949', '61AB1CAD', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261730919', 'FE04DA67', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128216527', 'BA74CBCF', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1159215224', '45183878', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('759277072', '2D41A610', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507525090', 'D11095E2', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858454846', 'AA608F3E', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2584372251', '9A0A641B', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743001105', '67E41611', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877828053', 'AB882BD5', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521947503', 'D1ECA76F', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3824541289', 'E3F5DE69', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('425341497', '195A3239', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479741426', 'CF68A3F2', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('682797857', '28B2AB21', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2222084619', '8472520B', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204347303', '47C8E1A7', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('526134069', '1F5C2B35', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('617205342', '24C9CE5E', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258476837', '4B02D525', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517129351', '96085887', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898447287', 'ACC2CBB7', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('182921096', 'AE72788', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889707598', 'E7D83A4E', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('823883732', '311B77D4', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('922224736', '36F80860', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2638567972', '9D455A24', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2777489717', 'A58D2135', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719206574', 'A213CCAE', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2998599079', 'B2BAFDA7', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2285175703', '88350397', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188015710', 'F9A00C5E', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('288850018', '11378062', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2183923840', '822C0880', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751134997', '68603315', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('226110073', 'D7A2A79', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912626123', 'AD9B25CB', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861288469', '6EF10215', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385068823', '8E294317', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('636220396', '25EBF3EC', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1730491297', '672533A1', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789762517', '6AAD9BD5', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4292415468', 'FFD90FEC', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2995341818', 'B28949FA', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2575348194', '9980B1E2', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1888039941', '70893405', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('217802504', 'CFB6708', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('999540220', '3B93C5FC', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1191822359', '4709C417', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732511541', 'DE799B35', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('184313565', 'AFC66DD', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('444482230', '1A7E42B6', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('228848137', 'DA3F209', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('289667785', '1143FAC9', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898038316', 'ACBC8E2C', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515785008', '5A590B30', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207051318', '47F22436', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('630831669', '2599BA35', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855500740', 'E5CE45C4', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3523558187', 'D2053B2B', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643744513', 'D92F2101', 'object/tangible/lair/base/shared_poi_all_lair_leaf_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('968386080', '39B86620', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('255577305', 'F3BCCD9', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('779004467', '2E6EAA33', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143029024', '44213D20', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1742656384', '67DED380', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437790421', '914DBAD5', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('283847925', '10EB2CF5', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062692455', '7AF23067', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('420187503', '190B8D6F', 'object/tangible/lair/base/shared_poi_all_lair_mound_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540415537', '5BD0E031', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337919854', 'C6F49D6E', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('281678280', '10CA11C8', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2881445329', 'ABBF5DD1', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554716200', '9845E028', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('877609923', '344F43C3', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718548559', 'A209C24F', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('756029766', '2D101946', 'object/tangible/lair/base/shared_poi_all_lair_mound_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168692769', '45A8D621', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1143388529', '4426B971', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('246556632', 'EB227D8', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341710439', '8B93AA67', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('747757768', '2C91E0C8', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3244960498', 'C16A2AF2', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('184469763', 'AFEC903', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815445201', 'A7D048D1', 'object/tangible/lair/base/shared_poi_all_lair_nest_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869084369', '6F67F6D1', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('622648314', '251CDBFA', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('612173608', '247D0728', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401663752', '8F267B08', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2319776020', '8A44F914', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2568051560', '99115B68', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2703235151', 'A120184F', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2479611128', '93CBDCF8', 'object/tangible/lair/base/shared_poi_all_lair_nest_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897906369', '711FC0C1', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2815360997', 'A7CEFFE5', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('973418808', '3A053138', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936704190', 'AF0A8CBE', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049688564', '3E90F9F4', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815360089', '6C343259', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('165090051', '9D71303', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005767247', 'EEC3284F', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('643219996', '2656C21C', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('58803054', '381436E', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1833710565', '6D4C33E5', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('534560840', '1FDCC048', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440907914', '55E2828A', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1731875387', '673A523B', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658858306', '62E02B42', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3671637094', 'DAD8BC66', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('942601228', '382EF40C', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169726833', '81536771', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932789237', '733405F5', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072707582', '3FF037FE', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778445930', 'E136826A', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451520266', '921F3B0A', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3390513166', 'CA17200E', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207500291', '8393C803', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2753825733', 'A4240BC5', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('708322841', '2A382619', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013881916', 'EF3EFA3C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4032828716', 'F060152C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('349273422', '14D17D4E', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536893154', 'D2D0B4E2', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1849334540', '6E3A9B0C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079167018', 'B7885C2A', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126607317', 'BA5C3DD5', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2833908230', 'A8EA0206', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4047948844', 'F146CC2C', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494699674', 'D04CE29A', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684714414', 'A0057DAE', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('670424531', '27F5DDD3', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3335360576', 'C6CD9040', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820503108', '6C82AC44', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034883500', 'B4E4A5AC', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085171685', 'B7E3FBE5', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961426279', 'EC1E9167', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4244179484', 'FCF90A1C', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('939589773', '3801008D', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('239509871', 'E46A16F', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('255891767', 'F409937', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('619312831', '24E9F6BF', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1486436461', '5899386D', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845560309', 'A99BCDF5', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1858909560', '6ECCB578', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800120332', 'E2813C0C', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('405665595', '182DF73B', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130171791', 'BA92A18F', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4200984582', 'FA65F006', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350841331', '8C1EFDF3', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287958045', 'FF950C1D', 'object/tangible/lair/base/shared_poi_all_lair_warren_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('637821318', '26046186', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('28715451', '1B629BB', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1830719615', '6D1E907F', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2592614872', '9A8829D8', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2143459599', '7FC2990F', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4001697696', 'EE850FA0', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1387351494', '52B14DC6', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3415119924', 'CB8E9834', 'object/tangible/lair/base/shared_poi_all_lair_warren_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('947672982', '387C5796', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204372388', '83640DA4', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936107119', '7366A66F', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131367022', 'BAA4DE6E', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407256047', 'CB1699EF', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('463496849', '1BA06691', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198909578', 'FA46468A', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1183728413', '468E431D', 'object/tangible/lair/base/shared_poi_all_lair_wooden.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124016419', 'F5CF7F23', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed.iff');
INSERT INTO `object_crc_string_table` VALUES ('329214614', '139F6A96', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('238872353', 'E3CE721', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1485151087', '58859B6F', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993244082', 'B26947B2', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('545761367', '2087A857', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('269409995', '100EDECB', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267544421', 'FE5D8F65', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398422442', 'CA8FCFAA', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('2885574443', 'ABFE5F2B', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174041683', '81953E53', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521819744', '964FEA60', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_gray.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366487147', '8D0DBA6B', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4226721130', 'FBEEA56A', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_mustard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520141032', '5A9B82E8', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089078932', '7C84D094', 'object/tangible/lair/base/shared_rancor_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('554154653', '2107BA9D', 'object/tangible/lair/base/shared_rancor_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('496750489', '1D9BCF99', 'object/tangible/lair/base/shared_trash_dark.iff');
INSERT INTO `object_crc_string_table` VALUES ('66686181', '3F98CE5', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch.iff');
INSERT INTO `object_crc_string_table` VALUES ('544226811', '20703DFB', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253989511', '4ABE5C87', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2902384723', 'ACFEE053', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1258386738', '4B017532', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('40317031', '2673067', 'object/tangible/lair/binjinphant/shared_lair_binjinphant.iff');
INSERT INTO `object_crc_string_table` VALUES ('165640576', '9DF7980', 'object/tangible/lair/binjinphant/shared_lair_binjinphant_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4281161854', 'FF2D587E', 'object/tangible/lair/blackfish/shared_lair_blackfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015378000', 'B3BB0450', 'object/tangible/lair/blackfish/shared_lair_blackfish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('642963853', '2652D98D', 'object/tangible/lair/blistmok/shared_lair_blistmok.iff');
INSERT INTO `object_crc_string_table` VALUES ('920509188', '36DDDB04', 'object/tangible/lair/blistmok/shared_lair_blistmok_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298589466', '4D66E71A', 'object/tangible/lair/blistmok/shared_lair_blistmok_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606267256', '5FBDB178', 'object/tangible/lair/bluefish/shared_lair_bluefish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2427174559', '90ABBE9F', 'object/tangible/lair/bluefish/shared_lair_bluefish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631991415', 'D87BCA77', 'object/tangible/lair/blurrg/shared_lair_blurrg.iff');
INSERT INTO `object_crc_string_table` VALUES ('399329773', '17CD49ED', 'object/tangible/lair/blurrg/shared_lair_blurrg_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043394661', 'B5668465', 'object/tangible/lair/blurrg/shared_lair_blurrg_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2734437911', 'A2FC3617', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf.iff');
INSERT INTO `object_crc_string_table` VALUES ('150445531', '8F79DDB', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('465155974', '1BB9B786', 'object/tangible/lair/bocatt/shared_lair_bocatt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3263722419', 'C28873B3', 'object/tangible/lair/bocatt/shared_lair_bocatt_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197548002', 'BE96B5E2', 'object/tangible/lair/bocatt/shared_lair_bocatt_hills.iff');
INSERT INTO `object_crc_string_table` VALUES ('690467171', '2927B163', 'object/tangible/lair/bol/shared_lair_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('494138850', '1D73F5E2', 'object/tangible/lair/bol/shared_lair_bol_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363205545', 'C87671A9', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('457571636', '1B45FD34', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974943996', 'ECECD4FC', 'object/tangible/lair/bolma/shared_lair_bolma.iff');
INSERT INTO `object_crc_string_table` VALUES ('907065118', '3610B71E', 'object/tangible/lair/bolma/shared_lair_bolma_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('184119716', 'AF971A4', 'object/tangible/lair/bolma/shared_lair_bolma_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('1763604762', '691E791A', 'object/tangible/lair/bolma/shared_lair_bolma_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2816531423', 'A7E0DBDF', 'object/tangible/lair/bordok/shared_lair_bordok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4096042384', 'F424A590', 'object/tangible/lair/bordok/shared_lair_bordok_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2434310431', '9118A11F', 'object/tangible/lair/borgle/shared_lair_borgle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961458957', '74E97D0D', 'object/tangible/lair/borgle/shared_lair_borgle_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2129819322', '7EF276BA', 'object/tangible/lair/brackaset/shared_lair_brackaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690646770', 'DBFACCF2', 'object/tangible/lair/brackaset/shared_lair_brackaset_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('772926850', '2E11ED82', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110501147', '4230E71B', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989290041', 'B22CF239', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377863666', '8DBB51F2', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('320002597', '1312DA25', 'object/tangible/lair/choku/shared_lair_choku.iff');
INSERT INTO `object_crc_string_table` VALUES ('1812548247', '6C094A97', 'object/tangible/lair/choku/shared_lair_choku_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941503205', 'EAEE90E5', 'object/tangible/lair/chuba/shared_lair_chuba.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016717177', '7834A979', 'object/tangible/lair/chuba/shared_lair_chuba_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('745493888', '2C6F5580', 'object/tangible/lair/chuba/shared_lair_chuba_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('52528931', '3218723', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('3773705041', 'E0EE2B51', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('1027555264', '3D3F3FC0', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3923122581', 'E9D61995', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('518156641', '1EE27161', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008925530', 'B3588F5A', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly.iff');
INSERT INTO `object_crc_string_table` VALUES ('1882452150', '7033F0B6', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4011982198', 'EF21FD76', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294781391', '4D2CCBCF', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther.iff');
INSERT INTO `object_crc_string_table` VALUES ('3907598549', 'E8E938D5', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('866782264', '33AA0C38', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound.iff');
INSERT INTO `object_crc_string_table` VALUES ('2443001594', '919D3EFA', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854748687', 'E5C2CC0F', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155092607', 'F7A9AE7F', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519101848', 'D1C13B98', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173314157', 'BD24EE6D', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('890345407', '351197BF', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('348095194', '14BF82DA', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1011676096', '3C4CF3C0', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('480132823', '1C9E3ED7', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944625946', 'AF836D1A', 'object/tangible/lair/cu_pa/shared_lair_cu_pa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403514963', 'CADD8453', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3513164342', 'D166A236', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('770810726', '2DF1A366', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654178930', '6298C472', 'object/tangible/lair/dalyrake/shared_lair_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587304882', '9A3723B2', 'object/tangible/lair/dalyrake/shared_lair_dalyrake_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('146696119', '8BE67B7', 'object/tangible/lair/demo/shared_lair_demo.iff');
INSERT INTO `object_crc_string_table` VALUES ('62836419', '3BECEC3', 'object/tangible/lair/dewback/shared_lair_dewback.iff');
INSERT INTO `object_crc_string_table` VALUES ('605037773', '241024CD', 'object/tangible/lair/dewback/shared_lair_dewback_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2444927445', '91BAA1D5', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2514665274', '95E2BF3A', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048400862', 'B5B2E7DE', 'object/tangible/lair/durni/shared_lair_durni.iff');
INSERT INTO `object_crc_string_table` VALUES ('2005132249', '7783E3D9', 'object/tangible/lair/durni/shared_lair_durni_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3607200677', 'D70183A5', 'object/tangible/lair/durni/shared_lair_durni_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758659354', 'A46DCD1A', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('2456561117', '926C25DD', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635796730', '618046FA', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('390824199', '174B8107', 'object/tangible/lair/eopie/shared_lair_eopie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2432430820', '90FBF2E4', 'object/tangible/lair/eopie/shared_lair_eopie_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('769893304', '2DE3A3B8', 'object/tangible/lair/eopie/shared_lair_eopie_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248131866', '85FFC51A', 'object/tangible/lair/eopie/shared_lair_eopie_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3741668029', 'DF0552BD', 'object/tangible/lair/eopie/shared_lair_eopie_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919679912', 'E9A191A8', 'object/tangible/lair/faa/shared_lair_faa.iff');
INSERT INTO `object_crc_string_table` VALUES ('92404120', '581F998', 'object/tangible/lair/faa/shared_lair_faa_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013916432', 'EF3F8110', 'object/tangible/lair/falumpaset/shared_lair_falumpaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('3600280476', 'D697EB9C', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691403141', 'DC065785', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('189239844', 'B479224', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348330712', '8BF8AED8', 'object/tangible/lair/fambaa/shared_lair_fambaa.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030660529', 'B4A435B1', 'object/tangible/lair/fambaa/shared_lair_fambaa_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965462331', 'EC5C273B', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl.iff');
INSERT INTO `object_crc_string_table` VALUES ('1138635179', '43DE31AB', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2542789035', '978FE1AB', 'object/tangible/lair/flewt/shared_lair_flewt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1133603735', '43916B97', 'object/tangible/lair/flewt/shared_lair_flewt_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2897911206', 'ACBA9DA6', 'object/tangible/lair/flewt/shared_lair_flewt_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('148367825', '8D7E9D1', 'object/tangible/lair/flit/shared_lair_flit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679618703', '641CF28F', 'object/tangible/lair/flit/shared_lair_flit_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('402738321', '18014C91', 'object/tangible/lair/flit/shared_lair_flit_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680958140', 'DB66F6BC', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329199331', 'C66F8CE3', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('182559338', 'AE1A26A', 'object/tangible/lair/flite_rasp_hill/shared_lair_flite_rasp_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394100347', '8EB3127B', 'object/tangible/lair/fynock/shared_lair_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('577876063', '2271B05F', 'object/tangible/lair/fynock/shared_lair_fynock_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668255923', 'DAA524B3', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat.iff');
INSERT INTO `object_crc_string_table` VALUES ('987504645', '3ADC2005', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334775369', 'C6C4A249', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319780027', 'C5DFD2BB', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1706419842', '65B5E682', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('451691491', '1AEC43E3', 'object/tangible/lair/gekk/shared_lair_gekk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243506243', '4A1E6643', 'object/tangible/lair/gekk/shared_lair_gekk_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3151166549', 'BBD2FC55', 'object/tangible/lair/gnort/shared_lair_gnort.iff');
INSERT INTO `object_crc_string_table` VALUES ('622467939', '251A1B63', 'object/tangible/lair/gnort/shared_lair_gnort_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2282996299', '8813C24B', 'object/tangible/lair/gnort/shared_lair_gnort_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881708167', '70289687', 'object/tangible/lair/graul/shared_lair_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200430930', '478D1F52', 'object/tangible/lair/graul/shared_lair_graul_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('658868181', '274587D5', 'object/tangible/lair/gronda/shared_lair_gronda.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050006158', '3E95D28E', 'object/tangible/lair/gronda/shared_lair_gronda_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781219126', '6A2B3F36', 'object/tangible/lair/gualama/shared_lair_gualama.iff');
INSERT INTO `object_crc_string_table` VALUES ('464760681', '1BB3AF69', 'object/tangible/lair/gualama/shared_lair_gualama_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954623268', 'B01BF924', 'object/tangible/lair/gubbur/shared_lair_gubbur.iff');
INSERT INTO `object_crc_string_table` VALUES ('162663967', '9B20E1F', 'object/tangible/lair/gubbur/shared_lair_gubbur_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2875084691', 'AB5E4F93', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195556845', 'FA131DED', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3851962696', 'E5984948', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('129775004', '7BC359C', 'object/tangible/lair/gulginaw/shared_lair_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('3528407820', 'D24F3B0C', 'object/tangible/lair/gulginaw/shared_lair_gulginaw_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774815419', 'A56452BB', 'object/tangible/lair/gurk/shared_lair_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3262874974', 'C27B855E', 'object/tangible/lair/gurk/shared_lair_gurk_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904490191', '718436CF', 'object/tangible/lair/gurk/shared_lair_gurk_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508293768', 'D11C5088', 'object/tangible/lair/gurnaset/shared_lair_gurnaset.iff');
INSERT INTO `object_crc_string_table` VALUES ('535348522', '1FE8C52A', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3153084894', 'BBF041DE', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258425428', '869CD654', 'object/tangible/lair/gurreck/shared_lair_gurreck.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418881242', '902D32DA', 'object/tangible/lair/gurreck/shared_lair_gurreck_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197561822', '82FC21DE', 'object/tangible/lair/hanadak/shared_lair_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2169247668', '814C17B4', 'object/tangible/lair/hanadak/shared_lair_hanadak_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720772749', 'DDC67C8D', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider.iff');
INSERT INTO `object_crc_string_table` VALUES ('202240792', 'C0DF318', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727414364', '66F6405C', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995926996', 'EE2D01D4', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol.iff');
INSERT INTO `object_crc_string_table` VALUES ('883847742', '34AE723E', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('524661947', '1F45B4BB', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373765729', '8D7CCA61', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('4201023069', 'FA66865D', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788421902', '6A99270E', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2453418917', '923C33A5', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('323029276', '1341091C', 'object/tangible/lair/huf_dun/shared_lair_huf_dun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1957462040', '74AC8018', 'object/tangible/lair/huf_dun/shared_lair_huf_dun_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1260954181', '4B28A245', 'object/tangible/lair/huf_dun_hill/shared_lair_huf_dun_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2374143434', '8D828DCA', 'object/tangible/lair/hutt_thug/shared_lair_hutt_thug_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349396449', '506E27E1', 'object/tangible/lair/huurton/shared_lair_huurton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3768282762', 'E09B6E8A', 'object/tangible/lair/huurton/shared_lair_huurton_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653632566', '62906E36', 'object/tangible/lair/ikopi/shared_lair_ikopi.iff');
INSERT INTO `object_crc_string_table` VALUES ('852367209', '32CE1769', 'object/tangible/lair/ikopi/shared_lair_ikopi_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1244300952', '4A2A8698', 'object/tangible/lair/jellyfish/shared_lair_jellyfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2597048309', '9ACBCFF5', 'object/tangible/lair/jellyfish/shared_lair_jellyfish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251401603', 'C1CC7383', 'object/tangible/lair/kaadu/shared_lair_kaadu.iff');
INSERT INTO `object_crc_string_table` VALUES ('1694176520', '64FB1508', 'object/tangible/lair/kaadu/shared_lair_kaadu_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596368393', '9AC17009', 'object/tangible/lair/kaadu/shared_lair_kaadu_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515299649', '95EC6D41', 'object/tangible/lair/kaadu/shared_lair_kaadu_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2306923855', '8980DD4F', 'object/tangible/lair/kaitok/shared_lair_kaitok.iff');
INSERT INTO `object_crc_string_table` VALUES ('977615987', '3A453C73', 'object/tangible/lair/kaitok/shared_lair_kaitok_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767339902', 'E08D0B7E', 'object/tangible/lair/kaitok/shared_lair_kaitok_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165231595', 'BCA999EB', 'object/tangible/lair/kima/shared_lair_kima.iff');
INSERT INTO `object_crc_string_table` VALUES ('2030650931', '79094633', 'object/tangible/lair/kima/shared_lair_kima_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188775446', 'F9ABA416', 'object/tangible/lair/kima/shared_lair_kima_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1897213420', '71152DEC', 'object/tangible/lair/kimogila/shared_lair_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372563176', '8D6A70E8', 'object/tangible/lair/kimogila/shared_lair_kimogila_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2905887997', 'AD3454FD', 'object/tangible/lair/kimogila/shared_lair_kimogila_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('4291838693', 'FFD042E5', 'object/tangible/lair/kittle/shared_lair_kittle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2947041437', 'AFA8489D', 'object/tangible/lair/kittle/shared_lair_kittle_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088792736', 'F3B606A0', 'object/tangible/lair/kittle/shared_lair_kittle_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2186183651', '824E83E3', 'object/tangible/lair/kliknik/shared_lair_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('33728532', '202A814', 'object/tangible/lair/kliknik/shared_lair_kliknik_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273906310', '87890E86', 'object/tangible/lair/krahbu/shared_lair_krahbu.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706872784', 'A15799D0', 'object/tangible/lair/krahbu/shared_lair_krahbu_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('131974925', '7DDC70D', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3458672072', 'CE2725C8', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174313207', '819962F7', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2658633620', '9E778794', 'object/tangible/lair/kupernug/shared_lair_kupernug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3996614231', 'EE377E57', 'object/tangible/lair/kupernug/shared_lair_kupernug_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421166667', '9050124B', 'object/tangible/lair/kupernug/shared_lair_kupernug_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037110317', 'F0A16A2D', 'object/tangible/lair/kusak/shared_lair_kusak.iff');
INSERT INTO `object_crc_string_table` VALUES ('3071582373', 'B714A0A5', 'object/tangible/lair/kusak/shared_lair_kusak_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075620240', '7BB77390', 'object/tangible/lair/kwi/shared_lair_kwi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436978198', 'CCDC2016', 'object/tangible/lair/kwi/shared_lair_kwi_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3879200403', 'E737E693', 'object/tangible/lair/kwi/shared_lair_kwi_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326626395', '4F12B65B', 'object/tangible/lair/kwi/shared_lair_kwi_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('986654540', '3ACF274C', 'object/tangible/lair/laa/shared_lair_laa.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014734204', 'EF4BFB7C', 'object/tangible/lair/laa/shared_lair_laa_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783483774', 'E183617E', 'object/tangible/lair/langlatch/shared_lair_langlatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329291401', 'C670F489', 'object/tangible/lair/langlatch/shared_lair_langlatch_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2238931411', '857361D3', 'object/tangible/lair/langlatch/shared_lair_langlatch_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403100093', '53A19BBD', 'object/tangible/lair/langlatch/shared_lair_langlatch_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3672751802', 'DAE9BEBA', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('615980885', '24B71F55', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1819099855', '6C6D42CF', 'object/tangible/lair/malkloc/shared_lair_malkloc.iff');
INSERT INTO `object_crc_string_table` VALUES ('3825333189', 'E401F3C5', 'object/tangible/lair/malkloc/shared_lair_malkloc_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488232768', 'CFEA3540', 'object/tangible/lair/malkloc/shared_lair_malkloc_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('377228821', '167C0E15', 'object/tangible/lair/malkloc/shared_lair_malkloc_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262287323', '4B3CF9DB', 'object/tangible/lair/mamien/shared_lair_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('222781865', 'D4761A9', 'object/tangible/lair/mamien/shared_lair_mamien_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179863902', 'BD88DF5E', 'object/tangible/lair/mawgax/shared_lair_mawgax.iff');
INSERT INTO `object_crc_string_table` VALUES ('767243941', '2DBB36A5', 'object/tangible/lair/mawgax/shared_lair_mawgax_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('813716742', '30805506', 'object/tangible/lair/mawgax/shared_lair_mawgax_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('150449973', '8F7AF35', 'object/tangible/lair/merek/shared_lair_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521427454', '5AAF23FE', 'object/tangible/lair/merek/shared_lair_merek_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083623500', 'F367264C', 'object/tangible/lair/merek/shared_lair_merek_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868006233', '6F578359', 'object/tangible/lair/mott/shared_lair_mott.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621695491', '60A91C03', 'object/tangible/lair/mott/shared_lair_mott_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1522261205', '5ABBDCD5', 'object/tangible/lair/murra/shared_lair_murra.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680788890', '642ECD9A', 'object/tangible/lair/murra/shared_lair_murra_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3942109536', 'EAF7D160', 'object/tangible/lair/murra/shared_lair_murra_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('573653561', '22314239', 'object/tangible/lair/mynock/shared_lair_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786171158', '6A76CF16', 'object/tangible/lair/narglatch/shared_lair_narglatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('1005548587', '3BEF742B', 'object/tangible/lair/narglatch/shared_lair_narglatch_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431052313', '90E6EA19', 'object/tangible/lair/nerf/shared_lair_nerf.iff');
INSERT INTO `object_crc_string_table` VALUES ('2861606931', 'AA90A813', 'object/tangible/lair/nerf/shared_lair_nerf_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642238246', '61E29126', 'object/tangible/lair/npc/shared_lair_npc_general.iff');
INSERT INTO `object_crc_string_table` VALUES ('1870027501', '6F765AED', 'object/tangible/lair/nuna/shared_lair_nuna.iff');
INSERT INTO `object_crc_string_table` VALUES ('3366083630', 'C8A25C2E', 'object/tangible/lair/nuna/shared_lair_nuna_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100068580', '7D2C80E4', 'object/tangible/lair/nuna/shared_lair_nuna_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('222503390', 'D4321DE', 'object/tangible/lair/nuna/shared_lair_nuna_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('486155425', '1CFA24A1', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer.iff');
INSERT INTO `object_crc_string_table` VALUES ('662717072', '27804290', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543663822', '979D3ACE', 'object/tangible/lair/peko_peko/shared_lair_peko_peko.iff');
INSERT INTO `object_crc_string_table` VALUES ('1250959161', '4A901F39', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('739180542', '2C0EFFFE', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('4010621056', 'EF0D3880', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('804817169', '2FF88911', 'object/tangible/lair/perlek/shared_lair_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('4089303997', 'F3BDD3BD', 'object/tangible/lair/perlek/shared_lair_perlek_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319913083', 'C5E1DA7B', 'object/tangible/lair/perlek/shared_lair_perlek_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003958462', 'B30CC4BE', 'object/tangible/lair/pharple/shared_lair_pharple.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033646950', 'F06C9166', 'object/tangible/lair/pharple/shared_lair_pharple_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('206631052', 'C50F08C', 'object/tangible/lair/piket/shared_lair_piket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495135397', '591DF4A5', 'object/tangible/lair/piket/shared_lair_piket_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571980970', 'D4E81AAA', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp.iff');
INSERT INTO `object_crc_string_table` VALUES ('847621417', '3285AD29', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105359353', 'F4B2CFF9', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069689133', '7B5CF32D', 'object/tangible/lair/pufferfish/shared_lair_pufferfish.iff');
INSERT INTO `object_crc_string_table` VALUES ('2279018496', '87D71000', 'object/tangible/lair/pufferfish/shared_lair_pufferfish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270614001', '4BBC07F1', 'object/tangible/lair/pugoriss/shared_lair_pugoriss.iff');
INSERT INTO `object_crc_string_table` VALUES ('3218295663', 'BFD34B6F', 'object/tangible/lair/pugoriss/shared_lair_pugoriss_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874608603', '6FBC41DB', 'object/tangible/lair/purbole/shared_lair_purbole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2529340012', '96C2AA6C', 'object/tangible/lair/purbole/shared_lair_purbole_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829714494', '6D0F3A3E', 'object/tangible/lair/quenker/shared_lair_quenker.iff');
INSERT INTO `object_crc_string_table` VALUES ('571906509', '221699CD', 'object/tangible/lair/quenker/shared_lair_quenker_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736818373', '6785BEC5', 'object/tangible/lair/qurvel/shared_lair_qurvel.iff');
INSERT INTO `object_crc_string_table` VALUES ('107086842', '66203FA', 'object/tangible/lair/qurvel/shared_lair_qurvel_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4099487001', 'F4593519', 'object/tangible/lair/qurvel/shared_lair_qurvel_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318276825', '8A2E18D9', 'object/tangible/lair/rancor/shared_lair_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929914812', 'AEA2F3BC', 'object/tangible/lair/rancor/shared_lair_rancor_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174078931', '8195CFD3', 'object/tangible/lair/rancor/shared_lair_rancor_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3495854251', 'D05E80AB', 'object/tangible/lair/ray/shared_lair_ray.iff');
INSERT INTO `object_crc_string_table` VALUES ('3792404273', 'E20B7F31', 'object/tangible/lair/ray/shared_lair_ray_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3833889530', 'E48482FA', 'object/tangible/lair/rebel/shared_lair_rebel_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568679889', '5D8027D1', 'object/tangible/lair/remmer/shared_lair_remmer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785284401', '6A694731', 'object/tangible/lair/remmer/shared_lair_remmer_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159632907', 'BC542C0B', 'object/tangible/lair/remmer/shared_lair_remmer_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767218829', '69559E8D', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer.iff');
INSERT INTO `object_crc_string_table` VALUES ('989527915', '3AFAFF6B', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4098043121', 'F4432CF1', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('636662941', '25F2B49D', 'object/tangible/lair/roba/shared_lair_roba.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293395359', 'FFE8039F', 'object/tangible/lair/roba/shared_lair_roba_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2140994340', '7F9CFB24', 'object/tangible/lair/roba_hill/shared_lair_roba_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536993046', 'D2D23B16', 'object/tangible/lair/rock_mite/shared_lair_rock_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4213428417', 'FB23D0C1', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('151987616', '90F25A0', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944425271', '73E59337', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2470399210', '933F4CEA', 'object/tangible/lair/ronto/shared_lair_ronto.iff');
INSERT INTO `object_crc_string_table` VALUES ('28411685', '1B18725', 'object/tangible/lair/ronto/shared_lair_ronto_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699812531', 'DC86A8B3', 'object/tangible/lair/ronto/shared_lair_ronto_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2598164093', '9ADCD67D', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617713744', 'D7A1EE50', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('4030433492', 'F03B88D4', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('939893081', '3805A159', 'object/tangible/lair/sarlacc/shared_lair_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362534144', '8CD16900', 'object/tangible/lair/sarlacc/shared_lair_sarlacc_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3654226862', 'D9CF13AE', 'object/tangible/lair/scurrier/shared_lair_scurrier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092043415', '41174297', 'object/tangible/lair/scurrier/shared_lair_scurrier_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('129638931', '7BA2213', 'object/tangible/lair/scurrier/shared_lair_scurrier_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3299579420', 'C4AB961C', 'object/tangible/lair/scurrier/shared_lair_scurrier_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138468221', 'BB11397D', 'object/tangible/lair/scurrier/shared_lair_scurrier_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1938568983', '738C3717', 'object/tangible/lair/shared_npc_lair.iff');
INSERT INTO `object_crc_string_table` VALUES ('196553824', 'BB72C60', 'object/tangible/lair/sharnaff/shared_lair_sharnaff.iff');
INSERT INTO `object_crc_string_table` VALUES ('150207939', '8F3FDC3', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092015518', '7CB19F9E', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('56634783', '3602D9F', 'object/tangible/lair/shaupaut/shared_lair_shaupaut.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064337645', '3F7080ED', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989589042', 'B2318232', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1395090938', '532765FA', 'object/tangible/lair/shear_mite/shared_lair_shear_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('9878364', '96BB5C', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('865403242', '3395016A', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3525197879', 'D21E4037', 'object/tangible/lair/skreeg/shared_lair_skreeg.iff');
INSERT INTO `object_crc_string_table` VALUES ('962440956', '395DAEFC', 'object/tangible/lair/skreeg/shared_lair_skreeg_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2757887034', 'A462043A', 'object/tangible/lair/skreeg/shared_lair_skreeg_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3190753462', 'BE2F08B6', 'object/tangible/lair/snorbal/shared_lair_snorbal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664191883', '63318D8B', 'object/tangible/lair/snorbal/shared_lair_snorbal_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('80246849', '4C87841', 'object/tangible/lair/snorbal_hill/shared_lair_snorbal_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786767749', 'E1B57D85', 'object/tangible/lair/spined_puc/shared_lair_spined_puc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2429481167', '90CEF0CF', 'object/tangible/lair/spined_puc/shared_lair_spined_puc_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2281325742', '87FA44AE', 'object/tangible/lair/spined_snake/shared_lair_spined_snake.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340697568', '4FE96BE0', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148607218', 'BBABEEF2', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('131581462', '7D7C616', 'object/tangible/lair/squall/shared_lair_squall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3621609063', 'D7DD5E67', 'object/tangible/lair/squall/shared_lair_squall_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781856165', '6A34F7A5', 'object/tangible/lair/squill/shared_lair_squill.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102372943', '7D4FAA4F', 'object/tangible/lair/squill/shared_lair_squill_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3535581753', 'D2BCB239', 'object/tangible/lair/stintaril/shared_lair_stintaril.iff');
INSERT INTO `object_crc_string_table` VALUES ('3799137931', 'E2723E8B', 'object/tangible/lair/stintaril/shared_lair_stintaril_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834490330', 'E48DADDA', 'object/tangible/lair/stintaril/shared_lair_stintaril_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2371032814', '8D5316EE', 'object/tangible/lair/stormtrooper/shared_lair_stormtrooper_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('348164560', '14C091D0', 'object/tangible/lair/striped_fish/shared_lair_striped_fish.iff');
INSERT INTO `object_crc_string_table` VALUES ('1569350634', '5D8A63EA', 'object/tangible/lair/striped_fish/shared_lair_striped_fish_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('3412992193', 'CB6E20C1', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('743053980', '2C4A1A9C', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('449676358', '1ACD8446', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913519397', 'ADA8C725', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125250632', 'BA478A48', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('455779396', '1B2AA444', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139786863', '7F8A8E6F', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_kai-tok.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915140501', 'ADC18395', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985013510', 'ED867B06', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103858464', 'B9011F20', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('1771703273', '699A0BE9', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177863018', 'BD6A576A', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('599219084', '23B75B8C', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('59358224', '389BC10', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('2811758761', 'A79808A9', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016356298', '782F27CA', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_graul.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660029328', '62F20990', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_kimogila.iff');
INSERT INTO `object_crc_string_table` VALUES ('1633798217', '6161C849', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_krayt_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557292930', '5CD26782', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_rancor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2312630242', '89D7EFE2', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_condor_dragon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2074553503', '7BA72C9F', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_gulginaw.iff');
INSERT INTO `object_crc_string_table` VALUES ('729911354', '2B81903A', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_kai-tok.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681532635', 'DB6FBADB', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_perlek.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976215460', 'B16571A4', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_gurk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3339660099', 'C70F2B43', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_hanadak.iff');
INSERT INTO `object_crc_string_table` VALUES ('900308717', '35A99EED', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_mamien.iff');
INSERT INTO `object_crc_string_table` VALUES ('3278136073', 'C3646309', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4055467361', 'F1B98561', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_dalyrake.iff');
INSERT INTO `object_crc_string_table` VALUES ('2106034291', '7D878873', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_kliknik.iff');
INSERT INTO `object_crc_string_table` VALUES ('151624394', '9099ACA', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_merek.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003634872', 'EEA29EB8', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong.iff');
INSERT INTO `object_crc_string_table` VALUES ('1455751773', '56C5025D', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3444207030', 'CD4A6DB6', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1352445484', '509CAE2C', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('827416388', '31515F44', 'object/tangible/lair/thune/shared_lair_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176654445', 'F8F2B06D', 'object/tangible/lair/thune/shared_lair_thune_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1086986057', '40CA1749', 'object/tangible/lair/torton/shared_lair_torton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2619306263', '9C1F7117', 'object/tangible/lair/torton/shared_lair_torton_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1593900791', '5F00FEF7', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat.iff');
INSERT INTO `object_crc_string_table` VALUES ('664931344', '27A20C10', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2693069296', 'A084F9F0', 'object/tangible/lair/tusken_raider/shared_lair_tusken_raider_npc.iff');
INSERT INTO `object_crc_string_table` VALUES ('880238924', '3477614C', 'object/tangible/lair/tybis/shared_lair_tybis.iff');
INSERT INTO `object_crc_string_table` VALUES ('4004634433', 'EEB1DF41', 'object/tangible/lair/tybis/shared_lair_tybis_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070384123', '7B678DFB', 'object/tangible/lair/veermok/shared_lair_veermok.iff');
INSERT INTO `object_crc_string_table` VALUES ('4273060059', 'FEB1B8DB', 'object/tangible/lair/veermok/shared_lair_veermok_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554849898', '9847EA6A', 'object/tangible/lair/veermok/shared_lair_veermok_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('1856597850', '6EA96F5A', 'object/tangible/lair/verne/shared_lair_verne.iff');
INSERT INTO `object_crc_string_table` VALUES ('2461392200', '92B5DD48', 'object/tangible/lair/verne/shared_lair_verne_forest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116978464', '7E2E8720', 'object/tangible/lair/vesp/shared_lair_vesp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2079570981', '7BF3BC25', 'object/tangible/lair/vesp/shared_lair_vesp_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('4143757009', 'F6FCB6D1', 'object/tangible/lair/vesp/shared_lair_vesp_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439526693', '55CD6F25', 'object/tangible/lair/vir_vir/shared_lair_vir_vir.iff');
INSERT INTO `object_crc_string_table` VALUES ('1627499859', '6101AD53', 'object/tangible/lair/vir_vir/shared_lair_vir_vir_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229387137', '84E1BF81', 'object/tangible/lair/vir_vir_hill/shared_lair_vir_vir_hill.iff');
INSERT INTO `object_crc_string_table` VALUES ('594764698', '2373639A', 'object/tangible/lair/vlutore/shared_lair_vlutore.iff');
INSERT INTO `object_crc_string_table` VALUES ('3306801185', 'C519C821', 'object/tangible/lair/vlutore/shared_lair_vlutore_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('482728149', '1CC5D8D5', 'object/tangible/lair/vlutore/shared_lair_vlutore_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441198347', '55E6F10B', 'object/tangible/lair/vog_eel/shared_lair_vog_eel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951814673', '74565411', 'object/tangible/lair/vog_eel/shared_lair_vog_eel_underwater.iff');
INSERT INTO `object_crc_string_table` VALUES ('908714854', '3629E366', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526592210', 'D23386D2', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883986886', '704B5BC6', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('3826434758', 'E412C2C6', 'object/tangible/lair/vynock/shared_lair_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('453779300', '1B0C1F64', 'object/tangible/lair/vynock/shared_lair_vynock_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882460738', 'ABCEDC42', 'object/tangible/lair/vynock/shared_lair_vynock_mountain.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253121111', '4AB11C57', 'object/tangible/lair/vynock/shared_lair_vynock_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3979491544', 'ED3238D8', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird.iff');
INSERT INTO `object_crc_string_table` VALUES ('3994387683', 'EE1584E3', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('522402134', '1F233956', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_swamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324552203', '8A8DDA0B', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499819428', 'D09B01A4', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_grassland.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275441058', 'C33B43A2', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2053935761', '7A6C9291', 'object/tangible/lair/womp_rat/shared_lair_womp_rat.iff');
INSERT INTO `object_crc_string_table` VALUES ('703016558', '29E72E6E', 'object/tangible/lair/womp_rat/shared_lair_womp_rat_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207514475', '8393FF6B', 'object/tangible/lair/woolamander/shared_lair_woolamander.iff');
INSERT INTO `object_crc_string_table` VALUES ('2613243319', '9BC2EDB7', 'object/tangible/lair/woolamander/shared_lair_woolamander_jungle.iff');
INSERT INTO `object_crc_string_table` VALUES ('3340605461', 'C71D9815', 'object/tangible/lair/worrt/shared_lair_worrt.iff');
INSERT INTO `object_crc_string_table` VALUES ('870158284', '33DD8FCC', 'object/tangible/lair/worrt/shared_lair_worrt_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052352906', 'B5EF358A', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar.iff');
INSERT INTO `object_crc_string_table` VALUES ('415973727', '18CB415F', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_desert.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550514923', 'D3A08EEB', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_dune.iff');
INSERT INTO `object_crc_string_table` VALUES ('102331287', '6197397', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_wasteland.iff');
INSERT INTO `object_crc_string_table` VALUES ('1191572337', '4705F371', 'object/tangible/loadbeacon/shared_loadbeacon_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015057562', '781B569A', 'object/tangible/location/base/shared_location_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('742219640', '2C3D5F78', 'object/tangible/location/shared_location_32.iff');
INSERT INTO `object_crc_string_table` VALUES ('3189159180', 'BE16B50C', 'object/tangible/location/shared_location_48.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915066233', 'E95B2B79', 'object/tangible/location/shared_location_64.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243606058', '4A1FEC2A', 'object/tangible/location/shared_location_80.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822693835', 'E3D9ADCB', 'object/tangible/location/shared_location_96.iff');
INSERT INTO `object_crc_string_table` VALUES ('23318879', '163D15F', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blueleaf_temple.iff');
INSERT INTO `object_crc_string_table` VALUES ('392989916', '176C8CDC', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blumbrush.iff');
INSERT INTO `object_crc_string_table` VALUES ('4037872612', 'F0AD0BE4', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_boffa.iff');
INSERT INTO `object_crc_string_table` VALUES ('16908290', '1020002', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3658852501', 'DA15A895', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2467876632', '9318CF18', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218019193', '48997F79', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3722135133', 'DDDB465D', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_krayt_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503871911', 'D0D8D7A7', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856187452', 'AA3DF63C', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_mattberry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819090865', 'A807E9B1', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1930445094', '73104126', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1673498889', '63BF9109', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_rainbow_berry_bush.iff');
INSERT INTO `object_crc_string_table` VALUES ('3594355154', 'D63D81D2', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_raventhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('890845319', '35193887', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_ronka.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123513366', '42F77416', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357216829', '50E57C3D', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_dye.iff');
INSERT INTO `object_crc_string_table` VALUES ('166272448', '9E91DC0', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_patches.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636514827', '9D26060B', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177661084', '4631AE9C', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('255641873', 'F3CC911', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108313093', 'F4DFE205', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3184690568', 'BDD28588', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1724198175', '66C52D1F', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('801655442', '2FC84A92', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854787907', 'AA289B43', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899967444', '713F33D4', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('942822489', '38325459', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3868077869', 'E68E2F2D', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1033471930', '3D9987BA', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955913783', '7494E037', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2733801121', 'A2F27EA1', 'object/tangible/loot/collectible/collectible_parts/shared_gong_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466495662', '9303BCAE', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_back.iff');
INSERT INTO `object_crc_string_table` VALUES ('97797037', '5D443AD', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_front.iff');
INSERT INTO `object_crc_string_table` VALUES ('191195306', 'B6568AA', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497181245', 'D072C03D', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2575280048', '997FA7B0', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1654426788', '629C8CA4', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('730983209', '2B91EB29', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035331006', 'F08643BE', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112903731', 'B98B2433', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('888771001', '34F991B9', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1261115821', '4B2B19AD', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419896634', '903CB13A', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720203883', 'A223046B', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2033495292', '7934ACFC', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('809094001', '3039CB71', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420119141', 'CBDAE065', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195163112', '82D787E8', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505767295', '59C02F7F', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('281889010', '10CD48F2', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3616535114', 'D78FF24A', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820849787', 'E3BD8A7B', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_dye.iff');
INSERT INTO `object_crc_string_table` VALUES ('2400186347', '8F0FEFEB', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_patches.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614968574', 'D7780AFE', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('208642665', 'C6FA269', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1164101092', '4562C5E4', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3196186352', 'BE81EEF0', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4153182589', 'F78C897D', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('748364266', '2C9B21EA', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1704347239', '65964667', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3289712377', 'C41506F9', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_adhesive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1249132287', '4A743EFF', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2439222888', '91639668', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4050692979', 'F170AB73', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('711394276', '2A6703E4', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1667916905', '636A6469', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559135613', '98894F7D', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3515099376', 'D18428F0', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('177438823', 'A938067', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1134487530', '439EE7EA', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2581547421', '99DF499D', 'object/tangible/loot/collectible/collectible_rewards/shared_blue_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1595043156', '5F126D54', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_sculpture_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553506726', '5C98A1A6', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_table.iff');
INSERT INTO `object_crc_string_table` VALUES ('3016575876', 'B3CD4B84', 'object/tangible/loot/collectible/collectible_rewards/shared_fs_tracking_device.iff');
INSERT INTO `object_crc_string_table` VALUES ('1260578344', '4B22E628', 'object/tangible/loot/collectible/collectible_rewards/shared_gong.iff');
INSERT INTO `object_crc_string_table` VALUES ('1620517273', '60972199', 'object/tangible/loot/collectible/collectible_rewards/shared_orange_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('1365765159', '5167EC27', 'object/tangible/loot/collectible/kits/shared_blue_rug_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179120955', 'BD7D893B', 'object/tangible/loot/collectible/kits/shared_fs_tracking_device_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3922864269', 'E9D2288D', 'object/tangible/loot/collectible/kits/shared_gong_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3392193780', 'CA30C4F4', 'object/tangible/loot/collectible/kits/shared_light_table_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076973768', '7BCC1AC8', 'object/tangible/loot/collectible/kits/shared_orange_rug_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751538268', '68665A5C', 'object/tangible/loot/collectible/kits/shared_sculpture_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1943652029', '73D9C6BD', 'object/tangible/loot/dungeon/corellian_corvette/shared_bootdisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778523039', 'A59CE59F', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123058440', '7E8B4D08', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1409729686', '5406C496', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2615503998', '9BE56C7E', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089651945', '40F2C4E9', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3271133983', 'C2F98B1F', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429810306', '55392C82', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385413141', '8E2E8415', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800721654', '6B54D4F6', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226514463', '491B201F', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2450294920', '920C8888', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2214959298', '840598C2', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('426337632', '19696560', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3263090167', 'C27ECDF7', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('486562997', '1D005CB5', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207841643', '47FE336B', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632555516', '9CE99BFC', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256488833', '867F4981', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3223256133', 'C01EFC45', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('453596370', '1B0954D2', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1608051965', '5FD8ECFD', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1714985756', '66389B1C', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3173987211', 'BD2F338B', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3353710684', 'C7E5905C', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690288867', 'A05A8CE3', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068653172', '7B4D2474', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1454651142', '56B43706', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_intel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487250459', 'CFDB381B', 'object/tangible/loot/dungeon/death_watch_bunker/shared_art_crate.iff');
INSERT INTO `object_crc_string_table` VALUES ('4135561605', 'F67FA985', 'object/tangible/loot/dungeon/death_watch_bunker/shared_binary_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164930997', 'BCA503B5', 'object/tangible/loot/dungeon/death_watch_bunker/shared_blood_vial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674191794', '9F64EDB2', 'object/tangible/loot/dungeon/death_watch_bunker/shared_ducted_fan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3565585514', 'D486846A', 'object/tangible/loot/dungeon/death_watch_bunker/shared_emulsion_protection.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809463476', 'A77502B4', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_dispersion_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2471910625', '93565CE1', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_injector_tank.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035920074', 'F08F40CA', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405799440', '53CACC10', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_stabilizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3782407794', 'E172F672', 'object/tangible/loot/dungeon/death_watch_bunker/shared_mining_drill_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('431650444', '19BA768C', 'object/tangible/loot/dungeon/death_watch_bunker/shared_pistol_de10_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('765586613', '2DA1ECB5', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4139140130', 'F6B64422', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212603957', '4846DE35', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3779706256', 'E149BD90', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_key.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110674252', 'F503E94C', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_passkey.iff');
INSERT INTO `object_crc_string_table` VALUES ('1953839447', '74753957', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_chemical_tab.iff');
INSERT INTO `object_crc_string_table` VALUES ('2836503277', 'A9119AED', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_data_tab.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253190673', '4AB22C11', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_honey_carafe.iff');
INSERT INTO `object_crc_string_table` VALUES ('395732955', '179667DB', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_ration_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3247484355', 'C190ADC3', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_small_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674127359', '9F63F1FF', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_spice_container.iff');
INSERT INTO `object_crc_string_table` VALUES ('1965831716', '752C3624', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_tech_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3973368814', 'ECD4CBEE', 'object/tangible/loot/loot_schematic/shared_agitator_motor_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('33357504', '1FCFEC0', 'object/tangible/loot/loot_schematic/shared_assorted_fruit_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176567440', '81BBC890', 'object/tangible/loot/loot_schematic/shared_bacta_tank_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('275009907', '10645173', 'object/tangible/loot/loot_schematic/shared_basket_closed_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981833750', 'B1BB2C16', 'object/tangible/loot/loot_schematic/shared_bottle_fat_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('49511220', '2F37B34', 'object/tangible/loot/loot_schematic/shared_bottle_pear_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1843384540', '6DDFD0DC', 'object/tangible/loot/loot_schematic/shared_bottle_tall_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666433962', '9EEE8DAA', 'object/tangible/loot/loot_schematic/shared_bowl_carved_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499138491', '94F5D3BB', 'object/tangible/loot/loot_schematic/shared_bowl_plain_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('352538230', '15034E76', 'object/tangible/loot/loot_schematic/shared_bubble_tank_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2177174238', '81C50ADE', 'object/tangible/loot/loot_schematic/shared_campfire_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1817381441', '6C530A41', 'object/tangible/loot/loot_schematic/shared_cantina_chair_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1634921548', '6172EC4C', 'object/tangible/loot/loot_schematic/shared_chair_cafe_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816949248', 'E3820600', 'object/tangible/loot/loot_schematic/shared_chemical_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1441840530', '55F0BD92', 'object/tangible/loot/loot_schematic/shared_command_console_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788504736', 'A63534A0', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_landspeeder_av21_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378673848', '8DC7AEB8', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_rifle_berserker_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3464694105', 'CE830959', 'object/tangible/loot/loot_schematic/shared_corellian_flagpole_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2109385771', '7DBAAC2B', 'object/tangible/loot/loot_schematic/shared_couch_blue_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869986987', 'E6AB50AB', 'object/tangible/loot/loot_schematic/shared_creature_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186214418', 'BDE9C612', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_belt_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4262840848', 'FE15CA10', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('712860035', '2A7D6183', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2564896139', '98E1358B', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_boots_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4001355238', 'EE7FD5E6', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('974618229', '3A177E75', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084811322', 'B7DE7C3A', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_chest_plate_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286535235', 'FF7F5643', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_gloves_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021975943', 'EFBA7B87', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_helmet_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('204385497', 'C2EACD9', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_leggings_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('818256163', '30C59923', 'object/tangible/loot/loot_schematic/shared_death_watch_drink_mandalorian_wine_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390933673', '8E82C0A9', 'object/tangible/loot/loot_schematic/shared_death_watch_executioners_hack_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3163168550', 'BC8A1F26', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_belt_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3952203976', 'EB91D8C8', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073312603', '3FF9735B', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4294515772', 'FFF91C3C', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_boots_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('834256381', '31B9BDFD', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_l_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855685230', 'E5D1166E', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_r_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2354501114', '8C56D5FA', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_chest_plate_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1437890513', '55B477D1', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_gloves_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165056533', '45715A15', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_helmet_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('571889949', '2216591D', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_jetpack_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3555247298', 'D3E8C4C2', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_leggings_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('44057344', '2A04300', 'object/tangible/loot/loot_schematic/shared_death_watch_pistol_de10_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('56986758', '3658C86', 'object/tangible/loot/loot_schematic/shared_death_watch_razor_knuckler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('74183997', '46BF53D', 'object/tangible/loot/loot_schematic/shared_diagnostic_screen_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014709176', 'B3B0CFB8', 'object/tangible/loot/loot_schematic/shared_droid_body_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('443254179', '1A6B85A3', 'object/tangible/loot/loot_schematic/shared_droid_head_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275187305', '4C01D069', 'object/tangible/loot/loot_schematic/shared_elegant_cabinet_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892700204', '70D0502C', 'object/tangible/loot/loot_schematic/shared_flora_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4233888471', 'FC5C02D7', 'object/tangible/loot/loot_schematic/shared_foodcart_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('131416383', '7D5413F', 'object/tangible/loot/loot_schematic/shared_gambling_table_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869697913', 'E6A6E779', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_bone_armor_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435106538', '5589FCEA', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_muscle_armor_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842219763', 'A968D4F3', 'object/tangible/loot/loot_schematic/shared_geonosian_reinforcement_core_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3191519467', 'BE3AB8EB', 'object/tangible/loot/loot_schematic/shared_geonosian_sonic_blaster_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2133560437', '7F2B8C75', 'object/tangible/loot/loot_schematic/shared_geonosian_sword_core_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('910955791', '364C150F', 'object/tangible/loot/loot_schematic/shared_geonosian_tenloss_dxr6_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1451271511', '5680A557', 'object/tangible/loot/loot_schematic/shared_hanging_planter_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('138305507', '83E5FE3', 'object/tangible/loot/loot_schematic/shared_metal_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('620571036', '24FD299C', 'object/tangible/loot/loot_schematic/shared_microphone_s01_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1194071997', '472C17BD', 'object/tangible/loot/loot_schematic/shared_microphone_s02_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736953476', 'A3229884', 'object/tangible/loot/loot_schematic/shared_ore_recycler_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('385386900', '16F88994', 'object/tangible/loot/loot_schematic/shared_park_bench_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049237306', 'F15A753A', 'object/tangible/loot/loot_schematic/shared_pitcher_full_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2780825325', 'A5C006ED', 'object/tangible/loot/loot_schematic/shared_professors_desk_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601376740', '5F7311E4', 'object/tangible/loot/loot_schematic/shared_radar_screen_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283977315', 'FF584E63', 'object/tangible/loot/loot_schematic/shared_radio_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2074723143', '7BA9C347', 'object/tangible/loot/loot_schematic/shared_shisa_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016619674', 'EF68C09A', 'object/tangible/loot/loot_schematic/shared_slave_brazier_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882303083', 'ABCC746B', 'object/tangible/loot/loot_schematic/shared_spear_rack_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3338971500', 'C704A96C', 'object/tangible/loot/loot_schematic/shared_stove_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2023724464', '789F95B0', 'object/tangible/loot/loot_schematic/shared_streetlamp_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('46984344', '2CCEC98', 'object/tangible/loot/loot_schematic/shared_stuffed_fish_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1657163664', '62C64F90', 'object/tangible/loot/loot_schematic/shared_table_coffee_modern_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('189791805', 'B4FFE3D', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s01_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1755234332', '689EC01C', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s02_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1445555733', '56296E15', 'object/tangible/loot/loot_schematic/shared_tatooine_tapestry_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('911123298', '364EA362', 'object/tangible/loot/loot_schematic/shared_technical_console_s01_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1436523843', '559F9D43', 'object/tangible/loot/loot_schematic/shared_technical_console_s02_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3095520200', 'B881E3C8', 'object/tangible/loot/loot_schematic/shared_throwpillow_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145052130', '7FDAE5E2', 'object/tangible/loot/loot_schematic/shared_tumble_blender_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2313370154', '89E33A2A', 'object/tangible/loot/loot_schematic/shared_utensils_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('865298765', '3393694D', 'object/tangible/loot/misc/shared_artifact_rare_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077046979', 'F302CCC3', 'object/tangible/loot/misc/shared_basket_expensive_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2848209064', 'A9C438A8', 'object/tangible/loot/misc/shared_bowl_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815409445', '6C34F325', 'object/tangible/loot/misc/shared_briefcase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3249408869', 'C1AE0B65', 'object/tangible/loot/misc/shared_brown_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('842587466', '3238DD4A', 'object/tangible/loot/misc/shared_cage_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('327865364', '138AD414', 'object/tangible/loot/misc/shared_camera_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3603005332', 'D6C17F94', 'object/tangible/loot/misc/shared_casserole_binna_jode.iff');
INSERT INTO `object_crc_string_table` VALUES ('759121721', '2D3F4739', 'object/tangible/loot/misc/shared_casual_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380245587', 'C97A7453', 'object/tangible/loot/misc/shared_corsec_id_badge.iff');
INSERT INTO `object_crc_string_table` VALUES ('2077895809', '7BDA2C81', 'object/tangible/loot/misc/shared_damaged_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('1598786934', '5F4B8D76', 'object/tangible/loot/misc/shared_datadisk_corrupt.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256936356', 'FDBBB1A4', 'object/tangible/loot/misc/shared_decryptor_broken_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1425405589', '54F5F695', 'object/tangible/loot/misc/shared_dermal_analyxer.iff');
INSERT INTO `object_crc_string_table` VALUES ('706975394', '2A2396A2', 'object/tangible/loot/misc/shared_firework_dud_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046732853', 'F1343E35', 'object/tangible/loot/misc/shared_firework_dud_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2901988249', 'ACF8D399', 'object/tangible/loot/misc/shared_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730613962', 'DE5CA6CA', 'object/tangible/loot/misc/shared_glass_heirloom_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2290214914', '8881E802', 'object/tangible/loot/misc/shared_green_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604517877', '9B3DC9F5', 'object/tangible/loot/misc/shared_gungan_lance.iff');
INSERT INTO `object_crc_string_table` VALUES ('374420297', '16513349', 'object/tangible/loot/misc/shared_gungan_signet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021999255', '3CEA7897', 'object/tangible/loot/misc/shared_holocron_splinters_sith_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1159518109', '451CD79D', 'object/tangible/loot/misc/shared_hyperdrive_part_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('239625063', 'E486367', 'object/tangible/loot/misc/shared_inkpen_engraved_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1419164698', '5496BC1A', 'object/tangible/loot/misc/shared_insects_rare_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637830141', '619F4DFD', 'object/tangible/loot/misc/shared_jawa_beads.iff');
INSERT INTO `object_crc_string_table` VALUES ('634814302', '25D67F5E', 'object/tangible/loot/misc/shared_keepsakes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312940379', '4E41E15B', 'object/tangible/loot/misc/shared_key_electronic_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1032597494', '3D8C2FF6', 'object/tangible/loot/misc/shared_ledger_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3424112691', 'CC17D033', 'object/tangible/loot/misc/shared_loot_krayt_arm1.iff');
INSERT INTO `object_crc_string_table` VALUES ('385906852', '170078A4', 'object/tangible/loot/misc/shared_loot_krayt_arm2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031807386', 'F0507F9A', 'object/tangible/loot/misc/shared_loot_krayt_foot.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363519588', 'C87B3C64', 'object/tangible/loot/misc/shared_loot_krayt_leg1.iff');
INSERT INTO `object_crc_string_table` VALUES ('325883123', '136C94F3', 'object/tangible/loot/misc/shared_loot_krayt_leg2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374450491', 'C922073B', 'object/tangible/loot/misc/shared_loot_krayt_spine1.iff');
INSERT INTO `object_crc_string_table` VALUES ('305508268', '1235AFAC', 'object/tangible/loot/misc/shared_loot_krayt_spine2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530447905', '5B38C821', 'object/tangible/loot/misc/shared_loot_krayt_spine3.iff');
INSERT INTO `object_crc_string_table` VALUES ('707837564', '2A30BE7C', 'object/tangible/loot/misc/shared_loot_skull_bith.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725183958', 'A26F01D6', 'object/tangible/loot/misc/shared_loot_skull_bol.iff');
INSERT INTO `object_crc_string_table` VALUES ('632440114', '25B24532', 'object/tangible/loot/misc/shared_loot_skull_human.iff');
INSERT INTO `object_crc_string_table` VALUES ('128900324', '7AEDCE4', 'object/tangible/loot/misc/shared_loot_skull_ithorian.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855703718', 'E5D15EA6', 'object/tangible/loot/misc/shared_loot_skull_krayt1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053226545', '3EC6F631', 'object/tangible/loot/misc/shared_loot_skull_krayt2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842325032', 'A96A7028', 'object/tangible/loot/misc/shared_loot_skull_thune.iff');
INSERT INTO `object_crc_string_table` VALUES ('3032461432', 'B4BFB078', 'object/tangible/loot/misc/shared_loot_skull_voritor.iff');
INSERT INTO `object_crc_string_table` VALUES ('317779620', '12F0EEA4', 'object/tangible/loot/misc/shared_majestic_rug.iff');
INSERT INTO `object_crc_string_table` VALUES ('706045997', '2A15682D', 'object/tangible/loot/misc/shared_medallion_black_sun_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('689527148', '2919596C', 'object/tangible/loot/misc/shared_medallion_dark_jedi_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4152880530', 'F787ED92', 'object/tangible/loot/misc/shared_mt_casserole.iff');
INSERT INTO `object_crc_string_table` VALUES ('2434258915', '9117D7E3', 'object/tangible/loot/misc/shared_mt_flatbread.iff');
INSERT INTO `object_crc_string_table` VALUES ('468840680', '1BF1F0E8', 'object/tangible/loot/misc/shared_mt_pie.iff');
INSERT INTO `object_crc_string_table` VALUES ('3702520473', 'DCAFFA99', 'object/tangible/loot/misc/shared_mt_soup.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480466055', 'CF73B287', 'object/tangible/loot/misc/shared_mystical_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931809434', '7325129A', 'object/tangible/loot/misc/shared_mystical_powered_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3678039981', 'DB3A6FAD', 'object/tangible/loot/misc/shared_ornamental_sconce.iff');
INSERT INTO `object_crc_string_table` VALUES ('1764965839', '69333DCF', 'object/tangible/loot/misc/shared_palm_frond.iff');
INSERT INTO `object_crc_string_table` VALUES ('2137101597', '7F61951D', 'object/tangible/loot/misc/shared_personal_effects.iff');
INSERT INTO `object_crc_string_table` VALUES ('3152449908', 'BBE69174', 'object/tangible/loot/misc/shared_petrified_avian_egg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021103631', '3CDCCE0F', 'object/tangible/loot/misc/shared_picture_handheld_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3888866968', 'E7CB6698', 'object/tangible/loot/misc/shared_picture_handheld_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('720417432', '2AF0B298', 'object/tangible/loot/misc/shared_proclamation_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573709036', 'D50278EC', 'object/tangible/loot/misc/shared_recording_rod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1359996863', '510FE7BF', 'object/tangible/loot/misc/shared_shisa_decorative_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3986073325', 'ED96A6ED', 'object/tangible/loot/misc/shared_slave_collar.iff');
INSERT INTO `object_crc_string_table` VALUES ('141936959', '875C93F', 'object/tangible/loot/misc/shared_speaker_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2986929439', 'B208ED1F', 'object/tangible/loot/misc/shared_spectrum_recorder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3850821437', 'E586DF3D', 'object/tangible/loot/misc/shared_sports_award_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896550802', '710B1192', 'object/tangible/loot/misc/shared_ticket_collectors_item_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280007490', '87E62742', 'object/tangible/loot/misc/shared_ticket_expired.iff');
INSERT INTO `object_crc_string_table` VALUES ('381474584', '16BCD718', 'object/tangible/loot/misc/shared_toxic_rations.iff');
INSERT INTO `object_crc_string_table` VALUES ('667280512', '27C5E480', 'object/tangible/loot/misc/shared_worklight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3550223157', 'D39C1B35', 'object/tangible/loot/plant_grow/shared_plant_stage_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('143373218', '88BB3A2', 'object/tangible/loot/plant_grow/shared_plant_stage_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099355183', '4186D42F', 'object/tangible/loot/plant_grow/shared_plant_stage_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320437812', 'C5E9DC34', 'object/tangible/loot/plant_grow/shared_plant_stage_dead.iff');
INSERT INTO `object_crc_string_table` VALUES ('535228363', '1FE6EFCB', 'object/tangible/loot/quest/force_sensitive/shared_camp_frequency_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2972904337', 'B132EB91', 'object/tangible/loot/quest/force_sensitive/shared_camp_remote.iff');
INSERT INTO `object_crc_string_table` VALUES ('3049740856', 'B5C75A38', 'object/tangible/loot/quest/force_sensitive/shared_camp_waypoint_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130494948', 'BA978FE4', 'object/tangible/loot/quest/force_sensitive/shared_theater_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2042144998', '79B8A8E6', 'object/tangible/loot/quest/force_sensitive/sharred_force_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900348707', '71450523', 'object/tangible/loot/quest/force_sensitive/sharred_waypoint_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2895321218', 'AC931882', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_altruism.iff');
INSERT INTO `object_crc_string_table` VALUES ('1173220327', '45EDEBE7', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_courage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1842983256', '6DD9B158', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_honor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2725337290', 'A27158CA', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_intellect.iff');
INSERT INTO `object_crc_string_table` VALUES ('577481974', '226BACF6', 'object/tangible/loot/quest/hero_of_tatooine/shared_squill_skull.iff');
INSERT INTO `object_crc_string_table` VALUES ('1779384495', '6A0F40AF', 'object/tangible/loot/quest/shared_2h_sword_scythe_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('619337831', '24EA5867', 'object/tangible/loot/quest/shared_anakin_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('144495220', '89CD274', 'object/tangible/loot/quest/shared_ardanium_ii.iff');
INSERT INTO `object_crc_string_table` VALUES ('3429421231', 'CC68D0AF', 'object/tangible/loot/quest/shared_bantha_doll.iff');
INSERT INTO `object_crc_string_table` VALUES ('1855025689', '6E917219', 'object/tangible/loot/quest/shared_carved_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540822606', '5BD7164E', 'object/tangible/loot/quest/shared_crude_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('513781670', '1E9FAFA6', 'object/tangible/loot/quest/shared_droid_brain_anakin.iff');
INSERT INTO `object_crc_string_table` VALUES ('2926434751', 'AE6DD9BF', 'object/tangible/loot/quest/shared_edb_quest_heirloom_bowl.iff');
INSERT INTO `object_crc_string_table` VALUES ('561758267', '217BC03B', 'object/tangible/loot/quest/shared_endrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113427386', 'B99321BA', 'object/tangible/loot/quest/shared_frn_quest_dant_skull_bol_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2961420204', 'B083AFAC', 'object/tangible/loot/quest/shared_frn_quest_krayt_skull_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225123257', '4905E5B9', 'object/tangible/loot/quest/shared_huff_quest_borvos_money.iff');
INSERT INTO `object_crc_string_table` VALUES ('3663409611', 'DA5B31CB', 'object/tangible/loot/quest/shared_huff_quest_corsec_badge.iff');
INSERT INTO `object_crc_string_table` VALUES ('940267990', '380B59D6', 'object/tangible/loot/quest/shared_huff_quest_top_secret_documents.iff');
INSERT INTO `object_crc_string_table` VALUES ('2337201287', '8B4EDC87', 'object/tangible/loot/quest/shared_hvy_disruptor_cannon_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063290190', 'F230E34E', 'object/tangible/loot/quest/shared_lance_nightsister_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441146756', 'CD1BBB84', 'object/tangible/loot/quest/shared_lifeday_orb.iff');
INSERT INTO `object_crc_string_table` VALUES ('2300896857', '8924E659', 'object/tangible/loot/quest/shared_nym_droid_memory_chip.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171264370', '45D01372', 'object/tangible/loot/quest/shared_nym_filtered_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('701926242', '29D68B62', 'object/tangible/loot/quest/shared_nym_hard_drive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123957010', '42FE3912', 'object/tangible/loot/quest/shared_nym_imggc.iff');
INSERT INTO `object_crc_string_table` VALUES ('2924880449', 'AE562241', 'object/tangible/loot/quest/shared_ostrine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2547815080', '97DC92A8', 'object/tangible/loot/quest/shared_quest_item_goru_calling_card.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548721475', 'D3853143', 'object/tangible/loot/quest/shared_quest_item_sarlacc_bile_jar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2368845489', '8D31B6B1', 'object/tangible/loot/quest/shared_quest_item_spice_jar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624714198', '9C71F5D6', 'object/tangible/loot/quest/shared_quest_item_zicx_bug_jar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2224923865', '849DA4D9', 'object/tangible/loot/quest/shared_quest_satchel_charge.iff');
INSERT INTO `object_crc_string_table` VALUES ('916480864', '36A06360', 'object/tangible/loot/quest/shared_quest_stimpack_a_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695535287', '650FD0B7', 'object/tangible/loot/quest/shared_rifle_quest_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('880694768', '347E55F0', 'object/tangible/loot/quest/shared_rudic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815099947', '6C303A2B', 'object/tangible/loot/quest/shared_schematic_apron_s01_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800706287', 'A6EF62EF', 'object/tangible/loot/quest/shared_schematic_backpack_s03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3031620704', 'B4B2DC60', 'object/tangible/loot/quest/shared_schematic_backpack_s06_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807969436', 'A75E369C', 'object/tangible/loot/quest/shared_schematic_bandolier_s02_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3140951446', 'BB371D96', 'object/tangible/loot/quest/shared_schematic_bandolier_s04_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3011414562', 'B37E8A22', 'object/tangible/loot/quest/shared_schematic_belt_s05_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3738946257', 'DEDBCAD1', 'object/tangible/loot/quest/shared_schematic_carbine_e11_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276949463', 'FEED11D7', 'object/tangible/loot/quest/shared_schematic_dress_s08_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4044312600', 'F10F5018', 'object/tangible/loot/quest/shared_schematic_pistol_fwg5_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3517653342', 'D1AB215E', 'object/tangible/loot/quest/shared_schematic_republic_blaster_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2394816327', '8EBDFF47', 'object/tangible/loot/quest/shared_sean_campaign_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553800313', '5C9D1C79', 'object/tangible/loot/quest/shared_sean_history_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('560125063', '2162D487', 'object/tangible/loot/quest/shared_sean_questn_alog.iff');
INSERT INTO `object_crc_string_table` VALUES ('1604016241', '5F9B5871', 'object/tangible/loot/quest/shared_sean_questn_gpapers.iff');
INSERT INTO `object_crc_string_table` VALUES ('3604298808', 'D6D53C38', 'object/tangible/loot/quest/shared_sean_questn_tdisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3591581058', 'D6132D82', 'object/tangible/loot/quest/shared_sean_questp_ctestimony.iff');
INSERT INTO `object_crc_string_table` VALUES ('674706343', '283733A7', 'object/tangible/loot/quest/shared_sean_questp_htestimony.iff');
INSERT INTO `object_crc_string_table` VALUES ('3743353236', 'DF1F0994', 'object/tangible/loot/quest/shared_sean_questp_mdisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('2894170579', 'AC8189D3', 'object/tangible/loot/quest/shared_shellfish_harvester_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('856720284', '3310839C', 'object/tangible/loot/quest/shared_shield_generator_personal_imperial_test_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1409323836', '5400933C', 'object/tangible/loot/quest/shared_smooth_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1380874599', '524E7967', 'object/tangible/loot/quest/shared_treasure_map_hedon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221778773', '846DA755', 'object/tangible/loot/quest/shared_tusken_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2259444048', '86AC6150', 'object/tangible/loot/quest/shared_valarian_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('1885312788', '705F9714', 'object/tangible/loot/quest/shared_victor_campaign_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528043292', '5B14171C', 'object/tangible/loot/quest/shared_victor_questn_dseal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3882415492', 'E768F584', 'object/tangible/loot/quest/shared_victor_questn_hlist.iff');
INSERT INTO `object_crc_string_table` VALUES ('367939380', '15EE4F34', 'object/tangible/loot/quest/shared_victor_questn_journal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1576962769', '5DFE8AD1', 'object/tangible/loot/quest/shared_victor_questp_jregistry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1884397294', '70519EEE', 'object/tangible/loot/quest/shared_victor_questp_receipt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1434128341', '557B0FD5', 'object/tangible/loot/quest/shared_victor_questp_testimony.iff');
INSERT INTO `object_crc_string_table` VALUES ('1481000655', '584646CF', 'object/tangible/loot/quest/shared_wind_crystal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1558538770', '5CE56A12', 'object/tangible/loot/simple_kit/shared_battery_cheap_copper.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025688379', 'EFF3213B', 'object/tangible/loot/simple_kit/shared_datadisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1751481295', '68657BCF', 'object/tangible/loot/simple_kit/shared_datadisk_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('4084040354', 'F36D82A2', 'object/tangible/loot/simple_kit/shared_datapad_backlight.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119448448', 'B9EF0180', 'object/tangible/loot/simple_kit/shared_datapad_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('2404535278', '8F524BEE', 'object/tangible/loot/simple_kit/shared_datapad_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('3704114882', 'DCC84EC2', 'object/tangible/loot/simple_kit/shared_datapad_connectors.iff');
INSERT INTO `object_crc_string_table` VALUES ('1084051270', '409D4F46', 'object/tangible/loot/simple_kit/shared_empty_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2298400846', '88FED04E', 'object/tangible/loot/simple_kit/shared_feed_tubes.iff');
INSERT INTO `object_crc_string_table` VALUES ('652853740', '26E9C1EC', 'object/tangible/loot/simple_kit/shared_firework_casing.iff');
INSERT INTO `object_crc_string_table` VALUES ('4181083610', 'F93645DA', 'object/tangible/loot/simple_kit/shared_firework_fixer.iff');
INSERT INTO `object_crc_string_table` VALUES ('164033242', '9C6F2DA', 'object/tangible/loot/simple_kit/shared_flat_canvas.iff');
INSERT INTO `object_crc_string_table` VALUES ('326778183', '137A3D47', 'object/tangible/loot/simple_kit/shared_heating_element.iff');
INSERT INTO `object_crc_string_table` VALUES ('2586601937', '9A2C69D1', 'object/tangible/loot/simple_kit/shared_magnetic_burner.iff');
INSERT INTO `object_crc_string_table` VALUES ('29814933', '1C6F095', 'object/tangible/loot/simple_kit/shared_magnetic_reader.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144713360', 'BB708490', 'object/tangible/loot/simple_kit/shared_motor_small_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('1519193504', '5A8D0DA0', 'object/tangible/loot/simple_kit/shared_motor_small_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1559578461', '5CF5475D', 'object/tangible/loot/simple_kit/shared_paint_cartridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('433413834', '19D55ECA', 'object/tangible/loot/simple_kit/shared_paint_disperser.iff');
INSERT INTO `object_crc_string_table` VALUES ('3918612828', 'E991495C', 'object/tangible/loot/simple_kit/shared_picture_printer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3790649571', 'E1F0B8E3', 'object/tangible/loot/simple_kit/shared_powder_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('802964254', '2FDC431E', 'object/tangible/loot/simple_kit/shared_processor_attachments.iff');
INSERT INTO `object_crc_string_table` VALUES ('575747803', '225136DB', 'object/tangible/loot/simple_kit/shared_pulverizer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916637406', 'E97324DE', 'object/tangible/loot/simple_kit/shared_recovery_software.iff');
INSERT INTO `object_crc_string_table` VALUES ('3010431171', 'B36F88C3', 'object/tangible/loot/simple_kit/shared_spinning_blade.iff');
INSERT INTO `object_crc_string_table` VALUES ('737773540', '2BF987E4', 'object/tangible/loot/simple_kit/shared_tumble_blender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346373524', '50400794', 'object/tangible/loot/simple_kit/shared_viewscreen_printer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617524157', 'D79F09BD', 'object/tangible/loot/simple_kit/shared_viewscreen_reader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1151739825', '44A627B1', 'object/tangible/loot/simple_kit/shared_wiring.iff');
INSERT INTO `object_crc_string_table` VALUES ('1994052682', '76DAD44A', 'object/tangible/loot/simple_kit/shared_wiring_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('2818101899', 'A7F8D28B', 'object/tangible/loot/simple_kit/shared_wiring_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('511989855', '1E84585F', 'object/tangible/loot/tool/shared_binoculars_broken_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3314806984', 'C593F0C8', 'object/tangible/loot/tool/shared_binoculars_broken_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384767705', '5289E0D9', 'object/tangible/loot/tool/shared_calibrator_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1058991151', '3F1EEC2F', 'object/tangible/loot/tool/shared_comlink_naboo_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897890885', 'E8551845', 'object/tangible/loot/tool/shared_datapad_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('3205052430', 'BF09380E', 'object/tangible/loot/tool/shared_impulse_detector_broken_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1679724697', '641E9099', 'object/tangible/loot/tool/shared_impulse_detector_broken_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('756283156', '2D13F714', 'object/tangible/loot/tool/shared_impulse_detector_broken_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085465916', 'B7E8793C', 'object/tangible/loot/tool/shared_recording_rod_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766599802', 'A4E6F67A', 'object/tangible/loot/tool/shared_sandstat_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1847347593', '6E1C4989', 'object/tangible/loot/tool/shared_taloscope_broken.iff');
INSERT INTO `object_crc_string_table` VALUES ('990061346', '3B032322', 'object/tangible/loot/tool/shared_usable_datapad.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503789827', 'D0D79703', 'object/tangible/loot/tool/shared_viewscreen_broken_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('197148564', 'BC03F94', 'object/tangible/loot/tool/shared_viewscreen_broken_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3259696709', 'C24B0645', 'object/tangible/magic_eight_ball/shared_magic_eight_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('832067310', '319856EE', 'object/tangible/medicine/base/shared_base_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421139465', '904FA809', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1264058526', '4B58009E', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('39151379', '2556713', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4189473799', 'F9B64C07', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965056394', 'B0BB2B8A', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337965998', 'C6F551AE', 'object/tangible/medicine/crafted/shared_medic_fire_blanket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050358641', '3E9B3371', 'object/tangible/medicine/crafted/shared_medpack_blinded_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3851197414', 'E58C9BE6', 'object/tangible/medicine/crafted/shared_medpack_blinded_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627802879', '9CA116FF', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('131829089', '7DB8D61', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3704366582', 'DCCC25F6', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2512470651', '95C1427B', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203158632', '47B6BE68', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('247192037', 'EBBD9E5', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3079774336', 'B791A080', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2173977694', '8194445E', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518595273', '5A83ECC9', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('328108868', '138E8B44', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1820723223', '6C860817', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('629895066', '258B6F9A', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001848134', '7751C746', 'object/tangible/medicine/crafted/shared_medpack_damage_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2890297297', 'AC466FD1', 'object/tangible/medicine/crafted/shared_medpack_damage_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3846899804', 'E54B085C', 'object/tangible/medicine/crafted/shared_medpack_damage_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('514335560', '1EA82348', 'object/tangible/medicine/crafted/shared_medpack_damage_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1470448837', '57A544C5', 'object/tangible/medicine/crafted/shared_medpack_damage_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421339093', '54B7E9D5', 'object/tangible/medicine/crafted/shared_medpack_disease_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2409644354', '8FA04142', 'object/tangible/medicine/crafted/shared_medpack_disease_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3333236431', 'C6AD26CF', 'object/tangible/medicine/crafted/shared_medpack_disease_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3835399412', 'E49B8CF4', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1066148963', '3F8C2463', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988183022', '768143EE', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1245003913', '4A354089', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2434983966', '9122E81E', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3626995603', 'D82F8F93', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4224279977', 'FBC965A9', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('551472446', '20DECD3E', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1775479475', '69D3AAB3', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1629813448', '6124FAC8', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3123925599', 'BA33525F', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4080940498', 'F33E35D2', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192147346', 'BE444D92', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699996933', '6553E505', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('744391304', '2C5E8288', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210202555', '482239BB', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469761324', '9335912C', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3661166241', 'DA38F6A1', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('49541233', '2F3F071', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655620838', 'D9E458E6', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431205227', '90E93F6B', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3592578556', 'D62265FC', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('221629803', 'D35CD6B', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1144564454', '4438AAE6', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580872887', '99D4FEB7', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120097824', '42C35620', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('198062509', 'BCE31AD', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062871791', 'F22A80EF', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('691873912', '293D2878', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613778933', '60304FF5', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('855821233', '3302CBB1', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3893715750', 'E8156326', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702705835', 'A11804AB', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3507003369', 'D1089FE9', 'object/tangible/medicine/crafted/shared_medpack_disease_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('169817982', 'A1F377E', 'object/tangible/medicine/crafted/shared_medpack_disease_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125273843', '431250F3', 'object/tangible/medicine/crafted/shared_medpack_disease_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432511697', '556264D1', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390084678', '8E75CC46', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3346574283', 'C778ABCB', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148485002', 'F744DB8A', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('743666461', '2C53731D', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1700664464', '655E1490', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477284367', '93A85C0F', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1220539544', '48BFF498', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('28480277', '1B29315', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891070933', 'AC523DD5', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2001048898', '77459542', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1044968143', '3E48F2CF', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('649206918', '26B21C86', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255495185', 'FDA5B411', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030963100', 'B4A8D39C', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286027794', 'FF779812', 'object/tangible/medicine/crafted/shared_medpack_dizzy_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('610283653', '24603085', 'object/tangible/medicine/crafted/shared_medpack_dizzy_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040456830', 'F0D47A7E', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('734253801', '2BC3D2E9', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1657714020', '62CEB564', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2569903728', '992D9E70', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741769826', '67D14C62', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3167151349', 'BCC6E4F5', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4123755384', 'F5CB8378', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('237545580', 'E28A86C', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542293256', 'D3231B08', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('137671583', '834B39F', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094308882', '4139D412', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969949762', '756B0C42', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927404245', 'AE7CA4D5', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3882992472', 'E771C358', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('479389772', '1C92E84C', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971989030', '758A2A26', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2929558193', 'AE9D82B1', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885032764', 'E790E53C', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073745416', 'B735A208', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814170271', '6C220A9F', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('623865106', '252F6D12', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3737929222', 'DECC4606', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('303093725', '1210D7DD', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372711754', 'C9077F4A', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2148145351', '800A18C7', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2078880723', '7BE933D3', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2031358604', '7914128C', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2718153243', 'A203BA1B', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3943619990', 'EB0EDD96', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('284030594', '10EDF682', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566761102', '5D62E08E', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255833113', '86754819', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3480760212', 'CF782F94', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('256177215', 'F44F43F', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3562233000', 'D4535CA8', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2640198437', '9D5E3B25', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723666481', '66BD1031', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('800094140', '2FB077BC', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3909597494', 'E907B936', 'object/tangible/medicine/crafted/shared_medpack_intimidated_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('839913889', '321011A1', 'object/tangible/medicine/crafted/shared_medpack_intimidated_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1800212586', '6B4D106A', 'object/tangible/medicine/crafted/shared_medpack_poison_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2958735613', 'B05AB8FD', 'object/tangible/medicine/crafted/shared_medpack_poison_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4183285616', 'F957DF70', 'object/tangible/medicine/crafted/shared_medpack_poison_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306026854', '4DD86366', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530200561', '96CFCBF1', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3754077308', 'DFC2AC7C', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3362198874', 'C867155A', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('326155725', '1370BDCD', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1518197312', '5A7DDA40', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592196885', '5EE6FF15', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2247186306', '85F15782', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3439079439', 'CCFC300F', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('4008863318', 'EEF26656', 'object/tangible/medicine/crafted/shared_medpack_poison_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('904253121', '35E5CEC1', 'object/tangible/medicine/crafted/shared_medpack_poison_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2095622476', '7CE8A94C', 'object/tangible/medicine/crafted/shared_medpack_poison_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('224697074', 'D649AF2', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3597873765', 'D6733265', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675856872', '9F7E55E8', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('893587986', '35431212', 'object/tangible/medicine/crafted/shared_medpack_revive.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573174905', 'D4FA5279', 'object/tangible/medicine/crafted/shared_medpack_stunned_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('267254510', 'FEDFAEE', 'object/tangible/medicine/crafted/shared_medpack_stunned_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3915445448', 'E960F4C8', 'object/tangible/medicine/crafted/shared_medpack_wound_action_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('846683231', '32775C5F', 'object/tangible/medicine/crafted/shared_medpack_wound_action_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071608274', '7B7A3BD2', 'object/tangible/medicine/crafted/shared_medpack_wound_action_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157514950', '809910C6', 'object/tangible/medicine/crafted/shared_medpack_wound_action_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3381950283', 'C994774B', 'object/tangible/medicine/crafted/shared_medpack_wound_action_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023802808', 'EFD65BB8', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('885125935', '34C1F32F', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110559394', '7DCC94A2', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251276214', '862FBFB6', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3475167291', 'CF22D83B', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826587380', '6CDF82F4', 'object/tangible/medicine/crafted/shared_medpack_wound_health_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3083348579', 'B7C82A63', 'object/tangible/medicine/crafted/shared_medpack_wound_health_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4274343406', 'FEC54DEE', 'object/tangible/medicine/crafted/shared_medpack_wound_health_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('86402810', '52666FA', 'object/tangible/medicine/crafted/shared_medpack_wound_health_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1277886839', '4C2B0177', 'object/tangible/medicine/crafted/shared_medpack_wound_health_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2977609255', 'B17AB627', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785536176', '6A6D1EB0', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('593525053', '2360793D', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3632484905', 'D8835229', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2442016164', '918E35A4', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360049826', 'C8464AA2', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('324133429', '1351E235', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516012984', '5A5C85B8', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713693868', 'A1BFAEAC', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3904031009', 'E8B2C921', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('295235763', '1198F0B3', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398391844', 'CA8F5824', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206351273', '83823FA9', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2019628221', '786114BD', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('829190960', '316C7330', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_e.iff');
INSERT INTO `object_crc_string_table` VALUES ('2350997777', '8C216111', 'object/tangible/medicine/pet/shared_droid_damage_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('1463208326', '5736C986', 'object/tangible/medicine/pet/shared_droid_damage_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('507227659', '1E3BAE0B', 'object/tangible/medicine/pet/shared_droid_damage_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3856172319', 'E5D8851F', 'object/tangible/medicine/pet/shared_droid_damage_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3944772347', 'EB2072FB', 'object/tangible/medicine/pet/shared_droid_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('808966764', '3037DA6C', 'object/tangible/medicine/pet/shared_droid_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2033892833', '793ABDE1', 'object/tangible/medicine/pet/shared_droid_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195298037', '82D996F5', 'object/tangible/medicine/pet/shared_droid_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100790124', '7D37836C', 'object/tangible/medicine/pet/shared_droid_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2787126267', 'A6202BFB', 'object/tangible/medicine/pet/shared_droid_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012723318', 'EF2D4C76', 'object/tangible/medicine/pet/shared_droid_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025129359', '3D1A3B8F', 'object/tangible/medicine/pet/shared_droid_wound_kit_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3859649304', 'E60D9318', 'object/tangible/medicine/pet/shared_droid_wound_kit_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936075413', 'AF00F495', 'object/tangible/medicine/pet/shared_droid_wound_kit_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1424220033', '54E3DF81', 'object/tangible/medicine/pet/shared_droid_wound_kit_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('1789607514', '6AAB3E5A', 'object/tangible/medicine/pet/shared_pet_stimpack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981926605', 'B1BC96CD', 'object/tangible/medicine/pet/shared_pet_stimpack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4172411200', 'F8B1F140', 'object/tangible/medicine/pet/shared_pet_stimpack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('55761492', '352DA54', 'object/tangible/medicine/pet/shared_pet_stimpack_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('4240232397', 'FCBCCFCD', 'object/tangible/medicine/pet/shared_pet_vitapack_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('665544538', '27AB675A', 'object/tangible/medicine/pet/shared_pet_vitapack_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1856372951', '6EA600D7', 'object/tangible/medicine/pet/shared_pet_vitapack_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440189415', '55D78BE7', 'object/tangible/medicine/shared_antidote_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4251613254', 'FD6A7846', 'object/tangible/medicine/shared_grenade_area_disease.iff');
INSERT INTO `object_crc_string_table` VALUES ('407306967', '184702D7', 'object/tangible/medicine/shared_grenade_area_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1464815996', '574F517C', 'object/tangible/medicine/shared_grenade_disease.iff');
INSERT INTO `object_crc_string_table` VALUES ('3318575411', 'C5CD7133', 'object/tangible/medicine/shared_grenade_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1436861013', '55A4C255', 'object/tangible/medicine/shared_healing_grenade.iff');
INSERT INTO `object_crc_string_table` VALUES ('517120211', '1ED2A0D3', 'object/tangible/medicine/shared_healing_grenade_longrange.iff');
INSERT INTO `object_crc_string_table` VALUES ('354709332', '15246F54', 'object/tangible/medicine/shared_medic_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('1604165582', '5F9D9FCE', 'object/tangible/medicine/shared_medikit_tool_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2114140377', '7E0338D9', 'object/tangible/medicine/shared_medikit_tool_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('765314717', '2D9DC69D', 'object/tangible/medicine/shared_medpack_blinded.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567534855', 'D4A44307', 'object/tangible/medicine/shared_medpack_cure_disease.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928193020', '72EDE3FC', 'object/tangible/medicine/shared_medpack_cure_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572232451', '5DB65D03', 'object/tangible/medicine/shared_medpack_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('832861899', '31A476CB', 'object/tangible/medicine/shared_medpack_disease_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465786722', '92F8EB62', 'object/tangible/medicine/shared_medpack_dizzy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933500212', 'AED9A934', 'object/tangible/medicine/shared_medpack_enhance_action.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043375021', 'F10101AD', 'object/tangible/medicine/shared_medpack_enhance_constitution.iff');
INSERT INTO `object_crc_string_table` VALUES ('103448599', '62A8017', 'object/tangible/medicine/shared_medpack_enhance_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('1230024376', '4950AEB8', 'object/tangible/medicine/shared_medpack_enhance_quickness.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141072147', '7F9E2B13', 'object/tangible/medicine/shared_medpack_enhance_stamina.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816954138', '6C4C851A', 'object/tangible/medicine/shared_medpack_enhance_strength.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052941806', 'F192FBEE', 'object/tangible/medicine/shared_medpack_grenade_area.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050069168', '3E96C8B0', 'object/tangible/medicine/shared_medpack_grenade_damage.iff');
INSERT INTO `object_crc_string_table` VALUES ('3337310390', 'C6EB50B6', 'object/tangible/medicine/shared_medpack_intimidated.iff');
INSERT INTO `object_crc_string_table` VALUES ('3017797623', 'B3DFEFF7', 'object/tangible/medicine/shared_medpack_poison_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('4063460611', 'F2337D03', 'object/tangible/medicine/shared_medpack_revive.iff');
INSERT INTO `object_crc_string_table` VALUES ('215922513', 'CDEB751', 'object/tangible/medicine/shared_medpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041482351', 'F0E4206F', 'object/tangible/medicine/shared_medpack_stunned.iff');
INSERT INTO `object_crc_string_table` VALUES ('2936514652', 'AF07A85C', 'object/tangible/medicine/shared_medpack_wound.iff');
INSERT INTO `object_crc_string_table` VALUES ('457349028', '1B4297A4', 'object/tangible/medicine/shared_medpack_wound_action.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021180765', '3CDDFB5D', 'object/tangible/medicine/shared_medpack_wound_constitution.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014770311', 'B3B1BE87', 'object/tangible/medicine/shared_medpack_wound_health.iff');
INSERT INTO `object_crc_string_table` VALUES ('2548119971', '97E139A3', 'object/tangible/medicine/shared_medpack_wound_quickness.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314610438', '4E5B5D06', 'object/tangible/medicine/shared_medpack_wound_stamina.iff');
INSERT INTO `object_crc_string_table` VALUES ('2043273277', '79C9E03D', 'object/tangible/medicine/shared_medpack_wound_strength.iff');
INSERT INTO `object_crc_string_table` VALUES ('2246906578', '85ED12D2', 'object/tangible/medicine/shared_newbie_heal_mission_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('424530466', '194DD222', 'object/tangible/medicine/shared_stimpack_sm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('120135169', '7291E01', 'object/tangible/medicine/shared_test_fire_blanket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1744278717', '67F794BD', 'object/tangible/microphone/shared_microphone.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951173790', 'EB82209E', 'object/tangible/mission/quest_item/shared_aaph_koden_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('378433158', '168E6E86', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('513100684', '1E954B8C', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('910173292', '3640246C', 'object/tangible/mission/quest_item/shared_arrek_vonsarko_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207687484', 'BF316D3C', 'object/tangible/mission/quest_item/shared_arven_wendik_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2808249853', 'A7627DFD', 'object/tangible/mission/quest_item/shared_athok_dinvar_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378666230', '522CC6F6', 'object/tangible/mission/quest_item/shared_attunement_grid.iff');
INSERT INTO `object_crc_string_table` VALUES ('3195313536', 'BE749D80', 'object/tangible/mission/quest_item/shared_aujante_klee_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('947591589', '387B19A5', 'object/tangible/mission/quest_item/shared_ayn_eckener_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3109370215', 'B9553967', 'object/tangible/mission/quest_item/shared_bab_esrus_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065577323', 'B6B8FF6B', 'object/tangible/mission/quest_item/shared_bab_esrus_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260248356', '86B8A724', 'object/tangible/mission/quest_item/shared_bardo_klinj_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393080366', '8EA3822E', 'object/tangible/mission/quest_item/shared_bardo_klinj_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304074024', '89556128', 'object/tangible/mission/quest_item/shared_bardo_klinj_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763509222', 'A4B7CDE6', 'object/tangible/mission/quest_item/shared_binna_jode_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2897012972', 'ACACE8EC', 'object/tangible/mission/quest_item/shared_binna_jode_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874805226', 'AB5A0BEA', 'object/tangible/mission/quest_item/shared_binna_jode_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164250872', 'BC9AA2F8', 'object/tangible/mission/quest_item/shared_binna_jode_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2299815222', '89146536', 'object/tangible/mission/quest_item/shared_biribas_tarun_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('612933888', '2488A100', 'object/tangible/mission/quest_item/shared_booto_lubble_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('747865098', '2C93840A', 'object/tangible/mission/quest_item/shared_booto_lubble_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3403265909', 'CAD9B775', 'object/tangible/mission/quest_item/shared_borvo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3709410919', 'DD191E67', 'object/tangible/mission/quest_item/shared_borvo_q6_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4133937817', 'F666E299', 'object/tangible/mission/quest_item/shared_boshek_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4269655955', 'FE7DC793', 'object/tangible/mission/quest_item/shared_boshek_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3753479454', 'DFB98D1E', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3617761300', 'D7A2A814', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892692988', '70D033FC', 'object/tangible/mission/quest_item/shared_brass_marshoo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2026575606', '78CB16F6', 'object/tangible/mission/quest_item/shared_brass_marshoo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('359980413', '1574DD7D', 'object/tangible/mission/quest_item/shared_brea_tonnika_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('240174714', 'E50C67A', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2799354182', 'A6DAC146', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('105636720', '64BE370', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2931942476', 'AEC1E44C', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('29163638', '1BD0076', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2838955850', 'A937074A', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('377334116', '167DA964', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3203903064', 'BEF7AE58', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_reward.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705405453', '65A66C0D', 'object/tangible/mission/quest_item/shared_brennis_doore_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841121543', '6DBD4907', 'object/tangible/mission/quest_item/shared_brennis_doore_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783343617', '6A4BAA01', 'object/tangible/mission/quest_item/shared_brennis_doore_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264370995', 'C2925933', 'object/tangible/mission/quest_item/shared_champhra_biahin_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3398007865', 'CA897C39', 'object/tangible/mission/quest_item/shared_champhra_biahin_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2397269656', '8EE36E98', 'object/tangible/mission/quest_item/shared_charal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530083206', '96CE0186', 'object/tangible/mission/quest_item/shared_charal_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3359396583', 'C83C52E7', 'object/tangible/mission/quest_item/shared_chertyl_ruruwoor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('8182933', '7CDC95', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('141031839', '867F99F', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176487212', '81BA8F2C', 'object/tangible/mission/quest_item/shared_crider_trant_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3995914990', 'EE2CD2EE', 'object/tangible/mission/quest_item/shared_current_alternator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2245704148', '85DAB9D4', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2378276062', '8DC19CDE', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318893016', '8A377FD8', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2650265290', '9DF7D6CA', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451181766', '921A10C6', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q6_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4183162211', 'F955FD63', 'object/tangible/mission/quest_item/shared_damalia_korde_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675280131', '63DABF03', 'object/tangible/mission/quest_item/shared_dannik_malaan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('888947205', '34FC4205', 'object/tangible/mission/quest_item/shared_dea_tore_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('856334595', '330AA103', 'object/tangible/mission/quest_item/shared_dea_tore_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('617220113', '24CA0811', 'object/tangible/mission/quest_item/shared_dea_tore_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955273161', '748B19C9', 'object/tangible/mission/quest_item/shared_denell_kelvannon_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071396946', 'F2AC9652', 'object/tangible/mission/quest_item/shared_diax_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3645474258', 'D94985D2', 'object/tangible/mission/quest_item/shared_didina_lippinoss_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('767298763', '2DBC0CCB', 'object/tangible/mission/quest_item/shared_dilvin_lormurojo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2124169630', '7E9C419E', 'object/tangible/mission/quest_item/shared_dolac_legasi_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('813496257', '307CF7C1', 'object/tangible/mission/quest_item/shared_draya_korbinari_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092729423', '4121BA4F', 'object/tangible/mission/quest_item/shared_drenn_zebber_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1335716161', '4F9D6941', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1215007303', '486B8A47', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176227908', 'F8EC2E44', 'object/tangible/mission/quest_item/shared_feedback_controller.iff');
INSERT INTO `object_crc_string_table` VALUES ('153181486', '9215D2E', 'object/tangible/mission/quest_item/shared_figrindan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('20609060', '13A7824', 'object/tangible/mission/quest_item/shared_figrindan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('114072354', '6CC9B22', 'object/tangible/mission/quest_item/shared_figrindan_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275277718', '4C033196', 'object/tangible/mission/quest_item/shared_fixer_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1139734426', '43EEF79A', 'object/tangible/mission/quest_item/shared_fixer_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3270538959', 'C2F076CF', 'object/tangible/mission/quest_item/shared_garm_beliblis_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3066980718', 'B6CE696E', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201649764', 'BED54C64', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062635978', '3F5689CA', 'object/tangible/mission/quest_item/shared_gilker_budz_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909895567', '71D6B18F', 'object/tangible/mission/quest_item/shared_ging_darjeek_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('848766472', '32972608', 'object/tangible/mission/quest_item/shared_gins_darone_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('982254338', '3A8C0302', 'object/tangible/mission/quest_item/shared_gins_darone_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601533339', '9B103F9B', 'object/tangible/mission/quest_item/shared_graf_zapalo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632375453', '9CE6DC9D', 'object/tangible/mission/quest_item/shared_graf_zapalo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3346488460', 'C7775C8C', 'object/tangible/mission/quest_item/shared_gravin_attal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479992710', 'CF6C7986', 'object/tangible/mission/quest_item/shared_gravin_attal_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3862327670', 'E6367176', 'object/tangible/mission/quest_item/shared_green_laser_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1444934081', '561FF1C1', 'object/tangible/mission/quest_item/shared_grondorn_muse_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783655886', '6A506DCE', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1649100996', '624B48C4', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2483021006', '93FFE4CE', 'object/tangible/mission/quest_item/shared_hal_horn_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('135220430', '80F4CCE', 'object/tangible/mission/quest_item/shared_haleen_snowline_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1337796', '1469C4', 'object/tangible/mission/quest_item/shared_haleen_snowline_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252161065', 'C1D80A29', 'object/tangible/mission/quest_item/shared_hedon_istee_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('828118213', '315C14C5', 'object/tangible/mission/quest_item/shared_hefsen_zindalai_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3136963652', 'BAFA4444', 'object/tangible/mission/quest_item/shared_ian_logo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038216776', 'B5178248', 'object/tangible/mission/quest_item/shared_ian_logo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('753804918', '2CEE2676', 'object/tangible/mission/quest_item/shared_igbi_freemo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('896881297', '35755291', 'object/tangible/mission/quest_item/shared_ikka_gesul_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('104299049', '6377A29', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('237788963', 'E2C5F23', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('373666081', '1645B121', 'object/tangible/mission/quest_item/shared_jadam_questrel_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1190917197', '46FBF44D', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1226191425', '49163241', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1591122771', '5ED69B53', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('224919357', 'D67FF3D', 'object/tangible/mission/quest_item/shared_jatrian_lytus_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966647565', '7538A90D', 'object/tangible/mission/quest_item/shared_jazeen_thurmm_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3685390687', 'DBAA995F', 'object/tangible/mission/quest_item/shared_junelle_astor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561447251', 'D4475F53', 'object/tangible/mission/quest_item/shared_junelle_astor_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165505661', 'BCADC87D', 'object/tangible/mission/quest_item/shared_jusani_zhord_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3558096182', 'D4143D36', 'object/tangible/mission/quest_item/shared_jyr_koble_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3690593082', 'DBF9FB3A', 'object/tangible/mission/quest_item/shared_jyr_koble_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3426308648', 'CC395228', 'object/tangible/mission/quest_item/shared_jyr_koble_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('900691098', '35AF749A', 'object/tangible/mission/quest_item/shared_kadil_nurugen_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1452769693', '5697819D', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586275479', '5E8CA497', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060398386', '3F346532', 'object/tangible/mission/quest_item/shared_kais_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('925843512', '372F4038', 'object/tangible/mission/quest_item/shared_kais_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('819569470', '30D9A33E', 'object/tangible/mission/quest_item/shared_kais_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2116306072', '7E244498', 'object/tangible/mission/quest_item/shared_karena_keer_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983865234', '763F6192', 'object/tangible/mission/quest_item/shared_karena_keer_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('937788468', '37E58434', 'object/tangible/mission/quest_item/shared_karrek_film_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073652030', '3FFEA13E', 'object/tangible/mission/quest_item/shared_karrek_film_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('940065336', '38084238', 'object/tangible/mission/quest_item/shared_karrek_film_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('643250440', '26573908', 'object/tangible/mission/quest_item/shared_kelvus_naria_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2996552062', 'B29BC17E', 'object/tangible/mission/quest_item/shared_kirkin_liawoon_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('116404538', '6F0313A', 'object/tangible/mission/quest_item/shared_kitster_banai_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1774093383', '69BE8447', 'object/tangible/mission/quest_item/shared_kormund_thrylle_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3710443198', 'DD28DEBE', 'object/tangible/mission/quest_item/shared_kritus_morven_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3576953780', 'D533FBB4', 'object/tangible/mission/quest_item/shared_kritus_morven_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536132274', 'D2C518B2', 'object/tangible/mission/quest_item/shared_kritus_morven_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3270726310', 'C2F352A6', 'object/tangible/mission/quest_item/shared_kritus_morven_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573148736', '995F2240', 'object/tangible/mission/quest_item/shared_kylantha_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437154634', '9144074A', 'object/tangible/mission/quest_item/shared_kylantha_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401487746', 'CABE9582', 'object/tangible/mission/quest_item/shared_lasha_bindari_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4147603865', 'F7376999', 'object/tangible/mission/quest_item/shared_leb_slesher_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4281093267', 'FF2C4C93', 'object/tangible/mission/quest_item/shared_leb_slesher_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4175081365', 'F8DAAF95', 'object/tangible/mission/quest_item/shared_leb_slesher_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('30504142', '1D174CE', 'object/tangible/mission/quest_item/shared_lergo_brazee_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211658393', 'FB08CE99', 'object/tangible/mission/quest_item/shared_lian_byrne_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108650645', 'F4E50895', 'object/tangible/mission/quest_item/shared_lian_byrne_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('711653844', '2A6AF9D4', 'object/tangible/mission/quest_item/shared_liane_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('577887454', '2271DCDE', 'object/tangible/mission/quest_item/shared_liane_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('629620696', '25873FD8', 'object/tangible/mission/quest_item/shared_liane_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('405736035', '182F0A63', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('271855465', '10342F69', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('398642287', '17C2CC6F', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('157053', '2657D', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696726449', '6521FDB1', 'object/tangible/mission/quest_item/shared_lob_dizz_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195800723', '47467893', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085315989', '40B09B95', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189726815', '46E9CA5F', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1324543829', '4EF2EF55', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('122267561', '749A7A9', 'object/tangible/mission/quest_item/shared_lx466_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('12534959', 'BF44AF', 'object/tangible/mission/quest_item/shared_lx466_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787453530', 'E1BFF45A', 'object/tangible/mission/quest_item/shared_mal_sikander_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267997250', 'FE647842', 'object/tangible/mission/quest_item/shared_mal_sikander_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123489242', '7E91DFDA', 'object/tangible/mission/quest_item/shared_mat_rags_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1988819664', '768AFAD0', 'object/tangible/mission/quest_item/shared_mat_rags_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903958486', '717C19D6', 'object/tangible/mission/quest_item/shared_mat_rags_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723642052', '66BCB0C4', 'object/tangible/mission/quest_item/shared_mat_rags_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3913193492', 'E93E9814', 'object/tangible/mission/quest_item/shared_megan_drlar_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1349487784', '506F8CA8', 'object/tangible/mission/quest_item/shared_melios_purl_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1469673390', '57996FAE', 'object/tangible/mission/quest_item/shared_melios_purl_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784339058', '6A5ADA72', 'object/tangible/mission/quest_item/shared_morag_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4215350829', 'FB41262D', 'object/tangible/mission/quest_item/shared_mozo_bondog_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('289927562', '1147F18A', 'object/tangible/mission/quest_item/shared_mullud_bombo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('425514112', '195CD480', 'object/tangible/mission/quest_item/shared_mullud_bombo_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722057504', '66A48320', 'object/tangible/mission/quest_item/shared_nass_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3767145747', 'E08A1513', 'object/tangible/mission/quest_item/shared_noren_krast_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3901829145', 'E8913019', 'object/tangible/mission/quest_item/shared_noren_krast_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016558879', 'EF67D31F', 'object/tangible/mission/quest_item/shared_noren_krast_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385151380', 'C9C54F94', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324545432', 'C6288998', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491310445', '947E616D', 'object/tangible/mission/quest_item/shared_oron_wintree_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2448376358', '91EF4226', 'object/tangible/mission/quest_item/shared_output_governor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007650043', '3C0F84FB', 'object/tangible/mission/quest_item/shared_oxil_sarban_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('873767409', '3414A1F1', 'object/tangible/mission/quest_item/shared_oxil_sarban_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961361819', '74E8019B', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2096309393', '7CF32491', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1798540675', '6B338D83', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q5_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('91462153', '5739A09', 'object/tangible/mission/quest_item/shared_power_regulator.iff');
INSERT INTO `object_crc_string_table` VALUES ('269215799', '100BE837', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('402459441', '17FD0B31', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036787588', '7966E984', 'object/tangible/mission/quest_item/shared_radlee_mathiss_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2266234349', '8713FDED', 'object/tangible/mission/quest_item/shared_raglith_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2060219830', '7ACC75B6', 'object/tangible/mission/quest_item/shared_rakir_banai_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794785186', '6AFA3FA2', 'object/tangible/mission/quest_item/shared_rakir_banai_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676232329', '63E94689', 'object/tangible/mission/quest_item/shared_rep_been_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('887722995', '34E993F3', 'object/tangible/mission/quest_item/shared_ric_olie_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2473963928', '9375B198', 'object/tangible/mission/quest_item/shared_rovim_minnoni_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('427703742', '197E3DBE', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('291838132', '116518B4', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2151494415', '803D330F', 'object/tangible/mission/quest_item/shared_sango_rond_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884406312', 'E7875628', 'object/tangible/mission/quest_item/shared_sayama_edosun_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020007714', 'EF9C7322', 'object/tangible/mission/quest_item/shared_sayama_edosun_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899297828', 'E86A9024', 'object/tangible/mission/quest_item/shared_sayama_edosun_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412100000', '8FC5B9A0', 'object/tangible/mission/quest_item/shared_senni_tonnika_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2279513258', '87DE9CAA', 'object/tangible/mission/quest_item/shared_senni_tonnika_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150137772', '80287FAC', 'object/tangible/mission/quest_item/shared_senni_tonnika_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3662733402', 'DA50E05A', 'object/tangible/mission/quest_item/shared_serena_fenner_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3585943126', 'D5BD2656', 'object/tangible/mission/quest_item/shared_serena_fenner_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1479422018', '582E3042', 'object/tangible/mission/quest_item/shared_serjix_arrogantus_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('748682048', '2C9FFB40', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('612687434', '2484DE4A', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3462087162', 'CE5B41FA', 'object/tangible/mission/quest_item/shared_shalera_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3650873576', 'D99BE8E8', 'object/tangible/mission/quest_item/shared_shalera_q6_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665956312', '9EE743D8', 'object/tangible/mission/quest_item/shared_sidoras_bey_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2008112320', '77B15CC0', 'object/tangible/mission/quest_item/shared_sigrix_slix_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141878730', '7FAA79CA', 'object/tangible/mission/quest_item/shared_sigrix_slix_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1411534999', '54225097', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1547269533', '5C39759D', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1924055018', '72AEBFEA', 'object/tangible/mission/quest_item/shared_singular_nak_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2058722016', '7AB59AE0', 'object/tangible/mission/quest_item/shared_singular_nak_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164733898', '810737CA', 'object/tangible/mission/quest_item/shared_slooni_jong_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('528594706', '1F81B712', 'object/tangible/mission/quest_item/shared_stella_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('396005912', '179A9218', 'object/tangible/mission/quest_item/shared_stella_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('275542302', '106C711E', 'object/tangible/mission/quest_item/shared_stella_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617025596', '9BFCA43C', 'object/tangible/mission/quest_item/shared_stoos_olko_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481422646', '93E78136', 'object/tangible/mission/quest_item/shared_stoos_olko_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484167216', '94116230', 'object/tangible/mission/quest_item/shared_stoos_olko_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3849796149', 'E5773A35', 'object/tangible/mission/quest_item/shared_surlin_rolei_q1_recruitment_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1532630144', '5B5A1480', 'object/tangible/mission/quest_item/shared_surlin_rolei_q2_camera.iff');
INSERT INTO `object_crc_string_table` VALUES ('3866569269', 'E6772A35', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_spy_report.iff');
INSERT INTO `object_crc_string_table` VALUES ('894921043', '35576953', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_stolen_info.iff');
INSERT INTO `object_crc_string_table` VALUES ('1954160177', '747A1E31', 'object/tangible/mission/quest_item/shared_szingo_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3820828760', 'E3BD3858', 'object/tangible/mission/quest_item/shared_talon_karrde_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964730964', 'EC50FE54', 'object/tangible/mission/quest_item/shared_talon_karrde_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4220540742', 'FB905746', 'object/tangible/mission/quest_item/shared_talon_karrde_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607172162', '5FCB8042', 'object/tangible/mission/quest_item/shared_tekil_barje_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1344685646', '5026464E', 'object/tangible/mission/quest_item/shared_tekil_barje_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('210706787', 'C8F2163', 'object/tangible/mission/quest_item/shared_terak_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('56813423', '362E76F', 'object/tangible/mission/quest_item/shared_terak_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085244316', '7C4A4D9C', 'object/tangible/mission/quest_item/shared_thrackan_salsolo_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('643932349', '2661A0BD', 'object/tangible/mission/quest_item/shared_throme_gormengal_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('697067185', '298C66B1', 'object/tangible/mission/quest_item/shared_throme_gormengal_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263458770', '4B4ED9D2', 'object/tangible/mission/quest_item/shared_vana_sage_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('791270203', '2F29D33B', 'object/tangible/mission/quest_item/shared_vardias_tyne_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('751474155', '2CCA95EB', 'object/tangible/mission/quest_item/shared_vhaunda_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3678523510', 'DB41D076', 'object/tangible/mission/quest_item/shared_village_defenses.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159790732', '80BBCA8C', 'object/tangible/mission/quest_item/shared_village_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('509776095', '1E6290DF', 'object/tangible/mission/quest_item/shared_vinya_maysor_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4161049668', 'F8049444', 'object/tangible/mission/quest_item/shared_vordin_sildor_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1952017154', '74596B02', 'object/tangible/mission/quest_item/shared_vrir_unglan_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2084720136', '7C424E08', 'object/tangible/mission/quest_item/shared_vrir_unglan_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3997432132', 'EE43F944', 'object/tangible/mission/quest_item/shared_vurlene_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864583246', 'E658DC4E', 'object/tangible/mission/quest_item/shared_vurlene_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3786293064', 'E1AE3F48', 'object/tangible/mission/quest_item/shared_vurlene_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1905329925', '71910705', 'object/tangible/mission/quest_item/shared_wald_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039095823', '798A220F', 'object/tangible/mission/quest_item/shared_wald_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122105097', '7E7CC109', 'object/tangible/mission/quest_item/shared_wald_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773955099', '69BC681B', 'object/tangible/mission/quest_item/shared_wald_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875516238', '6FCA1B4E', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034428377', 'B4DDB3D9', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073100212', 'F2C693B4', 'object/tangible/mission/quest_item/shared_warren_device_encryption_key.iff');
INSERT INTO `object_crc_string_table` VALUES ('751589667', '2CCC5923', 'object/tangible/mission/quest_item/shared_warren_evidence_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4158386612', 'F7DBF1B4', 'object/tangible/mission/quest_item/shared_warren_evidence_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3201734201', 'BED69639', 'object/tangible/mission/quest_item/shared_warren_evidence_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161149741', '4535BD2D', 'object/tangible/mission/quest_item/shared_warren_evidence_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348946698', '8C02150A', 'object/tangible/mission/quest_item/shared_warren_farewell_letter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1929635907', '7303E843', 'object/tangible/mission/quest_item/shared_warren_inquisitor_letter.iff');
INSERT INTO `object_crc_string_table` VALUES ('1731835743', '6739B75F', 'object/tangible/mission/quest_item/shared_warren_passkey_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3157139400', 'BC2E1FC8', 'object/tangible/mission/quest_item/shared_warren_passkey_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112742469', 'F5237845', 'object/tangible/mission/quest_item/shared_warren_passkey_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('247485265', 'EC05351', 'object/tangible/mission/quest_item/shared_warren_passkey_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273506615', '4BE82B37', 'object/tangible/mission/quest_item/shared_warren_turret_sequence.iff');
INSERT INTO `object_crc_string_table` VALUES ('961134093', '3949BE0D', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('827497223', '31529B07', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3087063788', 'B800DAEC', 'object/tangible/mission/quest_item/shared_windom_starkiller_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3120568606', 'BA00191E', 'object/tangible/mission/quest_item/shared_wuher_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2988129300', 'B21B3C14', 'object/tangible/mission/quest_item/shared_wuher_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3052265234', 'B5EDDF12', 'object/tangible/mission/quest_item/shared_wuher_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720888320', 'A22D7600', 'object/tangible/mission/quest_item/shared_wuher_q4_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('726645346', '2B4FBA62', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('614628462', '24A27C6E', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258907872', '86A432E0', 'object/tangible/mission/quest_item/shared_xalox_guul_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2168666592', '814339E0', 'object/tangible/mission/quest_item/shared_xarot_korlin_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304253162', '89581CEA', 'object/tangible/mission/quest_item/shared_xarot_korlin_q2_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3276450481', 'C34AAAB1', 'object/tangible/mission/quest_item/shared_yith_seenath_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3147538700', 'BB9BA10C', 'object/tangible/mission/quest_item/shared_zekka_thyne_q1_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1563677402', '5D33D2DA', 'object/tangible/mission/quest_item/shared_zogor_sturm_q3_needed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2808148877', 'A760F38D', 'object/tangible/mission/shared_assassin_missions_device.iff');
INSERT INTO `object_crc_string_table` VALUES ('492694456', '1D5DEBB8', 'object/tangible/mission/shared_mission_bounty_droid_probot.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438002131', '55B62BD3', 'object/tangible/mission/shared_mission_bounty_droid_seeker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3104954918', 'B911DA26', 'object/tangible/mission/shared_mission_bounty_target.iff');
INSERT INTO `object_crc_string_table` VALUES ('3784432555', 'E191DBAB', 'object/tangible/mission/shared_mission_datadisk.iff');
INSERT INTO `object_crc_string_table` VALUES ('528020933', '1F78F5C5', 'object/tangible/mission/shared_mission_informant_spawner_easy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1257863890', '4AF97AD2', 'object/tangible/mission/shared_mission_informant_spawner_hard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708162000', 'DD060FD0', 'object/tangible/mission/shared_mission_informant_spawner_medium.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165528802', '45788EE2', 'object/tangible/mission/shared_mission_recon_target.iff');
INSERT INTO `object_crc_string_table` VALUES ('1188112429', '46D1282D', 'object/tangible/mission/shared_mission_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1031761823', '3D7F6F9F', 'object/tangible/mission_bag/shared_mission_bag.iff');
INSERT INTO `object_crc_string_table` VALUES ('4070737588', 'F2A286B4', 'object/tangible/newbie_tutorial/shared_debris.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943030476', 'AF6B14CC', 'object/tangible/npc/tatooine_special/shared_sarlacc.iff');
INSERT INTO `object_crc_string_table` VALUES ('3716079022', 'DD7EDDAE', 'object/tangible/painting/shared_bestine_history_quest_painting.iff');
INSERT INTO `object_crc_string_table` VALUES ('550655936', '20D257C0', 'object/tangible/painting/shared_bestine_quest_painting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365303481', '8CFBAAB9', 'object/tangible/painting/shared_painting_agrilat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2522220824', '96560918', 'object/tangible/painting/shared_painting_armor_blueprint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092717443', '7CBC5583', 'object/tangible/painting/shared_painting_bestine_blueleaf_temple.iff');
INSERT INTO `object_crc_string_table` VALUES ('2399181727', '8F009B9F', 'object/tangible/painting/shared_painting_bestine_blumbush.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521577134', '5AB16CAE', 'object/tangible/painting/shared_painting_bestine_boffa.iff');
INSERT INTO `object_crc_string_table` VALUES ('268388150', 'FFF4736', 'object/tangible/painting/shared_painting_bestine_golden_flower_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572035489', 'D4E8EFA1', 'object/tangible/painting/shared_painting_bestine_golden_flower_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649065516', '9DE5882C', 'object/tangible/painting/shared_painting_bestine_golden_flower_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3800373299', 'E2851833', 'object/tangible/painting/shared_painting_bestine_house.iff');
INSERT INTO `object_crc_string_table` VALUES ('3652558255', 'D9B59DAF', 'object/tangible/painting/shared_painting_bestine_krayt_skeleton.iff');
INSERT INTO `object_crc_string_table` VALUES ('2981494109', 'B1B5FD5D', 'object/tangible/painting/shared_painting_bestine_lucky_despot.iff');
INSERT INTO `object_crc_string_table` VALUES ('4207518182', 'FAC9A1E6', 'object/tangible/painting/shared_painting_bestine_mattberry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1833552017', '6D49C891', 'object/tangible/painting/shared_painting_bestine_moncal_eye_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059638278', 'B65E6006', 'object/tangible/painting/shared_painting_bestine_moncal_eye_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083160615', 'F3601627', 'object/tangible/painting/shared_painting_bestine_rainbow_berry_bush.iff');
INSERT INTO `object_crc_string_table` VALUES ('1526591701', '5AFDF0D5', 'object/tangible/painting/shared_painting_bestine_raventhorn.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667929549', '9F055FCD', 'object/tangible/painting/shared_painting_bestine_ronka.iff');
INSERT INTO `object_crc_string_table` VALUES ('232377496', 'DD9CC98', 'object/tangible/painting/shared_painting_bioengineer_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('854788635', '32F30A1B', 'object/tangible/painting/shared_painting_bothan_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819466634', 'A80DA58A', 'object/tangible/painting/shared_painting_bothan_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585541648', '9A1C3C10', 'object/tangible/painting/shared_painting_bw_stormtrooper.iff');
INSERT INTO `object_crc_string_table` VALUES ('8552875', '8281AB', 'object/tangible/painting/shared_painting_cargoport.iff');
INSERT INTO `object_crc_string_table` VALUES ('105361220', '647AF44', 'object/tangible/painting/shared_painting_dance_party.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823052972', 'A8445EAC', 'object/tangible/painting/shared_painting_double_helix.iff');
INSERT INTO `object_crc_string_table` VALUES ('2843033838', 'A97540EE', 'object/tangible/painting/shared_painting_droid_bright.iff');
INSERT INTO `object_crc_string_table` VALUES ('633275539', '25BF0493', 'object/tangible/painting/shared_painting_endor_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258475485', 'FDD32DDD', 'object/tangible/painting/shared_painting_fighter_pilot_human_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144090584', 'BB6703D8', 'object/tangible/painting/shared_painting_food_baking_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1617996623', '6070AB4F', 'object/tangible/painting/shared_painting_food_baking_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648739651', 'D97B5943', 'object/tangible/painting/shared_painting_freedom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2218996276', '84433234', 'object/tangible/painting/shared_painting_han_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589238977', 'D5EF70C1', 'object/tangible/painting/shared_painting_human_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814671481', '6C29B079', 'object/tangible/painting/shared_painting_kite_plant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845142344', 'E5303748', 'object/tangible/painting/shared_painting_leia_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125814305', '431A9021', 'object/tangible/painting/shared_painting_luke_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('4178650060', 'F91123CC', 'object/tangible/painting/shared_painting_nebula_flower.iff');
INSERT INTO `object_crc_string_table` VALUES ('1851630183', '6E5DA267', 'object/tangible/painting/shared_painting_palowick_ad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3041528560', 'B54A0AF0', 'object/tangible/painting/shared_painting_palowick_ad_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4232539517', 'FC476D7D', 'object/tangible/painting/shared_painting_palowick_ad_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('128206441', '7A44669', 'object/tangible/painting/shared_painting_palowick_ad_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1235349261', '49A1EF0D', 'object/tangible/painting/shared_painting_planet_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2426371029', '909F7BD5', 'object/tangible/painting/shared_painting_rodian_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837717304', 'E4BEEB38', 'object/tangible/painting/shared_painting_rodian_f_ad_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('174183492', 'A61D444', 'object/tangible/painting/shared_painting_rodian_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1382937840', '526DF4F0', 'object/tangible/painting/shared_painting_schematic_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('648855104', '26ACBE40', 'object/tangible/painting/shared_painting_schematic_transport_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('2579175131', '99BB16DB', 'object/tangible/painting/shared_painting_schematic_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('716865001', '2ABA7DE9', 'object/tangible/painting/shared_painting_schematic_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253954885', 'FD8E3345', 'object/tangible/painting/shared_painting_skyscraper.iff');
INSERT INTO `object_crc_string_table` VALUES ('200259882', 'BEFB92A', 'object/tangible/painting/shared_painting_smoking_ad.iff');
INSERT INTO `object_crc_string_table` VALUES ('2644531826', '9DA05A72', 'object/tangible/painting/shared_painting_starmap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441069764', '917FC4C4', 'object/tangible/painting/shared_painting_tato_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788669904', '6A9CEFD0', 'object/tangible/painting/shared_painting_tato_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110008393', 'F4F9C049', 'object/tangible/painting/shared_painting_teras_kasi.iff');
INSERT INTO `object_crc_string_table` VALUES ('956503088', '39031430', 'object/tangible/painting/shared_painting_teras_kasi_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913821862', 'ADAD64A6', 'object/tangible/painting/shared_painting_trandoshan_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179174055', '4648C4A7', 'object/tangible/painting/shared_painting_trandoshan_m_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605402564', 'D6E613C4', 'object/tangible/painting/shared_painting_trandoshan_wanted.iff');
INSERT INTO `object_crc_string_table` VALUES ('3334758805', 'C6C46195', 'object/tangible/painting/shared_painting_tree.iff');
INSERT INTO `object_crc_string_table` VALUES ('1783509906', '6A4E3392', 'object/tangible/painting/shared_painting_trees_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1175481538', '46106CC2', 'object/tangible/painting/shared_painting_twilek_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('380699826', '16B104B2', 'object/tangible/painting/shared_painting_twilek_f_lg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3450252325', 'CDA6AC25', 'object/tangible/painting/shared_painting_twilek_f_lg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2225851304', '84ABCBA8', 'object/tangible/painting/shared_painting_twilek_f_lg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2135482556', '7F48E0BC', 'object/tangible/painting/shared_painting_twilek_f_lg_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456145212', 'CE00973C', 'object/tangible/painting/shared_painting_twilek_f_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('353845163', '15173FAB', 'object/tangible/painting/shared_painting_twilek_f_sm_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1545230374', '5C1A5826', 'object/tangible/painting/shared_painting_twilek_f_sm_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2818143026', 'A7F97332', 'object/tangible/painting/shared_painting_twilek_f_sm_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3706635091', 'DCEEC353', 'object/tangible/painting/shared_painting_twilek_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566316574', 'D491AC1E', 'object/tangible/painting/shared_painting_vader_victory.iff');
INSERT INTO `object_crc_string_table` VALUES ('2895682928', 'AC989D70', 'object/tangible/painting/shared_painting_valley_view.iff');
INSERT INTO `object_crc_string_table` VALUES ('2421149115', '904FCDBB', 'object/tangible/painting/shared_painting_victorious_reign.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064843162', 'F248959A', 'object/tangible/painting/shared_painting_waterfall.iff');
INSERT INTO `object_crc_string_table` VALUES ('3402224478', 'CAC9D35E', 'object/tangible/painting/shared_painting_wookiee_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345813711', '50377CCF', 'object/tangible/painting/shared_painting_wookiee_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2622418438', '9C4EEE06', 'object/tangible/painting/shared_painting_zabrak_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('112214423', '6B04197', 'object/tangible/painting/shared_painting_zabrak_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('1639031767', '61B1A3D7', 'object/tangible/parrot_cage/shared_parrot_cage.iff');
INSERT INTO `object_crc_string_table` VALUES ('60452333', '39A6DED', 'object/tangible/planet_map_location/shared_map_location_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2572869140', '995ADE14', 'object/tangible/poi/base/shared_poi_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('165055566', '9D68C4E', 'object/tangible/poi/base/shared_poi_base_nosnap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2911833522', 'AD8F0DB2', 'object/tangible/poi/object/shared_droid_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288485184', 'FF9D1740', 'object/tangible/poi/object/shared_droid_head.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900653287', 'ACE474E7', 'object/tangible/powerup/base/shared_armor_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('486380582', '1CFD9426', 'object/tangible/powerup/base/shared_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015299597', '3C843E0D', 'object/tangible/powerup/base/shared_weapon_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3511795045', 'D151BD65', 'object/tangible/powerup/weapon/fs_quest_sad/shared_melee_speed_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('717357125', '2AC20045', 'object/tangible/powerup/weapon/shared_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636293712', '6187DC50', 'object/tangible/powerup/weapon/shared_melee.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375892401', '520273B1', 'object/tangible/powerup/weapon/shared_melee_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1890042255', '70A7C18F', 'object/tangible/powerup/weapon/shared_melee_lightsaber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2304219525', '89579985', 'object/tangible/powerup/weapon/shared_mine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665923080', 'DA818C08', 'object/tangible/powerup/weapon/shared_mine_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637218728', '6195F9A8', 'object/tangible/powerup/weapon/shared_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('137262486', '82E7596', 'object/tangible/powerup/weapon/shared_ranged_barrel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1312422379', '4E39F9EB', 'object/tangible/powerup/weapon/shared_ranged_grip.iff');
INSERT INTO `object_crc_string_table` VALUES ('555906025', '212273E9', 'object/tangible/powerup/weapon/shared_ranged_muzzle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622710306', '60B89822', 'object/tangible/powerup/weapon/shared_ranged_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758199555', 'E0019303', 'object/tangible/powerup/weapon/shared_ranged_scope.iff');
INSERT INTO `object_crc_string_table` VALUES ('2739120425', 'A343A929', 'object/tangible/powerup/weapon/shared_ranged_stock.iff');
INSERT INTO `object_crc_string_table` VALUES ('540983335', '203EC027', 'object/tangible/powerup/weapon/shared_thrown.iff');
INSERT INTO `object_crc_string_table` VALUES ('2781934180', 'A5D0F264', 'object/tangible/powerup/weapon/shared_thrown_explosive.iff');
INSERT INTO `object_crc_string_table` VALUES ('569969360', '21F90AD0', 'object/tangible/powerup/weapon/shared_thrown_wiring.iff');
INSERT INTO `object_crc_string_table` VALUES ('1627417847', '61006CF7', 'object/tangible/recycler/shared_chemical_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601090218', '9B097CAA', 'object/tangible/recycler/shared_creature_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('372626307', '1635D383', 'object/tangible/recycler/shared_flora_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('860237131', '33462D4B', 'object/tangible/recycler/shared_metal_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105541227', 'F4B5966B', 'object/tangible/recycler/shared_ore_recycler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3641759801', 'D910D839', 'object/tangible/region/shared_battlefield_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2066164498', '7B272B12', 'object/tangible/region/shared_deliver_region_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('316591900', '12DECF1C', 'object/tangible/region/shared_deliver_region_15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449082010', '565F3C9A', 'object/tangible/region/shared_deliver_region_20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1067899028', '3FA6D894', 'object/tangible/region/shared_deliver_region_25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1299657186', '4D7731E2', 'object/tangible/region/shared_deliver_region_30.iff');
INSERT INTO `object_crc_string_table` VALUES ('3353678877', 'C7E5141D', 'object/tangible/region/shared_deliver_region_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2196629790', '82EDE91E', 'object/tangible/scout/camokit/shared_camokit_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('1054553582', '3EDB35EE', 'object/tangible/scout/camokit/shared_camokit_dantooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('372534846', '16346E3E', 'object/tangible/scout/camokit/shared_camokit_dathomir.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201297332', '833521B4', 'object/tangible/scout/camokit/shared_camokit_endor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3919662514', 'E9A14DB2', 'object/tangible/scout/camokit/shared_camokit_lok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097832374', '416F97B6', 'object/tangible/scout/camokit/shared_camokit_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2868366256', 'AAF7CBB0', 'object/tangible/scout/camokit/shared_camokit_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('1480450460', '583DE19C', 'object/tangible/scout/camokit/shared_camokit_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('3199109249', 'BEAE8881', 'object/tangible/scout/camokit/shared_camokit_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119412885', '42B8E295', 'object/tangible/scout/camokit/shared_camokit_yavin.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292354861', '4D07C52D', 'object/tangible/scout/camp/shared_camp_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3731836900', 'DE6F4FE4', 'object/tangible/scout/camp/shared_camp_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831120800', 'A8BF79A0', 'object/tangible/scout/camp/shared_camp_improved.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082864410', '408B331A', 'object/tangible/scout/camp/shared_camp_luxury.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695464329', '650EBB89', 'object/tangible/scout/camp/shared_camp_multi.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484724123', 'CFB4AB9B', 'object/tangible/scout/camp/shared_camp_quality.iff');
INSERT INTO `object_crc_string_table` VALUES ('705221769', '2A08D489', 'object/tangible/scout/trap/shared_trap_drowsy_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897339231', 'E84CAD5F', 'object/tangible/scout/trap/shared_trap_enraging_spur.iff');
INSERT INTO `object_crc_string_table` VALUES ('708754512', '2A3EBC50', 'object/tangible/scout/trap/shared_trap_flash_bomb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3084221929', 'B7D57DE9', 'object/tangible/scout/trap/shared_trap_melee_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453088617', 'CDD1F369', 'object/tangible/scout/trap/shared_trap_melee_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133223247', 'BAC1314F', 'object/tangible/scout/trap/shared_trap_noise_maker.iff');
INSERT INTO `object_crc_string_table` VALUES ('46866220', '2CB1F2C', 'object/tangible/scout/trap/shared_trap_ranged_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2460580704', '92A97B60', 'object/tangible/scout/trap/shared_trap_ranged_speed_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605514682', 'D6E7C9BA', 'object/tangible/scout/trap/shared_trap_sonic_pulse.iff');
INSERT INTO `object_crc_string_table` VALUES ('750361076', '2CB999F4', 'object/tangible/scout/trap/shared_trap_state_def_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472376515', '935D78C3', 'object/tangible/scout/trap/shared_trap_tranq_dart.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441092972', 'CD1AE96C', 'object/tangible/scout/trap/shared_trap_webber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1517850046', '5A788DBE', 'object/tangible/ship/attachment/base/shared_base_ship_attachment.iff');
INSERT INTO `object_crc_string_table` VALUES ('3697647717', 'DC65A065', 'object/tangible/ship/attachment/booster/shared_awing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('124913906', '77208F2', 'object/tangible/ship/attachment/booster/shared_awing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140859891', 'F6D081F3', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('768026980', '2DC72964', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1906842921', '71A81D29', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864690622', 'AABFB5BE', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('763756187', '2D85FE9B', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136785420', 'F692560C', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2523851270', '966EEA06', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1299792529', '4D794291', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076367365', '7BC2DA05', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2698343058', 'A0D57292', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708999938', 'A1780F02', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054137749', '7A6FA795', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('637572056', '260093D8', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246158159', 'FD173B4F', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822843033', 'E3DBF499', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('952917006', '38CC5C0E', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2347949328', '8BF2DD10', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357215111', '50E57587', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1074005343', '4004055F', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('21603316', '149A3F4', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_neg.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131148464', '7F06BEB0', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_pos.iff');
INSERT INTO `object_crc_string_table` VALUES ('2601758152', '9B13ADC8', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('327762153', '138940E9', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_neg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1841716653', '6DC65DAD', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_pos.iff');
INSERT INTO `object_crc_string_table` VALUES ('17645535', '10D3FDF', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659175752', 'DA1A9748', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1920544323', '72792E43', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2842592980', 'A96E86D4', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243807251', '85BDC813', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1588224132', '5EAA6084', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2678287878', '9FA36E06', 'object/tangible/ship/attachment/booster/shared_z95_booster_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1152698001', '44B4C691', 'object/tangible/ship/attachment/booster/shared_z95_booster_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1389700188', '52D5245C', 'object/tangible/ship/attachment/bridge/shared_star_destroyer_bridge.iff');
INSERT INTO `object_crc_string_table` VALUES ('4185031918', 'F97284EE', 'object/tangible/ship/attachment/engine/shared_awing_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('577055865', '22652C79', 'object/tangible/ship/attachment/engine/shared_awing_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1430717714', '55470512', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2387651973', '8E50AD85', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826438901', 'A87808F5', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936695394', '736FA062', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775195131', 'A56A1DFB', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122167660', '7E7DB56C', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775913620', 'A5751494', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2120399875', '7E62BC03', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1116177012', '42878274', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2576362211', '99902AE3', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1064155476', '3F6DB954', 'object/tangible/ship/attachment/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054741017', '7A78DC19', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708436110', 'A16F748E', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2269630974', '8747D1FE', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548777833', '5C507969', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('987700646', '3ADF1DA6', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3788027185', 'E1C8B531', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1758759963', '68D48C1B', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015910540', 'B3C3248C', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('557699423', '213DD15F', 'object/tangible/ship/attachment/engine/shared_tie_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1078468437', '40481F55', 'object/tangible/ship/attachment/engine/shared_tieadvanced_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073386065', 'F2CAF051', 'object/tangible/ship/attachment/engine/shared_tiebomber_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3973162809', 'ECD1A739', 'object/tangible/ship/attachment/engine/shared_tieinterceptor_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648736552', 'D97B4D28', 'object/tangible/ship/attachment/engine/shared_tieoppressor_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1476333721', '57FF1099', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2364061710', '8CE8B80E', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3320176515', 'C5E5DF83', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116130746', 'F5572BBA', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('775979821', '2E40832D', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733158048', '674DE4A0', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('332197254', '13CCED86', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3369813265', 'C8DB4511', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3573306455', 'D4FC5457', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('267123904', 'FEBFCC0', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('281820240', '10CC3C50', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3420165319', 'CBDB94C7', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645704367', '9DB23EAF', 'object/tangible/ship/attachment/engine/shared_z95_engine_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185257016', '46A59638', 'object/tangible/ship/attachment/engine/shared_z95_engine_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1810673938', '6BECB112', 'object/tangible/ship/attachment/hangar/shared_star_destroyer_hangar.iff');
INSERT INTO `object_crc_string_table` VALUES ('2069937842', '7B60BEB2', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2692159013', 'A0771625', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2582989929', '99F54C69', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1122166014', '42E2E4FE', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551073047', 'D3A91317', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('146717568', '8BEBB80', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102306317', '41B3DC0D', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125868313', 'BA50F719', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082995348', 'F35D9094', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('675952643', '284A3803', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822706074', 'A83F139A', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932049165', '7328BB0D', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3725694028', 'DE11944C', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('84294875', '5063CDB', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1275812694', '4C0B5B56', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3085463618', 'B7E87042', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4276426703', 'FEE517CF', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('636665688', '25F2BF58', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3436279633', 'CCD17751', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('398909382', '17C6DFC6', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1590409291', '5ECBB84B', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2770899807', 'A528935F', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961910482', 'EC25F4D2', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('926047301', '37325C45', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1053941047', '3ED1DD37', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854988704', 'E5C675A0', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898989613', 'ACCB122D', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1462253881', '57283939', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('505765556', '1E255EB4', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308451363', 'C532F623', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3382429692', 'C99BC7FC', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('311193451', '128C6F6B', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1535183078', '5B8108E6', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2690786290', 'A06223F2', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916383359', 'E96F447F', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('846785768', '3278ECE8', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('88180936', '54188C8', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730186335', 'DE56205F', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539341778', '975B47D2', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1824025798', '6CB86CC6', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('394357717', '17816BD5', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432432450', 'CC96C342', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2241569999', '859BA4CF', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121830363', '7E788FDB', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('930474070', '3775E856', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3965862081', 'EC6240C1', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110287443', '422DA453', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570718404', '993A0CC4', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493292873', 'D0376B49', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('735330397', '2BD4405D', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1658398672', '62D927D0', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3117322055', 'B9CE8F47', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899597756', 'E86F23BC', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('863537963', '33788B2B', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054548646', '7A75ECA6', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174142386', '8196C7B2', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3365642303', 'C89BA03F', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('327944360', '138C08A8', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1542061422', '5BE9FD6E', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164151801', '80FE55F9', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3388158580', 'C9F33274', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('839915872', '32101960', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065530605', '7B1D7EED', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685064826', 'A00AD67A', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2733501736', 'A2EDED28', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046444991', '79FA45BF', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('821502514', '30F72232', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407087910', 'CB140926', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182704811', '82196EAB', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494140476', '590EC63C', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889933396', '70A61854', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_large_base_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900942561', 'ACE8DEE1', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3695025010', 'DC3D9B72', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014065489', '780C3351', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_small_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3839453665', 'E4D969E1', 'object/tangible/ship/attachment/weapon/shared_decimator_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160314161', '80C3C731', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540648870', '5BD46FA6', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2582307984', '99EAE490', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123896327', '42FD4C07', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('200289162', 'BF02B8A', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027777182', 'F013009E', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105777427', 'B91E6713', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644810116', '6209CF84', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2334787469', '8B2A078D', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346219802', '503DAF1A', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('422627479', '1930C897', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3805537155', 'E2D3E383', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2883486734', 'ABDE840E', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892232345', '70C92C99', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2032840171', '792AADEB', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721908092', 'A23D057C', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3945816817', 'EB3062F1', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('282282469', '10D349E5', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507733096', '59DE2E68', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194245375', '82C986FF', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452909818', 'CDCF38FA', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('383291501', '16D8906D', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607858144', '5FD5F7E0', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2755058932', 'A436DCF4', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3980114809', 'ED3BBB79', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('908858350', '362C13EE', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572528314', 'D4F074BA', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('266853421', 'FE7DC2D', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189788576', '46EABBA0', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3171520692', 'BD0990B4', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4093966137', 'F404F739', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('789798830', '2F135FAE', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3325073319', 'C63097A7', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('489111344', '1D273F30', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1412061373', '542A58BD', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2949215145', 'AFC973A9', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3871609892', 'E6C41424', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037286579', '3DD3BCB3', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1577369987', '5E04C183', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turret_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('3326093060', 'C6402704', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_nose.iff');
INSERT INTO `object_crc_string_table` VALUES ('3373578911', 'C914BA9F', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_wing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1950093783', '743C11D7', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938878272', 'AF2BB940', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861307085', 'E626DECD', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('499512793', '1DC5F5D9', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1422430804', '54C89254', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2413771459', '8FDF3AC3', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727853258', '66FCF2CA', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3186317917', 'BDEB5A5D', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4108729808', 'F4E63DD0', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('251991748', 'F0516C4', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1174958409', '46087149', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2636110302', '9D1FD9DE', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3734921862', 'DE9E6286', 'object/tangible/ship/attachment/weapon/shared_lambda_turret.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035694359', 'B4F10517', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('1662183130', '6312E6DA', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3760357625', 'E02280F9', 'object/tangible/ship/attachment/weapon/shared_merchant_cruiser_medium_turret_base_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('570224584', '21FCEFC8', 'object/tangible/ship/attachment/weapon/shared_rebel_gunboat_turretbase_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('355284595', '152D3673', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('1506898161', '59D170F1', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_nose.iff');
INSERT INTO `object_crc_string_table` VALUES ('915217099', '368D1ACB', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3986338396', 'ED9AB25C', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674417340', '9F685EBC', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149236779', '447FF62B', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094834880', 'F41238C0', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_mini_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546418414', '97C742EE', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1452946959', '569A360F', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3194550652', 'BE68F97C', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688925698', '64AAF602', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_gun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727578906', '66F8C31A', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812655611', 'A7A5B7FB', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659818969', 'DA2467D9', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2468937812', '93290054', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('199090154', 'BDDDFEA', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1120974951', '42D0B867', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('889040094', '34FDACDE', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112932691', '7DF0CB53', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842249965', 'E50414ED', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886300512', 'AC097360', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105944395', 'B920F34B', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('4029519046', 'F02D94C6', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1759071096', '68D94B78', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('567553269', '21D42CF5', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('663626601', '278E2369', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1854096612', '6E8344E4', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488294569', 'CFEB26A9', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2263236900', '86E64124', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2159824568', '80BC4EB8', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3383830837', 'C9B12935', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363539595', '5145F68B', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('407408902', '18489106', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475950668', '57F9384C', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('519331777', '1EF45FC1', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2248179839', '8600807F', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473795058', 'CF0DE7F2', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3377981550', 'C957E86E', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153418723', '805A8FE3', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('556985774', '2132EDAE', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1748994595', '683F8A23', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1852147135', '6E6585BF', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('661185074', '2768E232', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214687628', 'BF9C3D8C', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136720897', 'F6915A01', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673279850', 'DAF1CD6A', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482809575', '93FCAAE7', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('185103705', 'B087559', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1107628756', '420512D4', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1147084104', '445F1D48', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('223509189', 'D527AC5', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889488520', 'AC3A1888', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845619461', 'E5377F05', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3815600281', 'E36D7099', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858424084', 'AA601714', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('848611498', '3294C8AA', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2073669415', '7B99AF27', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('875038317', '3428066D', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2099601888', '7D2561E0', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855728222', 'E5D1BE5E', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900154835', 'ACDCD9D3', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2860963407', 'AA86D64F', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3817583042', 'E38BB1C2', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1122227087', '42E3D38F', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('200193026', 'BEEB402', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('229948318', 'DB4BB9E', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153031187', '44B9DC13', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696034733', 'DC4D03AD', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('2504025120', '95406420', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090999089', 'F3D7B131', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('683678118', '28C019A6', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208980716', '480F94EC', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231136595', 'FC320553', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('656780740', '2725ADC4', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('665280141', '27A75E8D', 'object/tangible/ship/attachment/weapon/shared_yt1300_radar_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('3561577094', 'D4495A86', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('257880593', 'F5EF211', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4197394562', 'FA2F2882', 'object/tangible/ship/attachment/weapon/shared_yt1300_weapon_s01_0.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375635014', '51FE8646', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330537681', '8AE92ED1', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286518108', 'C3E4495C', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('940008008', '38076248', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1896482245', '710A05C5', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854071634', 'AA1DAD52', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1128162651', '433E655B', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2552876492', '9829CDCC', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508841025', 'D124AA41', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('717717845', '2AC78155', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1674241752', '63CAE6D8', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3101511247', 'B8DD4E4F', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2956556787', 'B03979F3', 'object/tangible/ship/attachment/weapon/shared_z95_missile.iff');
INSERT INTO `object_crc_string_table` VALUES ('238417246', 'E35F55E', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3575799241', 'D5225DC9', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2620340804', '9C2F3A44', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1741427024', '67CC1150', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('784430813', '2EC176DD', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('4124499530', 'F5D6DE4A', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4014332398', 'EF45D9EE', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('877818233', '34527179', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568766163', '5D8178D3', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2258030660', '8696D044', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598757540', 'D680AEA4', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('228001331', 'D970633', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1161389128', '45396448', 'object/tangible/ship/attachment/wing/shared_bwing_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('110478371', '695C423', 'object/tangible/ship/attachment/wing/shared_bwing_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983938992', '764081B0', 'object/tangible/ship/attachment/wing/shared_bwing_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822483285', 'A83BAD55', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1932264898', '732C05C2', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('452922472', '1AFF0C68', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3253249279', 'C1E8A4FF', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184525270', '823535D6', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1495440705', '59229D41', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3713063710', 'DD50DB1E', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('105345929', '6477389', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2459214995', '9294A493', 'object/tangible/ship/attachment/wing/shared_lambda_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3795968256', 'E241E100', 'object/tangible/ship/attachment/wing/shared_lambda_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('12581699', 'BFFB43', 'object/tangible/ship/attachment/wing/shared_xwing_wing_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2719465568', 'A217C060', 'object/tangible/ship/attachment/wing/shared_xwing_wing_pos_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014828629', 'B3B2A255', 'object/tangible/ship/components/armor/shared_arm_corellian_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2711392870', 'A19C9266', 'object/tangible/ship/components/armor/shared_arm_corellian_cheap_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457378842', '56DDD61A', 'object/tangible/ship/components/armor/shared_arm_corellian_elite_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170685241', 'F8979B39', 'object/tangible/ship/components/armor/shared_arm_corellian_enhanced_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('912895666', '3669AEB2', 'object/tangible/ship/components/armor/shared_arm_corellian_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3145007708', 'BB75025C', 'object/tangible/ship/components/armor/shared_arm_corellian_improved_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1182016930', '467425A2', 'object/tangible/ship/components/armor/shared_arm_corellian_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4076917946', 'F300D4BA', 'object/tangible/ship/components/armor/shared_arm_corellian_modified_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2793909249', 'A687AC01', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('792770319', '2F40B70F', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131875437', 'BAACA06D', 'object/tangible/ship/components/armor/shared_arm_corellian_special_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484547864', '94173118', 'object/tangible/ship/components/armor/shared_arm_corellian_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245469229', 'C171EE2D', 'object/tangible/ship/components/armor/shared_arm_corellian_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417515644', '90185C7C', 'object/tangible/ship/components/armor/shared_arm_cygnus_light_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396020444', '533594DC', 'object/tangible/ship/components/armor/shared_arm_cygnus_standard_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('203726257', 'C249DB1', 'object/tangible/ship/components/armor/shared_arm_freitek_deluxe_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109511404', '4221CCEC', 'object/tangible/ship/components/armor/shared_arm_freitek_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('39221168', '25677B0', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644972839', 'D941DF27', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622491618', '60B541E2', 'object/tangible/ship/components/armor/shared_arm_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1227421656', '4928F7D8', 'object/tangible/ship/components/armor/shared_arm_incom_light_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366385613', '8D0C2DCD', 'object/tangible/ship/components/armor/shared_arm_incom_modified_standard_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('641382819', '263AB9A3', 'object/tangible/ship/components/armor/shared_arm_incom_standard_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1625601979', '60E4B7BB', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_rendili_crystalline_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348661069', 'C798834D', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sds_imperial_impervious.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099045901', '41821C0D', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176245510', 'F8EC7306', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_mandal_corrugated_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3545922834', 'D35A7D12', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_slayn_flexsteel_multilayer.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672663550', '63B2D1FE', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_sorosuub_spidershell_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('828530711', '31626017', 'object/tangible/ship/components/armor/shared_arm_koensayr_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1171221751', '45CF6CF7', 'object/tangible/ship/components/armor/shared_arm_koensayr_b5_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460991428', 'CE4A89C4', 'object/tangible/ship/components/armor/shared_arm_koensayr_b9_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2857270890', 'AA4E7E6A', 'object/tangible/ship/components/armor/shared_arm_koensayr_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3973535465', 'ECD756E9', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('935608310', '37C43FF6', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092389644', '411C8B0C', 'object/tangible/ship/components/armor/shared_arm_koensayr_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296134538', '88DC3B8A', 'object/tangible/ship/components/armor/shared_arm_koensayr_improved_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035628527', '3DBA6FEF', 'object/tangible/ship/components/armor/shared_arm_koensayr_light_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917985380', 'ADECEC64', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2534423202', '97103AA2', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('167045731', '9F4EA63', 'object/tangible/ship/components/armor/shared_arm_koensayr_promotional_b9_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('258640314', 'F6A89BA', 'object/tangible/ship/components/armor/shared_arm_koensayr_reinforced_b5_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1378987090', '5231AC52', 'object/tangible/ship/components/armor/shared_arm_koensayr_special_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('382202714', '16C7F35A', 'object/tangible/ship/components/armor/shared_arm_koensayr_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438984098', '55C527A2', 'object/tangible/ship/components/armor/shared_arm_koensayr_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3772847383', 'E0E11517', 'object/tangible/ship/components/armor/shared_arm_koensayr_thick_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('987276877', '3AD8A64D', 'object/tangible/ship/components/armor/shared_arm_kse_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637845243', '9D3A52FB', 'object/tangible/ship/components/armor/shared_arm_kse_customized_advanced_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3918028246', 'E9885DD6', 'object/tangible/ship/components/armor/shared_arm_kse_elite_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2302420350', '893C257E', 'object/tangible/ship/components/armor/shared_arm_kse_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2472601379', '9360E723', 'object/tangible/ship/components/armor/shared_arm_kse_intermediate_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('754583097', '2CFA0639', 'object/tangible/ship/components/armor/shared_arm_kse_limited_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('759538289', '2D45A271', 'object/tangible/ship/components/armor/shared_arm_kse_modified_heavy_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1566058849', '5D582961', 'object/tangible/ship/components/armor/shared_arm_kse_modified_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2288993339', '886F443B', 'object/tangible/ship/components/armor/shared_arm_kse_modified_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('494744832', '1D7D3500', 'object/tangible/ship/components/armor/shared_arm_kse_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('706111172', '2A1666C4', 'object/tangible/ship/components/armor/shared_arm_kse_supreme_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688248880', '64A0A230', 'object/tangible/ship/components/armor/shared_arm_mandal_advanced_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2614891769', '9BDC14F9', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j5.iff');
INSERT INTO `object_crc_string_table` VALUES ('164027363', '9C6DBE3', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2443269363', '91A154F3', 'object/tangible/ship/components/armor/shared_arm_mandal_custom_heavy_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4187492746', 'F998118A', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1803738768', '6B82DE90', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556935456', '9867BD20', 'object/tangible/ship/components/armor/shared_arm_mandal_double_plated_composite_j7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2373681857', '8D7B82C1', 'object/tangible/ship/components/armor/shared_arm_mandal_elite_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466373688', '57671638', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_elite_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('936603280', '37D36E90', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_heavy_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989830249', 'EDCFFA69', 'object/tangible/ship/components/armor/shared_arm_mandal_heavy_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('156429997', '952EEAD', 'object/tangible/ship/components/armor/shared_arm_mandal_insulated_i7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2798415892', 'A6CC7014', 'object/tangible/ship/components/armor/shared_arm_mandal_modified_supreme_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2535453726', '971FF41E', 'object/tangible/ship/components/armor/shared_arm_mandal_modifier_composite_j5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155179627', 'BC10386B', 'object/tangible/ship/components/armor/shared_arm_mandal_reinforced_advanced_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572993151', 'D4F78C7F', 'object/tangible/ship/components/armor/shared_arm_mandal_supreme_composite.iff');
INSERT INTO `object_crc_string_table` VALUES ('8094392', '7B82B8', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_rss_special_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133915377', 'BACBC0F1', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_sfs_light_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('250102310', 'EE84226', 'object/tangible/ship/components/armor/shared_arm_mission_reward_neutral_kse_handcrafted.iff');
INSERT INTO `object_crc_string_table` VALUES ('935409503', '37C1375F', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_corellian_triplate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2559663629', '98915E0D', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_incom_ultralight.iff');
INSERT INTO `object_crc_string_table` VALUES ('109261874', '6833432', 'object/tangible/ship/components/armor/shared_arm_moncal_advanced_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3758987303', 'E00D9827', 'object/tangible/ship/components/armor/shared_arm_moncal_elite_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2065607228', '7B1EAA3C', 'object/tangible/ship/components/armor/shared_arm_moncal_improved_light_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3053787299', 'B60518A3', 'object/tangible/ship/components/armor/shared_arm_moncal_light_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1882172430', '702FAC0E', 'object/tangible/ship/components/armor/shared_arm_moncal_supreme_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2845706811', 'A99E0A3B', 'object/tangible/ship/components/armor/shared_arm_prototype_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3837917885', 'E4C1FABD', 'object/tangible/ship/components/armor/shared_arm_rendili_tough_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('558663557', '214C8785', 'object/tangible/ship/components/armor/shared_arm_reward_alderaan_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('161167635', '99B3913', 'object/tangible/ship/components/armor/shared_arm_reward_baktoid_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('554262569', '21096029', 'object/tangible/ship/components/armor/shared_arm_reward_freitek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('648039775', '26A04D5F', 'object/tangible/ship/components/armor/shared_arm_reward_mandal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2577499173', '99A18425', 'object/tangible/ship/components/armor/shared_arm_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260614501', 'C2590765', 'object/tangible/ship/components/armor/shared_arm_rss_light_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088171955', 'F3AC8DB3', 'object/tangible/ship/components/armor/shared_arm_sds_triplate_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3164042253', 'BC97740D', 'object/tangible/ship/components/armor/shared_arm_sfs_enhanced_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705716466', '65AB2AF2', 'object/tangible/ship/components/armor/shared_arm_sfs_light_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2872638243', 'AB38FB23', 'object/tangible/ship/components/armor/shared_arm_sfs_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2741880354', 'A36DC622', 'object/tangible/ship/components/armor/shared_arm_slayn_tech_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('3788237472', 'E1CBEAA0', 'object/tangible/ship/components/armor/shared_arm_sorosuub_advanced_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256777864', 'FDB94688', 'object/tangible/ship/components/armor/shared_arm_sorosuub_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1781793436', '6A34029C', 'object/tangible/ship/components/armor/shared_arm_sorosuub_enhanced_advanced_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255073600', '4ACEE740', 'object/tangible/ship/components/armor/shared_arm_sorosuub_heavy_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3554465146', 'D3DCD57A', 'object/tangible/ship/components/armor/shared_arm_sorosuub_improved_light_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('293552888', '117F42F8', 'object/tangible/ship/components/armor/shared_arm_sorosuub_intemediate_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015832844', 'B3C1F50C', 'object/tangible/ship/components/armor/shared_arm_sorosuub_modified_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255439223', '866F4577', 'object/tangible/ship/components/armor/shared_arm_sorosuub_special_intermediate_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3054433644', 'B60EF56C', 'object/tangible/ship/components/armor/shared_arm_subpro_advanced_plasisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('762200952', '2D6E4378', 'object/tangible/ship/components/armor/shared_arm_subpro_bargain_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('557901816', '2140E7F8', 'object/tangible/ship/components/armor/shared_arm_subpro_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1248323519', '4A67E7BF', 'object/tangible/ship/components/armor/shared_arm_subpro_enhanced_supreme_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166232467', '811E1593', 'object/tangible/ship/components/armor/shared_arm_subpro_experimental_advanced_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2520204848', '96374630', 'object/tangible/ship/components/armor/shared_arm_subpro_heavy_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1038537255', '3DE6D227', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_light_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581165137', '5E3EAA51', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_standard_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268555312', '87376830', 'object/tangible/ship/components/armor/shared_arm_subpro_limited_heavy_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116799240', 'F5615F08', 'object/tangible/ship/components/armor/shared_arm_subpro_special_elite_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('601305947', '23D7335B', 'object/tangible/ship/components/armor/shared_arm_subpro_standard_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('142850797', '883BAED', 'object/tangible/ship/components/armor/shared_arm_subpro_supreme_plastisteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192065844', 'BE430F34', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502209132', 'D0BF786C', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_weave.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941453089', 'AF530321', 'object/tangible/ship/components/armor/shared_armor_baktoid_mtt_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893359892', 'AC752B14', 'object/tangible/ship/components/armor/shared_armor_baktoid_shock_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3860828257', 'E61F9061', 'object/tangible/ship/components/armor/shared_armor_baktoid_spider_shell_g2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2157390663', '80972B47', 'object/tangible/ship/components/armor/shared_armor_freitek_es4_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2136590551', '7F59C8D7', 'object/tangible/ship/components/armor/shared_armor_freitek_ew6_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('189197792', 'B46EDE0', 'object/tangible/ship/components/armor/shared_armor_mandal_composite_j14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126398315', '7EBE436B', 'object/tangible/ship/components/armor/shared_armor_mandal_insulated_i5.iff');
INSERT INTO `object_crc_string_table` VALUES ('502029625', '1DEC5D39', 'object/tangible/ship/components/armor/shared_armor_seinar_coated_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1304001760', '4DB97CE0', 'object/tangible/ship/components/armor/shared_armor_seinar_enhanced_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835323687', 'A8FF9B27', 'object/tangible/ship/components/armor/shared_armor_subpro_corrugated_durasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3103851668', 'B9010494', 'object/tangible/ship/components/armor/shared_armor_subpro_light_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4267599025', 'FE5E64B1', 'object/tangible/ship/components/armor/shared_armor_subpro_reinforced_plasteel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1291680085', '4CFD7955', 'object/tangible/ship/components/armor/shared_armor_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2493559431', '94A0B287', 'object/tangible/ship/components/armor/shared_armor_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1331552040', '4F5DDF28', 'object/tangible/ship/components/armor/shared_armor_trilon_custom.iff');
INSERT INTO `object_crc_string_table` VALUES ('2483784578', '940B8B82', 'object/tangible/ship/components/armor/shared_armor_trilon_unknown.iff');
INSERT INTO `object_crc_string_table` VALUES ('710519304', '2A59AA08', 'object/tangible/ship/components/armor/shared_armor_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('489689344', '1D301100', 'object/tangible/ship/components/base/shared_ship_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1282074761', '4C6AE889', 'object/tangible/ship/components/base/shared_ship_component_loot_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1420884630', '54B0FA96', 'object/tangible/ship/components/base/shared_ship_subcomponent_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1784141535', '6A57D6DF', 'object/tangible/ship/components/booster/shared_booster_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('95367825', '5AF3291', 'object/tangible/ship/components/booster/shared_bst_corellian_advanced_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019311987', 'EF91D573', 'object/tangible/ship/components/booster/shared_bst_corellian_elite_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('788395141', '2EFDF485', 'object/tangible/ship/components/booster/shared_bst_corellian_experimental_tjh3.iff');
INSERT INTO `object_crc_string_table` VALUES ('369299921', '160311D1', 'object/tangible/ship/components/booster/shared_bst_corellian_heavy_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('307950030', '125AF1CE', 'object/tangible/ship/components/booster/shared_bst_corellian_highly_modified_elite_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2687766710', 'A03410B6', 'object/tangible/ship/components/booster/shared_bst_corellian_performance_advanced_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('679723055', '2883C02F', 'object/tangible/ship/components/booster/shared_bst_corellian_promotional_standard_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('82609038', '4EC838E', 'object/tangible/ship/components/booster/shared_bst_corellian_standard_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3342663764', 'C73D0054', 'object/tangible/ship/components/booster/shared_bst_corellian_tjh3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3003301835', 'B302BFCB', 'object/tangible/ship/components/booster/shared_bst_corellian_tuned_heavy_thrust_enhancer.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062222960', '7AEB0670', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164796772', '81082D64', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost4.iff');
INSERT INTO `object_crc_string_table` VALUES ('367538652', '15E831DC', 'object/tangible/ship/components/booster/shared_bst_freitek_outrunner_x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309515131', '89A8677B', 'object/tangible/ship/components/booster/shared_bst_gallofree_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848915623', 'E569CAA7', 'object/tangible/ship/components/booster/shared_bst_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705883702', '65ADB836', 'object/tangible/ship/components/booster/shared_bst_incom_deluxe_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900405472', 'E87B76E0', 'object/tangible/ship/components/booster/shared_bst_incom_elite_sls_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742318303', 'DF0F3EDF', 'object/tangible/ship/components/booster/shared_bst_incom_enhanced_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410368784', '54108510', 'object/tangible/ship/components/booster/shared_bst_incom_fynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520766481', 'D1DAA211', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('181209734', 'ACD0A86', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1136684299', '43C06D0B', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089319455', 'B823461F', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3336637930', 'C6E10DEA', 'object/tangible/ship/components/booster/shared_bst_incom_mynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('1721827885', '66A1022D', 'object/tangible/ship/components/booster/shared_bst_incom_nkj31.iff');
INSERT INTO `object_crc_string_table` VALUES ('47183178', '2CFF54A', 'object/tangible/ship/components/booster/shared_bst_incom_performance_nkj31.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524451923', '96781453', 'object/tangible/ship/components/booster/shared_bst_incom_sls_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4118504437', 'F57B63F5', 'object/tangible/ship/components/booster/shared_bst_incom_supercharged_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('2064805592', '7B126ED8', 'object/tangible/ship/components/booster/shared_bst_incom_vynock.iff');
INSERT INTO `object_crc_string_table` VALUES ('744508372', '2C604BD4', 'object/tangible/ship/components/booster/shared_bst_kde_br12.iff');
INSERT INTO `object_crc_string_table` VALUES ('793081046', '2F4574D6', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_cygnus_hyperthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606808856', '5FC5F518', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sds_experimental_b7.iff');
INSERT INTO `object_crc_string_table` VALUES ('53752884', '3343434', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sfs_ultra_thrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('419026085', '18F9D4A5', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_quicksilver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378973624', 'C9670BB8', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_windrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3998248231', 'EE506D27', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_mandal_lightning_m1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027189608', 'F00A0968', 'object/tangible/ship/components/booster/shared_bst_koensayr_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2298767702', '89046956', 'object/tangible/ship/components/booster/shared_bst_koensayr_charged_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('511836444', '1E82011C', 'object/tangible/ship/components/booster/shared_bst_koensayr_deluxe_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('528263488', '1F7CA940', 'object/tangible/ship/components/booster/shared_bst_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204424540', '47CA0F5C', 'object/tangible/ship/components/booster/shared_bst_koensayr_evh12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2398381369', '8EF46539', 'object/tangible/ship/components/booster/shared_bst_koensayr_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('894005127', '35496F87', 'object/tangible/ship/components/booster/shared_bst_koensayr_improved_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813570456', '6C18E398', 'object/tangible/ship/components/booster/shared_bst_koensayr_modified_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813746586', 'A7B65D9A', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2090988813', '7CA1F50D', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('900502144', '35AC9280', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3461331348', 'CE4FB994', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2437955271', '91503EC7', 'object/tangible/ship/components/booster/shared_bst_koensayr_special_evh12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498550211', 'D087A3C3', 'object/tangible/ship/components/booster/shared_bst_koensayr_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146162190', 'F7216A0E', 'object/tangible/ship/components/booster/shared_bst_kse_als_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827178862', 'A883536E', 'object/tangible/ship/components/booster/shared_bst_kse_bti1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1939143673', '7394FBF9', 'object/tangible/ship/components/booster/shared_bst_kse_bti2.iff');
INSERT INTO `object_crc_string_table` VALUES ('983145588', '3A999C74', 'object/tangible/ship/components/booster/shared_bst_kse_bti3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1082190673', '4080EB51', 'object/tangible/ship/components/booster/shared_bst_kse_cb6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1877470958', '6FE7EEEE', 'object/tangible/ship/components/booster/shared_bst_kse_deluxe_bti3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4147447022', 'F73504EE', 'object/tangible/ship/components/booster/shared_bst_kse_elite_als_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680098180', '64244384', 'object/tangible/ship/components/booster/shared_bst_kse_enhanced_bti2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644149004', '61FFB90C', 'object/tangible/ship/components/booster/shared_bst_kse_performance_bti1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3050826285', 'B5D7EA2D', 'object/tangible/ship/components/booster/shared_bst_kse_performance_cb6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536291891', 'D2C78833', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('164634788', '9D020A4', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088243497', '40DD4729', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141430333', 'BB3E6C3D', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2694479901', 'A09A801D', 'object/tangible/ship/components/booster/shared_bst_mandal_deluxe_jbj_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1206714092', '47ECFEEC', 'object/tangible/ship/components/booster/shared_bst_mandal_enhanced_jbj_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3157954036', 'BC3A8DF4', 'object/tangible/ship/components/booster/shared_bst_mandal_improved_jbj_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869490887', 'E6A3BEC7', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035212368', '3DB41650', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1958310365', '74B971DD', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405063369', '8F5A5AC9', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327606084', 'C6573D44', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3105704550', 'B91D4A66', 'object/tangible/ship/components/booster/shared_bst_mandal_limited_jbj_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2916150549', 'ADD0ED15', 'object/tangible/ship/components/booster/shared_bst_mandal_modified_jbj_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616547998', '9BF55A9E', 'object/tangible/ship/components/booster/shared_bst_mission_reward_imperial_rss_ion_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2251024280', '862BE798', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_m_series.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643360208', 'D92943D0', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_q_series.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314651324', '4E5BFCBC', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_novaldex_hypernova.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730673872', 'A2C2C6D0', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_qualdex_halcyon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3124355866', 'BA39E31A', 'object/tangible/ship/components/booster/shared_bst_moncal_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234187742', 'C0C5C9DE', 'object/tangible/ship/components/booster/shared_bst_moncal_charged_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3884337187', 'E7864823', 'object/tangible/ship/components/booster/shared_bst_moncal_deluxe_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3306025844', 'C50DF374', 'object/tangible/ship/components/booster/shared_bst_moncal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2418943761', '902E2711', 'object/tangible/ship/components/booster/shared_bst_moncal_enhanced_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1418018573', '54853F0D', 'object/tangible/ship/components/booster/shared_bst_moncal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144415819', 'F706C44B', 'object/tangible/ship/components/booster/shared_bst_moncal_jlc37.iff');
INSERT INTO `object_crc_string_table` VALUES ('124704737', '76ED7E1', 'object/tangible/ship/components/booster/shared_bst_moncal_limited_jlc37.iff');
INSERT INTO `object_crc_string_table` VALUES ('2113743234', '7DFD2982', 'object/tangible/ship/components/booster/shared_bst_moncal_rare_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595506609', '9AB449B1', 'object/tangible/ship/components/booster/shared_bst_moncal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871976232', 'AB2EE128', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333284272', '4F784DB0', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470077476', 'CED52E24', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar.iff');
INSERT INTO `object_crc_string_table` VALUES ('3009788712', 'B365BB28', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('554255149', '2109432D', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4196330426', 'FA1EEBBA', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3004402743', 'B3138C37', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1223730979', '48F0A723', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3656597256', 'D9F33F08', 'object/tangible/ship/components/booster/shared_bst_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2006126864', '77931110', 'object/tangible/ship/components/booster/shared_bst_reward_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954154692', 'EBAF9CC4', 'object/tangible/ship/components/booster/shared_bst_reward_kuat_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('621880457', '25112489', 'object/tangible/ship/components/booster/shared_bst_reward_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2436545673', '913ABC89', 'object/tangible/ship/components/booster/shared_bst_reward_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925642831', 'E9FC8E4F', 'object/tangible/ship/components/booster/shared_bst_rss_special.iff');
INSERT INTO `object_crc_string_table` VALUES ('498383661', '1DB4BB2D', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332576186', 'C6A313BA', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2637703678', '9D3829FE', 'object/tangible/ship/components/booster/shared_bst_sds_enhanced_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('173403376', 'A55ECF0', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510781031', 'D1424467', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258532580', 'FDD40CE4', 'object/tangible/ship/components/booster/shared_bst_slayn_ion_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1866927528', '6F470DA8', 'object/tangible/ship/components/booster/shared_bst_sorosuub_enhanced_liberator_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4042319819', 'F0F0E7CB', 'object/tangible/ship/components/booster/shared_bst_sorosuub_improved_liberator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2904503853', 'AD1F362D', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1980276410', '76089EBA', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1057356087', '3F05F937', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303461411', 'C4E6D223', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2381034926', '8DEBB5AE', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2805387949', 'A736D2AD', 'object/tangible/ship/components/booster/shared_bst_sorosuub_prized_liberator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1684575263', '6468941F', 'object/tangible/ship/components/booster/shared_bst_sorosuub_supercharged_liberator_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378470899', 'C95F5FF3', 'object/tangible/ship/components/booster/shared_bst_sorosuub_well_tuned_liberator_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3614410827', 'D76F884B', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('209199324', 'C7820DC', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1165313873', '45754751', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3197529157', 'BE966C45', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154133448', 'F79B0BC8', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441728107', '9189D06B', 'object/tangible/ship/components/booster/shared_bst_subpro_deluxe_accelatron_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2539684267', '976081AB', 'object/tangible/ship/components/booster/shared_bst_subpro_elite_accelatron_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219799574', 'BFEA3E16', 'object/tangible/ship/components/booster/shared_bst_subpro_enhanced_accelatron_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3848103440', 'E55D6610', 'object/tangible/ship/components/booster/shared_bst_subpro_modified_accelatron_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160911375', '80CCE40F', 'object/tangible/ship/components/booster/shared_bst_subpro_tuned_accelatron_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3438333204', 'CCF0CD14', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('401040771', '17E76583', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695261878', '650BA4B6', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x4.iff');
INSERT INTO `object_crc_string_table` VALUES ('68558899', '4162033', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2602586479', '9B20516F', 'object/tangible/ship/components/booster/shared_bst_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('623716829', '252D29DD', 'object/tangible/ship/components/booster/shared_bst_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1998070919', '77182487', 'object/tangible/ship/components/booster/shared_xwing_booster_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('90429842', '563D992', 'object/tangible/ship/components/chassis/shared_awing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('721690937', '2B042139', 'object/tangible/ship/components/chassis/shared_base_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('467101545', '1BD76769', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('100401026', '5FBFF82', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('266368987', 'FE077DB', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s03_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('966970964', '39A2CE54', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s04_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1715349406', '663E279E', 'object/tangible/ship/components/chassis/shared_blacksun_light_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014494581', '7812BF75', 'object/tangible/ship/components/chassis/shared_blacksun_light_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1913206572', '7209372C', 'object/tangible/ship/components/chassis/shared_blacksun_light_s03_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145802403', '444B8EA3', 'object/tangible/ship/components/chassis/shared_blacksun_light_s04_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303791659', '4DB6482B', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402654912', '539AD0C0', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1501649049', '59815899', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s03_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1875108118', '6FC3E116', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s04_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('263693282', 'FB7A3E2', 'object/tangible/ship/components/chassis/shared_bwing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('202774630', 'C161866', 'object/tangible/ship/components/chassis/shared_decimator_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197904030', '83015A9E', 'object/tangible/ship/components/chassis/shared_firespray_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2891959182', 'AC5FCB8E', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993902437', 'B2735365', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2409366358', '8F9C0356', 'object/tangible/ship/components/chassis/shared_hutt_light_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482981266', 'CF9A1392', 'object/tangible/ship/components/chassis/shared_hutt_light_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1717793360', '66637250', 'object/tangible/ship/components/chassis/shared_hutt_medium_s01_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2018503355', '784FEABB', 'object/tangible/ship/components/chassis/shared_hutt_medium_s02_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2648461459', '9DDC5093', 'object/tangible/ship/components/chassis/shared_hutt_turret_ship_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2237376595', '855BA853', 'object/tangible/ship/components/chassis/shared_tie_in_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1661320674', '6305BDE2', 'object/tangible/ship/components/chassis/shared_tie_light_duty_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706856449', 'A1575A01', 'object/tangible/ship/components/chassis/shared_tieadvanced_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('791634059', '2F2F608B', 'object/tangible/ship/components/chassis/shared_tieaggressor_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1457187476', '56DAEA94', 'object/tangible/ship/components/chassis/shared_tiebomber_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1894497795', '70EBBE03', 'object/tangible/ship/components/chassis/shared_tiefighter_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556036230', '985A0486', 'object/tangible/ship/components/chassis/shared_tieinterceptor_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1760010218', '68E79FEA', 'object/tangible/ship/components/chassis/shared_tieoppressor_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435247554', '558C23C2', 'object/tangible/ship/components/chassis/shared_xwing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('3131311830', 'BAA406D6', 'object/tangible/ship/components/chassis/shared_ykl37r_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1540879175', '5BD7F347', 'object/tangible/ship/components/chassis/shared_yt1300_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405094418', '53C00A12', 'object/tangible/ship/components/chassis/shared_ywing_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2655964271', '9E4ECC6F', 'object/tangible/ship/components/chassis/shared_ywing_longprobe_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126096651', '7EB9A90B', 'object/tangible/ship/components/chassis/shared_z95_chassis_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255500676', '86703584', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1567071507', '5D679D13', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1554428652', '5CA6B2EC', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946627955', 'AFA1F973', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di8.iff');
INSERT INTO `object_crc_string_table` VALUES ('382961907', '16D388F3', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3452182628', 'CDC42064', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2227783657', '84C947E9', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2848252301', 'A9C4E18D', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303344441', '4DAF7539', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_modified_droid_commander_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2130320343', '7EFA1BD7', 'object/tangible/ship/components/droid_interface/shared_ddi_gallofree_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733721392', 'DE8C1130', 'object/tangible/ship/components/droid_interface/shared_ddi_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006845389', '3C033DCD', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_old_tech.iff');
INSERT INTO `object_crc_string_table` VALUES ('1151995556', '44AA0EA4', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_vintage_piece.iff');
INSERT INTO `object_crc_string_table` VALUES ('3073922282', 'B73854EA', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3118062866', 'B9D9DD12', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3473966086', 'CF108406', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('336014481', '14072C91', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1560955676', '5D0A4B1C', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800312328', 'A6E96008', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('70249391', '42FEBAF', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_advanced_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('2164595319', '81051A77', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_deluxe_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507715114', '59DDE82A', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2194292925', '82CA40BD', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418826544', 'CBC72730', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('807668772', '30240C24', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2854165292', 'AA1F1B2C', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762048650', 'E03C4E8A', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_enhanced_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1562019403', '5D1A864B', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_fast_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2495157622', '94B91576', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336851937', '4FAEBDE1', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4052563476', 'F18D3614', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_cygnus_dp44.iff');
INSERT INTO `object_crc_string_table` VALUES ('925674650', '372CAC9A', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sds_unknown_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('818987742', '30D0C2DE', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2292572439', '88A5E117', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_dx61.iff');
INSERT INTO `object_crc_string_table` VALUES ('3674415260', 'DB03209C', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_supreme_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('3713293708', 'DD545D8C', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_qualdex_integrated_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2763794124', 'A4BC26CC', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_simple_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('2549539607', '97F6E317', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_standard_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119916671', '42C0927F', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_advanced_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('3418100037', 'CBBC1145', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_custom_manager_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1085256606', '40AFB39E', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2612534025', '9BB81B09', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('686125639', '28E57247', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_enhanced_manager_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137242392', '43C8F118', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_improved_manager_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('363665805', '15AD198D', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3468341530', 'CEBAB11A', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276972183', '87B7D697', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1391406113', '52EF2C21', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2314765494', '89F884B6', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458928562', '56F57BB2', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_imperial_sfs_military_grade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653382104', '9E2765D8', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_neutral_sorosuub_w19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1715402318', '663EF64E', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_moncal_d22.iff');
INSERT INTO `object_crc_string_table` VALUES ('4246752822', 'FD204E36', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_novaldex_low_latency.iff');
INSERT INTO `object_crc_string_table` VALUES ('3456992776', 'CE0D8608', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_advanced_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('779250230', '2E726A36', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_custom_dk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664316727', '63337537', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3089423776', 'B824DDA0', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046043693', 'F129BA2D', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('181047609', 'ACA9139', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3431557181', 'CC89683D', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4167158823', 'F861CC27', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_special_dk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3255531720', 'C20B78C8', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_advanced_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1177380841', '462D67E9', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_custom_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309787365', '4E11C4E5', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500226162', '95066C72', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3691711487', 'DC0B0BFF', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('669524203', '27E820EB', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4109273189', 'F4EE8865', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1478874794', '5825D6AA', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_special_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('29344223', '1BFC1DF', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668470088', 'DAA86948', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2477067973', '93A50EC5', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1749427665', '684625D1', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1189388094', '46E49F3E', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('545170083', '207EA2A3', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_enhanced_droid_interface_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3983562485', 'ED7056F5', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_modified_droid_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075566151', '401BD647', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_elite_imperator.iff');
INSERT INTO `object_crc_string_table` VALUES ('73360089', '45F62D9', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746089550', 'DF48CA4E', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('785562391', '2ED2BB17', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_enhanced_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('55562871', '34FD277', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3629677280', 'D8587AE0', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4200034291', 'FA576FF3', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078863051', 'B783B8CB', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_enhanced_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632162038', '9CE39AF6', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207186017', '47F43261', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('251221484', 'EF955EC', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4112154360', 'F51A7EF8', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155630453', 'BC171975', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('872393893', '33FFACA5', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_special_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2015516233', '78225649', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2738224862', 'A335FEDE', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929577811', 'EA389953', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('299610695', '11DBB247', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4122651135', 'F5BAA9FF', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2826062719', 'A8724B7F', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_enhanced_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3007707212', 'B345F84C', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750225115', '685250DB', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('559888214', '215F3756', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2393015606', '8EA28536', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1681488075', '643978CB', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3207516252', 'BF2ED05C', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095807384', 'F4210F98', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1414454205', '544EDBBD', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_enhanced_rad_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3195193412', 'BE72C844', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_modified_rad_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3728923525', 'DE42DB85', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('89486098', '5557312', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1280840863', '4C58149F', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508215157', '59E58975', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_improved_jrd33.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330402512', '8AE71ED0', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_jrd33.iff');
INSERT INTO `object_crc_string_table` VALUES ('698514748', '29A27D3C', 'object/tangible/ship/components/droid_interface/shared_ddi_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3834107259', 'E487D57B', 'object/tangible/ship/components/droid_interface/shared_ddi_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('989447066', '3AF9C39A', 'object/tangible/ship/components/droid_interface/shared_droid_interface_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1494270747', '5910C31B', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2181524364', '82076B8C', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1126310988', '4322244C', 'object/tangible/ship/components/engine/shared_eng_corellian_deluxe_cruiser_grade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('775508572', '2E39525C', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1087324097', '40CF3FC1', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1614527554', '603BBC42', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660681296', 'DA319050', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd8.iff');
INSERT INTO `object_crc_string_table` VALUES ('3707474702', 'DCFB930E', 'object/tangible/ship/components/engine/shared_eng_cygnus_hdx.iff');
INSERT INTO `object_crc_string_table` VALUES ('2546925520', '97CEFFD0', 'object/tangible/ship/components/engine/shared_eng_freitek_dual_jet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4109218739', 'F4EDB3B3', 'object/tangible/ship/components/engine/shared_eng_gallofree_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3029000329', 'B48AE089', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4253517572', 'FD878704', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2137568563', '7F68B533', 'object/tangible/ship/components/engine/shared_eng_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3688131239', 'DBD46AA7', 'object/tangible/ship/components/engine/shared_eng_haor_chall_old_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1656121527', '62B668B7', 'object/tangible/ship/components/engine/shared_eng_incom_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1530662903', '5B3C0FF7', 'object/tangible/ship/components/engine/shared_eng_incom_advanced_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('1983861509', '763F5305', 'object/tangible/ship/components/engine/shared_eng_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1150814129', '449807B1', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3839998653', 'E4E1BABD', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1860270722', '6EE17A82', 'object/tangible/ship/components/engine/shared_eng_incom_heavy_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3821177042', 'E3C288D2', 'object/tangible/ship/components/engine/shared_eng_incom_improved_fusialthrust_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1630933097', '61361069', 'object/tangible/ship/components/engine/shared_eng_incom_light_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3350954365', 'C7BB817D', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_rendili_hyperion_drive.iff');
INSERT INTO `object_crc_string_table` VALUES ('267311659', 'FEEDA2B', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sds_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('2153536772', '805C5D04', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('1686514173', '648629FD', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_incom_t11_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2912460069', 'AD989D25', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_blackhole_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3829446933', 'E440B915', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_grb1138.iff');
INSERT INTO `object_crc_string_table` VALUES ('2950758561', 'AFE100A1', 'object/tangible/ship/components/engine/shared_eng_koensayr_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2074333945', '7BA3D2F9', 'object/tangible/ship/components/engine/shared_eng_koensayr_dual_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('856779265', '33116A01', 'object/tangible/ship/components/engine/shared_eng_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2994323720', 'B279C108', 'object/tangible/ship/components/engine/shared_eng_koensayr_enhanced_dual_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('399309085', '17CCF91D', 'object/tangible/ship/components/engine/shared_eng_koensayr_heavy_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1091345516', '410C9C6C', 'object/tangible/ship/components/engine/shared_eng_koensayr_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('225753299', 'D74B8D3', 'object/tangible/ship/components/engine/shared_eng_koensayr_tuned_small_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3609646499', 'D726D5A3', 'object/tangible/ship/components/engine/shared_eng_kse_a2x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2533291979', '96FEF7CB', 'object/tangible/ship/components/engine/shared_eng_kse_a5x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2695818555', 'A0AEED3B', 'object/tangible/ship/components/engine/shared_eng_kse_a7x.iff');
INSERT INTO `object_crc_string_table` VALUES ('943105171', '3836A493', 'object/tangible/ship/components/engine/shared_eng_kse_a8x.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154059461', 'F799EAC5', 'object/tangible/ship/components/engine/shared_eng_kse_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3273736550', 'C3214166', 'object/tangible/ship/components/engine/shared_eng_kse_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881362164', '70234EF4', 'object/tangible/ship/components/engine/shared_eng_kse_improved_a2x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2801444011', 'A6FAA4AB', 'object/tangible/ship/components/engine/shared_eng_mandal_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1878143653', '6FF232A5', 'object/tangible/ship/components/engine/shared_eng_mandal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570273187', 'D4CE0BA3', 'object/tangible/ship/components/engine/shared_eng_mandal_enhanced_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541249894', 'D3132F66', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm.iff');
INSERT INTO `object_crc_string_table` VALUES ('727952579', '2B63ACC3', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4269473500', 'FE7AFEDC', 'object/tangible/ship/components/engine/shared_eng_mandal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1398811681', '53602C21', 'object/tangible/ship/components/engine/shared_eng_mandal_x37_vandal.iff');
INSERT INTO `object_crc_string_table` VALUES ('691790673', '293BE351', 'object/tangible/ship/components/engine/shared_eng_mandal_x57_vandal.iff');
INSERT INTO `object_crc_string_table` VALUES ('116254934', '6EDE8D6', 'object/tangible/ship/components/engine/shared_eng_mission_reward_imperial_cygnus_megadrive.iff');
INSERT INTO `object_crc_string_table` VALUES ('1833143091', '6D438B33', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_haor_chall_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('2762799874', 'A4ACFB02', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_mandal_inferno.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414312899', 'CB8247C3', 'object/tangible/ship/components/engine/shared_eng_mission_reward_rebel_incom_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970369817', 'B10C3F19', 'object/tangible/ship/components/engine/shared_eng_moncal_charged_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303167784', '89478D28', 'object/tangible/ship/components/engine/shared_eng_moncal_enhanced_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1507745225', '59DE5DC9', 'object/tangible/ship/components/engine/shared_eng_moncal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('81343226', '4D932FA', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs32.iff');
INSERT INTO `object_crc_string_table` VALUES ('3250538235', 'C1BF46FB', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs64.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680559351', 'DB60E0F7', 'object/tangible/ship/components/engine/shared_eng_moncal_improved_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2558943511', '98866117', 'object/tangible/ship/components/engine/shared_eng_moncal_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515726133', '5A582535', 'object/tangible/ship/components/engine/shared_eng_moncal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3212374131', 'BF78F073', 'object/tangible/ship/components/engine/shared_eng_novaldex_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('954786503', '38E8E2C7', 'object/tangible/ship/components/engine/shared_eng_novaldex_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('4190415358', 'F9C4A9FE', 'object/tangible/ship/components/engine/shared_eng_novaldex_light_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1243009933', '4A16D38D', 'object/tangible/ship/components/engine/shared_eng_novaldex_x6.iff');
INSERT INTO `object_crc_string_table` VALUES ('52147200', '31BB400', 'object/tangible/ship/components/engine/shared_eng_novaldex_x7.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028432287', 'F01CFF9F', 'object/tangible/ship/components/engine/shared_eng_novaldex_x9.iff');
INSERT INTO `object_crc_string_table` VALUES ('938019795', '37E90BD3', 'object/tangible/ship/components/engine/shared_eng_prototype_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1058854056', '3F1CD4A8', 'object/tangible/ship/components/engine/shared_eng_qualdex_a13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1072902230', '3FF33056', 'object/tangible/ship/components/engine/shared_eng_qualdex_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('905102348', '35F2C40C', 'object/tangible/ship/components/engine/shared_eng_qualdex_b10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316920034', '8A1964E2', 'object/tangible/ship/components/engine/shared_eng_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3668146278', 'DAA37866', 'object/tangible/ship/components/engine/shared_eng_qualdex_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106286177', 'F4C0F461', 'object/tangible/ship/components/engine/shared_eng_qualdex_small_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203700275', '8359CC33', 'object/tangible/ship/components/engine/shared_eng_rendili_demon_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3783532255', 'E1841EDF', 'object/tangible/ship/components/engine/shared_eng_rendili_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1914888370', '7222E0B2', 'object/tangible/ship/components/engine/shared_eng_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1042959246', '3E2A4B8E', 'object/tangible/ship/components/engine/shared_eng_reward_koensayr_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024393485', 'B444950D', 'object/tangible/ship/components/engine/shared_eng_reward_kuat_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1822981655', '6CA87E17', 'object/tangible/ship/components/engine/shared_eng_reward_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1593887000', '5F00C918', 'object/tangible/ship/components/engine/shared_eng_reward_surronian_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871154859', 'AB2258AB', 'object/tangible/ship/components/engine/shared_eng_rss_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2026233667', '78C5DF43', 'object/tangible/ship/components/engine/shared_eng_rss_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106763643', 'F4C83D7B', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner.iff');
INSERT INTO `object_crc_string_table` VALUES ('348283927', '14C26417', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1573847962', '5DCF039A', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2787911822', 'A62C288E', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('161369355', '99E4D0B', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532252572', 'D289E59C', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869362638', 'E6A1C9CE', 'object/tangible/ship/components/engine/shared_eng_sds_limited_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251975169', 'C1D53401', 'object/tangible/ship/components/engine/shared_eng_sfs_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4146255416', 'F722D638', 'object/tangible/ship/components/engine/shared_eng_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('641216433', '26382FB1', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247750438', 'FD2F8726', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022184619', 'B422E0AB', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1338100671', '4FC1CBBF', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('114076722', '6CCAC32', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416202828', 'CB9F1E4C', 'object/tangible/ship/components/engine/shared_eng_sfs_modified_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4285524122', 'FF6FE89A', 'object/tangible/ship/components/engine/shared_eng_sfs_performance_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3062194398', 'B68560DE', 'object/tangible/ship/components/engine/shared_eng_sfs_tuned_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256977477', '8686BE45', 'object/tangible/ship/components/engine/shared_eng_sorosuub_l_337_ion_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014640684', '7814FA2C', 'object/tangible/ship/components/engine/shared_eng_sorosuub_tuned_l_337_ion_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1154791429', '44D4B805', 'object/tangible/ship/components/engine/shared_eng_sorosuub_u83r_ion_drive.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953087891', 'B0048B93', 'object/tangible/ship/components/engine/shared_eng_subpro_light_engines.iff');
INSERT INTO `object_crc_string_table` VALUES ('717637110', '2AC645F6', 'object/tangible/ship/components/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3860835004', 'E61FAABC', 'object/tangible/ship/components/engine/shared_eng_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4025396591', 'EFEEAD6F', 'object/tangible/ship/components/engine/shared_engine_cygnus_hd7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3590792483', 'D6072523', 'object/tangible/ship/components/engine/shared_engine_damorian_rx7.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073664893', '3FFED37D', 'object/tangible/ship/components/engine/shared_engine_incom_e16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3226309687', 'C04D9437', 'object/tangible/ship/components/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('1396982474', '534442CA', 'object/tangible/ship/components/engine/shared_engine_koensayr_ionjet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1377789974', '521F6816', 'object/tangible/ship/components/engine/shared_engine_kongar_defender.iff');
INSERT INTO `object_crc_string_table` VALUES ('528919760', '1F86ACD0', 'object/tangible/ship/components/engine/shared_engine_kuat_a9x.iff');
INSERT INTO `object_crc_string_table` VALUES ('383630325', '16DDBBF5', 'object/tangible/ship/components/engine/shared_engine_kuat_f31.iff');
INSERT INTO `object_crc_string_table` VALUES ('630949966', '259B884E', 'object/tangible/ship/components/engine/shared_engine_kuat_tc40.iff');
INSERT INTO `object_crc_string_table` VALUES ('958710190', '3924C1AE', 'object/tangible/ship/components/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1145254225', '44433151', 'object/tangible/ship/components/engine/shared_engine_novaldex_singularity.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195098255', '473BC08F', 'object/tangible/ship/components/engine/shared_engine_novaldex_x12.iff');
INSERT INTO `object_crc_string_table` VALUES ('408364665', '18572679', 'object/tangible/ship/components/engine/shared_engine_nubian_221.iff');
INSERT INTO `object_crc_string_table` VALUES ('3449726708', 'CD9EA6F4', 'object/tangible/ship/components/engine/shared_engine_nubian_221_racing_mod.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616448620', '60590C6C', 'object/tangible/ship/components/engine/shared_engine_qualdex_a10.iff');
INSERT INTO `object_crc_string_table` VALUES ('157942210', '96A01C2', 'object/tangible/ship/components/engine/shared_engine_qualdex_igt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584851936', '5E76EBE0', 'object/tangible/ship/components/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('425327830', '1959FCD6', 'object/tangible/ship/components/engine/shared_engine_seinar_ps56.iff');
INSERT INTO `object_crc_string_table` VALUES ('3679552737', 'DB5184E1', 'object/tangible/ship/components/engine/shared_engine_surronian_a2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3019065064', 'B3F346E8', 'object/tangible/ship/components/engine/shared_engine_surronian_a25.iff');
INSERT INTO `object_crc_string_table` VALUES ('3349337615', 'C7A2D60F', 'object/tangible/ship/components/engine/shared_engine_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229515854', '84E3B64E', 'object/tangible/ship/components/engine/shared_engine_ubrikkian_n2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1817330955', '6C52450B', 'object/tangible/ship/components/engine/shared_xwing_engine_s01_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3911366677', 'E922B815', 'object/tangible/ship/components/engine/shared_xwing_engine_s02_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363026125', '513E20CD', 'object/tangible/ship/components/reactor/rct_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484082121', 'CFAADFC9', 'object/tangible/ship/components/reactor/rct_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838799948', '6D99DC4C', 'object/tangible/ship/components/reactor/shared_rct_armek_phase_grinder.iff');
INSERT INTO `object_crc_string_table` VALUES ('655443437', '271145ED', 'object/tangible/ship/components/reactor/shared_rct_armek_super_collider.iff');
INSERT INTO `object_crc_string_table` VALUES ('479861884', '1C9A1C7C', 'object/tangible/ship/components/reactor/shared_rct_armek_ultra_collider.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144194829', '7FCDD10D', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3441663380', 'CD239D94', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106488287', 'F4C409DF', 'object/tangible/ship/components/reactor/shared_rct_cygnus_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2061868907', '7AE59F6B', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2717005820', 'A1F237FC', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2482451537', '93F73451', 'object/tangible/ship/components/reactor/shared_rct_cygnus_supercharged_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2632377171', '9CE6E353', 'object/tangible/ship/components/reactor/shared_rct_cygnus_tuned_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('274444164', '105BAF84', 'object/tangible/ship/components/reactor/shared_rct_freitek_improved_powerhouse_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2089644371', '7C8D7153', 'object/tangible/ship/components/reactor/shared_rct_freitek_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3762511133', 'E0435D1D', 'object/tangible/ship/components/reactor/shared_rct_freitek_performance_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1756278622', '68AEAF5E', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3015247817', 'B3B907C9', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4206125124', 'FAB46044', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('393073933', '176DD50D', 'object/tangible/ship/components/reactor/shared_rct_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('469546362', '1BFCB57A', 'object/tangible/ship/components/reactor/shared_rct_incom_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('273987032', '1054B5D8', 'object/tangible/ship/components/reactor/shared_rct_incom_custom_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003263168', '3BCC94C0', 'object/tangible/ship/components/reactor/shared_rct_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090093197', 'B82F148D', 'object/tangible/ship/components/reactor/shared_rct_incom_improved_mark1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2674049481', '9F62C1C9', 'object/tangible/ship/components/reactor/shared_rct_incom_mark1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148545374', '4475695E', 'object/tangible/ship/components/reactor/shared_rct_incom_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('225971923', 'D780ED3', 'object/tangible/ship/components/reactor/shared_rct_incom_mark3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137362887', 'F69B25C7', 'object/tangible/ship/components/reactor/shared_rct_incom_mark4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3214295626', 'BF96424A', 'object/tangible/ship/components/reactor/shared_rct_incom_mark5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3711183726', 'DD342B6E', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_kdy_powermaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3454365984', 'CDE57120', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('159411222', '9806C16', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('3518404345', 'D1B696F9', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_incom_overdriven_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('110330195', '6938153', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_mandal_modified_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('1643853797', '61FB37E5', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_slayn_high_output_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619443827', '6086C073', 'object/tangible/ship/components/reactor/shared_rct_koensayr_charged_supernova.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212259517', 'FB11FABD', 'object/tangible/ship/components/reactor/shared_rct_koensayr_enhanced_supernova_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2993433692', 'B26C2C5C', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova.iff');
INSERT INTO `object_crc_string_table` VALUES ('4233117404', 'FC503EDC', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1605967841', '5FB91FE1', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('380926060', '16B4786C', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('396907608', '17A85458', 'object/tangible/ship/components/reactor/shared_rct_kse_custom_lx11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3490595180', 'D00E416C', 'object/tangible/ship/components/reactor/shared_rct_kse_lx11.iff');
INSERT INTO `object_crc_string_table` VALUES ('4252391140', 'FD7656E4', 'object/tangible/ship/components/reactor/shared_rct_kse_lx21.iff');
INSERT INTO `object_crc_string_table` VALUES ('379835158', '16A3D316', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_x.iff');
INSERT INTO `object_crc_string_table` VALUES ('2226723852', '84B91C0C', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_z.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961940522', 'EC266A2A', 'object/tangible/ship/components/reactor/shared_rct_kse_supreme.iff');
INSERT INTO `object_crc_string_table` VALUES ('3433957122', 'CCAE0702', 'object/tangible/ship/components/reactor/shared_rct_mandal_dx_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('917671788', '36B28F6C', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr.iff');
INSERT INTO `object_crc_string_table` VALUES ('1602175062', '5F7F4056', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr2.iff');
INSERT INTO `object_crc_string_table` VALUES ('376580059', '167227DB', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3985706191', 'ED910CCF', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2761714498', 'A49C6B42', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139866069', '7F8BC3D5', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr6.iff');
INSERT INTO `object_crc_string_table` VALUES ('2046773021', '79FF471D', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3008300066', 'B34F0422', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2253318306', '864EE8A2', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_rss_advanced_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448525431', '5656BE77', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_sds_high_output.iff');
INSERT INTO `object_crc_string_table` VALUES ('2954387594', 'B018608A', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_neutral_subpro_military.iff');
INSERT INTO `object_crc_string_table` VALUES ('2609742784', '9B8D83C0', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_rebel_slayn_hypervortex.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111600702', 'F5120C3E', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('772121769', '2E05A4A9', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835039376', 'A8FB4490', 'object/tangible/ship/components/reactor/shared_rct_prototype_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521298929', '5AAD2DF1', 'object/tangible/ship/components/reactor/shared_rct_rendili_type_x_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2057207911', '7A9E8067', 'object/tangible/ship/components/reactor/shared_rct_rendili_type5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900985213', 'E8844F7D', 'object/tangible/ship/components/reactor/shared_rct_rendili_type7.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229165572', 'FC13F204', 'object/tangible/ship/components/reactor/shared_rct_reward_armek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1119723348', '42BD9F54', 'object/tangible/ship/components/reactor/shared_rct_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567473688', 'D4A35418', 'object/tangible/ship/components/reactor/shared_rct_reward_slayn_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500440467', '9509B193', 'object/tangible/ship/components/reactor/shared_rct_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1252227058', '4AA377F2', 'object/tangible/ship/components/reactor/shared_rct_reward_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571711759', '5DAE6B0F', 'object/tangible/ship/components/reactor/shared_rct_rss_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('682785613', '28B27B4D', 'object/tangible/ship/components/reactor/shared_rct_rss_x12.iff');
INSERT INTO `object_crc_string_table` VALUES ('729478764', '2B7AF66C', 'object/tangible/ship/components/reactor/shared_rct_rss_x8.iff');
INSERT INTO `object_crc_string_table` VALUES ('1687773799', '64996267', 'object/tangible/ship/components/reactor/shared_rct_sds_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1892978886', '70D490C6', 'object/tangible/ship/components/reactor/shared_rct_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3970052034', 'ECA22FC2', 'object/tangible/ship/components/reactor/shared_rct_sds_special_forces_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('293975026', '1185B3F2', 'object/tangible/ship/components/reactor/shared_rct_seinar_enhanced_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('78015690', '4A66CCA', 'object/tangible/ship/components/reactor/shared_rct_seinar_level1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3752969309', 'DFB1C45D', 'object/tangible/ship/components/reactor/shared_rct_seinar_level2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2528945104', '96BCA3D0', 'object/tangible/ship/components/reactor/shared_rct_seinar_level3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1834977476', '6D5F88C4', 'object/tangible/ship/components/reactor/shared_rct_seinar_level4.iff');
INSERT INTO `object_crc_string_table` VALUES ('928581541', '375907A5', 'object/tangible/ship/components/reactor/shared_rct_sfs_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1802806379', '6B74A46B', 'object/tangible/ship/components/reactor/shared_rct_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601368700', '5F72F27C', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2221234923', '84655AEB', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446160742', 'CD683D66', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('915084914', '368B1672', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139517439', '7F8671FF', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3699990858', 'DC89614A', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_2k.iff');
INSERT INTO `object_crc_string_table` VALUES ('2256096858', '86794E5A', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_4k.iff');
INSERT INTO `object_crc_string_table` VALUES ('1273339609', '4BE59ED9', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431792718', '90F2364E', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3657388483', 'D9FF51C3', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('572291799', '221C7AD7', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3916801975', 'E975A7B7', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('845287200', '32620F20', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2070898861', '7B6F68AD', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3299280915', 'C4A70813', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4221084087', 'FB98A1B7', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3380404850', 'C97CE272', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora.iff');
INSERT INTO `object_crc_string_table` VALUES ('630252106', '2590E24A', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora_max.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288337981', 'C4000E3D', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna1.iff');
INSERT INTO `object_crc_string_table` VALUES ('521643690', '1F17A6AA', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847523590', 'E5548D06', 'object/tangible/ship/components/reactor/shared_rct_subpro_special_dyna2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580359384', '5E325ED8', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2233857615', '8525F64F', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3425210818', 'CC2891C2', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319963808', 'C5E2A0A0', 'object/tangible/ship/components/reactor/shared_rct_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('951546180', '38B77144', 'object/tangible/ship/components/reactor/shared_rct_unknown_distressed_aluminum.iff');
INSERT INTO `object_crc_string_table` VALUES ('33823730', '2041BF2', 'object/tangible/ship/components/reactor/shared_rct_unknown_multicore.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573145892', '995F1724', 'object/tangible/ship/components/reactor/shared_rct_unknown_proton_chamber.iff');
INSERT INTO `object_crc_string_table` VALUES ('1703778737', '658D99B1', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('746651196', '2C80FE3C', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2051660015', '7A49D8EF', 'object/tangible/ship/components/reactor/shared_rct_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('1943796009', '73DBF929', 'object/tangible/ship/components/reactor/shared_reactor_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005496660', 'EEBF0754', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3941953467', 'EAF56FBB', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4043998830', 'F10A866E', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('706555641', '2A1D2EF9', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1662011764', '63104974', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('183086458', 'AE9AD7A', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('587137384', '22FF0168', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('172501282', 'A482922', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_improved_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092831252', '7CBE1214', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812918403', 'A7A9BA83', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4003781902', 'EEA4DD0E', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('357037594', '1547F61A', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1548390807', '5C4A9197', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('491149550', '1D4658EE', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_special_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651549547', 'D9A6396B', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('45191676', '2B191FC', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2812483779', 'A7A318C3', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('673595337', '28263FC9', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('904269427', '35E60E73', 'object/tangible/ship/components/shield_generator/shared_shd_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('92167148', '57E5BEC', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4271730936', 'FE9D70F8', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2676028541', '9F80F47D', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark9.iff');
INSERT INTO `object_crc_string_table` VALUES ('3501222654', 'D0B06AFE', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('328452728', '1393CA78', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3364119279', 'C88462EF', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2507824966', '957A5F46', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1807948417', '6BC31A81', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1315829713', '4E6DF7D1', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046038725', 'B58EDCC5', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x5.iff');
INSERT INTO `object_crc_string_table` VALUES ('664015839', '279413DF', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3566426176', 'D4935840', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x9.iff');
INSERT INTO `object_crc_string_table` VALUES ('2737456566', 'A32A45B6', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2212415029', '83DEC635', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z5.iff');
INSERT INTO `object_crc_string_table` VALUES ('298060079', '11C4092F', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2855050390', 'AA2C9C96', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1899705345', '713B3401', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('754371356', '2CF6CB1C', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1716616411', '66517CDB', 'object/tangible/ship/components/shield_generator/shared_shd_interlaced_graviton.iff');
INSERT INTO `object_crc_string_table` VALUES ('980498708', '3A713914', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_cygnus_experimental_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3075481852', 'B75020FC', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('485167241', '1CEB1089', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sfs_megapolyweb.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631366873', 'D87242D9', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_incom_rayshield_overdriver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671377903', '9F39FDEF', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_sorosuub_ion_mesh_projection.iff');
INSERT INTO `object_crc_string_table` VALUES ('3294081937', 'C457B391', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_unknown_proton_interweave_system.iff');
INSERT INTO `object_crc_string_table` VALUES ('3659868328', 'DA2528A8', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054911210', 'F1B108EA', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3189603642', 'BE1D7D3A', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1695208877', '650AD5AD', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m2.iff');
INSERT INTO `object_crc_string_table` VALUES ('738701856', '2C07B220', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1174296110', '45FE562E', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3069779377', 'B6F91DB1', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2795036189', 'A698DE1D', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_improved_deflector_m1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846210589', 'A9A5BA1D', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_modified_deflector_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176481939', '461FB093', 'object/tangible/ship/components/shield_generator/shared_shd_kse_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332739328', 'C6A59100', 'object/tangible/ship/components/shield_generator/shared_shd_kse_enhanced_military_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3352793075', 'C7D78FF3', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('482355044', '1CC02764', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019567364', 'EF95BB04', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('343314448', '14769010', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568405405', '5D7BF79D', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255249162', '866C5F0A', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479255175', 'CF613887', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk7.iff');
INSERT INTO `object_crc_string_table` VALUES ('442744867', '1A63C023', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_double_protector_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330337362', '8AE62052', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks25.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144035461', '7FCB6285', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989941663', 'EDD1AD9F', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks7.iff');
INSERT INTO `object_crc_string_table` VALUES ('2869402958', 'AB079D4E', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_kx1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4072962412', 'F2C4796C', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_protector_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2105182786', '7D7A8A42', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1531190620', '5B441D5C', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4016063832', 'EF604558', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2343498615', '8BAEF377', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_cygnus_holoscreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3141363443', 'BB3D66F3', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_rendili_dual_projector.iff');
INSERT INTO `object_crc_string_table` VALUES ('868794909', '33C8C21D', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_armek_plasma_web.iff');
INSERT INTO `object_crc_string_table` VALUES ('489325202', '1D2A8292', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_koensayr_ds23.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160478208', '80C64800', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_incom_k77.iff');
INSERT INTO `object_crc_string_table` VALUES ('1836682734', '6D798DEE', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_taim_military_grade.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199200859', '8315245B', 'object/tangible/ship/components/shield_generator/shared_shd_moncal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1224559248', '48FD4A90', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2481644039', '93EAE207', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('523179685', '1F2F16A5', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163014250', 'F8228E6A', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1024099405', '3D0A844D', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650981306', '6267F9BA', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2894219316', 'AC824834', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258399997', 'C2373CFD', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260127611', '86B6CF7B', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx27.iff');
INSERT INTO `object_crc_string_table` VALUES ('460805949', '1B77573D', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx92.iff');
INSERT INTO `object_crc_string_table` VALUES ('31928618', '1E7312A', 'object/tangible/ship/components/shield_generator/shared_shd_prototype_shield.iff');
INSERT INTO `object_crc_string_table` VALUES ('1045720054', '3E546BF6', 'object/tangible/ship/components/shield_generator/shared_shd_rendili.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327697307', 'C658A19B', 'object/tangible/ship/components/shield_generator/shared_shd_reward_armek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2029440203', '78F6CCCB', 'object/tangible/ship/components/shield_generator/shared_shd_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1626448404', '60F1A214', 'object/tangible/ship/components/shield_generator/shared_shd_reward_mandalor_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3113022153', 'B98CF2C9', 'object/tangible/ship/components/shield_generator/shared_shd_reward_seinar_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1936705340', '736FC73C', 'object/tangible/ship/components/shield_generator/shared_shd_reward_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2243790343', '85BD8607', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_experimental_a1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2098040456', '7D0D8E88', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1330497147', '4F4DC67B', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1874413048', '6FB945F8', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx7.iff');
INSERT INTO `object_crc_string_table` VALUES ('951174675', '38B1C613', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3276991751', 'C352ED07', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776811256', 'E11D90F8', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2608074768', '9B741010', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('204265573', 'C2CD865', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('4763553', '48AFA1', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_custom_polyweb_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2062565953', '7AF04241', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_deluxe_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3360322809', 'C84A74F9', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818296715', 'E396958B', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('4149159567', 'F74F268F', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598481390', 'D67C77EE', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_limited_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1316308873', '4E754789', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435911104', '559643C0', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_special_forces.iff');
INSERT INTO `object_crc_string_table` VALUES ('2004538016', '777AD2A0', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_polyweb_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('610167392', '245E6A60', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3057952122', 'B644A57A', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3475858867', 'CF2D65B3', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384192338', '52811952', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('549069337', '20BA2219', 'object/tangible/ship/components/shield_generator/shared_shd_taim_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('3533183005', 'D298181D', 'object/tangible/ship/components/shield_generator/shared_shd_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('412063730', '188F97F2', 'object/tangible/ship/components/shield_generator/shared_shd_taim_enhanced_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1125176420', '4310D464', 'object/tangible/ship/components/shield_generator/shared_shd_taim_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3639474', '3788B2', 'object/tangible/ship/components/shield_generator/shared_shd_taim_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('605684779', '241A042B', 'object/tangible/ship/components/shield_generator/shared_shd_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('94312606', '59F189E', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3733499913', 'DE88B009', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554696462', '9845930E', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_proton_projector.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663130441', '63215B49', 'object/tangible/ship/components/shield_generator/shared_shd_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405620850', '8F62DC72', 'object/tangible/ship/components/shield_generator/shared_shield_generator_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416211325', '5469AB7D', 'object/tangible/ship/components/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090870041', 'B83AEF19', 'object/tangible/ship/components/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1718453703', '666D85C7', 'object/tangible/ship/components/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('583355334', '22C54BC6', 'object/tangible/ship/components/weapon/shared_weapon_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3432873939', 'CC9D7FD3', 'object/tangible/ship/components/weapon/shared_wpn_armek_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927442761', 'AE7D3B49', 'object/tangible/ship/components/weapon/shared_wpn_armek_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3078564587', 'B77F2AEB', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw4.iff');
INSERT INTO `object_crc_string_table` VALUES ('627434993', '2565E5F1', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1818788476', '6C68827C', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3596791406', 'D662AE6E', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw8.iff');
INSERT INTO `object_crc_string_table` VALUES ('1392493131', '52FFC24B', 'object/tangible/ship/components/weapon/shared_wpn_awing_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1971958873', '7589B459', 'object/tangible/ship/components/weapon/shared_wpn_borstel_rg9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1787466156', '6A8A91AC', 'object/tangible/ship/components/weapon/shared_wpn_bwing_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3311096308', 'C55B51F4', 'object/tangible/ship/components/weapon/shared_wpn_capitalship_turret_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2087182522', '7C67E0BA', 'object/tangible/ship/components/weapon/shared_wpn_corellian_1d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3460040348', 'CE3C069C', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag1g_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2989343947', 'B22DC4CB', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag2g_quad_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213766317', '83F364AD', 'object/tangible/ship/components/weapon/shared_wpn_corellian_cruiser_grade_blaster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1361242261', '5122E895', 'object/tangible/ship/components/weapon/shared_wpn_corvette_turret_sm_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4229372390', 'FC1719E6', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('654356849', '2700B171', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038804521', 'B5207A29', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('526650114', '1F640B02', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_eradicator_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('373679875', '1645E703', 'object/tangible/ship/components/weapon/shared_wpn_freitek_cannoneer_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333192542', '4F76E75E', 'object/tangible/ship/components/weapon/shared_wpn_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('90081547', '55E890B', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_auto_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218898024', '48A6E868', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_r9x.iff');
INSERT INTO `object_crc_string_table` VALUES ('762044667', '2D6BE0FB', 'object/tangible/ship/components/weapon/shared_wpn_haor_chall_speedblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957562610', 'B048D2F2', 'object/tangible/ship/components/weapon/shared_wpn_hk_modified_scorcher_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555262455', '5CB36BF7', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2715164541', 'A1D61F7D', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906697456', 'E8DB78F0', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3110719195', 'B969CEDB', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('146304976', '8B86FD0', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570101673', '9930A3A9', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('939423053', '37FE754D', 'object/tangible/ship/components/weapon/shared_wpn_incom_advanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446201616', 'CD68DD10', 'object/tangible/ship/components/weapon/shared_wpn_incom_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3407371780', 'CB185E04', 'object/tangible/ship/components/weapon/shared_wpn_incom_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('655771385', '271646F9', 'object/tangible/ship/components/weapon/shared_wpn_incom_elite_quad_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709580640', 'A180EB60', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090385282', 'F3CE5382', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_quad_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('745205415', '2C6AEEA7', 'object/tangible/ship/components/weapon/shared_wpn_incom_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2585546139', '9A1C4D9B', 'object/tangible/ship/components/weapon/shared_wpn_incom_proton_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691880126', 'A072D4BE', 'object/tangible/ship/components/weapon/shared_wpn_incom_quad_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('134787828', '808B2F4', 'object/tangible/ship/components/weapon/shared_wpn_incom_seismic_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('819793875', '30DD0FD3', 'object/tangible/ship/components/weapon/shared_wpn_incom_shredder.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885305221', 'E7950D85', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt13.iff');
INSERT INTO `object_crc_string_table` VALUES ('4021441179', 'EFB2529B', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt8.iff');
INSERT INTO `object_crc_string_table` VALUES ('667601641', '27CACAE9', 'object/tangible/ship/components/weapon/shared_wpn_kdy_pounder_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429969329', '553B99B1', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_rendili_prototype_x.iff');
INSERT INTO `object_crc_string_table` VALUES ('3083127705', 'B7C4CB99', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sds_experimental_secret_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('4028755301', 'F021ED65', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sfs_elite_ops.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645130727', '9DA97DE7', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_incom_dualcore_flashcannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('89824351', '55A9C5F', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_riiz_combine_slammer_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('953073966', '38CEC12E', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_unknown_rayslinger.iff');
INSERT INTO `object_crc_string_table` VALUES ('3911315270', 'E921EF46', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_deluxe_ion_accelerator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517260475', '960A58BB', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3827108741', 'E41D0B85', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2903534600', 'AD106C08', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935855718', 'EA986466', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('2964865390', 'B0B8416E', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324723441', '8A9076F1', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_tuned_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1309584223', '4E0EAB5F', 'object/tangible/ship/components/weapon/shared_wpn_kse_double_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1496618540', '5934962C', 'object/tangible/ship/components/weapon/shared_wpn_kse_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1864468167', '6F2186C7', 'object/tangible/ship/components/weapon/shared_wpn_mandal_advanced_annihilator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171243660', '816A8C8C', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annihilator_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043215801', 'B563C9B9', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annilhator_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203586695', '47BD4687', 'object/tangible/ship/components/weapon/shared_wpn_mandal_elite_annihilator.iff');
INSERT INTO `object_crc_string_table` VALUES ('945058875', '3854743B', 'object/tangible/ship/components/weapon/shared_wpn_mandal_enhanced_mangler_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4039829327', 'F0CAE74F', 'object/tangible/ship/components/weapon/shared_wpn_mandal_heavy_annihilator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3229356354', 'C07C1142', 'object/tangible/ship/components/weapon/shared_wpn_mandal_mangler_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2181339101', '820497DD', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv3_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168567199', '45A6EB9F', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv5_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966553634', '75373A22', 'object/tangible/ship/components/weapon/shared_wpn_mandal_super_mangler.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216406766', '841BAEEE', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_cygnus_starblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1584266196', '5E6DFBD4', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_sds_boltdriver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515757719', '5A58A097', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_borstel_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2865416858', 'AACACA9A', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_hk_military_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071002762', 'F2A6928A', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_mandal_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3498715160', 'D08A2818', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_incom_tricannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('219326346', 'D12A78A', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_taim_ion_driver.iff');
INSERT INTO `object_crc_string_table` VALUES ('3697933765', 'DC69FDC5', 'object/tangible/ship/components/weapon/shared_wpn_moncal_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904433726', '71835A3E', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1097828961', '416F8A61', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon_tie.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966255607', '7532ADF7', 'object/tangible/ship/components/weapon/shared_wpn_rendili_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('459008853', '1B5BEB55', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr13_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('100362336', '5FB6860', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr9_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2784983723', 'A5FF7AAB', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc3_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('886506152', '34D702A8', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc8_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('983721375', '3AA2659F', 'object/tangible/ship/components/weapon/shared_wpn_reward_incom_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491884496', 'D021EDD0', 'object/tangible/ship/components/weapon/shared_wpn_reward_seinar_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2898046675', 'ACBCAED3', 'object/tangible/ship/components/weapon/shared_wpn_reward_slayn_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1280281292', '4C4F8ACC', 'object/tangible/ship/components/weapon/shared_wpn_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2885961571', 'AC044763', 'object/tangible/ship/components/weapon/shared_wpn_reward_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3583705980', 'D59B037C', 'object/tangible/ship/components/weapon/shared_wpn_rss_imperial_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3939485307', 'EACFC67B', 'object/tangible/ship/components/weapon/shared_wpn_sds_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624083757', '60CD8D2D', 'object/tangible/ship/components/weapon/shared_wpn_sds_heavy_imperial_spc_forces_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3660124331', 'DA2910AB', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('20887612', '13EB83C', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('326500083', '1375FEF3', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_special_forces_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416463612', 'CBA318FC', 'object/tangible/ship/components/weapon/shared_wpn_sds_modified_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1499653630', '5962E5FE', 'object/tangible/ship/components/weapon/shared_wpn_seinar_concussion_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3046767372', 'B599FB0C', 'object/tangible/ship/components/weapon/shared_wpn_seinar_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500305519', '596CD86F', 'object/tangible/ship/components/weapon/shared_wpn_seinar_heatseeker_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1847953292', '6E25878C', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ion_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708108391', 'DD053E67', 'object/tangible/ship/components/weapon/shared_wpn_seinar_linked_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2396153703', '8ED26767', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4266722432', 'FE510480', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls72.iff');
INSERT INTO `object_crc_string_table` VALUES ('3844210807', 'E5220077', 'object/tangible/ship/components/weapon/shared_wpn_sfs_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1173398646', '45F0A476', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665942241', '9EE70CE1', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622464364', 'D7EA6B6C', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_3.iff');
INSERT INTO `object_crc_string_table` VALUES ('738803832', '2C094078', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_4.iff');
INSERT INTO `object_crc_string_table` VALUES ('994450521', '3B461C59', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_special_forces_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810806571', 'E3244B2B', 'object/tangible/ship/components/weapon/shared_wpn_sfs_improved_imperial_blaster_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('674088640', '282DC6C0', 'object/tangible/ship/components/weapon/shared_wpn_slayn_deluxe_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037690567', 'B50F7AC7', 'object/tangible/ship/components/weapon/shared_wpn_slayn_imagerec_missile_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('659233376', '274B1A60', 'object/tangible/ship/components/weapon/shared_wpn_slayn_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606284757', '5FBDF5D5', 'object/tangible/ship/components/weapon/shared_wpn_slayn_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2455152329', '9256A6C9', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229000286', '49410E5E', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3564769891', 'D47A1263', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_dome.iff');
INSERT INTO `object_crc_string_table` VALUES ('52712658', '32454D2', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_med.iff');
INSERT INTO `object_crc_string_table` VALUES ('1162390806', '4548AD16', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_square.iff');
INSERT INTO `object_crc_string_table` VALUES ('1265550250', '4B6EC3AA', 'object/tangible/ship/components/weapon/shared_wpn_std_countermeasure.iff');
INSERT INTO `object_crc_string_table` VALUES ('4160278616', 'F7F8D058', 'object/tangible/ship/components/weapon/shared_wpn_subpro_advanced_cannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401708828', '8F272B1C', 'object/tangible/ship/components/weapon/shared_wpn_subpro_improved_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3317340182', 'C5BA9816', 'object/tangible/ship/components/weapon/shared_wpn_subpro_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1471920679', '57BBBA27', 'object/tangible/ship/components/weapon/shared_wpn_subpro_modified_tricannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320399548', '4EB3B2BC', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tricannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508512617', 'D11FA769', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('449709518', '1ACE05CE', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405313603', '53C36243', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622160774', 'D7E5C986', 'object/tangible/ship/components/weapon/shared_wpn_taim_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1640800907', '61CCA28B', 'object/tangible/ship/components/weapon/shared_wpn_taim_heavy_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('2408591552', '8F9030C0', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3332200269', 'C69D574D', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1479772015', '5833876F', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881367655', '70236467', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx8.iff');
INSERT INTO `object_crc_string_table` VALUES ('959316970', '392E03EA', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx9.iff');
INSERT INTO `object_crc_string_table` VALUES ('6623562', '65114A', 'object/tangible/ship/components/weapon/shared_wpn_tieadvanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543754587', '5C03D35B', 'object/tangible/ship/components/weapon/shared_wpn_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('4095704307', 'F41F7CF3', 'object/tangible/ship/components/weapon/shared_wpn_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374006977', 'C91B42C1', 'object/tangible/ship/components/weapon/shared_wpn_z95_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4194726205', 'FA06713D', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s01_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2138475555', '7F768C23', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s02_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1410960531', '54198C93', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3275853237', 'C3418DB5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2400068612', '8F0E2404', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322102665', 'C6034389', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961692944', '74ED0F10', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap5.iff');
INSERT INTO `object_crc_string_table` VALUES ('368085909', '15F08B95', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap9.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219573456', '844C00D0', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_deluxe_cruiser_grade_cap2.iff');
INSERT INTO `object_crc_string_table` VALUES ('266518392', 'FE2BF78', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('1591296526', '5ED9420E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202667471', 'FA7F9DCF', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_tuned_cruiser_grade_cap1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1734206129', '675DE2B1', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('3158985254', 'BC4A4A26', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('2897720901', 'ACB7B645', 'object/tangible/ship/components/weapon_capacitor/shared_cap_freitek_xd2.iff');
INSERT INTO `object_crc_string_table` VALUES ('18515388', '11A85BC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_gallofree_lt22.iff');
INSERT INTO `object_crc_string_table` VALUES ('700417052', '29BF841C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_generic.iff');
INSERT INTO `object_crc_string_table` VALUES ('345339930', '1495781A', 'object/tangible/ship/components/weapon_capacitor/shared_cap_haor_chall_old_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('928393821', '37562A5D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_huppla_pasa_tisc_old_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3633642593', 'D894FC61', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_bjn825.iff');
INSERT INTO `object_crc_string_table` VALUES ('971147390', '39E2887E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_improved_rebel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737426279', '678F0567', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_rebel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2476449638', '939B9F66', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_special_bjn825.iff');
INSERT INTO `object_crc_string_table` VALUES ('105866207', '64F63DF', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_rendili_hyperbattery.iff');
INSERT INTO `object_crc_string_table` VALUES ('2935211611', 'AEF3C65B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sds_imperial_finest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3196333805', 'BE842EED', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sfs_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2093681588', '7CCB0BB4', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_armek_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('1308361117', '4DFC019D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_deepwell_k33_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('2807586925', 'A758606D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_taim_hypercharger.iff');
INSERT INTO `object_crc_string_table` VALUES ('426882042', '1971B3FA', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_custom_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3900005351', 'E8755BE7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_deluxe_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3764122355', 'E05BF2F3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_elite_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209731504', '83B5D3B0', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_improved_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075122898', 'F2E570D2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('3401812641', 'CAC38AA1', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('824222133', '3120A1B5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016265784', '782DC638', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3333186732', 'C6AC64AC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_rare_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4087524942', 'F3A2AE4E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_tuned_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088781034', 'F3B5D8EA', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_elite_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('659177202', '274A3EF2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1320409852', '4EB3DAFC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1641479793', '61D6FE71', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3133232870', 'BAC156E6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090245483', 'F3CC316B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('137304703', '82F1A7F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092779506', '41227DF2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1092646081', '412074C1', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_performance_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2236352533', '854C0815', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_supercharged_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062359612', '3F52523C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_improved_powermaster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261155014', 'FDFC10C6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('652982353', '26EBB851', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1877401564', '6FE6DFDC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2483418312', '9405F4C8', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708326725', 'DD089345', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1628218941', '610CA63D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powersoak.iff');
INSERT INTO `object_crc_string_table` VALUES ('2499929805', '9501E6CD', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_provider_p1.iff');
INSERT INTO `object_crc_string_table` VALUES ('782841496', '2EA93698', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_rare_powermaster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992126029', 'EDF3024D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_special_powermaster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('549991474', '20C83432', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_tuned_powermaster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713051365', 'A1B5E0E5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_imperial_rendili_k_class.iff');
INSERT INTO `object_crc_string_table` VALUES ('2617588856', '9C053C78', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_neutral_sorosuub_v1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350376627', '507D1CB3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_rebel_qualdex_battery_array.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145639863', '7FE3DDB7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('905494263', '35F8BEF7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_charged_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('1276287045', '4C129845', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_deluxe_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3651162594', 'D9A051E2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('3865253340', 'E66315DC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_enhanced_advanced.iff');
INSERT INTO `object_crc_string_table` VALUES ('1210621339', '48289D9B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2305859909', '8970A145', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('565817686', '21B9B156', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_heavy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034330448', '3DA6A150', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('1601074972', '5F6E771C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122277506', '7E7F6282', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_deluxe_wampa_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3491064416', 'D0156A60', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('1296746974', '4D4AC9DE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental_sarlacc_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2694446356', 'A099FD14', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2072925571', '7B8E5583', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('847458830', '3283320E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1595351643', '5F17225B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_small_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2833268516', 'A8E03F24', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1945606067', '73F797B3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('989524030', '3AFAF03E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3673224579', 'DAF0F583', 'object/tangible/ship/components/weapon_capacitor/shared_cap_prototype_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2253174399', '864CB67F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2797090300', 'A6B835FC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822197061', 'E3D21945', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx1.iff');
INSERT INTO `object_crc_string_table` VALUES ('952480210', '38C5B1D2', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1908987487', '71C8D65F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318138699', '8A2BFD4B', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3274087110', 'C3269AC6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2515055959', '95E8B557', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('3526039001', 'D22B15D9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2197546366', '82FBE57E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('896476191', '356F241F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580709564', '99D280BC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j7.iff');
INSERT INTO `object_crc_string_table` VALUES ('601402542', '23D8ACAE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2828974582', 'A89EB9F6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_mandal_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2272053445', '876CC8C5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_novaldex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774529918', 'A55FF77E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_qualdex_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2275626808', '87A34F38', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_sorosuub_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('396325004', '179F708C', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_subpro_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('118943742', '716EFFE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rss_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562369407', '98BAA77F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1135415272', '43AD0FE8', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3112239614', 'B98101FE', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_special_imperial_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072116165', 'B71CC5C5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sfs_imperial_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1029784328', '3D614308', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3866553247', 'E676EB9F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2944109586', 'AF7B8C12', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1419290374', '5498A706', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3213086713', 'BF83CFF9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_enhanced_dynamo_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4165561226', 'F8496B8A', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_flash.iff');
INSERT INTO `object_crc_string_table` VALUES ('1816017894', '6C3E3BE6', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_premium_dynamo_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2228066878', '84CD9A3E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_supercharged_dynamo_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1077552108', '403A23EC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_tuned_dynamo_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1127759031', '43383CB7', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_turbo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229533676', '494931EC', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4222057845', 'FBA77D75', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2112122777', '7DE46F99', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2800994062', 'A6F3C70E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4026441859', 'EFFEA083', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3850921327', 'E588656F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('242825300', 'E793854', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_gallant_a1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126492799', '7EBFB47F', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_improved_valiant_z1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3037503050', 'B50C9E4A', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_modified_defiant_c1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976722601', '75D264A9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2932198462', 'AEC5CC3E', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z2.iff');
INSERT INTO `object_crc_string_table` VALUES ('189859741', 'B51079D', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('278033573', '109274A5', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3414547506', 'CB85DC32', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2189999039', '8288BBBF', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1515496099', '5A54A2A3', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('251613793', 'EFF5261', 'object/tangible/ship/components/weapon_capacitor/shared_cap_unknown_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('1814952361', '6C2DF9A9', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040861908', '79A514D4', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_experimental.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065987757', 'B6BF42AD', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k3.iff');
INSERT INTO `object_crc_string_table` VALUES ('72420916', '4510E34', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k5.iff');
INSERT INTO `object_crc_string_table` VALUES ('635272917', '25DD7ED5', 'object/tangible/ship/components/weapon_capacitor/shared_weapon_capacitor_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119994654', 'B9F7571E', 'object/tangible/ship/crafted/armor/shared_adv_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2997247202', 'B2A65CE2', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1773270133', '69B1F475', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('549229560', '20BC93F8', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3680483564', 'DB5FB8EC', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2454904673', '9252DF61', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2002100175', '77559FCF', 'object/tangible/ship/crafted/armor/shared_base_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('773618140', '2E1C79DC', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('2949774675', 'AFD1FD53', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1959155140', '74C655C4', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1036726857', '3DCB3249', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3324516701', 'C628195D', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2401599184', '8F257ED0', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660462348', '62F8A50C', 'object/tangible/ship/crafted/armor/shared_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2006663885', '779B42CD', 'object/tangible/ship/crafted/armor/shared_experimental_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3716397337', 'DD83B919', 'object/tangible/ship/crafted/armor/shared_heavy_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('2691365358', 'A06AF9EE', 'object/tangible/ship/crafted/armor/shared_light_durasteel_plating.iff');
INSERT INTO `object_crc_string_table` VALUES ('3987898855', 'EDB281E7', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('916793712', '36A52970', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141736701', '7FA84EFD', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2219533801', '844B65E9', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443917412', 'CD460264', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1020427901', '3CD27E7D', 'object/tangible/ship/crafted/booster/shared_base_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1262367016', '4B3E3128', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1571131488', '5DA59060', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2259826935', '86B238F7', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485425530', 'CFBF5F7A', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('878474350', '345C746E', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102465507', '7D5113E3', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('4241371436', 'FCCE312C', 'object/tangible/ship/crafted/booster/shared_basic_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453813442', '56A76EC2', 'object/tangible/ship/crafted/booster/shared_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2377172565', '8DB0C655', 'object/tangible/ship/crafted/booster/shared_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3300762072', 'C4BDA1D8', 'object/tangible/ship/crafted/booster/shared_booster_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1063160524', '3F5E8ACC', 'object/tangible/ship/crafted/booster/shared_booster_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1985211713', '7653ED41', 'object/tangible/ship/crafted/booster/shared_booster_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('364252825', '15B60E99', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466700302', 'CEA1A60E', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2276245891', '87ACC183', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085612183', '7C4FEA97', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('893553946', '35428D1A', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('675357004', '2841214C', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4082534875', 'F35689DB', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126586966', 'BA5BEE56', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1102628162', '41B8C542', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('146121423', '8B5A2CF', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('943059743', '3835F31F', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3810679688', 'E3225B88', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2855222277', 'AA2F3C05', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1372329745', '51CC1711', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('415330460', '18C1709C', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('771601122', '2DFDB2E2', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142537333', 'F6EA1A75', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3219619320', 'BFE77DF8', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1141135084', '440456EC', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('218706273', 'D093161', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203730256', '47BF7750', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2628313031', '9CA8DFC7', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3843288645', 'E513EE45', 'object/tangible/ship/crafted/capacitor/shared_advanced_capacitor_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('4282694391', 'FF44BAF7', 'object/tangible/ship/crafted/capacitor/shared_advanced_recharge_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('3064505654', 'B6A8A536', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4258529862', 'FDD40246', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484781854', '587FF91E', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204651913', '83685189', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3395630596', 'CA653604', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('830872848', '31861D10', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022406813', '788B7A9D', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1364868080', '515A3BF0', 'object/tangible/ship/crafted/capacitor/shared_basic_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('277361603', '108833C3', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416234836', 'CB9F9B54', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2190671065', '8292FCD9', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2037503949', '7971D7CD', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('813477952', '307CB040', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('598079079', '23A5F667', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4172439280', 'F8B25EF0', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2982099325', 'B1BF397D', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247548009', '4A5C1269', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('55670244', '35175E4', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281522685', '4C627BFD', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2541081450', '9775D36A', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732452583', 'DE78B4E7', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('630956019', '259B9FF3', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1821833342', '6C96F87E', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1987626722', '7678C6E2', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2909761141', 'AD6F6E75', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3831630328', 'E46209F8', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('528556780', '1F8122EC', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1452033377', '568C4561', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1831490574', '6D2A540E', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3057515673', 'B63DFC99', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4281375508', 'FF309B14', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('80982016', '4D3B000', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1306449805', '4DDED78D', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3218110775', 'BFD07937', 'object/tangible/ship/crafted/capacitor/shared_standard_capacitor_battery.iff');
INSERT INTO `object_crc_string_table` VALUES ('4261874664', 'FE070BE8', 'object/tangible/ship/crafted/capacitor/shared_standard_recharge_module.iff');
INSERT INTO `object_crc_string_table` VALUES ('195949306', 'BADF2FA', 'object/tangible/ship/crafted/chassis/shared_awing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3908589416', 'E8F85768', 'object/tangible/ship/crafted/chassis/shared_base_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2022853613', '78924BED', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4259493619', 'FDE2B6F3', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104628884', '7D721694', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4089598328', 'F3C25178', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394693840', 'CA56EAD0', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1327896526', '4F2617CE', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3484858281', 'CFB6B7A9', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1090973765', '4106F045', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166754060', '458B410C', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237723154', 'C0FBBC12', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1080761461', '406B1C75', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s03_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3470482329', 'CEDB5B99', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s04_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3283460537', 'C3B5A1B9', 'object/tangible/ship/crafted/chassis/shared_bwing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1060557321', '3F36D209', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('357847559', '15545207', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2488529697', '9453F321', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329879990', '4F445BB6', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329933896', '4F452E48', 'object/tangible/ship/crafted/chassis/shared_chassis_tiefighter_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3155334906', 'BC1296FA', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('629673787', '25880F3B', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961922253', 'EC2622CD', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2633197406', '9CF3675E', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2732841781', 'A2E3DB35', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_body.iff');
INSERT INTO `object_crc_string_table` VALUES ('3648939768', 'D97E66F8', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_cockpit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1398777236', '535FA594', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('596303879', '238AE007', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3999213800', 'EE5F28E8', 'object/tangible/ship/crafted/chassis/shared_decimator_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2182625467', '821838BB', 'object/tangible/ship/crafted/chassis/shared_firespray_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022324315', 'B425025B', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('827719493', '3155FF45', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('115450726', '6E1A366', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2207342200', '83915E78', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2588212465', '9A44FCF1', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s01_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('523502063', '1F3401EF', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s02_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2817524533', 'A7F00335', 'object/tangible/ship/crafted/chassis/shared_hutt_turret_ship_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1195910466', '47482542', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2623507925', '9C5F8DD5', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578980952', 'D552EA58', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('783401292', '2EB1C14C', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1740416705', '67BCA6C1', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165326934', 'BCAB0E56', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2702453550', 'A1142B2E', 'object/tangible/ship/crafted/chassis/shared_tie_in_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3943699590', 'EB101486', 'object/tangible/ship/crafted/chassis/shared_tie_light_duty_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('535268402', '1FE78C32', 'object/tangible/ship/crafted/chassis/shared_tieadvanced_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('738814292', '2C096954', 'object/tangible/ship/crafted/chassis/shared_tieaggressor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2145194763', '7FDD130B', 'object/tangible/ship/crafted/chassis/shared_tiebomber_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1456733944', '56D3FEF8', 'object/tangible/ship/crafted/chassis/shared_tiefighter_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416726666', 'CBA71C8A', 'object/tangible/ship/crafted/chassis/shared_tieinterceptor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('471077979', '1C14145B', 'object/tangible/ship/crafted/chassis/shared_tieoppressor_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3720915529', 'DDC8AA49', 'object/tangible/ship/crafted/chassis/shared_xwing_customization_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('371125137', '161EEB91', 'object/tangible/ship/crafted/chassis/shared_xwing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('829078012', '316AB9FC', 'object/tangible/ship/crafted/chassis/shared_ykl37r_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2624812962', '9C7377A2', 'object/tangible/ship/crafted/chassis/shared_yt1300_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1374233936', '51E92550', 'object/tangible/ship/crafted/chassis/shared_ywing_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027627051', 'B475EC2B', 'object/tangible/ship/crafted/chassis/shared_ywing_longprobe_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('689633436', '291AF89C', 'object/tangible/ship/crafted/chassis/shared_z95_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2841202755', 'A9595043', 'object/tangible/ship/crafted/droid_interface/shared_advanced_droid_harness.iff');
INSERT INTO `object_crc_string_table` VALUES ('3849212575', 'E56E529F', 'object/tangible/ship/crafted/droid_interface/shared_advanced_ship_circuitry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488124234', '58B2F94A', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1094447812', '413BF2C4', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1600874546', '5F6B6832', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2222768293', '847CC0A5', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3446777640', 'CD71A728', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('915573820', '36928C3C', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2141186993', '7F9FEBB1', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467786259', 'CEB23813', 'object/tangible/ship/crafted/droid_interface/shared_basic_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('1368476927', '51914CFF', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324096104', '8A86E468', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3280700389', 'C38B83E5', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('946383089', '3868A8F1', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1902497660', '7165CF7C', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1290028693', '4CE44695', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273558131', '8783BE73', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1553209060', '5C9416E4', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('362377577', '15997169', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4000995965', 'EE7A5A7D', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2809609712', 'A7773DF0', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('930004332', '376EBD6C', 'object/tangible/ship/crafted/droid_interface/shared_droid_harness.iff');
INSERT INTO `object_crc_string_table` VALUES ('82900645', '4F0F6A5', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3756482098', 'DFE75E32', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2531932607', '96EA39BF', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1829311147', '6D0912AB', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('604271910', '24047526', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2846440032', 'A9A93A60', 'object/tangible/ship/crafted/engine/shared_adv_exhaust.iff');
INSERT INTO `object_crc_string_table` VALUES ('2039436347', '798F543B', 'object/tangible/ship/crafted/engine/shared_adv_fuel_regulation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2452306838', '922B3B96', 'object/tangible/ship/crafted/engine/shared_base_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308703133', '899C039D', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('2017675952', '78434AB0', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2740249127', 'A354E227', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3931735466', 'EA5985AA', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('297447102', '11BAAEBE', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1488439603', '58B7C933', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('870814192', '33E791F0', 'object/tangible/ship/crafted/engine/shared_basic_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('1052168697', '3EB6D1F9', 'object/tangible/ship/crafted/engine/shared_eng_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852564846', 'E5A1796E', 'object/tangible/ship/crafted/engine/shared_eng_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2896961251', 'ACAC1EE3', 'object/tangible/ship/crafted/engine/shared_eng_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1464808951', '574F35F7', 'object/tangible/ship/crafted/engine/shared_eng_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('507662970', '1E42527A', 'object/tangible/ship/crafted/engine/shared_eng_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('309168025', '126D8799', 'object/tangible/ship/crafted/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416982276', 'CBAB0304', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('280800147', '10BCAB93', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504824350', '59B1CC1E', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2723342090', 'A252E70A', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3948904583', 'EB5F8087', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1922300191', '7293F91F', 'object/tangible/ship/crafted/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `object_crc_string_table` VALUES ('110706461', '6993F1D', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3717109642', 'DD8E978A', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491674631', '9483F007', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1868618515', '6F60DB13', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('644725918', '266DBC9E', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2354509902', '8C56F84E', 'object/tangible/ship/crafted/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1660885565', '62FF1A3D', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3119035050', 'B9E8B2AA', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4041594151', 'F0E5D527', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4185825259', 'F97E9FEB', 'object/tangible/ship/crafted/engine/shared_std_exhaust.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036202637', 'F093908D', 'object/tangible/ship/crafted/engine/shared_std_fuel_regulation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2957310385', 'B044F9B1', 'object/tangible/ship/crafted/reactor/shared_advanced_fusion_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('4065301062', 'F24F9246', 'object/tangible/ship/crafted/reactor/shared_advanced_power_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073763603', 'F2D0B313', 'object/tangible/ship/crafted/reactor/shared_base_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2892822392', 'AC6CF778', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('3936392569', 'EAA09579', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('834092526', '31B73DEE', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025478755', '78BA5A63', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2203677047', '83597177', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3394508538', 'CA5416FA', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1900869763', '714CF883', 'object/tangible/ship/crafted/reactor/shared_basic_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172827767', 'BD1D8277', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1711942368', '660A2AE0', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('789007725', '2F074D6D', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3571738233', 'D4E46679', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2649293300', '9DE901F4', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('118151162', '70AD7FA', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3692920685', 'DC1D7F6D', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2500860128', '951018E0', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1861432308', '6EF333F4', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('670979193', '27FE5479', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1124351052', '43043C4C', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551420123', '981394DB', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3508466518', 'D11EF356', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('721279042', '2AFDD842', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676722127', '63F0BFCF', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3532622984', 'D28F8C88', 'object/tangible/ship/crafted/reactor/shared_standard_fusion_core.iff');
INSERT INTO `object_crc_string_table` VALUES ('2827748660', 'A88C0534', 'object/tangible/ship/crafted/reactor/shared_standard_power_distributor.iff');
INSERT INTO `object_crc_string_table` VALUES ('4170937873', 'F89B7611', 'object/tangible/ship/crafted/repair/shared_repair_kit_armor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1229310280', '4945C948', 'object/tangible/ship/crafted/repair/shared_repair_kit_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1003395918', '3BCE9B4E', 'object/tangible/ship/crafted/repair/shared_repair_kit_booster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4086932014', 'F399A22E', 'object/tangible/ship/crafted/repair/shared_repair_kit_chassis.iff');
INSERT INTO `object_crc_string_table` VALUES ('3855703758', 'E5D15ECE', 'object/tangible/ship/crafted/repair/shared_repair_kit_droid_interface.iff');
INSERT INTO `object_crc_string_table` VALUES ('4137917364', 'F6A39BB4', 'object/tangible/ship/crafted/repair/shared_repair_kit_engine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3545826505', 'D35904C9', 'object/tangible/ship/crafted/repair/shared_repair_kit_hull.iff');
INSERT INTO `object_crc_string_table` VALUES ('3287770531', 'C3F765A3', 'object/tangible/ship/crafted/repair/shared_repair_kit_plasma_conduit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1646486394', '6223637A', 'object/tangible/ship/crafted/repair/shared_repair_kit_reactor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2366222507', '8D09B0AB', 'object/tangible/ship/crafted/repair/shared_repair_kit_shield_generator.iff');
INSERT INTO `object_crc_string_table` VALUES ('807989435', '3028F0BB', 'object/tangible/ship/crafted/repair/shared_repair_kit_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('3322698996', 'C60C5CF4', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3536823939', 'D2CFA683', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon_capacitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1581832074', '5E48D78A', 'object/tangible/ship/crafted/reverse_engineering/shared_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210363983', 'BF5A444F', 'object/tangible/ship/crafted/reverse_engineering/shared_armor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('152781532', '91B42DC', 'object/tangible/ship/crafted/reverse_engineering/shared_booster_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883452731', 'E778C93B', 'object/tangible/ship/crafted/reverse_engineering/shared_capacitor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3288485718', 'C4024F56', 'object/tangible/ship/crafted/reverse_engineering/shared_droid_interface_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2923796744', 'AE459908', 'object/tangible/ship/crafted/reverse_engineering/shared_engine_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('504265508', '1E0E7B24', 'object/tangible/ship/crafted/reverse_engineering/shared_reactor_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2940108042', 'AF3E7D0A', 'object/tangible/ship/crafted/reverse_engineering/shared_retrofit_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3729905970', 'DE51D932', 'object/tangible/ship/crafted/reverse_engineering/shared_shields_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('2156748122', '808D5D5A', 'object/tangible/ship/crafted/reverse_engineering/shared_weapon_analysis_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('512254018', '1E886042', 'object/tangible/ship/crafted/shields/shared_adv_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3156847701', 'BC29AC55', 'object/tangible/ship/crafted/shields/shared_advanced_projector_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1334075435', '4F84602B', 'object/tangible/ship/crafted/shields/shared_base_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('501625805', '1DE633CD', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('1088509023', '40E1545F', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2616655048', '9BF6FCC8', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539704645', 'D2FB9B45', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('689483857', '2918B051', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1612044252', '6015D7DC', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2199672090', '831C551A', 'object/tangible/ship/crafted/shields/shared_basic_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2014890702', '7818CACE', 'object/tangible/ship/crafted/shields/shared_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2951736677', 'AFEFED65', 'object/tangible/ship/crafted/shields/shared_exp_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437680347', 'CCE6D6DB', 'object/tangible/ship/crafted/shields/shared_heavy_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970588716', 'B10F962C', 'object/tangible/ship/crafted/shields/shared_light_deflector_shields.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931620288', '73222FC0', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822080343', 'A8358757', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3778601178', 'E138E0DA', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('450612174', '1ADBCBCE', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1406577731', '53D6AC43', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('46751920', '2C960B0', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3655256103', 'D9DEC827', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2429792170', '90D3AFAA', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1798341822', '6B3084BE', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('574481203', '223DE333', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3366846680', 'C8AE00D8', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('330934351', '13B9A84F', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521799106', '5AB4CFC2', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2706891990', 'A157E4D6', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3898245979', 'E85A835B', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951222314', '744D4A2A', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2941969085', 'AF5AE2BD', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3864495408', 'E6578530', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('498380324', '1DB4AE24', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1421461929', '54B9C9A9', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('129931938', '7BE9AA2', 'object/tangible/ship/crafted/shields/shared_standard_projector_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245525817', 'C172CB39', 'object/tangible/ship/crafted/weapon/missile/shared_base_countermeasure.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672702928', '63B36BD0', 'object/tangible/ship/crafted/weapon/missile/shared_base_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3047216132', 'B5A0D404', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1564710260', '5D439574', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2635857595', '9D1BFEBB', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1375246682', '51F8995A', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('822727721', '3109D429', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('17293110', '107DF36', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4142390620', 'F6E7DD5C', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('3439723072', 'CD060240', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('4217308443', 'FB5F051B', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('103083573', '624EE35', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2943273728', 'AF6ECB00', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453812677', '56A76BC5', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2657624858', '9E68231A', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1873034308', '6FA43C44', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_pack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2871566567', 'AB28A0E7', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1883179120', '703F0870', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('959606781', '39326FFD', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('190158470', 'B559686', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3494002193', 'D0423E11', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721026212', 'A22F90A4', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2033727539', '79383833', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('808804286', '30355FBE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109435894', '4220A5F6', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2570521953', '99370D61', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2118814960', '7E4A8CF0', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2774344807', 'A55D2467', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964683242', 'EC5043EA', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('397633790', '17B368FE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922914559', 'AE3822FF', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1966049896', '752F8A68', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008922085', '3C22EDE5', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027823737', 'B478EC79', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1869563118', '6F6F44EE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1356357630', '50D85FFE', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2345662313', '8BCFF769', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3267530980', 'C2C290E4', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('958512112', '3921BBF0', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1794422147', '6AF4B583', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2984451348', 'B1E31D14', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4176378521', 'F8EE7A99', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3906161899', 'E8D34CEB', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('868541564', '33C4E47C', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303674527', '894F489F', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1381556232', '5258E008', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('458590085', '1B558785', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3770068113', 'E0B6AC91', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2847656732', 'A9BBCB1C', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2953001640', 'B0033AA8', 'object/tangible/ship/crafted/weapon/shared_base_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696759306', '65227E0A', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144294137', 'F704E8F9', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('739459182', '2C13406E', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1696475107', '651E27E3', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2667384055', '9EFD0CF7', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3622857594', 'D7F06B7A', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3239954606', 'C11DC8AE', 'object/tangible/ship/crafted/weapon/shared_basic_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2497461315', '94DC3C43', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1338741972', '4FCB94D4', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('113701721', '6C6F359', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247115853', 'FD25D84D', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022569408', 'B428BFC0', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('610130248', '245DD948', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4283068895', 'FF4A71DF', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3058112082', 'B6471652', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1302609222', '4DA43D46', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('78207691', '4A95ACB', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1346962133', '504902D5', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2338236994', '8B5EAA42', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3260272079', 'C253CDCF', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('967894747', '39B0E6DB', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891467606', '70BD8156', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1809056781', '6BD4040D', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2965613722', 'B0C3AC9A', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4191079191', 'F9CECB17', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('36560899', '22DE003', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1260423054', '4B20878E', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('560730926', '216C132E', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4202412985', 'FA7BBBB9', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3010911284', 'B376DC34', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1217787680', '4895F720', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk4.iff');
INSERT INTO `object_crc_string_table` VALUES ('26775725', '19890AD', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk5.iff');
INSERT INTO `object_crc_string_table` VALUES ('2853736517', 'AA189045', 'object/tangible/ship/crafted/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1179374625', '464BD421', 'object/tangible/ship/crafted/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2659812079', '9E8982EF', 'object/tangible/ship/crafted/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('442446187', '1A5F316B', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1237633285', '49C4C905', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('155333164', '942322C', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500710454', '59730636', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2125855304', '7EB5FA48', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2441037978', '917F489A', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('209959232', 'C83B940', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1555205466', '5CB28D5A', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2536076684', '9729758C', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2144438671', '7FD1898F', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('678304198', '286E19C6', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('2019503580', '785F2DDC', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('449015883', '1AC3704B', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('2431967026', '90F4DF32', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('1483969238', '587392D6', 'object/tangible/ship/crafted/weapon/shared_wpn_light_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('138585804', '842A6CC', 'object/tangible/ship/crafted/weapon/shared_wpn_light_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3503157273', 'D0CDF019', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('928727391', '375B415F', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('232741717', 'DDF5B55', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_disruptor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575907151', '5DEE6F4F', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_ioncannon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2278316907', '87CC5B6B', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1557918716', '5CDBF3FC', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2209400056', '83B0C4F8', 'object/tangible/ship/customization/shared_xwing_gun_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1487367279', '58A76C6F', 'object/tangible/ship/customization/shared_xwing_gun_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('900489122', '35AC5FA2', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4005295925', 'EEBBF735', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974262189', 'ECE26DAD', 'object/tangible/ship/interior_components/shared_alarm_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1352184706', '5098B382', 'object/tangible/ship/interior_components/shared_booster_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2832895610', 'A8DA8E7A', 'object/tangible/ship/interior_components/shared_capacitor_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3377520816', 'C950E0B0', 'object/tangible/ship/interior_components/shared_droid_interface_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2189154037', '827BD6F5', 'object/tangible/ship/interior_components/shared_engine_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3990614703', 'EDDBF2AF', 'object/tangible/ship/interior_components/shared_escape_pod_hatch.iff');
INSERT INTO `object_crc_string_table` VALUES ('3234906407', 'C0D0C127', 'object/tangible/ship/interior_components/shared_hull_access_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880861694', 'E7513FFE', 'object/tangible/ship/interior_components/shared_hyperdrive_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650278519', '625D4077', 'object/tangible/ship/interior_components/shared_interior_component_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3443371299', 'CD3DAD23', 'object/tangible/ship/interior_components/shared_life_support_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763171458', 'E04D7082', 'object/tangible/ship/interior_components/shared_missile_launcher_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308870721', 'C5395C41', 'object/tangible/ship/interior_components/shared_plasma_conduit_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2128920004', '7EE4BDC4', 'object/tangible/ship/interior_components/shared_reactor_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1208361503', '4806221F', 'object/tangible/ship/interior_components/shared_shield_generator_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082379213', '7C1E95CD', 'object/tangible/ship/interior_components/shared_targeting_station_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('1599351425', '5F542A81', 'object/tangible/ship/interior_components/shared_weapon_interior.iff');
INSERT INTO `object_crc_string_table` VALUES ('3541722217', 'D31A6469', 'object/tangible/shipcontrol/shared_pilot_chair.iff');
INSERT INTO `object_crc_string_table` VALUES ('543526931', '20659013', 'object/tangible/shipcontrol/shared_shipcontrol_corvette.iff');
INSERT INTO `object_crc_string_table` VALUES ('362033500', '1594315C', 'object/tangible/shipcontrol/shared_shipcontrol_falcon.iff');
INSERT INTO `object_crc_string_table` VALUES ('752872042', '2CDFEA6A', 'object/tangible/shipcontrol/shared_shipoperations_falcon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3238239508', 'C1039D14', 'object/tangible/shipcontrol/shared_turretcontrol_falcon.iff');
INSERT INTO `object_crc_string_table` VALUES ('315011154', '12C6B052', 'object/tangible/shipcontrol/shared_turretcontrol_vt49.iff');
INSERT INTO `object_crc_string_table` VALUES ('675816768', '28482540', 'object/tangible/sign/base/shared_base_sign.iff');
INSERT INTO `object_crc_string_table` VALUES ('354971311', '15286EAF', 'object/tangible/sign/municipal/base/shared_municipal_sign_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3236011689', 'C0E19EA9', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410306211', 'CB4524A3', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cantina.iff');
INSERT INTO `object_crc_string_table` VALUES ('3771237737', 'E0C88569', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_capitol.iff');
INSERT INTO `object_crc_string_table` VALUES ('3647827532', 'D96D6E4C', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cloning.iff');
INSERT INTO `object_crc_string_table` VALUES ('1785001308', '6A64F55C', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_combat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1680490925', '642A41AD', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_commerce.iff');
INSERT INTO `object_crc_string_table` VALUES ('3811548404', 'E32F9CF4', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hospital.iff');
INSERT INTO `object_crc_string_table` VALUES ('101788547', '6112B83', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hotel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2041501823', '79AED87F', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_parking.iff');
INSERT INTO `object_crc_string_table` VALUES ('2402289971', '8F300933', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('555356506', '211A115A', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_starport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1423370292', '54D6E834', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_theater.iff');
INSERT INTO `object_crc_string_table` VALUES ('2713174086', 'A1B7C046', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_university.iff');
INSERT INTO `object_crc_string_table` VALUES ('2165019612', '810B93DC', 'object/tangible/sign/player/banner/shared_banner_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294986677', '4D2FEDB5', 'object/tangible/sign/player/banner/shared_pa_hall.iff');
INSERT INTO `object_crc_string_table` VALUES ('1607004274', '5FC8F072', 'object/tangible/sign/player/base/shared_player_sign_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1431689328', '5555D870', 'object/tangible/sign/player/base/shared_shop_sign_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2527534357', '96A71D15', 'object/tangible/sign/player/shared_house_address.iff');
INSERT INTO `object_crc_string_table` VALUES ('1770300189', '6984A31D', 'object/tangible/sign/player/shared_house_address_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3585850510', 'D5BBBC8E', 'object/tangible/sign/player/shared_house_address_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1439154818', '55C7C282', 'object/tangible/sign/player/shared_house_address_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('3889554743', 'E7D5E537', 'object/tangible/sign/player/shared_shop_sign_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1019366816', '3CC24DA0', 'object/tangible/sign/player/shared_shop_sign_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976511021', '75CF2A2D', 'object/tangible/sign/player/shared_shop_sign_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2385248569', '8E2C0139', 'object/tangible/sign/player/shared_shop_sign_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('533444800', '1FCBB8C0', 'object/tangible/sign/shared_all_sign_city_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302756439', 'C4DC1057', 'object/tangible/sign/shared_all_sign_city_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2379315162', '8DD177DA', 'object/tangible/sign/shared_all_sign_city_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1023580937', '3D029B09', 'object/tangible/sign/shared_all_sign_street_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('281440325', '10C67045', 'object/tangible/sign/shared_streetsign_upright_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1744336727', '67F87757', 'object/tangible/sign/shared_streetsign_wall_style_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('166858799', '9F2102F', 'object/tangible/sign/shared_tatooine_moraj_marker.iff');
INSERT INTO `object_crc_string_table` VALUES ('150738371', '8FC15C3', 'object/tangible/skill_buff/base/shared_skill_buff_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3070103050', 'B6FE0E0A', 'object/tangible/skill_buff/shared_skill_buff_carbine_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417642005', '901A4A15', 'object/tangible/skill_buff/shared_skill_buff_carbine_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1148030361', '446D8D99', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2003739536', '776EA390', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2803312333', 'A71726CD', 'object/tangible/skill_buff/shared_skill_buff_mask_scent.iff');
INSERT INTO `object_crc_string_table` VALUES ('687567212', '28FB716C', 'object/tangible/skill_buff/shared_skill_buff_melee_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148321230', 'BBA791CE', 'object/tangible/skill_buff/shared_skill_buff_melee_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('336832987', '1413A9DB', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3043511880', 'B5684E48', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053673313', 'F19E2561', 'object/tangible/skill_buff/shared_skill_buff_pistol_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3705181543', 'DCD89567', 'object/tangible/skill_buff/shared_skill_buff_pistol_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2877612542', 'AB84E1FE', 'object/tangible/skill_buff/shared_skill_buff_polearm_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2574942749', '997A821D', 'object/tangible/skill_buff/shared_skill_buff_polearm_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321374102', '8A5D5B96', 'object/tangible/skill_buff/shared_skill_buff_ranged_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('655697476', '27152644', 'object/tangible/skill_buff/shared_skill_buff_ranged_defense.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676691901', '63F049BD', 'object/tangible/skill_buff/shared_skill_buff_rifle_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002436514', '3BBFF7A2', 'object/tangible/skill_buff/shared_skill_buff_rifle_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('675038361', '283C4499', 'object/tangible/skill_buff/shared_skill_buff_thrown_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671557576', '9F3CBBC8', 'object/tangible/skill_buff/shared_skill_buff_thrown_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1962907578', '74FF97BA', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2007596912', '77A97F70', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213257613', '83EBA18D', 'object/tangible/skill_buff/shared_skill_buff_unarmed_accuracy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2704330106', 'A130CD7A', 'object/tangible/skill_buff/shared_skill_buff_unarmed_speed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2423629000', '9075A4C8', 'object/tangible/slicing/shared_slicing_armor_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('352400896', '15013600', 'object/tangible/slicing/shared_slicing_flow_analyzer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3905355100', 'E8C6FD5C', 'object/tangible/slicing/shared_slicing_laser_knife.iff');
INSERT INTO `object_crc_string_table` VALUES ('2663745100', '9EC5864C', 'object/tangible/slicing/shared_slicing_molecular_clamp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282826133', 'C3ABF395', 'object/tangible/slicing/shared_slicing_weapon_upgrade_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1336476935', '4FA90507', 'object/tangible/space/content_infrastructure/shared_basic_corridor_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('2123564231', '7E9304C7', 'object/tangible/space/content_infrastructure/shared_basic_generic_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('233417941', 'DE9ACD5', 'object/tangible/space/content_infrastructure/shared_basic_patrol_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('283550594', '10E6A382', 'object/tangible/space/content_infrastructure/shared_basic_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712609943', 'A1AF2497', 'object/tangible/space/content_infrastructure/shared_content_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('2186464753', '8252CDF1', 'object/tangible/space/content_infrastructure/shared_corridor_end_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('4139087673', 'F6B57739', 'object/tangible/space/content_infrastructure/shared_corridor_start_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('2261680514', '86CE8182', 'object/tangible/space/content_infrastructure/shared_generic_egg_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('4256567837', 'FDB6121D', 'object/tangible/space/content_infrastructure/shared_patrol_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('493351489', '1D67F241', 'object/tangible/space/content_infrastructure/shared_quest_manager.iff');
INSERT INTO `object_crc_string_table` VALUES ('339299356', '14394C1C', 'object/tangible/space/content_infrastructure/shared_quest_nav_point.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763775974', 'E056A9E6', 'object/tangible/space/content_infrastructure/shared_wave_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1578605257', '5E179AC9', 'object/tangible/space/mission_objects/shared_palace_access_doc.iff');
INSERT INTO `object_crc_string_table` VALUES ('1004695364', '3BE26F44', 'object/tangible/space/mission_objects/shared_transfer_auth.iff');
INSERT INTO `object_crc_string_table` VALUES ('3055118687', 'B619695F', 'object/tangible/space/spacestations/shared_spacestation_imperial_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2372198483', '8D64E053', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('3537441951', 'D2D9149F', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_entry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417244262', '90143866', 'object/tangible/space/spacestations/shared_spacestation_neutral_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2407802973', '8F84285D', 'object/tangible/space/spacestations/shared_spacestation_rebel_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861915556', 'E63027A4', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('2272557315', '87747903', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_entry.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384769825', '5289E921', 'object/tangible/space/special_loot/shared_encoded_document.iff');
INSERT INTO `object_crc_string_table` VALUES ('3265273647', 'C2A01F2F', 'object/tangible/space/special_loot/shared_firespray_schematic.iff');
INSERT INTO `object_crc_string_table` VALUES ('3529502508', 'D25FEF2C', 'object/tangible/space/special_loot/shared_firespray_schematic_part1.iff');
INSERT INTO `object_crc_string_table` VALUES ('155731899', '94847BB', 'object/tangible/space/special_loot/shared_firespray_schematic_part2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1078272054', '40452036', 'object/tangible/space/special_loot/shared_firespray_schematic_part3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3148221218', 'BBA60B22', 'object/tangible/space/special_loot/shared_firespray_schematic_part4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4071320751', 'F2AB6CAF', 'object/tangible/space/special_loot/shared_firespray_schematic_part5.iff');
INSERT INTO `object_crc_string_table` VALUES ('700236856', '29BCC438', 'object/tangible/space/special_loot/shared_firespray_schematic_part6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622254517', '60B1A3B5', 'object/tangible/space/special_loot/shared_firespray_schematic_part7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3669725095', 'DABB8FA7', 'object/tangible/space/special_loot/shared_firespray_schematic_part8.iff');
INSERT INTO `object_crc_string_table` VALUES ('3579895697', 'D560DF91', 'object/tangible/space/story_loot/shared_loot_all_freighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3551864923', 'D3B5285B', 'object/tangible/space/story_loot/shared_loot_all_freighter_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723215073', '66B62CE1', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro.iff');
INSERT INTO `object_crc_string_table` VALUES ('592143953', '234B6651', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3245065394', 'C16BC4B2', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun.iff');
INSERT INTO `object_crc_string_table` VALUES ('298529626', '11CB335A', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4024561732', 'EFE1F044', 'object/tangible/space/story_loot/shared_loot_dantooine_force.iff');
INSERT INTO `object_crc_string_table` VALUES ('2359349823', '8CA0D23F', 'object/tangible/space/story_loot/shared_loot_dantooine_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3751168254', 'DF9648FE', 'object/tangible/space/story_loot/shared_loot_dantooine_imp2.iff');
INSERT INTO `object_crc_string_table` VALUES ('506610356', '1E3242B4', 'object/tangible/space/story_loot/shared_loot_dantooine_junk.iff');
INSERT INTO `object_crc_string_table` VALUES ('1637466894', '6199C30E', 'object/tangible/space/story_loot/shared_loot_dantooine_junk2.iff');
INSERT INTO `object_crc_string_table` VALUES ('680830083', '2894A483', 'object/tangible/space/story_loot/shared_loot_dantooine_junk3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1853798346', '6E7EB7CA', 'object/tangible/space/story_loot/shared_loot_dantooine_mining.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453526249', 'CDD8A0E9', 'object/tangible/space/story_loot/shared_loot_dantooine_mining2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3847010341', 'E54CB825', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('3180356710', 'BD906466', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838597503', '6D96C57F', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers.iff');
INSERT INTO `object_crc_string_table` VALUES ('686371632', '28E93330', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1642353853', '61E454BD', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3661960880', 'DA4516B0', 'object/tangible/space/story_loot/shared_loot_dantooine_slave.iff');
INSERT INTO `object_crc_string_table` VALUES ('1982024474', '76234B1A', 'object/tangible/space/story_loot/shared_loot_dantooine_warren.iff');
INSERT INTO `object_crc_string_table` VALUES ('843112558', '3240E06E', 'object/tangible/space/story_loot/shared_loot_endor_artisan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3188995210', 'BE14348A', 'object/tangible/space/story_loot/shared_loot_endor_artisan2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4247652196', 'FD2E0764', 'object/tangible/space/story_loot/shared_loot_endor_series_tinrilo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520410243', '5A9F9E83', 'object/tangible/space/story_loot/shared_loot_naboo_borvo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2417494884', '90180B64', 'object/tangible/space/story_loot/shared_loot_naboo_civspeeder.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611326943', '600AE5DF', 'object/tangible/space/story_loot/shared_loot_naboo_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('854700506', '32F1B1DA', 'object/tangible/space/story_loot/shared_loot_naboo_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1114974083', '42752783', 'object/tangible/space/story_loot/shared_loot_naboo_miner.iff');
INSERT INTO `object_crc_string_table` VALUES ('355997813', '15381875', 'object/tangible/space/story_loot/shared_loot_naboo_rsf.iff');
INSERT INTO `object_crc_string_table` VALUES ('3063834510', 'B69E678E', 'object/tangible/space/story_loot/shared_loot_naboo_series_tinrilo.iff');
INSERT INTO `object_crc_string_table` VALUES ('3042526533', 'B5594545', 'object/tangible/space/story_loot/shared_loot_tatooine_bestine_pirates.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091210633', '7CA55789', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun.iff');
INSERT INTO `object_crc_string_table` VALUES ('1403716599', '53AB03F7', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1733541614', '6753BEEE', 'object/tangible/space/story_loot/shared_loot_tatooine_hutt.iff');
INSERT INTO `object_crc_string_table` VALUES ('804394387', '2FF21593', 'object/tangible/space/story_loot/shared_loot_tatooine_imp.iff');
INSERT INTO `object_crc_string_table` VALUES ('2776381679', 'A57C38EF', 'object/tangible/space/story_loot/shared_loot_tatooine_mining.iff');
INSERT INTO `object_crc_string_table` VALUES ('2201065761', '83319921', 'object/tangible/space/story_loot/shared_loot_tatooine_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1420399460', '54A99364', 'object/tangible/space/story_loot/shared_loot_tatooine_series_tinrilo.iff');
INSERT INTO `object_crc_string_table` VALUES ('1385044449', '528E19E1', 'object/tangible/space/story_loot/shared_loot_tatooine_valarian.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061585871', 'F216E1CF', 'object/tangible/space/story_loot/shared_loot_template.iff');
INSERT INTO `object_crc_string_table` VALUES ('2280159140', '87E877A4', 'object/tangible/space/veteran_reward/shared_sorosuub_space_yacht_deed.iff');
INSERT INTO `object_crc_string_table` VALUES ('2009793095', '77CB0247', 'object/tangible/spawning/shared_fs_village_npc_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('3065118291', 'B6B1FE53', 'object/tangible/spawning/shared_quest_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('1732078563', '673D6BE3', 'object/tangible/spawning/shared_remote_theater_spawner.iff');
INSERT INTO `object_crc_string_table` VALUES ('85728691', '51C1DB3', 'object/tangible/spawning/shared_spawn_egg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991875875', '76B99D23', 'object/tangible/speaker/shared_speaker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2568376858', '9916521A', 'object/tangible/survey_tool/base/shared_survey_tool_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('255686868', 'F3D78D4', 'object/tangible/survey_tool/shared_survey_tool_all.iff');
INSERT INTO `object_crc_string_table` VALUES ('1059021891', '3F1F6443', 'object/tangible/survey_tool/shared_survey_tool_gas.iff');
INSERT INTO `object_crc_string_table` VALUES ('3427396409', 'CC49EB39', 'object/tangible/survey_tool/shared_survey_tool_inorganic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2242363434', '85A7C02A', 'object/tangible/survey_tool/shared_survey_tool_liquid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1329114448', '4F38AD50', 'object/tangible/survey_tool/shared_survey_tool_lumber.iff');
INSERT INTO `object_crc_string_table` VALUES ('2862265132', 'AA9AB32C', 'object/tangible/survey_tool/shared_survey_tool_mineral.iff');
INSERT INTO `object_crc_string_table` VALUES ('2175673400', '81AE2438', 'object/tangible/survey_tool/shared_survey_tool_moisture.iff');
INSERT INTO `object_crc_string_table` VALUES ('963146674', '396873B2', 'object/tangible/survey_tool/shared_survey_tool_organic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2341848205', '8B95C48D', 'object/tangible/survey_tool/shared_survey_tool_solar.iff');
INSERT INTO `object_crc_string_table` VALUES ('566467536', '21C39BD0', 'object/tangible/survey_tool/shared_survey_tool_wind.iff');
INSERT INTO `object_crc_string_table` VALUES ('88218105', '54219F9', 'object/tangible/terminal/base/shared_base_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('909741262', '36398CCE', 'object/tangible/terminal/shared_terminal_ballot_box.iff');
INSERT INTO `object_crc_string_table` VALUES ('1989986645', '769CC955', 'object/tangible/terminal/shared_terminal_bank.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631323563', 'D87199AB', 'object/tangible/terminal/shared_terminal_bazaar.iff');
INSERT INTO `object_crc_string_table` VALUES ('234637781', 'DFC49D5', 'object/tangible/terminal/shared_terminal_bestine_quests_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3605782850', 'D6EBE142', 'object/tangible/terminal/shared_terminal_bestine_quests_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2682685135', '9FE686CF', 'object/tangible/terminal/shared_terminal_bestine_quests_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023071175', 'EFCB31C7', 'object/tangible/terminal/shared_terminal_bounty_droid.iff');
INSERT INTO `object_crc_string_table` VALUES ('1444012427', '5611E18B', 'object/tangible/terminal/shared_terminal_character_builder.iff');
INSERT INTO `object_crc_string_table` VALUES ('379393128', '169D1468', 'object/tangible/terminal/shared_terminal_city.iff');
INSERT INTO `object_crc_string_table` VALUES ('1204497275', '47CB2B7B', 'object/tangible/terminal/shared_terminal_city_vote.iff');
INSERT INTO `object_crc_string_table` VALUES ('3781560082', 'E1660712', 'object/tangible/terminal/shared_terminal_cloning.iff');
INSERT INTO `object_crc_string_table` VALUES ('245813721', 'EA6D1D9', 'object/tangible/terminal/shared_terminal_command_console.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992103782', '76BD1766', 'object/tangible/terminal/shared_terminal_dark_enclave_challenge.iff');
INSERT INTO `object_crc_string_table` VALUES ('2329382269', '8AD78D7D', 'object/tangible/terminal/shared_terminal_dark_enclave_voting.iff');
INSERT INTO `object_crc_string_table` VALUES ('278443635', '1098B673', 'object/tangible/terminal/shared_terminal_elevator.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298826986', 'C4A01AEA', 'object/tangible/terminal/shared_terminal_elevator_down.iff');
INSERT INTO `object_crc_string_table` VALUES ('115529514', '6E2D72A', 'object/tangible/terminal/shared_terminal_elevator_up.iff');
INSERT INTO `object_crc_string_table` VALUES ('3878794306', 'E731B442', 'object/tangible/terminal/shared_terminal_geo_bunker.iff');
INSERT INTO `object_crc_string_table` VALUES ('724271921', '2B2B8331', 'object/tangible/terminal/shared_terminal_guild.iff');
INSERT INTO `object_crc_string_table` VALUES ('489350492', '1D2AE55C', 'object/tangible/terminal/shared_terminal_hq.iff');
INSERT INTO `object_crc_string_table` VALUES ('3161971452', 'BC77DAFC', 'object/tangible/terminal/shared_terminal_hq_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('1176471647', '461F885F', 'object/tangible/terminal/shared_terminal_hq_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2229698005', '84E67DD5', 'object/tangible/terminal/shared_terminal_hq_turret_control.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511005752', '95AAE838', 'object/tangible/terminal/shared_terminal_imagedesign.iff');
INSERT INTO `object_crc_string_table` VALUES ('1029213671', '3D588DE7', 'object/tangible/terminal/shared_terminal_insurance.iff');
INSERT INTO `object_crc_string_table` VALUES ('249891408', 'EE50A50', 'object/tangible/terminal/shared_terminal_jukebox.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945424908', 'AF8F9E0C', 'object/tangible/terminal/shared_terminal_light_enclave_challenge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1384984494', '528D2FAE', 'object/tangible/terminal/shared_terminal_light_enclave_voting.iff');
INSERT INTO `object_crc_string_table` VALUES ('2907007746', 'AD456B02', 'object/tangible/terminal/shared_terminal_mission.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927829015', 'EA1DEA17', 'object/tangible/terminal/shared_terminal_mission_artisan.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951925654', 'EB8D9996', 'object/tangible/terminal/shared_terminal_mission_bounty.iff');
INSERT INTO `object_crc_string_table` VALUES ('2410700040', '8FB05D08', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff');
INSERT INTO `object_crc_string_table` VALUES ('4186402280', 'F9876DE8', 'object/tangible/terminal/shared_terminal_mission_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('2666426537', '9EEE70A9', 'object/tangible/terminal/shared_terminal_mission_newbie.iff');
INSERT INTO `object_crc_string_table` VALUES ('2082896080', '7C2678D0', 'object/tangible/terminal/shared_terminal_mission_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('581658756', '22AB6884', 'object/tangible/terminal/shared_terminal_mission_scout.iff');
INSERT INTO `object_crc_string_table` VALUES ('4114889569', 'F5443B61', 'object/tangible/terminal/shared_terminal_mission_statue.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290085920', 'FFB58420', 'object/tangible/terminal/shared_terminal_newbie_clothing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2721518483', 'A2371393', 'object/tangible/terminal/shared_terminal_newbie_food.iff');
INSERT INTO `object_crc_string_table` VALUES ('3665675874', 'DA7DC662', 'object/tangible/terminal/shared_terminal_newbie_instrument.iff');
INSERT INTO `object_crc_string_table` VALUES ('1668873424', '6378FCD0', 'object/tangible/terminal/shared_terminal_newbie_medicine.iff');
INSERT INTO `object_crc_string_table` VALUES ('4182051530', 'F9450ACA', 'object/tangible/terminal/shared_terminal_newbie_tool.iff');
INSERT INTO `object_crc_string_table` VALUES ('3880062907', 'E7450FBB', 'object/tangible/terminal/shared_terminal_nym_cave.iff');
INSERT INTO `object_crc_string_table` VALUES ('4023332994', 'EFCF3082', 'object/tangible/terminal/shared_terminal_player_structure.iff');
INSERT INTO `object_crc_string_table` VALUES ('437907033', '1A19EE59', 'object/tangible/terminal/shared_terminal_player_structure_nosnap.iff');
INSERT INTO `object_crc_string_table` VALUES ('2775644177', 'A570F811', 'object/tangible/terminal/shared_terminal_player_structure_nosnap_mini.iff');
INSERT INTO `object_crc_string_table` VALUES ('1004751674', '3BE34B3A', 'object/tangible/terminal/shared_terminal_pm_register.iff');
INSERT INTO `object_crc_string_table` VALUES ('3308349953', 'C5316A01', 'object/tangible/terminal/shared_terminal_pob_ship.iff');
INSERT INTO `object_crc_string_table` VALUES ('965433242', '398B579A', 'object/tangible/terminal/shared_terminal_ship_interior_security_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1225472505', '490B39F9', 'object/tangible/terminal/shared_terminal_shipping.iff');
INSERT INTO `object_crc_string_table` VALUES ('328711509', '1397BD55', 'object/tangible/terminal/shared_terminal_skill.iff');
INSERT INTO `object_crc_string_table` VALUES ('1701113915', '6564F03B', 'object/tangible/terminal/shared_terminal_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('1946349820', '7402F0FC', 'object/tangible/terminal/shared_terminal_travel.iff');
INSERT INTO `object_crc_string_table` VALUES ('4062337637', 'F2225A65', 'object/tangible/terminal/shared_terminal_water_pressure.iff');
INSERT INTO `object_crc_string_table` VALUES ('3876933537', 'E7154FA1', 'object/tangible/terminal/shared_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('2308658089', '899B53A9', 'object/tangible/test/shared_inventory_filler.iff');
INSERT INTO `object_crc_string_table` VALUES ('3742060699', 'DF0B509B', 'object/tangible/test/shared_test_barrel_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('69007372', '41CF80C', 'object/tangible/test/shared_test_barrel_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013228996', 'EF3503C4', 'object/tangible/test/shared_test_jwatson.iff');
INSERT INTO `object_crc_string_table` VALUES ('1611558615', '600E6ED7', 'object/tangible/test/shared_test_pastry_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1340334223', '4FE3E08F', 'object/tangible/test/shared_test_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('2668141954', '9F089D82', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_housing.iff');
INSERT INTO `object_crc_string_table` VALUES ('1253904609', '4ABD10E1', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745145484', '6804CE8C', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_processor.iff');
INSERT INTO `object_crc_string_table` VALUES ('551792434', '20E3AF32', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_reader.iff');
INSERT INTO `object_crc_string_table` VALUES ('1766910306', '6950E962', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_screen.iff');
INSERT INTO `object_crc_string_table` VALUES ('3061856066', 'B6803742', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_translation.iff');
INSERT INTO `object_crc_string_table` VALUES ('1110698456', '4233E9D8', 'object/tangible/theme_park/alderaan/act2/shared_interface_override_device.iff');
INSERT INTO `object_crc_string_table` VALUES ('1889725651', '70A2ECD3', 'object/tangible/theme_park/alderaan/act2/shared_relay_station_terminal.iff');
INSERT INTO `object_crc_string_table` VALUES ('4208054945', 'FAD1D2A1', 'object/tangible/theme_park/alderaan/act3/shared_alderaan_flora.iff');
INSERT INTO `object_crc_string_table` VALUES ('1332386213', '4F6A99A5', 'object/tangible/theme_park/alderaan/act3/shared_broken_grav_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('2963865200', 'B0A8FE70', 'object/tangible/theme_park/alderaan/act3/shared_dead_eye_prototype.iff');
INSERT INTO `object_crc_string_table` VALUES ('3516039098', 'D1927FBA', 'object/tangible/theme_park/alderaan/act3/shared_encoded_data_disk.iff');
INSERT INTO `object_crc_string_table` VALUES ('3076162697', 'B75A8489', 'object/tangible/theme_park/alderaan/act3/shared_grav_unit_repair_kit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1247686243', '4A5E2E63', 'object/tangible/theme_park/alderaan/act3/shared_repaired_grav_unit.iff');
INSERT INTO `object_crc_string_table` VALUES ('843852525', '324C2AED', 'object/tangible/theme_park/alderaan/act3/shared_research_facility.iff');
INSERT INTO `object_crc_string_table` VALUES ('3509014052', 'D1274E24', 'object/tangible/theme_park/shared_invisible_object.iff');
INSERT INTO `object_crc_string_table` VALUES ('3243898728', 'C159F768', 'object/tangible/transport/base/shared_transport_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2330152069', '8AE34C85', 'object/tangible/transport/shared_door.iff');
INSERT INTO `object_crc_string_table` VALUES ('3646229980', 'D9550DDC', 'object/tangible/transport/shared_strut_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('37922123', '242A54B', 'object/tangible/transport/shared_strut_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('1263518406', '4B4FC2C6', 'object/tangible/transport/shared_strut_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('3801530659', 'E296C123', 'object/tangible/transport/shared_transport.iff');
INSERT INTO `object_crc_string_table` VALUES ('1622629631', '60B75CFF', 'object/tangible/travel/shuttle/base/shared_base_travel_shuttle.iff');
INSERT INTO `object_crc_string_table` VALUES ('4243633165', 'FCF0B40D', 'object/tangible/travel/ticket_collector/shared_ticket_collector.iff');
INSERT INTO `object_crc_string_table` VALUES ('3667975811', 'DAA0DE83', 'object/tangible/travel/travel_ticket/base/shared_base_travel_ticket.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400905177', '53801DD9', 'object/tangible/travel/travel_ticket/shared_dungeon_ticket.iff');
INSERT INTO `object_crc_string_table` VALUES ('2463455571', '92D55953', 'object/tangible/treasure_map/shared_treasure_map_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('239886061', 'E4C5EED', 'object/tangible/treasure_map/shared_treasure_map_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2296040317', '88DACB7D', 'object/tangible/trophy/shared_picture_handheld_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1405969386', '53CD63EA', 'object/tangible/trophy/shared_picture_handheld_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3842630349', 'E509E2CD', 'object/tangible/trophy/shared_shisa_decorative_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('580259338', '22960E0A', 'object/tangible/ui/shared_ui_char_cust_pedestal.iff');
INSERT INTO `object_crc_string_table` VALUES ('565167488', '21AFC580', 'object/tangible/ui/shared_ui_planet_corellia.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225920634', 'C047A47A', 'object/tangible/ui/shared_ui_planet_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3585856086', 'D5BBD256', 'object/tangible/ui/shared_ui_planet_naboo.iff');
INSERT INTO `object_crc_string_table` VALUES ('4127966392', 'F60BC4B8', 'object/tangible/ui/shared_ui_planet_privateer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3636261575', 'D8BCF2C7', 'object/tangible/ui/shared_ui_planet_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2331720771', '8AFB3C43', 'object/tangible/ui/shared_ui_planet_rori.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437864060', 'CCE9A47C', 'object/tangible/ui/shared_ui_planet_talus.iff');
INSERT INTO `object_crc_string_table` VALUES ('502047775', '1DECA41F', 'object/tangible/ui/shared_ui_planet_tatooine.iff');
INSERT INTO `object_crc_string_table` VALUES ('2776424308', 'A57CDF74', 'object/tangible/vendor/base/shared_base_vendor.iff');
INSERT INTO `object_crc_string_table` VALUES ('887599030', '34E7AFB6', 'object/tangible/vendor/shared_vendor_droid_bartender.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459672491', '5700D5AB', 'object/tangible/vendor/shared_vendor_droid_power.iff');
INSERT INTO `object_crc_string_table` VALUES ('844125696', '32505600', 'object/tangible/vendor/shared_vendor_droid_protocol.iff');
INSERT INTO `object_crc_string_table` VALUES ('946679884', '386D304C', 'object/tangible/vendor/shared_vendor_droid_surgical.iff');
INSERT INTO `object_crc_string_table` VALUES ('1745672602', '680CD99A', 'object/tangible/vendor/shared_vendor_droid_wed.iff');
INSERT INTO `object_crc_string_table` VALUES ('1946512190', '74056B3E', 'object/tangible/vendor/shared_vendor_terminal_basic.iff');
INSERT INTO `object_crc_string_table` VALUES ('2831480672', 'A8C4F760', 'object/tangible/vendor/shared_vendor_terminal_bulky.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992259223', 'EDF50A97', 'object/tangible/vendor/shared_vendor_terminal_fancy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179269297', 'BD7FCCB1', 'object/tangible/vendor/shared_vendor_terminal_slim.iff');
INSERT INTO `object_crc_string_table` VALUES ('2513721920', '95D45A40', 'object/tangible/vendor/shared_vendor_terminal_small.iff');
INSERT INTO `object_crc_string_table` VALUES ('90585643', '5663A2B', 'object/tangible/vendor/shared_vendor_terminal_standard.iff');
INSERT INTO `object_crc_string_table` VALUES ('3479300551', 'CF61E9C7', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('343294288', '14764150', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1568351965', '5D7B26DD', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794982857', 'A6980DC9', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4019546692', 'EF956A44', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_05.iff');
INSERT INTO `object_crc_string_table` VALUES ('880984787', '3482C2D3', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2106565982', '7D8FA55E', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347417420', 'C785894C', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2391338689', '8E88EEC1', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3168887145', 'BCE16169', 'object/tangible/veteran_reward/shared_antidecay.iff');
INSERT INTO `object_crc_string_table` VALUES ('4198944772', 'FA46D004', 'object/tangible/veteran_reward/shared_data_terminal_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('558987411', '21517893', 'object/tangible/veteran_reward/shared_data_terminal_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1750867742', '685C1F1E', 'object/tangible/veteran_reward/shared_data_terminal_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2478781450', '93BF340A', 'object/tangible/veteran_reward/shared_data_terminal_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3623049861', 'D7F35A85', 'object/tangible/veteran_reward/shared_emote_group_1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3759715763', 'E018B5B3', 'object/tangible/veteran_reward/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2195321088', '82D9F100', 'object/tangible/veteran_reward/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297213500', '4D51E83C', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_a.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521186475', '964640AB', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_b.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746244390', 'DF4B2726', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_c.iff');
INSERT INTO `object_crc_string_table` VALUES ('614992946', '24A80C32', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_d.iff');
INSERT INTO `object_crc_string_table` VALUES ('3960625723', 'EC125A3B', 'object/tangible/veteran_reward/shared_frn_vet_darth_vader_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('3416831363', 'CBA8B583', 'object/tangible/veteran_reward/shared_frn_vet_jabba_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2349778145', '8C0EC4E1', 'object/tangible/veteran_reward/shared_frn_vet_protocol_droid_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('2578350384', '99AE8130', 'object/tangible/veteran_reward/shared_frn_vet_r2_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1449977976', '566CE878', 'object/tangible/veteran_reward/shared_frn_vet_stormtrooper_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('1917299992', '7247AD18', 'object/tangible/veteran_reward/shared_frn_vet_tie_fighter_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('918916770', '36C58EA2', 'object/tangible/veteran_reward/shared_frn_vet_x_wing_toy.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154009202', 'F7992672', 'object/tangible/veteran_reward/shared_harvester.iff');
INSERT INTO `object_crc_string_table` VALUES ('2099830307', '7D28DE23', 'object/tangible/veteran_reward/shared_resource.iff');
INSERT INTO `object_crc_string_table` VALUES ('1238323119', '49CF4FAF', 'object/tangible/wearables/apron/shared_apron_chef_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3631236476', 'D870457C', 'object/tangible/wearables/apron/shared_apron_porcellus.iff');
INSERT INTO `object_crc_string_table` VALUES ('129788759', '7BC6B57', 'object/tangible/wearables/apron/shared_apron_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3378416176', 'C95E8A30', 'object/tangible/wearables/apron/shared_apron_s01_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2085871516', '7C53DF9C', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('210147855', 'C869A0F', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('802627120', '2FD71E30', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('778039047', '2E5FEF07', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586145940', '5E8AAA94', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3552584942', 'D3C024EE', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('4034830199', 'F07E9F77', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186889343', '46BE7E7F', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709205528', 'A17B3218', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3237390515', 'C0F6A8B3', 'object/tangible/wearables/armor/bone/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('148447404', '8D920AC', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3816261065', 'E37785C9', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2476916826', '93A2C05A', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('564000134', '219DF586', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('391592996', '17573C24', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1736604087', '678279B7', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1339202211', '4FD29AA3', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2249951613', '861B897D', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('819685493', '30DB6875', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2557731131', '9873E13B', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049353985', '3E8BDF01', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314822802', '4E5E9A92', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1961496739', '74EA10A3', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3411753246', 'CB5B391E', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146677389', 'BB8E7C8D', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('590081831', '232BEF27', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2662099985', '9EAC6C11', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('678202649', '286C8D19', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149232129', '447FE401', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('329570833', '13A4DA11', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1668390786', '63719F82', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3683772891', 'DB91E9DB', 'object/tangible/wearables/armor/composite/shared_armor_composite_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1303386413', '4DB0192D', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1030053054', '3D655CBE', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2068279078', '7B476F26', 'object/tangible/wearables/armor/composite/shared_armor_composite_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('741736354', '2C35FFA2', 'object/tangible/wearables/armor/composite/shared_armor_composite_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2599755434', '9AF51EAA', 'object/tangible/wearables/armor/composite/shared_armor_composite_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('3264529458', 'C294C432', 'object/tangible/wearables/armor/composite/shared_armor_composite_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('391015330', '174E6BA2', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738223153', '679B2E31', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2766594033', 'A4E6DFF1', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3020283121', 'B405DCF1', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3302005090', 'C4D09962', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2075456355', '7BB4F363', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2214098424', '83F875F8', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('892900592', '353894F0', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('992018926', '3B2101EE', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1211170670', '4830FF6E', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('954579709', '38E5BAFD', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2071589825', '7B79F3C1', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2320041547', '8A49064B', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204544984', 'FA9C43D8', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1560721233', '5D06B751', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('889238444', '3500B3AC', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210419364', '83C052A4', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('91085652', '56DDB54', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2273272421', '877F6265', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4155123702', 'F7AA27F6', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974465933', 'ECE5898D', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2685476975', 'A011206F', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3502532092', 'D0C465FC', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('379409880', '169D55D8', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451608631', '92209437', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('618689855', '24E0753F', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('792067440', '2F35FD70', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2400154328', '8F0F72D8', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4292491083', 'FFDA374B', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2677805339', '9F9C111B', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2863047', '2BAFC7', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('107997252', '66FE844', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1991945687', '76BAADD7', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2342857990', '8BA52D06', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2303407451', '894B355B', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2126287876', '7EBC9404', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('241815959', 'E69D197', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3776759545', 'E11CC6F9', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('4053289243', 'F198491B', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505873604', '59C1CEC4', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2184224460', '82309ECC', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4075150175', 'F2E5DB5F', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163428868', 'F828E204', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2298324887', '88FDA797', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('609377308', '24525C1C', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2170849590', '81648936', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('933521470', '37A4683E', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997291291', '770C3F1B', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('2225952259', '84AD5603', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_shoes.iff');
INSERT INTO `object_crc_string_table` VALUES ('1193954837', '472A4E15', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('912959243', '366AA70B', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186980504', '46BFE298', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('204201638', 'C2BDEA6', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2097060661', '7CFE9B35', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2919726583', 'AE077DF7', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2425881545', '909803C9', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('643359425', '2658E2C1', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2198799289', '830F03B9', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('189218995', 'B4740B3', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2073167136', '7B920520', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3490583753', 'D00E14C9', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291712997', 'C4338DE5', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3035023478', 'B4E6C876', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2524065296', '96722E10', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('990779747', '3B0E1963', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259819258', '4B1750FA', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('711641234', '2A6AC892', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bandolier_double.iff');
INSERT INTO `object_crc_string_table` VALUES ('3823310518', 'E3E316B6', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2469810981', '93365325', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('698520359', '29A29327', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2210677540', '83C44324', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('4077979319', 'F31106B7', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2174820173', '81A11F4D', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675295685', '9F75C5C5', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('699737293', '29B524CD', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('216047163', 'CE09E3B', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1616221801', '60559669', 'object/tangible/wearables/armor/marine/shared_armor_marine_backpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('377642897', '16825F91', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1716984322', '66571A02', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('168220197', 'A06D625', 'object/tangible/wearables/armor/marine/shared_armor_marine_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2560891493', '98A41A65', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('3425564515', 'CC2DF763', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('412137204', '1890B6F4', 'object/tangible/wearables/armor/marine/shared_armor_marine_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('4090769241', 'F3D42F59', 'object/tangible/wearables/armor/marine/shared_armor_marine_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('781466578', '2E943BD2', 'object/tangible/wearables/armor/nightsister/shared_armor_nightsister_bicep_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4150080953', 'F75D35B9', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3710375326', 'DD27D59E', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2918354957', 'ADF2900D', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('343908402', '147FA032', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948310718', 'AFBBA6BE', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3748586285', 'DF6EE32D', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('927787210', '374CE8CA', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813934470', 'A7B93B86', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('293198478', '1179DA8E', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('547322785', '209F7BA1', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200831709', '47933CDD', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('927365454', '3746794E', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1126436738', '43240F82', 'object/tangible/wearables/armor/ris/shared_armor_ris_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('298125558', '11C508F6', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1628458341', '61104D65', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1813559161', '6C18B779', 'object/tangible/wearables/armor/ris/shared_armor_ris_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2596696196', '9AC67084', 'object/tangible/wearables/armor/ris/shared_armor_ris_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('738627980', '2C06918C', 'object/tangible/wearables/armor/ris/shared_armor_ris_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2665600489', '9EE1D5E9', 'object/tangible/wearables/armor/ris/shared_armor_ris_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('4164574755', 'F83A5E23', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2297371568', '88EF1BB0', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037485621', '3DD6C635', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292075942', '4D0383A6', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002440220', '3BC0061C', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1259684751', '4B15438F', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016668118', '7833E9D6', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('2538033013', '97474F75', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3885107942', 'E7920AE6', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('253917454', 'F22790E', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1122862762', '42ED86AA', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1918468725', '72598275', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3298386813', 'C499637D', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('880764068', '347F64A4', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('409178730', '1863926A', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings.iff');
INSERT INTO `object_crc_string_table` VALUES ('3027159239', 'B46EC8C7', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1212660794', '4847BC3A', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_utility_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('917083893', '36A996F5', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('30813288', '1D62C68', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('290985679', '115816CF', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738912430', '67A5B2AE', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1458475008', '56EE9000', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1049616094', '3E8FDEDE', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3989520572', 'EDCB40BC', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1207105731', '47F2F8C3', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('4128606087', 'F6158787', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2260779540', '86C0C214', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1597327192', '5F354758', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('3925190224', 'E9F5A650', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1916840424', '7240A9E8', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696152390', 'DC4ECF46', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3409085291', 'CB32836B', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4188653633', 'F9A9C841', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('1051305101', '3EA9A48D', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('758262636', '2D322B6C', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1255925428', '4ADBE6B4', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('509585055', '1E5FA69F', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('3303691594', 'C4EA554A', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate.iff');
INSERT INTO `object_crc_string_table` VALUES ('2543046725', '9793D045', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2822062160', 'A8354050', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('519414104', '1EF5A158', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2324855644', '8A927B5C', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2684655133', 'A004961D', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('3252715807', 'C1E0811F', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4059441362', 'F1F628D2', 'object/tangible/wearables/backpack/shared_backpack_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1676470216', '63ECE7C8', 'object/tangible/wearables/backpack/shared_backpack_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1103784358', '41CA69A6', 'object/tangible/wearables/backpack/shared_backpack_s03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2551172316', '980FCCDC', 'object/tangible/wearables/backpack/shared_backpack_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3506613073', 'D102AB51', 'object/tangible/wearables/backpack/shared_backpack_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('169149382', 'A1503C6', 'object/tangible/wearables/backpack/shared_backpack_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1402459945', '5397D729', 'object/tangible/wearables/backpack/shared_backpack_s06_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811378952', '6BF77308', 'object/tangible/wearables/backpack/shared_singing_mountain_clan_backpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('2100666153', '7D359F29', 'object/tangible/wearables/bandolier/shared_bandolier_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2787260350', 'A62237BE', 'object/tangible/wearables/bandolier/shared_bandolier_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1876108427', '6FD3248B', 'object/tangible/wearables/bandolier/shared_bandolier_s02_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4012855347', 'EF2F5033', 'object/tangible/wearables/bandolier/shared_bandolier_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('348945191', '14CC7B27', 'object/tangible/wearables/bandolier/shared_bandolier_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1941573505', '73BA0F81', 'object/tangible/wearables/bandolier/shared_bandolier_s04_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572936874', '5DC11CAA', 'object/tangible/wearables/bandolier/shared_bandolier_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2262217789', '86D6B43D', 'object/tangible/wearables/bandolier/shared_bandolier_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3487290288', 'CFDBD3B0', 'object/tangible/wearables/bandolier/shared_bandolier_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1976696738', '75D1FFA2', 'object/tangible/wearables/bandolier/shared_bandolier_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1021089839', '3CDC982F', 'object/tangible/wearables/bandolier/shared_bandolier_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362441992', '8CD00108', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472702879', '57C7A99F', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('516607506', '1ECACE12', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1293966476', '4D205C8C', 'object/tangible/wearables/bandolier/shared_double_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1065147216', '3F7CDB50', 'object/tangible/wearables/bandolier/shared_ith_double_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3570000539', 'D4C9E29B', 'object/tangible/wearables/bandolier/shared_ith_mercenary_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('721380424', '2AFF6448', 'object/tangible/wearables/bandolier/shared_ith_multipocket_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('3002918794', 'B2FCE78A', 'object/tangible/wearables/bandolier/shared_mercenary_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1747617663', '682A877F', 'object/tangible/wearables/bandolier/shared_multipocket_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1118410205', '42A995DD', 'object/tangible/wearables/base/shared_armor_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('2810806644', 'A7898174', 'object/tangible/wearables/base/shared_base_back.iff');
INSERT INTO `object_crc_string_table` VALUES ('3185007320', 'BDD75AD8', 'object/tangible/wearables/base/shared_base_backpack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3970091966', 'ECA2CBBE', 'object/tangible/wearables/base/shared_base_bandolier.iff');
INSERT INTO `object_crc_string_table` VALUES ('1062557489', '3F555731', 'object/tangible/wearables/base/shared_base_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2712137924', 'A1A7F0C4', 'object/tangible/wearables/base/shared_base_bicep_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('4008734029', 'EEF06D4D', 'object/tangible/wearables/base/shared_base_bicep_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2653235422', '9E2528DE', 'object/tangible/wearables/base/shared_base_bicep_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('837302752', '31E839E0', 'object/tangible/wearables/base/shared_base_bracer_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('2708618999', 'A1723EF7', 'object/tangible/wearables/base/shared_base_bracer_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3517414244', 'D1A77B64', 'object/tangible/wearables/base/shared_base_bracer_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675265298', '9F754F12', 'object/tangible/wearables/base/shared_base_bracer_upper_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140306303', 'F6C80F7F', 'object/tangible/wearables/base/shared_base_bracer_upper_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2250066668', '861D4AEC', 'object/tangible/wearables/base/shared_base_bracer_upper_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484521886', '9416CB9E', 'object/tangible/wearables/base/shared_base_cape.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056216974', '7A8F618E', 'object/tangible/wearables/base/shared_base_cloak.iff');
INSERT INTO `object_crc_string_table` VALUES ('31223610', '1DC6F3A', 'object/tangible/wearables/base/shared_base_cloak_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('2091266362', '7CA6313A', 'object/tangible/wearables/base/shared_base_cloak_noback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2707266953', 'A15D9D89', 'object/tangible/wearables/base/shared_base_costume_allow_jewelry.iff');
INSERT INTO `object_crc_string_table` VALUES ('2269371502', '8743DC6E', 'object/tangible/wearables/base/shared_base_costume_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2799882789', 'A6E2D225', 'object/tangible/wearables/base/shared_base_dress.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251571586', 'C1CF0B82', 'object/tangible/wearables/base/shared_base_dress_formal.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497114818', 'D071BCC2', 'object/tangible/wearables/base/shared_base_dress_formal_gloved.iff');
INSERT INTO `object_crc_string_table` VALUES ('593250873', '235C4A39', 'object/tangible/wearables/base/shared_base_dress_formal_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('4147701623', 'F738E777', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_allow_gauntlets.iff');
INSERT INTO `object_crc_string_table` VALUES ('470480709', '1C0AF745', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881919920', '702BD1B0', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_lower.iff');
INSERT INTO `object_crc_string_table` VALUES ('62461898', '3B917CA', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_upper.iff');
INSERT INTO `object_crc_string_table` VALUES ('169169891', 'A1553E3', 'object/tangible/wearables/base/shared_base_ear_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('1514339438', '5A42FC6E', 'object/tangible/wearables/base/shared_base_ear_either.iff');
INSERT INTO `object_crc_string_table` VALUES ('4290100541', 'FFB5BD3D', 'object/tangible/wearables/base/shared_base_ear_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405497006', '8F60F8AE', 'object/tangible/wearables/base/shared_base_ear_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('749543557', '2CAD2085', 'object/tangible/wearables/base/shared_base_eyes.iff');
INSERT INTO `object_crc_string_table` VALUES ('3961745252', 'EC236F64', 'object/tangible/wearables/base/shared_base_gauntlets.iff');
INSERT INTO `object_crc_string_table` VALUES ('199720665', 'BE77ED9', 'object/tangible/wearables/base/shared_base_gauntlets_long.iff');
INSERT INTO `object_crc_string_table` VALUES ('2864390584', 'AABB21B8', 'object/tangible/wearables/base/shared_base_gloves.iff');
INSERT INTO `object_crc_string_table` VALUES ('1997625980', '77115A7C', 'object/tangible/wearables/base/shared_base_gloves_long.iff');
INSERT INTO `object_crc_string_table` VALUES ('2527263770', '96A2FC1A', 'object/tangible/wearables/base/shared_base_hat.iff');
INSERT INTO `object_crc_string_table` VALUES ('4046540417', 'F1314E81', 'object/tangible/wearables/base/shared_base_held_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('3544049811', 'D33DE893', 'object/tangible/wearables/base/shared_base_held_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2749934848', 'A3E8AD00', 'object/tangible/wearables/base/shared_base_held_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2362107763', '8CCAE773', 'object/tangible/wearables/base/shared_base_helmet_closed_eyes.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510435998', 'D13D009E', 'object/tangible/wearables/base/shared_base_helmet_closed_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('2962747437', 'B097F02D', 'object/tangible/wearables/base/shared_base_helmet_closed_full_ventilated.iff');
INSERT INTO `object_crc_string_table` VALUES ('3128780769', 'BA7D67E1', 'object/tangible/wearables/base/shared_base_helmet_closed_mouth.iff');
INSERT INTO `object_crc_string_table` VALUES ('2025938864', '78C15FB0', 'object/tangible/wearables/base/shared_base_helmet_open.iff');
INSERT INTO `object_crc_string_table` VALUES ('2465585907', '92F5DAF3', 'object/tangible/wearables/base/shared_base_jacket_halfsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1586795263', '5E9492FF', 'object/tangible/wearables/base/shared_base_jacket_longsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1538565730', '5BB4A662', 'object/tangible/wearables/base/shared_base_jacket_shortsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1811884613', '6BFF2A45', 'object/tangible/wearables/base/shared_base_jewelry_set.iff');
INSERT INTO `object_crc_string_table` VALUES ('3014962433', 'B3B4AD01', 'object/tangible/wearables/base/shared_base_jumpsuit.iff');
INSERT INTO `object_crc_string_table` VALUES ('1949399047', '74317807', 'object/tangible/wearables/base/shared_base_jumpsuit_gloved.iff');
INSERT INTO `object_crc_string_table` VALUES ('2013984551', '780AF727', 'object/tangible/wearables/base/shared_base_jumpsuit_longsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1198818608', '47748530', 'object/tangible/wearables/base/shared_base_jumpsuit_shortsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('3305679722', 'C508AB6A', 'object/tangible/wearables/base/shared_base_mask_face.iff');
INSERT INTO `object_crc_string_table` VALUES ('748013551', '2C95C7EF', 'object/tangible/wearables/base/shared_base_mouth.iff');
INSERT INTO `object_crc_string_table` VALUES ('551522086', '20DF8F26', 'object/tangible/wearables/base/shared_base_neck.iff');
INSERT INTO `object_crc_string_table` VALUES ('3653526929', 'D9C46591', 'object/tangible/wearables/base/shared_base_pants.iff');
INSERT INTO `object_crc_string_table` VALUES ('415713156', '18C74784', 'object/tangible/wearables/base/shared_base_pauldron_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883644082', 'E77BB4B2', 'object/tangible/wearables/base/shared_base_pauldron_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2544824609', '97AEF121', 'object/tangible/wearables/base/shared_base_pauldron_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2610078742', '9B92A416', 'object/tangible/wearables/base/shared_base_ring_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('2587414226', '9A38CED2', 'object/tangible/wearables/base/shared_base_ring_either.iff');
INSERT INTO `object_crc_string_table` VALUES ('3286738453', 'C3E7A615', 'object/tangible/wearables/base/shared_base_ring_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3006456710', 'B332E386', 'object/tangible/wearables/base/shared_base_ring_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3859006116', 'E603C2A4', 'object/tangible/wearables/base/shared_base_robe_longsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('3926887891', 'EA0F8DD3', 'object/tangible/wearables/base/shared_base_robe_longsleeve_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('1473420708', '57D29DA4', 'object/tangible/wearables/base/shared_base_robe_shortsleeve.iff');
INSERT INTO `object_crc_string_table` VALUES ('1105969450', '41EBC12A', 'object/tangible/wearables/base/shared_base_robe_shortsleeve_hooded.iff');
INSERT INTO `object_crc_string_table` VALUES ('224364220', 'D5F86BC', 'object/tangible/wearables/base/shared_base_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('3144684645', 'BB701465', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_full.iff');
INSERT INTO `object_crc_string_table` VALUES ('3852531643', 'E5A0F7BB', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_lower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2519871937', '963231C1', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_upper.iff');
INSERT INTO `object_crc_string_table` VALUES ('2786535462', 'A6172826', 'object/tangible/wearables/base/shared_base_shoes.iff');
INSERT INTO `object_crc_string_table` VALUES ('3787318242', 'E1BDE3E2', 'object/tangible/wearables/base/shared_base_skirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904536543', '7184EBDF', 'object/tangible/wearables/base/shared_base_sleeve_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578472162', 'D54B26E2', 'object/tangible/wearables/base/shared_base_sleeve_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2778620785', 'A59E6371', 'object/tangible/wearables/base/shared_base_sleeve_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3591511546', 'D6121DFA', 'object/tangible/wearables/base/shared_base_vest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3301034284', 'C4C1C92C', 'object/tangible/wearables/base/shared_base_wrist_both.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850116475', '6E46897B', 'object/tangible/wearables/base/shared_base_wrist_either.iff');
INSERT INTO `object_crc_string_table` VALUES ('3290100944', 'C41AF4D0', 'object/tangible/wearables/base/shared_base_wrist_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3033510211', 'B4CFB143', 'object/tangible/wearables/base/shared_base_wrist_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3547164646', 'D36D6FE6', 'object/tangible/wearables/base/shared_wearables_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699237411', '65484E23', 'object/tangible/wearables/belt/shared_aakuan_belt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2489884324', '94689EA4', 'object/tangible/wearables/belt/shared_belt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1333737011', '4F7F3633', 'object/tangible/wearables/belt/shared_belt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('108155326', '67251BE', 'object/tangible/wearables/belt/shared_belt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4254169770', 'FD917AAA', 'object/tangible/wearables/belt/shared_belt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3030129959', 'B49C1D27', 'object/tangible/wearables/belt/shared_belt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3225289633', 'C03E03A1', 'object/tangible/wearables/belt/shared_belt_s05_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('646369853', '2686D23D', 'object/tangible/wearables/belt/shared_belt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3582040482', 'D58199A2', 'object/tangible/wearables/belt/shared_belt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2403374044', '8F4093DC', 'object/tangible/wearables/belt/shared_belt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415002955', '54573B4B', 'object/tangible/wearables/belt/shared_belt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('492461254', '1D5A5CC6', 'object/tangible/wearables/belt/shared_belt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870914514', 'E6B977D2', 'object/tangible/wearables/belt/shared_belt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2947813471', 'AFB4105F', 'object/tangible/wearables/belt/shared_belt_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1956886728', '74A3B8C8', 'object/tangible/wearables/belt/shared_belt_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034870597', '3DAEDF45', 'object/tangible/wearables/belt/shared_belt_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2275734359', '87A4F357', 'object/tangible/wearables/belt/shared_belt_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3467220186', 'CEA994DA', 'object/tangible/wearables/belt/shared_belt_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3946177497', 'EB35E3D9', 'object/tangible/wearables/belt/shared_belt_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('389872487', '173CFB67', 'object/tangible/wearables/bikini/shared_bikini_leggings_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('798815144', '2F9CF3A8', 'object/tangible/wearables/bikini/shared_bikini_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4102773567', 'F48B5B3F', 'object/tangible/wearables/bikini/shared_bikini_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3179691186', 'BD863CB2', 'object/tangible/wearables/bikini/shared_bikini_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1181030310', '466517A6', 'object/tangible/wearables/bikini/shared_bikini_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2562125101', '98B6ED2D', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat.iff');
INSERT INTO `object_crc_string_table` VALUES ('2859919047', 'AA76E6C7', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2920765612', 'AE1758AC', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675213661', '9F74855D', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3519793019', 'D1CBC77B', 'object/tangible/wearables/bodysuit/shared_bodysuit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('707325039', '2A28EC6F', 'object/tangible/wearables/bodysuit/shared_bodysuit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1663405026', '63258BE2', 'object/tangible/wearables/bodysuit/shared_bodysuit_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3643779056', 'D92FA7F0', 'object/tangible/wearables/bodysuit/shared_bodysuit_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('301228692', '11F46294', 'object/tangible/wearables/bodysuit/shared_bodysuit_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1492714777', '58F90519', 'object/tangible/wearables/bodysuit/shared_bodysuit_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2736401933', 'A31A2E0D', 'object/tangible/wearables/bodysuit/shared_bodysuit_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3927394688', 'EA174980', 'object/tangible/wearables/bodysuit/shared_bodysuit_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('822141207', '3100E117', 'object/tangible/wearables/bodysuit/shared_bodysuit_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2416523857', '90093A51', 'object/tangible/wearables/bodysuit/shared_bodysuit_sarlacc_coverall.iff');
INSERT INTO `object_crc_string_table` VALUES ('19224104', '1255628', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('184136204', 'AF9B20C', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('803130691', '2FDECD43', 'object/tangible/wearables/boots/shared_boots_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('1907982508', '71B980AC', 'object/tangible/wearables/boots/shared_boots_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2321198008', '8A5AABB8', 'object/tangible/wearables/boots/shared_boots_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3277311029', 'C357CC35', 'object/tangible/wearables/boots/shared_boots_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('597486169', '239CEA59', 'object/tangible/wearables/boots/shared_boots_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2440210112', '9172A6C0', 'object/tangible/wearables/boots/shared_boots_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3632251213', 'D87FC14D', 'object/tangible/wearables/boots/shared_boots_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3110225352', 'B96245C8', 'object/tangible/wearables/boots/shared_boots_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3589494086', 'D5F35546', 'object/tangible/wearables/boots/shared_boots_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('249888209', 'EE4FDD1', 'object/tangible/wearables/boots/shared_boots_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('2804071472', 'A722BC30', 'object/tangible/wearables/boots/shared_boots_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('688070269', '29031E7D', 'object/tangible/wearables/boots/shared_boots_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068365842', '3FADF812', 'object/tangible/wearables/boots/shared_nightsister_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('610961345', '246A87C1', 'object/tangible/wearables/boots/shared_singing_mountain_clan_boots.iff');
INSERT INTO `object_crc_string_table` VALUES ('1474382637', '57E14B2D', 'object/tangible/wearables/bracelet/shared_bracelet_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('657723070', '27340EBE', 'object/tangible/wearables/bracelet/shared_bracelet_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3949931361', 'EB6F2B61', 'object/tangible/wearables/bracelet/shared_bracelet_s02_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2612686578', '9BBA6EF2', 'object/tangible/wearables/bracelet/shared_bracelet_s02_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2755150704', 'A4384370', 'object/tangible/wearables/bracelet/shared_bracelet_s03_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('3572303587', 'D4ED06E3', 'object/tangible/wearables/bracelet/shared_bracelet_s03_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('1281181360', '4C5D46B0', 'object/tangible/wearables/bracelet/shared_bracelet_s04_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1015546659', '3C880323', 'object/tangible/wearables/bracelet/shared_bracelet_s04_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('50998945', '30A2EA1', 'object/tangible/wearables/bracelet/shared_bracelet_s05_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('1944021810', '73DF6B32', 'object/tangible/wearables/bracelet/shared_bracelet_s05_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('3539179154', 'D2F39692', 'object/tangible/wearables/bracelet/shared_bracelet_s06_l.iff');
INSERT INTO `object_crc_string_table` VALUES ('2720453377', 'A226D301', 'object/tangible/wearables/bracelet/shared_bracelet_s06_r.iff');
INSERT INTO `object_crc_string_table` VALUES ('2813298237', 'A7AF863D', 'object/tangible/wearables/bustier/shared_bustier_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2092445354', '7CB82EAA', 'object/tangible/wearables/bustier/shared_bustier_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('901073191', '35B54927', 'object/tangible/wearables/bustier/shared_bustier_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3312405691', 'C56F4CBB', 'object/tangible/wearables/cyborg/shared_arm_l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1995018857', '76E99269', 'object/tangible/wearables/cyborg/shared_arm_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('641245984', '2638A320', 'object/tangible/wearables/cyborg/shared_forearm_l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2512289266', '95BE7DF2', 'object/tangible/wearables/cyborg/shared_forearm_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621320928', '60A364E0', 'object/tangible/wearables/cyborg/shared_hand_l_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3542465074', 'D325BA32', 'object/tangible/wearables/cyborg/shared_hand_r_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1838065175', '6D8EA617', 'object/tangible/wearables/dress/shared_dress_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3063484032', 'B6990E80', 'object/tangible/wearables/dress/shared_dress_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4287916301', 'FF94690D', 'object/tangible/wearables/dress/shared_dress_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1168000287', '459E451F', 'object/tangible/wearables/dress/shared_dress_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('368488984', '15F6B218', 'object/tangible/wearables/dress/shared_dress_s08_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('210969234', 'C932292', 'object/tangible/wearables/dress/shared_dress_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('526339937', '1F5F4F61', 'object/tangible/wearables/dress/shared_dress_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1448225004', '565228EC', 'object/tangible/wearables/dress/shared_dress_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2370142331', '8D45807B', 'object/tangible/wearables/dress/shared_dress_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3293112310', 'C448E7F6', 'object/tangible/wearables/dress/shared_dress_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1068223714', '3FABCCE2', 'object/tangible/wearables/dress/shared_dress_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1990634351', '76A6AB6F', 'object/tangible/wearables/dress/shared_dress_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2914059256', 'ADB103F8', 'object/tangible/wearables/dress/shared_dress_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1589004391', '5EB64867', 'object/tangible/wearables/dress/shared_dress_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('398143466', '17BB2FEA', 'object/tangible/wearables/dress/shared_dress_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3912298622', 'E930F07E', 'object/tangible/wearables/dress/shared_dress_s23.iff');
INSERT INTO `object_crc_string_table` VALUES ('2160661616', '80C91470', 'object/tangible/wearables/dress/shared_dress_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('3385095165', 'C9C473FD', 'object/tangible/wearables/dress/shared_dress_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('985872482', '3AC33862', 'object/tangible/wearables/dress/shared_dress_s29.iff');
INSERT INTO `object_crc_string_table` VALUES ('688870801', '290F5591', 'object/tangible/wearables/dress/shared_dress_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('1610756636', '6002321C', 'object/tangible/wearables/dress/shared_dress_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('3138755211', 'BB159A8B', 'object/tangible/wearables/dress/shared_dress_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('4061723910', 'F218FD06', 'object/tangible/wearables/dress/shared_dress_s33.iff');
INSERT INTO `object_crc_string_table` VALUES ('167499282', '9FBD612', 'object/tangible/wearables/dress/shared_dress_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('1089909151', '40F6B19F', 'object/tangible/wearables/dress/shared_dress_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('586837828', '22FA6F44', 'object/tangible/wearables/dress/shared_nightsister_dress.iff');
INSERT INTO `object_crc_string_table` VALUES ('901601080', '35BD5738', 'object/tangible/wearables/earring/shared_earring_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1313672121', '4E4D0BB9', 'object/tangible/wearables/earring/shared_earring_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2505745198', '955AA32E', 'object/tangible/wearables/earring/shared_earring_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3696739491', 'DC57C4A3', 'object/tangible/wearables/earring/shared_earring_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('666169271', '27B4EFB7', 'object/tangible/wearables/earring/shared_earring_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857652794', '6EB9883A', 'object/tangible/wearables/earring/shared_earring_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048087725', 'B5AE20AD', 'object/tangible/wearables/earring/shared_earring_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4238559008', 'FCA34720', 'object/tangible/wearables/earring/shared_earring_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1185508146', '46A96B32', 'object/tangible/wearables/earring/shared_earring_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('262409407', 'FA40CBF', 'object/tangible/wearables/earring/shared_earring_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('476602700', '1C68614C', 'object/tangible/wearables/earring/shared_earring_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1432684225', '556506C1', 'object/tangible/wearables/earring/shared_earring_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2389880406', '8E72AE56', 'object/tangible/wearables/earring/shared_earring_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347040731', 'C77FC9DB', 'object/tangible/wearables/earring/shared_earring_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1016914639', '3C9CE2CF', 'object/tangible/wearables/earring/shared_earring_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1972471106', '75918542', 'object/tangible/wearables/earring/shared_earring_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2451059154', '921831D2', 'object/tangible/wearables/gloves/shared_gloves_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('1702772985', '657E40F9', 'object/tangible/wearables/gloves/shared_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('745744244', '2C732774', 'object/tangible/wearables/gloves/shared_gloves_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1166721914', '458AC37A', 'object/tangible/wearables/gloves/shared_gloves_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('210216183', 'C87A4F7', 'object/tangible/wearables/gloves/shared_gloves_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3964437147', 'EC4C829B', 'object/tangible/wearables/gloves/shared_gloves_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2772559126', 'A541E516', 'object/tangible/wearables/gloves/shared_gloves_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2119585153', '7E564D81', 'object/tangible/wearables/gloves/shared_gloves_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('928721420', '375B2A0C', 'object/tangible/wearables/gloves/shared_gloves_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3434610968', 'CCB80118', 'object/tangible/wearables/gloves/shared_gloves_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1738692931', '67A25943', 'object/tangible/wearables/gloves/shared_gloves_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('970341305', '39D63BB9', 'object/tangible/wearables/goggles/shared_goggles_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3804336942', 'E2C1932E', 'object/tangible/wearables/goggles/shared_goggles_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2882335907', 'ABCCF4A3', 'object/tangible/wearables/goggles/shared_goggles_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1345314743', '502FDFB7', 'object/tangible/wearables/goggles/shared_goggles_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('421705786', '1922B83A', 'object/tangible/wearables/goggles/shared_goggles_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3258257581', 'C23510AD', 'object/tangible/wearables/goggles/shared_goggles_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('53819294', '335379E', 'object/tangible/wearables/goggles/shared_rebreather.iff');
INSERT INTO `object_crc_string_table` VALUES ('4237787733', 'FC978255', 'object/tangible/wearables/hat/shared_hat_chef_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('662710978', '27802AC2', 'object/tangible/wearables/hat/shared_hat_chef_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1674058111', '63C8197F', 'object/tangible/wearables/hat/shared_hat_imp_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('522601046', '1F264256', 'object/tangible/wearables/hat/shared_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915569359', 'ADC80ECF', 'object/tangible/wearables/hat/shared_hat_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2517925940', '96148034', 'object/tangible/wearables/hat/shared_hat_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('68046638', '40E4F2E', 'object/tangible/wearables/hat/shared_hat_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1292052643', '4D0328A3', 'object/tangible/wearables/hat/shared_hat_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3068134327', 'B6E003B7', 'object/tangible/wearables/hat/shared_hat_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('305393881', '1233F0D9', 'object/tangible/wearables/hat/shared_hat_twilek_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3374602318', 'C924584E', 'object/tangible/wearables/hat/shared_hat_twilek_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2150186947', '80293FC3', 'object/tangible/wearables/hat/shared_hat_twilek_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2076841175', '7BCA14D7', 'object/tangible/wearables/hat/shared_hat_twilek_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('851931994', '32C7735A', 'object/tangible/wearables/hat/shared_hat_twilek_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3899232766', 'E86991FE', 'object/tangible/wearables/hat/shared_nightsister_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('863910249', '337E3969', 'object/tangible/wearables/hat/shared_nightsister_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2054381284', '7A735EE4', 'object/tangible/wearables/hat/shared_nightsister_hat_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3818307792', 'E396C0D0', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('948004935', '38816847', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1653166773', '628952B5', 'object/tangible/wearables/hat/shared_singing_mountain_clan_mask_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140396271', 'F6C96EEF', 'object/tangible/wearables/helmet/shared_helmet_atat.iff');
INSERT INTO `object_crc_string_table` VALUES ('430117123', '19A31103', 'object/tangible/wearables/helmet/shared_helmet_fighter_blacksun_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('2580358001', '99CD2371', 'object/tangible/wearables/helmet/shared_helmet_fighter_imperial_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909608537', '71D25059', 'object/tangible/wearables/helmet/shared_helmet_fighter_privateer_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('4143277653', 'F6F56655', 'object/tangible/wearables/helmet/shared_helmet_fighter_rebel_ace.iff');
INSERT INTO `object_crc_string_table` VALUES ('1007682682', '3C10047A', 'object/tangible/wearables/helmet/shared_helmet_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('49314199', '2F07997', 'object/tangible/wearables/helmet/shared_helmet_tie_fighter.iff');
INSERT INTO `object_crc_string_table` VALUES ('4156063051', 'F7B87D4B', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('749721052', '2CAFD5DC', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484025416', '940F3848', 'object/tangible/wearables/ithorian/shared_apron_chef_jacket_s01_ith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1415345053', '545C739D', 'object/tangible/wearables/ithorian/shared_hat_chef_s01_ith.iff');
INSERT INTO `object_crc_string_table` VALUES ('1184665728', '469C9080', 'object/tangible/wearables/ithorian/shared_hat_chef_s02_ith.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148168248', 'F7400638', 'object/tangible/wearables/ithorian/shared_ith_backpack_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1700448546', '655AC922', 'object/tangible/wearables/ithorian/shared_ith_backpack_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3618932155', 'D7B485BB', 'object/tangible/wearables/ithorian/shared_ith_backpack_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('212020524', 'CA32D2C', 'object/tangible/wearables/ithorian/shared_ith_backpack_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('347486328', '14B63878', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1572560885', '5DBB5FF5', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2790814945', 'A65874E1', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('4015330156', 'EF55136C', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('876788731', '3442BBFB', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2102385782', '7D4FDC76', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3343249508', 'C745F064', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3042876922', 'B55E9DFA', 'object/tangible/wearables/ithorian/shared_ith_belt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1850291565', '6E49356D', 'object/tangible/wearables/ithorian/shared_ith_belt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('658789088', '274452E0', 'object/tangible/wearables/ithorian/shared_ith_belt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3701963252', 'DCA779F4', 'object/tangible/wearables/ithorian/shared_ith_belt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2510954105', '95AA1E79', 'object/tangible/wearables/ithorian/shared_ith_belt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('129028451', '7B0D163', 'object/tangible/wearables/ithorian/shared_ith_belt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('4105673468', 'F4B79AFC', 'object/tangible/wearables/ithorian/shared_ith_belt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927005826', 'AE769082', 'object/tangible/wearables/ithorian/shared_ith_belt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1969305621', '75613815', 'object/tangible/wearables/ithorian/shared_ith_belt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1013735320', '3C6C5F98', 'object/tangible/wearables/ithorian/shared_ith_belt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3348067468', 'C78F748C', 'object/tangible/wearables/ithorian/shared_ith_belt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2390889217', '8E821301', 'object/tangible/wearables/ithorian/shared_ith_belt_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1435876246', '5595BB96', 'object/tangible/wearables/ithorian/shared_ith_belt_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('479779867', '1C98DC1B', 'object/tangible/wearables/ithorian/shared_ith_belt_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2794647561', 'A692F009', 'object/tangible/wearables/ithorian/shared_ith_belt_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4020213636', 'EF9F9784', 'object/tangible/wearables/ithorian/shared_ith_belt_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('3389251719', 'CA03E087', 'object/tangible/wearables/ithorian/shared_ith_belt_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1624619856', '60D5BB50', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3150058439', 'BBC213C7', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4073681994', 'F2CF744A', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('153902942', '92C5F5E', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1075919059', '402138D3', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2604044356', '9B369044', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2776825848', 'A582FFF8', 'object/tangible/wearables/ithorian/shared_ith_dress_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3968833653', 'EC8F9875', 'object/tangible/wearables/ithorian/shared_ith_dress_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('4091398496', 'F3DDC960', 'object/tangible/wearables/ithorian/shared_ith_dress_short_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('698134614', '299CB056', 'object/tangible/wearables/ithorian/shared_ith_gloves_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4069202113', 'F28B18C1', 'object/tangible/wearables/ithorian/shared_ith_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2858642362', 'AA636BBA', 'object/tangible/wearables/ithorian/shared_ith_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1903477549', '7174C32D', 'object/tangible/wearables/ithorian/shared_ith_hat_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('947496096', '3879A4A0', 'object/tangible/wearables/ithorian/shared_ith_hat_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3281686452', 'C39A8FB4', 'object/tangible/wearables/ithorian/shared_ith_hat_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3410900852', 'CB4E3774', 'object/tangible/wearables/ithorian/shared_ith_jacket_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('274309091', '10599FE3', 'object/tangible/wearables/ithorian/shared_ith_jacket_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1498740846', '5954F86E', 'object/tangible/wearables/ithorian/shared_ith_jacket_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2729956218', 'A2B7D37A', 'object/tangible/wearables/ithorian/shared_ith_jacket_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954881783', 'EBBAB4F7', 'object/tangible/wearables/ithorian/shared_ith_jacket_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('816651360', '30AD1C60', 'object/tangible/wearables/ithorian/shared_ith_jacket_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2040560621', '79A07BED', 'object/tangible/wearables/ithorian/shared_ith_jacket_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3282720767', 'C3AA57FF', 'object/tangible/wearables/ithorian/shared_ith_jacket_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2326212722', '8AA73072', 'object/tangible/wearables/ithorian/shared_ith_jacket_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2573950337', '996B5D81', 'object/tangible/wearables/ithorian/shared_ith_jacket_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496360460', 'D0663A0C', 'object/tangible/wearables/ithorian/shared_ith_jacket_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('191992475', 'B71929B', 'object/tangible/wearables/ithorian/shared_ith_jacket_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1115485462', '427CF516', 'object/tangible/wearables/ithorian/shared_ith_jacket_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3114262018', 'B99FDE02', 'object/tangible/wearables/ithorian/shared_ith_jacket_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036147599', 'F092B98F', 'object/tangible/wearables/ithorian/shared_ith_jacket_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('3177176289', 'BD5FDCE1', 'object/tangible/wearables/ithorian/shared_ith_necklace_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1716024438', '66487476', 'object/tangible/wearables/ithorian/shared_ith_necklace_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('793056251', '2F4513FB', 'object/tangible/wearables/ithorian/shared_ith_necklace_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3567663343', 'D4A638EF', 'object/tangible/wearables/ithorian/shared_ith_necklace_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2645253986', '9DAB5F62', 'object/tangible/wearables/ithorian/shared_ith_necklace_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1186789365', '46BCF7F5', 'object/tangible/wearables/ithorian/shared_ith_necklace_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('263295096', 'FB19078', 'object/tangible/wearables/ithorian/shared_ith_necklace_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3048979562', 'B5BBBC6A', 'object/tangible/wearables/ithorian/shared_ith_necklace_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('4239842279', 'FCB6DBE7', 'object/tangible/wearables/ithorian/shared_ith_necklace_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4017796628', 'EF7AB614', 'object/tangible/wearables/ithorian/shared_ith_necklace_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2792870297', 'A677D199', 'object/tangible/wearables/ithorian/shared_ith_necklace_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2103474446', '7D60790E', 'object/tangible/wearables/ithorian/shared_ith_necklace_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1130250638', '435E418E', 'object/tangible/wearables/ithorian/shared_ith_pants_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2554980633', '9849E919', 'object/tangible/wearables/ithorian/shared_ith_pants_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3510931092', 'D1448E94', 'object/tangible/wearables/ithorian/shared_ith_pants_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('715629952', '2AA7A580', 'object/tangible/wearables/ithorian/shared_ith_pants_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1672135181', '63AAC20D', 'object/tangible/wearables/ithorian/shared_ith_pants_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3099421338', 'B8BD6A9A', 'object/tangible/wearables/ithorian/shared_ith_pants_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('4054846743', 'F1B00D17', 'object/tangible/wearables/ithorian/shared_ith_pants_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1270489349', '4BBA2105', 'object/tangible/wearables/ithorian/shared_ith_pants_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('45565576', '2B74688', 'object/tangible/wearables/ithorian/shared_ith_pants_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('293284731', '117B2B7B', 'object/tangible/wearables/ithorian/shared_ith_pants_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1484147958', '58764CF6', 'object/tangible/wearables/ithorian/shared_ith_pants_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('2204230753', '8361E461', 'object/tangible/wearables/ithorian/shared_ith_pants_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('3396109292', 'CA6C83EC', 'object/tangible/wearables/ithorian/shared_ith_pants_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('831498488', '318FA8F8', 'object/tangible/wearables/ithorian/shared_ith_pants_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2021838709', '7882CF75', 'object/tangible/wearables/ithorian/shared_ith_pants_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2744477666', 'A39567E2', 'object/tangible/wearables/ithorian/shared_ith_pants_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('3935830127', 'EA98006F', 'object/tangible/wearables/ithorian/shared_ith_pants_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('1351756925', '50922C7D', 'object/tangible/wearables/ithorian/shared_ith_pants_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('429870064', '199F4BF0', 'object/tangible/wearables/ithorian/shared_ith_pants_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('1006845171', '3C033CF3', 'object/tangible/wearables/ithorian/shared_ith_pants_s20.iff');
INSERT INTO `object_crc_string_table` VALUES ('1963875198', '750E5B7E', 'object/tangible/wearables/ithorian/shared_ith_pants_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329776583', 'C6785BC7', 'object/tangible/wearables/ithorian/shared_ith_robe_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2406825034', '8F753C4A', 'object/tangible/wearables/ithorian/shared_ith_robe_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2052487731', '7A567A33', 'object/tangible/wearables/ithorian/shared_ith_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705445540', 'A141D2A4', 'object/tangible/wearables/ithorian/shared_ith_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897341225', 'E84CB529', 'object/tangible/wearables/ithorian/shared_ith_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('330276413', '13AF9E3D', 'object/tangible/wearables/ithorian/shared_ith_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1520630192', '5AA2F9B0', 'object/tangible/wearables/ithorian/shared_ith_shirt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('2176143655', '81B55127', 'object/tangible/wearables/ithorian/shared_ith_shirt_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('3367515818', 'C8B836AA', 'object/tangible/wearables/ithorian/shared_ith_shirt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('1924274872', '72B21AB8', 'object/tangible/wearables/ithorian/shared_ith_shirt_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1002405173', '3BBF7D35', 'object/tangible/wearables/ithorian/shared_ith_shirt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('678629574', '287310C6', 'object/tangible/wearables/ithorian/shared_ith_shirt_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635678027', '617E774B', 'object/tangible/wearables/ithorian/shared_ith_shirt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3127500764', 'BA69DFDC', 'object/tangible/wearables/ithorian/shared_ith_shirt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('4083464273', 'F364B851', 'object/tangible/wearables/ithorian/shared_ith_shirt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('143102789', '8879345', 'object/tangible/wearables/ithorian/shared_ith_shirt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('1917673273', '724D5F39', 'object/tangible/wearables/ithorian/shared_ith_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2841311150', 'A95AF7AE', 'object/tangible/wearables/ithorian/shared_ith_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3763834915', 'E0579023', 'object/tangible/wearables/ithorian/shared_ith_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('582349540', '22B5F2E4', 'object/tangible/wearables/ithorian/shared_ith_underwear_bottom.iff');
INSERT INTO `object_crc_string_table` VALUES ('3845560407', 'E5369857', 'object/tangible/wearables/ithorian/shared_ith_underwear_top.iff');
INSERT INTO `object_crc_string_table` VALUES ('1675163714', '63D8F842', 'object/tangible/wearables/ithorian/shared_ith_vest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3100594389', 'B8CF50D5', 'object/tangible/wearables/ithorian/shared_ith_vest_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('4035495678', 'F088C6FE', 'object/tangible/wearables/jacket/shared_jacket_ace_imperial.iff');
INSERT INTO `object_crc_string_table` VALUES ('3982175528', 'ED5B2D28', 'object/tangible/wearables/jacket/shared_jacket_ace_privateer.iff');
INSERT INTO `object_crc_string_table` VALUES ('3256170327', 'C2153757', 'object/tangible/wearables/jacket/shared_jacket_ace_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('1288064520', '4CC64E08', 'object/tangible/wearables/jacket/shared_jacket_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('97200517', '5CB2985', 'object/tangible/wearables/jacket/shared_jacket_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3072681244', 'B725651C', 'object/tangible/wearables/jacket/shared_jacket_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815268747', '6C32CD8B', 'object/tangible/wearables/jacket/shared_jacket_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('624929286', '253FAA06', 'object/tangible/wearables/jacket/shared_jacket_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('2671085076', '9F358614', 'object/tangible/wearables/jacket/shared_jacket_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('3321138282', 'C5F48C6A', 'object/tangible/wearables/jacket/shared_jacket_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2365189095', '8CF9EBE7', 'object/tangible/wearables/jacket/shared_jacket_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1475232624', '57EE4370', 'object/tangible/wearables/jacket/shared_jacket_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('518202621', '1EE324FD', 'object/tangible/wearables/jacket/shared_jacket_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3841986537', 'E5000FE9', 'object/tangible/wearables/jacket/shared_jacket_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('2886559844', 'AC0D6864', 'object/tangible/wearables/jacket/shared_jacket_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('1998242035', '771AC0F3', 'object/tangible/wearables/jacket/shared_jacket_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('1041737598', '3E17A77E', 'object/tangible/wearables/jacket/shared_jacket_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2216528748', '841D8B6C', 'object/tangible/wearables/jacket/shared_jacket_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3440438497', 'CD10ECE1', 'object/tangible/wearables/jacket/shared_jacket_s19.iff');
INSERT INTO `object_crc_string_table` VALUES ('2709650543', 'A181FC6F', 'object/tangible/wearables/jacket/shared_jacket_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('2056672504', '7A9654F8', 'object/tangible/wearables/jacket/shared_jacket_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('3363313761', 'C8781861', 'object/tangible/wearables/jacket/shared_jacket_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('2171961324', '81757FEC', 'object/tangible/wearables/jacket/shared_jacket_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('1516427131', '5A62D77B', 'object/tangible/wearables/jacket/shared_jacket_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('2589815444', '9A5D7294', 'object/tangible/wearables/jacket/shared_jacket_s35.iff');
INSERT INTO `object_crc_string_table` VALUES ('1095424515', '414ADA03', 'object/tangible/wearables/jacket/shared_jacket_s36.iff');
INSERT INTO `object_crc_string_table` VALUES ('3954123718', 'EBAF23C6', 'object/tangible/wearables/necklace/shared_bestine_quest_badge.iff');
INSERT INTO `object_crc_string_table` VALUES ('1050230351', '3E993E4F', 'object/tangible/wearables/necklace/shared_necklace_adorned_beads.iff');
INSERT INTO `object_crc_string_table` VALUES ('3453591411', 'CDD99F73', 'object/tangible/wearables/necklace/shared_necklace_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584437673', 'D5A62DA9', 'object/tangible/wearables/necklace/shared_necklace_blue_gadget.iff');
INSERT INTO `object_crc_string_table` VALUES ('4150202535', 'F75F10A7', 'object/tangible/wearables/necklace/shared_necklace_brass_charm.iff');
INSERT INTO `object_crc_string_table` VALUES ('3040940329', 'B5411129', 'object/tangible/wearables/necklace/shared_necklace_bright_bauble.iff');
INSERT INTO `object_crc_string_table` VALUES ('974368601', '3A13AF59', 'object/tangible/wearables/necklace/shared_necklace_complex_pattern.iff');
INSERT INTO `object_crc_string_table` VALUES ('2325808611', '8AA105E3', 'object/tangible/wearables/necklace/shared_necklace_convoluted_adornment.iff');
INSERT INTO `object_crc_string_table` VALUES ('1155738012', '44E3299C', 'object/tangible/wearables/necklace/shared_necklace_crushed_brooch.iff');
INSERT INTO `object_crc_string_table` VALUES ('283875663', '10EB994F', 'object/tangible/wearables/necklace/shared_necklace_elaborate_necklet.iff');
INSERT INTO `object_crc_string_table` VALUES ('2530110745', '96CE6D19', 'object/tangible/wearables/necklace/shared_necklace_flashy_choker.iff');
INSERT INTO `object_crc_string_table` VALUES ('3024190115', 'B4417AA3', 'object/tangible/wearables/necklace/shared_necklace_hologram_locket.iff');
INSERT INTO `object_crc_string_table` VALUES ('3734395119', 'DE9658EF', 'object/tangible/wearables/necklace/shared_necklace_ice_pendant.iff');
INSERT INTO `object_crc_string_table` VALUES ('4144828811', 'F70D118B', 'object/tangible/wearables/necklace/shared_necklace_iron_brooch.iff');
INSERT INTO `object_crc_string_table` VALUES ('840414348', '3217B48C', 'object/tangible/wearables/necklace/shared_necklace_iron_choker.iff');
INSERT INTO `object_crc_string_table` VALUES ('218269484', 'D02872C', 'object/tangible/wearables/necklace/shared_necklace_jeweled_pendant.iff');
INSERT INTO `object_crc_string_table` VALUES ('3512942236', 'D1633E9C', 'object/tangible/wearables/necklace/shared_necklace_knickknack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3087789204', 'B80BEC94', 'object/tangible/wearables/necklace/shared_necklace_living_chains.iff');
INSERT INTO `object_crc_string_table` VALUES ('2122077046', '7E7C5376', 'object/tangible/wearables/necklace/shared_necklace_magnificent_lavaliere.iff');
INSERT INTO `object_crc_string_table` VALUES ('3448479035', 'CD8B9D3B', 'object/tangible/wearables/necklace/shared_necklace_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('118177721', '70B3FB9', 'object/tangible/wearables/necklace/shared_necklace_opulent_cameo.iff');
INSERT INTO `object_crc_string_table` VALUES ('2206646823', '8386C227', 'object/tangible/wearables/necklace/shared_necklace_ornamental_ratchet.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137026386', '43C5A552', 'object/tangible/wearables/necklace/shared_necklace_pawl_chain.iff');
INSERT INTO `object_crc_string_table` VALUES ('2922514792', 'AE320968', 'object/tangible/wearables/necklace/shared_necklace_platinum_pin.iff');
INSERT INTO `object_crc_string_table` VALUES ('3826079370', 'E40D568A', 'object/tangible/wearables/necklace/shared_necklace_reebo_charm.iff');
INSERT INTO `object_crc_string_table` VALUES ('2107115657', '7D980889', 'object/tangible/wearables/necklace/shared_necklace_rosy_pearl.iff');
INSERT INTO `object_crc_string_table` VALUES ('509359350', '1E5C34F6', 'object/tangible/wearables/necklace/shared_necklace_rusty_beads.iff');
INSERT INTO `object_crc_string_table` VALUES ('705351361', '2A0ACEC1', 'object/tangible/wearables/necklace/shared_necklace_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045235798', 'F11D6656', 'object/tangible/wearables/necklace/shared_necklace_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3088056795', 'B81001DB', 'object/tangible/wearables/necklace/shared_necklace_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1140009679', '43F32ACF', 'object/tangible/wearables/necklace/shared_necklace_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('184438082', 'AFE4D42', 'object/tangible/wearables/necklace/shared_necklace_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3521766869', 'D1E9E5D5', 'object/tangible/wearables/necklace/shared_necklace_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2565112408', '98E48258', 'object/tangible/wearables/necklace/shared_necklace_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('586067530', '22EEAE4A', 'object/tangible/wearables/necklace/shared_necklace_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1810090439', '6BE3C9C7', 'object/tangible/wearables/necklace/shared_necklace_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('4204967934', 'FAA2B7FE', 'object/tangible/wearables/necklace/shared_necklace_s09_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2016388148', '782FA434', 'object/tangible/wearables/necklace/shared_necklace_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('824361913', '3122C3B9', 'object/tangible/wearables/necklace/shared_necklace_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3929369390', 'EA356B2E', 'object/tangible/wearables/necklace/shared_necklace_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('4111333468', 'F50DF85C', 'object/tangible/wearables/necklace/shared_necklace_sparkling_bijou.iff');
INSERT INTO `object_crc_string_table` VALUES ('3192072783', 'BE432A4F', 'object/tangible/wearables/necklace/shared_necklace_wampum.iff');
INSERT INTO `object_crc_string_table` VALUES ('2233956453', '85277865', 'object/tangible/wearables/pants/shared_nightsister_pants_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1580257522', '5E30D0F2', 'object/tangible/wearables/pants/shared_nightsister_pants_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('729715050', '2B7E916A', 'object/tangible/wearables/pants/shared_pants_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4033427965', 'F06939FD', 'object/tangible/wearables/pants/shared_pants_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1116173668', '42877564', 'object/tangible/wearables/pants/shared_pants_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('193598185', 'B8A12E9', 'object/tangible/wearables/pants/shared_pants_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3499997822', 'D09DBA7E', 'object/tangible/wearables/pants/shared_pants_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('2576408051', '9990DDF3', 'object/tangible/wearables/pants/shared_pants_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('597357025', '239AF1E1', 'object/tangible/wearables/pants/shared_pants_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('1788319340', '6A97966C', 'object/tangible/wearables/pants/shared_pants_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2036071327', '795BFB9F', 'object/tangible/wearables/pants/shared_pants_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('810982418', '30569C12', 'object/tangible/wearables/pants/shared_pants_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3946919045', 'EB413485', 'object/tangible/wearables/pants/shared_pants_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2722910984', 'A24C5308', 'object/tangible/wearables/pants/shared_pants_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('1504671772', '59AF781C', 'object/tangible/wearables/pants/shared_pants_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('279060369', '10A21F91', 'object/tangible/wearables/pants/shared_pants_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('2193150091', '82B8D08B', 'object/tangible/wearables/pants/shared_pants_s17.iff');
INSERT INTO `object_crc_string_table` VALUES ('951254169', '38B2FC99', 'object/tangible/wearables/pants/shared_pants_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('489589658', '1D2E8B9A', 'object/tangible/wearables/pants/shared_pants_s21.iff');
INSERT INTO `object_crc_string_table` VALUES ('3325633293', 'C639230D', 'object/tangible/wearables/pants/shared_pants_s22.iff');
INSERT INTO `object_crc_string_table` VALUES ('1960275860', '74D76F94', 'object/tangible/wearables/pants/shared_pants_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('1037699097', '3DDA0819', 'object/tangible/wearables/pants/shared_pants_s25.iff');
INSERT INTO `object_crc_string_table` VALUES ('3872235662', 'E6CDA08E', 'object/tangible/wearables/pants/shared_pants_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('2948646659', 'AFC0C703', 'object/tangible/wearables/pants/shared_pants_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('365619985', '15CAEB11', 'object/tangible/wearables/pants/shared_pants_s28.iff');
INSERT INTO `object_crc_string_table` VALUES ('1556581532', '5CC78C9C', 'object/tangible/wearables/pants/shared_pants_s29.iff');
INSERT INTO `object_crc_string_table` VALUES ('1326178671', '4F0BE16F', 'object/tangible/wearables/pants/shared_pants_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('101091042', '60686E2', 'object/tangible/wearables/pants/shared_pants_s31.iff');
INSERT INTO `object_crc_string_table` VALUES ('3708890741', 'DD112E75', 'object/tangible/wearables/pants/shared_pants_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2484881912', '941C49F8', 'object/tangible/wearables/pants/shared_pants_s33.iff');
INSERT INTO `object_crc_string_table` VALUES ('923373873', '37099131', 'object/tangible/wearables/ring/shared_aakuan_ring.iff');
INSERT INTO `object_crc_string_table` VALUES ('4136025825', 'F686BEE1', 'object/tangible/wearables/ring/shared_ring_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368096094', 'C8C1115E', 'object/tangible/wearables/ring/shared_ring_mark_hero.iff');
INSERT INTO `object_crc_string_table` VALUES ('186168033', 'B18B2E1', 'object/tangible/wearables/ring/shared_ring_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('1300460406', '4D837376', 'object/tangible/wearables/ring/shared_ring_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2526338017', '9694DBE1', 'object/tangible/wearables/ring/shared_ring_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3751394412', 'DF99BC6C', 'object/tangible/wearables/ring/shared_ring_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('266162342', 'FDD50A6', 'object/tangible/wearables/ring/shared_ring_s03_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('612013944', '247A9778', 'object/tangible/wearables/ring/shared_ring_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('518208123', '1EE33A7B', 'object/tangible/wearables/robe/shared_aakuan_robe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169107890', 'BCE4BFB2', 'object/tangible/wearables/robe/shared_robe_inquisitor.iff');
INSERT INTO `object_crc_string_table` VALUES ('3047595977', 'B5A69FC9', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1857107806', '6EB1375E', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('666652883', '27BC50D3', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3697245127', 'DC5F7BC7', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2505186378', '95521C4A', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3064236439', 'B6A48997', 'object/tangible/wearables/robe/shared_robe_jedi_light_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1840455936', '6DB32100', 'object/tangible/wearables/robe/shared_robe_jedi_light_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('616449677', '24BE468D', 'object/tangible/wearables/robe/shared_robe_jedi_light_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3747442073', 'DF5D6D99', 'object/tangible/wearables/robe/shared_robe_jedi_light_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521827860', '96500A14', 'object/tangible/wearables/robe/shared_robe_jedi_light_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('901202930', '35B743F2', 'object/tangible/wearables/robe/shared_robe_jedi_padawan.iff');
INSERT INTO `object_crc_string_table` VALUES ('2041848180', '79B42174', 'object/tangible/wearables/robe/shared_robe_jedi_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1197214887', '475C0CA7', 'object/tangible/wearables/robe/shared_robe_prefect_talmont.iff');
INSERT INTO `object_crc_string_table` VALUES ('1986706266', '766ABB5A', 'object/tangible/wearables/robe/shared_robe_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('529751892', '1F935F54', 'object/tangible/wearables/robe/shared_robe_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1453209817', '569E38D9', 'object/tangible/wearables/robe/shared_robe_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('956309254', '39001F06', 'object/tangible/wearables/robe/shared_robe_s05_h1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3059031733', 'B6551EB5', 'object/tangible/wearables/robe/shared_robe_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705432745', '65A6D6A9', 'object/tangible/wearables/robe/shared_robe_s18.iff');
INSERT INTO `object_crc_string_table` VALUES ('4074040627', 'F2D4ED33', 'object/tangible/wearables/robe/shared_robe_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('1357876030', '50EF8B3E', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2348295081', '8BF823A9', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1826844236', '6CE36E4C', 'object/tangible/wearables/shirt/shared_aakuan_shirt.iff');
INSERT INTO `object_crc_string_table` VALUES ('2915181995', 'ADC225AB', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1993706812', '76D58D3C', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1071180465', '3FD8EAB1', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('2503455797', '9537B435', 'object/tangible/wearables/shirt/shared_shirt_dera.iff');
INSERT INTO `object_crc_string_table` VALUES ('2094605554', '7CD924F2', 'object/tangible/wearables/shirt/shared_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3284391471', 'C3C3D62F', 'object/tangible/wearables/shirt/shared_shirt_s03_rebel.iff');
INSERT INTO `object_crc_string_table` VALUES ('2268729318', '873A0FE6', 'object/tangible/wearables/shirt/shared_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('3459737707', 'CE37686B', 'object/tangible/wearables/shirt/shared_shirt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1546495857', '5C2DA771', 'object/tangible/wearables/shirt/shared_shirt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3861351267', 'E6278B63', 'object/tangible/wearables/shirt/shared_shirt_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2938825966', 'AF2AECEE', 'object/tangible/wearables/shirt/shared_shirt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3169222941', 'BCE6811D', 'object/tangible/wearables/shirt/shared_shirt_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('4125877904', 'F5EBE690', 'object/tangible/wearables/shirt/shared_shirt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('788286983', '2EFC4E07', 'object/tangible/wearables/shirt/shared_shirt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1743858058', '67F1298A', 'object/tangible/wearables/shirt/shared_shirt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('2618426014', '9C12029E', 'object/tangible/wearables/shirt/shared_shirt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3575604499', 'D51F6513', 'object/tangible/wearables/shirt/shared_shirt_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('235457924', 'E08CD84', 'object/tangible/wearables/shirt/shared_shirt_s16.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976519446', 'B16A1516', 'object/tangible/wearables/shirt/shared_shirt_s24.iff');
INSERT INTO `object_crc_string_table` VALUES ('594598412', '2370DA0C', 'object/tangible/wearables/shirt/shared_shirt_s26.iff');
INSERT INTO `object_crc_string_table` VALUES ('1786625409', '6A7DBD81', 'object/tangible/wearables/shirt/shared_shirt_s27.iff');
INSERT INTO `object_crc_string_table` VALUES ('3497496979', 'D0779193', 'object/tangible/wearables/shirt/shared_shirt_s28.iff');
INSERT INTO `object_crc_string_table` VALUES ('2327223277', '8AB69BED', 'object/tangible/wearables/shirt/shared_shirt_s30.iff');
INSERT INTO `object_crc_string_table` VALUES ('413947127', '18AC54F7', 'object/tangible/wearables/shirt/shared_shirt_s32.iff');
INSERT INTO `object_crc_string_table` VALUES ('2856458350', 'AA42186E', 'object/tangible/wearables/shirt/shared_shirt_s34.iff');
INSERT INTO `object_crc_string_table` VALUES ('3412040939', 'CB5F9CEB', 'object/tangible/wearables/shirt/shared_shirt_s38.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500804767', '5974769F', 'object/tangible/wearables/shirt/shared_shirt_s42.iff');
INSERT INTO `object_crc_string_table` VALUES ('73383983', '45FC02F', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3746064568', 'DF4868B8', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2521108277', '96450F35', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3549441025', 'D3902C01', 'object/tangible/wearables/shoes/shared_shoes_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('143099030', '8878496', 'object/tangible/wearables/shoes/shared_shoes_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1099621147', '418AE31B', 'object/tangible/wearables/shoes/shared_shoes_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635672216', '617E6098', 'object/tangible/wearables/shoes/shared_shoes_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3681832074', 'DB744C8A', 'object/tangible/wearables/shoes/shared_shoes_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('2457414407', '92792B07', 'object/tangible/wearables/shoes/shared_shoes_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('2970859087', 'B113B64F', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1778654936', '6A041ED8', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('587823445', '23097955', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('647487888', '2697E190', 'object/tangible/wearables/skirt/shared_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3715418756', 'DD74CA84', 'object/tangible/wearables/skirt/shared_skirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('2491002121', '9479AD09', 'object/tangible/wearables/skirt/shared_skirt_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('1332610462', '4F6E059E', 'object/tangible/wearables/skirt/shared_skirt_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('107176467', '6636213', 'object/tangible/wearables/skirt/shared_skirt_s07.iff');
INSERT INTO `object_crc_string_table` VALUES ('3161017857', 'BC694E01', 'object/tangible/wearables/skirt/shared_skirt_s08.iff');
INSERT INTO `object_crc_string_table` VALUES ('4116982156', 'F564298C', 'object/tangible/wearables/skirt/shared_skirt_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869787263', 'E6A8447F', 'object/tangible/wearables/skirt/shared_skirt_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2946835442', 'AFA523F2', 'object/tangible/wearables/skirt/shared_skirt_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('1957858149', '74B28B65', 'object/tangible/wearables/skirt/shared_skirt_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1035988200', '3DBFECE8', 'object/tangible/wearables/skirt/shared_skirt_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3327969276', 'C65CC7FC', 'object/tangible/wearables/skirt/shared_skirt_s14.iff');
INSERT INTO `object_crc_string_table` VALUES ('3623370478', 'D7F83EEE', 'object/tangible/wearables/underwear/shared_underwear_bottom.iff');
INSERT INTO `object_crc_string_table` VALUES ('467062673', '1BD6CF91', 'object/tangible/wearables/underwear/shared_underwear_top.iff');
INSERT INTO `object_crc_string_table` VALUES ('34828875', '213724B', 'object/tangible/wearables/utility/shared_utility_belt_tusken_raider.iff');
INSERT INTO `object_crc_string_table` VALUES ('589794232', '23278BB8', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4163904303', 'F830232F', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2973582498', 'B13D44A2', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('815018384', '30943190', 'object/tangible/wearables/vest/shared_vest_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3951270151', 'EB839907', 'object/tangible/wearables/vest/shared_vest_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2727280266', 'A28EFE8A', 'object/tangible/wearables/vest/shared_vest_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1500370334', '596DD59E', 'object/tangible/wearables/vest/shared_vest_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('274772499', '1060B213', 'object/tangible/wearables/vest/shared_vest_s05.iff');
INSERT INTO `object_crc_string_table` VALUES ('3413580420', 'CB771A84', 'object/tangible/wearables/vest/shared_vest_s06.iff');
INSERT INTO `object_crc_string_table` VALUES ('1904031382', '717D3696', 'object/tangible/wearables/vest/shared_vest_s09.iff');
INSERT INTO `object_crc_string_table` VALUES ('1655790437', '62B15B65', 'object/tangible/wearables/vest/shared_vest_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('733756648', '2BBC3CE8', 'object/tangible/wearables/vest/shared_vest_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('189316971', 'B48BF6B', 'object/tangible/wearables/vest/shared_vest_s15.iff');
INSERT INTO `object_crc_string_table` VALUES ('982220507', '3A8B7EDB', 'object/tangible/wearables/wookiee/shared_wke_gloves_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('3785152076', 'E19CD64C', 'object/tangible/wearables/wookiee/shared_wke_gloves_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2828120513', 'A891B1C1', 'object/tangible/wearables/wookiee/shared_wke_gloves_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1400019669', '53729AD5', 'object/tangible/wearables/wookiee/shared_wke_gloves_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('143220595', '8895F73', 'object/tangible/wearables/wookiee/shared_wke_hat_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('773028987', '2E137C7B', 'object/tangible/wearables/wookiee/shared_wke_hood_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4110734572', 'F504D4EC', 'object/tangible/wearables/wookiee/shared_wke_hood_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('3154752353', 'BC09B361', 'object/tangible/wearables/wookiee/shared_wke_hood_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('1294873415', '4D2E3347', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2316465710', '8A12762E', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_f.iff');
INSERT INTO `object_crc_string_table` VALUES ('283957695', '10ECD9BF', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_m.iff');
INSERT INTO `object_crc_string_table` VALUES ('2791438893', 'A661FA2D', 'object/tangible/wearables/wookiee/shared_wke_shirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2104906426', '7D7652BA', 'object/tangible/wearables/wookiee/shared_wke_shirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('880489783', '347B3537', 'object/tangible/wearables/wookiee/shared_wke_shirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3482852899', 'CF981E23', 'object/tangible/wearables/wookiee/shared_wke_shirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('1209883613', '481D5BDD', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('2466968394', '930AF34A', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('2927288103', 'AE7ADF27', 'object/tangible/wearables/wookiee/shared_wke_skirt_s01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1970108336', '756D77B0', 'object/tangible/wearables/wookiee/shared_wke_skirt_s02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1012928573', '3C60103D', 'object/tangible/wearables/wookiee/shared_wke_skirt_s03.iff');
INSERT INTO `object_crc_string_table` VALUES ('3347266345', 'C7833B29', 'object/tangible/wearables/wookiee/shared_wke_skirt_s04.iff');
INSERT INTO `object_crc_string_table` VALUES ('638400460', '260D37CC', 'object/tangible/weather_object/shared_weather_object_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3897855130', 'E8548C9A', 'object/token/base/shared_base_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('599623444', '23BD8714', 'object/token/base/shared_token_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('4231471595', 'FC3721EB', 'object/token/shared_token.iff');
INSERT INTO `object_crc_string_table` VALUES ('2428076790', '90B982F6', 'object/universe/base/shared_base_universe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3854968513', 'E5C626C1', 'object/universe/base/shared_universe_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('80681620', '4CF1A94', 'object/waypoint/base/shared_base_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('2511311124', '95AF9114', 'object/waypoint/base/shared_waypoint_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('4195736526', 'FA15DBCE', 'object/waypoint/shared_path_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('4251347533', 'FD666A4D', 'object/waypoint/shared_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('629636525', '25877DAD', 'object/waypoint/shared_world_waypoint.iff');
INSERT INTO `object_crc_string_table` VALUES ('3038003230', 'B514401E', 'object/waypoint/shared_world_waypoint_blue.iff');
INSERT INTO `object_crc_string_table` VALUES ('211288739', 'C9802A3', 'object/waypoint/shared_world_waypoint_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3990793280', 'EDDEAC40', 'object/waypoint/shared_world_waypoint_orange.iff');
INSERT INTO `object_crc_string_table` VALUES ('186074874', 'B1746FA', 'object/waypoint/shared_world_waypoint_purple.iff');
INSERT INTO `object_crc_string_table` VALUES ('2672628441', '9F4D12D9', 'object/waypoint/shared_world_waypoint_space.iff');
INSERT INTO `object_crc_string_table` VALUES ('2818077908', 'A7F874D4', 'object/waypoint/shared_world_waypoint_white.iff');
INSERT INTO `object_crc_string_table` VALUES ('2960507421', 'B075C21D', 'object/waypoint/shared_world_waypoint_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1343110417', '500E3D11', 'object/weapon/base/shared_base_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3295718930', 'C470AE12', 'object/weapon/base/shared_weapon_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('2110842690', '7DD0E742', 'object/weapon/creature/shared_creature_default_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('3231039364', 'C095BF84', 'object/weapon/melee/2h_sword/base/shared_2h_sword_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3974479430', 'ECE5BE46', 'object/weapon/melee/2h_sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1123043338', '42F0480A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2582110365', '99E7E09D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3505030928', 'D0EA8710', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('722054148', '2B09AC04', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1644481417', '6204CB89', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3520543309', 'D1D73A4D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1113262465', '425B0981', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2571936022', '994CA116', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3493971611', 'D041C69B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('732097935', '2BA2ED8F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1933498416', '733ED830', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821972348', 'A833E17C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1931758059', '732449EB', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('975777382', '3A292E66', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3251242354', 'C1CA0572', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('976469949', '3A33BFBD', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('681787675', '28A3411B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4088719756', 'F3B4E98C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3132722689', 'BAB98E01', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1096459541', '415AA515', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3777238826', 'E124172A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('2916334597', 'ADD3BC05', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1992561810', '76C41492', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1070166815', '3FC9731F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3291109387', 'C42A580B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2821288103', 'A82970A7', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('759372898', '2D431C62', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('4132746485', 'F654B4F5', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3210335096', 'BF59D378', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1153103980', '44BAF86C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('180392666', 'AC092DA', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3341546655', 'C72BF49F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('473717768', '1C3C5C08', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1429289861', '55313B85', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2933002385', 'AED21091', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1137571159', '43CDF557', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1203459320', '47BB54F8', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2628582511', '9CACFC6F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3584138210', 'D5A19BE2', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('776122614', '2E42B0F6', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3090079299', 'B82EDE43', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3372946196', 'C90B1314', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('303872899', '121CBB83', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1527897102', '5B11DC0E', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2700277530', 'A0F2F71A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4045650382', 'F123B9CE', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234940787', '499BB373', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2458655716', '928C1BE4', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3682696297', 'DB817C69', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('543315837', '2062577D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('708055385', '2A341159', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3437973101', 'CCEB4E6D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('402450170', '17FCE6FA', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1592885623', '5EF18177', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2769463907', 'A512AA63', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1664710356', '633976D4', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7.iff');
INSERT INTO `object_crc_string_table` VALUES ('1283190282', '4C7BEE0A', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2540455581', '976C469D', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3730907408', 'DE612110', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('629279236', '25820A04', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3644021446', 'D9335AC6', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8.iff');
INSERT INTO `object_crc_string_table` VALUES ('3578452994', 'D54ADC02', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('241005717', 'E5D7495', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1196430104', '47501318', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3165861900', 'BCB3380C', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2419998027', '903E3D4B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9.iff');
INSERT INTO `object_crc_string_table` VALUES ('1440382053', '55DA7C65', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2395854066', '8ECDD4F2', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3351294847', 'C7C0B37F', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1008965739', '3C23986B', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3488117788', 'CFE8741C', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2823273971', 'A847BDF3', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1699236305', '654849D1', 'object/weapon/melee/2h_sword/shared_2h_sword_blacksun_hack.iff');
INSERT INTO `object_crc_string_table` VALUES ('1737909268', '67966414', 'object/weapon/melee/2h_sword/shared_2h_sword_cleaver.iff');
INSERT INTO `object_crc_string_table` VALUES ('1688331731', '64A1E5D3', 'object/weapon/melee/2h_sword/shared_2h_sword_katana.iff');
INSERT INTO `object_crc_string_table` VALUES ('2213862016', '83F4DA80', 'object/weapon/melee/2h_sword/shared_2h_sword_katana_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('248141391', 'ECA564F', 'object/weapon/melee/2h_sword/shared_2h_sword_maul.iff');
INSERT INTO `object_crc_string_table` VALUES ('3006583634', 'B334D352', 'object/weapon/melee/2h_sword/shared_2h_sword_scythe.iff');
INSERT INTO `object_crc_string_table` VALUES ('2307905353', '898FD749', 'object/weapon/melee/axe/base/shared_axe_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3808952162', 'E307FF62', 'object/weapon/melee/axe/shared_axe_heavy_duty.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835485114', '6D6747BA', 'object/weapon/melee/axe/shared_axe_vibroaxe.iff');
INSERT INTO `object_crc_string_table` VALUES ('1158062481', '4506A191', 'object/weapon/melee/base/shared_base_melee.iff');
INSERT INTO `object_crc_string_table` VALUES ('3732005131', 'DE71E10B', 'object/weapon/melee/baton/base/shared_baton_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1521219232', '5AABF6A0', 'object/weapon/melee/baton/shared_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2740869510', 'A35E5986', 'object/weapon/melee/baton/shared_baton_stun.iff');
INSERT INTO `object_crc_string_table` VALUES ('926540761', '3739E3D9', 'object/weapon/melee/baton/shared_victor_baton_gaderiffi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2605941713', '9B5383D1', 'object/weapon/melee/knife/base/shared_knife_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4040009714', 'F0CDA7F2', 'object/weapon/melee/knife/shared_knife_dagger.iff');
INSERT INTO `object_crc_string_table` VALUES ('532251396', '1FB98304', 'object/weapon/melee/knife/shared_knife_donkuwah.iff');
INSERT INTO `object_crc_string_table` VALUES ('2255187692', '866B6EEC', 'object/weapon/melee/knife/shared_knife_janta.iff');
INSERT INTO `object_crc_string_table` VALUES ('1218550121', '48A19969', 'object/weapon/melee/knife/shared_knife_stone.iff');
INSERT INTO `object_crc_string_table` VALUES ('1606995338', '5FC8CD8A', 'object/weapon/melee/knife/shared_knife_stone_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('530531036', '1F9F42DC', 'object/weapon/melee/knife/shared_knife_survival.iff');
INSERT INTO `object_crc_string_table` VALUES ('4211610935', 'FB081537', 'object/weapon/melee/knife/shared_knife_vibroblade.iff');
INSERT INTO `object_crc_string_table` VALUES ('3270607602', 'C2F182F2', 'object/weapon/melee/knife/shared_knife_vibroblade_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('4081145715', 'F3415773', 'object/weapon/melee/polearm/base/shared_crafted_lance_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1355297704', '50C833A8', 'object/weapon/melee/polearm/base/shared_lance_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4212036933', 'FB0E9545', 'object/weapon/melee/polearm/base/shared_polearm_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3485705147', 'CFC3A3BB', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('349440812', '14D40B2C', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1574530209', '5DD96CA1', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2788837301', 'A63A47B5', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('4013367352', 'EF372038', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840733128', 'E4ECEFC8', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3146329948', 'BB892F5C', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1621002187', '609E87CB', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('697557062', '2993E046', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3530607442', 'D270CB52', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073432415', '3FFB475F', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1056559682', '3EF9D242', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3857611477', 'E5EE7AD5', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2900565336', 'ACE31D58', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1459631692', '5700364C', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1316875243', '4E7DEBEB', 'object/weapon/melee/polearm/shared_lance_controllerfp.iff');
INSERT INTO `object_crc_string_table` VALUES ('3796866830', 'E24F970E', 'object/weapon/melee/polearm/shared_lance_controllerfp_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('3828775483', 'E4367A3B', 'object/weapon/melee/polearm/shared_lance_lightsaber_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('1059181228', '3F21D2AC', 'object/weapon/melee/polearm/shared_lance_lightsaber_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1613461036', '602B762C', 'object/weapon/melee/polearm/shared_lance_nightsister.iff');
INSERT INTO `object_crc_string_table` VALUES ('770226321', '2DE8B891', 'object/weapon/melee/polearm/shared_lance_nightsister_npc_version.iff');
INSERT INTO `object_crc_string_table` VALUES ('1705789500', '65AC483C', 'object/weapon/melee/polearm/shared_lance_staff_janta.iff');
INSERT INTO `object_crc_string_table` VALUES ('978782032', '3A570750', 'object/weapon/melee/polearm/shared_lance_staff_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('1200142292', '4788B7D4', 'object/weapon/melee/polearm/shared_lance_staff_wood_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2627673923', '9C9F1F43', 'object/weapon/melee/polearm/shared_lance_staff_wood_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('22784428', '15BA9AC', 'object/weapon/melee/polearm/shared_lance_vibrolance.iff');
INSERT INTO `object_crc_string_table` VALUES ('1723256113', '66B6CD31', 'object/weapon/melee/polearm/shared_polearm_vibro_axe.iff');
INSERT INTO `object_crc_string_table` VALUES ('3357199743', 'C81ACD7F', 'object/weapon/melee/special/shared_blacksun_razor.iff');
INSERT INTO `object_crc_string_table` VALUES ('1697024206', '652688CE', 'object/weapon/melee/special/shared_vibroknuckler.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214168147', 'FB2F1A53', 'object/weapon/melee/sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('831536160', '31903C20', 'object/weapon/melee/sword/base/shared_crafted_sword_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1528257070', '5B175A2E', 'object/weapon/melee/sword/base/shared_lightsaber_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3159479554', 'BC51D502', 'object/weapon/melee/sword/base/shared_sword_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('225373638', 'D6EEDC6', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3598271825', 'D6794551', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2675188444', '9F7422DC', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1687620040', '649709C8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('765095493', '2D9A6E45', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1955018838', '74873856', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3893856758', 'E81789F6', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('855646561', '33002161', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2047690476', '7A0D46EC', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2179886584', '81EE6DF8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3319201365', 'C5D6FE55', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10.iff');
INSERT INTO `object_crc_string_table` VALUES ('974526116', '3A1616A4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3774987827', 'E101BE33', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2819414462', 'A80CD9BE', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1408234154', '53EFF2AA', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2363202008', '8CDB99D8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11.iff');
INSERT INTO `object_crc_string_table` VALUES ('3129390787', 'BA86B6C3', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1636900436', '61911E54', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('681343449', '289C79D9', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3548336845', 'D37F52CD', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1472999759', '57CC314F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073105885', '3FF64BDD', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3840009034', 'E4E1E34A', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2917958855', 'ADEC84C7', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('1443868627', '560FAFD3', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('515987138', '1EC156C2', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13.iff');
INSERT INTO `object_crc_string_table` VALUES ('3211193274', 'BF66EBBA', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1685144365', '6471432D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('763110560', '2D7C24A0', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3600748468', 'D69F0FB4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2945487041', 'AF9090C1', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1835496680', '6D6774E8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3060849791', 'B670DC7F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4286430194', 'FF7DBBF2', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('77500646', '49E90E6', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3869112140', 'E69DF74C', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3.iff');
INSERT INTO `object_crc_string_table` VALUES ('3992441999', 'EDF7D48F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('920681496', '36E07C18', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('2146245525', '7FED1B95', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2215522433', '840E3081', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('494853208', '1D7EDC58', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1665635171', '63479363', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3092265972', 'B8503BF4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4049427577', 'F15D5C79', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('180254573', 'ABE776D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('1416870869', '5473BBD5', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5.iff');
INSERT INTO `object_crc_string_table` VALUES ('3822531332', 'E3D73304', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('952146835', '38C09B93', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1909324830', '71CDFC1E', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2318325514', '8A2ED70A', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2405700418', '8F641342', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6.iff');
INSERT INTO `object_crc_string_table` VALUES ('1722273306', '66A7CE1A', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('3182454413', 'BDB0668D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('4106027264', 'F4BD0100', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('257829396', 'F5E2A14', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('3328799951', 'C66974CF', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7.iff');
INSERT INTO `object_crc_string_table` VALUES ('3862392445', 'E6376E7D', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('1025558250', '3D20C6EA', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1949147495', '742DA167', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2412677747', '8FCE8A73', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('2086885597', '7C6358DD', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8.iff');
INSERT INTO `object_crc_string_table` VALUES ('2131123317', '7F065C75', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('2752640226', 'A411F4E2', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('3978072943', 'ED1C936F', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('385857659', '16FFB87B', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('896417616', '356E3F50', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9.iff');
INSERT INTO `object_crc_string_table` VALUES ('4288085010', 'FF96FC12', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen1.iff');
INSERT INTO `object_crc_string_table` VALUES ('612455557', '24815485', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1837904648', '6D8C3308', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen3.iff');
INSERT INTO `object_crc_string_table` VALUES ('2523863068', '966F181C', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen4.iff');
INSERT INTO `object_crc_string_table` VALUES ('901085030', '35B57766', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s1_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('4009691393', 'EEFF0901', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s10_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2835924928', 'A908C7C0', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s11_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('4255982629', 'FDAD2425', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s2_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3126520548', 'BA5AEAE4', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s3_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('1767677716', '695C9F14', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s4_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('782979541', '2EAB51D5', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s5_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3870491286', 'E6B30296', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s6_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('2705640535', 'A144CC57', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s7_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('1149170881', '447EF4C1', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s8_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('59324928', '3893A00', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s9_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('3675065336', 'DB0D0BF8', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_training.iff');
INSERT INTO `object_crc_string_table` VALUES ('4064578026', 'F24489EA', 'object/weapon/melee/sword/shared_bestine_quest_sword.iff');
INSERT INTO `object_crc_string_table` VALUES ('2166507187', '812246B3', 'object/weapon/melee/sword/shared_sword_01.iff');
INSERT INTO `object_crc_string_table` VALUES ('4026227863', 'EFFB5C97', 'object/weapon/melee/sword/shared_sword_01_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('1513483812', '5A35EE24', 'object/weapon/melee/sword/shared_sword_02.iff');
INSERT INTO `object_crc_string_table` VALUES ('1543947481', '5C06C4D9', 'object/weapon/melee/sword/shared_sword_blade_ryyk.iff');
INSERT INTO `object_crc_string_table` VALUES ('686325746', '28E87FF2', 'object/weapon/melee/sword/shared_sword_curved_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('4148631342', 'F747172E', 'object/weapon/melee/sword/shared_sword_lightsaber_anakin.iff');
INSERT INTO `object_crc_string_table` VALUES ('214802309', 'CCD9F85', 'object/weapon/melee/sword/shared_sword_lightsaber_andael.iff');
INSERT INTO `object_crc_string_table` VALUES ('2309363184', '89A615F0', 'object/weapon/melee/sword/shared_sword_lightsaber_ben.iff');
INSERT INTO `object_crc_string_table` VALUES ('1815706117', '6C397A05', 'object/weapon/melee/sword/shared_sword_lightsaber_dugald.iff');
INSERT INTO `object_crc_string_table` VALUES ('3799429195', 'E276B04B', 'object/weapon/melee/sword/shared_sword_lightsaber_leather.iff');
INSERT INTO `object_crc_string_table` VALUES ('672927666', '281C0FB2', 'object/weapon/melee/sword/shared_sword_lightsaber_luke.iff');
INSERT INTO `object_crc_string_table` VALUES ('3534521944', 'D2AC8658', 'object/weapon/melee/sword/shared_sword_lightsaber_luke_2h_test.iff');
INSERT INTO `object_crc_string_table` VALUES ('1964241543', '7513F287', 'object/weapon/melee/sword/shared_sword_lightsaber_mace.iff');
INSERT INTO `object_crc_string_table` VALUES ('949430622', '3897295E', 'object/weapon/melee/sword/shared_sword_lightsaber_nebu.iff');
INSERT INTO `object_crc_string_table` VALUES ('913289864', '366FB288', 'object/weapon/melee/sword/shared_sword_lightsaber_obi.iff');
INSERT INTO `object_crc_string_table` VALUES ('2556113704', '985B3328', 'object/weapon/melee/sword/shared_sword_lightsaber_quigon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2429759563', '90D3304B', 'object/weapon/melee/sword/shared_sword_lightsaber_sleekblack.iff');
INSERT INTO `object_crc_string_table` VALUES ('3172079785', 'BD1218A9', 'object/weapon/melee/sword/shared_sword_lightsaber_sleeksilver.iff');
INSERT INTO `object_crc_string_table` VALUES ('2913927315', 'ADAF0093', 'object/weapon/melee/sword/shared_sword_lightsaber_vader.iff');
INSERT INTO `object_crc_string_table` VALUES ('371913339', '162AF27B', 'object/weapon/melee/sword/shared_sword_nyax.iff');
INSERT INTO `object_crc_string_table` VALUES ('3125045014', 'BA446716', 'object/weapon/melee/sword/shared_sword_rantok.iff');
INSERT INTO `object_crc_string_table` VALUES ('1334573707', '4F8BFA8B', 'object/weapon/melee/unarmed/shared_unarmed_default.iff');
INSERT INTO `object_crc_string_table` VALUES ('1891079953', '70B79711', 'object/weapon/melee/unarmed/shared_unarmed_default_player.iff');
INSERT INTO `object_crc_string_table` VALUES ('482351684', '1CC01A44', 'object/weapon/mine/base/shared_mine_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('1109205423', '421D21AF', 'object/weapon/mine/shared_wp_mine_anti_vehicle.iff');
INSERT INTO `object_crc_string_table` VALUES ('1308699589', '4E012BC5', 'object/weapon/mine/shared_wp_mine_drx55.iff');
INSERT INTO `object_crc_string_table` VALUES ('350273897', '14E0C169', 'object/weapon/mine/shared_wp_mine_xg.iff');
INSERT INTO `object_crc_string_table` VALUES ('1635659251', '617E2DF3', 'object/weapon/ranged/base/shared_base_ranged_weapon.iff');
INSERT INTO `object_crc_string_table` VALUES ('2810105369', 'A77ECE19', 'object/weapon/ranged/carbine/base/shared_carbine_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('583942574', '22CE41AE', 'object/weapon/ranged/carbine/shared_carbine_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('227072559', 'D88DA2F', 'object/weapon/ranged/carbine/shared_carbine_cdef_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('683543232', '28BE0AC0', 'object/weapon/ranged/carbine/shared_carbine_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('648744456', '26AB0E08', 'object/weapon/ranged/carbine/shared_carbine_dh17_black.iff');
INSERT INTO `object_crc_string_table` VALUES ('1881783933', '7029BE7D', 'object/weapon/ranged/carbine/shared_carbine_dh17_snubnose.iff');
INSERT INTO `object_crc_string_table` VALUES ('2050793147', '7A3C9EBB', 'object/weapon/ranged/carbine/shared_carbine_dxr6.iff');
INSERT INTO `object_crc_string_table` VALUES ('3034123480', 'B4D90CD8', 'object/weapon/ranged/carbine/shared_carbine_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('861424280', '33584A98', 'object/weapon/ranged/carbine/shared_carbine_e11_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('1297312489', '4D536AE9', 'object/weapon/ranged/carbine/shared_carbine_e11_victor_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('749154215', '2CA72FA7', 'object/weapon/ranged/carbine/shared_carbine_ee3.iff');
INSERT INTO `object_crc_string_table` VALUES ('971375722', '39E6046A', 'object/weapon/ranged/carbine/shared_carbine_elite.iff');
INSERT INTO `object_crc_string_table` VALUES ('2121432077', '7E727C0D', 'object/weapon/ranged/carbine/shared_carbine_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('1757923070', '68C7C6FE', 'object/weapon/ranged/carbine/shared_carbine_nym_slugthrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('2748406341', 'A3D15A45', 'object/weapon/ranged/creature/base/shared_creature_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3638052260', 'D8D845A4', 'object/weapon/ranged/creature/shared_creature_spit_heavy_flame.iff');
INSERT INTO `object_crc_string_table` VALUES ('4293058545', 'FFE2DFF1', 'object/weapon/ranged/creature/shared_creature_spit_large_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3761745120', 'E037ACE0', 'object/weapon/ranged/creature/shared_creature_spit_large_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('3595296227', 'D64BDDE3', 'object/weapon/ranged/creature/shared_creature_spit_large_toxicgreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('1314081741', '4E534BCD', 'object/weapon/ranged/creature/shared_creature_spit_large_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('4140159842', 'F6C5D362', 'object/weapon/ranged/creature/shared_creature_spit_lightning_ball.iff');
INSERT INTO `object_crc_string_table` VALUES ('2889945643', 'AC41122B', 'object/weapon/ranged/creature/shared_creature_spit_particle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1298271366', '4D620C86', 'object/weapon/ranged/creature/shared_creature_spit_small_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('4245354171', 'FD0AF6BB', 'object/weapon/ranged/creature/shared_creature_spit_small_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('2893137473', 'AC71C641', 'object/weapon/ranged/creature/shared_creature_spit_small_toxicgreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('2050788061', '7A3C8ADD', 'object/weapon/ranged/creature/shared_creature_spit_small_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1466506816', '57691E40', 'object/weapon/ranged/creature/shared_creature_spit_spray_green.iff');
INSERT INTO `object_crc_string_table` VALUES ('3130570406', 'BA98B6A6', 'object/weapon/ranged/creature/shared_creature_spit_spray_red.iff');
INSERT INTO `object_crc_string_table` VALUES ('1575661625', '5DEAB039', 'object/weapon/ranged/creature/shared_creature_spit_spray_toxicgreen.iff');
INSERT INTO `object_crc_string_table` VALUES ('313868667', '12B5417B', 'object/weapon/ranged/creature/shared_creature_spit_spray_yellow.iff');
INSERT INTO `object_crc_string_table` VALUES ('1112246409', '424B8889', 'object/weapon/ranged/droid/shared_droid_astromech_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('3685860278', 'DBB1C3B6', 'object/weapon/ranged/droid/shared_droid_droideka_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('380494511', '16ADE2AF', 'object/weapon/ranged/droid/shared_droid_probot_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('3903774700', 'E8AEDFEC', 'object/weapon/ranged/grenade/base/shared_grenade_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4031568609', 'F04CDAE1', 'object/weapon/ranged/grenade/shared_grenade_bug_bomb.iff');
INSERT INTO `object_crc_string_table` VALUES ('2139866976', '7F8BC760', 'object/weapon/ranged/grenade/shared_grenade_cryoban.iff');
INSERT INTO `object_crc_string_table` VALUES ('1363204393', '5140D929', 'object/weapon/ranged/grenade/shared_grenade_fallback.iff');
INSERT INTO `object_crc_string_table` VALUES ('2723525196', 'A255B24C', 'object/weapon/ranged/grenade/shared_grenade_fragmentation.iff');
INSERT INTO `object_crc_string_table` VALUES ('2839802123', 'A943F10B', 'object/weapon/ranged/grenade/shared_grenade_fragmentation_light.iff');
INSERT INTO `object_crc_string_table` VALUES ('595784365', '2382F2AD', 'object/weapon/ranged/grenade/shared_grenade_glop.iff');
INSERT INTO `object_crc_string_table` VALUES ('4036235024', 'F0940F10', 'object/weapon/ranged/grenade/shared_grenade_imperial_detonator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2714007859', 'A1C47933', 'object/weapon/ranged/grenade/shared_grenade_poison.iff');
INSERT INTO `object_crc_string_table` VALUES ('904042039', '35E29637', 'object/weapon/ranged/grenade/shared_grenade_proton.iff');
INSERT INTO `object_crc_string_table` VALUES ('4094720749', 'F4107AED', 'object/weapon/ranged/grenade/shared_grenade_thermal_detonator.iff');
INSERT INTO `object_crc_string_table` VALUES ('2361541818', '8CC244BA', 'object/weapon/ranged/heavy/base/shared_heavy_weapon_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('337224478', '1419A31E', 'object/weapon/ranged/heavy/shared_heavy_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1073082434', '3FF5F042', 'object/weapon/ranged/heavy/shared_heavy_lightning_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1442646668', '55FD0A8C', 'object/weapon/ranged/heavy/shared_heavy_particle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('3022005655', 'B4202597', 'object/weapon/ranged/heavy/shared_heavy_rocket_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('2595978283', '9ABB7C2B', 'object/weapon/ranged/heavy/shared_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('1704683282', '659B6712', 'object/weapon/ranged/pistol/base/shared_pistol_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('937103853', '37DB11ED', 'object/weapon/ranged/pistol/shared_pistol_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1753490887', '688425C7', 'object/weapon/ranged/pistol/shared_pistol_cdef_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('3483007032', 'CF9A7838', 'object/weapon/ranged/pistol/shared_pistol_cdef_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('3466260217', 'CE9AEEF9', 'object/weapon/ranged/pistol/shared_pistol_d18.iff');
INSERT INTO `object_crc_string_table` VALUES ('3368548007', 'C8C7F6A7', 'object/weapon/ranged/pistol/shared_pistol_de_10.iff');
INSERT INTO `object_crc_string_table` VALUES ('1034640003', '3DAB5A83', 'object/weapon/ranged/pistol/shared_pistol_dh17.iff');
INSERT INTO `object_crc_string_table` VALUES ('2829612927', 'A8A8777F', 'object/weapon/ranged/pistol/shared_pistol_dl44.iff');
INSERT INTO `object_crc_string_table` VALUES ('1831044635', '6D23861B', 'object/weapon/ranged/pistol/shared_pistol_dl44_metal.iff');
INSERT INTO `object_crc_string_table` VALUES ('260330479', 'F8453EF', 'object/weapon/ranged/pistol/shared_pistol_dx2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1508397938', '59E85372', 'object/weapon/ranged/pistol/shared_pistol_fwg5.iff');
INSERT INTO `object_crc_string_table` VALUES ('1350493335', '507EE497', 'object/weapon/ranged/pistol/shared_pistol_fwg5_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('2311570538', '89C7C46A', 'object/weapon/ranged/pistol/shared_pistol_geonosian_sonic_blaster_loot.iff');
INSERT INTO `object_crc_string_table` VALUES ('650380647', '26C40567', 'object/weapon/ranged/pistol/shared_pistol_launcher.iff');
INSERT INTO `object_crc_string_table` VALUES ('148689854', '8DCD3BE', 'object/weapon/ranged/pistol/shared_pistol_power5.iff');
INSERT INTO `object_crc_string_table` VALUES ('258355020', 'F662F4C', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('4154566547', 'F7A1A793', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster_quest.iff');
INSERT INTO `object_crc_string_table` VALUES ('3345683635', 'C76B14B3', 'object/weapon/ranged/pistol/shared_pistol_scatter.iff');
INSERT INTO `object_crc_string_table` VALUES ('3883785442', 'E77DDCE2', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('1438704896', '55C0E500', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_ammo_test_2.iff');
INSERT INTO `object_crc_string_table` VALUES ('1727125782', '66F1D916', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_corsec.iff');
INSERT INTO `object_crc_string_table` VALUES ('874294352', '341CAC50', 'object/weapon/ranged/pistol/shared_pistol_srcombat.iff');
INSERT INTO `object_crc_string_table` VALUES ('1505820957', '59C1011D', 'object/weapon/ranged/pistol/shared_pistol_striker.iff');
INSERT INTO `object_crc_string_table` VALUES ('1701084599', '65647DB7', 'object/weapon/ranged/pistol/shared_pistol_striker_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('2758629867', 'A46D59EB', 'object/weapon/ranged/pistol/shared_pistol_tangle.iff');
INSERT INTO `object_crc_string_table` VALUES ('2730158915', 'A2BAEB43', 'object/weapon/ranged/rifle/base/shared_rifle_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('3329701535', 'C677369F', 'object/weapon/ranged/rifle/shared_rifle_acid_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('852163759', '32CAFCAF', 'object/weapon/ranged/rifle/shared_rifle_beam.iff');
INSERT INTO `object_crc_string_table` VALUES ('1604898449', '5FA8CE91', 'object/weapon/ranged/rifle/shared_rifle_berserker.iff');
INSERT INTO `object_crc_string_table` VALUES ('2976096139', 'B1639F8B', 'object/weapon/ranged/rifle/shared_rifle_bowcaster.iff');
INSERT INTO `object_crc_string_table` VALUES ('3496137221', 'D062D205', 'object/weapon/ranged/rifle/shared_rifle_cdef.iff');
INSERT INTO `object_crc_string_table` VALUES ('1650151261', '625B4F5D', 'object/weapon/ranged/rifle/shared_rifle_dlt20.iff');
INSERT INTO `object_crc_string_table` VALUES ('2200111432', '83230948', 'object/weapon/ranged/rifle/shared_rifle_dlt20a.iff');
INSERT INTO `object_crc_string_table` VALUES ('4027327053', 'F00C224D', 'object/weapon/ranged/rifle/shared_rifle_e11.iff');
INSERT INTO `object_crc_string_table` VALUES ('917715390', '36B339BE', 'object/weapon/ranged/rifle/shared_rifle_ewok_crossbow.iff');
INSERT INTO `object_crc_string_table` VALUES ('3238374228', 'C105AB54', 'object/weapon/ranged/rifle/shared_rifle_flame_thrower.iff');
INSERT INTO `object_crc_string_table` VALUES ('1928416827', '72F14E3B', 'object/weapon/ranged/rifle/shared_rifle_jawa_ion.iff');
INSERT INTO `object_crc_string_table` VALUES ('1390088554', '52DB116A', 'object/weapon/ranged/rifle/shared_rifle_laser.iff');
INSERT INTO `object_crc_string_table` VALUES ('378484773', '168F3825', 'object/weapon/ranged/rifle/shared_rifle_laser_noob.iff');
INSERT INTO `object_crc_string_table` VALUES ('708413629', '2A3988BD', 'object/weapon/ranged/rifle/shared_rifle_lightning.iff');
INSERT INTO `object_crc_string_table` VALUES ('3248736753', 'C1A3C9F1', 'object/weapon/ranged/rifle/shared_rifle_sg82.iff');
INSERT INTO `object_crc_string_table` VALUES ('284980584', '10FC7568', 'object/weapon/ranged/rifle/shared_rifle_spraystick.iff');
INSERT INTO `object_crc_string_table` VALUES ('1951509016', '7451AA18', 'object/weapon/ranged/rifle/shared_rifle_t21.iff');
INSERT INTO `object_crc_string_table` VALUES ('20961126', '13FD766', 'object/weapon/ranged/rifle/shared_rifle_tenloss_dxr6_disruptor_loot.iff');
INSERT INTO `object_crc_string_table` VALUES ('2874182418', 'AB508B12', 'object/weapon/ranged/rifle/shared_rifle_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('4165527266', 'F848E6E2', 'object/weapon/ranged/rifle/shared_rifle_victor_tusken.iff');
INSERT INTO `object_crc_string_table` VALUES ('1234241813', '49910915', 'object/weapon/ranged/turret/base/shared_turret_base.iff');
INSERT INTO `object_crc_string_table` VALUES ('4214506567', 'FB344447', 'object/weapon/ranged/turret/shared_turret_block_large.iff');
INSERT INTO `object_crc_string_table` VALUES ('2231868029', '85079A7D', 'object/weapon/ranged/vehicle/shared_vehicle_atst_ranged.iff');
INSERT INTO `object_crc_string_table` VALUES ('1619506188', '6087B40C', 'object/weapon/trap/shared_eqp_weapon_auto_laser_trap.iff');
INSERT INTO `performance_effect` VALUES ('Dazzle1', 'music,dance', '10', '1', 'self', '5', '30');
INSERT INTO `performance_effect` VALUES ('Dazzle2', 'music,dance', '30', '1', 'self', '5', '60');
INSERT INTO `performance_effect` VALUES ('Dazzle3', 'music,dance', '75', '1', 'self', '5', '90');
INSERT INTO `performance_effect` VALUES ('Distract1', 'dance', '20', '1', 'self', '2', '30');
INSERT INTO `performance_effect` VALUES ('Distract2', 'dance', '50', '1', 'self', '5', '60');
INSERT INTO `performance_effect` VALUES ('Distract3', 'dance', '75', '1', 'self', '5', '90');
INSERT INTO `performance_effect` VALUES ('SpotLight1', 'music,dance', '10', '1', 'self', '2', '30');
INSERT INTO `performance_effect` VALUES ('SpotLight2', 'music,dance', '20', '1', 'self', '2', '60');
INSERT INTO `performance_effect` VALUES ('SpotLight3', 'music,dance', '30', '1', 'self', '2', '90');
INSERT INTO `performance_effect` VALUES ('ColorLights1', 'music,dance', '10', '1', 'self', '2', '30');
INSERT INTO `performance_effect` VALUES ('ColorLights2', 'music,dance', '20', '1', 'self', '2', '60');
INSERT INTO `performance_effect` VALUES ('ColorLights3', 'music,dance', '50', '1', 'self', '2', '90');
INSERT INTO `performance_effect` VALUES ('SmokeBomb1', 'dance', '30', '1', 'stationary', '5', '30');
INSERT INTO `performance_effect` VALUES ('SmokeBomb2', 'dance', '50', '1', 'stationary', '5', '60');
INSERT INTO `performance_effect` VALUES ('SmokeBomb3', 'dance', '75', '1', 'stationary', '5', '90');
INSERT INTO `performance_effect` VALUES ('FireJets1', 'music', '20', '1', 'stationary', '5', '30');
INSERT INTO `performance_effect` VALUES ('FireJets2', 'music', '50', '1', 'stationary', '5', '60');
INSERT INTO `performance_effect` VALUES ('FireJets3', 'music', '75', '1', 'stationary', '5', '90');
INSERT INTO `performance_effect` VALUES ('Ventriloquism1', 'music', '30', '1', 'target', '10', '30');
INSERT INTO `performance_effect` VALUES ('Ventriloquism2', 'music', '50', '1', 'target', '10', '60');
INSERT INTO `performance_effect` VALUES ('Ventriloquism3', 'music', '75', '1', 'target', '10', '90');
INSERT INTO `planet` VALUES ('0', 'corellia');
INSERT INTO `planet` VALUES ('1', 'dantooine');
INSERT INTO `planet` VALUES ('2', 'dathomir');
INSERT INTO `planet` VALUES ('3', 'endor');
INSERT INTO `planet` VALUES ('4', 'lok');
INSERT INTO `planet` VALUES ('5', 'naboo');
INSERT INTO `planet` VALUES ('6', 'rori');
INSERT INTO `planet` VALUES ('7', 'talus');
INSERT INTO `planet` VALUES ('8', 'tatooine');
INSERT INTO `planet` VALUES ('9', 'yavin4');
INSERT INTO `planet` VALUES ('10', 'space_corellia');
INSERT INTO `planet` VALUES ('11', 'space_corellia_2');
INSERT INTO `planet` VALUES ('12', 'space_dantooine');
INSERT INTO `planet` VALUES ('13', 'space_dathomir');
INSERT INTO `planet` VALUES ('14', 'space_endor');
INSERT INTO `planet` VALUES ('15', 'space_env');
INSERT INTO `planet` VALUES ('16', 'space_halos');
INSERT INTO `planet` VALUES ('17', 'space_heavy1');
INSERT INTO `planet` VALUES ('18', 'space_light1');
INSERT INTO `planet` VALUES ('19', 'space_lok');
INSERT INTO `planet` VALUES ('20', 'space_naboo');
INSERT INTO `planet` VALUES ('21', 'space_naboo_2');
INSERT INTO `planet` VALUES ('22', 'space_tatooine');
INSERT INTO `planet` VALUES ('23', 'space_tatooine_2');
INSERT INTO `planet` VALUES ('24', 'space_yavin4');
INSERT INTO `planetmap` VALUES ('1', 'tatooine', 'Mission Terminal', '161', '-5332', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('2', 'tatooine', 'Mission Terminal', '161', '-5332', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('3', 'tatooine', 'Bank Terminal', '67', '-5351', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('4', 'tatooine', 'Bazaar Terminal', '60', '-5350', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('5', 'tatooine', 'Bazaar Terminal', '63', '-5350', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('6', 'tatooine', 'Anchorhead', '-156', '-5310', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('7', 'tatooine', 'Anchorhead', '70', '-5358', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('8', 'tatooine', 'Mission Terminal', '83', '-5324', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('9', 'tatooine', 'Mission Terminal', '141', '-5323', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('10', 'tatooine', 'Mission Terminal', '153', '-5333', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('11', 'tatooine', 'Mission Terminal', '122', '-5428', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('12', 'tatooine', 'Anchorhead', '48', '-5333', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('13', 'tatooine', 'Anchorhead', '123', '-5365', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('14', 'tatooine', 'Bank Terminal', '57', '-5350', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('15', 'tatooine', 'Bank Terminal', '-1267', '-3670', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('16', 'tatooine', 'Bank Terminal', '-1095', '-3522', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('17', 'tatooine', 'Bank Terminal', '-1122', '-3678', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('18', 'tatooine', 'Bank Terminal', '-1107', '-3690', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('19', 'tatooine', 'Bazarr Terminal', '-1267', '-3670', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('20', 'tatooine', 'Bazaar Terminal', '-1288', '-3578', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('21', 'tatooine', 'Bazaar Terminal', '-1292', '-3601', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('22', 'tatooine', 'Bazaar Terminal', '-1104', '-3536', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('23', 'tatooine', 'Bazaar Terminal', '-1124', '-3677', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('24', 'tatooine', 'Bazaar Terminal', '-1106', '-3693', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('25', 'tatooine', 'Bazaar Terminal', '-1395', '-3711', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('26', 'tatooine', 'Bestine', '-1131', '-3614', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('27', 'tatooine', 'Bestine', '-1424', '-3783', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('28', 'tatooine', 'Bestine', '-1188', '-3515', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('29', 'tatooine', 'Bestine', '-1238', '-3527', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('30', 'tatooine', 'Bestine', '-1237', '-3578', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('31', 'tatooine', 'Bestine', '-1178', '-3648', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('32', 'tatooine', 'Bestine', '-1299', '-3502', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('33', 'tatooine', 'Mission Terminal', '-1294', '-3604', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('34', 'tatooine', 'Mission Terminal', '-996', '-3713', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('35', 'tatooine', 'Mission Terminal', '-1344', '-3705', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('36', 'tatooine', 'Bestine', '-1095', '-3661', '56', '0', '0');
INSERT INTO `planetmap` VALUES ('37', 'tatooine', 'Bestine', '-1090', '-3558', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('38', 'tatooine', 'Bestine', '-1294', '-3590', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('39', 'tatooine', 'Bestine', '-1359', '-3690', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('40', 'tatooine', 'Bank Terminal', '3499', '-4944', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('41', 'tatooine', 'Bazaar Terminal', '3499', '-4944', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('42', 'tatooine', 'Mos Eisley', '3468', '-4855', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('43', 'tatooine', 'Mos Eisley', '3423', '-5006', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('44', 'tatooine', 'Mos Eisley', '3257', '-4635', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('45', 'tatooine', 'Mos Eisley', '3385', '-4974', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('46', 'tatooine', 'Mos Eisley', '3538', '-4626', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('47', 'tatooine', 'Mos Eisley', '3428', '-4794', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('48', 'tatooine', 'Mos Eisley', '3483', '-4686', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('49', 'tatooine', 'Mos Eisley', '3357', '-4715', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('50', 'tatooine', 'Mos Eisley', '3514', '-4773', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('51', 'tatooine', 'Mission Terminal', '3513', '-4794', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('52', 'tatooine', 'Mission Terminal', '3502', '-4867', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('53', 'tatooine', 'Mission Terminal', '3483', '-4686', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('54', 'tatooine', 'Mission Terminal', '3421', '-4744', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('55', 'tatooine', 'Mission Terminal', '3357', '-4715', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('56', 'tatooine', 'Mos Eisley', '3433', '-4658', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('57', 'tatooine', 'Mos Eisley', '3608', '-4753', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('58', 'tatooine', 'Mos Eisley', '3305', '-4769', '10', '0', '0');
INSERT INTO `planetmap` VALUES ('59', 'tatooine', 'Bank Terminal', '1449', '3264', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('60', 'tatooine', 'Bank Terminal', '1420', '3264', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('61', 'tatooine', 'Bank Terminal', '1498', '3267', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('62', 'tatooine', 'Bank Terminal', '1445', '3323', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('63', 'tatooine', 'Bank Terminal', '1417', '3323', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('64', 'tatooine', 'Bazaar Terminal', '1436', '3264', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('65', 'tatooine', 'Bazaar Terminal', '1432', '3324', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('66', 'tatooine', 'Bazaar Terminal', '1589', '3023', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('67', 'tatooine', 'Bazarr Terminal', '1589', '3026', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('68', 'tatooine', 'Mission Terminal', '1509', '3397', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('69', 'tatooine', 'Mission Terminal', '1498', '3115', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('70', 'tatooine', 'Mission Terminal', '1761', '3135', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('71', 'tatooine', 'Mission Terminal', '1572', '3026', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('72', 'tatooine', 'Mission Terminal', '1561', '3018', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('73', 'tatooine', 'Mission Terminal', '1549', '3026', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('74', 'tatooine', 'Mos Entha', '1729', '3200', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('75', 'tatooine', 'Mos Entha', '1713', '3073', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('76', 'tatooine', 'Mos Entha', '1477', '3471', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('77', 'tatooine', 'Mos Entha', '1777', '3066', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('78', 'tatooine', 'Mos Entha', '1241', '3063', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('79', 'tatooine', 'Bank Terminal', '-2991', '2331', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('80', 'tatooine', 'Bank Terminal', '-2994', '2341', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('81', 'tatooine', 'Bank Terminal', '-2998', '2335', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('82', 'tatooine', 'Bank Terminal', '-2998', '2338', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('83', 'tatooine', 'Bazaar Terminal', '-3013', '2331', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('84', 'tatooine', 'Bazaar Terminal', '-2997', '2356', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('85', 'tatooine', 'Bazaar Terminal', '-2973', '2341', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('86', 'tatooine', 'Bazaar Terminal', '-2988', '2316', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('87', 'tatooine', 'Mos Espa', '-3094', '2268', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('88', 'tatooine', 'Mos Espa', '-2997', '2427', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('89', 'tatooine', 'Mos Espa', '-2857', '1987', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('90', 'tatooine', 'Mos Espa', '-3149', '2126', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('91', 'tatooine', 'Mission Terminal', '-2718', '2226', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('92', 'tatooine', 'Mission Terminal', '-2709', '2065', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('93', 'tatooine', 'Mission Terminal', '-2881', '1993', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('94', 'tatooine', 'Mission Terminal', '-2877', '1973', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('95', 'tatooine', 'Mission Terminal', '-2943', '2535', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('96', 'tatooine', 'Mission Terminal', '-2997', '2433', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('97', 'tatooine', 'Mission Terminal', '-2995', '2421', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('98', 'tatooine', 'Mission Terminal', '-2981', '2430', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('99', 'tatooine', 'Mission Terminal', '-2976', '2429', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('100', 'tatooine', 'Mission Terminal', '-2977', '2435', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('101', 'tatooine', 'Mission Terminal', '-3009', '2376', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('102', 'tatooine', 'Mos Espa', '-3063', '2076', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('103', 'tatooine', 'Mos Espa', '-2797', '2164', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('104', 'tatooine', 'Mos Espa', '-3030', '2216', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('105', 'tatooine', 'Mos Espa', '-2830', '2085', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('106', 'tatooine', 'Mos Espa', '-3131', '2172', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('107', 'tatooine', 'Bank Terminal', '3774', '2344', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('108', 'tatooine', 'Bazaar Terminal', '3791', '2340', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('109', 'tatooine', 'Bazaar Terminal', '3791', '2337', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('110', 'tatooine', 'Mos Taike', '3888', '2351', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('111', 'tatooine', 'Mos Taike', '3769', '2308', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('112', 'tatooine', 'Mission Terminal', '3782', '2378', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('113', 'tatooine', 'Mission Terminal', '3770', '2378', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('114', 'tatooine', 'Mission Terminal', '3778', '2378', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('115', 'tatooine', 'Mos Taike', '3789', '2382', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('116', 'tatooine', 'Mission Terminal', '-5203', '-6474', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('117', 'tatooine', 'Bank Terminal', '-5113', '-6544', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('118', 'tatooine', 'Bazaar Terminal', '-5176', '-6486', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('119', 'tatooine', 'Mission Terminal', '-5205', '-6459', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('120', 'tatooine', 'Wayfar', '-5122', '-6572', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('121', 'tatooine', 'Wayfar', '-5072', '-6620', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('122', 'tatooine', 'Mission Terminal', '-5203', '-6477', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('123', 'tatooine', 'Mission Terminal', '-5203', '-6569', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('124', 'tatooine', 'Wayfar', '-5006', '-6615', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('125', 'tatooine', 'Mission Terminal', '-5128', '-6588', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('126', 'dathomir', 'Science Outpost', '-100', '-1600', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('127', 'dathomir', 'Trade Outpost', '600', '3100', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('128', 'dathomir', 'Bank Terminal', '580', '3105', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('129', 'dathomir', 'Bank Terminal', '569', '3091', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('130', 'dathomir', 'Bazaar Terminal', '573', '3091', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('131', 'dathomir', 'Trade Outpost', '620', '3054', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('132', 'dathomir', 'Trade Outpost', '582', '3046', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('133', 'dathomir', 'Mission Terminal', '576', '3065', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('134', 'dathomir', 'Trade Outpost', '613', '3094', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('135', 'dathomir', 'Trade Outpost', '610', '3043', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('136', 'dathomir', 'Trade Outpost', '603', '3036', '19', '64', '0');
INSERT INTO `planetmap` VALUES ('137', 'dathomir', 'Science Outpost', '-61', '-1617', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('138', 'dathomir', 'Banking Terminal', '-72', '-1596', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('139', 'dathomir', 'Banking Terminal', '-79', '-1590', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('140', 'dathomir', 'Bazaar Terminal', '-70', '-1598', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('141', 'dathomir', 'Bazaar Terminal', '-81', '-1589', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('142', 'dathomir', 'Science Outpost', '-68', '-1627', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('143', 'dathomir', 'Mission Terminal', '-74', '-1586', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('144', 'dathomir', 'Mission Terminal', '-69', '-1591', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('145', 'dathomir', 'Science Outpost', '-53', '-1582', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('146', 'dathomir', 'Science Outpost', '-112', '-1585', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('147', 'dathomir', 'Imperial Prison', '-6300', '750', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('148', 'dathomir', 'Bazaar Terminal', '-6326', '875', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('149', 'dathomir', 'Bazaar Terminal', '-6313', '875', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('150', 'dathomir', 'Mission Terminal', '-6335', '922', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('151', 'dathomir', 'Mission Terminal', '-6335', '932', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('152', 'dathomir', 'Science Outpost', '-81', '-1632', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('153', 'lok', 'Imperial Base', '-1844', '-3039', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('154', 'lok', 'Nyms Stronghold', '476', '5511', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('155', 'lok', 'Mission Terminal', '478', '5489', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('156', 'lok', 'Mission Terminal', '439', '5489', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('157', 'lok', 'Mission Terminal', '628', '5039', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('158', 'lok', 'Mission Terminal', '481', '5014', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('159', 'lok', 'Mission Terminal', '477', '5014', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('160', 'lok', 'Mission Terminal', '287', '5087', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('161', 'lok', 'Mission Terminal', '428', '5199', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('162', 'lok', 'Mission Terminal', '410', '5199', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('163', 'lok', 'Mission Terminal', '480', '5015', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('164', 'lok', 'Mission Terminal', '478', '5015', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('165', 'lok', 'Nyms Stronghold', '612', '5139', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('166', 'lok', 'Nyms Stronghold', '419', '5140', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('167', 'lok', 'Nyms Stronghold', '211', '5135', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('168', 'lok', 'Mission Terminal', '461', '5505', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('169', 'lok', 'Mission Terminal', '459', '5505', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('170', 'lok', 'Mission Terminal', '421', '5050', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('171', 'lok', 'Mission Terminal', '421', '5050', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('172', 'lok', 'Nyms Stronghold', '544', '5090', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('173', 'lok', 'Nyms Stronghold', '407', '5090', '19', '65', '0');
INSERT INTO `planetmap` VALUES ('174', 'lok', 'Nyms Stronghold', '588', '5145', '19', '25', '0');
INSERT INTO `planetmap` VALUES ('175', 'lok', 'Mission Terminal', '-1909', '-3176', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('176', 'lok', 'Mission Terminal', '-2012', '-3052', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('177', 'lok', 'Mission Terminal', '-1927', '-2980', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('178', 'lok', 'Mission Terminal', '-1846', '-3098', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('179', 'lok', 'Mission Terminal', '-1846', '-3101', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('180', 'lok', 'Nyms Stronghold', '474', '5511', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('181', 'talus', 'Dearic', '500', '-3043', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('182', 'talus', 'Dearic', '459', '-3070', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('183', 'talus', 'Dearic', '549', '-2934', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('184', 'talus', 'Dearic', '551', '-2886', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('185', 'talus', 'Dearic', '566', '-3074', '19', '24', '0');
INSERT INTO `planetmap` VALUES ('186', 'talus', 'Dearic', '540', '-2885', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('187', 'talus', 'Dearic', '586', '-2873', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('188', 'talus', 'Dearic', '317', '-3054', '19', '25', '0');
INSERT INTO `planetmap` VALUES ('189', 'talus', 'Dearic', '700', '-2911', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('190', 'talus', 'Dearic', '552', '-2904', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('191', 'talus', 'Dearic', '515', '-2966', '2', '0', '0');
INSERT INTO `planetmap` VALUES ('192', 'talus', 'Dearic', '490', '-2936', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('193', 'talus', 'Dearic', '254', '-3070', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('194', 'talus', 'Dearic', '540', '-2919', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('195', 'talus', 'Dearic', '540', '-3165', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('196', 'talus', 'Dearic', '597', '-3047', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('197', 'talus', 'Dearic', '482', '-3046', '7', '0', '0');
INSERT INTO `planetmap` VALUES ('198', 'talus', 'Dearic', '692', '-3000', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('199', 'talus', 'Dearic', '342', '-3055', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('200', 'talus', 'Dearic', '700', '-3046', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('201', 'talus', 'Dearic', '330', '-2930', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('202', 'talus', 'Bazaar Terminal', '169', '-2949', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('203', 'talus', 'Banking Terminal', '540', '-2990', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('204', 'talus', 'Dearic', '685', '-3134', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('205', 'talus', 'Mission Terminal', '242', '-3070', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('206', 'talus', 'Dearic', '554', '-2902', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('207', 'talus', 'Dearic', '167', '-3085', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('208', 'talus', 'Mission Terminal', '605', '-2982', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('209', 'talus', 'Dearic', '516', '-3076', '19', '65', '0');
INSERT INTO `planetmap` VALUES ('210', 'talus', 'Bazaar Terminal', '540', '-2990', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('211', 'talus', 'Dearic', '598', '-2940', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('212', 'talus', 'Dearic', '182', '-3064', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('213', 'talus', 'Dearic', '146', '-2852', '29', '40', '0');
INSERT INTO `planetmap` VALUES ('214', 'talus', 'Mission Terminal', '141', '-2908', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('215', 'talus', 'Mission Terminal', '330', '-2939', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('216', 'talus', 'Mission Terminal', '533', '-3022', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('217', 'talus', 'Mission Terminal', '485', '-3025', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('218', 'talus', 'Dearic', '359', '-2911', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('219', 'talus', 'Dearic', '244', '-2931', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('220', 'talus', 'Nashal', '4410', '5309', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('221', 'talus', 'Nashal', '4518', '5230', '19', '21', '0');
INSERT INTO `planetmap` VALUES ('222', 'talus', 'Nashal', '4286', '5395', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('223', 'talus', 'Nashal', '4409', '5287', '19', '20', '0');
INSERT INTO `planetmap` VALUES ('224', 'talus', 'Nashal', '4309', '5327', '19', '24', '0');
INSERT INTO `planetmap` VALUES ('225', 'talus', 'Nashal', '4366', '5320', '19', '24', '0');
INSERT INTO `planetmap` VALUES ('226', 'talus', 'Nashal', '4366', '5294', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('227', 'talus', 'Nashal', '4285', '5384', '19', '23', '0');
INSERT INTO `planetmap` VALUES ('228', 'talus', 'Nashal', '4389', '5281', '19', '25', '0');
INSERT INTO `planetmap` VALUES ('229', 'talus', 'Nashal', '4304', '5396', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('230', 'talus', 'Nashal', '4377', '5302', '19', '22', '0');
INSERT INTO `planetmap` VALUES ('231', 'talus', 'Nashal', '4370', '5165', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('232', 'talus', 'Imperial Military Outpost', '-2222', '2303', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('233', 'talus', 'Imperial Military Outpost', '-2191', '2352', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('234', 'talus', 'Imperial Military Outpost', '-2175', '2352', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('235', 'talus', 'Bazaar Terminal', '-2170', '2344', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('236', 'talus', 'Bazaar Terminal', '-2171', '2353', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('237', 'talus', 'Bank Terminal', '-2180', '2344', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('238', 'talus', 'Bank Terminal', '-2179', '2353', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('239', 'talus', 'Mission Terminal', '-2223', '2281', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('240', 'talus', 'Mission Terminal', '-2223', '2321', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('241', 'talus', 'Imperial Military Outpost', '-2183', '2260', '19', '66', '0');
INSERT INTO `planetmap` VALUES ('242', 'talus', 'Bazaar Terminal', '170', '-2943', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('243', 'talus', 'Bazaar Terminal', '170', '-2913', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('244', 'talus', 'Bazaar Terminal', '170', '-2918', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('245', 'talus', 'Mission Terminal', '184', '-3050', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('246', 'talus', 'Mission Terminal', '141', '-2948', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('247', 'talus', 'Dearic', '659', '-2869', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('248', 'yavin4', 'Labor Outpost', '-6896', '-5663', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('249', 'yavin4', 'Labor Outpost', '-6973', '-5757', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('250', 'yavin4', 'Labor Outpost', '-6924', '-5757', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('251', 'yavin4', 'Labor Outpost', '-6966', '-5666', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('252', 'yavin4', 'Labor Outpost', '-6927', '-5709', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('253', 'yavin4', 'Bank Terminal', '-6882', '-5691', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('254', 'yavin4', 'Bank Terminal', '-6886', '-5691', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('255', 'yavin4', 'Bazaar Terminal', '-6916', '-5741', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('256', 'yavin4', 'Bazaar Terminal', '-6918', '-5736', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('257', 'yavin4', 'Mission Terminal', '-6883', '-5684', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('258', 'yavin4', 'Mission Terminal', '-6880', '-5688', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('259', 'yavin4', 'Labor Outpost', '-6927', '-5709', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('260', 'yavin4', 'Mining Outpost', '-273', '4896', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('261', 'yavin4', 'Mining Outpost', '-355', '4861', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('262', 'yavin4', 'Mining Outpost', '-353', '4847', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('263', 'yavin4', 'Mining Outpost', '-336', '4847', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('264', 'yavin4', 'Mining Outpost', '-276', '4843', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('265', 'yavin4', 'Mining Outpost', '-284', '4890', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('266', 'yavin4', 'Bank Terminal', '-313', '4853', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('267', 'yavin4', 'Bazaar Terminal', '-313', '4853', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('268', 'yavin4', 'Mission Terminal', '-293', '4820', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('269', 'endor', 'Research Outpost', '3209', '-3499', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('270', 'endor', 'Smugglers Outpost', '-955', '1557', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('271', 'endor', 'Research Outpost', '3215', '-3450', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('272', 'endor', 'Research Outpost', '3199', '-3449', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('273', 'endor ', 'Research Outpost', '3255', '-3495', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('274', 'endor', 'Research Outpost', '3245', '-3450', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('275', 'endor', 'Research Outpost', '3218', '-3493', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('276', 'endor', 'Bank Terminal', '3239', '-3500', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('277', 'endor', 'Bank Terminal', '3235', '-3500', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('278', 'endor', 'Bazaar Terminal', '3243', '-3499', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('279', 'endor', 'Bazaar Terminal', '3231', '-3500', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('280', 'endor', 'Mission Terminal', '3191', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('281', 'endor', 'Mission Terminal', '3184', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('282', 'endor', 'Mission Terminal', '3252', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('283', 'endor', 'Mission Terminal', '3259', '-3495', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('284', 'endor', 'Smuggler Outpost', '-871', '1565', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('285', 'endor', 'Smuggler Outpost', '-905', '1613', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('286', 'endor ', 'Smuggler Outpost', '-854', '1601', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('287', 'endor', 'Smuggler Outpost', '-966', '1559', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('288', 'endor', 'Bank Terminal', '-863', '1554', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('289', 'endor', 'Bank Terminal', '-863', '1556', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('290', 'endor', 'Bazaar Terminal', '-868', '1554', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('291', 'endor', 'Bazaar Terminal', '-867', '1557', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('292', 'endor', 'Mission Terminal', '-865', '1566', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('293', 'endor', 'Mission Terminal', '-862', '1566', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('294', 'endor', 'Mission Terminal', '-851', '1599', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('295', 'endor', 'Mission Terminal', '-857', '1603', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('296', 'endor', 'Mission Terminal', '-907', '1611', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('297', 'endor', 'Mission Terminal', '-904', '1617', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('298', 'naboo', 'Keren', '1787', '2614', '2', '0', '0');
INSERT INTO `planetmap` VALUES ('299', 'naboo', 'Keren', '1786', '2707', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('300', 'naboo', 'Lake Retreat', '-5506', '-34', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('301', 'naboo', 'Moenia', '4690', '-4893', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('302', 'naboo', 'Theed', '-5708', '4265', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('303', 'naboo', 'Theed', '-5085', '4075', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('304', 'naboo', 'Kaadara', '5130', '6633', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('305', 'naboo', 'Keren', '1977', '2636', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('306', 'naboo', 'Moenia', '4901', '-4903', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('307', 'naboo', 'Theed', '-5014', '4192', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('308', 'naboo', 'Kaadara', '5109', '6573', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('309', 'naboo', 'Keren', '1977', '2392', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('310', 'naboo', 'Keren', '1647', '2426', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('311', 'naboo', 'Moenia', '4646', '-4771', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('312', 'naboo', 'Theed', '-5656', '4111', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('313', 'naboo', 'Moenia', '4785', '-4726', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('314', 'naboo', 'Theed', '-5120', '4260', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('315', 'naboo', 'Dee\'ja Peak', '5351', '-1576', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('316', 'naboo', 'Kaadara', '5317', '6601', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('317', 'naboo', 'Keren', '2041', '2525', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('318', 'naboo', 'Keren', '1567', '2857', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('319', 'naboo', 'Lake Retreat', '-5474', '-21', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('320', 'naboo', 'Moenia', '4981', '-4892', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('321', 'naboo', 'Theed', '-5876', '4172', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('322', 'naboo', 'Theed', '-5411', '4302', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('323', 'naboo', 'Theed', '-4989', '4090', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('324', 'naboo', 'Commander Landau (\'Imperial Pilot Coordinator)', '-5516', '4404', '58', '59', '0');
INSERT INTO `planetmap` VALUES ('325', 'naboo', 'Theed', '-4852', '4171', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('326', 'naboo', 'Moenia', '4708', '-4693', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('327', 'naboo', 'Keren', '1363', '2721', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('328', 'naboo', 'Kaadara', '5293', '6712', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('329', 'naboo', 'Starship Chassis Broker', '-4795', '4238', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('330', 'naboo', 'Starship Chassis Broker', '1352', '2768', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('331', 'naboo', 'Starship Chassis Broker', '5295', '6664', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('332', 'naboo', 'Starship Chassis Broker', '4727', '-4649', '58', '60', '0');
INSERT INTO `planetmap` VALUES ('333', 'naboo', 'Mission Terminal', '4868', '-4592', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('334', 'naboo', 'Mission Terminal', '4870', '-4592', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('335', 'naboo', 'Mission Terminal', '4790', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('336', 'naboo', 'Mission Terminal', '1445', '2783', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('337', 'naboo', 'Mission Terminal', '4925', '6725', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('338', 'naboo', 'Mission Terminal', '2090', '2574', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('339', 'naboo', 'Mission Terminal', '-5726', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('340', 'naboo', 'Mission Terminal', '-5524', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('341', 'naboo', 'Mission Terminal', '-5467', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('342', 'naboo', 'Mission Terminal', '1612', '2496', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('343', 'naboo', 'Mission Terminal', '5194', '6675', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('344', 'naboo', 'Mission Terminal', '5194', '6669', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('345', 'naboo', 'Mission Terminal', '4793', '-4702', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('346', 'naboo', 'Mission Terminal', '4801', '-4691', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('347', 'naboo', 'Mission Terminal', '4695', '-4877', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('348', 'naboo', 'Mission Terminal', '4695', '-4910', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('349', 'naboo', 'Mission Terminal', '5002', '6665', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('350', 'naboo', 'Mission Terminal', '5013', '6672', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('351', 'naboo', 'Mission Terminal', '5108', '6752', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('352', 'naboo', 'Mission Terminal', '4819', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('353', 'naboo', 'Mission Terminal', '4678', '-4875', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('354', 'naboo', 'Mission Terminal', '-5782', '4401', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('355', 'naboo', 'Mission Terminal', '-5772', '4414', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('356', 'naboo', 'Mission Terminal', '-5466', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('357', 'naboo', 'Mission Terminal', '5191', '6676', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('358', 'naboo', 'Mission Terminal', '5191', '6674', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('359', 'naboo', 'Mission Terminal', '5192', '6668', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('360', 'naboo', 'Mission Terminal', '5157', '6727', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('361', 'naboo', 'Mission Terminal', '5142', '6711', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('362', 'naboo', 'Mission Terminal', '-4829', '4193', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('363', 'naboo', 'Mission Terminal', '-4834', '4198', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('364', 'naboo', 'Mission Terminal', '-5382', '4154', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('365', 'naboo', 'Mission Terminal', '-5357', '4154', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('366', 'naboo', 'Mission Terminal', '-5690', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('367', 'naboo', 'Mission Terminal', '5212', '6718', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('368', 'naboo', 'Mission Terminal', '4927', '6725', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('369', 'naboo', 'Mission Terminal', '1426', '2797', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('370', 'naboo', 'Mission Terminal', '1426', '2795', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('371', 'naboo', 'Mission Terminal', '-5471', '4412', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('372', 'naboo', 'Mission Terminal', '-4920', '4227', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('373', 'naboo', 'Mission Terminal', '-4918', '4226', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('374', 'naboo', 'Mission Terminal', '-4916', '4224', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('375', 'naboo', 'Mission Terminal', '5145', '6672', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('376', 'naboo', 'Mission Terminal', '4679', '-4911', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('377', 'naboo', 'Mission Terminal', '1445', '2757', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('378', 'naboo', 'Mission Terminal', '-4869', '4187', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('379', 'naboo', 'Mission Terminal', '-4834', '4157', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('380', 'naboo', 'Mission Terminal', '2085', '2571', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('381', 'naboo', 'Mission Terminal', '5192', '6670', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('382', 'naboo', 'Mission Terminal', '2111', '2570', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('383', 'naboo', 'Mission Terminal', '2110', '2571', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('384', 'naboo', 'Mission Terminal', '1612', '2496', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('385', 'naboo', 'Bazaar Terminal', '-5116', '4176', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('386', 'naboo', 'Bazaar Terminal', '-5114', '4154', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('387', 'naboo', 'Bazaar Terminal', '-5145', '4143', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('388', 'naboo', 'Bazaar Terminal', '-5147', '4174', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('389', 'naboo', 'Bazaar Terminal', '-5683', '4171', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('390', 'naboo', 'Bazaar Terminal', '-5705', '4149', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('391', 'naboo', 'Bazaar Terminal', '-5727', '4171', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('392', 'naboo', 'Bazaar Terminal', '-5705', '4193', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('393', 'naboo', 'Bazaar Terminal', '-5010', '4256', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('394', 'naboo', 'Bazaar Terminal', '-5018', '4246', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('395', 'naboo', 'Bazaar Terminal', '-5488', '-5', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('396', 'naboo', 'Bazaar Terminal', '5060', '6723', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('397', 'naboo', 'Bazaar Terminal', '5063', '6727', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('398', 'naboo', 'Bazaar Terminal', '5094', '6696', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('399', 'naboo', 'Bazaar Terminal', '5091', '6692', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('400', 'naboo', 'Bazaar Terminal', '4787', '-4852', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('401', 'naboo', 'Bazaar Terrminal', '4187', '-4849', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('402', 'naboo', 'Bazaar Terminal', '4821', '-4880', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('403', 'naboo', 'Bazaar Terminal', '4790', '-4883', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('404', 'naboo', 'Bazaar Terminal', '5339', '-1560', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('405', 'naboo', 'Bazaar Terminal', '4936', '-1501', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('406', 'naboo', 'Bazaar Terminal', '4937', '-1444', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('407', 'naboo', 'Bazaar Terminal', '4730', '-1342', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('408', 'naboo', 'Bazaar Terminal', '4658', '-4617', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('409', 'naboo', 'Bazaar Terminal', '4655', '-4622', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('410', 'naboo', 'Bazaar Terminal', '4675', '-4593', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('411', 'naboo', 'Bazaar Terminal', '4673', '-4597', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('412', 'naboo', 'Bazaar Terminal', '1786', '2635', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('413', 'naboo', 'Bazaar Terminal', '1808', '2614', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('414', 'naboo', 'Bazaar Terminal', '1765', '2614', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('415', 'naboo', 'Bazaar Terminal', '1787', '2592', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('416', 'naboo', 'Mission Terminal', '4802', '-4689', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('417', 'naboo', 'Mission Terminal', '4907', '-4824', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('418', 'naboo', 'Mission Terminal', '4884', '-4804', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('419', 'naboo', 'Mission Terminal', '4730', '-1317', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('420', 'naboo', 'Mission Terminal', '4731', '-1320', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('421', 'naboo', 'Mission Terminal', '4915', '-1397', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('422', 'naboo', 'Mission Terminal', '4907', '-1397', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('423', 'naboo', 'Mission Terminal', '1697', '2716', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('424', 'naboo', 'Mission Terminal', '1697', '2698', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('425', 'naboo', 'Mission Terminal', '1701', '2602', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('426', 'naboo', 'Mission Terminal', '1701', '2626', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('427', 'naboo', 'Mission Terminal', '1800', '2532', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('428', 'naboo', 'Mission Terminal', '1773', '2532', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('429', 'naboo', 'Mission Terminal', '5191', '6678', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('430', 'naboo', 'Mission Terminal', '5191', '6666', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('431', 'naboo', 'Mission Terminal', '5007', '6673', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('432', 'naboo', 'Mission Terminal', '5003', '6670', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('433', 'naboo', 'Mission Terminal', '5106', '6756', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('434', 'naboo', 'Mission Terminal', '5118', '6769', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('435', 'naboo', 'Mission Terminal', '-4868', '4186', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('436', 'naboo', 'Mission Terminal', '-4825', '4158', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('437', 'naboo', 'Mission Terminal', '-5470', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('438', 'naboo', 'Mission Terminal', '-5723', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('439', 'naboo', 'Mission Terminal', '-5693', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('440', 'naboo', 'Mission Terminal', '-5353', '4396', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('441', 'naboo', 'Mission Terminal', '-5353', '4415', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('442', 'naboo', 'Mission Terminal', '-5444', '4135', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('443', 'naboo', 'Mission Terminal', '-5468', '4135', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('444', 'naboo', 'Mission Terminal', '-5521', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('445', 'naboo', 'Mission Terminal', '-5440', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('446', 'naboo', 'Mission Terminal', '-5464', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('447', 'naboo', 'Mission Terminal', '1444', '2784', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('448', 'naboo', 'Mission Terminal', '4792', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('449', 'naboo', 'Mission Terminal', '4817', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('450', 'naboo', 'Mission Terminal', '4732', '-4960', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('451', 'naboo', 'Mission Terminal', '4711', '-4960', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('452', 'naboo', 'Mission Terminal', '4694', '-4911', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('453', 'naboo', 'Mission Terminal', '4693', '-4875', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('454', 'naboo', 'Mission Terminal', '4793', '-4704', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('455', 'naboo', 'Mission Terminal', '4723', '-1328', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('456', 'naboo', 'Mission Terminal', '4738', '-1328', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('457', 'naboo', 'Mission Terminal', '1875', '2598', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('458', 'naboo', 'Mission Terminal', '1875', '2629', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('459', 'naboo', 'Mission Terminal', '1699', '2702', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('460', 'naboo', 'Mission Terminal', '1875', '2629', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('461', 'naboo', 'Mission Terminal', '5194', '6678', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('462', 'naboo', 'Mission Terminal', '5194', '6666', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('463', 'naboo', 'Mission Terminal', '5001', '6668', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('464', 'naboo', 'Mission Terminal', '5005', '6671', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('465', 'naboo', 'Mission Terminal', '5009', '6674', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('466', 'naboo', 'Mission Terminal', '-4871', '4188', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('467', 'naboo', 'Mission Terminal', '-4833', '4155', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('468', 'naboo', 'Mission Terminal', '-5526', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('469', 'naboo', 'Mission Terminal', '-5464', '4197', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('470', 'naboo', 'Mission Terminal', '-5728', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('471', 'naboo', 'Mission Terminal', '-5267', '4251', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('472', 'naboo', 'Mission Terminal', '-5784', '4399', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('473', 'naboo', 'Mission Terminal', '-5770', '4415', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('474', 'naboo', 'Mission Terminal', '-5435', '4029', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('475', 'naboo', 'Mission Terminal', '4788', '-4967', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('476', 'naboo', 'Mission Terminal', '4821', '-4966', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('477', 'naboo', 'Mission Terminal', '4677', '-4877', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('478', 'naboo', 'Mission Terminal', '4677', '-4910', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('479', 'naboo', 'Mission Terminal', '4947', '-1474', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('480', 'naboo', 'Mission Terminal', '4947', '-1472', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('481', 'naboo', 'Mission Terminal', '4915', '-1444', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('482', 'naboo', 'Mission Terminal', '4913', '-1444', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('483', 'naboo', 'Mission Terminal', '4912', '-1501', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('484', 'naboo', 'Mission Terminal', '4914', '-1501', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('485', 'naboo', 'Mission Terminal', '4972', '6755', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('486', 'naboo', 'Mission Terminal', '4973', '6753', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('487', 'naboo', 'Mission Terminal', '5305', '6767', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('488', 'naboo', 'Mission Terminal', '5305', '6765', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('489', 'naboo', 'Mission Terminal', '5205', '6763', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('490', 'naboo', 'Mission Terminal', '1697', '2718', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('491', 'naboo', 'Mission Terminal', '1697', '2696', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('492', 'naboo', 'Mission Terminal', '1802', '2532', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('493', 'naboo', 'Mission Terminal', '1771', '2531', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('494', 'naboo', 'Mission Terminal', '1689', '2568', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('495', 'naboo', 'Mission Terminal', '1687', '2568', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('496', 'naboo', 'Mission Terminal', '1685', '2568', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('497', 'naboo', 'Mission Terminal', '2118', '2476', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('498', 'naboo', 'Mission Terminal', '2119', '2476', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('499', 'naboo', 'Banking Terminal', '-5705', '4166', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('500', 'naboo', 'Banking Terminal', '-5709', '4171', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('501', 'naboo', 'Banking Terminal', '-5071', '4171', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('502', 'naboo', 'Banking Terminal', '-5133', '4156', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('503', 'naboo', 'Banking Terminal', '-5134', '4162', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('504', 'naboo', 'Banking Terminal', '5074', '6713', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('505', 'naboo', 'Banking Terminal', '5080', '6713', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('506', 'naboo', 'Banking Terminal', '5080', '6706', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('507', 'naboo', 'Banking Terminal', '5074', '6706', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('508', 'naboo', 'Banking Terminal', '1791', '2604', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('509', 'naboo', 'Banking Terminal', '1787', '2609', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('510', 'naboo', 'Banking Terminal', '1782', '2614', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('511', 'naboo', 'Banking Terminal', '1787', '2618', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('512', 'naboo', 'Banking Terminal', '4800', '-4863', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('513', 'naboo', 'Banking Terminal', '4806', '-4863', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('514', 'naboo', 'Banking Terminal', '4807', '-4869', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('515', 'naboo', 'Banking Terminal', '4801', '-4869', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('516', 'naboo', 'Theed', '-4848', '4172', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('517', 'naboo', 'Moenia', '4796', '-4696', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('518', 'naboo', 'Kaadara', '5177', '6613', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('519', 'naboo', 'Deeja Peak', '5337', '-1578', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('520', 'naboo', 'Keren', '1431', '2770', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('521', 'dantooine', 'Bank Terminal', '-4250', '-2402', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('522', 'dantooine', 'Bank Terminal', '-4260', '-2411', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('523', 'dantooine', 'Bazaar Terminal', '-4250', '-2412', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('524', 'dantooine', 'Bazaar Terminal', '-4263', '-2403', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('525', 'dantooine', 'Dantooine Imperial Outpost', '-4213', '-2350', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('705', 'tatooine', 'Bestine', '-1294', '-3590', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('527', 'dantooine', 'Dantooine Imperial Outpost', '-4207', '-2422', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('528', 'dantooine', 'Dantooine Imperial Outpost', '-4197', '-2408', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('529', 'dantooine', 'Mission Terminal', '-4222', '-2435', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('530', 'dantooine', 'Mission Terminal', '-4197', '-2410', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('531', 'dantooine', 'Dantooine Mining Outpost', '-642', '2453', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('532', 'dantooine', 'Dantooine Mining Outpost', '-581', '2496', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('533', 'dantooine', 'Dantooine Imperial Outpost', '-4243', '-2422', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('534', 'dantooine', 'Dantooine Mining Outpost', '-622', '2472', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('535', 'dantooine', 'Mission Terminal', '-4208', '-2375', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('536', 'dantooine', 'Dantooine Mining Outpost', '-636', '2504', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('537', 'dantooine', 'Bank Terminal', '-630', '2501', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('538', 'dantooine', 'Bank Terminal', '-602', '2469', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('539', 'dantooine', 'Bazaar Terminal', '-620', '2490', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('540', 'dantooine', 'Bazaar Terminal', '-607', '2468', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('541', 'dantooine', 'Mission Terminal', '-609', '2482', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('542', 'dantooine', 'Dantooine Agro Outpost', '1568', '-6427', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('543', 'dantooine', 'Dantooine Agro Outpost', '1571', '-6413', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('544', 'dantooine', 'Dantooine Agro Outpost', '1579', '-6370', '27', '0', '0');
INSERT INTO `planetmap` VALUES ('704', 'tatooine', 'Mos Eisley', '3532', '-4803', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('546', 'dantooine', 'Bank Terminal', '1604', '-6366', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('547', 'dantooine', 'Bank Terminal', '1570', '-6366', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('548', 'dantooine', 'Bazaar Terminal', '1615', '-6367', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('549', 'dantooine', 'Bazaar Terminal', '1560', '-6366', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('550', 'dantooine', 'Mission Terminal', '1613', '-6390', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('551', 'dantooine', 'Mission Terminal', '1567', '-6390', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('552', 'dantooine', 'Mission Terminal', '1555', '-6394', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('553', 'dantooine', 'Dantooine Agro Outpost', '1570', '-6416', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('554', 'dantooine', 'Dantooine Imperial Outpost', '-4210', '-2350', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('706', 'tatooine', 'Mos Entha', '1287', '3132', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('556', 'corellia', 'Coronet', '-67', '-4711', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('557', 'corellia', 'Tyrena', '-5001', '-2227', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('558', 'corellia', 'Kor Vella', '-3155', '2877', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('559', 'corellia', 'Doaba Guerfel', '3352', '5595', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('560', 'corellia', 'Bela Vistal', '6624', '-5921', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('561', 'corellia', 'Vreni Island', '-5551', '-6039', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('562', 'corellia', 'Vreni Island', '-5160', '-6372', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('563', 'corellia', 'Vreni Island', '-5551', '-6041', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('564', 'corellia', 'Bank Terminal', '6927', '-5553', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('565', 'corellia', 'Bank Terminal', '6833', '-5782', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('566', 'corellia', 'Bazaar Terminal', '6654', '-5943', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('567', 'corellia', 'Bela Vistal', '6724', '-5706', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('568', 'corellia', 'Bela Vistal', '6853', '-5718', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('569', 'corellia', 'Bela Vistal', '6853', '-5446', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('570', 'corellia', 'Bela Vistal', '6708', '-5548', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('571', 'corellia', 'Bela Vistal', '6907', '-5581', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('572', 'corellia', 'Bela Vistal', '6712', '-5917', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('573', 'corellia', 'Mission Terminal', '6919', '-5566', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('574', 'corellia', 'Mission Terminal', '6909', '-5589', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('575', 'corellia', 'Mission Terminal', '6708', '-5549', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('576', 'corellia', 'Mission Terminal', '6707', '-5592', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('577', 'corellia', 'Mission Terminal', '6833', '-5782', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('578', 'corellia', 'Bela Vistal', '6643', '-5924', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('579', 'corellia', 'Bela Vistal', '6936', '-5538', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('580', 'corellia', 'Bank Terminal', '-60', '-4599', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('581', 'corellia', 'Bazaar Terminal', '-364', '-4534', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('582', 'corellia', 'Coronet', '-346', '-4542', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('583', 'corellia', 'Coronet', '-209', '-4534', '4', '0', '0');
INSERT INTO `planetmap` VALUES ('584', 'corellia', 'Coronet', '-480', '-4499', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('585', 'corellia', 'Coronet', '-263', '-4790', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('586', 'corellia', 'Coronet', '45', '-4239', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('587', 'corellia', 'Coronet', '-177', '-4390', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('588', 'corellia', 'Coronet', '-240', '-4389', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('589', 'corellia', 'Coronet', '-210', '-4135', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('590', 'corellia', 'Coronet', '20', '-4439', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('591', 'corellia', 'Coronet', '-492', '-4672', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('592', 'corellia', 'Coronet', '-107', '-4461', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('593', 'corellia', 'Coronet', '-360', '-4690', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('594', 'corellia', 'Coronet', '-29', '-4401', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('595', 'corellia', 'Coronet', '-329', '-4636', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('596', 'corellia', 'Coronet', '-131', '-4723', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('597', 'corellia', 'Bank Terminal', '3207', '5382', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('598', 'corellia', 'Bazaar Terminal', '3207', '5382', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('599', 'corellia', 'Doaba Guerfel', '3268', '5373', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('600', 'corellia', 'Doaba Guerfel', '3325', '5725', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('601', 'corellia', 'Doaba Guerfel', '3183', '5240', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('602', 'corellia', 'Doaba Guerfel', '3120', '5269', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('603', 'corellia', 'Doaba Guerfel', '3468', '5462', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('604', 'corellia', 'Doaba Guerfel', '3160', '5011', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('605', 'corellia', 'Doaba Guerfel', '3108', '5205', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('606', 'corellia', 'Doaba Guerfel', '3262', '5422', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('607', 'corellia', 'Mission Terminal', '3174', '4995', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('608', 'corellia', 'Mission Terminal', '3188', '4985', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('609', 'corellia', 'Mission Terminal', '3166', '5338', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('610', 'corellia', 'Mission Terminal', '3199', '4984', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('611', 'corellia', 'Mission Terminal', '3189', '4975', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('612', 'corellia', 'Doaba Guerfel', '3078', '4995', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('613', 'corellia', 'Doaba Guerfel', '3340', '5534', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('614', 'corellia', 'Bank Terminal', '-3126', '2790', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('615', 'corellia', 'Bank Terminal', '-3268', '3109', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('616', 'corellia', 'Bazaar Terminal', '-3150', '2782', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('617', 'corellia', 'Bazaar Terminal', '-3119', '2970', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('618', 'corellia', 'Kor Vella', '-3464', '3041', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('619', 'corellia', 'Kor Vella', '-3544', '3219', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('620', 'corellia', 'Kor Vella', '-3184', '2818', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('621', 'corellia', 'Kor Vella', '-3434', '3197', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('622', 'corellia', 'Kor Vella', '-3411', '3365', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('623', 'corellia', 'Kor Vella', '-3680', '3081', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('624', 'corellia', 'Kor Vella', '-3268', '3109', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('625', 'corellia', 'Kor Vella', '-3795', '3155', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('626', 'corellia', 'Mission Terminal', '-3268', '3109', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('627', 'corellia', 'Kor Vella', '-3777', '3240', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('628', 'corellia', 'Kor Vella', '-3154', '2872', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('629', 'corellia', 'Bank Terminal', '-5102', '-2380', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('630', 'corellia', 'Bazaar Terminal', '-5091', '-2369', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('631', 'corellia', 'Tyrena', '-5287', '-2521', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('632', 'corellia', 'Tyrena', '-5670', '-2697', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('633', 'corellia', 'Tyrena', '-5566', '-2562', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('634', 'corellia', 'Tyrena', '-5463', '-2725', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('635', 'corellia', 'Tyrena', '-5504', '-2679', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('636', 'corellia', 'Tyrena', '-5168', '-2539', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('637', 'corellia', 'Tyrena', '-5005', '-2476', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('638', 'corellia', 'Mission Terminal', '-5041', '-2305', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('639', 'corellia', 'Mission Terminal', '-5193', '-2561', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('640', 'corellia', 'Tyrena', '-5001', '-2355', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('641', 'corellia', 'Tyrena', '-5605', '-2790', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('642', 'corellia', 'Tyrena', '-4998', '-2226', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('643', 'corellia', 'Tyrena', '-5573', '-2628', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('644', 'corellia', 'Bank Terminal', '-5540', '-6204', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('645', 'corellia', 'Bazaar Terminal', '-5540', '-6204', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('646', 'corellia', 'Bazaar Terminal', '-5564', '-6064', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('647', 'corellia', 'Vreni Island', '-5160', '-6420', '3', '0', '0');
INSERT INTO `planetmap` VALUES ('648', 'corellia', 'Vreni Island', '-5515', '-6179', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('649', 'corellia', 'Vreni Island', '-5160', '-6372', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('650', 'corellia', 'Vreni Island', '-5551', '-6041', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('651', 'rori', 'Rebel Military Outpost', '3676', '-6403', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('652', 'rori', 'Mission Terminal', '3660', '-6425', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('653', 'rori', 'Mission Terminal', '3664', '-6425', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('654', 'rori', 'Bazaar Terminal', '3663', '-6420', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('655', 'rori', 'Bank Terminal', '3669', '-6421', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('656', 'rori', 'Bank Terminal', '3664', '-6418', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('657', 'rori', 'Rebel Military Outpost', '3644', '-6447', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('658', 'rori', 'Mission Terminal', '-5230', '-2237', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('659', 'rori', 'Narmle', '-5232', '-2495', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('660', 'rori', 'Mission Terminal', '-5161', '-2480', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('661', 'rori', 'Mission Terminal', '-5165', '-2480', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('662', 'rori', 'Narmle', '-5200', '-2409', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('663', 'rori', 'Narmle', '-5370', '-2152', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('664', 'rori', 'Bank Terminal', '-5110', '-2170', '41', '42', '0');
INSERT INTO `planetmap` VALUES ('665', 'rori', 'Bazaar Terminal', '-5279', '-2170', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('666', 'rori', 'Bazaar Terminal', '-5435', '-2113', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('667', 'rori', 'Narmle', '-5025', '-2483', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('668', 'rori', 'Narmle', '-5200', '-2358', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('669', 'rori', 'Narmle', '-5029', '-2353', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('670', 'rori', 'Narmle', '-5011', '-2397', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('671', 'rori', 'Narmle', '-5286', '-2266', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('672', 'rori', 'Narmle', '-5129', '-2336', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('673', 'rori', 'Narmle', '-5109', '-2237', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('674', 'rori', 'Mission Terminal', '-5331', '-2111', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('675', 'rori', 'Mission Terminal', '-5333', '-2109', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('676', 'rori', 'Mission Terminal', '-5303', '-2280', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('677', 'rori', 'Mission Terminal', '-5268', '-2280', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('678', 'rori', 'Narmle', '-5241', '-2147', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('679', 'rori', 'Narmle', '-5399', '-2200', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('680', 'rori', 'Mission Terminal', '-5161', '-2480', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('681', 'rori', 'Restuss', '5343', '5733', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('682', 'rori', 'Restuss', '5409', '5878', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('683', 'rori', 'Restuss', '5213', '5810', '14', '0', '0');
INSERT INTO `planetmap` VALUES ('684', 'rori', 'Restuss', '5317', '5742', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('685', 'rori', 'Bazaar Terminal', '5240', '5789', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('686', 'rori', 'Bazaar Terminal', '5241', '5786', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('687', 'rori', 'Bazaar Terminal', '5305', '5822', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('688', 'rori', 'Bazaar Terminal', '5309', '5824', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('689', 'rori', 'Bazaar Terminal', '5301', '5829', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('690', 'rori', 'Bazaar Terminal', '5306', '5832', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('692', 'rori', 'Mission Terminal', '5510', '5611', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('693', 'rori', 'Mission Terminal', '5508', '5611', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('694', 'rori', 'Mission Terminal', '5508', '5636', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('695', 'rori', 'Mission Terminal', '5510', '5636', '41', '44', '0');
INSERT INTO `planetmap` VALUES ('696', 'rori', 'Restuss', '5385', '5628', '7', '11', '0');
INSERT INTO `planetmap` VALUES ('697', 'rori', 'Restuss', '5467', '5633', '7', '10', '0');
INSERT INTO `planetmap` VALUES ('698', 'rori', 'Restuss', '5446', '5780', '7', '8', '0');
INSERT INTO `planetmap` VALUES ('699', 'rori', 'Restuss', '5237', '5722', '7', '9', '0');
INSERT INTO `planetmap` VALUES ('700', 'rori', 'Restuss', '5314', '5567', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('701', 'rori', 'Restuss', '5149', '5687', '12', '0', '0');
INSERT INTO `planetmap` VALUES ('702', 'rori', 'Bazaar Terminal', '5180', '5603', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('703', 'rori', 'Bazaar Terminal', '5180', '5562', '41', '43', '0');
INSERT INTO `planetmap` VALUES ('707', 'tatooine', 'Mos Espa', '-2901', '2125', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('708', 'tatooine', 'Mos Taike', '3780', '2360', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('709', 'tatooine', 'Wayfar', '-5120', '-6574', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('710', 'tatooine', 'Anchorhead', '49', '-5341', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('711', 'yavin4', 'Imperial Base', '4000', '-6200', '17', '0', '0');
INSERT INTO `planetmap` VALUES ('712', 'yavin4', 'Imperial Base', '4000', '-6200', '15', '0', '0');
INSERT INTO `planetmap` VALUES ('713', 'tatooine', 'Mos Entha', '1322', '3290', '13', '0', '0');
INSERT INTO `planetmap` VALUES ('714', 'tatooine', 'Mos Taike', '3773', '2316', '6', '0', '0');
INSERT INTO `planetmap` VALUES ('715', 'tatooine', 'Bestine', '-1437', '-3698', '57', '0', '0');
INSERT INTO `planetmap` VALUES ('716', 'tatooine', 'Mos Entha', '1320', '3456', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('717', 'naboo', 'Moenia', '5021', '-4930', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('718', 'naboo', 'Keren', '1948', '2755', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('719', 'naboo', 'Kaadara', '5332', '6555', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('720', 'naboo', 'Theed', '-4877', '4033', '5', '0', '0');
INSERT INTO `planetmap` VALUES ('721', 'naboo', 'Theed', '-5885', '4305', '5', '0', '0');
INSERT INTO `recruiters` VALUES ('2', '5', '-4928', '4231', '0', '1', '0.053', '0', '1');
INSERT INTO `recruiters` VALUES ('1', '5', '-4936', '4231', '0', '1', '0.053', '0', '1');
INSERT INTO `recruiters` VALUES ('3', '5', '5307', '-1584', '0', '0.6', '0.8', '0', '1');
INSERT INTO `recruiters` VALUES ('4', '5', '-29', '-1.2', '-0.89', '0.6', '0.8', '119', '2');
INSERT INTO `recruiters` VALUES ('5', '0', '6719', '-5804', '315', '1', '0.037', '0', '1');
INSERT INTO `recruiters` VALUES ('6', '0', '-29', '0.5', '-0.89', '0.6', '0.8', '8105504', '2');
INSERT INTO `recruiters` VALUES ('7', '0', '-29', '0.5', '-0.89', '0.6', '0.8', '2625363', '2');
INSERT INTO `recruiters` VALUES ('8', '8', '-6.7', '-6.9', '-3.9', '0.45', '0.89', '1213349', '2');
INSERT INTO `recruiters` VALUES ('9', '8', '-1275', '-3594', '0', '-0.6', '0.8', '0', '1');
INSERT INTO `recruiters` VALUES ('10', '8', '-1138', '-3897', '98', '0', '1', '0', '1');
INSERT INTO `recruiters` VALUES ('11', '8', '-0.86', '-8', '0.4', '0.45', '0.89', '1280131', '1');
INSERT INTO `recruiters` VALUES ('12', '6', '3683', '-6460', '0', '0.77', '-0.63', '0', '2');
INSERT INTO `recruiters` VALUES ('13', '7', '-2192', '2269', '0', '-0.42', '0.9', '0', '1');
INSERT INTO `recruiters` VALUES ('14', '7', '-28.4145', '-1.7825', '-0.89', '0.66', '0.74', '3175399', '2');
INSERT INTO `recruiters` VALUES ('15', '1', '-4196.99', '-2411.57', '3', '-0.65', '0.75', '0', '1');
INSERT INTO `recruiters` VALUES ('16', '6', '5348', '5616', '80', '-0.6', '1', '0', '1');
INSERT INTO `recruiters` VALUES ('17', '5', '4826', '-4696', '0', '0.72', '-0.69', '0', '2');
INSERT INTO `recruiters` VALUES ('18', '4', '-1843.79', '-3069.92', '12', '0.880756', '0.47357', '0', '1');
INSERT INTO `starting_location` VALUES ('3', 'mos_eisley', '9', '3528.000000', '0.000000', '-4804.000000', 'Mos Eisley, Tatooine', '3', '180');
INSERT INTO `starting_location` VALUES ('5', 'coronet', '1', '-137.000000', '0.000000', '-4723.000000', 'Coronet, Corellia', '3', '180');
INSERT INTO `starting_location` VALUES ('9', 'dearic', '8', '335.000000', '0.000000', '-2931.000000', 'Dearic, Talus', '3', '180');
INSERT INTO `starting_location` VALUES ('11', 'narmle', '7', '-5310.000000', '0.000000', '-2221.000000', 'Narmle, Rori', '3', '180');
INSERT INTO `starting_location` VALUES ('13', 'theed', '6', '-4856.000000', '0.000000', '4162.000000', 'Theed, Naboo', '3', '180');
INSERT INTO `template_items` VALUES ('1', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_deluxe_imperial_2.iff');
INSERT INTO `template_items` VALUES ('2', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q4_needed.iff');
INSERT INTO `template_items` VALUES ('3', 'object/tangible/mission/quest_item/shared_haleen_snowline_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_leggings.iff');
INSERT INTO `template_items` VALUES ('5', 'object/tangible/container/general/shared_satchel.iff');
INSERT INTO `template_items` VALUES ('6', 'object/tangible/ship/components/shield_generator/shared_shd_taim_standard.iff');
INSERT INTO `template_items` VALUES ('7', 'object/tangible/component/weapon/shared_weapon_mount.iff');
INSERT INTO `template_items` VALUES ('8', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06.iff');
INSERT INTO `template_items` VALUES ('9', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_custom_polyweb_elite.iff');
INSERT INTO `template_items` VALUES ('10', 'object/tangible/ship/components/weapon/shared_wpn_tieadvanced_blaster.iff');
INSERT INTO `template_items` VALUES ('11', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_rss_special_durasteel.iff');
INSERT INTO `template_items` VALUES ('12', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q1_needed.iff');
INSERT INTO `template_items` VALUES ('13', 'object/tangible/painting/shared_painting_cargoport.iff');
INSERT INTO `template_items` VALUES ('14', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_forest.iff');
INSERT INTO `template_items` VALUES ('15', 'object/tangible/mission/quest_item/shared_lx466_q3_needed.iff');
INSERT INTO `template_items` VALUES ('16', 'object/tangible/ship/attachment/wing/shared_xwing_wing_neg_s01.iff');
INSERT INTO `template_items` VALUES ('17', 'object/tangible/crafting/shared_default_draft_not_found.iff');
INSERT INTO `template_items` VALUES ('18', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_02.iff');
INSERT INTO `template_items` VALUES ('19', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_03.iff');
INSERT INTO `template_items` VALUES ('20', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_01.iff');
INSERT INTO `template_items` VALUES ('21', 'object/tangible/component/dna/shared_dna_template_gualama.iff');
INSERT INTO `template_items` VALUES ('22', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_pack.iff');
INSERT INTO `template_items` VALUES ('23', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s01.iff');
INSERT INTO `template_items` VALUES ('24', 'object/tangible/hair/twilek/shared_hair_twilek_male_s03.iff');
INSERT INTO `template_items` VALUES ('25', 'object/tangible/ship/components/weapon_capacitor/shared_cap_gallofree_lt22.iff');
INSERT INTO `template_items` VALUES ('26', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter.iff');
INSERT INTO `template_items` VALUES ('27', 'object/tangible/mission/quest_item/shared_figrindan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('28', 'object/tangible/lair/angler/shared_lair_angler_jungle.iff');
INSERT INTO `template_items` VALUES ('29', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_2.iff');
INSERT INTO `template_items` VALUES ('30', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('31', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_neg.iff');
INSERT INTO `template_items` VALUES ('32', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blueleaf_temple.iff');
INSERT INTO `template_items` VALUES ('33', 'object/tangible/component/vehicle/shared_laser_cannon.iff');
INSERT INTO `template_items` VALUES ('34', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk5.iff');
INSERT INTO `template_items` VALUES ('35', 'object/tangible/lair/ronto/shared_lair_ronto_desert.iff');
INSERT INTO `template_items` VALUES ('36', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_c.iff');
INSERT INTO `template_items` VALUES ('37', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('38', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_needed.iff');
INSERT INTO `template_items` VALUES ('39', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('40', 'object/tangible/loot/simple_kit/shared_magnetic_reader.iff');
INSERT INTO `template_items` VALUES ('41', 'object/tangible/mission/quest_item/shared_lergo_brazee_q1_needed.iff');
INSERT INTO `template_items` VALUES ('42', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots_quest.iff');
INSERT INTO `template_items` VALUES ('43', 'object/tangible/wearables/base/shared_base_cloak_hooded.iff');
INSERT INTO `template_items` VALUES ('44', 'object/tangible/hair/rodian/shared_hair_rodian_female_s14.iff');
INSERT INTO `template_items` VALUES ('45', 'object/tangible/ship/components/shield_generator/shared_shd_prototype_shield.iff');
INSERT INTO `template_items` VALUES ('46', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s12.iff');
INSERT INTO `template_items` VALUES ('47', 'object/tangible/loot/loot_schematic/shared_assorted_fruit_schematic.iff');
INSERT INTO `template_items` VALUES ('48', 'object/tangible/lair/kliknik/shared_lair_kliknik_forest.iff');
INSERT INTO `template_items` VALUES ('49', 'object/tangible/ship/components/reactor/shared_rct_unknown_multicore.iff');
INSERT INTO `template_items` VALUES ('50', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s01.iff');
INSERT INTO `template_items` VALUES ('51', 'object/tangible/hair/human/shared_hair_human_female_s26.iff');
INSERT INTO `template_items` VALUES ('52', 'object/tangible/wearables/utility/shared_utility_belt_tusken_raider.iff');
INSERT INTO `template_items` VALUES ('53', 'object/tangible/component/armor/shared_armor_segment_advanced.iff');
INSERT INTO `template_items` VALUES ('54', 'object/tangible/component/armor/shared_heavy_armor_layer_restraint.iff');
INSERT INTO `template_items` VALUES ('55', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('56', 'object/tangible/food/crafted/shared_dish_veghash.iff');
INSERT INTO `template_items` VALUES ('57', 'object/tangible/transport/shared_strut_b.iff');
INSERT INTO `template_items` VALUES ('58', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_c.iff');
INSERT INTO `template_items` VALUES ('59', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk1.iff');
INSERT INTO `template_items` VALUES ('60', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04_lg.iff');
INSERT INTO `template_items` VALUES ('61', 'object/tangible/lair/binjinphant/shared_lair_binjinphant.iff');
INSERT INTO `template_items` VALUES ('62', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s03.iff');
INSERT INTO `template_items` VALUES ('63', 'object/tangible/loot/loot_schematic/shared_death_watch_pistol_de10_schematic.iff');
INSERT INTO `template_items` VALUES ('64', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s2.iff');
INSERT INTO `template_items` VALUES ('65', 'object/tangible/wearables/ithorian/shared_ith_pants_s09.iff');
INSERT INTO `template_items` VALUES ('66', 'object/tangible/component/weapon/shared_scope_weapon.iff');
INSERT INTO `template_items` VALUES ('67', 'object/tangible/lair/bageraset/shared_lair_bageraset_forest.iff');
INSERT INTO `template_items` VALUES ('68', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('69', 'object/tangible/scout/trap/shared_trap_ranged_def_1.iff');
INSERT INTO `template_items` VALUES ('70', 'object/tangible/loot/loot_schematic/shared_stuffed_fish_schematic.iff');
INSERT INTO `template_items` VALUES ('71', 'object/tangible/ship/components/booster/shared_bst_incom_performance_nkj31.iff');
INSERT INTO `template_items` VALUES ('72', 'object/tangible/wearables/helmet/shared_helmet_tie_fighter.iff');
INSERT INTO `template_items` VALUES ('73', 'object/tangible/loot/loot_schematic/shared_bottle_pear_schematic.iff');
INSERT INTO `template_items` VALUES ('74', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_a.iff');
INSERT INTO `template_items` VALUES ('75', 'object/tangible/wearables/bracelet/shared_bracelet_s05_l.iff');
INSERT INTO `template_items` VALUES ('76', 'object/tangible/ship/components/engine/shared_eng_novaldex_x7.iff');
INSERT INTO `template_items` VALUES ('77', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish.iff');
INSERT INTO `template_items` VALUES ('78', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_med.iff');
INSERT INTO `template_items` VALUES ('79', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sfs_ultra_thrust.iff');
INSERT INTO `template_items` VALUES ('80', 'object/tangible/wearables/goggles/shared_rebreather.iff');
INSERT INTO `template_items` VALUES ('81', 'object/tangible/component/droid/shared_harvest_module.iff');
INSERT INTO `template_items` VALUES ('82', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_1.iff');
INSERT INTO `template_items` VALUES ('83', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('84', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic.iff');
INSERT INTO `template_items` VALUES ('85', 'object/tangible/medicine/pet/shared_pet_stimpack_d.iff');
INSERT INTO `template_items` VALUES ('86', 'object/tangible/furniture/elegant/shared_armoire_elegant_s01.iff');
INSERT INTO `template_items` VALUES ('87', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_05_deed.iff');
INSERT INTO `template_items` VALUES ('88', 'object/tangible/lair/shaupaut/shared_lair_shaupaut.iff');
INSERT INTO `template_items` VALUES ('89', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s10.iff');
INSERT INTO `template_items` VALUES ('90', 'object/tangible/mission/quest_item/shared_terak_q3_needed.iff');
INSERT INTO `template_items` VALUES ('91', 'object/tangible/inventory/shared_creature_inventory_6.iff');
INSERT INTO `template_items` VALUES ('92', 'object/tangible/loot/loot_schematic/shared_death_watch_razor_knuckler_schematic.iff');
INSERT INTO `template_items` VALUES ('93', 'object/tangible/food/base/shared_alcoholic_drink_base.iff');
INSERT INTO `template_items` VALUES ('94', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense_2.iff');
INSERT INTO `template_items` VALUES ('95', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('96', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_kliknik.iff');
INSERT INTO `template_items` VALUES ('97', 'object/tangible/planet_map_location/shared_map_location_base.iff');
INSERT INTO `template_items` VALUES ('98', 'object/tangible/hair/twilek/shared_hair_twilek_female_s02.iff');
INSERT INTO `template_items` VALUES ('99', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_upper.iff');
INSERT INTO `template_items` VALUES ('100', 'object/tangible/lair/dewback/shared_lair_dewback.iff');
INSERT INTO `template_items` VALUES ('101', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('102', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch.iff');
INSERT INTO `template_items` VALUES ('103', 'object/tangible/component/dna/shared_dna_template_krahbu.iff');
INSERT INTO `template_items` VALUES ('104', 'object/tangible/wearables/hat/shared_hat_s12.iff');
INSERT INTO `template_items` VALUES ('105', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02_lit.iff');
INSERT INTO `template_items` VALUES ('106', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x8.iff');
INSERT INTO `template_items` VALUES ('107', 'object/tangible/test/shared_test_barrel_b.iff');
INSERT INTO `template_items` VALUES ('108', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_advanced_droid_interface.iff');
INSERT INTO `template_items` VALUES ('109', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_male_base.iff');
INSERT INTO `template_items` VALUES ('110', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_mine.iff');
INSERT INTO `template_items` VALUES ('111', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k5.iff');
INSERT INTO `template_items` VALUES ('112', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_1.iff');
INSERT INTO `template_items` VALUES ('113', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('114', 'object/tangible/loot/loot_schematic/shared_diagnostic_screen_schematic.iff');
INSERT INTO `template_items` VALUES ('115', 'object/tangible/hair/human/shared_hair_human_male_s13.iff');
INSERT INTO `template_items` VALUES ('116', 'object/tangible/deed/pet_deed/shared_vesp_deed.iff');
INSERT INTO `template_items` VALUES ('117', 'object/tangible/component/base/shared_base_electronic_component.iff');
INSERT INTO `template_items` VALUES ('118', 'object/tangible/ship/components/reactor/shared_rct_seinar_level1.iff');
INSERT INTO `template_items` VALUES ('119', 'object/tangible/deed/pet_deed/shared_bearded_jax_deed.iff');
INSERT INTO `template_items` VALUES ('120', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('121', 'object/tangible/lair/snorbal_hill/shared_lair_snorbal_hill.iff');
INSERT INTO `template_items` VALUES ('122', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('123', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs32.iff');
INSERT INTO `template_items` VALUES ('124', 'object/tangible/ship/components/booster/shared_bst_corellian_standard_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('125', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk1.iff');
INSERT INTO `template_items` VALUES ('126', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('127', 'object/tangible/container/loot/shared_astromech_container.iff');
INSERT INTO `template_items` VALUES ('128', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_3.iff');
INSERT INTO `template_items` VALUES ('129', 'object/tangible/component/droid/shared_data_storage_module_base.iff');
INSERT INTO `template_items` VALUES ('130', 'object/tangible/spawning/shared_spawn_egg.iff');
INSERT INTO `template_items` VALUES ('131', 'object/tangible/medicine/crafted/shared_medpack_wound_health_d.iff');
INSERT INTO `template_items` VALUES ('132', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_male_base.iff');
INSERT INTO `template_items` VALUES ('133', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('134', 'object/tangible/terminal/base/shared_base_terminal.iff');
INSERT INTO `template_items` VALUES ('135', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk2.iff');
INSERT INTO `template_items` VALUES ('136', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_riiz_combine_slammer_cannon.iff');
INSERT INTO `template_items` VALUES ('137', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_auto_blaster.iff');
INSERT INTO `template_items` VALUES ('138', 'object/tangible/ship/components/chassis/shared_awing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('139', 'object/tangible/vendor/shared_vendor_terminal_standard.iff');
INSERT INTO `template_items` VALUES ('140', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_leggings.iff');
INSERT INTO `template_items` VALUES ('141', 'object/tangible/mission/quest_item/shared_power_regulator.iff');
INSERT INTO `template_items` VALUES ('142', 'object/tangible/furniture/decorative/shared_tanning_hide_s01.iff');
INSERT INTO `template_items` VALUES ('143', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark2.iff');
INSERT INTO `template_items` VALUES ('144', 'object/tangible/lair/faa/shared_lair_faa_underwater.iff');
INSERT INTO `template_items` VALUES ('145', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x1.iff');
INSERT INTO `template_items` VALUES ('146', 'object/tangible/ship/components/booster/shared_bst_corellian_advanced_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('147', 'object/tangible/deed/event_perk/shared_atat_static_deed.iff');
INSERT INTO `template_items` VALUES ('148', 'object/tangible/food/spice/shared_spice_crash_n_burn.iff');
INSERT INTO `template_items` VALUES ('149', 'object/tangible/wearables/jacket/shared_jacket_s03.iff');
INSERT INTO `template_items` VALUES ('150', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_front.iff');
INSERT INTO `template_items` VALUES ('151', 'object/tangible/component/weapon/shared_geonosian_power_cube_red.iff');
INSERT INTO `template_items` VALUES ('152', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('153', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr9_disruptor.iff');
INSERT INTO `template_items` VALUES ('154', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('155', 'object/tangible/wearables/pants/shared_pants_s31.iff');
INSERT INTO `template_items` VALUES ('156', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hotel.iff');
INSERT INTO `template_items` VALUES ('157', 'object/tangible/component/chemistry/shared_resilience_compound_advanced.iff');
INSERT INTO `template_items` VALUES ('158', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_wasteland.iff');
INSERT INTO `template_items` VALUES ('159', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_pack.iff');
INSERT INTO `template_items` VALUES ('160', 'object/tangible/medicine/shared_medpack_enhance_health.iff');
INSERT INTO `template_items` VALUES ('161', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('162', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s02.iff');
INSERT INTO `template_items` VALUES ('163', 'object/tangible/painting/shared_painting_dance_party.iff');
INSERT INTO `template_items` VALUES ('164', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_needed.iff');
INSERT INTO `template_items` VALUES ('165', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_rendili_hyperbattery.iff');
INSERT INTO `template_items` VALUES ('166', 'object/tangible/firework/shared_firework_s18.iff');
INSERT INTO `template_items` VALUES ('167', 'object/tangible/lair/qurvel/shared_lair_qurvel_forest.iff');
INSERT INTO `template_items` VALUES ('168', 'object/tangible/wearables/skirt/shared_skirt_s07.iff');
INSERT INTO `template_items` VALUES ('169', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_l.iff');
INSERT INTO `template_items` VALUES ('170', 'object/tangible/wearables/belt/shared_belt_s03.iff');
INSERT INTO `template_items` VALUES ('171', 'object/tangible/ship/components/armor/shared_arm_moncal_advanced_weave.iff');
INSERT INTO `template_items` VALUES ('172', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_mandal_modified_gorax.iff');
INSERT INTO `template_items` VALUES ('173', 'object/tangible/ship/attachment/wing/shared_bwing_wing_l.iff');
INSERT INTO `template_items` VALUES ('174', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk1.iff');
INSERT INTO `template_items` VALUES ('175', 'object/tangible/component/item/quest_item/shared_loop_auditor.iff');
INSERT INTO `template_items` VALUES ('176', 'object/tangible/painting/shared_painting_zabrak_m.iff');
INSERT INTO `template_items` VALUES ('177', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('178', 'object/tangible/mission/quest_item/shared_figrindan_q3_needed.iff');
INSERT INTO `template_items` VALUES ('179', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_5.iff');
INSERT INTO `template_items` VALUES ('180', 'object/tangible/hair/bothan/shared_hair_bothan_female_s06.iff');
INSERT INTO `template_items` VALUES ('181', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s01_deed.iff');
INSERT INTO `template_items` VALUES ('182', 'object/tangible/terminal/shared_terminal_elevator_up.iff');
INSERT INTO `template_items` VALUES ('183', 'object/tangible/ship/components/engine/shared_eng_mission_reward_imperial_cygnus_megadrive.iff');
INSERT INTO `template_items` VALUES ('184', 'object/tangible/mission/quest_item/shared_kitster_banai_q5_needed.iff');
INSERT INTO `template_items` VALUES ('185', 'object/tangible/deed/player_house_deed/shared_tatooine_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('186', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s02.iff');
INSERT INTO `template_items` VALUES ('187', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk1.iff');
INSERT INTO `template_items` VALUES ('188', 'object/tangible/wearables/necklace/shared_necklace_opulent_cameo.iff');
INSERT INTO `template_items` VALUES ('189', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rss_imperial_1.iff');
INSERT INTO `template_items` VALUES ('190', 'object/tangible/component/weapon/shared_weapon_ee3_stock.iff');
INSERT INTO `template_items` VALUES ('191', 'object/tangible/medicine/shared_test_fire_blanket.iff');
INSERT INTO `template_items` VALUES ('192', 'object/tangible/mission/quest_item/shared_lx466_q2_needed.iff');
INSERT INTO `template_items` VALUES ('193', 'object/tangible/beta/shared_beta_terminal_wound.iff');
INSERT INTO `template_items` VALUES ('194', 'object/tangible/deed/pet_deed/shared_kwi_deed.iff');
INSERT INTO `template_items` VALUES ('195', 'object/tangible/ship/components/booster/shared_bst_moncal_limited_jlc37.iff');
INSERT INTO `template_items` VALUES ('196', 'object/tangible/ship/attachment/booster/shared_awing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('197', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07_lg.iff');
INSERT INTO `template_items` VALUES ('198', 'object/tangible/painting/shared_painting_palowick_ad_s04.iff');
INSERT INTO `template_items` VALUES ('199', 'object/tangible/food/crafted/shared_dessert_pkneb.iff');
INSERT INTO `template_items` VALUES ('200', 'object/tangible/hair/rodian/shared_hair_rodian_male_s04.iff');
INSERT INTO `template_items` VALUES ('201', 'object/tangible/hair/bothan/shared_hair_bothan_male_s19.iff');
INSERT INTO `template_items` VALUES ('202', 'object/tangible/loot/misc/shared_loot_skull_ithorian.iff');
INSERT INTO `template_items` VALUES ('203', 'object/tangible/wearables/ithorian/shared_ith_belt_s07.iff');
INSERT INTO `template_items` VALUES ('204', 'object/tangible/lair/scurrier/shared_lair_scurrier_dune.iff');
INSERT INTO `template_items` VALUES ('205', 'object/tangible/lair/gulginaw/shared_lair_gulginaw.iff');
INSERT INTO `template_items` VALUES ('206', 'object/tangible/wearables/apron/shared_apron_s01.iff');
INSERT INTO `template_items` VALUES ('207', 'object/tangible/ship/crafted/shields/shared_standard_projector_unit.iff');
INSERT INTO `template_items` VALUES ('208', 'object/tangible/loot/loot_schematic/shared_gambling_table_schematic.iff');
INSERT INTO `template_items` VALUES ('209', 'object/tangible/lair/squall/shared_lair_squall.iff');
INSERT INTO `template_items` VALUES ('210', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_a.iff');
INSERT INTO `template_items` VALUES ('211', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon.iff');
INSERT INTO `template_items` VALUES ('212', 'object/tangible/ship/components/weapon/shared_wpn_incom_seismic_missile_s01.iff');
INSERT INTO `template_items` VALUES ('213', 'object/tangible/mission/quest_item/shared_haleen_snowline_q1_needed.iff');
INSERT INTO `template_items` VALUES ('214', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s03.iff');
INSERT INTO `template_items` VALUES ('215', 'object/tangible/powerup/weapon/shared_ranged_barrel.iff');
INSERT INTO `template_items` VALUES ('216', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk4.iff');
INSERT INTO `template_items` VALUES ('217', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_b.iff');
INSERT INTO `template_items` VALUES ('218', 'object/tangible/loot/loot_schematic/shared_metal_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('219', 'object/tangible/ship/crafted/weapon/shared_wpn_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('220', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s3.iff');
INSERT INTO `template_items` VALUES ('221', 'object/tangible/mission/quest_item/shared_crev_bombaasa_q2_needed.iff');
INSERT INTO `template_items` VALUES ('222', 'object/tangible/loot/misc/shared_speaker_s01.iff');
INSERT INTO `template_items` VALUES ('223', 'object/tangible/ship/components/armor/shared_arm_subpro_supreme_plastisteel.iff');
INSERT INTO `template_items` VALUES ('224', 'object/tangible/component/clothing/shared_reinforced_fiber_panels.iff');
INSERT INTO `template_items` VALUES ('225', 'object/tangible/wearables/shoes/shared_shoes_s02.iff');
INSERT INTO `template_items` VALUES ('226', 'object/tangible/wearables/ithorian/shared_ith_shirt_s14.iff');
INSERT INTO `template_items` VALUES ('227', 'object/tangible/wearables/wookiee/shared_wke_hat_s01.iff');
INSERT INTO `template_items` VALUES ('228', 'object/tangible/loot/plant_grow/shared_plant_stage_2.iff');
INSERT INTO `template_items` VALUES ('229', 'object/tangible/loot/quest/shared_ardanium_ii.iff');
INSERT INTO `template_items` VALUES ('230', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('231', 'object/tangible/component/vehicle/shared_veh_power_plant_mk3.iff');
INSERT INTO `template_items` VALUES ('232', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk5.iff');
INSERT INTO `template_items` VALUES ('233', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_elite.iff');
INSERT INTO `template_items` VALUES ('234', 'object/tangible/lair/demo/shared_lair_demo.iff');
INSERT INTO `template_items` VALUES ('235', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('236', 'object/tangible/lair/flit/shared_lair_flit.iff');
INSERT INTO `template_items` VALUES ('237', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_belt.iff');
INSERT INTO `template_items` VALUES ('238', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_forest.iff');
INSERT INTO `template_items` VALUES ('239', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf_mountain.iff');
INSERT INTO `template_items` VALUES ('240', 'object/tangible/lair/merek/shared_lair_merek.iff');
INSERT INTO `template_items` VALUES ('241', 'object/tangible/skill_buff/base/shared_skill_buff_base.iff');
INSERT INTO `template_items` VALUES ('242', 'object/tangible/food/crafted/shared_dessert_nanana_twist.iff');
INSERT INTO `template_items` VALUES ('243', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_merek.iff');
INSERT INTO `template_items` VALUES ('244', 'object/tangible/hair/human/shared_hair_human_male_s27.iff');
INSERT INTO `template_items` VALUES ('245', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_mountain.iff');
INSERT INTO `template_items` VALUES ('246', 'object/tangible/ship/crafted/reverse_engineering/shared_booster_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('247', 'object/tangible/mission/quest_item/shared_figrindan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('248', 'object/tangible/camp/shared_camp_pavilion_s2.iff');
INSERT INTO `template_items` VALUES ('249', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s04.iff');
INSERT INTO `template_items` VALUES ('250', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_disruptor.iff');
INSERT INTO `template_items` VALUES ('251', 'object/tangible/space/special_loot/shared_firespray_schematic_part2.iff');
INSERT INTO `template_items` VALUES ('252', 'object/tangible/ship/components/armor/shared_arm_mandal_insulated_i7.iff');
INSERT INTO `template_items` VALUES ('253', 'object/tangible/ship/components/engine/shared_engine_qualdex_igt.iff');
INSERT INTO `template_items` VALUES ('254', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `template_items` VALUES ('255', 'object/tangible/ship/components/armor/shared_arm_reward_baktoid_elite.iff');
INSERT INTO `template_items` VALUES ('256', 'object/tangible/deed/event_perk/shared_lok_flag_deed.iff');
INSERT INTO `template_items` VALUES ('257', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('258', 'object/tangible/lair/gubbur/shared_lair_gubbur_underwater.iff');
INSERT INTO `template_items` VALUES ('259', 'object/tangible/furniture/modern/shared_rug_rnd_lg_s01.iff');
INSERT INTO `template_items` VALUES ('260', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j7.iff');
INSERT INTO `template_items` VALUES ('261', 'object/tangible/loot/simple_kit/shared_flat_canvas.iff');
INSERT INTO `template_items` VALUES ('262', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk2.iff');
INSERT INTO `template_items` VALUES ('263', 'object/tangible/poi/base/shared_poi_base_nosnap.iff');
INSERT INTO `template_items` VALUES ('264', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('265', 'object/tangible/lair/binjinphant/shared_lair_binjinphant_forest.iff');
INSERT INTO `template_items` VALUES ('266', 'object/tangible/component/droid/shared_data_storage_module_4.iff');
INSERT INTO `template_items` VALUES ('267', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_patches.iff');
INSERT INTO `template_items` VALUES ('268', 'object/tangible/food/crafted/shared_dish_bivoli_tempari.iff');
INSERT INTO `template_items` VALUES ('269', 'object/tangible/sign/shared_tatooine_moraj_marker.iff');
INSERT INTO `template_items` VALUES ('270', 'object/tangible/ship/components/armor/shared_arm_koensayr_promotional_b9_durasteel.iff');
INSERT INTO `template_items` VALUES ('271', 'object/tangible/wearables/dress/shared_dress_s34.iff');
INSERT INTO `template_items` VALUES ('272', 'object/tangible/wearables/armor/marine/shared_armor_marine_boots.iff');
INSERT INTO `template_items` VALUES ('273', 'object/tangible/wearables/backpack/shared_backpack_s06.iff');
INSERT INTO `template_items` VALUES ('274', 'object/tangible/wearables/base/shared_base_ear_both.iff');
INSERT INTO `template_items` VALUES ('275', 'object/tangible/medicine/crafted/shared_medpack_disease_health_b.iff');
INSERT INTO `template_items` VALUES ('276', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_improved_mk2.iff');
INSERT INTO `template_items` VALUES ('277', 'object/tangible/deed/pet_deed/shared_mott_deed.iff');
INSERT INTO `template_items` VALUES ('278', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('279', 'object/tangible/painting/shared_painting_rodian_m.iff');
INSERT INTO `template_items` VALUES ('280', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_06.iff');
INSERT INTO `template_items` VALUES ('281', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_03.iff');
INSERT INTO `template_items` VALUES ('282', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk4.iff');
INSERT INTO `template_items` VALUES ('283', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk2.iff');
INSERT INTO `template_items` VALUES ('284', 'object/tangible/hair/sullustan/shared_sul_hair_s07_f.iff');
INSERT INTO `template_items` VALUES ('285', 'object/tangible/component/droid/shared_combat_socket_bank.iff');
INSERT INTO `template_items` VALUES ('286', 'object/tangible/lair/flite_rasp_hill/shared_lair_flite_rasp_hill.iff');
INSERT INTO `template_items` VALUES ('287', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s08.iff');
INSERT INTO `template_items` VALUES ('288', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('289', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s6.iff');
INSERT INTO `template_items` VALUES ('290', 'object/tangible/lair/bolma/shared_lair_bolma_dune.iff');
INSERT INTO `template_items` VALUES ('291', 'object/tangible/wearables/bodysuit/shared_bodysuit_tie_fighter_quest.iff');
INSERT INTO `template_items` VALUES ('292', 'object/tangible/component/armor/shared_armor_segment_enhancement_janta.iff');
INSERT INTO `template_items` VALUES ('293', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02.iff');
INSERT INTO `template_items` VALUES ('294', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('295', 'object/tangible/wearables/necklace/shared_necklace_s05.iff');
INSERT INTO `template_items` VALUES ('296', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('297', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_0.iff');
INSERT INTO `template_items` VALUES ('298', 'object/tangible/furniture/elegant/shared_couch_s01.iff');
INSERT INTO `template_items` VALUES ('299', 'object/tangible/wearables/ring/shared_ring_nightsister.iff');
INSERT INTO `template_items` VALUES ('300', 'object/tangible/ship/components/armor/shared_armor_mandal_composite_j14.iff');
INSERT INTO `template_items` VALUES ('301', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_l.iff');
INSERT INTO `template_items` VALUES ('302', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_swamp.iff');
INSERT INTO `template_items` VALUES ('303', 'object/tangible/wearables/vest/shared_vest_s15.iff');
INSERT INTO `template_items` VALUES ('304', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s01_schematic.iff');
INSERT INTO `template_items` VALUES ('305', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('306', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('307', 'object/tangible/item/new_player/shared_new_player_travel_coupon.iff');
INSERT INTO `template_items` VALUES ('308', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_01.iff');
INSERT INTO `template_items` VALUES ('309', 'object/tangible/food/crafted/shared_dish_patot_panak.iff');
INSERT INTO `template_items` VALUES ('310', 'object/tangible/wearables/ithorian/shared_ith_jacket_s12.iff');
INSERT INTO `template_items` VALUES ('311', 'object/tangible/datapad/shared_droid_datapad_2.iff');
INSERT INTO `template_items` VALUES ('312', 'object/tangible/hair/sullustan/shared_sul_hair_s08_m.iff');
INSERT INTO `template_items` VALUES ('313', 'object/tangible/wearables/pants/shared_pants_s05.iff');
INSERT INTO `template_items` VALUES ('314', 'object/tangible/component/vehicle/shared_storage_bay.iff');
INSERT INTO `template_items` VALUES ('315', 'object/tangible/food/spice/shared_spice_yarrock.iff');
INSERT INTO `template_items` VALUES ('316', 'object/tangible/ship/crafted/chassis/shared_awing_deed.iff');
INSERT INTO `template_items` VALUES ('317', 'object/tangible/lair/sharnaff/shared_lair_sharnaff.iff');
INSERT INTO `template_items` VALUES ('318', 'object/tangible/loot/tool/shared_viewscreen_broken_s2.iff');
INSERT INTO `template_items` VALUES ('319', 'object/tangible/instrument/shared_fizz.iff');
INSERT INTO `template_items` VALUES ('320', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_c.iff');
INSERT INTO `template_items` VALUES ('321', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_0.iff');
INSERT INTO `template_items` VALUES ('322', 'object/tangible/wearables/base/shared_base_gauntlets_long.iff');
INSERT INTO `template_items` VALUES ('323', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_1.iff');
INSERT INTO `template_items` VALUES ('324', 'object/tangible/painting/shared_painting_smoking_ad.iff');
INSERT INTO `template_items` VALUES ('325', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('326', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04.iff');
INSERT INTO `template_items` VALUES ('327', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_mountain.iff');
INSERT INTO `template_items` VALUES ('328', 'object/tangible/food/crafted/shared_dish_xermaauc.iff');
INSERT INTO `template_items` VALUES ('329', 'object/tangible/ship/components/chassis/shared_decimator_chassis_token.iff');
INSERT INTO `template_items` VALUES ('330', 'object/tangible/component/armor/shared_armor_layer_stun.iff');
INSERT INTO `template_items` VALUES ('331', 'object/tangible/furniture/plain/shared_plain_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('332', 'object/tangible/ship/components/armor/shared_arm_freitek_deluxe_light.iff');
INSERT INTO `template_items` VALUES ('333', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('334', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_advanced.iff');
INSERT INTO `template_items` VALUES ('335', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_leggings_schematic.iff');
INSERT INTO `template_items` VALUES ('336', 'object/tangible/lair/piket/shared_lair_piket.iff');
INSERT INTO `template_items` VALUES ('337', 'object/tangible/component/food/shared_container_barrel.iff');
INSERT INTO `template_items` VALUES ('338', 'object/tangible/hair/rodian/shared_hair_rodian_female_s20.iff');
INSERT INTO `template_items` VALUES ('339', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_02.iff');
INSERT INTO `template_items` VALUES ('340', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk2.iff');
INSERT INTO `template_items` VALUES ('341', 'object/tangible/droid_battery/shared_battery.iff');
INSERT INTO `template_items` VALUES ('342', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_disruptor.iff');
INSERT INTO `template_items` VALUES ('343', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('344', 'object/tangible/wearables/gloves/shared_gloves_s07.iff');
INSERT INTO `template_items` VALUES ('345', 'object/tangible/component/weapon/shared_scope_weapon_advanced.iff');
INSERT INTO `template_items` VALUES ('346', 'object/tangible/mission/quest_item/shared_terak_q1_needed.iff');
INSERT INTO `template_items` VALUES ('347', 'object/tangible/wearables/dress/shared_dress_s09.iff');
INSERT INTO `template_items` VALUES ('348', 'object/tangible/wearables/ithorian/shared_ith_backpack_s06.iff');
INSERT INTO `template_items` VALUES ('349', 'object/tangible/component/dna/shared_dna_template_bolle_bol.iff');
INSERT INTO `template_items` VALUES ('350', 'object/tangible/deed/event_perk/shared_dathomir_flag_deed.iff');
INSERT INTO `template_items` VALUES ('351', 'object/tangible/medicine/shared_medpack_sm_s1.iff');
INSERT INTO `template_items` VALUES ('352', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_leggings.iff');
INSERT INTO `template_items` VALUES ('353', 'object/tangible/component/structure/shared_lightweight_turret.iff');
INSERT INTO `template_items` VALUES ('354', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('355', 'object/tangible/wearables/necklace/shared_necklace_jeweled_pendant.iff');
INSERT INTO `template_items` VALUES ('356', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk5.iff');
INSERT INTO `template_items` VALUES ('357', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_taim_ion_driver.iff');
INSERT INTO `template_items` VALUES ('358', 'object/tangible/component/bio/shared_base_bio_component_clothing_casual.iff');
INSERT INTO `template_items` VALUES ('359', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_b.iff');
INSERT INTO `template_items` VALUES ('360', 'object/tangible/lair/nuna/shared_lair_nuna_swamp.iff');
INSERT INTO `template_items` VALUES ('361', 'object/tangible/lair/mamien/shared_lair_mamien_jungle.iff');
INSERT INTO `template_items` VALUES ('362', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_1.iff');
INSERT INTO `template_items` VALUES ('363', 'object/tangible/wearables/base/shared_base_shirt.iff');
INSERT INTO `template_items` VALUES ('364', 'object/tangible/food/base/shared_drink_base.iff');
INSERT INTO `template_items` VALUES ('365', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_a.iff');
INSERT INTO `template_items` VALUES ('366', 'object/tangible/mission/quest_item/shared_jatrian_lytus_q3_needed.iff');
INSERT INTO `template_items` VALUES ('367', 'object/tangible/component/food/shared_container_cask.iff');
INSERT INTO `template_items` VALUES ('368', 'object/tangible/ship/components/engine/shared_eng_koensayr_tuned_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('369', 'object/tangible/ship/components/reactor/shared_rct_incom_mark3.iff');
INSERT INTO `template_items` VALUES ('370', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('371', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_03_deed.iff');
INSERT INTO `template_items` VALUES ('372', 'object/tangible/component/droid/shared_crafting_module_weapon.iff');
INSERT INTO `template_items` VALUES ('373', 'object/tangible/container/drum/shared_large_plain_crate_s04.iff');
INSERT INTO `template_items` VALUES ('374', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s02.iff');
INSERT INTO `template_items` VALUES ('375', 'object/tangible/component/dna/shared_dna_template_zucca_boar.iff');
INSERT INTO `template_items` VALUES ('376', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large.iff');
INSERT INTO `template_items` VALUES ('377', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_0.iff');
INSERT INTO `template_items` VALUES ('378', 'object/tangible/painting/shared_painting_bioengineer_orange.iff');
INSERT INTO `template_items` VALUES ('379', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_disruptor.iff');
INSERT INTO `template_items` VALUES ('380', 'object/tangible/space/content_infrastructure/shared_basic_patrol_point.iff');
INSERT INTO `template_items` VALUES ('381', 'object/tangible/terminal/shared_terminal_bestine_quests_01.iff');
INSERT INTO `template_items` VALUES ('382', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('383', 'object/tangible/wearables/shirt/shared_shirt_s16.iff');
INSERT INTO `template_items` VALUES ('384', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_d.iff');
INSERT INTO `template_items` VALUES ('385', 'object/tangible/mission/quest_item/shared_indintra_imbru_yerevan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('386', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('387', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('388', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('389', 'object/tangible/loot/misc/shared_inkpen_engraved_s01.iff');
INSERT INTO `template_items` VALUES ('390', 'object/tangible/treasure_map/shared_treasure_map_quest.iff');
INSERT INTO `template_items` VALUES ('391', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('392', 'object/tangible/droid/shared_droid_space_memory_module_1.iff');
INSERT INTO `template_items` VALUES ('393', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_r.iff');
INSERT INTO `template_items` VALUES ('394', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_gallant_a1.iff');
INSERT INTO `template_items` VALUES ('395', 'object/tangible/hair/sullustan/shared_sul_hair_s05_m.iff');
INSERT INTO `template_items` VALUES ('396', 'object/tangible/firework/shared_firework_s11.iff');
INSERT INTO `template_items` VALUES ('397', 'object/tangible/terminal/shared_terminal_command_console.iff');
INSERT INTO `template_items` VALUES ('398', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('399', 'object/tangible/component/droid/shared_merchant_base.iff');
INSERT INTO `template_items` VALUES ('400', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_c.iff');
INSERT INTO `template_items` VALUES ('401', 'object/tangible/mission/quest_item/shared_warren_passkey_s04.iff');
INSERT INTO `template_items` VALUES ('402', 'object/tangible/furniture/decorative/shared_foodcart.iff');
INSERT INTO `template_items` VALUES ('403', 'object/tangible/wearables/boots/shared_boots_s22.iff');
INSERT INTO `template_items` VALUES ('404', 'object/tangible/terminal/shared_terminal_jukebox.iff');
INSERT INTO `template_items` VALUES ('405', 'object/tangible/ship/components/armor/shared_arm_mission_reward_neutral_kse_handcrafted.iff');
INSERT INTO `template_items` VALUES ('406', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_3.iff');
INSERT INTO `template_items` VALUES ('407', 'object/tangible/ship/components/weapon_capacitor/shared_cap_unknown_experimental.iff');
INSERT INTO `template_items` VALUES ('408', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('409', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate.iff');
INSERT INTO `template_items` VALUES ('410', 'object/tangible/food/crafted/shared_dessert_blob_candy.iff');
INSERT INTO `template_items` VALUES ('411', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_gorax.iff');
INSERT INTO `template_items` VALUES ('412', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('413', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_03.iff');
INSERT INTO `template_items` VALUES ('414', 'object/tangible/survey_tool/shared_survey_tool_all.iff');
INSERT INTO `template_items` VALUES ('415', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('416', 'object/tangible/furniture/all/shared_event_flag_game_reb_banner.iff');
INSERT INTO `template_items` VALUES ('417', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_a.iff');
INSERT INTO `template_items` VALUES ('418', 'object/tangible/hair/bothan/shared_hair_bothan_male_s10.iff');
INSERT INTO `template_items` VALUES ('419', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s04.iff');
INSERT INTO `template_items` VALUES ('420', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s02.iff');
INSERT INTO `template_items` VALUES ('421', 'object/tangible/ship/components/armor/shared_arm_koensayr_reinforced_b5_durasteel.iff');
INSERT INTO `template_items` VALUES ('422', 'object/tangible/hair/human/shared_hair_human_female_s12.iff');
INSERT INTO `template_items` VALUES ('423', 'object/tangible/component/weapon/shared_blaster_rifle_barrel.iff');
INSERT INTO `template_items` VALUES ('424', 'object/tangible/component/droid/shared_auto_repair_module.iff');
INSERT INTO `template_items` VALUES ('425', 'object/tangible/wearables/earring/shared_earring_s09.iff');
INSERT INTO `template_items` VALUES ('426', 'object/tangible/component/dna/shared_dna_template_choku.iff');
INSERT INTO `template_items` VALUES ('427', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07.iff');
INSERT INTO `template_items` VALUES ('428', 'object/tangible/wearables/ithorian/shared_ith_necklace_s07.iff');
INSERT INTO `template_items` VALUES ('429', 'object/tangible/ship/components/chassis/shared_bwing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('430', 'object/tangible/component/instrument/shared_dual_wave_synthesizer.iff');
INSERT INTO `template_items` VALUES ('431', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_01.iff');
INSERT INTO `template_items` VALUES ('432', 'object/tangible/furniture/decorative/shared_plain_bowl.iff');
INSERT INTO `template_items` VALUES ('433', 'object/tangible/wearables/ring/shared_ring_s03_quest.iff');
INSERT INTO `template_items` VALUES ('434', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s03_chassis_token.iff');
INSERT INTO `template_items` VALUES ('435', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_elite.iff');
INSERT INTO `template_items` VALUES ('436', 'object/tangible/deed/pet_deed/shared_sharnaff_deed.iff');
INSERT INTO `template_items` VALUES ('437', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('438', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s02.iff');
INSERT INTO `template_items` VALUES ('439', 'object/tangible/medicine/crafted/shared_medpack_stunned_b.iff');
INSERT INTO `template_items` VALUES ('440', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sds_special_forces.iff');
INSERT INTO `template_items` VALUES ('441', 'object/tangible/painting/shared_painting_bestine_golden_flower_01.iff');
INSERT INTO `template_items` VALUES ('442', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q2_needed.iff');
INSERT INTO `template_items` VALUES ('443', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('444', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q2_needed.iff');
INSERT INTO `template_items` VALUES ('445', 'object/tangible/ship/components/reactor/shared_rct_incom_custom_mark2.iff');
INSERT INTO `template_items` VALUES ('446', 'object/tangible/wearables/ithorian/shared_ith_jacket_s02.iff');
INSERT INTO `template_items` VALUES ('447', 'object/tangible/ship/components/reactor/shared_rct_freitek_improved_powerhouse_mk1.iff');
INSERT INTO `template_items` VALUES ('448', 'object/tangible/wearables/vest/shared_vest_s05.iff');
INSERT INTO `template_items` VALUES ('449', 'object/tangible/loot/loot_schematic/shared_basket_closed_schematic.iff');
INSERT INTO `template_items` VALUES ('450', 'object/tangible/mission/quest_item/shared_stella_q3_needed.iff');
INSERT INTO `template_items` VALUES ('451', 'object/tangible/deed/faction_perk/hq/shared_hq_s05.iff');
INSERT INTO `template_items` VALUES ('452', 'object/tangible/component/weapon/shared_reinforcement_core_advanced.iff');
INSERT INTO `template_items` VALUES ('453', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk1.iff');
INSERT INTO `template_items` VALUES ('454', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('455', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk1.iff');
INSERT INTO `template_items` VALUES ('456', 'object/tangible/terminal/shared_terminal_elevator.iff');
INSERT INTO `template_items` VALUES ('457', 'object/tangible/deed/event_perk/shared_crashed_tie_bomber_theater_deed.iff');
INSERT INTO `template_items` VALUES ('458', 'object/tangible/wearables/pants/shared_pants_s15.iff');
INSERT INTO `template_items` VALUES ('459', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s09.iff');
INSERT INTO `template_items` VALUES ('460', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk2.iff');
INSERT INTO `template_items` VALUES ('461', 'object/tangible/sign/shared_streetsign_upright_style_01.iff');
INSERT INTO `template_items` VALUES ('462', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('463', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s01.iff');
INSERT INTO `template_items` VALUES ('464', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_07.iff');
INSERT INTO `template_items` VALUES ('465', 'object/tangible/component/chemistry/shared_release_mechanism_duration_advanced.iff');
INSERT INTO `template_items` VALUES ('466', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s04.iff');
INSERT INTO `template_items` VALUES ('467', 'object/tangible/food/crafted/additive/shared_additive_medium.iff');
INSERT INTO `template_items` VALUES ('468', 'object/tangible/space/content_infrastructure/shared_basic_spawner.iff');
INSERT INTO `template_items` VALUES ('469', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('470', 'object/tangible/wearables/necklace/shared_necklace_elaborate_necklet.iff');
INSERT INTO `template_items` VALUES ('471', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_m.iff');
INSERT INTO `template_items` VALUES ('472', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_d.iff');
INSERT INTO `template_items` VALUES ('473', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02_red.iff');
INSERT INTO `template_items` VALUES ('474', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('475', 'object/tangible/furniture/city/shared_fountain_rectangle.iff');
INSERT INTO `template_items` VALUES ('476', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('477', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('478', 'object/tangible/mission/quest_item/shared_mullud_bombo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('479', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate.iff');
INSERT INTO `template_items` VALUES ('480', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q2_needed.iff');
INSERT INTO `template_items` VALUES ('481', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('482', 'object/tangible/wearables/ithorian/shared_ith_pants_s10.iff');
INSERT INTO `template_items` VALUES ('483', 'object/tangible/ship/components/armor/shared_arm_sorosuub_intemediate_plastisteel.iff');
INSERT INTO `template_items` VALUES ('484', 'object/tangible/ship/components/reactor/shared_rct_seinar_enhanced_level1.iff');
INSERT INTO `template_items` VALUES ('485', 'object/tangible/gambling/table/shared_table_base.iff');
INSERT INTO `template_items` VALUES ('486', 'object/tangible/component/droid/shared_manipulator_arm_package_set.iff');
INSERT INTO `template_items` VALUES ('487', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_a.iff');
INSERT INTO `template_items` VALUES ('488', 'object/tangible/component/droid/repair/shared_repair_unit_casing_advanced.iff');
INSERT INTO `template_items` VALUES ('489', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('490', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z7.iff');
INSERT INTO `template_items` VALUES ('491', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_l.iff');
INSERT INTO `template_items` VALUES ('492', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun2.iff');
INSERT INTO `template_items` VALUES ('493', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_04_deed.iff');
INSERT INTO `template_items` VALUES ('494', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('495', 'object/tangible/component/dna/shared_dna_sample_very_high.iff');
INSERT INTO `template_items` VALUES ('496', 'object/tangible/wearables/bodysuit/shared_bodysuit_s12.iff');
INSERT INTO `template_items` VALUES ('497', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_a.iff');
INSERT INTO `template_items` VALUES ('498', 'object/tangible/hair/human/shared_hair_human_male_s37.iff');
INSERT INTO `template_items` VALUES ('499', 'object/tangible/wearables/hat/shared_hat_twilek_s01.iff');
INSERT INTO `template_items` VALUES ('500', 'object/tangible/loot/misc/shared_loot_krayt_spine2.iff');
INSERT INTO `template_items` VALUES ('501', 'object/tangible/dungeon/shared_keypad_terminal.iff');
INSERT INTO `template_items` VALUES ('502', 'object/tangible/deed/pet_deed/shared_gronda_deed.iff');
INSERT INTO `template_items` VALUES ('503', 'object/tangible/ship/components/booster/shared_bst_corellian_highly_modified_elite_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('504', 'object/tangible/ship/crafted/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('505', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('506', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s03.iff');
INSERT INTO `template_items` VALUES ('507', 'object/tangible/food/base/shared_desert_base.iff');
INSERT INTO `template_items` VALUES ('508', 'object/tangible/shipcontrol/shared_turretcontrol_vt49.iff');
INSERT INTO `template_items` VALUES ('509', 'object/tangible/region/shared_deliver_region_15.iff');
INSERT INTO `template_items` VALUES ('510', 'object/tangible/deed/event_perk/shared_race_droid_deed.iff');
INSERT INTO `template_items` VALUES ('511', 'object/tangible/component/chemistry/shared_rancor_bile.iff');
INSERT INTO `template_items` VALUES ('512', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s02.iff');
INSERT INTO `template_items` VALUES ('513', 'object/tangible/loot/misc/shared_majestic_rug.iff');
INSERT INTO `template_items` VALUES ('514', 'object/tangible/lair/choku/shared_lair_choku.iff');
INSERT INTO `template_items` VALUES ('515', 'object/tangible/lair/huf_dun/shared_lair_huf_dun.iff');
INSERT INTO `template_items` VALUES ('516', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_b.iff');
INSERT INTO `template_items` VALUES ('517', 'object/tangible/component/dna/shared_dna_template_rancor.iff');
INSERT INTO `template_items` VALUES ('518', 'object/tangible/loot/misc/shared_loot_krayt_leg2.iff');
INSERT INTO `template_items` VALUES ('519', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_b.iff');
INSERT INTO `template_items` VALUES ('520', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_special_forces_cannon.iff');
INSERT INTO `template_items` VALUES ('521', 'object/tangible/loot/simple_kit/shared_heating_element.iff');
INSERT INTO `template_items` VALUES ('522', 'object/tangible/lair/base/shared_antpile_dark.iff');
INSERT INTO `template_items` VALUES ('523', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_3.iff');
INSERT INTO `template_items` VALUES ('524', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_neg.iff');
INSERT INTO `template_items` VALUES ('525', 'object/tangible/loot/misc/shared_camera_s01.iff');
INSERT INTO `template_items` VALUES ('526', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s06.iff');
INSERT INTO `template_items` VALUES ('527', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_c.iff');
INSERT INTO `template_items` VALUES ('528', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r4.iff');
INSERT INTO `template_items` VALUES ('529', 'object/tangible/terminal/shared_terminal_skill.iff');
INSERT INTO `template_items` VALUES ('530', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('531', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_l.iff');
INSERT INTO `template_items` VALUES ('532', 'object/tangible/gem/shared_default.iff');
INSERT INTO `template_items` VALUES ('533', 'object/tangible/wearables/ithorian/shared_ith_shirt_s04.iff');
INSERT INTO `template_items` VALUES ('534', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk2.iff');
INSERT INTO `template_items` VALUES ('535', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_05_deed.iff');
INSERT INTO `template_items` VALUES ('536', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s01.iff');
INSERT INTO `template_items` VALUES ('537', 'object/tangible/component/structure/shared_regulator.iff');
INSERT INTO `template_items` VALUES ('538', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk2.iff');
INSERT INTO `template_items` VALUES ('539', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_accuracy.iff');
INSERT INTO `template_items` VALUES ('540', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_female_base.iff');
INSERT INTO `template_items` VALUES ('541', 'object/tangible/furniture/decorative/shared_carved_bowl.iff');
INSERT INTO `template_items` VALUES ('542', 'object/tangible/space/content_infrastructure/shared_quest_nav_point.iff');
INSERT INTO `template_items` VALUES ('543', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_02.iff');
INSERT INTO `template_items` VALUES ('544', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk4.iff');
INSERT INTO `template_items` VALUES ('545', 'object/tangible/camp/shared_campfire_logs_smoldering.iff');
INSERT INTO `template_items` VALUES ('546', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_boots.iff');
INSERT INTO `template_items` VALUES ('547', 'object/tangible/ship/components/weapon_capacitor/shared_cap_haor_chall_old_capacitor.iff');
INSERT INTO `template_items` VALUES ('548', 'object/tangible/hair/human/shared_hair_human_female_s02.iff');
INSERT INTO `template_items` VALUES ('549', 'object/tangible/component/clothing/shared_component_base.iff');
INSERT INTO `template_items` VALUES ('550', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s02.iff');
INSERT INTO `template_items` VALUES ('551', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_jungle.iff');
INSERT INTO `template_items` VALUES ('552', 'object/tangible/lair/striped_fish/shared_lair_striped_fish.iff');
INSERT INTO `template_items` VALUES ('553', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_2.iff');
INSERT INTO `template_items` VALUES ('554', 'object/tangible/wearables/bandolier/shared_bandolier_s04.iff');
INSERT INTO `template_items` VALUES ('555', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('556', 'object/tangible/container/loot/shared_gas_filter_container.iff');
INSERT INTO `template_items` VALUES ('557', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s3.iff');
INSERT INTO `template_items` VALUES ('558', 'object/tangible/food/crafted/shared_drink_blue_milk.iff');
INSERT INTO `template_items` VALUES ('559', 'object/tangible/slicing/shared_slicing_flow_analyzer.iff');
INSERT INTO `template_items` VALUES ('560', 'object/tangible/loot/loot_schematic/shared_bubble_tank_schematic.iff');
INSERT INTO `template_items` VALUES ('561', 'object/tangible/painting/shared_painting_twilek_f_sm_s02.iff');
INSERT INTO `template_items` VALUES ('562', 'object/tangible/medicine/shared_medic_damage.iff');
INSERT INTO `template_items` VALUES ('563', 'object/tangible/sign/municipal/base/shared_municipal_sign_base.iff');
INSERT INTO `template_items` VALUES ('564', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_ball.iff');
INSERT INTO `template_items` VALUES ('565', 'object/tangible/food/crafted/shared_drink_jaar.iff');
INSERT INTO `template_items` VALUES ('566', 'object/tangible/deed/pet_deed/shared_bolle_bol_deed.iff');
INSERT INTO `template_items` VALUES ('567', 'object/tangible/space/story_loot/shared_loot_naboo_rsf.iff');
INSERT INTO `template_items` VALUES ('568', 'object/tangible/food/crafted/shared_dish_stewed_gwouch.iff');
INSERT INTO `template_items` VALUES ('569', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk4.iff');
INSERT INTO `template_items` VALUES ('570', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_base.iff');
INSERT INTO `template_items` VALUES ('571', 'object/tangible/mission/quest_item/shared_brea_tonnika_q1_needed.iff');
INSERT INTO `template_items` VALUES ('572', 'object/tangible/component/item/quest_item/shared_cycle_control.iff');
INSERT INTO `template_items` VALUES ('573', 'object/tangible/shipcontrol/shared_shipcontrol_falcon.iff');
INSERT INTO `template_items` VALUES ('574', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk3.iff');
INSERT INTO `template_items` VALUES ('575', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk1.iff');
INSERT INTO `template_items` VALUES ('576', 'object/tangible/firework/shared_firework_s01.iff');
INSERT INTO `template_items` VALUES ('577', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk1.iff');
INSERT INTO `template_items` VALUES ('578', 'object/tangible/wearables/pants/shared_pants_s28.iff');
INSERT INTO `template_items` VALUES ('579', 'object/tangible/component/item/shared_large_sensor_package.iff');
INSERT INTO `template_items` VALUES ('580', 'object/tangible/ship/components/booster/shared_bst_freitek_outrunner_x1.iff');
INSERT INTO `template_items` VALUES ('581', 'object/tangible/deed/event_perk/shared_fed_dub_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('582', 'object/tangible/loot/quest/shared_victor_questn_journal.iff');
INSERT INTO `template_items` VALUES ('583', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap9.iff');
INSERT INTO `template_items` VALUES ('584', 'object/tangible/wearables/dress/shared_dress_s08_quest.iff');
INSERT INTO `template_items` VALUES ('585', 'object/tangible/ship/components/booster/shared_bst_corellian_heavy_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('586', 'object/tangible/ship/crafted/chassis/shared_xwing_deed.iff');
INSERT INTO `template_items` VALUES ('587', 'object/tangible/scout/camokit/shared_camokit_dathomir.iff');
INSERT INTO `template_items` VALUES ('588', 'object/tangible/recycler/shared_flora_recycler.iff');
INSERT INTO `template_items` VALUES ('589', 'object/tangible/component/item/quest_item/shared_voltage_inducer.iff');
INSERT INTO `template_items` VALUES ('590', 'object/tangible/mission/quest_item/shared_jadam_questrel_q1_needed.iff');
INSERT INTO `template_items` VALUES ('591', 'object/tangible/ship/components/weapon/shared_wpn_freitek_cannoneer_mk1.iff');
INSERT INTO `template_items` VALUES ('592', 'object/tangible/loot/misc/shared_gungan_signet.iff');
INSERT INTO `template_items` VALUES ('593', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr3.iff');
INSERT INTO `template_items` VALUES ('594', 'object/tangible/lair/malkloc/shared_lair_malkloc_mountain.iff');
INSERT INTO `template_items` VALUES ('595', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_needed.iff');
INSERT INTO `template_items` VALUES ('596', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_l.iff');
INSERT INTO `template_items` VALUES ('597', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q1_needed.iff');
INSERT INTO `template_items` VALUES ('598', 'object/tangible/encoded_disk/shared_message_fragment_base.iff');
INSERT INTO `template_items` VALUES ('599', 'object/tangible/terminal/shared_terminal_city.iff');
INSERT INTO `template_items` VALUES ('600', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_chest_plate.iff');
INSERT INTO `template_items` VALUES ('601', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_x.iff');
INSERT INTO `template_items` VALUES ('602', 'object/tangible/painting/shared_painting_twilek_f_lg_s01.iff');
INSERT INTO `template_items` VALUES ('603', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk3.iff');
INSERT INTO `template_items` VALUES ('604', 'object/tangible/loot/misc/shared_toxic_rations.iff');
INSERT INTO `template_items` VALUES ('605', 'object/tangible/lair/bark_mite/shared_lair_bark_mite.iff');
INSERT INTO `template_items` VALUES ('606', 'object/tangible/ship/components/armor/shared_arm_koensayr_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('607', 'object/tangible/furniture/all/shared_bestine_quest_statue.iff');
INSERT INTO `template_items` VALUES ('608', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01_lit.iff');
INSERT INTO `template_items` VALUES ('609', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk1.iff');
INSERT INTO `template_items` VALUES ('610', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('611', 'object/tangible/ship/components/engine/shared_engine_kuat_f31.iff');
INSERT INTO `template_items` VALUES ('612', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_attackspeed.iff');
INSERT INTO `template_items` VALUES ('613', 'object/tangible/loot/loot_schematic/shared_park_bench_schematic.iff');
INSERT INTO `template_items` VALUES ('614', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05_lg.iff');
INSERT INTO `template_items` VALUES ('615', 'object/tangible/loot/misc/shared_loot_krayt_arm2.iff');
INSERT INTO `template_items` VALUES ('616', 'object/tangible/camp/shared_camp_tent_s4.iff');
INSERT INTO `template_items` VALUES ('617', 'object/tangible/wearables/bikini/shared_bikini_leggings_s01.iff');
INSERT INTO `template_items` VALUES ('618', 'object/tangible/furniture/cheap/shared_chair_s01.iff');
INSERT INTO `template_items` VALUES ('619', 'object/tangible/lair/eopie/shared_lair_eopie.iff');
INSERT INTO `template_items` VALUES ('620', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('621', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_l.iff');
INSERT INTO `template_items` VALUES ('622', 'object/tangible/item/quest/force_sensitive/shared_fs_village_bannerpole_s01.iff');
INSERT INTO `template_items` VALUES ('623', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_blumbrush.iff');
INSERT INTO `template_items` VALUES ('624', 'object/tangible/ship/components/reactor/shared_rct_generic.iff');
INSERT INTO `template_items` VALUES ('625', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('626', 'object/tangible/deed/event_perk/shared_corellian_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('627', 'object/tangible/crafting/station/shared_public_space_station.iff');
INSERT INTO `template_items` VALUES ('628', 'object/tangible/instrument/shared_traz.iff');
INSERT INTO `template_items` VALUES ('629', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_ration_kit.iff');
INSERT INTO `template_items` VALUES ('630', 'object/tangible/mission/quest_item/shared_stella_q2_needed.iff');
INSERT INTO `template_items` VALUES ('631', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('632', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_female_base.iff');
INSERT INTO `template_items` VALUES ('633', 'object/tangible/furniture/imperial/shared_bunker_table_giant_style_01.iff');
INSERT INTO `template_items` VALUES ('634', 'object/tangible/ship/components/reactor/shared_rct_kse_custom_lx11.iff');
INSERT INTO `template_items` VALUES ('635', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk4.iff');
INSERT INTO `template_items` VALUES ('636', 'object/tangible/wearables/dress/shared_dress_s19.iff');
INSERT INTO `template_items` VALUES ('637', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q3_needed.iff');
INSERT INTO `template_items` VALUES ('638', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('639', 'object/tangible/ship/components/engine/shared_eng_koensayr_heavy_ionjet.iff');
INSERT INTO `template_items` VALUES ('640', 'object/tangible/lair/blurrg/shared_lair_blurrg_forest.iff');
INSERT INTO `template_items` VALUES ('641', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s2.iff');
INSERT INTO `template_items` VALUES ('642', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk2.iff');
INSERT INTO `template_items` VALUES ('643', 'object/tangible/deed/city_deed/shared_bank_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('644', 'object/tangible/mission/quest_item/shared_radanthus_mandelatara_q3_needed.iff');
INSERT INTO `template_items` VALUES ('645', 'object/tangible/deed/city_deed/shared_theater_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('646', 'object/tangible/lair/flit/shared_lair_flit_mountain.iff');
INSERT INTO `template_items` VALUES ('647', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_02.iff');
INSERT INTO `template_items` VALUES ('648', 'object/tangible/food/foraged/shared_edible_jar_fungus.iff');
INSERT INTO `template_items` VALUES ('649', 'object/tangible/deed/city_deed/shared_garden_endor_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('650', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('651', 'object/tangible/mission/quest_item/shared_lilas_dinhint_q1_needed.iff');
INSERT INTO `template_items` VALUES ('652', 'object/tangible/crafting/base/shared_base_public_station.iff');
INSERT INTO `template_items` VALUES ('653', 'object/tangible/food/crafted/shared_drink_charde.iff');
INSERT INTO `template_items` VALUES ('654', 'object/tangible/food/base/shared_meat_base.iff');
INSERT INTO `template_items` VALUES ('655', 'object/tangible/medicine/shared_grenade_area_poison.iff');
INSERT INTO `template_items` VALUES ('656', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_1.iff');
INSERT INTO `template_items` VALUES ('657', 'object/tangible/food/crafted/shared_dish_ahrisa.iff');
INSERT INTO `template_items` VALUES ('658', 'object/tangible/ship/components/engine/shared_engine_nubian_221.iff');
INSERT INTO `template_items` VALUES ('659', 'object/tangible/crafting/station/shared_space_station.iff');
INSERT INTO `template_items` VALUES ('660', 'object/tangible/furniture/shared_furniture_base.iff');
INSERT INTO `template_items` VALUES ('661', 'object/tangible/fishing/fish/shared_blackfish.iff');
INSERT INTO `template_items` VALUES ('662', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings.iff');
INSERT INTO `template_items` VALUES ('663', 'object/tangible/component/armor/shared_armor_segment_enhancement_fambaa.iff');
INSERT INTO `template_items` VALUES ('664', 'object/tangible/furniture/elegant/shared_love_seat_s01.iff');
INSERT INTO `template_items` VALUES ('665', 'object/tangible/component/droid/shared_medic_module_6.iff');
INSERT INTO `template_items` VALUES ('666', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('667', 'object/tangible/component/munition/shared_enhanced_charge_shaping.iff');
INSERT INTO `template_items` VALUES ('668', 'object/tangible/deed/event_perk/shared_shuttle_static_deed.iff');
INSERT INTO `template_items` VALUES ('669', 'object/tangible/ship/components/shield_generator/shared_shd_taim_enhanced_advanced.iff');
INSERT INTO `template_items` VALUES ('670', 'object/tangible/wearables/armor/marine/shared_armor_marine_helmet.iff');
INSERT INTO `template_items` VALUES ('671', 'object/tangible/wearables/shirt/shared_shirt_s32.iff');
INSERT INTO `template_items` VALUES ('672', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk5.iff');
INSERT INTO `template_items` VALUES ('673', 'object/tangible/wearables/base/shared_base_pauldron_both.iff');
INSERT INTO `template_items` VALUES ('674', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_desert.iff');
INSERT INTO `template_items` VALUES ('675', 'object/tangible/lair/base/shared_lair_base_cave_lion_light.iff');
INSERT INTO `template_items` VALUES ('676', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_quicksilver.iff');
INSERT INTO `template_items` VALUES ('677', 'object/tangible/lair/base/shared_poi_all_lair_mound_large.iff');
INSERT INTO `template_items` VALUES ('678', 'object/tangible/wearables/goggles/shared_goggles_s05.iff');
INSERT INTO `template_items` VALUES ('679', 'object/tangible/hair/human/shared_hair_human_female_s36.iff');
INSERT INTO `template_items` VALUES ('680', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s11.iff');
INSERT INTO `template_items` VALUES ('681', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('682', 'object/tangible/medicine/shared_stimpack_sm_s1.iff');
INSERT INTO `template_items` VALUES ('683', 'object/tangible/furniture/jedi/shared_frn_all_banner_light.iff');
INSERT INTO `template_items` VALUES ('684', 'object/tangible/ship/components/engine/shared_engine_seinar_ps56.iff');
INSERT INTO `template_items` VALUES ('685', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small.iff');
INSERT INTO `template_items` VALUES ('686', 'object/tangible/mission/quest_item/shared_mullud_bombo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('687', 'object/tangible/lair/base/shared_objective_dantari_monolith.iff');
INSERT INTO `template_items` VALUES ('688', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler01.iff');
INSERT INTO `template_items` VALUES ('689', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_custom_light.iff');
INSERT INTO `template_items` VALUES ('690', 'object/tangible/mission/quest_item/shared_ruwan_tokai_q1_needed.iff');
INSERT INTO `template_items` VALUES ('691', 'object/tangible/wearables/ithorian/shared_ith_pants_s19.iff');
INSERT INTO `template_items` VALUES ('692', 'object/tangible/wearables/helmet/shared_helmet_fighter_blacksun_ace.iff');
INSERT INTO `template_items` VALUES ('693', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_gray.iff');
INSERT INTO `template_items` VALUES ('694', 'object/tangible/droid/shared_navicomputer_4.iff');
INSERT INTO `template_items` VALUES ('695', 'object/tangible/loot/dungeon/death_watch_bunker/shared_pistol_de10_barrel.iff');
INSERT INTO `template_items` VALUES ('696', 'object/tangible/component/armor/shared_armor_segment_enhancement_dragonet.iff');
INSERT INTO `template_items` VALUES ('697', 'object/tangible/loot/simple_kit/shared_paint_disperser.iff');
INSERT INTO `template_items` VALUES ('698', 'object/tangible/firework/shared_firework_four.iff');
INSERT INTO `template_items` VALUES ('699', 'object/tangible/terminal/shared_terminal_player_structure_nosnap.iff');
INSERT INTO `template_items` VALUES ('700', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster.iff');
INSERT INTO `template_items` VALUES ('701', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_double_protector_mk1.iff');
INSERT INTO `template_items` VALUES ('702', 'object/tangible/food/crafted/shared_dessert_pikatta_pie.iff');
INSERT INTO `template_items` VALUES ('703', 'object/tangible/loot/loot_schematic/shared_droid_head_schematic.iff');
INSERT INTO `template_items` VALUES ('704', 'object/tangible/hair/sullustan/shared_sul_hair_s14_m.iff');
INSERT INTO `template_items` VALUES ('705', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('706', 'object/tangible/firework/shared_firework_two.iff');
INSERT INTO `template_items` VALUES ('707', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster.iff');
INSERT INTO `template_items` VALUES ('708', 'object/tangible/component/clothing/shared_padding_segment.iff');
INSERT INTO `template_items` VALUES ('709', 'object/tangible/hair/rodian/shared_hair_rodian_female_s04.iff');
INSERT INTO `template_items` VALUES ('710', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_krayt_dragon.iff');
INSERT INTO `template_items` VALUES ('711', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark2.iff');
INSERT INTO `template_items` VALUES ('712', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s02.iff');
INSERT INTO `template_items` VALUES ('713', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk4.iff');
INSERT INTO `template_items` VALUES ('714', 'object/tangible/lair/gekk/shared_lair_gekk.iff');
INSERT INTO `template_items` VALUES ('715', 'object/tangible/component/armor/shared_armor_segment_zam_advanced.iff');
INSERT INTO `template_items` VALUES ('716', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s01.iff');
INSERT INTO `template_items` VALUES ('717', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler02.iff');
INSERT INTO `template_items` VALUES ('718', 'object/tangible/lair/vynock/shared_lair_vynock_dune.iff');
INSERT INTO `template_items` VALUES ('719', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_gulginaw.iff');
INSERT INTO `template_items` VALUES ('720', 'object/tangible/medicine/shared_medpack_wound_action.iff');
INSERT INTO `template_items` VALUES ('721', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol_grassland.iff');
INSERT INTO `template_items` VALUES ('722', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s2.iff');
INSERT INTO `template_items` VALUES ('723', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('724', 'object/tangible/ship/components/weapon/shared_wpn_rendili_fr13_disruptor.iff');
INSERT INTO `template_items` VALUES ('725', 'object/tangible/hq_destructible/shared_uplink_terminal.iff');
INSERT INTO `template_items` VALUES ('726', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx92.iff');
INSERT INTO `template_items` VALUES ('727', 'object/tangible/component/dna/shared_dna_template_angler.iff');
INSERT INTO `template_items` VALUES ('728', 'object/tangible/furniture/technical/shared_couch_s01.iff');
INSERT INTO `template_items` VALUES ('729', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('730', 'object/tangible/crafting/station/shared_public_structure_station.iff');
INSERT INTO `template_items` VALUES ('731', 'object/tangible/lair/gualama/shared_lair_gualama_grassland.iff');
INSERT INTO `template_items` VALUES ('732', 'object/tangible/lair/bocatt/shared_lair_bocatt.iff');
INSERT INTO `template_items` VALUES ('733', 'object/tangible/component/weapon/shared_parallel_weapon_targeting_computer.iff');
INSERT INTO `template_items` VALUES ('734', 'object/tangible/wearables/underwear/shared_underwear_top.iff');
INSERT INTO `template_items` VALUES ('735', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('736', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover_2.iff');
INSERT INTO `template_items` VALUES ('737', 'object/tangible/deed/city_deed/shared_garden_dantooine_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('738', 'object/tangible/lair/base/shared_objective_power_generator.iff');
INSERT INTO `template_items` VALUES ('739', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_medium.iff');
INSERT INTO `template_items` VALUES ('740', 'object/tangible/loot/misc/shared_mt_pie.iff');
INSERT INTO `template_items` VALUES ('741', 'object/tangible/ship/components/reactor/shared_rct_incom_advanced.iff');
INSERT INTO `template_items` VALUES ('742', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_full.iff');
INSERT INTO `template_items` VALUES ('743', 'object/tangible/ship/crafted/chassis/shared_tieoppressor_deed.iff');
INSERT INTO `template_items` VALUES ('744', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s12.iff');
INSERT INTO `template_items` VALUES ('745', 'object/tangible/component/weapon/shared_stock_advanced_quest.iff');
INSERT INTO `template_items` VALUES ('746', 'object/tangible/dungeon/death_watch_bunker/shared_enhanced_filter.iff');
INSERT INTO `template_items` VALUES ('747', 'object/tangible/component/droid/repair/shared_capacitor_high_discharge.iff');
INSERT INTO `template_items` VALUES ('748', 'object/tangible/food/crafted/shared_drink_mandalorian_wine.iff');
INSERT INTO `template_items` VALUES ('749', 'object/tangible/wearables/earring/shared_earring_s10.iff');
INSERT INTO `template_items` VALUES ('750', 'object/tangible/furniture/all/shared_frn_all_couch_sm_s1.iff');
INSERT INTO `template_items` VALUES ('751', 'object/tangible/component/chemistry/shared_quest_stimpack_a.iff');
INSERT INTO `template_items` VALUES ('752', 'object/tangible/hair/rodian/shared_hair_rodian_male_s14.iff');
INSERT INTO `template_items` VALUES ('753', 'object/tangible/hair/bothan/shared_hair_bothan_male_s09.iff');
INSERT INTO `template_items` VALUES ('754', 'object/tangible/deed/event_perk/shared_fed_dub_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('755', 'object/tangible/gravestone/shared_gravestone01.iff');
INSERT INTO `template_items` VALUES ('756', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_d.iff');
INSERT INTO `template_items` VALUES ('757', 'object/tangible/wearables/ithorian/shared_ith_belt_s17.iff');
INSERT INTO `template_items` VALUES ('758', 'object/tangible/ship/components/reactor/shared_rct_armek_ultra_collider.iff');
INSERT INTO `template_items` VALUES ('759', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_underwater.iff');
INSERT INTO `template_items` VALUES ('760', 'object/tangible/furniture/all/shared_frn_all_chair_meatal_wheeled_s1.iff');
INSERT INTO `template_items` VALUES ('761', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk2.iff');
INSERT INTO `template_items` VALUES ('762', 'object/tangible/lair/vlutore/shared_lair_vlutore_mountain.iff');
INSERT INTO `template_items` VALUES ('763', 'object/tangible/component/weapon/shared_scope_weapon_sm_s03.iff');
INSERT INTO `template_items` VALUES ('764', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sfs_megapolyweb.iff');
INSERT INTO `template_items` VALUES ('765', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer.iff');
INSERT INTO `template_items` VALUES ('766', 'object/tangible/powerup/base/shared_base.iff');
INSERT INTO `template_items` VALUES ('767', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_intel.iff');
INSERT INTO `template_items` VALUES ('768', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_analyzer.iff');
INSERT INTO `template_items` VALUES ('769', 'object/tangible/hair/twilek/base/shared_hair_twilek_male_base.iff');
INSERT INTO `template_items` VALUES ('770', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('771', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_koensayr_ds23.iff');
INSERT INTO `template_items` VALUES ('772', 'object/tangible/terminal/shared_terminal_hq.iff');
INSERT INTO `template_items` VALUES ('773', 'object/tangible/wearables/pants/shared_pants_s21.iff');
INSERT INTO `template_items` VALUES ('774', 'object/tangible/ship/components/base/shared_ship_component_base.iff');
INSERT INTO `template_items` VALUES ('775', 'object/tangible/component/armor/shared_heavy_armor_layer_heat.iff');
INSERT INTO `template_items` VALUES ('776', 'object/tangible/deed/event_perk/shared_bantha_static_deed.iff');
INSERT INTO `template_items` VALUES ('777', 'object/tangible/component/weapon/shared_energization_crystals.iff');
INSERT INTO `template_items` VALUES ('778', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_special_mk1.iff');
INSERT INTO `template_items` VALUES ('779', 'object/tangible/wearables/belt/shared_belt_s13.iff');
INSERT INTO `template_items` VALUES ('780', 'object/tangible/mission/shared_mission_bounty_droid_probot.iff');
INSERT INTO `template_items` VALUES ('781', 'object/tangible/space/content_infrastructure/shared_quest_manager.iff');
INSERT INTO `template_items` VALUES ('782', 'object/tangible/lair/bol/shared_lair_bol_grassland.iff');
INSERT INTO `template_items` VALUES ('783', 'object/tangible/component/structure/shared_ore_mining_unit.iff');
INSERT INTO `template_items` VALUES ('784', 'object/tangible/ship/components/armor/shared_arm_kse_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('785', 'object/tangible/deed/vehicle_deed/shared_speederbike_swoop_deed.iff');
INSERT INTO `template_items` VALUES ('786', 'object/tangible/lair/base/shared_trash_dark.iff');
INSERT INTO `template_items` VALUES ('787', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_03_deed.iff');
INSERT INTO `template_items` VALUES ('788', 'object/tangible/deed/pet_deed/shared_squall_deed.iff');
INSERT INTO `template_items` VALUES ('789', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk4.iff');
INSERT INTO `template_items` VALUES ('790', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_1.iff');
INSERT INTO `template_items` VALUES ('791', 'object/tangible/component/droid/shared_probot_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('792', 'object/tangible/component/structure/shared_fluidic_drilling_pumping_unit.iff');
INSERT INTO `template_items` VALUES ('793', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('794', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent.iff');
INSERT INTO `template_items` VALUES ('795', 'object/tangible/ship/components/armor/shared_armor_seinar_coated_plasteel.iff');
INSERT INTO `template_items` VALUES ('796', 'object/tangible/ui/shared_ui_planet_tatooine.iff');
INSERT INTO `template_items` VALUES ('797', 'object/tangible/hair/bothan/shared_hair_bothan_female_s16.iff');
INSERT INTO `template_items` VALUES ('798', 'object/tangible/component/droid/shared_performer_effects_c.iff');
INSERT INTO `template_items` VALUES ('799', 'object/tangible/ship/crafted/reverse_engineering/shared_reactor_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('800', 'object/tangible/hair/human/base/shared_hair_human_female_base.iff');
INSERT INTO `template_items` VALUES ('801', 'object/tangible/deed/vehicle_deed/shared_vehicle_deed_base.iff');
INSERT INTO `template_items` VALUES ('802', 'object/tangible/hair/sullustan/shared_sul_hair_s16_f.iff');
INSERT INTO `template_items` VALUES ('803', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s05.iff');
INSERT INTO `template_items` VALUES ('804', 'object/tangible/space/story_loot/shared_loot_dantooine_junk.iff');
INSERT INTO `template_items` VALUES ('805', 'object/tangible/furniture/cheap/shared_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('806', 'object/tangible/medicine/pet/shared_droid_damage_kit_c.iff');
INSERT INTO `template_items` VALUES ('807', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_01.iff');
INSERT INTO `template_items` VALUES ('808', 'object/tangible/ship/crafted/engine/shared_eng_mk5.iff');
INSERT INTO `template_items` VALUES ('809', 'object/tangible/wearables/necklace/shared_necklace_rusty_beads.iff');
INSERT INTO `template_items` VALUES ('810', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_boots.iff');
INSERT INTO `template_items` VALUES ('811', 'object/tangible/food/crafted/shared_dish_fried_endwa.iff');
INSERT INTO `template_items` VALUES ('812', 'object/tangible/mission/quest_item/shared_vinya_maysor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('813', 'object/tangible/ship/components/booster/shared_bst_koensayr_deluxe_elite.iff');
INSERT INTO `template_items` VALUES ('814', 'object/tangible/loot/tool/shared_binoculars_broken_s1.iff');
INSERT INTO `template_items` VALUES ('815', 'object/tangible/ship/crafted/shields/shared_adv_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('816', 'object/tangible/mission/quest_item/shared_ajuva_vamasterin_q2_needed.iff');
INSERT INTO `template_items` VALUES ('817', 'object/tangible/food/crafted/shared_dish_synthsteak.iff');
INSERT INTO `template_items` VALUES ('818', 'object/tangible/loot/quest/shared_droid_brain_anakin.iff');
INSERT INTO `template_items` VALUES ('819', 'object/tangible/medicine/crafted/shared_medpack_damage_d.iff');
INSERT INTO `template_items` VALUES ('820', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s03.iff');
INSERT INTO `template_items` VALUES ('821', 'object/tangible/medicine/shared_healing_grenade_longrange.iff');
INSERT INTO `template_items` VALUES ('822', 'object/tangible/deed/pet_deed/shared_tybis_deed.iff');
INSERT INTO `template_items` VALUES ('823', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_mountain.iff');
INSERT INTO `template_items` VALUES ('824', 'object/tangible/wearables/jacket/shared_jacket_s13.iff');
INSERT INTO `template_items` VALUES ('825', 'object/tangible/wearables/robe/shared_aakuan_robe.iff');
INSERT INTO `template_items` VALUES ('826', 'object/tangible/furniture/modern/shared_rug_rect_sml_s01.iff');
INSERT INTO `template_items` VALUES ('827', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_1.iff');
INSERT INTO `template_items` VALUES ('828', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet.iff');
INSERT INTO `template_items` VALUES ('829', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s1.iff');
INSERT INTO `template_items` VALUES ('830', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna2.iff');
INSERT INTO `template_items` VALUES ('831', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_swamp.iff');
INSERT INTO `template_items` VALUES ('832', 'object/tangible/wearables/hat/shared_hat_s02.iff');
INSERT INTO `template_items` VALUES ('833', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_a.iff');
INSERT INTO `template_items` VALUES ('834', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s02_deed.iff');
INSERT INTO `template_items` VALUES ('835', 'object/tangible/component/armor/shared_base_armor_segment_enhancement.iff');
INSERT INTO `template_items` VALUES ('836', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_forest.iff');
INSERT INTO `template_items` VALUES ('837', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('838', 'object/tangible/wearables/dress/shared_dress_s10.iff');
INSERT INTO `template_items` VALUES ('839', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_eradicator_1.iff');
INSERT INTO `template_items` VALUES ('840', 'object/tangible/mission/shared_mission_informant_spawner_easy.iff');
INSERT INTO `template_items` VALUES ('841', 'object/tangible/ship/components/booster/shared_bst_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('842', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('843', 'object/tangible/mission/quest_item/shared_stella_q1_needed.iff');
INSERT INTO `template_items` VALUES ('844', 'object/tangible/ship/components/engine/shared_engine_kuat_a9x.iff');
INSERT INTO `template_items` VALUES ('845', 'object/tangible/fishing/bait/shared_bait_worm.iff');
INSERT INTO `template_items` VALUES ('846', 'object/tangible/component/item/quest_item/shared_spin_alignment_inducer.iff');
INSERT INTO `template_items` VALUES ('847', 'object/tangible/wearables/robe/shared_robe_s04.iff');
INSERT INTO `template_items` VALUES ('848', 'object/tangible/hair/human/shared_hair_human_male_s03.iff');
INSERT INTO `template_items` VALUES ('849', 'object/tangible/sign/shared_all_sign_city_s01.iff');
INSERT INTO `template_items` VALUES ('850', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('851', 'object/tangible/component/armor/shared_armor_segment_bone_voritor_lizard.iff');
INSERT INTO `template_items` VALUES ('852', 'object/tangible/camp/shared_camp_cot_s3.iff');
INSERT INTO `template_items` VALUES ('853', 'object/tangible/loot/quest/force_sensitive/shared_camp_frequency_datapad.iff');
INSERT INTO `template_items` VALUES ('854', 'object/tangible/ship/crafted/chassis/shared_tieadvanced_deed.iff');
INSERT INTO `template_items` VALUES ('855', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_grassland.iff');
INSERT INTO `template_items` VALUES ('856', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_02_deed.iff');
INSERT INTO `template_items` VALUES ('857', 'object/tangible/furniture/cheap/shared_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('858', 'object/tangible/powerup/weapon/shared_thrown.iff');
INSERT INTO `template_items` VALUES ('859', 'object/tangible/container/general/shared_tech_chest.iff');
INSERT INTO `template_items` VALUES ('860', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_01.iff');
INSERT INTO `template_items` VALUES ('861', 'object/tangible/shipcontrol/shared_shipcontrol_corvette.iff');
INSERT INTO `template_items` VALUES ('862', 'object/tangible/bug_jar/shared_sample_glowzees.iff');
INSERT INTO `template_items` VALUES ('863', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_forest.iff');
INSERT INTO `template_items` VALUES ('864', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_enhanced_droid_interface_mk5.iff');
INSERT INTO `template_items` VALUES ('865', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_green.iff');
INSERT INTO `template_items` VALUES ('866', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('867', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02.iff');
INSERT INTO `template_items` VALUES ('868', 'object/tangible/ship/components/shield_generator/shared_shd_taim_advanced.iff');
INSERT INTO `template_items` VALUES ('869', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk3.iff');
INSERT INTO `template_items` VALUES ('870', 'object/tangible/food/base/shared_meal_base.iff');
INSERT INTO `template_items` VALUES ('871', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_tuned_powermaster_mk2.iff');
INSERT INTO `template_items` VALUES ('872', 'object/tangible/painting/shared_bestine_quest_painting.iff');
INSERT INTO `template_items` VALUES ('873', 'object/tangible/furniture/city/shared_streetlamp_large_blue_01.iff');
INSERT INTO `template_items` VALUES ('874', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_b.iff');
INSERT INTO `template_items` VALUES ('875', 'object/tangible/wearables/base/shared_base_neck.iff');
INSERT INTO `template_items` VALUES ('876', 'object/tangible/furniture/elegant/shared_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('877', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_reader.iff');
INSERT INTO `template_items` VALUES ('878', 'object/tangible/destructible/wreckage/shared_wreck_starship_small_01.iff');
INSERT INTO `template_items` VALUES ('879', 'object/tangible/deed/city_deed/shared_garden_dathomir_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('880', 'object/tangible/lair/base/shared_lair_base_cave_lion_dark.iff');
INSERT INTO `template_items` VALUES ('881', 'object/tangible/lair/base/shared_rancor_light.iff');
INSERT INTO `template_items` VALUES ('882', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk1.iff');
INSERT INTO `template_items` VALUES ('883', 'object/tangible/ship/components/armor/shared_arm_reward_freitek_elite.iff');
INSERT INTO `template_items` VALUES ('884', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s16.iff');
INSERT INTO `template_items` VALUES ('885', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s01.iff');
INSERT INTO `template_items` VALUES ('886', 'object/tangible/inventory/shared_creature_inventory.iff');
INSERT INTO `template_items` VALUES ('887', 'object/tangible/hair/rodian/shared_hair_rodian_female_s10.iff');
INSERT INTO `template_items` VALUES ('888', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_starport.iff');
INSERT INTO `template_items` VALUES ('889', 'object/tangible/powerup/weapon/shared_ranged_muzzle.iff');
INSERT INTO `template_items` VALUES ('890', 'object/tangible/component/vehicle/shared_civilian_b.iff');
INSERT INTO `template_items` VALUES ('891', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_0.iff');
INSERT INTO `template_items` VALUES ('892', 'object/tangible/ship/attachment/engine/shared_tie_engine_s01.iff');
INSERT INTO `template_items` VALUES ('893', 'object/tangible/ship/components/armor/shared_arm_subpro_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('894', 'object/tangible/ship/components/armor/shared_arm_reward_alderaan_elite.iff');
INSERT INTO `template_items` VALUES ('895', 'object/tangible/veteran_reward/shared_data_terminal_s2.iff');
INSERT INTO `template_items` VALUES ('896', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_3.iff');
INSERT INTO `template_items` VALUES ('897', 'object/tangible/loot/quest/shared_sean_questn_alog.iff');
INSERT INTO `template_items` VALUES ('898', 'object/tangible/deed/pet_deed/shared_deed_treadwell_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('899', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk1.iff');
INSERT INTO `template_items` VALUES ('900', 'object/tangible/loot/quest/shared_endrine.iff');
INSERT INTO `template_items` VALUES ('901', 'object/tangible/furniture/technical/shared_chair_s01.iff');
INSERT INTO `template_items` VALUES ('902', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_boots.iff');
INSERT INTO `template_items` VALUES ('903', 'object/tangible/ui/shared_ui_planet_corellia.iff');
INSERT INTO `template_items` VALUES ('904', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_heavy.iff');
INSERT INTO `template_items` VALUES ('905', 'object/tangible/survey_tool/shared_survey_tool_wind.iff');
INSERT INTO `template_items` VALUES ('906', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_1.iff');
INSERT INTO `template_items` VALUES ('907', 'object/tangible/deed/pet_deed/shared_durni_deed.iff');
INSERT INTO `template_items` VALUES ('908', 'object/tangible/hair/twilek/shared_hair_twilek_male_s07.iff');
INSERT INTO `template_items` VALUES ('909', 'object/tangible/deed/pet_deed/shared_choku_deed.iff');
INSERT INTO `template_items` VALUES ('910', 'object/tangible/powerup/weapon/shared_thrown_wiring.iff');
INSERT INTO `template_items` VALUES ('911', 'object/tangible/ship/attachment/weapon/shared_rebel_gunboat_turretbase_s01.iff');
INSERT INTO `template_items` VALUES ('912', 'object/tangible/furniture/modern/shared_end_table_large_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('913', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_jetpack_schematic.iff');
INSERT INTO `template_items` VALUES ('914', 'object/tangible/lair/quenker/shared_lair_quenker_grassland.iff');
INSERT INTO `template_items` VALUES ('915', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk4.iff');
INSERT INTO `template_items` VALUES ('916', 'object/tangible/dice/shared_eqp_chance_cube.iff');
INSERT INTO `template_items` VALUES ('917', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s02.iff');
INSERT INTO `template_items` VALUES ('918', 'object/tangible/lair/mynock/shared_lair_mynock.iff');
INSERT INTO `template_items` VALUES ('919', 'object/tangible/hair/bothan/shared_hair_bothan_male_s20.iff');
INSERT INTO `template_items` VALUES ('920', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('921', 'object/tangible/fishing/bait/shared_bait_insect.iff');
INSERT INTO `template_items` VALUES ('922', 'object/tangible/loot/simple_kit/shared_pulverizer.iff');
INSERT INTO `template_items` VALUES ('923', 'object/tangible/ship/attachment/engine/shared_awing_engine_s02.iff');
INSERT INTO `template_items` VALUES ('924', 'object/tangible/loot/quest/hero_of_tatooine/shared_squill_skull.iff');
INSERT INTO `template_items` VALUES ('925', 'object/tangible/lair/fynock/shared_lair_fynock_forest.iff');
INSERT INTO `template_items` VALUES ('926', 'object/tangible/mission/quest_item/shared_liane_q2_needed.iff');
INSERT INTO `template_items` VALUES ('927', 'object/tangible/ui/shared_ui_char_cust_pedestal.iff');
INSERT INTO `template_items` VALUES ('928', 'object/tangible/component/structure/shared_structural_module.iff');
INSERT INTO `template_items` VALUES ('929', 'object/tangible/terminal/shared_terminal_mission_scout.iff');
INSERT INTO `template_items` VALUES ('930', 'object/tangible/deed/pet_deed/shared_deed_dz70_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('931', 'object/tangible/wearables/ithorian/shared_ith_underwear_bottom.iff');
INSERT INTO `template_items` VALUES ('932', 'object/tangible/ship/components/weapon/shared_weapon_test.iff');
INSERT INTO `template_items` VALUES ('933', 'object/tangible/furniture/decorative/shared_spear_rack.iff');
INSERT INTO `template_items` VALUES ('934', 'object/tangible/wearables/necklace/shared_necklace_s08.iff');
INSERT INTO `template_items` VALUES ('935', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s05.iff');
INSERT INTO `template_items` VALUES ('936', 'object/tangible/hair/human/shared_hair_human_female_s22.iff');
INSERT INTO `template_items` VALUES ('937', 'object/tangible/wearables/dress/shared_nightsister_dress.iff');
INSERT INTO `template_items` VALUES ('938', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_elite.iff');
INSERT INTO `template_items` VALUES ('939', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('940', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s01.iff');
INSERT INTO `template_items` VALUES ('941', 'object/tangible/crafting/base/shared_base_tool.iff');
INSERT INTO `template_items` VALUES ('942', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('943', 'object/tangible/hair/twilek/shared_hair_twilek_female_s06.iff');
INSERT INTO `template_items` VALUES ('944', 'object/tangible/component/armor/shared_armor_segment_enhancement_brackaset.iff');
INSERT INTO `template_items` VALUES ('945', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro2.iff');
INSERT INTO `template_items` VALUES ('946', 'object/tangible/wearables/base/shared_base_dress_formal_hooded.iff');
INSERT INTO `template_items` VALUES ('947', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_c.iff');
INSERT INTO `template_items` VALUES ('948', 'object/tangible/container/quest/crafting_contract/shared_droid_crate.iff');
INSERT INTO `template_items` VALUES ('949', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('950', 'object/tangible/wearables/shirt/shared_shirt_s26.iff');
INSERT INTO `template_items` VALUES ('951', 'object/tangible/lair/vlutore/shared_lair_vlutore.iff');
INSERT INTO `template_items` VALUES ('952', 'object/tangible/deed/pet_deed/shared_gurreck_deed.iff');
INSERT INTO `template_items` VALUES ('953', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_r.iff');
INSERT INTO `template_items` VALUES ('954', 'object/tangible/inventory/shared_creature_inventory_2.iff');
INSERT INTO `template_items` VALUES ('955', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s14.iff');
INSERT INTO `template_items` VALUES ('956', 'object/tangible/wearables/pants/shared_pants_s08.iff');
INSERT INTO `template_items` VALUES ('957', 'object/tangible/wearables/boots/shared_boots_s12.iff');
INSERT INTO `template_items` VALUES ('958', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('959', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_dalyrake.iff');
INSERT INTO `template_items` VALUES ('960', 'object/tangible/beta/shared_beta_terminal_medicine.iff');
INSERT INTO `template_items` VALUES ('961', 'object/tangible/component/weapon/shared_reinforcement_core.iff');
INSERT INTO `template_items` VALUES ('962', 'object/tangible/ship/components/armor/shared_arm_subpro_standard_plastisteel.iff');
INSERT INTO `template_items` VALUES ('963', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j8.iff');
INSERT INTO `template_items` VALUES ('964', 'object/tangible/food/crafted/shared_dish_teltier_noodles.iff');
INSERT INTO `template_items` VALUES ('965', 'object/tangible/hair/sullustan/shared_sul_hair_s10_m.iff');
INSERT INTO `template_items` VALUES ('966', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk5.iff');
INSERT INTO `template_items` VALUES ('967', 'object/tangible/component/armor/shared_armor_segment_enhancement_sharnaff.iff');
INSERT INTO `template_items` VALUES ('968', 'object/tangible/lair/dewback/shared_lair_dewback_desert.iff');
INSERT INTO `template_items` VALUES ('969', 'object/tangible/ship/components/shield_generator/shared_shd_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('970', 'object/tangible/component/armor/shared_hide_gurk_king.iff');
INSERT INTO `template_items` VALUES ('971', 'object/tangible/component/bio/shared_bio_component_clothing_casual_medic_2.iff');
INSERT INTO `template_items` VALUES ('972', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_chest_plate.iff');
INSERT INTO `template_items` VALUES ('973', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('974', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_4.iff');
INSERT INTO `template_items` VALUES ('975', 'object/tangible/medicine/crafted/shared_medpack_dizzy_b.iff');
INSERT INTO `template_items` VALUES ('976', 'object/tangible/component/droid/shared_item_storage_module_3.iff');
INSERT INTO `template_items` VALUES ('977', 'object/tangible/wearables/boots/shared_singing_mountain_clan_boots.iff');
INSERT INTO `template_items` VALUES ('978', 'object/tangible/hair/human/shared_hair_human_male_s17.iff');
INSERT INTO `template_items` VALUES ('979', 'object/tangible/wearables/ring/shared_ring_s04.iff');
INSERT INTO `template_items` VALUES ('980', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('981', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q2_needed.iff');
INSERT INTO `template_items` VALUES ('982', 'object/tangible/mission/quest_item/shared_booto_lubble_q1_needed.iff');
INSERT INTO `template_items` VALUES ('983', 'object/tangible/deed/city_deed/shared_theater_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('984', 'object/tangible/deed/city_deed/shared_bank_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('985', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q3_needed.iff');
INSERT INTO `template_items` VALUES ('986', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_d.iff');
INSERT INTO `template_items` VALUES ('987', 'object/tangible/furniture/city/shared_streetlamp_med_blue_01.iff');
INSERT INTO `template_items` VALUES ('988', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird_forest.iff');
INSERT INTO `template_items` VALUES ('989', 'object/tangible/wearables/robe/shared_robe_jedi_light_s03.iff');
INSERT INTO `template_items` VALUES ('990', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('991', 'object/tangible/mission/quest_item/shared_dea_tore_q4_needed.iff');
INSERT INTO `template_items` VALUES ('992', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_helmet.iff');
INSERT INTO `template_items` VALUES ('993', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('994', 'object/tangible/loot/quest/shared_anakin_helmet.iff');
INSERT INTO `template_items` VALUES ('995', 'object/tangible/loot/loot_schematic/shared_microphone_s01_schematic.iff');
INSERT INTO `template_items` VALUES ('996', 'object/tangible/ship/components/booster/shared_bst_reward_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('997', 'object/tangible/item/quest/force_sensitive/shared_fs_reflex_supply_crate.iff');
INSERT INTO `template_items` VALUES ('998', 'object/tangible/lair/gnort/shared_lair_gnort_grassland.iff');
INSERT INTO `template_items` VALUES ('999', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1000', 'object/tangible/ship/components/booster/shared_bst_z95_basic.iff');
INSERT INTO `template_items` VALUES ('1001', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_c.iff');
INSERT INTO `template_items` VALUES ('1002', 'object/tangible/component/bio/shared_bio_component_food_medium_nutrition.iff');
INSERT INTO `template_items` VALUES ('1003', 'object/tangible/wearables/jacket/shared_jacket_s07.iff');
INSERT INTO `template_items` VALUES ('1004', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw6.iff');
INSERT INTO `template_items` VALUES ('1005', 'object/tangible/component/munition/shared_enhanced_fragmentation_sleeve.iff');
INSERT INTO `template_items` VALUES ('1006', 'object/tangible/mission/quest_item/shared_liane_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1007', 'object/tangible/deed/faction_perk/turret/shared_block_lg_deed.iff');
INSERT INTO `template_items` VALUES ('1008', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_cockpit.iff');
INSERT INTO `template_items` VALUES ('1009', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_c.iff');
INSERT INTO `template_items` VALUES ('1010', 'object/tangible/deed/event_perk/shared_lottery_droid_deed.iff');
INSERT INTO `template_items` VALUES ('1011', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora_max.iff');
INSERT INTO `template_items` VALUES ('1012', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('1013', 'object/tangible/ship/components/engine/shared_engine_kuat_tc40.iff');
INSERT INTO `template_items` VALUES ('1014', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('1015', 'object/tangible/loot/misc/shared_loot_skull_human.iff');
INSERT INTO `template_items` VALUES ('1016', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s04.iff');
INSERT INTO `template_items` VALUES ('1017', 'object/tangible/painting/shared_painting_endor_style_01.iff');
INSERT INTO `template_items` VALUES ('1018', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives_crate.iff');
INSERT INTO `template_items` VALUES ('1019', 'object/tangible/loot/misc/shared_keepsakes.iff');
INSERT INTO `template_items` VALUES ('1020', 'object/tangible/ship/components/weapon_capacitor/shared_weapon_capacitor_test.iff');
INSERT INTO `template_items` VALUES ('1021', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1022', 'object/tangible/lair/roba/shared_lair_roba.iff');
INSERT INTO `template_items` VALUES ('1023', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('1024', 'object/tangible/food/shared_bread_loaf_full_s1.iff');
INSERT INTO `template_items` VALUES ('1025', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s01.iff');
INSERT INTO `template_items` VALUES ('1026', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1027', 'object/tangible/weather_object/shared_weather_object_base.iff');
INSERT INTO `template_items` VALUES ('1028', 'object/tangible/component/weapon/shared_sword_core_advanced.iff');
INSERT INTO `template_items` VALUES ('1029', 'object/tangible/hair/bothan/shared_hair_bothan_female_s02.iff');
INSERT INTO `template_items` VALUES ('1030', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('1031', 'object/tangible/wearables/cyborg/shared_forearm_l_s01.iff');
INSERT INTO `template_items` VALUES ('1032', 'object/tangible/ship/components/armor/shared_arm_incom_standard_plate.iff');
INSERT INTO `template_items` VALUES ('1033', 'object/tangible/lair/blistmok/shared_lair_blistmok.iff');
INSERT INTO `template_items` VALUES ('1034', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1035', 'object/tangible/mission/quest_item/shared_kelvus_naria_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1036', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1037', 'object/tangible/mission/quest_item/shared_throme_gormengal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1038', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk5.iff');
INSERT INTO `template_items` VALUES ('1039', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_01.iff');
INSERT INTO `template_items` VALUES ('1040', 'object/tangible/wearables/belt/shared_belt_s07.iff');
INSERT INTO `template_items` VALUES ('1041', 'object/tangible/wearables/skirt/shared_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('1042', 'object/tangible/ship/components/armor/shared_arm_reward_mandal_elite.iff');
INSERT INTO `template_items` VALUES ('1043', 'object/tangible/painting/shared_painting_schematic_transport_ship.iff');
INSERT INTO `template_items` VALUES ('1044', 'object/tangible/furniture/cheap/shared_love_seat_s01.iff');
INSERT INTO `template_items` VALUES ('1045', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_a.iff');
INSERT INTO `template_items` VALUES ('1046', 'object/tangible/bug_jar/shared_sample_bats.iff');
INSERT INTO `template_items` VALUES ('1047', 'object/tangible/deed/generator_deed/shared_generator_photo_bio_deed.iff');
INSERT INTO `template_items` VALUES ('1048', 'object/tangible/loot/simple_kit/shared_firework_casing.iff');
INSERT INTO `template_items` VALUES ('1049', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk2.iff');
INSERT INTO `template_items` VALUES ('1050', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk2.iff');
INSERT INTO `template_items` VALUES ('1051', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04.iff');
INSERT INTO `template_items` VALUES ('1052', 'object/tangible/ship/components/reactor/shared_rct_armek_super_collider.iff');
INSERT INTO `template_items` VALUES ('1053', 'object/tangible/skill_buff/shared_skill_buff_ranged_defense.iff');
INSERT INTO `template_items` VALUES ('1054', 'object/tangible/ship/components/weapon/shared_wpn_incom_elite_quad_blaster.iff');
INSERT INTO `template_items` VALUES ('1055', 'object/tangible/furniture/jedi/shared_frn_all_candlestick.iff');
INSERT INTO `template_items` VALUES ('1056', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s02.iff');
INSERT INTO `template_items` VALUES ('1057', 'object/tangible/wearables/bracelet/shared_bracelet_r.iff');
INSERT INTO `template_items` VALUES ('1058', 'object/tangible/wearables/ithorian/shared_ith_belt_s03.iff');
INSERT INTO `template_items` VALUES ('1059', 'object/tangible/lair/gronda/shared_lair_gronda.iff');
INSERT INTO `template_items` VALUES ('1060', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk1.iff');
INSERT INTO `template_items` VALUES ('1061', 'object/tangible/ship/components/weapon/shared_wpn_slayn_ioncannon.iff');
INSERT INTO `template_items` VALUES ('1062', 'object/tangible/deed/player_house_deed/shared_generic_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1063', 'object/tangible/deed/player_house_deed/shared_generic_house_small_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('1064', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s01.iff');
INSERT INTO `template_items` VALUES ('1065', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_1.iff');
INSERT INTO `template_items` VALUES ('1066', 'object/tangible/deed/turret_deed/shared_turret_block_large_deed.iff');
INSERT INTO `template_items` VALUES ('1067', 'object/tangible/wearables/hat/shared_hat_chef_s02.iff');
INSERT INTO `template_items` VALUES ('1068', 'object/tangible/lair/opee_sea_killer/shared_lair_opee_sea_killer_underwater.iff');
INSERT INTO `template_items` VALUES ('1069', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_0.iff');
INSERT INTO `template_items` VALUES ('1070', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x7.iff');
INSERT INTO `template_items` VALUES ('1071', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat_grassland.iff');
INSERT INTO `template_items` VALUES ('1072', 'object/tangible/ship/attachment/weapon/shared_yt1300_radar_s01_0.iff');
INSERT INTO `template_items` VALUES ('1073', 'object/tangible/medicine/pet/shared_pet_vitapack_b.iff');
INSERT INTO `template_items` VALUES ('1074', 'object/tangible/food/base/shared_side_dish_base.iff');
INSERT INTO `template_items` VALUES ('1075', 'object/tangible/wearables/earring/shared_earring_s04.iff');
INSERT INTO `template_items` VALUES ('1076', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s03.iff');
INSERT INTO `template_items` VALUES ('1077', 'object/tangible/hair/sullustan/shared_sul_hair_s12_f.iff');
INSERT INTO `template_items` VALUES ('1078', 'object/tangible/loot/misc/shared_worklight.iff');
INSERT INTO `template_items` VALUES ('1079', 'object/tangible/ship/components/weapon/shared_wpn_kdy_pounder_mk1.iff');
INSERT INTO `template_items` VALUES ('1080', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('1081', 'object/tangible/deed/event_perk/shared_corsec_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1082', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s06.iff');
INSERT INTO `template_items` VALUES ('1083', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('1084', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk5.iff');
INSERT INTO `template_items` VALUES ('1085', 'object/tangible/component/dna/shared_dna_template_falumpaset.iff');
INSERT INTO `template_items` VALUES ('1086', 'object/tangible/component/droid/shared_personality_module_geek.iff');
INSERT INTO `template_items` VALUES ('1087', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_elite.iff');
INSERT INTO `template_items` VALUES ('1088', 'object/tangible/ship/components/weapon/shared_wpn_slayn_deluxe_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('1089', 'object/tangible/loot/quest/shared_sean_questp_htestimony.iff');
INSERT INTO `template_items` VALUES ('1090', 'object/tangible/skill_buff/shared_skill_buff_thrown_accuracy.iff');
INSERT INTO `template_items` VALUES ('1091', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk1.iff');
INSERT INTO `template_items` VALUES ('1092', 'object/tangible/component/dna/shared_dna_sample_below_average.iff');
INSERT INTO `template_items` VALUES ('1093', 'object/tangible/sign/base/shared_base_sign.iff');
INSERT INTO `template_items` VALUES ('1094', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('1095', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1096', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_disruptor.iff');
INSERT INTO `template_items` VALUES ('1097', 'object/tangible/wearables/ithorian/shared_ith_shirt_s10.iff');
INSERT INTO `template_items` VALUES ('1098', 'object/tangible/component/vehicle/shared_mini_launcher_pod.iff');
INSERT INTO `template_items` VALUES ('1099', 'object/tangible/ship/components/booster/shared_bst_corellian_promotional_standard_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('1100', 'object/tangible/deed/event_perk/shared_xwing_static_deed.iff');
INSERT INTO `template_items` VALUES ('1101', 'object/tangible/space/story_loot/shared_loot_dantooine_junk3.iff');
INSERT INTO `template_items` VALUES ('1102', 'object/tangible/ship/components/reactor/shared_rct_rss_x12.iff');
INSERT INTO `template_items` VALUES ('1103', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1104', 'object/tangible/furniture/all/shared_frn_all_table_s03.iff');
INSERT INTO `template_items` VALUES ('1105', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s02.iff');
INSERT INTO `template_items` VALUES ('1106', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_enhanced_manager_mk3.iff');
INSERT INTO `template_items` VALUES ('1107', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers2.iff');
INSERT INTO `template_items` VALUES ('1108', 'object/tangible/skill_buff/shared_skill_buff_melee_accuracy.iff');
INSERT INTO `template_items` VALUES ('1109', 'object/tangible/wearables/boots/shared_boots_tusken_raider.iff');
INSERT INTO `template_items` VALUES ('1110', 'object/tangible/wearables/dress/shared_dress_s30.iff');
INSERT INTO `template_items` VALUES ('1111', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1112', 'object/tangible/loot/misc/shared_medallion_dark_jedi_s01.iff');
INSERT INTO `template_items` VALUES ('1113', 'object/tangible/ship/crafted/chassis/shared_z95_deed.iff');
INSERT INTO `template_items` VALUES ('1114', 'object/tangible/lair/bol/shared_lair_bol.iff');
INSERT INTO `template_items` VALUES ('1115', 'object/tangible/ship/components/engine/shared_eng_mandal_x57_vandal.iff');
INSERT INTO `template_items` VALUES ('1116', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_b.iff');
INSERT INTO `template_items` VALUES ('1117', 'object/tangible/component/weapon/shared_laser_generator.iff');
INSERT INTO `template_items` VALUES ('1118', 'object/tangible/dungeon/shared_wall_terminal_s2.iff');
INSERT INTO `template_items` VALUES ('1119', 'object/tangible/mission/quest_item/shared_throme_gormengal_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1120', 'object/tangible/wearables/ithorian/shared_ith_gloves_s01.iff');
INSERT INTO `template_items` VALUES ('1121', 'object/tangible/ship/components/droid_interface/shared_ddi_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('1122', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_boots.iff');
INSERT INTO `template_items` VALUES ('1123', 'object/tangible/furniture/modern/shared_rug_oval_lg_s01.iff');
INSERT INTO `template_items` VALUES ('1124', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_helmet.iff');
INSERT INTO `template_items` VALUES ('1125', 'object/tangible/space/special_loot/shared_firespray_schematic_part6.iff');
INSERT INTO `template_items` VALUES ('1126', 'object/tangible/ship/components/weapon_capacitor/shared_cap_generic.iff');
INSERT INTO `template_items` VALUES ('1127', 'object/tangible/loot/quest/shared_nym_hard_drive.iff');
INSERT INTO `template_items` VALUES ('1128', 'object/tangible/lair/womp_rat/shared_lair_womp_rat_desert.iff');
INSERT INTO `template_items` VALUES ('1129', 'object/tangible/deed/event_perk/shared_rori_flag_deed.iff');
INSERT INTO `template_items` VALUES ('1130', 'object/tangible/hair/rodian/shared_hair_rodian_female_s19.iff');
INSERT INTO `template_items` VALUES ('1131', 'object/tangible/hair/human/shared_hair_human_male_s23.iff');
INSERT INTO `template_items` VALUES ('1132', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_decryption_chip.iff');
INSERT INTO `template_items` VALUES ('1133', 'object/tangible/scout/trap/shared_trap_drowsy_dart.iff');
INSERT INTO `template_items` VALUES ('1134', 'object/tangible/wearables/necklace/shared_necklace_s01.iff');
INSERT INTO `template_items` VALUES ('1135', 'object/tangible/loot/misc/shared_medallion_black_sun_s01.iff');
INSERT INTO `template_items` VALUES ('1136', 'object/tangible/ship/components/armor/shared_arm_kse_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('1137', 'object/tangible/component/dna/shared_dna_template_bol.iff');
INSERT INTO `template_items` VALUES ('1138', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s2.iff');
INSERT INTO `template_items` VALUES ('1139', 'object/tangible/loot/misc/shared_firework_dud_s1.iff');
INSERT INTO `template_items` VALUES ('1140', 'object/tangible/wearables/bodysuit/shared_bodysuit_s06.iff');
INSERT INTO `template_items` VALUES ('1141', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery.iff');
INSERT INTO `template_items` VALUES ('1142', 'object/tangible/loot/misc/shared_loot_skull_bith.iff');
INSERT INTO `template_items` VALUES ('1143', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1144', 'object/tangible/inventory/shared_lightsaber_inventory_3.iff');
INSERT INTO `template_items` VALUES ('1145', 'object/tangible/scout/trap/shared_trap_flash_bomb.iff');
INSERT INTO `template_items` VALUES ('1146', 'object/tangible/camp/shared_camp_chair_s3.iff');
INSERT INTO `template_items` VALUES ('1147', 'object/tangible/ship/components/armor/shared_armor_z95_basic.iff');
INSERT INTO `template_items` VALUES ('1148', 'object/tangible/deed/pet_deed/shared_deed_mse_basic.iff');
INSERT INTO `template_items` VALUES ('1149', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_02.iff');
INSERT INTO `template_items` VALUES ('1150', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bandolier_double.iff');
INSERT INTO `template_items` VALUES ('1151', 'object/tangible/mission/quest_item/shared_liane_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1152', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_r_schematic.iff');
INSERT INTO `template_items` VALUES ('1153', 'object/tangible/wearables/ithorian/shared_ith_pants_s04.iff');
INSERT INTO `template_items` VALUES ('1154', 'object/tangible/painting/shared_painting_schematic_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('1155', 'object/tangible/powerup/weapon/shared_heavy.iff');
INSERT INTO `template_items` VALUES ('1156', 'object/tangible/ship/components/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('1157', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('1158', 'object/tangible/deed/event_perk/shared_wedding_garden_imperial_large_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1159', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_durability.iff');
INSERT INTO `template_items` VALUES ('1160', 'object/tangible/food/foraged/shared_foraged_fruit_s4.iff');
INSERT INTO `template_items` VALUES ('1161', 'object/tangible/loot/misc/shared_proclamation_s01.iff');
INSERT INTO `template_items` VALUES ('1162', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk4.iff');
INSERT INTO `template_items` VALUES ('1163', 'object/tangible/wearables/bandolier/shared_ith_multipocket_bandolier.iff');
INSERT INTO `template_items` VALUES ('1164', 'object/tangible/food/crafted/shared_drink_tssolok.iff');
INSERT INTO `template_items` VALUES ('1165', 'object/tangible/ship/components/chassis/shared_base_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1166', 'object/tangible/crafting/base/shared_base_station.iff');
INSERT INTO `template_items` VALUES ('1167', 'object/tangible/terminal/shared_terminal_guild.iff');
INSERT INTO `template_items` VALUES ('1168', 'object/tangible/mission/quest_item/shared_xaan_talmaron_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1169', 'object/tangible/component/dna/shared_dna_template_bantha.iff');
INSERT INTO `template_items` VALUES ('1170', 'object/tangible/component/dna/shared_dna_template_bearded_jax.iff');
INSERT INTO `template_items` VALUES ('1171', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm_2.iff');
INSERT INTO `template_items` VALUES ('1172', 'object/tangible/ship/components/reactor/shared_rct_rss_x8.iff');
INSERT INTO `template_items` VALUES ('1173', 'object/tangible/wearables/pants/shared_pants_s01.iff');
INSERT INTO `template_items` VALUES ('1174', 'object/tangible/datapad/shared_droid_datapad_6.iff');
INSERT INTO `template_items` VALUES ('1175', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_kai-tok.iff');
INSERT INTO `template_items` VALUES ('1176', 'object/tangible/hq_destructible/shared_base_destructible.iff');
INSERT INTO `template_items` VALUES ('1177', 'object/tangible/hair/twilek/base/shared_hair_twilek_female_base.iff');
INSERT INTO `template_items` VALUES ('1178', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_05.iff');
INSERT INTO `template_items` VALUES ('1179', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02.iff');
INSERT INTO `template_items` VALUES ('1180', 'object/tangible/food/spice/shared_spice_thruster_head.iff');
INSERT INTO `template_items` VALUES ('1181', 'object/tangible/wearables/vest/shared_vest_s11.iff');
INSERT INTO `template_items` VALUES ('1182', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_b.iff');
INSERT INTO `template_items` VALUES ('1183', 'object/tangible/lair/base/shared_lair_base_hovel.iff');
INSERT INTO `template_items` VALUES ('1184', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('1185', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_02.iff');
INSERT INTO `template_items` VALUES ('1186', 'object/tangible/loot/simple_kit/shared_tumble_blender.iff');
INSERT INTO `template_items` VALUES ('1187', 'object/tangible/crafting/station/shared_clothing_station.iff');
INSERT INTO `template_items` VALUES ('1188', 'object/tangible/container/drum/shared_warren_drum_tech_armoire.iff');
INSERT INTO `template_items` VALUES ('1189', 'object/tangible/lair/base/shared_lair_base_rancor_dark.iff');
INSERT INTO `template_items` VALUES ('1190', 'object/tangible/wearables/armor/ris/shared_armor_ris_helmet.iff');
INSERT INTO `template_items` VALUES ('1191', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m3.iff');
INSERT INTO `template_items` VALUES ('1192', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_4.iff');
INSERT INTO `template_items` VALUES ('1193', 'object/tangible/ship/crafted/chassis/shared_tieaggressor_deed.iff');
INSERT INTO `template_items` VALUES ('1194', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_grassland.iff');
INSERT INTO `template_items` VALUES ('1195', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('1196', 'object/tangible/deed/event_perk/shared_lambda_shuttle_static_deed.iff');
INSERT INTO `template_items` VALUES ('1197', 'object/tangible/component/weapon/shared_laser_magnetic_flashback_supressor.iff');
INSERT INTO `template_items` VALUES ('1198', 'object/tangible/wearables/armor/composite/shared_armor_composite_gloves.iff');
INSERT INTO `template_items` VALUES ('1199', 'object/tangible/location/shared_location_32.iff');
INSERT INTO `template_items` VALUES ('1200', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_kimogila.iff');
INSERT INTO `template_items` VALUES ('1201', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_b.iff');
INSERT INTO `template_items` VALUES ('1202', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_c.iff');
INSERT INTO `template_items` VALUES ('1203', 'object/tangible/ship/components/booster/shared_bst_kde_br12.iff');
INSERT INTO `template_items` VALUES ('1204', 'object/tangible/ship/components/weapon/shared_wpn_incom_light_blaster.iff');
INSERT INTO `template_items` VALUES ('1205', 'object/tangible/lair/chuba/shared_lair_chuba_swamp.iff');
INSERT INTO `template_items` VALUES ('1206', 'object/tangible/wearables/gloves/shared_gloves_s03.iff');
INSERT INTO `template_items` VALUES ('1207', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_3.iff');
INSERT INTO `template_items` VALUES ('1208', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('1209', 'object/tangible/mission/quest_item/shared_booto_lubble_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1210', 'object/tangible/wearables/base/shared_base_mouth.iff');
INSERT INTO `template_items` VALUES ('1211', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_06.iff');
INSERT INTO `template_items` VALUES ('1212', 'object/tangible/mission/quest_item/shared_shaki_hamachil_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1213', 'object/tangible/wearables/base/shared_base_eyes.iff');
INSERT INTO `template_items` VALUES ('1214', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s02.iff');
INSERT INTO `template_items` VALUES ('1215', 'object/tangible/scout/trap/shared_trap_state_def_1.iff');
INSERT INTO `template_items` VALUES ('1216', 'object/tangible/mission/quest_item/shared_vhaunda_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1217', 'object/tangible/mission/quest_item/shared_warren_evidence_s01.iff');
INSERT INTO `template_items` VALUES ('1218', 'object/tangible/furniture/city/shared_fountain_heroic.iff');
INSERT INTO `template_items` VALUES ('1219', 'object/tangible/shipcontrol/shared_shipoperations_falcon.iff');
INSERT INTO `template_items` VALUES ('1220', 'object/tangible/crafting/station/shared_clothing_tool.iff');
INSERT INTO `template_items` VALUES ('1221', 'object/tangible/mission/quest_item/shared_igbi_freemo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1222', 'object/tangible/crafting/station/shared_jedi_tool.iff');
INSERT INTO `template_items` VALUES ('1223', 'object/tangible/component/item/quest_item/shared_signal_cleanup_unit.iff');
INSERT INTO `template_items` VALUES ('1224', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_elite.iff');
INSERT INTO `template_items` VALUES ('1225', 'object/tangible/ship/components/armor/shared_arm_kse_limited_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1226', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('1227', 'object/tangible/lair/base/shared_poi_all_lair_mound_small.iff');
INSERT INTO `template_items` VALUES ('1228', 'object/tangible/loot/tool/shared_impulse_detector_broken_s3.iff');
INSERT INTO `template_items` VALUES ('1229', 'object/tangible/furniture/modern/shared_bar_piece_straight_s1.iff');
INSERT INTO `template_items` VALUES ('1230', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_shirt.iff');
INSERT INTO `template_items` VALUES ('1231', 'object/tangible/loot/misc/shared_casual_rug.iff');
INSERT INTO `template_items` VALUES ('1232', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large.iff');
INSERT INTO `template_items` VALUES ('1233', 'object/tangible/ship/components/armor/shared_arm_kse_modified_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1234', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed_medium.iff');
INSERT INTO `template_items` VALUES ('1235', 'object/tangible/furniture/cheap/shared_couch_s01.iff');
INSERT INTO `template_items` VALUES ('1236', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01_lit.iff');
INSERT INTO `template_items` VALUES ('1237', 'object/tangible/ship/components/weapon/shared_wpn_haor_chall_speedblaster.iff');
INSERT INTO `template_items` VALUES ('1238', 'object/tangible/ship/components/armor/shared_arm_subpro_bargain_plastisteel.iff');
INSERT INTO `template_items` VALUES ('1239', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s01.iff');
INSERT INTO `template_items` VALUES ('1240', 'object/tangible/medicine/shared_medpack_blinded.iff');
INSERT INTO `template_items` VALUES ('1241', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s1.iff');
INSERT INTO `template_items` VALUES ('1242', 'object/tangible/lair/mawgax/shared_lair_mawgax_grassland.iff');
INSERT INTO `template_items` VALUES ('1243', 'object/tangible/mission/quest_item/shared_dilvin_lormurojo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1244', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s02.iff');
INSERT INTO `template_items` VALUES ('1245', 'object/tangible/component/weapon/shared_projectile_rifle_barrel.iff');
INSERT INTO `template_items` VALUES ('1246', 'object/tangible/lair/eopie/shared_lair_eopie_dune.iff');
INSERT INTO `template_items` VALUES ('1247', 'object/tangible/deed/pet_deed/shared_boar_wolf_deed.iff');
INSERT INTO `template_items` VALUES ('1248', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_wasteland.iff');
INSERT INTO `template_items` VALUES ('1249', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk1.iff');
INSERT INTO `template_items` VALUES ('1250', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s2.iff');
INSERT INTO `template_items` VALUES ('1251', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap.iff');
INSERT INTO `template_items` VALUES ('1252', 'object/tangible/wearables/wookiee/shared_wke_hood_s01.iff');
INSERT INTO `template_items` VALUES ('1253', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent.iff');
INSERT INTO `template_items` VALUES ('1254', 'object/tangible/component/dna/shared_dna_template_guf_drolg.iff');
INSERT INTO `template_items` VALUES ('1255', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd_5.iff');
INSERT INTO `template_items` VALUES ('1256', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s02.iff');
INSERT INTO `template_items` VALUES ('1257', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('1258', 'object/tangible/furniture/decorative/shared_bacta_tank.iff');
INSERT INTO `template_items` VALUES ('1259', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1260', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_custom_dk2.iff');
INSERT INTO `template_items` VALUES ('1261', 'object/tangible/food/crafted/shared_drink_vasarian_brandy.iff');
INSERT INTO `template_items` VALUES ('1262', 'object/tangible/wearables/armor/nightsister/shared_armor_nightsister_bicep_r_s01.iff');
INSERT INTO `template_items` VALUES ('1263', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_rare_powermaster_mk4.iff');
INSERT INTO `template_items` VALUES ('1264', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s04.iff');
INSERT INTO `template_items` VALUES ('1265', 'object/tangible/component/weapon/shared_geonosian_power_cube_yellow.iff');
INSERT INTO `template_items` VALUES ('1266', 'object/tangible/component/weapon/shared_weapon_dlt20_stock.iff');
INSERT INTO `template_items` VALUES ('1267', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('1268', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_enhanced_imperial_1.iff');
INSERT INTO `template_items` VALUES ('1269', 'object/tangible/component/vehicle/shared_adv_vehicle_structure_frame.iff');
INSERT INTO `template_items` VALUES ('1270', 'object/tangible/wearables/shirt/shared_shirt_s12.iff');
INSERT INTO `template_items` VALUES ('1271', 'object/tangible/ship/components/booster/shared_bst_corellian_experimental_tjh3.iff');
INSERT INTO `template_items` VALUES ('1272', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk3.iff');
INSERT INTO `template_items` VALUES ('1273', 'object/tangible/food/crafted/shared_drink_starshine_surprise.iff');
INSERT INTO `template_items` VALUES ('1274', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('1275', 'object/tangible/container/jar/shared_jar_funk_s01.iff');
INSERT INTO `template_items` VALUES ('1276', 'object/tangible/mission/quest_item/shared_vardias_tyne_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1277', 'object/tangible/deed/event_perk/shared_stone_base_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('1278', 'object/tangible/ship/components/chassis/shared_tieaggressor_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1279', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_leggings.iff');
INSERT INTO `template_items` VALUES ('1280', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('1281', 'object/tangible/wearables/ithorian/shared_ith_necklace_s03.iff');
INSERT INTO `template_items` VALUES ('1282', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_cygnus_hyperthrust.iff');
INSERT INTO `template_items` VALUES ('1283', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03.iff');
INSERT INTO `template_items` VALUES ('1284', 'object/tangible/hair/human/shared_hair_human_female_s16.iff');
INSERT INTO `template_items` VALUES ('1285', 'object/tangible/wearables/bikini/shared_bikini_s01.iff');
INSERT INTO `template_items` VALUES ('1286', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_e.iff');
INSERT INTO `template_items` VALUES ('1287', 'object/tangible/hair/rodian/shared_hair_rodian_male_s09.iff');
INSERT INTO `template_items` VALUES ('1288', 'object/tangible/hair/bothan/shared_hair_bothan_male_s14.iff');
INSERT INTO `template_items` VALUES ('1289', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_base.iff');
INSERT INTO `template_items` VALUES ('1290', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_07.iff');
INSERT INTO `template_items` VALUES ('1291', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_boots.iff');
INSERT INTO `template_items` VALUES ('1292', 'object/tangible/loot/simple_kit/shared_processor_attachments.iff');
INSERT INTO `template_items` VALUES ('1293', 'object/tangible/wearables/boots/shared_boots_corsec.iff');
INSERT INTO `template_items` VALUES ('1294', 'object/tangible/space/story_loot/shared_loot_tatooine_imp.iff');
INSERT INTO `template_items` VALUES ('1295', 'object/tangible/crafting/station/shared_public_food_station.iff');
INSERT INTO `template_items` VALUES ('1296', 'object/tangible/lair/perlek/shared_lair_perlek.iff');
INSERT INTO `template_items` VALUES ('1297', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('1298', 'object/tangible/ship/crafted/repair/shared_repair_kit_ship.iff');
INSERT INTO `template_items` VALUES ('1299', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk3.iff');
INSERT INTO `template_items` VALUES ('1300', 'object/tangible/medicine/pet/shared_droid_stimpack_b.iff');
INSERT INTO `template_items` VALUES ('1301', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_03.iff');
INSERT INTO `template_items` VALUES ('1302', 'object/tangible/lair/bantha/shared_lair_bantha_desert.iff');
INSERT INTO `template_items` VALUES ('1303', 'object/tangible/wearables/pants/shared_pants_s11.iff');
INSERT INTO `template_items` VALUES ('1304', 'object/tangible/furniture/imperial/shared_warren_warning_sign.iff');
INSERT INTO `template_items` VALUES ('1305', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk5.iff');
INSERT INTO `template_items` VALUES ('1306', 'object/tangible/mission/quest_item/shared_draya_korbinari_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1307', 'object/tangible/lair/mawgax/shared_lair_mawgax_mountain.iff');
INSERT INTO `template_items` VALUES ('1308', 'object/tangible/deed/faction_perk/hq/shared_hq_s01.iff');
INSERT INTO `template_items` VALUES ('1309', 'object/tangible/furniture/cheap/shared_armoire_s01.iff');
INSERT INTO `template_items` VALUES ('1310', 'object/tangible/component/item/shared_electronic_control_unit.iff');
INSERT INTO `template_items` VALUES ('1311', 'object/tangible/wearables/vest/shared_vest_s01.iff');
INSERT INTO `template_items` VALUES ('1312', 'object/tangible/component/item/quest_item/shared_tuning_cell.iff');
INSERT INTO `template_items` VALUES ('1313', 'object/tangible/wearables/ithorian/shared_ith_jacket_s06.iff');
INSERT INTO `template_items` VALUES ('1314', 'object/tangible/loot/loot_schematic/shared_death_watch_drink_mandalorian_wine_schematic.iff');
INSERT INTO `template_items` VALUES ('1315', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `template_items` VALUES ('1316', 'object/tangible/mission/quest_item/shared_kais_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1317', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_helmet.iff');
INSERT INTO `template_items` VALUES ('1318', 'object/tangible/ship/components/weapon/shared_wpn_incom_shredder.iff');
INSERT INTO `template_items` VALUES ('1319', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s03.iff');
INSERT INTO `template_items` VALUES ('1320', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_computer_core.iff');
INSERT INTO `template_items` VALUES ('1321', 'object/tangible/wearables/bodysuit/shared_bodysuit_s16.iff');
INSERT INTO `template_items` VALUES ('1322', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01_lit.iff');
INSERT INTO `template_items` VALUES ('1323', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_decoy_launcher.iff');
INSERT INTO `template_items` VALUES ('1324', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1325', 'object/tangible/furniture/elegant/shared_chair_s01.iff');
INSERT INTO `template_items` VALUES ('1326', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk4.iff');
INSERT INTO `template_items` VALUES ('1327', 'object/tangible/wearables/necklace/shared_necklace_s11.iff');
INSERT INTO `template_items` VALUES ('1328', 'object/tangible/furniture/modern/shared_bar_piece_curve_s1.iff');
INSERT INTO `template_items` VALUES ('1329', 'object/tangible/lair/thune/shared_lair_thune.iff');
INSERT INTO `template_items` VALUES ('1330', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1331', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s02_deed.iff');
INSERT INTO `template_items` VALUES ('1332', 'object/tangible/mission/quest_item/shared_hefsen_zindalai_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1333', 'object/tangible/ship/components/armor/shared_arm_koensayr_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('1334', 'object/tangible/ship/crafted/chassis/shared_ykl37r_deed.iff');
INSERT INTO `template_items` VALUES ('1335', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_e.iff');
INSERT INTO `template_items` VALUES ('1336', 'object/tangible/component/weapon/shared_rancor_tooth_quest.iff');
INSERT INTO `template_items` VALUES ('1337', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1338', 'object/tangible/wearables/ithorian/shared_ith_pants_s14.iff');
INSERT INTO `template_items` VALUES ('1339', 'object/tangible/component/structure/shared_wall_module.iff');
INSERT INTO `template_items` VALUES ('1340', 'object/tangible/medicine/base/shared_base_medicine.iff');
INSERT INTO `template_items` VALUES ('1341', 'object/tangible/component/droid/shared_armor_module_base.iff');
INSERT INTO `template_items` VALUES ('1342', 'object/tangible/medicine/shared_medpack_disease_health.iff');
INSERT INTO `template_items` VALUES ('1343', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('1344', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_l_schematic.iff');
INSERT INTO `template_items` VALUES ('1345', 'object/tangible/food/crafted/shared_dessert_blap_biscuit.iff');
INSERT INTO `template_items` VALUES ('1346', 'object/tangible/item/new_player/shared_new_player_vehicle_coupon.iff');
INSERT INTO `template_items` VALUES ('1347', 'object/tangible/container/jar/shared_jar_bugs_s01.iff');
INSERT INTO `template_items` VALUES ('1348', 'object/tangible/component/dna/shared_dna_template_generic.iff');
INSERT INTO `template_items` VALUES ('1349', 'object/tangible/wearables/base/shared_base_bracer_both.iff');
INSERT INTO `template_items` VALUES ('1350', 'object/tangible/instrument/shared_bandfill.iff');
INSERT INTO `template_items` VALUES ('1351', 'object/tangible/medicine/crafted/shared_medpack_intimidated_b.iff');
INSERT INTO `template_items` VALUES ('1352', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s04.iff');
INSERT INTO `template_items` VALUES ('1353', 'object/tangible/wearables/necklace/shared_necklace_iron_choker.iff');
INSERT INTO `template_items` VALUES ('1354', 'object/tangible/loot/misc/shared_cage_s01.iff');
INSERT INTO `template_items` VALUES ('1355', 'object/tangible/space/story_loot/shared_loot_endor_artisan.iff');
INSERT INTO `template_items` VALUES ('1356', 'object/tangible/furniture/imperial/shared_data_terminal_s3.iff');
INSERT INTO `template_items` VALUES ('1357', 'object/tangible/theme_park/alderaan/act3/shared_research_facility.iff');
INSERT INTO `template_items` VALUES ('1358', 'object/tangible/vendor/shared_vendor_droid_protocol.iff');
INSERT INTO `template_items` VALUES ('1359', 'object/tangible/component/clothing/shared_shoe_sole.iff');
INSERT INTO `template_items` VALUES ('1360', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_2.iff');
INSERT INTO `template_items` VALUES ('1361', 'object/tangible/medicine/crafted/shared_medpack_wound_action_b.iff');
INSERT INTO `template_items` VALUES ('1362', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('1363', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s3.iff');
INSERT INTO `template_items` VALUES ('1364', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_forest.iff');
INSERT INTO `template_items` VALUES ('1365', 'object/tangible/deed/guild_deed/shared_tatooine_guild_deed.iff');
INSERT INTO `template_items` VALUES ('1366', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_0.iff');
INSERT INTO `template_items` VALUES ('1367', 'object/tangible/mission/quest_item/shared_gins_darone_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1368', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_male_base.iff');
INSERT INTO `template_items` VALUES ('1369', 'object/tangible/wearables/hat/shared_hat_twilek_s05.iff');
INSERT INTO `template_items` VALUES ('1370', 'object/tangible/lair/ikopi/shared_lair_ikopi_grassland.iff');
INSERT INTO `template_items` VALUES ('1371', 'object/tangible/hair/human/shared_hair_human_male_s33.iff');
INSERT INTO `template_items` VALUES ('1372', 'object/tangible/hair/rodian/shared_hair_rodian_female_s09.iff');
INSERT INTO `template_items` VALUES ('1373', 'object/tangible/space/story_loot/shared_loot_naboo_imperial.iff');
INSERT INTO `template_items` VALUES ('1374', 'object/tangible/painting/shared_painting_bothan_f.iff');
INSERT INTO `template_items` VALUES ('1375', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_a.iff');
INSERT INTO `template_items` VALUES ('1376', 'object/tangible/component/bio/shared_bio_component_food_medium_filling.iff');
INSERT INTO `template_items` VALUES ('1377', 'object/tangible/mission/quest_item/shared_dea_tore_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1378', 'object/tangible/container/drum/shared_poi_prize_box_on.iff');
INSERT INTO `template_items` VALUES ('1379', 'object/tangible/loot/quest/shared_shield_generator_personal_imperial_test_schematic.iff');
INSERT INTO `template_items` VALUES ('1380', 'object/tangible/ship/components/engine/shared_eng_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('1381', 'object/tangible/recycler/shared_metal_recycler.iff');
INSERT INTO `template_items` VALUES ('1382', 'object/tangible/hair/sullustan/shared_sul_hair_s03_f.iff');
INSERT INTO `template_items` VALUES ('1383', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training.iff');
INSERT INTO `template_items` VALUES ('1384', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s02.iff');
INSERT INTO `template_items` VALUES ('1385', 'object/tangible/wearables/hat/shared_nightsister_hat_s02.iff');
INSERT INTO `template_items` VALUES ('1386', 'object/tangible/component/droid/shared_performer_effects_aa.iff');
INSERT INTO `template_items` VALUES ('1387', 'object/tangible/loot/misc/shared_artifact_rare_s01.iff');
INSERT INTO `template_items` VALUES ('1388', 'object/tangible/lair/shear_mite/shared_lair_shear_mite_mountain.iff');
INSERT INTO `template_items` VALUES ('1389', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound.iff');
INSERT INTO `template_items` VALUES ('1390', 'object/tangible/harvesting/shared_shellfish_harvester.iff');
INSERT INTO `template_items` VALUES ('1391', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01_lg.iff');
INSERT INTO `template_items` VALUES ('1392', 'object/tangible/deed/event_perk/shared_atst_static_deed.iff');
INSERT INTO `template_items` VALUES ('1393', 'object/tangible/hq_destructible/shared_security_terminal.iff');
INSERT INTO `template_items` VALUES ('1394', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('1395', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_neutral_armek_plasma_web.iff');
INSERT INTO `template_items` VALUES ('1396', 'object/tangible/deed/pet_deed/shared_deed_treadwell_basic.iff');
INSERT INTO `template_items` VALUES ('1397', 'object/tangible/camp/shared_camp_spit_s2.iff');
INSERT INTO `template_items` VALUES ('1398', 'object/tangible/lair/worrt/shared_lair_worrt_desert.iff');
INSERT INTO `template_items` VALUES ('1399', 'object/tangible/ship/crafted/engine/shared_basic_engine.iff');
INSERT INTO `template_items` VALUES ('1400', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_special_imperial_1.iff');
INSERT INTO `template_items` VALUES ('1401', 'object/tangible/component/structure/shared_primary_computer.iff');
INSERT INTO `template_items` VALUES ('1402', 'object/tangible/component/vehicle/shared_hvy_projectile_feed_mech.iff');
INSERT INTO `template_items` VALUES ('1403', 'object/tangible/mission/quest_item/shared_oxil_sarban_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1404', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_0.iff');
INSERT INTO `template_items` VALUES ('1405', 'object/tangible/component/vehicle/shared_fuel_a.iff');
INSERT INTO `template_items` VALUES ('1406', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s06.iff');
INSERT INTO `template_items` VALUES ('1407', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('1408', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s02.iff');
INSERT INTO `template_items` VALUES ('1409', 'object/tangible/hair/human/shared_hair_human_female_s06.iff');
INSERT INTO `template_items` VALUES ('1410', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1411', 'object/tangible/lair/base/shared_lair_base_den_earthen_light.iff');
INSERT INTO `template_items` VALUES ('1412', 'object/tangible/lair/tybis/shared_lair_tybis.iff');
INSERT INTO `template_items` VALUES ('1413', 'object/tangible/wearables/wookiee/shared_wke_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('1414', 'object/tangible/loot/quest/shared_rudic.iff');
INSERT INTO `template_items` VALUES ('1415', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('1416', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_06.iff');
INSERT INTO `template_items` VALUES ('1417', 'object/tangible/furniture/city/shared_streetlamp_med_green_02.iff');
INSERT INTO `template_items` VALUES ('1418', 'object/tangible/hair/bothan/shared_hair_bothan_male_s04.iff');
INSERT INTO `template_items` VALUES ('1419', 'object/tangible/deed/pet_deed/shared_deed_le_repair_basic.iff');
INSERT INTO `template_items` VALUES ('1420', 'object/tangible/container/jar/shared_jar_spice_s03.iff');
INSERT INTO `template_items` VALUES ('1421', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_desert.iff');
INSERT INTO `template_items` VALUES ('1422', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_b.iff');
INSERT INTO `template_items` VALUES ('1423', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc8_disruptor.iff');
INSERT INTO `template_items` VALUES ('1424', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_02_deed.iff');
INSERT INTO `template_items` VALUES ('1425', 'object/tangible/vendor/shared_vendor_droid_bartender.iff');
INSERT INTO `template_items` VALUES ('1426', 'object/tangible/mission/quest_item/shared_ric_olie_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1427', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_adhesive.iff');
INSERT INTO `template_items` VALUES ('1428', 'object/tangible/mission/quest_item/shared_dea_tore_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1429', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_0.iff');
INSERT INTO `template_items` VALUES ('1430', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_gloves.iff');
INSERT INTO `template_items` VALUES ('1431', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake.iff');
INSERT INTO `template_items` VALUES ('1432', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_ronka.iff');
INSERT INTO `template_items` VALUES ('1433', 'object/tangible/furniture/city/shared_fountain_generic.iff');
INSERT INTO `template_items` VALUES ('1434', 'object/tangible/component/vehicle/shared_military_b.iff');
INSERT INTO `template_items` VALUES ('1435', 'object/tangible/furniture/all/shared_frn_all_technical_console_s01.iff');
INSERT INTO `template_items` VALUES ('1436', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1437', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk5.iff');
INSERT INTO `template_items` VALUES ('1438', 'object/tangible/medicine/crafted/shared_medpack_revive.iff');
INSERT INTO `template_items` VALUES ('1439', 'object/tangible/ship/components/booster/shared_bst_koensayr_improved_standard.iff');
INSERT INTO `template_items` VALUES ('1440', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_stolen_info.iff');
INSERT INTO `template_items` VALUES ('1441', 'object/tangible/firework/shared_firework_s05.iff');
INSERT INTO `template_items` VALUES ('1442', 'object/tangible/component/munition/shared_warhead_fusing_mechanism.iff');
INSERT INTO `template_items` VALUES ('1443', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_standard.iff');
INSERT INTO `template_items` VALUES ('1444', 'object/tangible/mission/quest_item/shared_ikka_gesul_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1445', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s2.iff');
INSERT INTO `template_items` VALUES ('1446', 'object/tangible/component/item/quest_item/shared_current_motivator.iff');
INSERT INTO `template_items` VALUES ('1447', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_mamien.iff');
INSERT INTO `template_items` VALUES ('1448', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s01.iff');
INSERT INTO `template_items` VALUES ('1449', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk3.iff');
INSERT INTO `template_items` VALUES ('1450', 'object/tangible/mission/quest_item/shared_kadil_nurugen_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1451', 'object/tangible/wearables/bustier/shared_bustier_s03.iff');
INSERT INTO `template_items` VALUES ('1452', 'object/tangible/wearables/robe/shared_robe_jedi_padawan.iff');
INSERT INTO `template_items` VALUES ('1453', 'object/tangible/wearables/earring/shared_earring_base.iff');
INSERT INTO `template_items` VALUES ('1454', 'object/tangible/medicine/crafted/shared_medpack_poison_health_b.iff');
INSERT INTO `template_items` VALUES ('1455', 'object/tangible/ship/components/shield_generator/shared_shd_generic.iff');
INSERT INTO `template_items` VALUES ('1456', 'object/tangible/ship/components/engine/shared_eng_qualdex_b10.iff');
INSERT INTO `template_items` VALUES ('1457', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_charged_light.iff');
INSERT INTO `template_items` VALUES ('1458', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x34_deed.iff');
INSERT INTO `template_items` VALUES ('1459', 'object/tangible/lair/bolma/shared_lair_bolma_desert.iff');
INSERT INTO `template_items` VALUES ('1460', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard.iff');
INSERT INTO `template_items` VALUES ('1461', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('1462', 'object/tangible/terminal/shared_terminal_ballot_box.iff');
INSERT INTO `template_items` VALUES ('1463', 'object/tangible/item/quest/force_sensitive/shared_bacta_tank.iff');
INSERT INTO `template_items` VALUES ('1464', 'object/tangible/mission/quest_item/shared_arrek_vonsarko_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1465', 'object/tangible/loot/loot_schematic/shared_geonosian_tenloss_dxr6_schematic.iff');
INSERT INTO `template_items` VALUES ('1466', 'object/tangible/loot/loot_schematic/shared_technical_console_s01_schematic.iff');
INSERT INTO `template_items` VALUES ('1467', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s02_lg.iff');
INSERT INTO `template_items` VALUES ('1468', 'object/tangible/ship/components/armor/shared_arm_corellian_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1469', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1470', 'object/tangible/deed/pet_deed/shared_ronto_deed.iff');
INSERT INTO `template_items` VALUES ('1471', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_4.iff');
INSERT INTO `template_items` VALUES ('1472', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s01.iff');
INSERT INTO `template_items` VALUES ('1473', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('1474', 'object/tangible/loot/quest/shared_quest_stimpack_a_schematic.iff');
INSERT INTO `template_items` VALUES ('1475', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk2.iff');
INSERT INTO `template_items` VALUES ('1476', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_boots.iff');
INSERT INTO `template_items` VALUES ('1477', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr.iff');
INSERT INTO `template_items` VALUES ('1478', 'object/tangible/veteran_reward/shared_frn_vet_x_wing_toy.iff');
INSERT INTO `template_items` VALUES ('1479', 'object/tangible/lair/blistmok/shared_lair_blistmok_mountain.iff');
INSERT INTO `template_items` VALUES ('1480', 'object/tangible/food/crafted/shared_dessert_smugglers_delight.iff');
INSERT INTO `template_items` VALUES ('1481', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('1482', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn.iff');
INSERT INTO `template_items` VALUES ('1483', 'object/tangible/wearables/ring/shared_aakuan_ring.iff');
INSERT INTO `template_items` VALUES ('1484', 'object/tangible/hair/sullustan/shared_sul_hair_s01_m.iff');
INSERT INTO `template_items` VALUES ('1485', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_sds_unknown_prototype.iff');
INSERT INTO `template_items` VALUES ('1486', 'object/tangible/component/vehicle/shared_fuel_cell_c.iff');
INSERT INTO `template_items` VALUES ('1487', 'object/tangible/mission/quest_item/shared_kais_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1488', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('1489', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_r.iff');
INSERT INTO `template_items` VALUES ('1490', 'object/tangible/component/weapon/shared_geonosian_sword_core.iff');
INSERT INTO `template_items` VALUES ('1491', 'object/tangible/furniture/space/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `template_items` VALUES ('1492', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('1493', 'object/tangible/ship/components/weapon_capacitor/shared_cap_huppla_pasa_tisc_old_capacitor.iff');
INSERT INTO `template_items` VALUES ('1494', 'object/tangible/ship/components/reactor/shared_rct_sfs_advanced.iff');
INSERT INTO `template_items` VALUES ('1495', 'object/tangible/wearables/gloves/shared_gloves_s13.iff');
INSERT INTO `template_items` VALUES ('1496', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster_green.iff');
INSERT INTO `template_items` VALUES ('1497', 'object/tangible/ship/crafted/droid_interface/shared_droid_harness.iff');
INSERT INTO `template_items` VALUES ('1498', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('1499', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_helmet.iff');
INSERT INTO `template_items` VALUES ('1500', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_corellian_triplate.iff');
INSERT INTO `template_items` VALUES ('1501', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('1502', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_heavy_composite.iff');
INSERT INTO `template_items` VALUES ('1503', 'object/tangible/deed/pet_deed/shared_torton_deed.iff');
INSERT INTO `template_items` VALUES ('1504', 'object/tangible/component/weapon/shared_sword_core_quest.iff');
INSERT INTO `template_items` VALUES ('1505', 'object/tangible/mission/quest_item/shared_karrek_film_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1506', 'object/tangible/ship/components/engine/shared_eng_prototype_engine.iff');
INSERT INTO `template_items` VALUES ('1507', 'object/tangible/ship/components/weapon/shared_wpn_incom_advanced_blaster.iff');
INSERT INTO `template_items` VALUES ('1508', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1509', 'object/tangible/lair/sarlacc/shared_lair_sarlacc.iff');
INSERT INTO `template_items` VALUES ('1510', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('1511', 'object/tangible/mission/quest_item/shared_karrek_film_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1512', 'object/tangible/loot/quest/shared_huff_quest_top_secret_documents.iff');
INSERT INTO `template_items` VALUES ('1513', 'object/tangible/item/quest/force_sensitive/shared_fs_buff_item.iff');
INSERT INTO `template_items` VALUES ('1514', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1515', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_03.iff');
INSERT INTO `template_items` VALUES ('1516', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk1.iff');
INSERT INTO `template_items` VALUES ('1517', 'object/tangible/ship/components/engine/shared_eng_kse_a8x.iff');
INSERT INTO `template_items` VALUES ('1518', 'object/tangible/ship/components/weapon/shared_wpn_mandal_enhanced_mangler_mk1.iff');
INSERT INTO `template_items` VALUES ('1519', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk4.iff');
INSERT INTO `template_items` VALUES ('1520', 'object/tangible/vendor/shared_vendor_droid_surgical.iff');
INSERT INTO `template_items` VALUES ('1521', 'object/tangible/wearables/ithorian/shared_ith_hat_s03.iff');
INSERT INTO `template_items` VALUES ('1522', 'object/tangible/mission/quest_item/shared_ayn_eckener_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1523', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1524', 'object/tangible/furniture/modern/shared_bookcase_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1525', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s02.iff');
INSERT INTO `template_items` VALUES ('1526', 'object/tangible/component/droid/shared_medic_module_2.iff');
INSERT INTO `template_items` VALUES ('1527', 'object/tangible/component/clothing/shared_clasp_heavy_duty.iff');
INSERT INTO `template_items` VALUES ('1528', 'object/tangible/deed/event_perk/shared_imperial_landing_party_atat_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1529', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p1.iff');
INSERT INTO `template_items` VALUES ('1530', 'object/tangible/wearables/pants/shared_pants_s18.iff');
INSERT INTO `template_items` VALUES ('1531', 'object/tangible/ship/components/reactor/shared_rct_unknown_distressed_aluminum.iff');
INSERT INTO `template_items` VALUES ('1532', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s04.iff');
INSERT INTO `template_items` VALUES ('1533', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx2.iff');
INSERT INTO `template_items` VALUES ('1534', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s02.iff');
INSERT INTO `template_items` VALUES ('1535', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_unknown_rayslinger.iff');
INSERT INTO `template_items` VALUES ('1536', 'object/tangible/component/vehicle/shared_armor_panel_energy.iff');
INSERT INTO `template_items` VALUES ('1537', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_r.iff');
INSERT INTO `template_items` VALUES ('1538', 'object/tangible/ship/components/engine/shared_eng_novaldex_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('1539', 'object/tangible/wearables/robe/shared_robe_s05_h1.iff');
INSERT INTO `template_items` VALUES ('1540', 'object/tangible/painting/shared_painting_teras_kasi_2.iff');
INSERT INTO `template_items` VALUES ('1541', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk4.iff');
INSERT INTO `template_items` VALUES ('1542', 'object/tangible/ship/components/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('1543', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx9.iff');
INSERT INTO `template_items` VALUES ('1544', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk3.iff');
INSERT INTO `template_items` VALUES ('1545', 'object/tangible/lair/base/shared_lair_base_trash_dark.iff');
INSERT INTO `template_items` VALUES ('1546', 'object/tangible/mission/quest_item/shared_wilhalm_skrim_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1547', 'object/tangible/component/armor/shared_armor_segment_padded_acklay.iff');
INSERT INTO `template_items` VALUES ('1548', 'object/tangible/lair/skreeg/shared_lair_skreeg_jungle.iff');
INSERT INTO `template_items` VALUES ('1549', 'object/tangible/survey_tool/shared_survey_tool_organic.iff');
INSERT INTO `template_items` VALUES ('1550', 'object/tangible/inventory/shared_character_inventory.iff');
INSERT INTO `template_items` VALUES ('1551', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_green.iff');
INSERT INTO `template_items` VALUES ('1552', 'object/tangible/terminal/shared_terminal_ship_interior_security_1.iff');
INSERT INTO `template_items` VALUES ('1553', 'object/tangible/ship/components/chassis/shared_blacksun_heavy_s04_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1554', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk4.iff');
INSERT INTO `template_items` VALUES ('1555', 'object/tangible/component/clothing/shared_fiberplast_panel.iff');
INSERT INTO `template_items` VALUES ('1556', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small.iff');
INSERT INTO `template_items` VALUES ('1557', 'object/tangible/hair/human/shared_hair_human_female_s32.iff');
INSERT INTO `template_items` VALUES ('1558', 'object/tangible/wearables/goggles/shared_goggles_s01.iff');
INSERT INTO `template_items` VALUES ('1559', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_improved_rebel_mk1.iff');
INSERT INTO `template_items` VALUES ('1560', 'object/tangible/item/quest/crowd_pleaser/shared_dance_reward.iff');
INSERT INTO `template_items` VALUES ('1561', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1562', 'object/tangible/wearables/necklace/shared_necklace_complex_pattern.iff');
INSERT INTO `template_items` VALUES ('1563', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_r_schematic.iff');
INSERT INTO `template_items` VALUES ('1564', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s06.iff');
INSERT INTO `template_items` VALUES ('1565', 'object/tangible/lair/kaitok/shared_lair_kaitok_mountain.iff');
INSERT INTO `template_items` VALUES ('1566', 'object/tangible/component/droid/shared_armor_module_4.iff');
INSERT INTO `template_items` VALUES ('1567', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_cygnus_experimental_system.iff');
INSERT INTO `template_items` VALUES ('1568', 'object/tangible/wearables/wookiee/shared_wke_gloves_s01.iff');
INSERT INTO `template_items` VALUES ('1569', 'object/tangible/mission/quest_item/shared_gins_darone_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1570', 'object/tangible/ship/components/booster/shared_bst_kse_bti3.iff');
INSERT INTO `template_items` VALUES ('1571', 'object/tangible/ship/components/weapon/shared_wpn_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('1572', 'object/tangible/wearables/dress/shared_dress_s29.iff');
INSERT INTO `template_items` VALUES ('1573', 'object/tangible/lair/laa/shared_lair_laa.iff');
INSERT INTO `template_items` VALUES ('1574', 'object/tangible/ship/components/armor/shared_arm_kse_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('1575', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_jungle.iff');
INSERT INTO `template_items` VALUES ('1576', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s01.iff');
INSERT INTO `template_items` VALUES ('1577', 'object/tangible/component/vehicle/shared_veh_power_plant_av21.iff');
INSERT INTO `template_items` VALUES ('1578', 'object/tangible/ship/components/droid_interface/shared_droid_interface_test.iff');
INSERT INTO `template_items` VALUES ('1579', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s3.iff');
INSERT INTO `template_items` VALUES ('1580', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_forest.iff');
INSERT INTO `template_items` VALUES ('1581', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_04_deed.iff');
INSERT INTO `template_items` VALUES ('1582', 'object/tangible/loot/tool/shared_usable_datapad.iff');
INSERT INTO `template_items` VALUES ('1583', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('1584', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('1585', 'object/tangible/component/weapon/shared_blaster_rifle_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('1586', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_special_forces_blaster.iff');
INSERT INTO `template_items` VALUES ('1587', 'object/tangible/item/quest/force_sensitive/shared_fs_crafting4_downed_satellite.iff');
INSERT INTO `template_items` VALUES ('1588', 'object/tangible/furniture/modern/shared_couch_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1589', 'object/tangible/container/general/shared_tech_armoire.iff');
INSERT INTO `template_items` VALUES ('1590', 'object/tangible/food/crafted/shared_dessert_corellian_fried_icecream.iff');
INSERT INTO `template_items` VALUES ('1591', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1592', 'object/tangible/component/munition/shared_warhead_stabilizer.iff');
INSERT INTO `template_items` VALUES ('1593', 'object/tangible/food/shared_meat_object.iff');
INSERT INTO `template_items` VALUES ('1594', 'object/tangible/wearables/ithorian/shared_ith_shirt_s09.iff');
INSERT INTO `template_items` VALUES ('1595', 'object/tangible/skill_buff/shared_skill_buff_rifle_speed.iff');
INSERT INTO `template_items` VALUES ('1596', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1597', 'object/tangible/lair/base/shared_nest_tree.iff');
INSERT INTO `template_items` VALUES ('1598', 'object/tangible/ship/components/reactor/shared_rct_incom_elite.iff');
INSERT INTO `template_items` VALUES ('1599', 'object/tangible/ship/crafted/repair/shared_repair_kit_booster.iff');
INSERT INTO `template_items` VALUES ('1600', 'object/tangible/space/mission_objects/shared_transfer_auth.iff');
INSERT INTO `template_items` VALUES ('1601', 'object/tangible/terminal/shared_terminal_pm_register.iff');
INSERT INTO `template_items` VALUES ('1602', 'object/tangible/lair/narglatch/shared_lair_narglatch_swamp.iff');
INSERT INTO `template_items` VALUES ('1603', 'object/tangible/wearables/ithorian/shared_ith_pants_s20.iff');
INSERT INTO `template_items` VALUES ('1604', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_old_tech.iff');
INSERT INTO `template_items` VALUES ('1605', 'object/tangible/mission/quest_item/shared_oxil_sarban_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1606', 'object/tangible/wearables/helmet/shared_helmet_s06.iff');
INSERT INTO `template_items` VALUES ('1607', 'object/tangible/food/crafted/shared_drink_tatooine_sunburn.iff');
INSERT INTO `template_items` VALUES ('1608', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk3.iff');
INSERT INTO `template_items` VALUES ('1609', 'object/tangible/lair/crystal_snake/shared_lair_crystal_snake_swamp.iff');
INSERT INTO `template_items` VALUES ('1610', 'object/tangible/wearables/wookiee/shared_wke_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('1611', 'object/tangible/wearables/ithorian/shared_ith_belt_s13.iff');
INSERT INTO `template_items` VALUES ('1612', 'object/tangible/furniture/modern/shared_end_table_small_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1613', 'object/tangible/hair/rodian/shared_hair_rodian_male_s10.iff');
INSERT INTO `template_items` VALUES ('1614', 'object/tangible/gravestone/shared_gravestone05.iff');
INSERT INTO `template_items` VALUES ('1615', 'object/tangible/furniture/all/shared_frn_all_chair_recliner_s1.iff');
INSERT INTO `template_items` VALUES ('1616', 'object/tangible/powerup/base/shared_weapon_base.iff');
INSERT INTO `template_items` VALUES ('1617', 'object/tangible/component/weapon/shared_weapon_targeting_computer.iff');
INSERT INTO `template_items` VALUES ('1618', 'object/tangible/wearables/bracelet/shared_bracelet_s04_r.iff');
INSERT INTO `template_items` VALUES ('1619', 'object/tangible/wearables/earring/shared_earring_s14.iff');
INSERT INTO `template_items` VALUES ('1620', 'object/tangible/sign/player/shared_shop_sign_s02.iff');
INSERT INTO `template_items` VALUES ('1621', 'object/tangible/ship/crafted/booster/shared_base_booster.iff');
INSERT INTO `template_items` VALUES ('1622', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s16.iff');
INSERT INTO `template_items` VALUES ('1623', 'object/tangible/wearables/bandolier/shared_bandolier_s09.iff');
INSERT INTO `template_items` VALUES ('1624', 'object/tangible/loot/misc/shared_picture_handheld_s01.iff');
INSERT INTO `template_items` VALUES ('1625', 'object/tangible/medicine/shared_medpack_wound_constitution.iff');
INSERT INTO `template_items` VALUES ('1626', 'object/tangible/loot/misc/shared_holocron_splinters_sith_s01.iff');
INSERT INTO `template_items` VALUES ('1627', 'object/tangible/sign/shared_all_sign_street_s01.iff');
INSERT INTO `template_items` VALUES ('1628', 'object/tangible/food/crafted/shared_dish_rakririan_burnout_sauce.iff');
INSERT INTO `template_items` VALUES ('1629', 'object/tangible/hair/bothan/shared_hair_bothan_female_s12.iff');
INSERT INTO `template_items` VALUES ('1630', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite.iff');
INSERT INTO `template_items` VALUES ('1631', 'object/tangible/component/item/shared_electronic_power_conditioner.iff');
INSERT INTO `template_items` VALUES ('1632', 'object/tangible/medicine/pet/shared_droid_wound_kit_a.iff');
INSERT INTO `template_items` VALUES ('1633', 'object/tangible/furniture/decorative/shared_streetlamp.iff');
INSERT INTO `template_items` VALUES ('1634', 'object/tangible/deed/pet_deed/shared_piket_deed.iff');
INSERT INTO `template_items` VALUES ('1635', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon.iff');
INSERT INTO `template_items` VALUES ('1636', 'object/tangible/terminal/shared_terminal_insurance.iff');
INSERT INTO `template_items` VALUES ('1637', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk1.iff');
INSERT INTO `template_items` VALUES ('1638', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_r.iff');
INSERT INTO `template_items` VALUES ('1639', 'object/tangible/mission_bag/shared_mission_bag.iff');
INSERT INTO `template_items` VALUES ('1640', 'object/tangible/loot/misc/shared_ledger_s01.iff');
INSERT INTO `template_items` VALUES ('1641', 'object/tangible/component/armor/shared_armor_segment_ubese_advanced.iff');
INSERT INTO `template_items` VALUES ('1642', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_02.iff');
INSERT INTO `template_items` VALUES ('1643', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_modified_standard.iff');
INSERT INTO `template_items` VALUES ('1644', 'object/tangible/component/armor/shared_shield_generator_personal_imperial_test.iff');
INSERT INTO `template_items` VALUES ('1645', 'object/tangible/wearables/belt/shared_belt_s17.iff');
INSERT INTO `template_items` VALUES ('1646', 'object/tangible/furniture/all/shared_frn_all_toolchest_med_s01.iff');
INSERT INTO `template_items` VALUES ('1647', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk2.iff');
INSERT INTO `template_items` VALUES ('1648', 'object/tangible/ship/components/armor/shared_arm_koensayr_light_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('1649', 'object/tangible/wearables/skirt/shared_skirt_s13.iff');
INSERT INTO `template_items` VALUES ('1650', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('1651', 'object/tangible/inventory/shared_lightsaber_inventory_base.iff');
INSERT INTO `template_items` VALUES ('1652', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('1653', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('1654', 'object/tangible/wearables/pants/shared_pants_s25.iff');
INSERT INTO `template_items` VALUES ('1655', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_light_plastisteel.iff');
INSERT INTO `template_items` VALUES ('1656', 'object/tangible/component/structure/shared_lightweight_turret_electronics.iff');
INSERT INTO `template_items` VALUES ('1657', 'object/tangible/wearables/jacket/shared_jacket_s17.iff');
INSERT INTO `template_items` VALUES ('1658', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s1.iff');
INSERT INTO `template_items` VALUES ('1659', 'object/tangible/ship/components/engine/shared_eng_reward_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('1660', 'object/tangible/deed/pet_deed/shared_merek_deed.iff');
INSERT INTO `template_items` VALUES ('1661', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_c.iff');
INSERT INTO `template_items` VALUES ('1662', 'object/tangible/ship/components/shield_generator/shared_shd_rendili.iff');
INSERT INTO `template_items` VALUES ('1663', 'object/tangible/component/droid/shared_personality_module_sarcastic.iff');
INSERT INTO `template_items` VALUES ('1664', 'object/tangible/lair/base/shared_cave_small_light.iff');
INSERT INTO `template_items` VALUES ('1665', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1666', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('1667', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('1668', 'object/tangible/lair/gronda/shared_lair_gronda_grassland.iff');
INSERT INTO `template_items` VALUES ('1669', 'object/tangible/medicine/shared_medpack_grenade_damage.iff');
INSERT INTO `template_items` VALUES ('1670', 'object/tangible/wearables/necklace/shared_necklace_adorned_beads.iff');
INSERT INTO `template_items` VALUES ('1671', 'object/tangible/medicine/crafted/shared_medpack_blinded_a.iff');
INSERT INTO `template_items` VALUES ('1672', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants_quest.iff');
INSERT INTO `template_items` VALUES ('1673', 'object/tangible/ship/crafted/engine/shared_eng_mk1.iff');
INSERT INTO `template_items` VALUES ('1674', 'object/tangible/loot/misc/shared_loot_skull_krayt2.iff');
INSERT INTO `template_items` VALUES ('1675', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s01.iff');
INSERT INTO `template_items` VALUES ('1676', 'object/tangible/scout/camokit/shared_camokit_dantooine.iff');
INSERT INTO `template_items` VALUES ('1677', 'object/tangible/crafting/station/shared_generic_tool.iff');
INSERT INTO `template_items` VALUES ('1678', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk3.iff');
INSERT INTO `template_items` VALUES ('1679', 'object/tangible/ship/components/engine/shared_eng_qualdex_a13.iff');
INSERT INTO `template_items` VALUES ('1680', 'object/tangible/component/chemistry/shared_janta_blood.iff');
INSERT INTO `template_items` VALUES ('1681', 'object/tangible/loot/tool/shared_comlink_naboo_broken.iff');
INSERT INTO `template_items` VALUES ('1682', 'object/tangible/survey_tool/shared_survey_tool_gas.iff');
INSERT INTO `template_items` VALUES ('1683', 'object/tangible/mission/quest_item/shared_kais_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1684', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_body.iff');
INSERT INTO `template_items` VALUES ('1685', 'object/tangible/component/weapon/shared_weapon_t21_stock.iff');
INSERT INTO `template_items` VALUES ('1686', 'object/tangible/hair/rodian/base/shared_hair_rodian_male_base.iff');
INSERT INTO `template_items` VALUES ('1687', 'object/tangible/fishing/fish/shared_fish_generic.iff');
INSERT INTO `template_items` VALUES ('1688', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_improved_powermaster_mk3.iff');
INSERT INTO `template_items` VALUES ('1689', 'object/tangible/wearables/base/shared_base_belt.iff');
INSERT INTO `template_items` VALUES ('1690', 'object/tangible/mission/quest_item/shared_gilker_budz_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1691', 'object/tangible/hair/human/shared_hair_human_male_s07.iff');
INSERT INTO `template_items` VALUES ('1692', 'object/tangible/ship/crafted/booster/shared_booster_mk4.iff');
INSERT INTO `template_items` VALUES ('1693', 'object/tangible/camp/shared_camp_stool_short.iff');
INSERT INTO `template_items` VALUES ('1694', 'object/tangible/furniture/modern/shared_table_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('1695', 'object/tangible/ship/attachment/engine/shared_eng_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('1696', 'object/tangible/food/foraged/shared_foraged_vegetable_s4.iff');
INSERT INTO `template_items` VALUES ('1697', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_forest.iff');
INSERT INTO `template_items` VALUES ('1698', 'object/tangible/wearables/bandolier/shared_ith_double_bandolier.iff');
INSERT INTO `template_items` VALUES ('1699', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_b.iff');
INSERT INTO `template_items` VALUES ('1700', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s02_lit.iff');
INSERT INTO `template_items` VALUES ('1701', 'object/tangible/region/shared_deliver_region_25.iff');
INSERT INTO `template_items` VALUES ('1702', 'object/tangible/wearables/dress/shared_dress_s14.iff');
INSERT INTO `template_items` VALUES ('1703', 'object/tangible/wearables/boots/shared_nightsister_boots.iff');
INSERT INTO `template_items` VALUES ('1704', 'object/tangible/component/vehicle/shared_armor_panel_blast.iff');
INSERT INTO `template_items` VALUES ('1705', 'object/tangible/component/droid/shared_personality_module_base.iff');
INSERT INTO `template_items` VALUES ('1706', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('1707', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1708', 'object/tangible/ship/components/engine/shared_eng_qualdex_advanced.iff');
INSERT INTO `template_items` VALUES ('1709', 'object/tangible/food/spice/shared_spice_pyrepenol.iff');
INSERT INTO `template_items` VALUES ('1710', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_r_schematic.iff');
INSERT INTO `template_items` VALUES ('1711', 'object/tangible/mission/quest_item/shared_karrek_film_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1712', 'object/tangible/ship/components/engine/shared_engine_incom_e16.iff');
INSERT INTO `template_items` VALUES ('1713', 'object/tangible/hair/human/shared_hair_human_male_s26.iff');
INSERT INTO `template_items` VALUES ('1714', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('1715', 'object/tangible/food/crafted/shared_dish_fire_stew.iff');
INSERT INTO `template_items` VALUES ('1716', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_elite_imperator.iff');
INSERT INTO `template_items` VALUES ('1717', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s05.iff');
INSERT INTO `template_items` VALUES ('1718', 'object/tangible/component/dna/shared_dna_sample_very_low.iff');
INSERT INTO `template_items` VALUES ('1719', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_tuned_dynamo_mk3.iff');
INSERT INTO `template_items` VALUES ('1720', 'object/tangible/deed/event_perk/shared_banner_style_1_static_deed.iff');
INSERT INTO `template_items` VALUES ('1721', 'object/tangible/space/special_loot/shared_firespray_schematic_part3.iff');
INSERT INTO `template_items` VALUES ('1722', 'object/tangible/ship/attachment/engine/shared_tieadvanced_engine_s01.iff');
INSERT INTO `template_items` VALUES ('1723', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s03_deed.iff');
INSERT INTO `template_items` VALUES ('1724', 'object/tangible/furniture/all/shared_frn_all_banner_rebel.iff');
INSERT INTO `template_items` VALUES ('1725', 'object/tangible/furniture/decorative/shared_corellian_flagpole.iff');
INSERT INTO `template_items` VALUES ('1726', 'object/tangible/ship/components/booster/shared_bst_kse_cb6.iff');
INSERT INTO `template_items` VALUES ('1727', 'object/tangible/hair/rodian/base/shared_hair_rodian_base.iff');
INSERT INTO `template_items` VALUES ('1728', 'object/tangible/scout/camp/shared_camp_luxury.iff');
INSERT INTO `template_items` VALUES ('1729', 'object/tangible/component/droid/shared_personality_module_stupid.iff');
INSERT INTO `template_items` VALUES ('1730', 'object/tangible/loot/simple_kit/shared_empty_datapad.iff');
INSERT INTO `template_items` VALUES ('1731', 'object/tangible/deed/city_deed/shared_garden_corellia_med_02_deed.iff');
INSERT INTO `template_items` VALUES ('1732', 'object/tangible/fishing/shared_splash.iff');
INSERT INTO `template_items` VALUES ('1733', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_1.iff');
INSERT INTO `template_items` VALUES ('1734', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1735', 'object/tangible/gem/base/shared_gem_base.iff');
INSERT INTO `template_items` VALUES ('1736', 'object/tangible/lair/torton/shared_lair_torton.iff');
INSERT INTO `template_items` VALUES ('1737', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd3.iff');
INSERT INTO `template_items` VALUES ('1738', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk3.iff');
INSERT INTO `template_items` VALUES ('1739', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('1740', 'object/tangible/component/droid/shared_data_storage_module_5.iff');
INSERT INTO `template_items` VALUES ('1741', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_01.iff');
INSERT INTO `template_items` VALUES ('1742', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler02.iff');
INSERT INTO `template_items` VALUES ('1743', 'object/tangible/wearables/dress/shared_dress_s35.iff');
INSERT INTO `template_items` VALUES ('1744', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s04_deed.iff');
INSERT INTO `template_items` VALUES ('1745', 'object/tangible/ship/components/engine/shared_eng_koensayr_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('1746', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s02.iff');
INSERT INTO `template_items` VALUES ('1747', 'object/tangible/lair/scurrier/shared_lair_scurrier_desert.iff');
INSERT INTO `template_items` VALUES ('1748', 'object/tangible/ship/components/armor/shared_arm_koensayr_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('1749', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_performance_mk2.iff');
INSERT INTO `template_items` VALUES ('1750', 'object/tangible/mission/quest_item/shared_drenn_zebber_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1751', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk5.iff');
INSERT INTO `template_items` VALUES ('1752', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_c.iff');
INSERT INTO `template_items` VALUES ('1753', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent.iff');
INSERT INTO `template_items` VALUES ('1754', 'object/tangible/component/weapon/shared_vibro_unit_advanced.iff');
INSERT INTO `template_items` VALUES ('1755', 'object/tangible/wearables/jacket/shared_jacket_s36.iff');
INSERT INTO `template_items` VALUES ('1756', 'object/tangible/lair/base/shared_lair_base_crevice_light.iff');
INSERT INTO `template_items` VALUES ('1757', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s2.iff');
INSERT INTO `template_items` VALUES ('1758', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon_tie.iff');
INSERT INTO `template_items` VALUES ('1759', 'object/tangible/scout/camokit/shared_camokit_naboo.iff');
INSERT INTO `template_items` VALUES ('1760', 'object/tangible/furniture/technical/shared_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('1761', 'object/tangible/deed/pet_deed/shared_malkloc_deed.iff');
INSERT INTO `template_items` VALUES ('1762', 'object/tangible/component/munition/shared_base_munition_enhancer.iff');
INSERT INTO `template_items` VALUES ('1763', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sfs_imperial_finest.iff');
INSERT INTO `template_items` VALUES ('1764', 'object/tangible/loot/plant_grow/shared_plant_stage_3.iff');
INSERT INTO `template_items` VALUES ('1765', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1766', 'object/tangible/wearables/shoes/shared_shoes_s03.iff');
INSERT INTO `template_items` VALUES ('1767', 'object/tangible/container/drum/shared_warren_drum_skeleton.iff');
INSERT INTO `template_items` VALUES ('1768', 'object/tangible/component/vehicle/shared_veh_power_plant_mk2.iff');
INSERT INTO `template_items` VALUES ('1769', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('1770', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk4.iff');
INSERT INTO `template_items` VALUES ('1771', 'object/tangible/wearables/backpack/shared_backpack_s03_quest.iff');
INSERT INTO `template_items` VALUES ('1772', 'object/tangible/hair/sullustan/shared_sul_hair_s04_m.iff');
INSERT INTO `template_items` VALUES ('1773', 'object/tangible/wearables/base/shared_base_robe_shortsleeve_hooded.iff');
INSERT INTO `template_items` VALUES ('1774', 'object/tangible/deed/city_deed/shared_hospital_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('1775', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s02_1.iff');
INSERT INTO `template_items` VALUES ('1776', 'object/tangible/component/chemistry/shared_chemistry_component.iff');
INSERT INTO `template_items` VALUES ('1777', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk1.iff');
INSERT INTO `template_items` VALUES ('1778', 'object/tangible/ship/components/armor/shared_arm_freitek_standard.iff');
INSERT INTO `template_items` VALUES ('1779', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('1780', 'object/tangible/lair/capper_spineflap/shared_lair_capper_spineflap_forest.iff');
INSERT INTO `template_items` VALUES ('1781', 'object/tangible/theme_park/alderaan/act2/shared_interface_override_device.iff');
INSERT INTO `template_items` VALUES ('1782', 'object/tangible/component/dna/shared_dna_template_kaadu.iff');
INSERT INTO `template_items` VALUES ('1783', 'object/tangible/space/story_loot/shared_loot_naboo_miner.iff');
INSERT INTO `template_items` VALUES ('1784', 'object/tangible/datapad/shared_droid_datapad_3.iff');
INSERT INTO `template_items` VALUES ('1785', 'object/tangible/wearables/ithorian/shared_ith_jacket_s13.iff');
INSERT INTO `template_items` VALUES ('1786', 'object/tangible/wearables/pants/shared_pants_s04.iff');
INSERT INTO `template_items` VALUES ('1787', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s01.iff');
INSERT INTO `template_items` VALUES ('1788', 'object/tangible/camp/shared_camp_cot.iff');
INSERT INTO `template_items` VALUES ('1789', 'object/tangible/wearables/base/shared_armor_base.iff');
INSERT INTO `template_items` VALUES ('1790', 'object/tangible/component/armor/shared_armor_layer_cold.iff');
INSERT INTO `template_items` VALUES ('1791', 'object/tangible/deed/pet_deed/shared_deed_r3_basic.iff');
INSERT INTO `template_items` VALUES ('1792', 'object/tangible/scout/camokit/shared_camokit_yavin.iff');
INSERT INTO `template_items` VALUES ('1793', 'object/tangible/ship/components/reactor/shared_rct_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('1794', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_advanced_manager.iff');
INSERT INTO `template_items` VALUES ('1795', 'object/tangible/deed/city_deed/shared_garden_naboo_med_03_deed.iff');
INSERT INTO `template_items` VALUES ('1796', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_b.iff');
INSERT INTO `template_items` VALUES ('1797', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s02_1.iff');
INSERT INTO `template_items` VALUES ('1798', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('1799', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s04_0.iff');
INSERT INTO `template_items` VALUES ('1800', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('1801', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_adhesive.iff');
INSERT INTO `template_items` VALUES ('1802', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('1803', 'object/tangible/loot/quest/shared_nym_imggc.iff');
INSERT INTO `template_items` VALUES ('1804', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk1.iff');
INSERT INTO `template_items` VALUES ('1805', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk1.iff');
INSERT INTO `template_items` VALUES ('1806', 'object/tangible/ship/components/shield_generator/shared_shd_taim_heavy.iff');
INSERT INTO `template_items` VALUES ('1807', 'object/tangible/medicine/crafted/shared_medpack_disease_health_c.iff');
INSERT INTO `template_items` VALUES ('1808', 'object/tangible/food/foraged/shared_foraged_fruit_s1.iff');
INSERT INTO `template_items` VALUES ('1809', 'object/tangible/painting/shared_painting_luke_wanted.iff');
INSERT INTO `template_items` VALUES ('1810', 'object/tangible/ship/components/engine/shared_eng_corellian_deluxe_cruiser_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('1811', 'object/tangible/wearables/armor/ris/shared_armor_ris_boots.iff');
INSERT INTO `template_items` VALUES ('1812', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_turbo.iff');
INSERT INTO `template_items` VALUES ('1813', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('1814', 'object/tangible/deed/event_perk/shared_fed_dub_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('1815', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1816', 'object/tangible/component/chemistry/shared_infection_amplifier_advanced.iff');
INSERT INTO `template_items` VALUES ('1817', 'object/tangible/wearables/ithorian/shared_ith_pants_s01.iff');
INSERT INTO `template_items` VALUES ('1818', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s2.iff');
INSERT INTO `template_items` VALUES ('1819', 'object/tangible/component/droid/repair/shared_diagnostic_circuit_advanced.iff');
INSERT INTO `template_items` VALUES ('1820', 'object/tangible/deed/pet_deed/shared_vehicular_prototype_bike.iff');
INSERT INTO `template_items` VALUES ('1821', 'object/tangible/lair/flewt/shared_lair_flewt_forest.iff');
INSERT INTO `template_items` VALUES ('1822', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_07.iff');
INSERT INTO `template_items` VALUES ('1823', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_2.iff');
INSERT INTO `template_items` VALUES ('1824', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_02.iff');
INSERT INTO `template_items` VALUES ('1825', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk3.iff');
INSERT INTO `template_items` VALUES ('1826', 'object/tangible/wearables/necklace/shared_necklace_pawl_chain.iff');
INSERT INTO `template_items` VALUES ('1827', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_improved_manager_mk1.iff');
INSERT INTO `template_items` VALUES ('1828', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl_swamp.iff');
INSERT INTO `template_items` VALUES ('1829', 'object/tangible/mission/quest_item/shared_fixer_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1830', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s09.iff');
INSERT INTO `template_items` VALUES ('1831', 'object/tangible/wearables/necklace/shared_necklace_s04.iff');
INSERT INTO `template_items` VALUES ('1832', 'object/tangible/lair/base/shared_objective_data_terminal.iff');
INSERT INTO `template_items` VALUES ('1833', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk4.iff');
INSERT INTO `template_items` VALUES ('1834', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('1835', 'object/tangible/hair/sullustan/shared_sul_hair_s09_m.iff');
INSERT INTO `template_items` VALUES ('1836', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('1837', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_c.iff');
INSERT INTO `template_items` VALUES ('1838', 'object/tangible/food/crafted/shared_dish_scrimpi.iff');
INSERT INTO `template_items` VALUES ('1839', 'object/tangible/component/dna/shared_dna_template_dewback.iff');
INSERT INTO `template_items` VALUES ('1840', 'object/tangible/ship/components/engine/shared_engine_novaldex_singularity.iff');
INSERT INTO `template_items` VALUES ('1841', 'object/tangible/ship/components/chassis/shared_blacksun_light_s04_chassis_token.iff');
INSERT INTO `template_items` VALUES ('1842', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s03_0.iff');
INSERT INTO `template_items` VALUES ('1843', 'object/tangible/component/armor/shared_armor_segment_enhancement_rancor.iff');
INSERT INTO `template_items` VALUES ('1844', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_accuracy.iff');
INSERT INTO `template_items` VALUES ('1845', 'object/tangible/ship/components/reactor/shared_rct_incom_mark2.iff');
INSERT INTO `template_items` VALUES ('1846', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('1847', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s02.iff');
INSERT INTO `template_items` VALUES ('1848', 'object/tangible/component/armor/shared_armor_segment_bone.iff');
INSERT INTO `template_items` VALUES ('1849', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('1850', 'object/tangible/loot/simple_kit/shared_wiring.iff');
INSERT INTO `template_items` VALUES ('1851', 'object/tangible/ship/components/droid_interface/shared_ddi_haor_chall_vintage_piece.iff');
INSERT INTO `template_items` VALUES ('1852', 'object/tangible/ship/attachment/booster/shared_z95_booster_s02.iff');
INSERT INTO `template_items` VALUES ('1853', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s05_1.iff');
INSERT INTO `template_items` VALUES ('1854', 'object/tangible/deed/city_deed/shared_garden_dantooine_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('1855', 'object/tangible/component/armor/shared_heavy_armor_layer_energy.iff');
INSERT INTO `template_items` VALUES ('1856', 'object/tangible/ship/components/engine/shared_eng_sorosuub_u83r_ion_drive.iff');
INSERT INTO `template_items` VALUES ('1857', 'object/tangible/wearables/necklace/shared_necklace_crushed_brooch.iff');
INSERT INTO `template_items` VALUES ('1858', 'object/tangible/component/food/shared_container_large_glass.iff');
INSERT INTO `template_items` VALUES ('1859', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s05.iff');
INSERT INTO `template_items` VALUES ('1860', 'object/tangible/component/vehicle/shared_structural_reinforcements.iff');
INSERT INTO `template_items` VALUES ('1861', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('1862', 'object/tangible/loot/misc/shared_hyperdrive_part_s01.iff');
INSERT INTO `template_items` VALUES ('1863', 'object/tangible/mission/quest_item/shared_warren_evidence_s04.iff');
INSERT INTO `template_items` VALUES ('1864', 'object/tangible/ship/attachment/wing/shared_bwing_body.iff');
INSERT INTO `template_items` VALUES ('1865', 'object/tangible/deed/event_perk/shared_talus_flag_deed.iff');
INSERT INTO `template_items` VALUES ('1866', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_square.iff');
INSERT INTO `template_items` VALUES ('1867', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_red.iff');
INSERT INTO `template_items` VALUES ('1868', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_03.iff');
INSERT INTO `template_items` VALUES ('1869', 'object/tangible/hair/rodian/shared_hair_rodian_female_s21.iff');
INSERT INTO `template_items` VALUES ('1870', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_helmet_schematic.iff');
INSERT INTO `template_items` VALUES ('1871', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1872', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk3.iff');
INSERT INTO `template_items` VALUES ('1873', 'object/tangible/mission/shared_mission_recon_target.iff');
INSERT INTO `template_items` VALUES ('1874', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s2.iff');
INSERT INTO `template_items` VALUES ('1875', 'object/tangible/hair/sullustan/shared_sul_hair_s06_f.iff');
INSERT INTO `template_items` VALUES ('1876', 'object/tangible/wearables/gloves/shared_gloves_s06.iff');
INSERT INTO `template_items` VALUES ('1877', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s01_deed.iff');
INSERT INTO `template_items` VALUES ('1878', 'object/tangible/deed/pet_deed/shared_sand_panther_deed.iff');
INSERT INTO `template_items` VALUES ('1879', 'object/tangible/wearables/dress/shared_dress_s08.iff');
INSERT INTO `template_items` VALUES ('1880', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv5_disruptor.iff');
INSERT INTO `template_items` VALUES ('1881', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('1882', 'object/tangible/ship/components/armor/shared_arm_koensayr_b5_durasteel.iff');
INSERT INTO `template_items` VALUES ('1883', 'object/tangible/loot/quest/shared_nym_filtered_gas.iff');
INSERT INTO `template_items` VALUES ('1884', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_courage.iff');
INSERT INTO `template_items` VALUES ('1885', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_1.iff');
INSERT INTO `template_items` VALUES ('1886', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m6.iff');
INSERT INTO `template_items` VALUES ('1887', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('1888', 'object/tangible/painting/shared_painting_twilek_f.iff');
INSERT INTO `template_items` VALUES ('1889', 'object/tangible/deed/pet_deed/shared_zucca_boar_deed.iff');
INSERT INTO `template_items` VALUES ('1890', 'object/tangible/terminal/shared_terminal_hq_rebel.iff');
INSERT INTO `template_items` VALUES ('1891', 'object/tangible/ship/components/shield_generator/shared_shd_kse_elite.iff');
INSERT INTO `template_items` VALUES ('1892', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_custom_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('1893', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_02.iff');
INSERT INTO `template_items` VALUES ('1894', 'object/tangible/hair/bothan/shared_hair_bothan_male_s11.iff');
INSERT INTO `template_items` VALUES ('1895', 'object/tangible/painting/shared_painting_trandoshan_m_01.iff');
INSERT INTO `template_items` VALUES ('1896', 'object/tangible/ship/crafted/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `template_items` VALUES ('1897', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s05.iff');
INSERT INTO `template_items` VALUES ('1898', 'object/tangible/component/item/quest_item/shared_particle_sensor.iff');
INSERT INTO `template_items` VALUES ('1899', 'object/tangible/wearables/bikini/shared_bikini_s04.iff');
INSERT INTO `template_items` VALUES ('1900', 'object/tangible/deed/generator_deed/shared_generator_solar_deed.iff');
INSERT INTO `template_items` VALUES ('1901', 'object/tangible/ship/components/armor/shared_arm_corellian_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('1902', 'object/tangible/food/spice/shared_spice_sweetblossom.iff');
INSERT INTO `template_items` VALUES ('1903', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('1904', 'object/tangible/component/chemistry/shared_dispersal_mechanism_advanced.iff');
INSERT INTO `template_items` VALUES ('1905', 'object/tangible/lair/base/shared_poi_all_lair_wooden.iff');
INSERT INTO `template_items` VALUES ('1906', 'object/tangible/wearables/ithorian/shared_hat_chef_s02_ith.iff');
INSERT INTO `template_items` VALUES ('1907', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06.iff');
INSERT INTO `template_items` VALUES ('1908', 'object/tangible/ship/attachment/engine/shared_z95_engine_s02.iff');
INSERT INTO `template_items` VALUES ('1909', 'object/tangible/wearables/earring/shared_earring_s08.iff');
INSERT INTO `template_items` VALUES ('1910', 'object/tangible/crafting/shared_missing_schematic_substitute.iff');
INSERT INTO `template_items` VALUES ('1911', 'object/tangible/instrument/shared_flute_droopy.iff');
INSERT INTO `template_items` VALUES ('1912', 'object/tangible/wearables/ithorian/shared_ith_necklace_s06.iff');
INSERT INTO `template_items` VALUES ('1913', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_helmet.iff');
INSERT INTO `template_items` VALUES ('1914', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('1915', 'object/tangible/mission/shared_mission_terminal.iff');
INSERT INTO `template_items` VALUES ('1916', 'object/tangible/furniture/all/shared_frn_all_desk_map_table_insert.iff');
INSERT INTO `template_items` VALUES ('1917', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('1918', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1919', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('1920', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('1921', 'object/tangible/loadbeacon/shared_loadbeacon_base.iff');
INSERT INTO `template_items` VALUES ('1922', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1923', 'object/tangible/deed/city_deed/shared_garden_naboo_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('1924', 'object/tangible/furniture/all/shared_frn_all_couch_divan_s1.iff');
INSERT INTO `template_items` VALUES ('1925', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_belt.iff');
INSERT INTO `template_items` VALUES ('1926', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism.iff');
INSERT INTO `template_items` VALUES ('1927', 'object/tangible/loot/loot_schematic/shared_microphone_s02_schematic.iff');
INSERT INTO `template_items` VALUES ('1928', 'object/tangible/ship/components/engine/shared_engine_novaldex_x12.iff');
INSERT INTO `template_items` VALUES ('1929', 'object/tangible/mission/quest_item/shared_luthik_uwyr_q2_needed.iff');
INSERT INTO `template_items` VALUES ('1930', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s01.iff');
INSERT INTO `template_items` VALUES ('1931', 'object/tangible/wearables/robe/shared_robe_prefect_talmont.iff');
INSERT INTO `template_items` VALUES ('1932', 'object/tangible/wearables/base/shared_base_jumpsuit_shortsleeve.iff');
INSERT INTO `template_items` VALUES ('1933', 'object/tangible/furniture/all/shared_frn_all_chair_metal_s1.iff');
INSERT INTO `template_items` VALUES ('1934', 'object/tangible/deed/event_perk/shared_imperial_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('1935', 'object/tangible/firework/shared_firework_s10.iff');
INSERT INTO `template_items` VALUES ('1936', 'object/tangible/lair/graul/shared_lair_graul_jungle.iff');
INSERT INTO `template_items` VALUES ('1937', 'object/tangible/wearables/armor/ris/shared_armor_ris_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1938', 'object/tangible/deed/pet_deed/shared_dewback_deed.iff');
INSERT INTO `template_items` VALUES ('1939', 'object/tangible/food/crafted/shared_dish_crispic.iff');
INSERT INTO `template_items` VALUES ('1940', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_b.iff');
INSERT INTO `template_items` VALUES ('1941', 'object/tangible/ship/components/weapon/shared_wpn_mandal_elite_annihilator.iff');
INSERT INTO `template_items` VALUES ('1942', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk1.iff');
INSERT INTO `template_items` VALUES ('1943', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1944', 'object/tangible/ship/components/booster/shared_bst_koensayr_evh12.iff');
INSERT INTO `template_items` VALUES ('1945', 'object/tangible/terminal/shared_terminal_city_vote.iff');
INSERT INTO `template_items` VALUES ('1946', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_small.iff');
INSERT INTO `template_items` VALUES ('1947', 'object/tangible/ship/components/booster/shared_bst_mandal_enhanced_jbj_mk1.iff');
INSERT INTO `template_items` VALUES ('1948', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('1949', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_boots.iff');
INSERT INTO `template_items` VALUES ('1950', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_2.iff');
INSERT INTO `template_items` VALUES ('1951', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler01.iff');
INSERT INTO `template_items` VALUES ('1952', 'object/tangible/ship/interior_components/shared_shield_generator_interior.iff');
INSERT INTO `template_items` VALUES ('1953', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_base.iff');
INSERT INTO `template_items` VALUES ('1954', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s01.iff');
INSERT INTO `template_items` VALUES ('1955', 'object/tangible/hair/twilek/shared_hair_twilek_male_s02.iff');
INSERT INTO `template_items` VALUES ('1956', 'object/tangible/component/droid/shared_item_storage_module_base.iff');
INSERT INTO `template_items` VALUES ('1957', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_a.iff');
INSERT INTO `template_items` VALUES ('1958', 'object/tangible/container/jar/shared_jar_empty_s01.iff');
INSERT INTO `template_items` VALUES ('1959', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_heavy.iff');
INSERT INTO `template_items` VALUES ('1960', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bicep_l.iff');
INSERT INTO `template_items` VALUES ('1961', 'object/tangible/deed/pet_deed/shared_gnort_deed.iff');
INSERT INTO `template_items` VALUES ('1962', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_datapad.iff');
INSERT INTO `template_items` VALUES ('1963', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_utility_belt.iff');
INSERT INTO `template_items` VALUES ('1964', 'object/tangible/dice/shared_eqp_configurable_group_dice.iff');
INSERT INTO `template_items` VALUES ('1965', 'object/tangible/component/dna/shared_dna_template_dalyrake.iff');
INSERT INTO `template_items` VALUES ('1966', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1967', 'object/tangible/component/weapon/shared_projectile_pistol_barrel.iff');
INSERT INTO `template_items` VALUES ('1968', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk4.iff');
INSERT INTO `template_items` VALUES ('1969', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_house.iff');
INSERT INTO `template_items` VALUES ('1970', 'object/tangible/camp/shared_camp_light_s1.iff');
INSERT INTO `template_items` VALUES ('1971', 'object/tangible/furniture/all/shared_frn_all_couch_ottoman_s1.iff');
INSERT INTO `template_items` VALUES ('1972', 'object/tangible/ship/components/weapon/shared_wpn_gyrhil_r9x.iff');
INSERT INTO `template_items` VALUES ('1973', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_b.iff');
INSERT INTO `template_items` VALUES ('1974', 'object/tangible/deed/event_perk/shared_destroyed_atat_theater_deed.iff');
INSERT INTO `template_items` VALUES ('1975', 'object/tangible/hair/rodian/shared_hair_rodian_female_s15.iff');
INSERT INTO `template_items` VALUES ('1976', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk4.iff');
INSERT INTO `template_items` VALUES ('1977', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s13.iff');
INSERT INTO `template_items` VALUES ('1978', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_a.iff');
INSERT INTO `template_items` VALUES ('1979', 'object/tangible/loot/quest/shared_huff_quest_borvos_money.iff');
INSERT INTO `template_items` VALUES ('1980', 'object/tangible/terminal/shared_terminal_shipping.iff');
INSERT INTO `template_items` VALUES ('1981', 'object/tangible/instrument/shared_organ_max_rebo.iff');
INSERT INTO `template_items` VALUES ('1982', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('1983', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler01.iff');
INSERT INTO `template_items` VALUES ('1984', 'object/tangible/ship/components/armor/shared_arm_incom_light_plate.iff');
INSERT INTO `template_items` VALUES ('1985', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s02.iff');
INSERT INTO `template_items` VALUES ('1986', 'object/tangible/ship/crafted/repair/shared_repair_kit_base.iff');
INSERT INTO `template_items` VALUES ('1987', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s07.iff');
INSERT INTO `template_items` VALUES ('1988', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z3.iff');
INSERT INTO `template_items` VALUES ('1989', 'object/tangible/medicine/shared_medpack_enhance_quickness.iff');
INSERT INTO `template_items` VALUES ('1990', 'object/tangible/food/crafted/additive/shared_additive_light.iff');
INSERT INTO `template_items` VALUES ('1991', 'object/tangible/component/dna/shared_dna_template_torton.iff');
INSERT INTO `template_items` VALUES ('1992', 'object/tangible/furniture/jedi/shared_frn_all_banner_dark.iff');
INSERT INTO `template_items` VALUES ('1993', 'object/tangible/painting/shared_painting_planet_s01.iff');
INSERT INTO `template_items` VALUES ('1994', 'object/tangible/deed/pet_deed/shared_dune_lizard_deed.iff');
INSERT INTO `template_items` VALUES ('1995', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_blaster_green.iff');
INSERT INTO `template_items` VALUES ('1996', 'object/tangible/wearables/apron/shared_apron_chef_s01.iff');
INSERT INTO `template_items` VALUES ('1997', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_03.iff');
INSERT INTO `template_items` VALUES ('1998', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_02.iff');
INSERT INTO `template_items` VALUES ('1999', 'object/tangible/ship/components/engine/shared_eng_novaldex_x6.iff');
INSERT INTO `template_items` VALUES ('2000', 'object/tangible/lair/gekk/shared_lair_gekk_forest.iff');
INSERT INTO `template_items` VALUES ('2001', 'object/tangible/location/shared_location_80.iff');
INSERT INTO `template_items` VALUES ('2002', 'object/tangible/lair/jellyfish/shared_lair_jellyfish.iff');
INSERT INTO `template_items` VALUES ('2003', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_a.iff');
INSERT INTO `template_items` VALUES ('2004', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk4.iff');
INSERT INTO `template_items` VALUES ('2005', 'object/tangible/theme_park/alderaan/act3/shared_repaired_grav_unit.iff');
INSERT INTO `template_items` VALUES ('2006', 'object/tangible/ship/components/armor/shared_arm_subpro_enhanced_supreme_plastisteel.iff');
INSERT INTO `template_items` VALUES ('2007', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s11.iff');
INSERT INTO `template_items` VALUES ('2008', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_01.iff');
INSERT INTO `template_items` VALUES ('2009', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_forest.iff');
INSERT INTO `template_items` VALUES ('2010', 'object/tangible/ship/components/reactor/shared_rct_reward_taim_elite.iff');
INSERT INTO `template_items` VALUES ('2011', 'object/tangible/lair/vynock/shared_lair_vynock_wasteland.iff');
INSERT INTO `template_items` VALUES ('2012', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_honey_carafe.iff');
INSERT INTO `template_items` VALUES ('2013', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_power.iff');
INSERT INTO `template_items` VALUES ('2014', 'object/tangible/hair/twilek/shared_hair_twilek_female_s03.iff');
INSERT INTO `template_items` VALUES ('2015', 'object/tangible/lair/baz_nitch/shared_lair_baz_nitch_mountain.iff');
INSERT INTO `template_items` VALUES ('2016', 'object/tangible/ship/components/armor/shared_arm_sorosuub_heavy_plastisteel.iff');
INSERT INTO `template_items` VALUES ('2017', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('2018', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_belt.iff');
INSERT INTO `template_items` VALUES ('2019', 'object/tangible/mission/shared_mission_informant_spawner_hard.iff');
INSERT INTO `template_items` VALUES ('2020', 'object/tangible/hair/human/shared_hair_human_female_s27.iff');
INSERT INTO `template_items` VALUES ('2021', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax_grassland.iff');
INSERT INTO `template_items` VALUES ('2022', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('2023', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2024', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_leggings.iff');
INSERT INTO `template_items` VALUES ('2025', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('2026', 'object/tangible/loot/collectible/collectible_rewards/shared_gong.iff');
INSERT INTO `template_items` VALUES ('2027', 'object/tangible/lair/huf_dun_hill/shared_lair_huf_dun_hill.iff');
INSERT INTO `template_items` VALUES ('2028', 'object/tangible/deed/pet_deed/shared_rancor_deed.iff');
INSERT INTO `template_items` VALUES ('2029', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_01.iff');
INSERT INTO `template_items` VALUES ('2030', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_bike_deed.iff');
INSERT INTO `template_items` VALUES ('2031', 'object/tangible/lair/mamien/shared_lair_mamien.iff');
INSERT INTO `template_items` VALUES ('2032', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent.iff');
INSERT INTO `template_items` VALUES ('2033', 'object/tangible/mission/quest_item/shared_vana_sage_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2034', 'object/tangible/transport/shared_strut_c.iff');
INSERT INTO `template_items` VALUES ('2035', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_b.iff');
INSERT INTO `template_items` VALUES ('2036', 'object/tangible/component/vehicle/shared_armor_panel_cold.iff');
INSERT INTO `template_items` VALUES ('2037', 'object/tangible/component/dna/shared_dna_template_blurrg.iff');
INSERT INTO `template_items` VALUES ('2038', 'object/tangible/ship/components/weapon/shared_wpn_std_countermeasure.iff');
INSERT INTO `template_items` VALUES ('2039', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s02.iff');
INSERT INTO `template_items` VALUES ('2040', 'object/tangible/container/loot/shared_loot_crate.iff');
INSERT INTO `template_items` VALUES ('2041', 'object/tangible/wearables/ithorian/shared_ith_pants_s08.iff');
INSERT INTO `template_items` VALUES ('2042', 'object/tangible/lair/pugoriss/shared_lair_pugoriss.iff');
INSERT INTO `template_items` VALUES ('2043', 'object/tangible/food/crafted/shared_dessert_sweet_cake_mix.iff');
INSERT INTO `template_items` VALUES ('2044', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma.iff');
INSERT INTO `template_items` VALUES ('2045', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk1.iff');
INSERT INTO `template_items` VALUES ('2046', 'object/tangible/mission/quest_item/shared_warren_turret_sequence.iff');
INSERT INTO `template_items` VALUES ('2047', 'object/tangible/loot/loot_schematic/shared_elegant_cabinet_schematic.iff');
INSERT INTO `template_items` VALUES ('2048', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_2.iff');
INSERT INTO `template_items` VALUES ('2049', 'object/tangible/mission/quest_item/shared_fixer_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2050', 'object/tangible/component/droid/shared_detonation_module.iff');
INSERT INTO `template_items` VALUES ('2051', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('2052', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_deluxe_elite.iff');
INSERT INTO `template_items` VALUES ('2053', 'object/tangible/furniture/decorative/shared_portable_stove.iff');
INSERT INTO `template_items` VALUES ('2054', 'object/tangible/medicine/crafted/shared_medpack_wound_health_e.iff');
INSERT INTO `template_items` VALUES ('2055', 'object/tangible/hair/human/base/shared_hair_human_base.iff');
INSERT INTO `template_items` VALUES ('2056', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s01.iff');
INSERT INTO `template_items` VALUES ('2057', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_wounding.iff');
INSERT INTO `template_items` VALUES ('2058', 'object/tangible/ship/components/weapon/shared_wpn_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('2059', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk3.iff');
INSERT INTO `template_items` VALUES ('2060', 'object/tangible/wearables/bracelet/shared_bracelet_s04_l.iff');
INSERT INTO `template_items` VALUES ('2061', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('2062', 'object/tangible/component/clothing/shared_clothing_treatment_crystalline.iff');
INSERT INTO `template_items` VALUES ('2063', 'object/tangible/ship/components/base/shared_ship_component_loot_base.iff');
INSERT INTO `template_items` VALUES ('2064', 'object/tangible/deed/pet_deed/shared_kimogila_deed.iff');
INSERT INTO `template_items` VALUES ('2065', 'object/tangible/component/armor/shared_armor_segment_bone_acklay.iff');
INSERT INTO `template_items` VALUES ('2066', 'object/tangible/deed/pet_deed/shared_kima_deed.iff');
INSERT INTO `template_items` VALUES ('2067', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2068', 'object/tangible/component/munition/shared_warhead_medium.iff');
INSERT INTO `template_items` VALUES ('2069', 'object/tangible/lair/base/shared_antpile_light.iff');
INSERT INTO `template_items` VALUES ('2070', 'object/tangible/wearables/jacket/shared_jacket_s02.iff');
INSERT INTO `template_items` VALUES ('2071', 'object/tangible/deed/city_deed/shared_garden_naboo_med_05_deed.iff');
INSERT INTO `template_items` VALUES ('2072', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_interface.iff');
INSERT INTO `template_items` VALUES ('2073', 'object/tangible/ship/components/armor/shared_armor_test.iff');
INSERT INTO `template_items` VALUES ('2074', 'object/tangible/furniture/plain/shared_plain_couch_s01.iff');
INSERT INTO `template_items` VALUES ('2075', 'object/tangible/wearables/hat/shared_hat_s13.iff');
INSERT INTO `template_items` VALUES ('2076', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2077', 'object/tangible/scout/camp/shared_camp_basic.iff');
INSERT INTO `template_items` VALUES ('2078', 'object/tangible/wearables/bandolier/shared_double_bandolier.iff');
INSERT INTO `template_items` VALUES ('2079', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther.iff');
INSERT INTO `template_items` VALUES ('2080', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe.iff');
INSERT INTO `template_items` VALUES ('2081', 'object/tangible/sign/player/banner/shared_pa_hall.iff');
INSERT INTO `template_items` VALUES ('2082', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental_sarlacc_s1.iff');
INSERT INTO `template_items` VALUES ('2083', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_a.iff');
INSERT INTO `template_items` VALUES ('2084', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s02.iff');
INSERT INTO `template_items` VALUES ('2085', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s04_lg.iff');
INSERT INTO `template_items` VALUES ('2086', 'object/tangible/lair/blistmok/shared_lair_blistmok_wasteland.iff');
INSERT INTO `template_items` VALUES ('2087', 'object/tangible/region/shared_deliver_region_30.iff');
INSERT INTO `template_items` VALUES ('2088', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('2089', 'object/tangible/wearables/ring/shared_ring_s01.iff');
INSERT INTO `template_items` VALUES ('2090', 'object/tangible/hair/human/shared_hair_human_male_s12.iff');
INSERT INTO `template_items` VALUES ('2091', 'object/tangible/component/droid/shared_item_storage_module_6.iff');
INSERT INTO `template_items` VALUES ('2092', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('2093', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_modified_droid_commander_mk1.iff');
INSERT INTO `template_items` VALUES ('2094', 'object/tangible/wearables/armor/composite/shared_armor_composite_bracer_l.iff');
INSERT INTO `template_items` VALUES ('2095', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2096', 'object/tangible/ship/components/armor/shared_armor_seinar_enhanced_plasteel.iff');
INSERT INTO `template_items` VALUES ('2097', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_large.iff');
INSERT INTO `template_items` VALUES ('2098', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_a.iff');
INSERT INTO `template_items` VALUES ('2099', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('2100', 'object/tangible/furniture/city/shared_streetlamp_large_green_02.iff');
INSERT INTO `template_items` VALUES ('2101', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_deepwell_k33_prototype.iff');
INSERT INTO `template_items` VALUES ('2102', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s03.iff');
INSERT INTO `template_items` VALUES ('2103', 'object/tangible/ship/components/weapon/shared_wpn_kse_double_blaster.iff');
INSERT INTO `template_items` VALUES ('2104', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('2105', 'object/tangible/powerup/weapon/shared_ranged_grip.iff');
INSERT INTO `template_items` VALUES ('2106', 'object/tangible/loot/misc/shared_key_electronic_s01.iff');
INSERT INTO `template_items` VALUES ('2107', 'object/tangible/wearables/earring/shared_earring_s01.iff');
INSERT INTO `template_items` VALUES ('2108', 'object/tangible/medicine/shared_medpack_wound_stamina.iff');
INSERT INTO `template_items` VALUES ('2109', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_novaldex_hypernova.iff');
INSERT INTO `template_items` VALUES ('2110', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2111', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x2.iff');
INSERT INTO `template_items` VALUES ('2112', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_heavy.iff');
INSERT INTO `template_items` VALUES ('2113', 'object/tangible/deed/city_deed/shared_garden_corellia_med_04_deed.iff');
INSERT INTO `template_items` VALUES ('2114', 'object/tangible/hair/rodian/shared_hair_rodian_male_s05.iff');
INSERT INTO `template_items` VALUES ('2115', 'object/tangible/hair/bothan/shared_hair_bothan_male_s18.iff');
INSERT INTO `template_items` VALUES ('2116', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tricannon.iff');
INSERT INTO `template_items` VALUES ('2117', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_limited_mk4.iff');
INSERT INTO `template_items` VALUES ('2118', 'object/tangible/component/armor/shared_armor_module_heavy.iff');
INSERT INTO `template_items` VALUES ('2119', 'object/tangible/mission/quest_item/shared_luthin_dlunar_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2120', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01.iff');
INSERT INTO `template_items` VALUES ('2121', 'object/tangible/wearables/pants/shared_pants_s30.iff');
INSERT INTO `template_items` VALUES ('2122', 'object/tangible/lair/kwi/shared_lair_kwi_mountain.iff');
INSERT INTO `template_items` VALUES ('2123', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s02_deed.iff');
INSERT INTO `template_items` VALUES ('2124', 'object/tangible/survey_tool/shared_survey_tool_lumber.iff');
INSERT INTO `template_items` VALUES ('2125', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s02.iff');
INSERT INTO `template_items` VALUES ('2126', 'object/tangible/ship/crafted/chassis/shared_chassis_tiefighter_body.iff');
INSERT INTO `template_items` VALUES ('2127', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx3.iff');
INSERT INTO `template_items` VALUES ('2128', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2129', 'object/tangible/bug_jar/shared_sample_moths.iff');
INSERT INTO `template_items` VALUES ('2130', 'object/tangible/deed/city_deed/shared_cantina_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('2131', 'object/tangible/component/dna/shared_dna_template_fambaa.iff');
INSERT INTO `template_items` VALUES ('2132', 'object/tangible/ship/components/armor/shared_armor_trilon_custom.iff');
INSERT INTO `template_items` VALUES ('2133', 'object/tangible/theme_park/alderaan/act3/shared_broken_grav_unit.iff');
INSERT INTO `template_items` VALUES ('2134', 'object/tangible/wearables/skirt/shared_skirt_s06.iff');
INSERT INTO `template_items` VALUES ('2135', 'object/tangible/ship/components/weapon/shared_wpn_generic.iff');
INSERT INTO `template_items` VALUES ('2136', 'object/tangible/component/structure/shared_light_power_core_unit.iff');
INSERT INTO `template_items` VALUES ('2137', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar_advanced.iff');
INSERT INTO `template_items` VALUES ('2138', 'object/tangible/component/droid/shared_manipulator_arm.iff');
INSERT INTO `template_items` VALUES ('2139', 'object/tangible/wearables/belt/shared_belt_s02.iff');
INSERT INTO `template_items` VALUES ('2140', 'object/tangible/ship/crafted/shields/shared_base_shields.iff');
INSERT INTO `template_items` VALUES ('2141', 'object/tangible/mission/quest_item/shared_ebenn_baobab_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2142', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('2143', 'object/tangible/space/content_infrastructure/shared_basic_corridor_point.iff');
INSERT INTO `template_items` VALUES ('2144', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk2.iff');
INSERT INTO `template_items` VALUES ('2145', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_4.iff');
INSERT INTO `template_items` VALUES ('2146', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('2147', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_chest_plate.iff');
INSERT INTO `template_items` VALUES ('2148', 'object/tangible/hair/bothan/shared_hair_bothan_female_s07.iff');
INSERT INTO `template_items` VALUES ('2149', 'object/tangible/test/shared_test_terminal.iff');
INSERT INTO `template_items` VALUES ('2150', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_mountain.iff');
INSERT INTO `template_items` VALUES ('2151', 'object/tangible/deed/event_perk/shared_imperial_landing_party_lambda_theater_deed.iff');
INSERT INTO `template_items` VALUES ('2152', 'object/tangible/component/droid/shared_droid_brain_advanced.iff');
INSERT INTO `template_items` VALUES ('2153', 'object/tangible/component/vehicle/base/shared_base_veh_hull_hvy.iff');
INSERT INTO `template_items` VALUES ('2154', 'object/tangible/dungeon/shared_coal_bin_container.iff');
INSERT INTO `template_items` VALUES ('2155', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s10.iff');
INSERT INTO `template_items` VALUES ('2156', 'object/tangible/mission/quest_item/shared_tekil_barje_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2157', 'object/tangible/hair/human/shared_hair_human_female_s37.iff');
INSERT INTO `template_items` VALUES ('2158', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_light.iff');
INSERT INTO `template_items` VALUES ('2159', 'object/tangible/wearables/goggles/shared_goggles_s04.iff');
INSERT INTO `template_items` VALUES ('2160', 'object/tangible/deed/event_perk/shared_tatooine_flag_deed.iff');
INSERT INTO `template_items` VALUES ('2161', 'object/tangible/painting/shared_painting_wookiee_m.iff');
INSERT INTO `template_items` VALUES ('2162', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('2163', 'object/tangible/loot/simple_kit/shared_viewscreen_printer.iff');
INSERT INTO `template_items` VALUES ('2164', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk1.iff');
INSERT INTO `template_items` VALUES ('2165', 'object/tangible/lair/huurton/shared_lair_huurton.iff');
INSERT INTO `template_items` VALUES ('2166', 'object/tangible/mission/quest_item/shared_melios_purl_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2167', 'object/tangible/base/shared_tangible_default.iff');
INSERT INTO `template_items` VALUES ('2168', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_rebel_qualdex_battery_array.iff');
INSERT INTO `template_items` VALUES ('2169', 'object/tangible/wearables/ithorian/shared_ith_pants_s18.iff');
INSERT INTO `template_items` VALUES ('2170', 'object/tangible/ship/interior_components/shared_booster_interior.iff');
INSERT INTO `template_items` VALUES ('2171', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite_mountain.iff');
INSERT INTO `template_items` VALUES ('2172', 'object/tangible/droid/shared_navicomputer_5.iff');
INSERT INTO `template_items` VALUES ('2173', 'object/tangible/hair/sullustan/shared_sul_hair_s18_m.iff');
INSERT INTO `template_items` VALUES ('2174', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('2175', 'object/tangible/firework/shared_firework_three.iff');
INSERT INTO `template_items` VALUES ('2176', 'object/tangible/component/armor/shared_armor_segment.iff');
INSERT INTO `template_items` VALUES ('2177', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s02.iff');
INSERT INTO `template_items` VALUES ('2178', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_dye.iff');
INSERT INTO `template_items` VALUES ('2179', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s01.iff');
INSERT INTO `template_items` VALUES ('2180', 'object/tangible/loot/misc/shared_shisa_decorative_s01.iff');
INSERT INTO `template_items` VALUES ('2181', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_03.iff');
INSERT INTO `template_items` VALUES ('2182', 'object/tangible/ship/components/weapon/shared_wpn_corvette_turret_sm_s01.iff');
INSERT INTO `template_items` VALUES ('2183', 'object/tangible/component/weapon/shared_projectile_feed_mechanism.iff');
INSERT INTO `template_items` VALUES ('2184', 'object/tangible/lair/base/shared_poi_all_lair_bones_large.iff');
INSERT INTO `template_items` VALUES ('2185', 'object/tangible/ship/components/reactor/rct_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('2186', 'object/tangible/component/structure/shared_generator_turbine.iff');
INSERT INTO `template_items` VALUES ('2187', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s01.iff');
INSERT INTO `template_items` VALUES ('2188', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s06_0.iff');
INSERT INTO `template_items` VALUES ('2189', 'object/tangible/ship/crafted/capacitor/shared_basic_capacitor.iff');
INSERT INTO `template_items` VALUES ('2190', 'object/tangible/component/munition/shared_warhead_light.iff');
INSERT INTO `template_items` VALUES ('2191', 'object/tangible/loot/collectible/kits/shared_blue_rug_kit.iff');
INSERT INTO `template_items` VALUES ('2192', 'object/tangible/hair/sullustan/shared_sul_hair_s17_f.iff');
INSERT INTO `template_items` VALUES ('2193', 'object/tangible/lair/base/shared_objective_dantari_fire_pit.iff');
INSERT INTO `template_items` VALUES ('2194', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk1.iff');
INSERT INTO `template_items` VALUES ('2195', 'object/tangible/furniture/decorative/shared_microphone_s01.iff');
INSERT INTO `template_items` VALUES ('2196', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk4.iff');
INSERT INTO `template_items` VALUES ('2197', 'object/tangible/deed/pet_deed/shared_cu_pa_deed.iff');
INSERT INTO `template_items` VALUES ('2198', 'object/tangible/component/bio/shared_bio_component_food_medium_flavor.iff');
INSERT INTO `template_items` VALUES ('2199', 'object/tangible/ship/crafted/chassis/shared_ywing_deed.iff');
INSERT INTO `template_items` VALUES ('2200', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_pack.iff');
INSERT INTO `template_items` VALUES ('2201', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('2202', 'object/tangible/powerup/weapon/shared_melee_generic.iff');
INSERT INTO `template_items` VALUES ('2203', 'object/tangible/ship/components/engine/shared_engine_kongar_defender.iff');
INSERT INTO `template_items` VALUES ('2204', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_03_deed.iff');
INSERT INTO `template_items` VALUES ('2205', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_medium.iff');
INSERT INTO `template_items` VALUES ('2206', 'object/tangible/mission/quest_item/shared_attunement_grid.iff');
INSERT INTO `template_items` VALUES ('2207', 'object/tangible/ship/components/armor/shared_arm_koensayr_special_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('2208', 'object/tangible/deed/city_deed/shared_shuttleport_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('2209', 'object/tangible/dungeon/shared_poison_gas_cloud.iff');
INSERT INTO `template_items` VALUES ('2210', 'object/tangible/loot/quest/shared_treasure_map_hedon.iff');
INSERT INTO `template_items` VALUES ('2211', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('2212', 'object/tangible/component/vehicle/shared_adv_warhead_launcher.iff');
INSERT INTO `template_items` VALUES ('2213', 'object/tangible/painting/shared_painting_schematic_droid.iff');
INSERT INTO `template_items` VALUES ('2214', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_elite.iff');
INSERT INTO `template_items` VALUES ('2215', 'object/tangible/loot/tool/shared_calibrator_broken.iff');
INSERT INTO `template_items` VALUES ('2216', 'object/tangible/space/special_loot/shared_encoded_document.iff');
INSERT INTO `template_items` VALUES ('2217', 'object/tangible/terminal/shared_terminal_light_enclave_voting.iff');
INSERT INTO `template_items` VALUES ('2218', 'object/tangible/space/story_loot/shared_loot_tatooine_valarian.iff');
INSERT INTO `template_items` VALUES ('2219', 'object/tangible/component/weapon/shared_laser_cannon_gun_tube.iff');
INSERT INTO `template_items` VALUES ('2220', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('2221', 'object/tangible/ship/attachment/bridge/shared_star_destroyer_bridge.iff');
INSERT INTO `template_items` VALUES ('2222', 'object/tangible/component/dna/shared_dna_template_ronto.iff');
INSERT INTO `template_items` VALUES ('2223', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('2224', 'object/tangible/furniture/decorative/shared_bottle_tall.iff');
INSERT INTO `template_items` VALUES ('2225', 'object/tangible/ship/components/weapon/shared_wpn_awing_blaster.iff');
INSERT INTO `template_items` VALUES ('2226', 'object/tangible/furniture/city/shared_streetlamp_large_red_02.iff');
INSERT INTO `template_items` VALUES ('2227', 'object/tangible/component/dna/shared_dna_template_kahmurra.iff');
INSERT INTO `template_items` VALUES ('2228', 'object/tangible/component/dna/shared_dna_template_bolma.iff');
INSERT INTO `template_items` VALUES ('2229', 'object/tangible/lair/shear_mite/shared_lair_shear_mite.iff');
INSERT INTO `template_items` VALUES ('2230', 'object/tangible/ship/components/armor/shared_arm_cygnus_standard_weave.iff');
INSERT INTO `template_items` VALUES ('2231', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_woundchance.iff');
INSERT INTO `template_items` VALUES ('2232', 'object/tangible/ship/components/engine/shared_engine_koensayr_ionjet.iff');
INSERT INTO `template_items` VALUES ('2233', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_wing_l.iff');
INSERT INTO `template_items` VALUES ('2234', 'object/tangible/ship/components/engine/shared_eng_mandal_x37_vandal.iff');
INSERT INTO `template_items` VALUES ('2235', 'object/tangible/wearables/wookiee/shared_wke_gloves_s04.iff');
INSERT INTO `template_items` VALUES ('2236', 'object/tangible/travel/travel_ticket/shared_dungeon_ticket.iff');
INSERT INTO `template_items` VALUES ('2237', 'object/tangible/component/droid/shared_armor_module_1.iff');
INSERT INTO `template_items` VALUES ('2238', 'object/tangible/wearables/backpack/shared_backpack_s06_quest.iff');
INSERT INTO `template_items` VALUES ('2239', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_female_base.iff');
INSERT INTO `template_items` VALUES ('2240', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2241', 'object/tangible/food/crafted/shared_drink_bespin_port.iff');
INSERT INTO `template_items` VALUES ('2242', 'object/tangible/lair/langlatch/shared_lair_langlatch_wasteland.iff');
INSERT INTO `template_items` VALUES ('2243', 'object/tangible/camp/shared_camp_control_panel.iff');
INSERT INTO `template_items` VALUES ('2244', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun2.iff');
INSERT INTO `template_items` VALUES ('2245', 'object/tangible/deed/pet_deed/shared_deed_r2_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2246', 'object/tangible/ship/components/chassis/shared_ywing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2247', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster_mark3.iff');
INSERT INTO `template_items` VALUES ('2248', 'object/tangible/hair/rodian/shared_hair_rodian_female_s05.iff');
INSERT INTO `template_items` VALUES ('2249', 'object/tangible/food/foraged/shared_edible_jar_berries.iff');
INSERT INTO `template_items` VALUES ('2250', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_stabilizer.iff');
INSERT INTO `template_items` VALUES ('2251', 'object/tangible/trophy/shared_picture_handheld_s02.iff');
INSERT INTO `template_items` VALUES ('2252', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk5.iff');
INSERT INTO `template_items` VALUES ('2253', 'object/tangible/food/crafted/shared_drink_ithorian_mist.iff');
INSERT INTO `template_items` VALUES ('2254', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s03.iff');
INSERT INTO `template_items` VALUES ('2255', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_01.iff');
INSERT INTO `template_items` VALUES ('2256', 'object/tangible/loot/quest/shared_smooth_stone.iff');
INSERT INTO `template_items` VALUES ('2257', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_intel.iff');
INSERT INTO `template_items` VALUES ('2258', 'object/tangible/ship/components/booster/shared_bst_incom_fynock.iff');
INSERT INTO `template_items` VALUES ('2259', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap1.iff');
INSERT INTO `template_items` VALUES ('2260', 'object/tangible/component/weapon/shared_chemical_dispersion_mechanism_advanced.iff');
INSERT INTO `template_items` VALUES ('2261', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2262', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('2263', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_enhanced_rad_mk1.iff');
INSERT INTO `template_items` VALUES ('2264', 'object/tangible/wearables/belt/shared_belt_s12.iff');
INSERT INTO `template_items` VALUES ('2265', 'object/tangible/wearables/ithorian/shared_hat_chef_s01_ith.iff');
INSERT INTO `template_items` VALUES ('2266', 'object/tangible/deed/pet_deed/shared_deed_3p0_basic.iff');
INSERT INTO `template_items` VALUES ('2267', 'object/tangible/ship/components/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `template_items` VALUES ('2268', 'object/tangible/ship/components/booster/shared_bst_moncal_heavy.iff');
INSERT INTO `template_items` VALUES ('2269', 'object/tangible/deed/event_perk/shared_pavillion_1_static_deed.iff');
INSERT INTO `template_items` VALUES ('2270', 'object/tangible/component/weapon/shared_spider_spine.iff');
INSERT INTO `template_items` VALUES ('2271', 'object/tangible/loot/misc/shared_insects_rare_s01.iff');
INSERT INTO `template_items` VALUES ('2272', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk4.iff');
INSERT INTO `template_items` VALUES ('2273', 'object/tangible/space/story_loot/shared_loot_tatooine_series_tinrilo.iff');
INSERT INTO `template_items` VALUES ('2274', 'object/tangible/ship/components/base/shared_ship_subcomponent_base.iff');
INSERT INTO `template_items` VALUES ('2275', 'object/tangible/medicine/crafted/shared_medpack_disease_action_a.iff');
INSERT INTO `template_items` VALUES ('2276', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk5.iff');
INSERT INTO `template_items` VALUES ('2277', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('2278', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_theater.iff');
INSERT INTO `template_items` VALUES ('2279', 'object/tangible/medicine/pet/shared_droid_wound_kit_d.iff');
INSERT INTO `template_items` VALUES ('2280', 'object/tangible/furniture/modern/shared_chair_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2281', 'object/tangible/hair/bothan/shared_hair_bothan_female_s17.iff');
INSERT INTO `template_items` VALUES ('2282', 'object/tangible/loot/misc/shared_dermal_analyxer.iff');
INSERT INTO `template_items` VALUES ('2283', 'object/tangible/component/weapon/shared_blaster_power_handler_advanced.iff');
INSERT INTO `template_items` VALUES ('2284', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s02.iff');
INSERT INTO `template_items` VALUES ('2285', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s13.iff');
INSERT INTO `template_items` VALUES ('2286', 'object/tangible/hair/sullustan/shared_sul_hair_s15_m.iff');
INSERT INTO `template_items` VALUES ('2287', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler01.iff');
INSERT INTO `template_items` VALUES ('2288', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_rendili_prototype_x.iff');
INSERT INTO `template_items` VALUES ('2289', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s01.iff');
INSERT INTO `template_items` VALUES ('2290', 'object/tangible/sign/player/base/shared_shop_sign_base.iff');
INSERT INTO `template_items` VALUES ('2291', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_a.iff');
INSERT INTO `template_items` VALUES ('2292', 'object/tangible/wearables/earring/shared_earring_s11.iff');
INSERT INTO `template_items` VALUES ('2293', 'object/tangible/loot/quest/shared_victor_questp_testimony.iff');
INSERT INTO `template_items` VALUES ('2294', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_muscle_armor_schematic.iff');
INSERT INTO `template_items` VALUES ('2295', 'object/tangible/ship/components/chassis/shared_xwing_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2296', 'object/tangible/hair/rodian/shared_hair_rodian_male_s15.iff');
INSERT INTO `template_items` VALUES ('2297', 'object/tangible/hair/bothan/shared_hair_bothan_male_s08.iff');
INSERT INTO `template_items` VALUES ('2298', 'object/tangible/wearables/ithorian/shared_ith_belt_s16.iff');
INSERT INTO `template_items` VALUES ('2299', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_imperial_special_forces.iff');
INSERT INTO `template_items` VALUES ('2300', 'object/tangible/loot/loot_schematic/shared_technical_console_s02_schematic.iff');
INSERT INTO `template_items` VALUES ('2301', 'object/tangible/medicine/shared_healing_grenade.iff');
INSERT INTO `template_items` VALUES ('2302', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_gloves_schematic.iff');
INSERT INTO `template_items` VALUES ('2303', 'object/tangible/mission/shared_mission_bounty_droid_seeker.iff');
INSERT INTO `template_items` VALUES ('2304', 'object/tangible/component/bio/shared_bio_component_food_light.iff');
INSERT INTO `template_items` VALUES ('2305', 'object/tangible/ship/components/armor/shared_arm_koensayr_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('2306', 'object/tangible/sign/player/shared_house_address_tatooine.iff');
INSERT INTO `template_items` VALUES ('2307', 'object/tangible/lair/vir_vir/shared_lair_vir_vir.iff');
INSERT INTO `template_items` VALUES ('2308', 'object/tangible/component/weapon/shared_scope_weapon_sm_s02.iff');
INSERT INTO `template_items` VALUES ('2309', 'object/tangible/medicine/shared_antidote_sm_s1.iff');
INSERT INTO `template_items` VALUES ('2310', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('2311', 'object/tangible/lair/vog_eel/shared_lair_vog_eel.iff');
INSERT INTO `template_items` VALUES ('2312', 'object/tangible/loot/loot_schematic/shared_command_console_schematic.iff');
INSERT INTO `template_items` VALUES ('2313', 'object/tangible/furniture/modern/shared_rug_oval_m_s02.iff');
INSERT INTO `template_items` VALUES ('2314', 'object/tangible/terminal/shared_terminal_character_builder.iff');
INSERT INTO `template_items` VALUES ('2315', 'object/tangible/mission/quest_item/shared_grondorn_muse_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2316', 'object/tangible/loot/loot_schematic/shared_tatooine_tapestry_schematic.iff');
INSERT INTO `template_items` VALUES ('2317', 'object/tangible/wearables/dress/shared_dress_s11.iff');
INSERT INTO `template_items` VALUES ('2318', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_sds_high_output.iff');
INSERT INTO `template_items` VALUES ('2319', 'object/tangible/region/shared_deliver_region_20.iff');
INSERT INTO `template_items` VALUES ('2320', 'object/tangible/veteran_reward/shared_frn_vet_stormtrooper_toy.iff');
INSERT INTO `template_items` VALUES ('2321', 'object/tangible/component/weapon/shared_scope_weapon_lg_s01.iff');
INSERT INTO `template_items` VALUES ('2322', 'object/tangible/loot/loot_schematic/shared_hanging_planter_schematic.iff');
INSERT INTO `template_items` VALUES ('2323', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('2324', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2325', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_body.iff');
INSERT INTO `template_items` VALUES ('2326', 'object/tangible/wearables/robe/shared_robe_s05.iff');
INSERT INTO `template_items` VALUES ('2327', 'object/tangible/hair/human/shared_hair_human_male_s02.iff');
INSERT INTO `template_items` VALUES ('2328', 'object/tangible/beta/shared_beta_terminal_warp.iff');
INSERT INTO `template_items` VALUES ('2329', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_pack.iff');
INSERT INTO `template_items` VALUES ('2330', 'object/tangible/ship/crafted/booster/shared_booster_mk1.iff');
INSERT INTO `template_items` VALUES ('2331', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_intel.iff');
INSERT INTO `template_items` VALUES ('2332', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong_grassland.iff');
INSERT INTO `template_items` VALUES ('2333', 'object/tangible/ship/crafted/chassis/shared_tiefighter_deed.iff');
INSERT INTO `template_items` VALUES ('2334', 'object/tangible/ship/components/chassis/shared_tiebomber_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2335', 'object/tangible/ship/components/armor/shared_arm_corellian_elite_durasteel.iff');
INSERT INTO `template_items` VALUES ('2336', 'object/tangible/camp/shared_camp_cot_s2.iff');
INSERT INTO `template_items` VALUES ('2337', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_helmet.iff');
INSERT INTO `template_items` VALUES ('2338', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_imperial_sfs_military_grade.iff');
INSERT INTO `template_items` VALUES ('2339', 'object/tangible/vendor/shared_vendor_droid_power.iff');
INSERT INTO `template_items` VALUES ('2340', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('2341', 'object/tangible/component/droid/shared_performer_effects_b.iff');
INSERT INTO `template_items` VALUES ('2342', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s04.iff');
INSERT INTO `template_items` VALUES ('2343', 'object/tangible/medicine/pet/shared_droid_damage_kit_b.iff');
INSERT INTO `template_items` VALUES ('2344', 'object/tangible/ship/crafted/engine/shared_eng_mk4.iff');
INSERT INTO `template_items` VALUES ('2345', 'object/tangible/medicine/shared_grenade_disease.iff');
INSERT INTO `template_items` VALUES ('2346', 'object/tangible/deed/event_perk/shared_imperial_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('2347', 'object/tangible/ship/components/armor/shared_arm_mandal_enhanced_elite_composite.iff');
INSERT INTO `template_items` VALUES ('2348', 'object/tangible/component/armor/shared_armor_segment_ris.iff');
INSERT INTO `template_items` VALUES ('2349', 'object/tangible/component/vehicle/shared_proton_torpedo_array.iff');
INSERT INTO `template_items` VALUES ('2350', 'object/tangible/mission/quest_item/shared_melios_purl_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2351', 'object/tangible/medicine/crafted/shared_medpack_damage_e.iff');
INSERT INTO `template_items` VALUES ('2352', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s02.iff');
INSERT INTO `template_items` VALUES ('2353', 'object/tangible/ship/components/weapon/shared_wpn_subpro_modified_tricannon.iff');
INSERT INTO `template_items` VALUES ('2354', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('2355', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s02.iff');
INSERT INTO `template_items` VALUES ('2356', 'object/tangible/wearables/base/shared_base_robe_shortsleeve.iff');
INSERT INTO `template_items` VALUES ('2357', 'object/tangible/wearables/bracelet/shared_bracelet_l.iff');
INSERT INTO `template_items` VALUES ('2358', 'object/tangible/wearables/jacket/shared_jacket_s12.iff');
INSERT INTO `template_items` VALUES ('2359', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s01_0.iff');
INSERT INTO `template_items` VALUES ('2360', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s01.iff');
INSERT INTO `template_items` VALUES ('2361', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_special_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('2362', 'object/tangible/deed/pet_deed/shared_falumpaset_deed.iff');
INSERT INTO `template_items` VALUES ('2363', 'object/tangible/mission/quest_item/shared_serjix_arrogantus_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2364', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx5.iff');
INSERT INTO `template_items` VALUES ('2365', 'object/tangible/scout/camokit/shared_camokit_talus.iff');
INSERT INTO `template_items` VALUES ('2366', 'object/tangible/loot/quest/shared_wind_crystal.iff');
INSERT INTO `template_items` VALUES ('2367', 'object/tangible/lair/base/shared_lair_base_mound_insect_light.iff');
INSERT INTO `template_items` VALUES ('2368', 'object/tangible/dungeon/shared_computer_desktop.iff');
INSERT INTO `template_items` VALUES ('2369', 'object/tangible/deed/pet_deed/shared_swirl_prong_deed.iff');
INSERT INTO `template_items` VALUES ('2370', 'object/tangible/component/weapon/shared_weapon_mount_light.iff');
INSERT INTO `template_items` VALUES ('2371', 'object/tangible/ship/crafted/weapon/shared_wpn_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('2372', 'object/tangible/furniture/imperial/shared_table_s1.iff');
INSERT INTO `template_items` VALUES ('2373', 'object/tangible/wearables/ithorian/shared_ith_pants_s11.iff');
INSERT INTO `template_items` VALUES ('2374', 'object/tangible/deed/faction_perk/turret/shared_tower_sm_deed.iff');
INSERT INTO `template_items` VALUES ('2375', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('2376', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2377', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small.iff');
INSERT INTO `template_items` VALUES ('2378', 'object/tangible/ship/customization/shared_xwing_gun_neg_s02.iff');
INSERT INTO `template_items` VALUES ('2379', 'object/tangible/component/droid/shared_crafting_module_clothing.iff');
INSERT INTO `template_items` VALUES ('2380', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface.iff');
INSERT INTO `template_items` VALUES ('2381', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('2382', 'object/tangible/deed/pet_deed/shared_kahmurra_deed.iff');
INSERT INTO `template_items` VALUES ('2383', 'object/tangible/dungeon/death_watch_bunker/shared_invulnerable_debris.iff');
INSERT INTO `template_items` VALUES ('2384', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_01.iff');
INSERT INTO `template_items` VALUES ('2385', 'object/tangible/wearables/bodysuit/shared_bodysuit_s13.iff');
INSERT INTO `template_items` VALUES ('2386', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s06.iff');
INSERT INTO `template_items` VALUES ('2387', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('2388', 'object/tangible/component/bio/shared_bio_component_clothing_field_cover.iff');
INSERT INTO `template_items` VALUES ('2389', 'object/tangible/lair/piket/shared_lair_piket_grassland.iff');
INSERT INTO `template_items` VALUES ('2390', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s02.iff');
INSERT INTO `template_items` VALUES ('2391', 'object/tangible/ship/components/weapon/shared_wpn_kse_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('2392', 'object/tangible/food/crafted/shared_dessert_tranna_nougat_cream.iff');
INSERT INTO `template_items` VALUES ('2393', 'object/tangible/wearables/ithorian/shared_ith_jacket_s03.iff');
INSERT INTO `template_items` VALUES ('2394', 'object/tangible/ship/components/weapon/shared_wpn_seinar_concussion_missile_s01.iff');
INSERT INTO `template_items` VALUES ('2395', 'object/tangible/ship/components/weapon/shared_wpn_seinar_heatseeker_missile_s01.iff');
INSERT INTO `template_items` VALUES ('2396', 'object/tangible/wearables/vest/shared_vest_s04.iff');
INSERT INTO `template_items` VALUES ('2397', 'object/tangible/ship/crafted/weapon/shared_wpn_advanced_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2398', 'object/tangible/wearables/shirt/shared_shirt_s42.iff');
INSERT INTO `template_items` VALUES ('2399', 'object/tangible/deed/faction_perk/hq/shared_hq_s04.iff');
INSERT INTO `template_items` VALUES ('2400', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s03_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2401', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s08.iff');
INSERT INTO `template_items` VALUES ('2402', 'object/tangible/wearables/pants/shared_pants_s14.iff');
INSERT INTO `template_items` VALUES ('2403', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk3.iff');
INSERT INTO `template_items` VALUES ('2404', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_06.iff');
INSERT INTO `template_items` VALUES ('2405', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_belt.iff');
INSERT INTO `template_items` VALUES ('2406', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_nose.iff');
INSERT INTO `template_items` VALUES ('2407', 'object/tangible/food/crafted/shared_dessert_kiwik_clusjo_swirl.iff');
INSERT INTO `template_items` VALUES ('2408', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('2409', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s05.iff');
INSERT INTO `template_items` VALUES ('2410', 'object/tangible/ship/components/engine/shared_eng_moncal_heavy.iff');
INSERT INTO `template_items` VALUES ('2411', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_improved_jrd33.iff');
INSERT INTO `template_items` VALUES ('2412', 'object/tangible/component/vehicle/shared_extended_fuel_tanks_hvy.iff');
INSERT INTO `template_items` VALUES ('2413', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05_lg.iff');
INSERT INTO `template_items` VALUES ('2414', 'object/tangible/furniture/modern/shared_cabinet_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2415', 'object/tangible/component/vehicle/shared_adv_hvy_projectile_feed_mech.iff');
INSERT INTO `template_items` VALUES ('2416', 'object/tangible/crafting/station/shared_structure_repair.iff');
INSERT INTO `template_items` VALUES ('2417', 'object/tangible/wearables/base/shared_base_ear_either.iff');
INSERT INTO `template_items` VALUES ('2418', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_experimental.iff');
INSERT INTO `template_items` VALUES ('2419', 'object/tangible/ship/components/engine/shared_eng_moncal_standard.iff');
INSERT INTO `template_items` VALUES ('2420', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_borstel_disruptor.iff');
INSERT INTO `template_items` VALUES ('2421', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2422', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_c.iff');
INSERT INTO `template_items` VALUES ('2423', 'object/tangible/wearables/jacket/shared_jacket_s26.iff');
INSERT INTO `template_items` VALUES ('2424', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_durability.iff');
INSERT INTO `template_items` VALUES ('2425', 'object/tangible/ship/attachment/base/shared_base_ship_attachment.iff');
INSERT INTO `template_items` VALUES ('2426', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_c.iff');
INSERT INTO `template_items` VALUES ('2427', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_b.iff');
INSERT INTO `template_items` VALUES ('2428', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_2.iff');
INSERT INTO `template_items` VALUES ('2429', 'object/tangible/loot/simple_kit/shared_motor_small_red.iff');
INSERT INTO `template_items` VALUES ('2430', 'object/tangible/component/weapon/shared_weapon_trajectory_computer.iff');
INSERT INTO `template_items` VALUES ('2431', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_red.iff');
INSERT INTO `template_items` VALUES ('2432', 'object/tangible/space/story_loot/shared_loot_naboo_borvo.iff');
INSERT INTO `template_items` VALUES ('2433', 'object/tangible/wearables/ithorian/shared_ith_shirt_s05.iff');
INSERT INTO `template_items` VALUES ('2434', 'object/tangible/ship/components/reactor/shared_rct_rendili_type_x_elite.iff');
INSERT INTO `template_items` VALUES ('2435', 'object/tangible/lair/merek/shared_lair_merek_jungle.iff');
INSERT INTO `template_items` VALUES ('2436', 'object/tangible/painting/shared_painting_bestine_boffa.iff');
INSERT INTO `template_items` VALUES ('2437', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk3.iff');
INSERT INTO `template_items` VALUES ('2438', 'object/tangible/lair/murra/shared_lair_murra.iff');
INSERT INTO `template_items` VALUES ('2439', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor.iff');
INSERT INTO `template_items` VALUES ('2440', 'object/tangible/base/shared_tangible_craftable.iff');
INSERT INTO `template_items` VALUES ('2441', 'object/tangible/painting/shared_painting_bestine_raventhorn.iff');
INSERT INTO `template_items` VALUES ('2442', 'object/tangible/loot/quest/shared_victor_questn_dseal.iff');
INSERT INTO `template_items` VALUES ('2443', 'object/tangible/dungeon/shared_trash_container.iff');
INSERT INTO `template_items` VALUES ('2444', 'object/tangible/loot/misc/shared_loot_krayt_spine3.iff');
INSERT INTO `template_items` VALUES ('2445', 'object/tangible/ship/components/engine/shared_eng_incom_advanced_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('2446', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks18.iff');
INSERT INTO `template_items` VALUES ('2447', 'object/tangible/furniture/all/shared_bestine_quest_imp_banner.iff');
INSERT INTO `template_items` VALUES ('2448', 'object/tangible/mission/quest_item/shared_surlin_rolei_q2_camera.iff');
INSERT INTO `template_items` VALUES ('2449', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('2450', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s02.iff');
INSERT INTO `template_items` VALUES ('2451', 'object/tangible/wearables/base/shared_base_jacket_shortsleeve.iff');
INSERT INTO `template_items` VALUES ('2452', 'object/tangible/deed/pet_deed/shared_carrion_spat_deed.iff');
INSERT INTO `template_items` VALUES ('2453', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('2454', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s02.iff');
INSERT INTO `template_items` VALUES ('2455', 'object/tangible/loot/quest/shared_crude_stone.iff');
INSERT INTO `template_items` VALUES ('2456', 'object/tangible/ship/components/chassis/shared_yt1300_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2457', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_02.iff');
INSERT INTO `template_items` VALUES ('2458', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s01.iff');
INSERT INTO `template_items` VALUES ('2459', 'object/tangible/ship/components/weapon/shared_wpn_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('2460', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_05_deed.iff');
INSERT INTO `template_items` VALUES ('2461', 'object/tangible/painting/shared_painting_twilek_f_sm_s03.iff');
INSERT INTO `template_items` VALUES ('2462', 'object/tangible/wearables/shirt/shared_shirt_s07.iff');
INSERT INTO `template_items` VALUES ('2463', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s06_lg.iff');
INSERT INTO `template_items` VALUES ('2464', 'object/tangible/dungeon/shared_cave_stalagmite_ice_style_01.iff');
INSERT INTO `template_items` VALUES ('2465', 'object/tangible/mission/quest_item/shared_sindra_lintikoor_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2466', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk5.iff');
INSERT INTO `template_items` VALUES ('2467', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s02.iff');
INSERT INTO `template_items` VALUES ('2468', 'object/tangible/component/vehicle/shared_weapon_link.iff');
INSERT INTO `template_items` VALUES ('2469', 'object/tangible/furniture/decorative/shared_basket_closed.iff');
INSERT INTO `template_items` VALUES ('2470', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('2471', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk2.iff');
INSERT INTO `template_items` VALUES ('2472', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_table.iff');
INSERT INTO `template_items` VALUES ('2473', 'object/tangible/loot/quest/shared_sean_history_disk.iff');
INSERT INTO `template_items` VALUES ('2474', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di6.iff');
INSERT INTO `template_items` VALUES ('2475', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2476', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher.iff');
INSERT INTO `template_items` VALUES ('2477', 'object/tangible/wearables/pants/shared_pants_s29.iff');
INSERT INTO `template_items` VALUES ('2478', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_rancor.iff');
INSERT INTO `template_items` VALUES ('2479', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s04_lit.iff');
INSERT INTO `template_items` VALUES ('2480', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s02.iff');
INSERT INTO `template_items` VALUES ('2481', 'object/tangible/loot/simple_kit/shared_battery_cheap_copper.iff');
INSERT INTO `template_items` VALUES ('2482', 'object/tangible/loot/simple_kit/shared_paint_cartridge.iff');
INSERT INTO `template_items` VALUES ('2483', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_chest_plate.iff');
INSERT INTO `template_items` VALUES ('2484', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk3.iff');
INSERT INTO `template_items` VALUES ('2485', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_fast_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('2486', 'object/tangible/deed/faction_perk/minefield/shared_field_1x1_deed.iff');
INSERT INTO `template_items` VALUES ('2487', 'object/tangible/mission/quest_item/shared_zogor_sturm_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2488', 'object/tangible/component/weapon/shared_base_vibro_unit_enhancement.iff');
INSERT INTO `template_items` VALUES ('2489', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_pack.iff');
INSERT INTO `template_items` VALUES ('2490', 'object/tangible/ship/components/armor/shared_arm_kse_modified_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('2491', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_a.iff');
INSERT INTO `template_items` VALUES ('2492', 'object/tangible/component/chemistry/shared_endrost.iff');
INSERT INTO `template_items` VALUES ('2493', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk2.iff');
INSERT INTO `template_items` VALUES ('2494', 'object/tangible/hair/bothan/shared_hair_bothan_male_s01.iff');
INSERT INTO `template_items` VALUES ('2495', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_03.iff');
INSERT INTO `template_items` VALUES ('2496', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk5.iff');
INSERT INTO `template_items` VALUES ('2497', 'object/tangible/lair/remmer/shared_lair_remmer.iff');
INSERT INTO `template_items` VALUES ('2498', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s01.iff');
INSERT INTO `template_items` VALUES ('2499', 'object/tangible/lair/striped_fish/shared_lair_striped_fish_underwater.iff');
INSERT INTO `template_items` VALUES ('2500', 'object/tangible/hair/base/shared_hair_base.iff');
INSERT INTO `template_items` VALUES ('2501', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('2502', 'object/tangible/hair/human/shared_hair_human_female_s03.iff');
INSERT INTO `template_items` VALUES ('2503', 'object/tangible/ship/components/reactor/shared_rct_rss_advanced.iff');
INSERT INTO `template_items` VALUES ('2504', 'object/tangible/furniture/cheap/shared_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('2505', 'object/tangible/medicine/shared_medpack_damage.iff');
INSERT INTO `template_items` VALUES ('2506', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s2.iff');
INSERT INTO `template_items` VALUES ('2507', 'object/tangible/deed/event_perk/shared_yavin_flag_deed.iff');
INSERT INTO `template_items` VALUES ('2508', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s03.iff');
INSERT INTO `template_items` VALUES ('2509', 'object/tangible/wearables/bandolier/shared_bandolier_s05.iff');
INSERT INTO `template_items` VALUES ('2510', 'object/tangible/component/droid/shared_le_repair_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('2511', 'object/tangible/dungeon/death_watch_bunker/shared_drill_battery_clean.iff');
INSERT INTO `template_items` VALUES ('2512', 'object/tangible/furniture/modern/shared_searchable_desk_02.iff');
INSERT INTO `template_items` VALUES ('2513', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_3.iff');
INSERT INTO `template_items` VALUES ('2514', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s2.iff');
INSERT INTO `template_items` VALUES ('2515', 'object/tangible/lair/base/shared_objective_banner_corellia.iff');
INSERT INTO `template_items` VALUES ('2516', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2517', 'object/tangible/loot/quest/shared_victor_questp_jregistry.iff');
INSERT INTO `template_items` VALUES ('2518', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turret_ball.iff');
INSERT INTO `template_items` VALUES ('2519', 'object/tangible/deed/city_deed/shared_cloning_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('2520', 'object/tangible/space/mission_objects/shared_palace_access_doc.iff');
INSERT INTO `template_items` VALUES ('2521', 'object/tangible/deed/harvester_deed/shared_harvester_moisture_deed.iff');
INSERT INTO `template_items` VALUES ('2522', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s01.iff');
INSERT INTO `template_items` VALUES ('2523', 'object/tangible/camp/shared_camp_tent_s5.iff');
INSERT INTO `template_items` VALUES ('2524', 'object/tangible/wearables/pants/shared_nightsister_pants_s02.iff');
INSERT INTO `template_items` VALUES ('2525', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s1.iff');
INSERT INTO `template_items` VALUES ('2526', 'object/tangible/ship/components/armor/shared_arm_subpro_improved_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('2527', 'object/tangible/component/vehicle/shared_adv_vehicle_module.iff');
INSERT INTO `template_items` VALUES ('2528', 'object/tangible/ship/crafted/reverse_engineering/shared_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('2529', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_sds_boltdriver.iff');
INSERT INTO `template_items` VALUES ('2530', 'object/tangible/deed/event_perk/shared_universe_flags_theater.iff');
INSERT INTO `template_items` VALUES ('2531', 'object/tangible/ship/components/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `template_items` VALUES ('2532', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2533', 'object/tangible/mission/quest_item/shared_kaeline_ungasan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2534', 'object/tangible/wearables/base/shared_base_jacket_longsleeve.iff');
INSERT INTO `template_items` VALUES ('2535', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('2536', 'object/tangible/wearables/dress/shared_dress_s18.iff');
INSERT INTO `template_items` VALUES ('2537', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('2538', 'object/tangible/deed/pet_deed/shared_deed_r5_basic.iff');
INSERT INTO `template_items` VALUES ('2539', 'object/tangible/mission/quest_item/shared_jaleela_bindoo_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2540', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_standard.iff');
INSERT INTO `template_items` VALUES ('2541', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_a.iff');
INSERT INTO `template_items` VALUES ('2542', 'object/tangible/ship/components/engine/shared_eng_reward_surronian_elite.iff');
INSERT INTO `template_items` VALUES ('2543', 'object/tangible/lair/tusk_cat/shared_lair_tusk_cat.iff');
INSERT INTO `template_items` VALUES ('2544', 'object/tangible/loot/collectible/collectible_rewards/shared_collectible_sculpture_s01.iff');
INSERT INTO `template_items` VALUES ('2545', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_small_capacitor.iff');
INSERT INTO `template_items` VALUES ('2546', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_gloves.iff');
INSERT INTO `template_items` VALUES ('2547', 'object/tangible/loot/misc/shared_datadisk_corrupt.iff');
INSERT INTO `template_items` VALUES ('2548', 'object/tangible/ship/interior_components/shared_weapon_interior.iff');
INSERT INTO `template_items` VALUES ('2549', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('2550', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_standard.iff');
INSERT INTO `template_items` VALUES ('2551', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('2552', 'object/tangible/loot/loot_schematic/shared_radar_screen_schematic.iff');
INSERT INTO `template_items` VALUES ('2553', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr2.iff');
INSERT INTO `template_items` VALUES ('2554', 'object/tangible/loot/quest/shared_sean_questn_gpapers.iff');
INSERT INTO `template_items` VALUES ('2555', 'object/tangible/medicine/shared_medikit_tool_advanced.iff');
INSERT INTO `template_items` VALUES ('2556', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_mk2.iff');
INSERT INTO `template_items` VALUES ('2557', 'object/tangible/lair/bluefish/shared_lair_bluefish.iff');
INSERT INTO `template_items` VALUES ('2558', 'object/tangible/ship/components/weapon/shared_wpn_slayn_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('2559', 'object/tangible/ship/components/booster/shared_bst_kessel_imperial_sds_experimental_b7.iff');
INSERT INTO `template_items` VALUES ('2560', 'object/tangible/sign/player/base/shared_player_sign_base.iff');
INSERT INTO `template_items` VALUES ('2561', 'object/tangible/mission/quest_item/shared_tekil_barje_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2562', 'object/tangible/container/base/shared_base_container.iff');
INSERT INTO `template_items` VALUES ('2563', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('2564', 'object/tangible/food/shared_meat_kabob.iff');
INSERT INTO `template_items` VALUES ('2565', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_intel.iff');
INSERT INTO `template_items` VALUES ('2566', 'object/tangible/wearables/dress/shared_dress_s31.iff');
INSERT INTO `template_items` VALUES ('2567', 'object/tangible/space/story_loot/shared_loot_naboo_droid.iff');
INSERT INTO `template_items` VALUES ('2568', 'object/tangible/test/shared_test_pastry_01.iff');
INSERT INTO `template_items` VALUES ('2569', 'object/tangible/component/droid/shared_data_storage_module_1.iff');
INSERT INTO `template_items` VALUES ('2570', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('2571', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_c.iff');
INSERT INTO `template_items` VALUES ('2572', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd7.iff');
INSERT INTO `template_items` VALUES ('2573', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_calibrator.iff');
INSERT INTO `template_items` VALUES ('2574', 'object/tangible/food/creature_bio_effects/shared_bio_kwi_adrenal_boost.iff');
INSERT INTO `template_items` VALUES ('2575', 'object/tangible/wearables/armor/marine/shared_armor_marine_backpack.iff');
INSERT INTO `template_items` VALUES ('2576', 'object/tangible/ship/components/engine/shared_engine_qualdex_a10.iff');
INSERT INTO `template_items` VALUES ('2577', 'object/tangible/deed/event_perk/shared_rsf_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2578', 'object/tangible/painting/shared_painting_food_baking_s02.iff');
INSERT INTO `template_items` VALUES ('2579', 'object/tangible/ship/components/reactor/shared_rct_koensayr_charged_supernova.iff');
INSERT INTO `template_items` VALUES ('2580', 'object/tangible/dungeon/shared_wall_terminal_s3.iff');
INSERT INTO `template_items` VALUES ('2581', 'object/tangible/loot/collectible/collectible_rewards/shared_orange_rug.iff');
INSERT INTO `template_items` VALUES ('2582', 'object/tangible/wearables/cyborg/shared_hand_l_s01.iff');
INSERT INTO `template_items` VALUES ('2583', 'object/tangible/lair/mott/shared_lair_mott_grassland.iff');
INSERT INTO `template_items` VALUES ('2584', 'object/tangible/space/special_loot/shared_firespray_schematic_part7.iff');
INSERT INTO `template_items` VALUES ('2585', 'object/tangible/ship/components/armor/shared_arm_generic.iff');
INSERT INTO `template_items` VALUES ('2586', 'object/tangible/travel/shuttle/base/shared_base_travel_shuttle.iff');
INSERT INTO `template_items` VALUES ('2587', 'object/tangible/powerup/weapon/shared_ranged_power.iff');
INSERT INTO `template_items` VALUES ('2588', 'object/tangible/ship/components/weapon/shared_wpn_sds_heavy_imperial_spc_forces_cannon.iff');
INSERT INTO `template_items` VALUES ('2589', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s01.iff');
INSERT INTO `template_items` VALUES ('2590', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_rendili_crystalline_durasteel.iff');
INSERT INTO `template_items` VALUES ('2591', 'object/tangible/ship/components/shield_generator/shared_shd_reward_mandalor_elite.iff');
INSERT INTO `template_items` VALUES ('2592', 'object/tangible/hair/human/shared_hair_human_male_s22.iff');
INSERT INTO `template_items` VALUES ('2593', 'object/tangible/hair/rodian/shared_hair_rodian_female_s18.iff');
INSERT INTO `template_items` VALUES ('2594', 'object/tangible/recycler/shared_chemical_recycler.iff');
INSERT INTO `template_items` VALUES ('2595', 'object/tangible/lair/vir_vir/shared_lair_vir_vir_grassland.iff');
INSERT INTO `template_items` VALUES ('2596', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powersoak.iff');
INSERT INTO `template_items` VALUES ('2597', 'object/tangible/wearables/armor/ris/shared_armor_ris_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2598', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_a.iff');
INSERT INTO `template_items` VALUES ('2599', 'object/tangible/ship/components/engine/shared_eng_incom_light_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('2600', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_krayt_dragon.iff');
INSERT INTO `template_items` VALUES ('2601', 'object/tangible/loot/loot_schematic/shared_chair_cafe_schematic.iff');
INSERT INTO `template_items` VALUES ('2602', 'object/tangible/wearables/shoes/shared_shoes_s07.iff');
INSERT INTO `template_items` VALUES ('2603', 'object/tangible/wearables/ithorian/shared_ith_shirt_s11.iff');
INSERT INTO `template_items` VALUES ('2604', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_swamp.iff');
INSERT INTO `template_items` VALUES ('2605', 'object/tangible/powerup/weapon/shared_melee.iff');
INSERT INTO `template_items` VALUES ('2606', 'object/tangible/powerup/weapon/shared_ranged.iff');
INSERT INTO `template_items` VALUES ('2607', 'object/tangible/space/story_loot/shared_loot_dantooine_junk2.iff');
INSERT INTO `template_items` VALUES ('2608', 'object/tangible/loot/misc/shared_jawa_beads.iff');
INSERT INTO `template_items` VALUES ('2609', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2610', 'object/tangible/lair/base/shared_objective_banner_tatooine.iff');
INSERT INTO `template_items` VALUES ('2611', 'object/tangible/parrot_cage/shared_parrot_cage.iff');
INSERT INTO `template_items` VALUES ('2612', 'object/tangible/furniture/all/shared_frn_all_table_s02.iff');
INSERT INTO `template_items` VALUES ('2613', 'object/tangible/component/armor/shared_heavy_armor_layer_environmental.iff');
INSERT INTO `template_items` VALUES ('2614', 'object/tangible/ship/components/weapon/shared_wpn_taim_heavy_laser.iff');
INSERT INTO `template_items` VALUES ('2615', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_quest.iff');
INSERT INTO `template_items` VALUES ('2616', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk1.iff');
INSERT INTO `template_items` VALUES ('2617', 'object/tangible/lair/npc/shared_lair_npc_general.iff');
INSERT INTO `template_items` VALUES ('2618', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers3.iff');
INSERT INTO `template_items` VALUES ('2619', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_slayn_high_output_experimental.iff');
INSERT INTO `template_items` VALUES ('2620', 'object/tangible/ship/components/booster/shared_bst_kse_performance_bti1.iff');
INSERT INTO `template_items` VALUES ('2621', 'object/tangible/component/structure/shared_connections.iff');
INSERT INTO `template_items` VALUES ('2622', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('2623', 'object/tangible/ship/crafted/repair/shared_repair_kit_reactor.iff');
INSERT INTO `template_items` VALUES ('2624', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2625', 'object/tangible/ship/interior_components/shared_interior_component_base.iff');
INSERT INTO `template_items` VALUES ('2626', 'object/tangible/bug_jar/shared_sample_bugs.iff');
INSERT INTO `template_items` VALUES ('2627', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_elite_2.iff');
INSERT INTO `template_items` VALUES ('2628', 'object/tangible/wearables/hat/shared_singing_mountain_clan_mask_s01.iff');
INSERT INTO `template_items` VALUES ('2629', 'object/tangible/lair/ikopi/shared_lair_ikopi.iff');
INSERT INTO `template_items` VALUES ('2630', 'object/tangible/lair/dalyrake/shared_lair_dalyrake.iff');
INSERT INTO `template_items` VALUES ('2631', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03.iff');
INSERT INTO `template_items` VALUES ('2632', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_04.iff');
INSERT INTO `template_items` VALUES ('2633', 'object/tangible/wearables/vest/shared_vest_s10.iff');
INSERT INTO `template_items` VALUES ('2634', 'object/tangible/ship/components/engine/shared_eng_incom_advanced.iff');
INSERT INTO `template_items` VALUES ('2635', 'object/tangible/loot/loot_schematic/shared_table_coffee_modern_schematic.iff');
INSERT INTO `template_items` VALUES ('2636', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_c.iff');
INSERT INTO `template_items` VALUES ('2637', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('2638', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('2639', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_kimogila.iff');
INSERT INTO `template_items` VALUES ('2640', 'object/tangible/ship/crafted/armor/shared_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('2641', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class1.iff');
INSERT INTO `template_items` VALUES ('2642', 'object/tangible/ship/components/chassis/shared_tie_light_duty_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2643', 'object/tangible/food/crafted/shared_dessert_gorrnar.iff');
INSERT INTO `template_items` VALUES ('2644', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s3.iff');
INSERT INTO `template_items` VALUES ('2645', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon1.iff');
INSERT INTO `template_items` VALUES ('2646', 'object/tangible/ship/components/shield_generator/shared_shd_z95_basic.iff');
INSERT INTO `template_items` VALUES ('2647', 'object/tangible/wearables/bodysuit/shared_bodysuit_s07.iff');
INSERT INTO `template_items` VALUES ('2648', 'object/tangible/inventory/shared_lightsaber_inventory_2.iff');
INSERT INTO `template_items` VALUES ('2649', 'object/tangible/lair/snorbal/shared_lair_snorbal_grassland.iff');
INSERT INTO `template_items` VALUES ('2650', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk1.iff');
INSERT INTO `template_items` VALUES ('2651', 'object/tangible/camp/shared_camp_chair_s2.iff');
INSERT INTO `template_items` VALUES ('2652', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_03.iff');
INSERT INTO `template_items` VALUES ('2653', 'object/tangible/wearables/armor/composite/shared_armor_composite_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2654', 'object/tangible/terminal/shared_terminal_newbie_medicine.iff');
INSERT INTO `template_items` VALUES ('2655', 'object/tangible/component/vehicle/shared_auto_blaster_cannon.iff');
INSERT INTO `template_items` VALUES ('2656', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_dark.iff');
INSERT INTO `template_items` VALUES ('2657', 'object/tangible/wearables/ithorian/shared_ith_pants_s05.iff');
INSERT INTO `template_items` VALUES ('2658', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_sorosuub_spidershell_plating.iff');
INSERT INTO `template_items` VALUES ('2659', 'object/tangible/ship/crafted/weapon/missile/shared_base_pack.iff');
INSERT INTO `template_items` VALUES ('2660', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_rainbow_berry_bush.iff');
INSERT INTO `template_items` VALUES ('2661', 'object/tangible/wearables/hat/shared_hat_imp_s01.iff');
INSERT INTO `template_items` VALUES ('2662', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('2663', 'object/tangible/wearables/ithorian/shared_ith_vest_s01.iff');
INSERT INTO `template_items` VALUES ('2664', 'object/tangible/mission/quest_item/shared_dannik_malaan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2665', 'object/tangible/component/structure/shared_capacitor_bank.iff');
INSERT INTO `template_items` VALUES ('2666', 'object/tangible/mission/quest_item/shared_rep_been_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2667', 'object/tangible/wearables/backpack/shared_backpack_s03.iff');
INSERT INTO `template_items` VALUES ('2668', 'object/tangible/food/foraged/shared_foraged_fruit_s5.iff');
INSERT INTO `template_items` VALUES ('2669', 'object/tangible/furniture/city/shared_streetlamp_med_red_01.iff');
INSERT INTO `template_items` VALUES ('2670', 'object/tangible/skill_buff/shared_skill_buff_rifle_accuracy.iff');
INSERT INTO `template_items` VALUES ('2671', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk5.iff');
INSERT INTO `template_items` VALUES ('2672', 'object/tangible/deed/guild_deed/shared_tatooine_guild_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('2673', 'object/tangible/component/chemistry/shared_infection_amplifier.iff');
INSERT INTO `template_items` VALUES ('2674', 'object/tangible/lair/flit/shared_lair_flit_forest.iff');
INSERT INTO `template_items` VALUES ('2675', 'object/tangible/loot/tool/shared_impulse_detector_broken_s2.iff');
INSERT INTO `template_items` VALUES ('2676', 'object/tangible/ship/components/booster/shared_bst_kse_enhanced_bti2.iff');
INSERT INTO `template_items` VALUES ('2677', 'object/tangible/component/dna/shared_dna_template_eopie.iff');
INSERT INTO `template_items` VALUES ('2678', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_commerce.iff');
INSERT INTO `template_items` VALUES ('2679', 'object/tangible/lair/murra/shared_lair_murra_grassland.iff');
INSERT INTO `template_items` VALUES ('2680', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_1.iff');
INSERT INTO `template_items` VALUES ('2681', 'object/tangible/component/vehicle/shared_armor_plating_mk1.iff');
INSERT INTO `template_items` VALUES ('2682', 'object/tangible/lair/base/shared_bramble_light.iff');
INSERT INTO `template_items` VALUES ('2683', 'object/tangible/ship/components/booster/shared_bst_sorosuub_supercharged_liberator_mk3.iff');
INSERT INTO `template_items` VALUES ('2684', 'object/tangible/container/drum/shared_large_plain_crate_s01.iff');
INSERT INTO `template_items` VALUES ('2685', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_incom_t11_elite.iff');
INSERT INTO `template_items` VALUES ('2686', 'object/tangible/ship/components/reactor/shared_rct_sds_elite.iff');
INSERT INTO `template_items` VALUES ('2687', 'object/tangible/ship/components/armor/shared_arm_mandal_advanced_composite.iff');
INSERT INTO `template_items` VALUES ('2688', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_gun.iff');
INSERT INTO `template_items` VALUES ('2689', 'object/tangible/component/droid/shared_stimpack_dispensor.iff');
INSERT INTO `template_items` VALUES ('2690', 'object/tangible/crafting/station/shared_weapon_tool.iff');
INSERT INTO `template_items` VALUES ('2691', 'object/tangible/lair/kaadu/shared_lair_kaadu_forest.iff');
INSERT INTO `template_items` VALUES ('2692', 'object/tangible/furniture/all/shared_frn_all_gaming_kiosk_s01.iff');
INSERT INTO `template_items` VALUES ('2693', 'object/tangible/food/crafted/shared_dessert_felbar.iff');
INSERT INTO `template_items` VALUES ('2694', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m2.iff');
INSERT INTO `template_items` VALUES ('2695', 'object/tangible/ship/components/booster/shared_bst_surronian_nomad_x4.iff');
INSERT INTO `template_items` VALUES ('2696', 'object/tangible/scout/camp/shared_camp_multi.iff');
INSERT INTO `template_items` VALUES ('2697', 'object/tangible/loot/quest/shared_rifle_quest_tusken.iff');
INSERT INTO `template_items` VALUES ('2698', 'object/tangible/firework/base/shared_firework_base.iff');
INSERT INTO `template_items` VALUES ('2699', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('2700', 'object/tangible/mission/quest_item/shared_lob_dizz_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2701', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent.iff');
INSERT INTO `template_items` VALUES ('2702', 'object/tangible/wearables/belt/shared_aakuan_belt.iff');
INSERT INTO `template_items` VALUES ('2703', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_b.iff');
INSERT INTO `template_items` VALUES ('2704', 'object/tangible/wearables/ithorian/shared_ith_backpack_s03.iff');
INSERT INTO `template_items` VALUES ('2705', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_c.iff');
INSERT INTO `template_items` VALUES ('2706', 'object/tangible/food/spice/shared_spice_droid_lube.iff');
INSERT INTO `template_items` VALUES ('2707', 'object/tangible/terminal/shared_terminal_space.iff');
INSERT INTO `template_items` VALUES ('2708', 'object/tangible/wearables/gloves/shared_gloves_s02.iff');
INSERT INTO `template_items` VALUES ('2709', 'object/tangible/ship/components/reactor/shared_rct_watto_sunray_2.iff');
INSERT INTO `template_items` VALUES ('2710', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_07.iff');
INSERT INTO `template_items` VALUES ('2711', 'object/tangible/mission/quest_item/shared_brennis_doore_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2712', 'object/tangible/wearables/robe/shared_robe_s18.iff');
INSERT INTO `template_items` VALUES ('2713', 'object/tangible/ship/components/armor/shared_arm_sfs_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('2714', 'object/tangible/ship/components/booster/shared_bst_incom_deluxe_fynock.iff');
INSERT INTO `template_items` VALUES ('2715', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider_forest.iff');
INSERT INTO `template_items` VALUES ('2716', 'object/tangible/component/armor/shared_armor_segment_chitin_sharnaff.iff');
INSERT INTO `template_items` VALUES ('2717', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01.iff');
INSERT INTO `template_items` VALUES ('2718', 'object/tangible/lair/base/shared_cave_small_dark.iff');
INSERT INTO `template_items` VALUES ('2719', 'object/tangible/component/droid/shared_personality_module_slang.iff');
INSERT INTO `template_items` VALUES ('2720', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk2.iff');
INSERT INTO `template_items` VALUES ('2721', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler01.iff');
INSERT INTO `template_items` VALUES ('2722', 'object/tangible/ship/components/chassis/shared_blacksun_light_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2723', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_moncal_d22.iff');
INSERT INTO `template_items` VALUES ('2724', 'object/tangible/wearables/ithorian/shared_ith_necklace_s02.iff');
INSERT INTO `template_items` VALUES ('2725', 'object/tangible/ship/components/shield_generator/shared_shd_interlaced_graviton.iff');
INSERT INTO `template_items` VALUES ('2726', 'object/tangible/wearables/armor/marine/shared_armor_marine_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2727', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02.iff');
INSERT INTO `template_items` VALUES ('2728', 'object/tangible/component/munition/shared_ammo_projectile_entanglement.iff');
INSERT INTO `template_items` VALUES ('2729', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_durability.iff');
INSERT INTO `template_items` VALUES ('2730', 'object/tangible/ship/components/chassis/shared_hutt_medium_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2731', 'object/tangible/ship/components/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `template_items` VALUES ('2732', 'object/tangible/hair/human/shared_hair_human_female_s17.iff');
INSERT INTO `template_items` VALUES ('2733', 'object/tangible/component/armor/shared_armor_segment_enhancement_krayt.iff');
INSERT INTO `template_items` VALUES ('2734', 'object/tangible/food/crafted/shared_dish_rations.iff');
INSERT INTO `template_items` VALUES ('2735', 'object/tangible/ship/components/booster/shared_bst_incom_nkj31.iff');
INSERT INTO `template_items` VALUES ('2736', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s01.iff');
INSERT INTO `template_items` VALUES ('2737', 'object/tangible/mission/quest_item/shared_nass_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2738', 'object/tangible/hair/rodian/shared_hair_rodian_male_s08.iff');
INSERT INTO `template_items` VALUES ('2739', 'object/tangible/space/story_loot/shared_loot_dantooine_anthro.iff');
INSERT INTO `template_items` VALUES ('2740', 'object/tangible/hair/bothan/shared_hair_bothan_male_s15.iff');
INSERT INTO `template_items` VALUES ('2741', 'object/tangible/deed/event_perk/shared_rebel_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2742', 'object/tangible/mission/quest_item/shared_mat_rags_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2743', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_d.iff');
INSERT INTO `template_items` VALUES ('2744', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_06.iff');
INSERT INTO `template_items` VALUES ('2745', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider_wasteland.iff');
INSERT INTO `template_items` VALUES ('2746', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_base.iff');
INSERT INTO `template_items` VALUES ('2747', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('2748', 'object/tangible/component/armor/shared_armor_segment_padded.iff');
INSERT INTO `template_items` VALUES ('2749', 'object/tangible/component/droid/shared_struct_maint_module_1.iff');
INSERT INTO `template_items` VALUES ('2750', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2751', 'object/tangible/mission/quest_item/shared_warren_passkey_s01.iff');
INSERT INTO `template_items` VALUES ('2752', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2753', 'object/tangible/component/clothing/shared_metal_fasteners.iff');
INSERT INTO `template_items` VALUES ('2754', 'object/tangible/spawning/shared_remote_theater_spawner.iff');
INSERT INTO `template_items` VALUES ('2755', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s03.iff');
INSERT INTO `template_items` VALUES ('2756', 'object/tangible/space/story_loot/shared_loot_tatooine_hutt.iff');
INSERT INTO `template_items` VALUES ('2757', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_a.iff');
INSERT INTO `template_items` VALUES ('2758', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bracer_r.iff');
INSERT INTO `template_items` VALUES ('2759', 'object/tangible/lair/qurvel/shared_lair_qurvel.iff');
INSERT INTO `template_items` VALUES ('2760', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_rebel_mk1.iff');
INSERT INTO `template_items` VALUES ('2761', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('2762', 'object/tangible/wearables/gloves/shared_gloves_tusken_raider.iff');
INSERT INTO `template_items` VALUES ('2763', 'object/tangible/wearables/armor/tantel/shared_armor_tantel_skreej_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('2764', 'object/tangible/component/munition/shared_enhanced_charge_composition.iff');
INSERT INTO `template_items` VALUES ('2765', 'object/tangible/deed/pet_deed/shared_deed_r3_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2766', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s05.iff');
INSERT INTO `template_items` VALUES ('2767', 'object/tangible/deed/player_house_deed/shared_generic_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('2768', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('2769', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_a.iff');
INSERT INTO `template_items` VALUES ('2770', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2771', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('2772', 'object/tangible/wearables/shirt/shared_shirt_s13.iff');
INSERT INTO `template_items` VALUES ('2773', 'object/tangible/deed/turret_deed/shared_turret_block_small_deed.iff');
INSERT INTO `template_items` VALUES ('2774', 'object/tangible/microphone/shared_microphone.iff');
INSERT INTO `template_items` VALUES ('2775', 'object/tangible/sign/shared_streetsign_wall_style_01.iff');
INSERT INTO `template_items` VALUES ('2776', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s17.iff');
INSERT INTO `template_items` VALUES ('2777', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_processor.iff');
INSERT INTO `template_items` VALUES ('2778', 'object/tangible/furniture/city/shared_statue_weird_02.iff');
INSERT INTO `template_items` VALUES ('2779', 'object/tangible/vendor/shared_vendor_droid_wed.iff');
INSERT INTO `template_items` VALUES ('2780', 'object/tangible/wearables/bandolier/shared_multipocket_bandolier.iff');
INSERT INTO `template_items` VALUES ('2781', 'object/tangible/component/vehicle/shared_civilian_c.iff');
INSERT INTO `template_items` VALUES ('2782', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s04_1.iff');
INSERT INTO `template_items` VALUES ('2783', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('2784', 'object/tangible/component/structure/shared_refined_ardanium_ii.iff');
INSERT INTO `template_items` VALUES ('2785', 'object/tangible/component/structure/shared_power_supply.iff');
INSERT INTO `template_items` VALUES ('2786', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('2787', 'object/tangible/veteran_reward/shared_data_terminal_s3.iff');
INSERT INTO `template_items` VALUES ('2788', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2789', 'object/tangible/loot/simple_kit/shared_datadisk_repair_kit.iff');
INSERT INTO `template_items` VALUES ('2790', 'object/tangible/loot/collectible/kits/shared_sculpture_kit.iff');
INSERT INTO `template_items` VALUES ('2791', 'object/tangible/deed/event_perk/shared_rsf_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2792', 'object/tangible/loot/loot_schematic/shared_tanning_hide_s02_schematic.iff');
INSERT INTO `template_items` VALUES ('2793', 'object/tangible/component/droid/repair/shared_power_supply_redundant_advanced.iff');
INSERT INTO `template_items` VALUES ('2794', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk1.iff');
INSERT INTO `template_items` VALUES ('2795', 'object/tangible/deed/pet_deed/shared_verne_deed.iff');
INSERT INTO `template_items` VALUES ('2796', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('2797', 'object/tangible/component/vehicle/shared_dx_disruptor_array.iff');
INSERT INTO `template_items` VALUES ('2798', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s01.iff');
INSERT INTO `template_items` VALUES ('2799', 'object/tangible/camp/shared_camp_lantern_s1.iff');
INSERT INTO `template_items` VALUES ('2800', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s02_0.iff');
INSERT INTO `template_items` VALUES ('2801', 'object/tangible/ship/components/chassis/shared_tieoppressor_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2802', 'object/tangible/hair/sullustan/shared_sul_hair_s13_f.iff');
INSERT INTO `template_items` VALUES ('2803', 'object/tangible/hair/twilek/shared_hair_twilek_male_s06.iff');
INSERT INTO `template_items` VALUES ('2804', 'object/tangible/fishing/shared_marker.iff');
INSERT INTO `template_items` VALUES ('2805', 'object/tangible/lair/bolma/shared_lair_bolma_mountain.iff');
INSERT INTO `template_items` VALUES ('2806', 'object/tangible/food/crafted/shared_dessert_bantha_butter.iff');
INSERT INTO `template_items` VALUES ('2807', 'object/tangible/furniture/city/shared_streetlamp_med_01.iff');
INSERT INTO `template_items` VALUES ('2808', 'object/tangible/loot/misc/shared_palm_frond.iff');
INSERT INTO `template_items` VALUES ('2809', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_screen.iff');
INSERT INTO `template_items` VALUES ('2810', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer.iff');
INSERT INTO `template_items` VALUES ('2811', 'object/tangible/lair/base/shared_lair_base_mound_bramble_light.iff');
INSERT INTO `template_items` VALUES ('2812', 'object/tangible/sign/player/shared_house_address_corellia.iff');
INSERT INTO `template_items` VALUES ('2813', 'object/tangible/component/droid/repair/shared_diagnostic_circuit.iff');
INSERT INTO `template_items` VALUES ('2814', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('2815', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s01.iff');
INSERT INTO `template_items` VALUES ('2816', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_mamien.iff');
INSERT INTO `template_items` VALUES ('2817', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk2.iff');
INSERT INTO `template_items` VALUES ('2818', 'object/tangible/container/food/shared_lunchbox_base.iff');
INSERT INTO `template_items` VALUES ('2819', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03.iff');
INSERT INTO `template_items` VALUES ('2820', 'object/tangible/mission/quest_item/shared_wald_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2821', 'object/tangible/mission/quest_item/shared_kormund_thrylle_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2822', 'object/tangible/furniture/elegant/shared_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('2823', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_c.iff');
INSERT INTO `template_items` VALUES ('2824', 'object/tangible/component/bio/shared_bio_component_food_light_quantity.iff');
INSERT INTO `template_items` VALUES ('2825', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s02.iff');
INSERT INTO `template_items` VALUES ('2826', 'object/tangible/loot/quest/shared_2h_sword_scythe_schematic.iff');
INSERT INTO `template_items` VALUES ('2827', 'object/tangible/lair/gualama/shared_lair_gualama.iff');
INSERT INTO `template_items` VALUES ('2828', 'object/tangible/ship/components/armor/shared_arm_sorosuub_enhanced_advanced_plastisteel.iff');
INSERT INTO `template_items` VALUES ('2829', 'object/tangible/lair/squill/shared_lair_squill.iff');
INSERT INTO `template_items` VALUES ('2830', 'object/tangible/beta/shared_beta_terminal_resource.iff');
INSERT INTO `template_items` VALUES ('2831', 'object/tangible/hair/twilek/shared_hair_twilek_female_s07.iff');
INSERT INTO `template_items` VALUES ('2832', 'object/tangible/mission/quest_item/shared_brennis_doore_q3_needed.iff');
INSERT INTO `template_items` VALUES ('2833', 'object/tangible/painting/shared_painting_trees_s01.iff');
INSERT INTO `template_items` VALUES ('2834', 'object/tangible/mission/quest_item/shared_hagrin_zeed_q1_needed.iff');
INSERT INTO `template_items` VALUES ('2835', 'object/tangible/ship/components/booster/shared_booster_test.iff');
INSERT INTO `template_items` VALUES ('2836', 'object/tangible/instrument/shared_mandoviol.iff');
INSERT INTO `template_items` VALUES ('2837', 'object/tangible/mission/quest_item/shared_morag_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2838', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_combat.iff');
INSERT INTO `template_items` VALUES ('2839', 'object/tangible/lair/remmer/shared_lair_remmer_grassland.iff');
INSERT INTO `template_items` VALUES ('2840', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_b.iff');
INSERT INTO `template_items` VALUES ('2841', 'object/tangible/lair/narglatch/shared_lair_narglatch.iff');
INSERT INTO `template_items` VALUES ('2842', 'object/tangible/wearables/shirt/shared_shirt_s27.iff');
INSERT INTO `template_items` VALUES ('2843', 'object/tangible/ship/components/weapon/shared_wpn_bwing_blaster.iff');
INSERT INTO `template_items` VALUES ('2844', 'object/tangible/wearables/pants/shared_pants_s09.iff');
INSERT INTO `template_items` VALUES ('2845', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_grassland.iff');
INSERT INTO `template_items` VALUES ('2846', 'object/tangible/deed/pet_deed/shared_bocatt_deed.iff');
INSERT INTO `template_items` VALUES ('2847', 'object/tangible/painting/shared_painting_tato_s04.iff');
INSERT INTO `template_items` VALUES ('2848', 'object/tangible/inventory/shared_creature_inventory_3.iff');
INSERT INTO `template_items` VALUES ('2849', 'object/tangible/fishing/fish/shared_ray.iff');
INSERT INTO `template_items` VALUES ('2850', 'object/tangible/medicine/pet/shared_pet_stimpack_a.iff');
INSERT INTO `template_items` VALUES ('2851', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('2852', 'object/tangible/component/droid/shared_crafting_module_space.iff');
INSERT INTO `template_items` VALUES ('2853', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_config_processor.iff');
INSERT INTO `template_items` VALUES ('2854', 'object/tangible/beta/shared_beta_terminal_money.iff');
INSERT INTO `template_items` VALUES ('2855', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('2856', 'object/tangible/mission/quest_item/shared_rakir_banai_q4_needed.iff');
INSERT INTO `template_items` VALUES ('2857', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s03.iff');
INSERT INTO `template_items` VALUES ('2858', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('2859', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q5_needed.iff');
INSERT INTO `template_items` VALUES ('2860', 'object/tangible/component/vehicle/shared_hvy_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('2861', 'object/tangible/medicine/crafted/shared_medpack_poison_action_a.iff');
INSERT INTO `template_items` VALUES ('2862', 'object/tangible/food/crafted/shared_dessert_ryshcate.iff');
INSERT INTO `template_items` VALUES ('2863', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_02.iff');
INSERT INTO `template_items` VALUES ('2864', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_intel.iff');
INSERT INTO `template_items` VALUES ('2865', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_hills.iff');
INSERT INTO `template_items` VALUES ('2866', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding_2.iff');
INSERT INTO `template_items` VALUES ('2867', 'object/tangible/furniture/all/shared_frn_bench_generic.iff');
INSERT INTO `template_items` VALUES ('2868', 'object/tangible/ship/components/reactor/shared_rct_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('2869', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i7.iff');
INSERT INTO `template_items` VALUES ('2870', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s01_lit.iff');
INSERT INTO `template_items` VALUES ('2871', 'object/tangible/food/shared_fruit_melon.iff');
INSERT INTO `template_items` VALUES ('2872', 'object/tangible/lair/base/shared_objective_banner_generic_1.iff');
INSERT INTO `template_items` VALUES ('2873', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x12.iff');
INSERT INTO `template_items` VALUES ('2874', 'object/tangible/furniture/all/shared_frn_all_command_console.iff');
INSERT INTO `template_items` VALUES ('2875', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('2876', 'object/tangible/wearables/necklace/shared_necklace_s09.iff');
INSERT INTO `template_items` VALUES ('2877', 'object/tangible/ship/attachment/hangar/shared_star_destroyer_hangar.iff');
INSERT INTO `template_items` VALUES ('2878', 'object/tangible/encoded_disk/shared_encoded_disk_base.iff');
INSERT INTO `template_items` VALUES ('2879', 'object/tangible/hair/human/shared_hair_human_female_s23.iff');
INSERT INTO `template_items` VALUES ('2880', 'object/tangible/wearables/backpack/shared_singing_mountain_clan_backpack.iff');
INSERT INTO `template_items` VALUES ('2881', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s04.iff');
INSERT INTO `template_items` VALUES ('2882', 'object/tangible/wearables/base/shared_base_jewelry_set.iff');
INSERT INTO `template_items` VALUES ('2883', 'object/tangible/deed/factory_deed/shared_factory_clothing_deed.iff');
INSERT INTO `template_items` VALUES ('2884', 'object/tangible/lair/choku/shared_lair_choku_jungle.iff');
INSERT INTO `template_items` VALUES ('2885', 'object/tangible/fishing/shared_fishing_pole.iff');
INSERT INTO `template_items` VALUES ('2886', 'object/tangible/wearables/armor/ris/shared_armor_ris_chest_plate.iff');
INSERT INTO `template_items` VALUES ('2887', 'object/tangible/ship/components/booster/shared_bst_koensayr_modified_heavy.iff');
INSERT INTO `template_items` VALUES ('2888', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_b.iff');
INSERT INTO `template_items` VALUES ('2889', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_medium.iff');
INSERT INTO `template_items` VALUES ('2890', 'object/tangible/furniture/elegant/shared_bookcase_s01.iff');
INSERT INTO `template_items` VALUES ('2891', 'object/tangible/painting/shared_painting_kite_plant.iff');
INSERT INTO `template_items` VALUES ('2892', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_basic.iff');
INSERT INTO `template_items` VALUES ('2893', 'object/tangible/loot/quest/shared_schematic_apron_s01_quest.iff');
INSERT INTO `template_items` VALUES ('2894', 'object/tangible/wearables/jacket/shared_jacket_s06.iff');
INSERT INTO `template_items` VALUES ('2895', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('2896', 'object/tangible/loot/misc/shared_briefcase_s01.iff');
INSERT INTO `template_items` VALUES ('2897', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_premium_dynamo_mk2.iff');
INSERT INTO `template_items` VALUES ('2898', 'object/tangible/medicine/shared_medpack_enhance_strength.iff');
INSERT INTO `template_items` VALUES ('2899', 'object/tangible/ship/components/engine/shared_xwing_engine_s01_test.iff');
INSERT INTO `template_items` VALUES ('2900', 'object/tangible/loot/loot_schematic/shared_cantina_chair_schematic.iff');
INSERT INTO `template_items` VALUES ('2901', 'object/tangible/deed/pet_deed/shared_deed_surgical_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2902', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw7.iff');
INSERT INTO `template_items` VALUES ('2903', 'object/tangible/lair/malkloc/shared_lair_malkloc.iff');
INSERT INTO `template_items` VALUES ('2904', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s02.iff');
INSERT INTO `template_items` VALUES ('2905', 'object/tangible/deed/faction_perk/turret/base/shared_faction_turret_deed.iff');
INSERT INTO `template_items` VALUES ('2906', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large.iff');
INSERT INTO `template_items` VALUES ('2907', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_b.iff');
INSERT INTO `template_items` VALUES ('2908', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk5.iff');
INSERT INTO `template_items` VALUES ('2909', 'object/tangible/ship/components/engine/shared_eng_reward_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('2910', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('2911', 'object/tangible/hair/sullustan/shared_sul_hair_s11_m.iff');
INSERT INTO `template_items` VALUES ('2912', 'object/tangible/furniture/modern/shared_armoire_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2913', 'object/tangible/medicine/crafted/shared_medpack_wound_health_a.iff');
INSERT INTO `template_items` VALUES ('2914', 'object/tangible/wearables/shirt/shared_aakuan_shirt.iff');
INSERT INTO `template_items` VALUES ('2915', 'object/tangible/deed/event_perk/shared_pavillion_2_static_deed.iff');
INSERT INTO `template_items` VALUES ('2916', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk4.iff');
INSERT INTO `template_items` VALUES ('2917', 'object/tangible/lair/quenker/shared_lair_quenker.iff');
INSERT INTO `template_items` VALUES ('2918', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2919', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('2920', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_haor_chall_military.iff');
INSERT INTO `template_items` VALUES ('2921', 'object/tangible/painting/shared_painting_bestine_moncal_eye_01.iff');
INSERT INTO `template_items` VALUES ('2922', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('2923', 'object/tangible/container/medical/shared_medbag_base.iff');
INSERT INTO `template_items` VALUES ('2924', 'object/tangible/deed/event_perk/shared_shuttle_beacon.iff');
INSERT INTO `template_items` VALUES ('2925', 'object/tangible/ship/components/reactor/shared_rct_seinar_level4.iff');
INSERT INTO `template_items` VALUES ('2926', 'object/tangible/deed/city_deed/shared_cloning_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('2927', 'object/tangible/component/droid/shared_item_storage_module_2.iff');
INSERT INTO `template_items` VALUES ('2928', 'object/tangible/hair/human/shared_hair_human_male_s16.iff');
INSERT INTO `template_items` VALUES ('2929', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_taim_military_grade.iff');
INSERT INTO `template_items` VALUES ('2930', 'object/tangible/component/food/secrets/shared_secret_rebel_biochem.iff');
INSERT INTO `template_items` VALUES ('2931', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog.iff');
INSERT INTO `template_items` VALUES ('2932', 'object/tangible/wearables/dress/shared_dress_s05.iff');
INSERT INTO `template_items` VALUES ('2933', 'object/tangible/space/story_loot/shared_loot_dantooine_scavengers.iff');
INSERT INTO `template_items` VALUES ('2934', 'object/tangible/ship/components/reactor/shared_rct_armek_phase_grinder.iff');
INSERT INTO `template_items` VALUES ('2935', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_base.iff');
INSERT INTO `template_items` VALUES ('2936', 'object/tangible/wearables/robe/shared_robe_jedi_light_s02.iff');
INSERT INTO `template_items` VALUES ('2937', 'object/tangible/mission/quest_item/shared_brennis_doore_q2_needed.iff');
INSERT INTO `template_items` VALUES ('2938', 'object/tangible/deed/pet_deed/shared_gurnaset_deed.iff');
INSERT INTO `template_items` VALUES ('2939', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02_pos.iff');
INSERT INTO `template_items` VALUES ('2940', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s03_lg.iff');
INSERT INTO `template_items` VALUES ('2941', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_honor.iff');
INSERT INTO `template_items` VALUES ('2942', 'object/tangible/loot/loot_schematic/shared_bottle_tall_schematic.iff');
INSERT INTO `template_items` VALUES ('2943', 'object/tangible/deed/pet_deed/shared_deed_le_repair_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('2944', 'object/tangible/loot/tool/shared_taloscope_broken.iff');
INSERT INTO `template_items` VALUES ('2945', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ion_cannon.iff');
INSERT INTO `template_items` VALUES ('2946', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('2947', 'object/tangible/wearables/base/shared_base_wrist_either.iff');
INSERT INTO `template_items` VALUES ('2948', 'object/tangible/wearables/ithorian/shared_ith_belt_s02.iff');
INSERT INTO `template_items` VALUES ('2949', 'object/tangible/camp/shared_campfire_logs_ash.iff');
INSERT INTO `template_items` VALUES ('2950', 'object/tangible/hair/rodian/shared_hair_rodian_male_s01.iff');
INSERT INTO `template_items` VALUES ('2951', 'object/tangible/painting/shared_painting_palowick_ad_s01.iff');
INSERT INTO `template_items` VALUES ('2952', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s05_0.iff');
INSERT INTO `template_items` VALUES ('2953', 'object/tangible/deed/event_perk/shared_rebel_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('2954', 'object/tangible/space/story_loot/shared_loot_dantooine_mining.iff');
INSERT INTO `template_items` VALUES ('2955', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s03_1.iff');
INSERT INTO `template_items` VALUES ('2956', 'object/tangible/loot/quest/shared_carved_stone.iff');
INSERT INTO `template_items` VALUES ('2957', 'object/tangible/medicine/pet/shared_pet_vitapack_c.iff');
INSERT INTO `template_items` VALUES ('2958', 'object/tangible/lair/verne/shared_lair_verne.iff');
INSERT INTO `template_items` VALUES ('2959', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s02.iff');
INSERT INTO `template_items` VALUES ('2960', 'object/tangible/component/dna/shared_dna_template_gurrcat.iff');
INSERT INTO `template_items` VALUES ('2961', 'object/tangible/wearables/earring/shared_earring_s05.iff');
INSERT INTO `template_items` VALUES ('2962', 'object/tangible/component/armor/shared_deflector_shield_generator_energy_ray.iff');
INSERT INTO `template_items` VALUES ('2963', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('2964', 'object/tangible/ship/components/engine/shared_eng_incom_heavy_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('2965', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('2966', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk4.iff');
INSERT INTO `template_items` VALUES ('2967', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s07.iff');
INSERT INTO `template_items` VALUES ('2968', 'object/tangible/item/quest/crowd_pleaser/shared_music_reward.iff');
INSERT INTO `template_items` VALUES ('2969', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_advanced.iff');
INSERT INTO `template_items` VALUES ('2970', 'object/tangible/food/crafted/shared_dish_braised_canron.iff');
INSERT INTO `template_items` VALUES ('2971', 'object/tangible/ship/components/weapon/shared_wpn_mandal_advanced_annihilator.iff');
INSERT INTO `template_items` VALUES ('2972', 'object/tangible/hair/bothan/shared_hair_bothan_female_s03.iff');
INSERT INTO `template_items` VALUES ('2973', 'object/tangible/ship/components/booster/shared_bst_sorosuub_enhanced_liberator_mk4.iff');
INSERT INTO `template_items` VALUES ('2974', 'object/tangible/lair/mott/shared_lair_mott.iff');
INSERT INTO `template_items` VALUES ('2975', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk4.iff');
INSERT INTO `template_items` VALUES ('2976', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('2977', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk2.iff');
INSERT INTO `template_items` VALUES ('2978', 'object/tangible/lair/nuna/shared_lair_nuna.iff');
INSERT INTO `template_items` VALUES ('2979', 'object/tangible/component/chemistry/shared_release_mechanism_duration.iff');
INSERT INTO `template_items` VALUES ('2980', 'object/tangible/furniture/modern/shared_rug_rnd_sml_s01.iff');
INSERT INTO `template_items` VALUES ('2981', 'object/tangible/deed/pet_deed/shared_roba_deed.iff');
INSERT INTO `template_items` VALUES ('2982', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_pack.iff');
INSERT INTO `template_items` VALUES ('2983', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx7.iff');
INSERT INTO `template_items` VALUES ('2984', 'object/tangible/component/armor/shared_heavy_armor_layer_acid.iff');
INSERT INTO `template_items` VALUES ('2985', 'object/tangible/lair/purbole/shared_lair_purbole.iff');
INSERT INTO `template_items` VALUES ('2986', 'object/tangible/ship/components/chassis/shared_blacksun_medium_s04_chassis_token.iff');
INSERT INTO `template_items` VALUES ('2987', 'object/tangible/component/dna/shared_dna_template_carrion_spat.iff');
INSERT INTO `template_items` VALUES ('2988', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s01.iff');
INSERT INTO `template_items` VALUES ('2989', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('2990', 'object/tangible/wearables/bandolier/shared_bandolier_s02_quest.iff');
INSERT INTO `template_items` VALUES ('2991', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk3.iff');
INSERT INTO `template_items` VALUES ('2992', 'object/tangible/ship/components/booster/shared_bst_kse_deluxe_bti3.iff');
INSERT INTO `template_items` VALUES ('2993', 'object/tangible/ship/components/engine/shared_eng_mandal_elite.iff');
INSERT INTO `template_items` VALUES ('2994', 'object/tangible/food/spice/shared_spice_giggledust.iff');
INSERT INTO `template_items` VALUES ('2995', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge_advanced.iff');
INSERT INTO `template_items` VALUES ('2996', 'object/tangible/ship/components/engine/shared_eng_kse_improved_a2x.iff');
INSERT INTO `template_items` VALUES ('2997', 'object/tangible/ship/components/weapon/shared_wpn_taim_kx8.iff');
INSERT INTO `template_items` VALUES ('2998', 'object/tangible/lair/graul/shared_lair_graul.iff');
INSERT INTO `template_items` VALUES ('2999', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_lower.iff');
INSERT INTO `template_items` VALUES ('3000', 'object/tangible/ship/components/armor/shared_arm_moncal_supreme_weave.iff');
INSERT INTO `template_items` VALUES ('3001', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_forest.iff');
INSERT INTO `template_items` VALUES ('3002', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('3003', 'object/tangible/droid/shared_navicomputer_1.iff');
INSERT INTO `template_items` VALUES ('3004', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_mountain.iff');
INSERT INTO `template_items` VALUES ('3005', 'object/tangible/loot/quest/shared_victor_questp_receipt.iff');
INSERT INTO `template_items` VALUES ('3006', 'object/tangible/loot/quest/shared_victor_campaign_disk.iff');
INSERT INTO `template_items` VALUES ('3007', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('3008', 'object/tangible/furniture/all/shared_event_flag_game_neut_banner.iff');
INSERT INTO `template_items` VALUES ('3009', 'object/tangible/theme_park/alderaan/act2/shared_relay_station_terminal.iff');
INSERT INTO `template_items` VALUES ('3010', 'object/tangible/deed/event_perk/shared_naboo_gazebo_static_deed.iff');
INSERT INTO `template_items` VALUES ('3011', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_large_base_s01.iff');
INSERT INTO `template_items` VALUES ('3012', 'object/tangible/powerup/weapon/shared_melee_lightsaber.iff');
INSERT INTO `template_items` VALUES ('3013', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk5.iff');
INSERT INTO `template_items` VALUES ('3014', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('3015', 'object/tangible/deed/vehicle_deed/shared_speederbike_flash_deed.iff');
INSERT INTO `template_items` VALUES ('3016', 'object/tangible/mission/quest_item/shared_brass_marshoo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3017', 'object/tangible/loot/loot_schematic/shared_flora_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('3018', 'object/tangible/ship/components/reactor/shared_rct_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('3019', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s14.iff');
INSERT INTO `template_items` VALUES ('3020', 'object/tangible/ship/components/chassis/shared_tiefighter_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3021', 'object/tangible/bank/shared_character_bank.iff');
INSERT INTO `template_items` VALUES ('3022', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo_2.iff');
INSERT INTO `template_items` VALUES ('3023', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('3024', 'object/tangible/loot/misc/shared_ticket_collectors_item_s01.iff');
INSERT INTO `template_items` VALUES ('3025', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_lance_module_force_crystal.iff');
INSERT INTO `template_items` VALUES ('3026', 'object/tangible/furniture/modern/shared_love_seat_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('3027', 'object/tangible/lair/kimogila/shared_lair_kimogila.iff');
INSERT INTO `template_items` VALUES ('3028', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('3029', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_2.iff');
INSERT INTO `template_items` VALUES ('3030', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_02.iff');
INSERT INTO `template_items` VALUES ('3031', 'object/tangible/loot/quest/force_sensitive/sharred_waypoint_datapad.iff');
INSERT INTO `template_items` VALUES ('3032', 'object/tangible/ship/crafted/reactor/shared_basic_reactor.iff');
INSERT INTO `template_items` VALUES ('3033', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk5.iff');
INSERT INTO `template_items` VALUES ('3034', 'object/tangible/wearables/ithorian/shared_ith_hat_s02.iff');
INSERT INTO `template_items` VALUES ('3035', 'object/tangible/mission/quest_item/shared_mat_rags_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3036', 'object/tangible/wearables/vest/shared_vest_s09.iff');
INSERT INTO `template_items` VALUES ('3037', 'object/tangible/food/crafted/shared_dish_ramorrean_capanata.iff');
INSERT INTO `template_items` VALUES ('3038', 'object/tangible/component/droid/shared_medic_module_3.iff');
INSERT INTO `template_items` VALUES ('3039', 'object/tangible/ship/components/weapon/shared_wpn_prototype_weapon.iff');
INSERT INTO `template_items` VALUES ('3040', 'object/tangible/lair/gurk/shared_lair_gurk_wasteland.iff');
INSERT INTO `template_items` VALUES ('3041', 'object/tangible/wearables/base/shared_base_sleeve_both.iff');
INSERT INTO `template_items` VALUES ('3042', 'object/tangible/mission/quest_item/shared_wald_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3043', 'object/tangible/furniture/jedi/shared_frn_all_table_light_01.iff');
INSERT INTO `template_items` VALUES ('3044', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3045', 'object/tangible/fishing/bait/shared_bait_chum.iff');
INSERT INTO `template_items` VALUES ('3046', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s05.iff');
INSERT INTO `template_items` VALUES ('3047', 'object/tangible/wearables/boots/shared_boots_s03.iff');
INSERT INTO `template_items` VALUES ('3048', 'object/tangible/furniture/tatooine/shared_frn_tato_cafe_parasol.iff');
INSERT INTO `template_items` VALUES ('3049', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx3.iff');
INSERT INTO `template_items` VALUES ('3050', 'object/tangible/wearables/helmet/shared_helmet_fighter_privateer_ace.iff');
INSERT INTO `template_items` VALUES ('3051', 'object/tangible/mission/quest_item/shared_ging_darjeek_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3052', 'object/tangible/furniture/tatooine/shared_frn_tatt_cantina_droid_detector.iff');
INSERT INTO `template_items` VALUES ('3053', 'object/tangible/ship/components/chassis/shared_blacksun_light_s03_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3054', 'object/tangible/deed/pet_deed/shared_gurrcat_deed.iff');
INSERT INTO `template_items` VALUES ('3055', 'object/tangible/deed/player_house_deed/shared_generic_house_small_style_02_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('3056', 'object/tangible/ship/components/engine/shared_eng_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('3057', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('3058', 'object/tangible/veteran_reward/shared_frn_vet_tie_fighter_toy.iff');
INSERT INTO `template_items` VALUES ('3059', 'object/tangible/wearables/ithorian/shared_ith_skirt_s01.iff');
INSERT INTO `template_items` VALUES ('3060', 'object/tangible/furniture/imperial/shared_warren_experiment_terminal.iff');
INSERT INTO `template_items` VALUES ('3061', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_gloves.iff');
INSERT INTO `template_items` VALUES ('3062', 'object/tangible/crafting/station/shared_public_weapon_station.iff');
INSERT INTO `template_items` VALUES ('3063', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3064', 'object/tangible/bug_jar/shared_sample_flies.iff');
INSERT INTO `template_items` VALUES ('3065', 'object/tangible/food/crafted/shared_dessert_dweezel.iff');
INSERT INTO `template_items` VALUES ('3066', 'object/tangible/ship/crafted/engine/shared_engine_novaldex_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('3067', 'object/tangible/mission/quest_item/shared_singular_nak_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3068', 'object/tangible/wearables/ithorian/shared_ith_shirt_s08.iff');
INSERT INTO `template_items` VALUES ('3069', 'object/tangible/furniture/decorative/shared_radio.iff');
INSERT INTO `template_items` VALUES ('3070', 'object/tangible/medicine/shared_medpack_cure_poison.iff');
INSERT INTO `template_items` VALUES ('3071', 'object/tangible/mission/quest_item/shared_warren_inquisitor_letter.iff');
INSERT INTO `template_items` VALUES ('3072', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_02.iff');
INSERT INTO `template_items` VALUES ('3073', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk1.iff');
INSERT INTO `template_items` VALUES ('3074', 'object/tangible/loot/misc/shared_mystical_powered_orb.iff');
INSERT INTO `template_items` VALUES ('3075', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s02.iff');
INSERT INTO `template_items` VALUES ('3076', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s07.iff');
INSERT INTO `template_items` VALUES ('3077', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s02.iff');
INSERT INTO `template_items` VALUES ('3078', 'object/tangible/hair/rodian/shared_hair_rodian_female_s01.iff');
INSERT INTO `template_items` VALUES ('3079', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3080', 'object/tangible/deed/event_perk/shared_wedding_garden_rebel_large_theater_deed.iff');
INSERT INTO `template_items` VALUES ('3081', 'object/tangible/component/armor/shared_armor_segment_bone_donkuwah.iff');
INSERT INTO `template_items` VALUES ('3082', 'object/tangible/component/droid/shared_armor_module_5.iff');
INSERT INTO `template_items` VALUES ('3083', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3084', 'object/tangible/lair/base/shared_lair_base_nest_ground_lg_light.iff');
INSERT INTO `template_items` VALUES ('3085', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3086', 'object/tangible/ship/components/shield_generator/shared_shd_reward_taim_elite.iff');
INSERT INTO `template_items` VALUES ('3087', 'object/tangible/lair/shared_npc_lair.iff');
INSERT INTO `template_items` VALUES ('3088', 'object/tangible/ship/components/booster/shared_bst_kse_bti2.iff');
INSERT INTO `template_items` VALUES ('3089', 'object/tangible/wearables/bandolier/shared_bandolier_s04_quest.iff');
INSERT INTO `template_items` VALUES ('3090', 'object/tangible/datapad/shared_character_datapad.iff');
INSERT INTO `template_items` VALUES ('3091', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_large.iff');
INSERT INTO `template_items` VALUES ('3092', 'object/tangible/loot/dungeon/corellian_corvette/shared_bootdisk.iff');
INSERT INTO `template_items` VALUES ('3093', 'object/tangible/ship/components/reactor/shared_reactor_test.iff');
INSERT INTO `template_items` VALUES ('3094', 'object/tangible/wearables/bracelet/shared_bracelet_s05_r.iff');
INSERT INTO `template_items` VALUES ('3095', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_wasteland.iff');
INSERT INTO `template_items` VALUES ('3096', 'object/tangible/deed/event_perk/shared_imperial_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3097', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s2.iff');
INSERT INTO `template_items` VALUES ('3098', 'object/tangible/terminal/shared_terminal_travel.iff');
INSERT INTO `template_items` VALUES ('3099', 'object/tangible/vendor/shared_vendor_terminal_basic.iff');
INSERT INTO `template_items` VALUES ('3100', 'object/tangible/hair/bothan/shared_hair_bothan_female_s13.iff');
INSERT INTO `template_items` VALUES ('3101', 'object/tangible/wearables/base/shared_base_jumpsuit_gloved.iff');
INSERT INTO `template_items` VALUES ('3102', 'object/tangible/furniture/modern/shared_rug_rect_lg_s02.iff');
INSERT INTO `template_items` VALUES ('3103', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('3104', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk1.iff');
INSERT INTO `template_items` VALUES ('3105', 'object/tangible/lair/vog_eel/shared_lair_vog_eel_underwater.iff');
INSERT INTO `template_items` VALUES ('3106', 'object/tangible/mission/quest_item/shared_vrir_unglan_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3107', 'object/tangible/food/crafted/shared_dish_terratta.iff');
INSERT INTO `template_items` VALUES ('3108', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_chemical_tab.iff');
INSERT INTO `template_items` VALUES ('3109', 'object/tangible/mission/quest_item/shared_szingo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3110', 'object/tangible/mission/quest_item/shared_denell_kelvannon_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3111', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_03.iff');
INSERT INTO `template_items` VALUES ('3112', 'object/tangible/deed/pet_deed/shared_acklay_deed.iff');
INSERT INTO `template_items` VALUES ('3113', 'object/tangible/wearables/belt/shared_belt_s16.iff');
INSERT INTO `template_items` VALUES ('3114', 'object/tangible/lair/huf_dun/shared_lair_huf_dun_grassland.iff');
INSERT INTO `template_items` VALUES ('3115', 'object/tangible/wearables/skirt/shared_skirt_s12.iff');
INSERT INTO `template_items` VALUES ('3116', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk3.iff');
INSERT INTO `template_items` VALUES ('3117', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3118', 'object/tangible/furniture/modern/shared_rug_sqr_m_s01.iff');
INSERT INTO `template_items` VALUES ('3119', 'object/tangible/wearables/pants/shared_pants_s24.iff');
INSERT INTO `template_items` VALUES ('3120', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3121', 'object/tangible/lair/borgle/shared_lair_borgle_jungle.iff');
INSERT INTO `template_items` VALUES ('3122', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_boots.iff');
INSERT INTO `template_items` VALUES ('3123', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap5.iff');
INSERT INTO `template_items` VALUES ('3124', 'object/tangible/container/drum/shared_pob_ship_loot_box.iff');
INSERT INTO `template_items` VALUES ('3125', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_accuracy.iff');
INSERT INTO `template_items` VALUES ('3126', 'object/tangible/wearables/ithorian/shared_ith_pants_s21.iff');
INSERT INTO `template_items` VALUES ('3127', 'object/tangible/component/weapon/shared_scope_weapon_sm_s06.iff');
INSERT INTO `template_items` VALUES ('3128', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_tech_kit.iff');
INSERT INTO `template_items` VALUES ('3129', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk2.iff');
INSERT INTO `template_items` VALUES ('3130', 'object/tangible/ship/components/weapon/shared_wpn_rendili_advanced.iff');
INSERT INTO `template_items` VALUES ('3131', 'object/tangible/ship/components/weapon/shared_wpn_mandal_super_mangler.iff');
INSERT INTO `template_items` VALUES ('3132', 'object/tangible/mission/quest_item/shared_jazeen_thurmm_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3133', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_04_deed.iff');
INSERT INTO `template_items` VALUES ('3134', 'object/tangible/wearables/ithorian/shared_ith_belt_s12.iff');
INSERT INTO `template_items` VALUES ('3135', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_a.iff');
INSERT INTO `template_items` VALUES ('3136', 'object/tangible/wearables/wookiee/shared_wke_skirt_s02.iff');
INSERT INTO `template_items` VALUES ('3137', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer.iff');
INSERT INTO `template_items` VALUES ('3138', 'object/tangible/gravestone/shared_gravestone04.iff');
INSERT INTO `template_items` VALUES ('3139', 'object/tangible/hair/rodian/shared_hair_rodian_male_s11.iff');
INSERT INTO `template_items` VALUES ('3140', 'object/tangible/ship/components/weapon/shared_wpn_borstel_rg9.iff');
INSERT INTO `template_items` VALUES ('3141', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_a.iff');
INSERT INTO `template_items` VALUES ('3142', 'object/tangible/wearables/earring/shared_earring_s15.iff');
INSERT INTO `template_items` VALUES ('3143', 'object/tangible/furniture/modern/shared_rug_rnd_m_s01.iff');
INSERT INTO `template_items` VALUES ('3144', 'object/tangible/component/food/base/shared_drink_container_base.iff');
INSERT INTO `template_items` VALUES ('3145', 'object/tangible/sign/player/shared_shop_sign_s03.iff');
INSERT INTO `template_items` VALUES ('3146', 'object/tangible/wearables/bandolier/shared_bandolier_s08.iff');
INSERT INTO `template_items` VALUES ('3147', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z1.iff');
INSERT INTO `template_items` VALUES ('3148', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s17.iff');
INSERT INTO `template_items` VALUES ('3149', 'object/tangible/gambling/slot/shared_standard.iff');
INSERT INTO `template_items` VALUES ('3150', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk2.iff');
INSERT INTO `template_items` VALUES ('3151', 'object/tangible/space/story_loot/shared_loot_dantooine_warren.iff');
INSERT INTO `template_items` VALUES ('3152', 'object/tangible/ship/components/engine/shared_eng_incom_elite.iff');
INSERT INTO `template_items` VALUES ('3153', 'object/tangible/mission/quest_item/shared_karena_keer_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3154', 'object/tangible/ship/attachment/wing/shared_bwing_wing_r.iff');
INSERT INTO `template_items` VALUES ('3155', 'object/tangible/hair/human/shared_hair_human_male_s06.iff');
INSERT INTO `template_items` VALUES ('3156', 'object/tangible/ship/crafted/booster/shared_booster_mk5.iff');
INSERT INTO `template_items` VALUES ('3157', 'object/tangible/wearables/robe/shared_robe_s01.iff');
INSERT INTO `template_items` VALUES ('3158', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk1.iff');
INSERT INTO `template_items` VALUES ('3159', 'object/tangible/deed/faction_perk/turret/shared_dish_sm_deed.iff');
INSERT INTO `template_items` VALUES ('3160', 'object/tangible/food/foraged/shared_foraged_vegetable_s5.iff');
INSERT INTO `template_items` VALUES ('3161', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_c.iff');
INSERT INTO `template_items` VALUES ('3162', 'object/tangible/lair/angler/shared_lair_angler.iff');
INSERT INTO `template_items` VALUES ('3163', 'object/tangible/mission/quest_item/shared_mat_rags_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3164', 'object/tangible/deed/event_perk/shared_corsec_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3165', 'object/tangible/terminal/shared_terminal_bank.iff');
INSERT INTO `template_items` VALUES ('3166', 'object/tangible/wearables/dress/shared_dress_s15.iff');
INSERT INTO `template_items` VALUES ('3167', 'object/tangible/speaker/shared_speaker.iff');
INSERT INTO `template_items` VALUES ('3168', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3169', 'object/tangible/terminal/shared_terminal_dark_enclave_challenge.iff');
INSERT INTO `template_items` VALUES ('3170', 'object/tangible/camp/shared_campfire_logs_fresh.iff');
INSERT INTO `template_items` VALUES ('3171', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('3172', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('3173', 'object/tangible/loot/simple_kit/shared_wiring_blue.iff');
INSERT INTO `template_items` VALUES ('3174', 'object/tangible/wearables/cyborg/shared_arm_r_s01.iff');
INSERT INTO `template_items` VALUES ('3175', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s1.iff');
INSERT INTO `template_items` VALUES ('3176', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_leggings.iff');
INSERT INTO `template_items` VALUES ('3177', 'object/tangible/furniture/plain/shared_plain_chair_s01.iff');
INSERT INTO `template_items` VALUES ('3178', 'object/tangible/wearables/base/shared_base_gloves_long.iff');
INSERT INTO `template_items` VALUES ('3179', 'object/tangible/ship/components/booster/shared_xwing_booster_test.iff');
INSERT INTO `template_items` VALUES ('3180', 'object/tangible/wearables/jacket/shared_jacket_s16.iff');
INSERT INTO `template_items` VALUES ('3181', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_05_deed.iff');
INSERT INTO `template_items` VALUES ('3182', 'object/tangible/food/crafted/shared_dessert_cavaellin_creams.iff');
INSERT INTO `template_items` VALUES ('3183', 'object/tangible/component/bio/shared_bio_component_food_heavy_filling.iff');
INSERT INTO `template_items` VALUES ('3184', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_b.iff');
INSERT INTO `template_items` VALUES ('3185', 'object/tangible/food/crafted/shared_drink_breath_of_heaven.iff');
INSERT INTO `template_items` VALUES ('3186', 'object/tangible/medicine/crafted/shared_medpack_damage_a.iff');
INSERT INTO `template_items` VALUES ('3187', 'object/tangible/ship/crafted/armor/shared_base_armor.iff');
INSERT INTO `template_items` VALUES ('3188', 'object/tangible/skill_buff/shared_skill_buff_heavy_weapon_speed.iff');
INSERT INTO `template_items` VALUES ('3189', 'object/tangible/fishing/fish/shared_faa.iff');
INSERT INTO `template_items` VALUES ('3190', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_modified_polyweb_advanced.iff');
INSERT INTO `template_items` VALUES ('3191', 'object/tangible/lair/durni/shared_lair_durni_grassland.iff');
INSERT INTO `template_items` VALUES ('3192', 'object/tangible/ship/components/booster/shared_bst_reward_koensayr_elite.iff');
INSERT INTO `template_items` VALUES ('3193', 'object/tangible/hq_destructible/shared_override_terminal.iff');
INSERT INTO `template_items` VALUES ('3194', 'object/tangible/ship/crafted/armor/shared_experimental_armor.iff');
INSERT INTO `template_items` VALUES ('3195', 'object/tangible/hair/singing_mountain_clan/shared_singing_mountain_clan_bangs_s01.iff');
INSERT INTO `template_items` VALUES ('3196', 'object/tangible/skill_buff/shared_skill_buff_twohandmelee_speed.iff');
INSERT INTO `template_items` VALUES ('3197', 'object/tangible/mission/quest_item/shared_sigrix_slix_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3198', 'object/tangible/spawning/shared_fs_village_npc_spawner.iff');
INSERT INTO `template_items` VALUES ('3199', 'object/tangible/instrument/shared_ommni_box.iff');
INSERT INTO `template_items` VALUES ('3200', 'object/tangible/food/crafted/shared_dessert_bofa_treat.iff');
INSERT INTO `template_items` VALUES ('3201', 'object/tangible/fishing/fish/shared_blowfish.iff');
INSERT INTO `template_items` VALUES ('3202', 'object/tangible/deed/pet_deed/shared_snorbal_deed.iff');
INSERT INTO `template_items` VALUES ('3203', 'object/tangible/hair/human/shared_hair_human_female_s42.iff');
INSERT INTO `template_items` VALUES ('3204', 'object/tangible/wearables/base/shared_base_jumpsuit_longsleeve.iff');
INSERT INTO `template_items` VALUES ('3205', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_small_s01.iff');
INSERT INTO `template_items` VALUES ('3206', 'object/tangible/ship/components/chassis/shared_blacksun_light_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3207', 'object/tangible/ship/components/engine/shared_eng_sorosuub_tuned_l_337_ion_engine.iff');
INSERT INTO `template_items` VALUES ('3208', 'object/tangible/ship/crafted/shields/shared_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('3209', 'object/tangible/location/base/shared_location_base.iff');
INSERT INTO `template_items` VALUES ('3210', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_hall.iff');
INSERT INTO `template_items` VALUES ('3211', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('3212', 'object/tangible/component/armor/shared_heavy_armor_layer_kinetic.iff');
INSERT INTO `template_items` VALUES ('3213', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk5.iff');
INSERT INTO `template_items` VALUES ('3214', 'object/tangible/lair/structure/interior/shared_lair_cave_giant_interior_graul.iff');
INSERT INTO `template_items` VALUES ('3215', 'object/tangible/wearables/necklace/shared_necklace_s10.iff');
INSERT INTO `template_items` VALUES ('3216', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_boots.iff');
INSERT INTO `template_items` VALUES ('3217', 'object/tangible/lair/chuba/shared_lair_chuba_forest.iff');
INSERT INTO `template_items` VALUES ('3218', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('3219', 'object/tangible/deed/event_perk/shared_banner_style_2_static_deed.iff');
INSERT INTO `template_items` VALUES ('3220', 'object/tangible/ship/components/chassis/shared_hutt_medium_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3221', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_ioncannon.iff');
INSERT INTO `template_items` VALUES ('3222', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_d.iff');
INSERT INTO `template_items` VALUES ('3223', 'object/tangible/wearables/ithorian/shared_ith_pants_s15.iff');
INSERT INTO `template_items` VALUES ('3224', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3225', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s01_deed.iff');
INSERT INTO `template_items` VALUES ('3226', 'object/tangible/loot/loot_schematic/shared_streetlamp_schematic.iff');
INSERT INTO `template_items` VALUES ('3227', 'object/tangible/instrument/shared_fanfar.iff');
INSERT INTO `template_items` VALUES ('3228', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('3229', 'object/tangible/wearables/base/shared_base_helmet_open.iff');
INSERT INTO `template_items` VALUES ('3230', 'object/tangible/ship/components/engine/shared_eng_rss_elite.iff');
INSERT INTO `template_items` VALUES ('3231', 'object/tangible/mission/quest_item/shared_brass_marshoo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3232', 'object/tangible/ship/components/shield_generator/shared_shd_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('3233', 'object/tangible/lair/kima/shared_lair_kima_grassland.iff');
INSERT INTO `template_items` VALUES ('3234', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_03_deed.iff');
INSERT INTO `template_items` VALUES ('3235', 'object/tangible/furniture/technical/shared_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('3236', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_a.iff');
INSERT INTO `template_items` VALUES ('3237', 'object/tangible/component/structure/shared_manufacturing_mechanism.iff');
INSERT INTO `template_items` VALUES ('3238', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s01.iff');
INSERT INTO `template_items` VALUES ('3239', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_02.iff');
INSERT INTO `template_items` VALUES ('3240', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk2.iff');
INSERT INTO `template_items` VALUES ('3241', 'object/tangible/medicine/pet/shared_droid_stimpack_c.iff');
INSERT INTO `template_items` VALUES ('3242', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02_lit.iff');
INSERT INTO `template_items` VALUES ('3243', 'object/tangible/wearables/pants/shared_pants_s10.iff');
INSERT INTO `template_items` VALUES ('3244', 'object/tangible/component/vehicle/shared_launcher.iff');
INSERT INTO `template_items` VALUES ('3245', 'object/tangible/mission/quest_item/shared_radlee_mathiss_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3246', 'object/tangible/food/crafted/shared_dish_puk.iff');
INSERT INTO `template_items` VALUES ('3247', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick_adv.iff');
INSERT INTO `template_items` VALUES ('3248', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk4.iff');
INSERT INTO `template_items` VALUES ('3249', 'object/tangible/mission/quest_item/shared_wald_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3250', 'object/tangible/ship/crafted/engine/shared_adv_fuel_regulation.iff');
INSERT INTO `template_items` VALUES ('3251', 'object/tangible/wearables/ithorian/shared_ith_jacket_s07.iff');
INSERT INTO `template_items` VALUES ('3252', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_small.iff');
INSERT INTO `template_items` VALUES ('3253', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_experimental.iff');
INSERT INTO `template_items` VALUES ('3254', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_parking.iff');
INSERT INTO `template_items` VALUES ('3255', 'object/tangible/wearables/robe/shared_robe_jedi_test.iff');
INSERT INTO `template_items` VALUES ('3256', 'object/tangible/loot/quest/force_sensitive/sharred_force_crystal.iff');
INSERT INTO `template_items` VALUES ('3257', 'object/tangible/medicine/shared_medpack_wound_strength.iff');
INSERT INTO `template_items` VALUES ('3258', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s02.iff');
INSERT INTO `template_items` VALUES ('3259', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax.iff');
INSERT INTO `template_items` VALUES ('3260', 'object/tangible/furniture/city/shared_streetlamp_large_01.iff');
INSERT INTO `template_items` VALUES ('3261', 'object/tangible/component/armor/shared_armor_segment_padded_dune_lizard.iff');
INSERT INTO `template_items` VALUES ('3262', 'object/tangible/ship/components/reactor/shared_rct_z95_basic.iff');
INSERT INTO `template_items` VALUES ('3263', 'object/tangible/wearables/ithorian/shared_ith_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('3264', 'object/tangible/lair/womp_rat/shared_lair_womp_rat.iff');
INSERT INTO `template_items` VALUES ('3265', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s02.iff');
INSERT INTO `template_items` VALUES ('3266', 'object/tangible/wearables/hat/shared_nightsister_hat_s03.iff');
INSERT INTO `template_items` VALUES ('3267', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s03.iff');
INSERT INTO `template_items` VALUES ('3268', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s01.iff');
INSERT INTO `template_items` VALUES ('3269', 'object/tangible/wearables/base/shared_base_cloak.iff');
INSERT INTO `template_items` VALUES ('3270', 'object/tangible/furniture/plain/shared_plain_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('3271', 'object/tangible/wearables/jacket/shared_jacket_s22.iff');
INSERT INTO `template_items` VALUES ('3272', 'object/tangible/ship/components/reactor/shared_rct_rendili_type5.iff');
INSERT INTO `template_items` VALUES ('3273', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('3274', 'object/tangible/mission/quest_item/shared_singular_nak_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3275', 'object/tangible/deed/event_perk/shared_sparking_treasure_box_chest_deed.iff');
INSERT INTO `template_items` VALUES ('3276', 'object/tangible/mission/quest_item/shared_rakir_banai_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3277', 'object/tangible/camp/shared_camp_spit_s3.iff');
INSERT INTO `template_items` VALUES ('3278', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk1.iff');
INSERT INTO `template_items` VALUES ('3279', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost3.iff');
INSERT INTO `template_items` VALUES ('3280', 'object/tangible/furniture/city/shared_fountain_circle.iff');
INSERT INTO `template_items` VALUES ('3281', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_deluxe_standard.iff');
INSERT INTO `template_items` VALUES ('3282', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('3283', 'object/tangible/ship/components/booster/shared_bst_incom_vynock.iff');
INSERT INTO `template_items` VALUES ('3284', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s05.iff');
INSERT INTO `template_items` VALUES ('3285', 'object/tangible/ship/components/armor/shared_arm_moncal_improved_light_weave.iff');
INSERT INTO `template_items` VALUES ('3286', 'object/tangible/region/shared_deliver_region_10.iff');
INSERT INTO `template_items` VALUES ('3287', 'object/tangible/deed/event_perk/shared_imperial_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3288', 'object/tangible/wearables/armor/composite/shared_armor_composite_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3289', 'object/tangible/furniture/imperial/shared_data_terminal_s2.iff');
INSERT INTO `template_items` VALUES ('3290', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler02.iff');
INSERT INTO `template_items` VALUES ('3291', 'object/tangible/deed/player_house_deed/shared_generic_house_medium_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3292', 'object/tangible/lair/pufferfish/shared_lair_pufferfish.iff');
INSERT INTO `template_items` VALUES ('3293', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_02_deed.iff');
INSERT INTO `template_items` VALUES ('3294', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_1.iff');
INSERT INTO `template_items` VALUES ('3295', 'object/tangible/lair/veermok/shared_lair_veermok.iff');
INSERT INTO `template_items` VALUES ('3296', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_3.iff');
INSERT INTO `template_items` VALUES ('3297', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_boots.iff');
INSERT INTO `template_items` VALUES ('3298', 'object/tangible/medicine/crafted/shared_medpack_wound_action_c.iff');
INSERT INTO `template_items` VALUES ('3299', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s2.iff');
INSERT INTO `template_items` VALUES ('3300', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3301', 'object/tangible/food/spice/shared_spice_base.iff');
INSERT INTO `template_items` VALUES ('3302', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s06_1.iff');
INSERT INTO `template_items` VALUES ('3303', 'object/tangible/ship/components/engine/shared_eng_koensayr_dual_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('3304', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_gulginaw.iff');
INSERT INTO `template_items` VALUES ('3305', 'object/tangible/loot/loot_schematic/shared_shisa_schematic.iff');
INSERT INTO `template_items` VALUES ('3306', 'object/tangible/component/weapon/shared_vibro_unit.iff');
INSERT INTO `template_items` VALUES ('3307', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3308', 'object/tangible/lair/kwi/shared_lair_kwi.iff');
INSERT INTO `template_items` VALUES ('3309', 'object/tangible/component/droid/shared_crafting_module_food.iff');
INSERT INTO `template_items` VALUES ('3310', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3311', 'object/tangible/wearables/hat/shared_hat_twilek_s04.iff');
INSERT INTO `template_items` VALUES ('3312', 'object/tangible/loot/collectible/kits/shared_orange_rug_kit.iff');
INSERT INTO `template_items` VALUES ('3313', 'object/tangible/hair/rodian/shared_hair_rodian_female_s08.iff');
INSERT INTO `template_items` VALUES ('3314', 'object/tangible/loot/misc/shared_damaged_datapad.iff');
INSERT INTO `template_items` VALUES ('3315', 'object/tangible/hair/human/shared_hair_human_male_s32.iff');
INSERT INTO `template_items` VALUES ('3316', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_d.iff');
INSERT INTO `template_items` VALUES ('3317', 'object/tangible/lair/vesp/shared_lair_vesp_desert.iff');
INSERT INTO `template_items` VALUES ('3318', 'object/tangible/component/dna/shared_dna_template_narglatch.iff');
INSERT INTO `template_items` VALUES ('3319', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_signal_amp.iff');
INSERT INTO `template_items` VALUES ('3320', 'object/tangible/ship/interior_components/shared_targeting_station_interior.iff');
INSERT INTO `template_items` VALUES ('3321', 'object/tangible/hair/sullustan/shared_sul_hair_s02_f.iff');
INSERT INTO `template_items` VALUES ('3322', 'object/tangible/terminal/shared_terminal_mission_rebel.iff');
INSERT INTO `template_items` VALUES ('3323', 'object/tangible/component/vehicle/shared_military_c.iff');
INSERT INTO `template_items` VALUES ('3324', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('3325', 'object/tangible/mission/quest_item/shared_vrir_unglan_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3326', 'object/tangible/mission/quest_item/shared_thrackan_salsolo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3327', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk4.iff');
INSERT INTO `template_items` VALUES ('3328', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('3329', 'object/tangible/firework/shared_firework_s04.iff');
INSERT INTO `template_items` VALUES ('3330', 'object/tangible/lair/base/shared_objective_power_node.iff');
INSERT INTO `template_items` VALUES ('3331', 'object/tangible/ship/components/weapon/shared_wpn_corellian_1d.iff');
INSERT INTO `template_items` VALUES ('3332', 'object/tangible/lair/base/shared_rancor_dark.iff');
INSERT INTO `template_items` VALUES ('3333', 'object/tangible/ship/components/reactor/shared_rct_freitek_level1.iff');
INSERT INTO `template_items` VALUES ('3334', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s3.iff');
INSERT INTO `template_items` VALUES ('3335', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk2.iff');
INSERT INTO `template_items` VALUES ('3336', 'object/tangible/space/story_loot/shared_loot_tatooine_blacksun.iff');
INSERT INTO `template_items` VALUES ('3337', 'object/tangible/wearables/base/shared_base_cloak_noback.iff');
INSERT INTO `template_items` VALUES ('3338', 'object/tangible/lair/sharnaff/shared_lair_sharnaff_grassland.iff');
INSERT INTO `template_items` VALUES ('3339', 'object/tangible/wearables/bustier/shared_bustier_s02.iff');
INSERT INTO `template_items` VALUES ('3340', 'object/tangible/furniture/all/shared_frn_all_couch_futon_s1.iff');
INSERT INTO `template_items` VALUES ('3341', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s01_lg.iff');
INSERT INTO `template_items` VALUES ('3342', 'object/tangible/painting/shared_painting_bestine_blueleaf_temple.iff');
INSERT INTO `template_items` VALUES ('3343', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk1.iff');
INSERT INTO `template_items` VALUES ('3344', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_armek_array.iff');
INSERT INTO `template_items` VALUES ('3345', 'object/tangible/wearables/shirt/shared_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('3346', 'object/tangible/component/armor/shared_armor_layer_kinetic.iff');
INSERT INTO `template_items` VALUES ('3347', 'object/tangible/medicine/crafted/shared_medpack_poison_health_c.iff');
INSERT INTO `template_items` VALUES ('3348', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('3349', 'object/tangible/mission/quest_item/shared_pooja_naberrie_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3350', 'object/tangible/component/armor/shared_heavy_armor_layer_blast.iff');
INSERT INTO `template_items` VALUES ('3351', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3352', 'object/tangible/lair/base/shared_earthmound_dark.iff');
INSERT INTO `template_items` VALUES ('3353', 'object/tangible/component/weapon/shared_weapon_rifle_laser_stock.iff');
INSERT INTO `template_items` VALUES ('3354', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_gx_elite.iff');
INSERT INTO `template_items` VALUES ('3355', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s01_1.iff');
INSERT INTO `template_items` VALUES ('3356', 'object/tangible/food/crafted/shared_dessert_puffcake.iff');
INSERT INTO `template_items` VALUES ('3357', 'object/tangible/veteran_reward/shared_resource.iff');
INSERT INTO `template_items` VALUES ('3358', 'object/tangible/lair/nuna/shared_lair_nuna_grassland.iff');
INSERT INTO `template_items` VALUES ('3359', 'object/tangible/wearables/bandolier/shared_bandolier_s01.iff');
INSERT INTO `template_items` VALUES ('3360', 'object/tangible/medicine/pet/shared_droid_vitapack_a.iff');
INSERT INTO `template_items` VALUES ('3361', 'object/tangible/furniture/city/shared_statue_sentinel_02.iff');
INSERT INTO `template_items` VALUES ('3362', 'object/tangible/lair/squill/shared_lair_squill_desert.iff');
INSERT INTO `template_items` VALUES ('3363', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s07.iff');
INSERT INTO `template_items` VALUES ('3364', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3365', 'object/tangible/hair/human/shared_hair_human_female_s07.iff');
INSERT INTO `template_items` VALUES ('3366', 'object/tangible/wearables/ithorian/shared_ith_necklace_s12.iff');
INSERT INTO `template_items` VALUES ('3367', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s03_deed.iff');
INSERT INTO `template_items` VALUES ('3368', 'object/tangible/wearables/wookiee/shared_wke_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('3369', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks1.iff');
INSERT INTO `template_items` VALUES ('3370', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_kliknik.iff');
INSERT INTO `template_items` VALUES ('3371', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_07.iff');
INSERT INTO `template_items` VALUES ('3372', 'object/tangible/component/base/shared_base_dna_sample.iff');
INSERT INTO `template_items` VALUES ('3373', 'object/tangible/wearables/necklace/shared_necklace_rosy_pearl.iff');
INSERT INTO `template_items` VALUES ('3374', 'object/tangible/hair/bothan/shared_hair_bothan_male_s05.iff');
INSERT INTO `template_items` VALUES ('3375', 'object/tangible/component/vehicle/shared_structural_reinforcements_hvy.iff');
INSERT INTO `template_items` VALUES ('3376', 'object/tangible/container/jar/shared_jar_spice_s02.iff');
INSERT INTO `template_items` VALUES ('3377', 'object/tangible/loot/loot_schematic/shared_couch_blue_schematic.iff');
INSERT INTO `template_items` VALUES ('3378', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_c.iff');
INSERT INTO `template_items` VALUES ('3379', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c1.iff');
INSERT INTO `template_items` VALUES ('3380', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s01_1.iff');
INSERT INTO `template_items` VALUES ('3381', 'object/tangible/ship/components/booster/shared_bst_moncal_rare_advanced.iff');
INSERT INTO `template_items` VALUES ('3382', 'object/tangible/medicine/shared_medikit_tool_basic.iff');
INSERT INTO `template_items` VALUES ('3383', 'object/tangible/furniture/modern/shared_rug_rect_m_s01.iff');
INSERT INTO `template_items` VALUES ('3384', 'object/tangible/component/vehicle/shared_fuel_cell_b.iff');
INSERT INTO `template_items` VALUES ('3385', 'object/tangible/mission/quest_item/shared_karena_keer_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3386', 'object/tangible/hopper/shared_crafting_station_ingredient_hopper_1.iff');
INSERT INTO `template_items` VALUES ('3387', 'object/tangible/lair/vesp/shared_lair_vesp.iff');
INSERT INTO `template_items` VALUES ('3388', 'object/tangible/food/crafted/shared_dessert_vagnerian_canape.iff');
INSERT INTO `template_items` VALUES ('3389', 'object/tangible/deed/event_perk/shared_corsec_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3390', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk1.iff');
INSERT INTO `template_items` VALUES ('3391', 'object/tangible/wearables/gloves/shared_gloves_s12.iff');
INSERT INTO `template_items` VALUES ('3392', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3393', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming_2.iff');
INSERT INTO `template_items` VALUES ('3394', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('3395', 'object/tangible/wearables/necklace/shared_necklace_magnificent_lavaliere.iff');
INSERT INTO `template_items` VALUES ('3396', 'object/tangible/mission/quest_item/shared_wald_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3397', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3398', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_deluxe_wampa_s1.iff');
INSERT INTO `template_items` VALUES ('3399', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler02.iff');
INSERT INTO `template_items` VALUES ('3400', 'object/tangible/food/crafted/shared_dessert_deneelian_fizz_pudding.iff');
INSERT INTO `template_items` VALUES ('3401', 'object/tangible/mission/quest_item/shared_mat_rags_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3402', 'object/tangible/space/content_infrastructure/shared_basic_generic_point.iff');
INSERT INTO `template_items` VALUES ('3403', 'object/tangible/mission/quest_item/shared_dolac_legasi_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3404', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension_quest.iff');
INSERT INTO `template_items` VALUES ('3405', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster.iff');
INSERT INTO `template_items` VALUES ('3406', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s1_deed.iff');
INSERT INTO `template_items` VALUES ('3407', 'object/tangible/ship/components/chassis/shared_z95_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3408', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3409', 'object/tangible/ship/components/armor/shared_armor_mandal_insulated_i5.iff');
INSERT INTO `template_items` VALUES ('3410', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_improved_valiant_z1.iff');
INSERT INTO `template_items` VALUES ('3411', 'object/tangible/camp/shared_camp_tent_s1.iff');
INSERT INTO `template_items` VALUES ('3412', 'object/tangible/ship/interior_components/shared_reactor_interior.iff');
INSERT INTO `template_items` VALUES ('3413', 'object/tangible/lair/brackaset/shared_lair_brackaset.iff');
INSERT INTO `template_items` VALUES ('3414', 'object/tangible/ship/components/droid_interface/shared_ddi_gallofree_level1.iff');
INSERT INTO `template_items` VALUES ('3415', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s01_pos.iff');
INSERT INTO `template_items` VALUES ('3416', 'object/tangible/component/chemistry/shared_resilience_compound.iff');
INSERT INTO `template_items` VALUES ('3417', 'object/tangible/component/armor/shared_armor_segment_enhancement_nightsister.iff');
INSERT INTO `template_items` VALUES ('3418', 'object/tangible/component/clothing/shared_synthetic_cloth.iff');
INSERT INTO `template_items` VALUES ('3419', 'object/tangible/loot/loot_schematic/shared_geonosian_sword_core_schematic.iff');
INSERT INTO `template_items` VALUES ('3420', 'object/tangible/painting/shared_painting_twilek_f_lg_s04.iff');
INSERT INTO `template_items` VALUES ('3421', 'object/tangible/ship/components/armor/shared_armor_freitek_ew6_prototype.iff');
INSERT INTO `template_items` VALUES ('3422', 'object/tangible/loot/misc/shared_personal_effects.iff');
INSERT INTO `template_items` VALUES ('3423', 'object/tangible/ship/components/engine/shared_eng_generic.iff');
INSERT INTO `template_items` VALUES ('3424', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s02_test.iff');
INSERT INTO `template_items` VALUES ('3425', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_5.iff');
INSERT INTO `template_items` VALUES ('3426', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_kai-tok.iff');
INSERT INTO `template_items` VALUES ('3427', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr6.iff');
INSERT INTO `template_items` VALUES ('3428', 'object/tangible/lair/roba_hill/shared_lair_roba_hill.iff');
INSERT INTO `template_items` VALUES ('3429', 'object/tangible/medicine/shared_medpack_enhance_stamina.iff');
INSERT INTO `template_items` VALUES ('3430', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3431', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk3.iff');
INSERT INTO `template_items` VALUES ('3432', 'object/tangible/mission/quest_item/shared_sigrix_slix_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3433', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('3434', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks5.iff');
INSERT INTO `template_items` VALUES ('3435', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt3.iff');
INSERT INTO `template_items` VALUES ('3436', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster_green.iff');
INSERT INTO `template_items` VALUES ('3437', 'object/tangible/loot/loot_schematic/shared_tumble_blender_schematic.iff');
INSERT INTO `template_items` VALUES ('3438', 'object/tangible/ship/crafted/chassis/shared_tiebomber_deed.iff');
INSERT INTO `template_items` VALUES ('3439', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_advanced.iff');
INSERT INTO `template_items` VALUES ('3440', 'object/tangible/component/item/quest_item/shared_decoherence_sensor.iff');
INSERT INTO `template_items` VALUES ('3441', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s2.iff');
INSERT INTO `template_items` VALUES ('3442', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_c.iff');
INSERT INTO `template_items` VALUES ('3443', 'object/tangible/mission/quest_item/shared_senni_tonnika_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3444', 'object/tangible/wearables/hat/shared_hat_twilek_s03.iff');
INSERT INTO `template_items` VALUES ('3445', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s09.iff');
INSERT INTO `template_items` VALUES ('3446', 'object/tangible/mission/quest_item/shared_sango_rond_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3447', 'object/tangible/hair/human/shared_hair_human_male_s35.iff');
INSERT INTO `template_items` VALUES ('3448', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_1.iff');
INSERT INTO `template_items` VALUES ('3449', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_sfs_special_forces.iff');
INSERT INTO `template_items` VALUES ('3450', 'object/tangible/food/crafted/shared_drink_antakarian_fire_dancer.iff');
INSERT INTO `template_items` VALUES ('3451', 'object/tangible/component/dna/shared_dna_template_kimogila.iff');
INSERT INTO `template_items` VALUES ('3452', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s01.iff');
INSERT INTO `template_items` VALUES ('3453', 'object/tangible/hair/sullustan/shared_sul_hair_s14_f.iff');
INSERT INTO `template_items` VALUES ('3454', 'object/tangible/ship/crafted/reverse_engineering/shared_weapon_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('3455', 'object/tangible/component/structure/shared_reinforced_wall_module.iff');
INSERT INTO `template_items` VALUES ('3456', 'object/tangible/ship/components/armor/shared_armor_freitek_es4_durasteel.iff');
INSERT INTO `template_items` VALUES ('3457', 'object/tangible/medicine/crafted/shared_medpack_wound_action_d.iff');
INSERT INTO `template_items` VALUES ('3458', 'object/tangible/mission/quest_item/shared_village_shields.iff');
INSERT INTO `template_items` VALUES ('3459', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_0.iff');
INSERT INTO `template_items` VALUES ('3460', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_missile_pod_s01.iff');
INSERT INTO `template_items` VALUES ('3461', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_rebel_incom_k77.iff');
INSERT INTO `template_items` VALUES ('3462', 'object/tangible/deed/event_perk/shared_imperial_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3463', 'object/tangible/wearables/dress/shared_dress_s26.iff');
INSERT INTO `template_items` VALUES ('3464', 'object/tangible/ship/components/booster/shared_bst_subpro_tuned_accelatron_mk1.iff');
INSERT INTO `template_items` VALUES ('3465', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial_advanced.iff');
INSERT INTO `template_items` VALUES ('3466', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s02.iff');
INSERT INTO `template_items` VALUES ('3467', 'object/tangible/furniture/tatooine/shared_frn_tato_chair_cafe_style_01.iff');
INSERT INTO `template_items` VALUES ('3468', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_deluxe_droid_interface_mk1.iff');
INSERT INTO `template_items` VALUES ('3469', 'object/tangible/mission/quest_item/shared_slooni_jong_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3470', 'object/tangible/ship/components/booster/shared_bst_cygnus_flashboost4.iff');
INSERT INTO `template_items` VALUES ('3471', 'object/tangible/sign/player/banner/shared_banner_base.iff');
INSERT INTO `template_items` VALUES ('3472', 'object/tangible/ship/components/armor/shared_arm_subpro_experimental_advanced_plastisteel.iff');
INSERT INTO `template_items` VALUES ('3473', 'object/tangible/crafting/station/shared_weapon_station.iff');
INSERT INTO `template_items` VALUES ('3474', 'object/tangible/component/structure/shared_harvesting_mechanism.iff');
INSERT INTO `template_items` VALUES ('3475', 'object/tangible/mission/quest_item/shared_xarot_korlin_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3476', 'object/tangible/lair/hanadak/shared_lair_hanadak_mountain.iff');
INSERT INTO `template_items` VALUES ('3477', 'object/tangible/component/armor/shared_armor_segment_enhancement_voritor_lizard.iff');
INSERT INTO `template_items` VALUES ('3478', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3479', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_gloves.iff');
INSERT INTO `template_items` VALUES ('3480', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annihilator_mk2.iff');
INSERT INTO `template_items` VALUES ('3481', 'object/tangible/dungeon/shared_chemical_storage.iff');
INSERT INTO `template_items` VALUES ('3482', 'object/tangible/wearables/jacket/shared_jacket_s25.iff');
INSERT INTO `template_items` VALUES ('3483', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_area_a.iff');
INSERT INTO `template_items` VALUES ('3484', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3485', 'object/tangible/lair/rancor/shared_lair_rancor_mountain.iff');
INSERT INTO `template_items` VALUES ('3486', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s04.iff');
INSERT INTO `template_items` VALUES ('3487', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_wasteland.iff');
INSERT INTO `template_items` VALUES ('3488', 'object/tangible/furniture/tatooine/shared_frn_tatt_table_cantina_table_1.iff');
INSERT INTO `template_items` VALUES ('3489', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3490', 'object/tangible/survey_tool/shared_survey_tool_moisture.iff');
INSERT INTO `template_items` VALUES ('3491', 'object/tangible/wearables/ithorian/shared_ith_shirt_s06.iff');
INSERT INTO `template_items` VALUES ('3492', 'object/tangible/dice/shared_eqp_twelve_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('3493', 'object/tangible/mission/quest_item/shared_crider_trant_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3494', 'object/tangible/loot/loot_schematic/shared_bacta_tank_schematic.iff');
INSERT INTO `template_items` VALUES ('3495', 'object/tangible/loot/loot_schematic/shared_campfire_schematic.iff');
INSERT INTO `template_items` VALUES ('3496', 'object/tangible/component/weapon/shared_vibro_unit_quest.iff');
INSERT INTO `template_items` VALUES ('3497', 'object/tangible/component/droid/shared_trap_module_base.iff');
INSERT INTO `template_items` VALUES ('3498', 'object/tangible/ship/components/weapon/shared_wpn_mandal_qv3_disruptor.iff');
INSERT INTO `template_items` VALUES ('3499', 'object/tangible/ship/components/engine/shared_eng_corellian_cruiser_grade_mk2.iff');
INSERT INTO `template_items` VALUES ('3500', 'object/tangible/food/crafted/shared_dish_thakitillo.iff');
INSERT INTO `template_items` VALUES ('3501', 'object/tangible/ship/crafted/chassis/shared_firespray_deed.iff');
INSERT INTO `template_items` VALUES ('3502', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s05.iff');
INSERT INTO `template_items` VALUES ('3503', 'object/tangible/dice/shared_eqp_one_hundred_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('3504', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('3505', 'object/tangible/component/item/quest_item/shared_corrective_inducer.iff');
INSERT INTO `template_items` VALUES ('3506', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_l.iff');
INSERT INTO `template_items` VALUES ('3507', 'object/tangible/ship/attachment/wing/shared_hutt_medium_wing_s01.iff');
INSERT INTO `template_items` VALUES ('3508', 'object/tangible/lair/kliknik/shared_lair_kliknik.iff');
INSERT INTO `template_items` VALUES ('3509', 'object/tangible/space/content_infrastructure/shared_corridor_end_spawner.iff');
INSERT INTO `template_items` VALUES ('3510', 'object/tangible/hair/bothan/shared_hair_bothan_female_s20.iff');
INSERT INTO `template_items` VALUES ('3511', 'object/tangible/ship/interior_components/shared_engine_interior.iff');
INSERT INTO `template_items` VALUES ('3512', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk3.iff');
INSERT INTO `template_items` VALUES ('3513', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk3.iff');
INSERT INTO `template_items` VALUES ('3514', 'object/tangible/deed/city_deed/shared_cantina_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('3515', 'object/tangible/wearables/pants/shared_pants_s17.iff');
INSERT INTO `template_items` VALUES ('3516', 'object/tangible/component/armor/shared_armor_layer_electrical.iff');
INSERT INTO `template_items` VALUES ('3517', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s06.iff');
INSERT INTO `template_items` VALUES ('3518', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('3519', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_05.iff');
INSERT INTO `template_items` VALUES ('3520', 'object/tangible/medicine/pet/shared_droid_stimpack_d.iff');
INSERT INTO `template_items` VALUES ('3521', 'object/tangible/veteran_reward/shared_frn_couch_falcon_section_s01.iff');
INSERT INTO `template_items` VALUES ('3522', 'object/tangible/scout/camokit/shared_camokit_corellia.iff');
INSERT INTO `template_items` VALUES ('3523', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_light.iff');
INSERT INTO `template_items` VALUES ('3524', 'object/tangible/lair/hanadak/shared_lair_hanadak.iff');
INSERT INTO `template_items` VALUES ('3525', 'object/tangible/ship/components/chassis/shared_firespray_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3526', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('3527', 'object/tangible/ship/components/shield_generator/shared_shd_moncal.iff');
INSERT INTO `template_items` VALUES ('3528', 'object/tangible/deed/player_house_deed/shared_tatooine_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3529', 'object/tangible/ship/crafted/shields/shared_basic_shields.iff');
INSERT INTO `template_items` VALUES ('3530', 'object/tangible/component/weapon/shared_weapon_elite_stock.iff');
INSERT INTO `template_items` VALUES ('3531', 'object/tangible/space/story_loot/shared_loot_tatooine_rebel.iff');
INSERT INTO `template_items` VALUES ('3532', 'object/tangible/camp/shared_camp_lawn_chair.iff');
INSERT INTO `template_items` VALUES ('3533', 'object/tangible/scout/camokit/shared_camokit_endor.iff');
INSERT INTO `template_items` VALUES ('3534', 'object/tangible/component/item/quest_item/shared_signal_rerouter.iff');
INSERT INTO `template_items` VALUES ('3535', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('3536', 'object/tangible/component/chemistry/shared_solid_delivery_shell.iff');
INSERT INTO `template_items` VALUES ('3537', 'object/tangible/ship/components/engine/shared_eng_rendili_demon_mk1.iff');
INSERT INTO `template_items` VALUES ('3538', 'object/tangible/wearables/ithorian/shared_ith_pants_s12.iff');
INSERT INTO `template_items` VALUES ('3539', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3540', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3541', 'object/tangible/hair/human/base/shared_hair_human_male_base.iff');
INSERT INTO `template_items` VALUES ('3542', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_c.iff');
INSERT INTO `template_items` VALUES ('3543', 'object/tangible/wearables/necklace/shared_necklace_ornamental_ratchet.iff');
INSERT INTO `template_items` VALUES ('3544', 'object/tangible/container/jar/shared_jar_guts_s01.iff');
INSERT INTO `template_items` VALUES ('3545', 'object/tangible/ship/crafted/chassis/shared_hutt_light_s02_deed.iff');
INSERT INTO `template_items` VALUES ('3546', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large.iff');
INSERT INTO `template_items` VALUES ('3547', 'object/tangible/lair/woolamander/shared_lair_woolamander.iff');
INSERT INTO `template_items` VALUES ('3548', 'object/tangible/ship/customization/shared_xwing_gun_neg_s01.iff');
INSERT INTO `template_items` VALUES ('3549', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_improved_light.iff');
INSERT INTO `template_items` VALUES ('3550', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_helmet.iff');
INSERT INTO `template_items` VALUES ('3551', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3552', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_04_deed.iff');
INSERT INTO `template_items` VALUES ('3553', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z5.iff');
INSERT INTO `template_items` VALUES ('3554', 'object/tangible/food/crafted/shared_dish_kanali_wafers.iff');
INSERT INTO `template_items` VALUES ('3555', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_02.iff');
INSERT INTO `template_items` VALUES ('3556', 'object/tangible/skill_buff/shared_skill_buff_unarmed_accuracy.iff');
INSERT INTO `template_items` VALUES ('3557', 'object/tangible/component/structure/shared_lightweight_turret_hardware.iff');
INSERT INTO `template_items` VALUES ('3558', 'object/tangible/ship/components/weapon/shared_wpn_corellian_cruiser_grade_blaster_mk1.iff');
INSERT INTO `template_items` VALUES ('3559', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('3560', 'object/tangible/furniture/plain/shared_plain_chest_s01.iff');
INSERT INTO `template_items` VALUES ('3561', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_intel.iff');
INSERT INTO `template_items` VALUES ('3562', 'object/tangible/deed/event_perk/shared_scavenger_droid_deed.iff');
INSERT INTO `template_items` VALUES ('3563', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_imperial_cygnus_starblaster.iff');
INSERT INTO `template_items` VALUES ('3564', 'object/tangible/wearables/jacket/shared_jacket_s18.iff');
INSERT INTO `template_items` VALUES ('3565', 'object/tangible/painting/shared_painting_han_wanted.iff');
INSERT INTO `template_items` VALUES ('3566', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk4.iff');
INSERT INTO `template_items` VALUES ('3567', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_deluxe_cruiser_grade_cap2.iff');
INSERT INTO `template_items` VALUES ('3568', 'object/tangible/food/foraged/shared_edible_jar_bugs.iff');
INSERT INTO `template_items` VALUES ('3569', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('3570', 'object/tangible/food/shared_nectar.iff');
INSERT INTO `template_items` VALUES ('3571', 'object/tangible/loot/quest/shared_tusken_head.iff');
INSERT INTO `template_items` VALUES ('3572', 'object/tangible/instrument/shared_instrument_organ_figrin_dan.iff');
INSERT INTO `template_items` VALUES ('3573', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3574', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3575', 'object/tangible/component/droid/shared_struct_maint_module_base.iff');
INSERT INTO `template_items` VALUES ('3576', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_color.iff');
INSERT INTO `template_items` VALUES ('3577', 'object/tangible/loot/quest/shared_quest_satchel_charge.iff');
INSERT INTO `template_items` VALUES ('3578', 'object/tangible/painting/shared_painting_twilek_f_lg_s03.iff');
INSERT INTO `template_items` VALUES ('3579', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_shoes.iff');
INSERT INTO `template_items` VALUES ('3580', 'object/tangible/ship/components/reactor/shared_rct_kse_rct_z.iff');
INSERT INTO `template_items` VALUES ('3581', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk3.iff');
INSERT INTO `template_items` VALUES ('3582', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_supercharged_dynamo_mk4.iff');
INSERT INTO `template_items` VALUES ('3583', 'object/tangible/hair/sullustan/shared_sul_hair_s16_m.iff');
INSERT INTO `template_items` VALUES ('3584', 'object/tangible/lair/vir_vir_hill/shared_lair_vir_vir_hill.iff');
INSERT INTO `template_items` VALUES ('3585', 'object/tangible/ship/components/engine/shared_engine_ubrikkian_n2.iff');
INSERT INTO `template_items` VALUES ('3586', 'object/tangible/terminal/shared_terminal_hq_turret_control.iff');
INSERT INTO `template_items` VALUES ('3587', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s03_lg.iff');
INSERT INTO `template_items` VALUES ('3588', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed.iff');
INSERT INTO `template_items` VALUES ('3589', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small.iff');
INSERT INTO `template_items` VALUES ('3590', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s2.iff');
INSERT INTO `template_items` VALUES ('3591', 'object/tangible/wearables/pants/shared_nightsister_pants_s01.iff');
INSERT INTO `template_items` VALUES ('3592', 'object/tangible/deed/event_perk/shared_tie_fighter_static_deed.iff');
INSERT INTO `template_items` VALUES ('3593', 'object/tangible/camp/shared_camp_tent_s6.iff');
INSERT INTO `template_items` VALUES ('3594', 'object/tangible/deed/pet_deed/shared_pugoriss_deed.iff');
INSERT INTO `template_items` VALUES ('3595', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_free_s02.iff');
INSERT INTO `template_items` VALUES ('3596', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_supercharged_mk3.iff');
INSERT INTO `template_items` VALUES ('3597', 'object/tangible/hair/human/shared_hair_human_male_s08.iff');
INSERT INTO `template_items` VALUES ('3598', 'object/tangible/ship/components/chassis/shared_tie_in_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3599', 'object/tangible/lair/langlatch/shared_lair_langlatch_mountain.iff');
INSERT INTO `template_items` VALUES ('3600', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('3601', 'object/tangible/survey_tool/shared_survey_tool_liquid.iff');
INSERT INTO `template_items` VALUES ('3602', 'object/tangible/deed/pet_deed/shared_mawgax_deed.iff');
INSERT INTO `template_items` VALUES ('3603', 'object/tangible/deed/event_perk/shared_corsec_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3604', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_experimental_a1.iff');
INSERT INTO `template_items` VALUES ('3605', 'object/tangible/ship/attachment/booster/shared_ywing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3606', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3607', 'object/tangible/battery/shared_battery.iff');
INSERT INTO `template_items` VALUES ('3608', 'object/tangible/medicine/shared_newbie_heal_mission_medicine.iff');
INSERT INTO `template_items` VALUES ('3609', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_b.iff');
INSERT INTO `template_items` VALUES ('3610', 'object/tangible/lair/eopie/shared_lair_eopie_mountain.iff');
INSERT INTO `template_items` VALUES ('3611', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_0.iff');
INSERT INTO `template_items` VALUES ('3612', 'object/tangible/dungeon/shared_poison_stabilizer.iff');
INSERT INTO `template_items` VALUES ('3613', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_gloves.iff');
INSERT INTO `template_items` VALUES ('3614', 'object/tangible/wearables/base/shared_base_bracer_upper_r.iff');
INSERT INTO `template_items` VALUES ('3615', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_m_series.iff');
INSERT INTO `template_items` VALUES ('3616', 'object/tangible/component/weapon/shared_laser_cannon_cooling_sleeve.iff');
INSERT INTO `template_items` VALUES ('3617', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_d.iff');
INSERT INTO `template_items` VALUES ('3618', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q3.iff');
INSERT INTO `template_items` VALUES ('3619', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_imperial_rss_advanced_military.iff');
INSERT INTO `template_items` VALUES ('3620', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk6.iff');
INSERT INTO `template_items` VALUES ('3621', 'object/tangible/ship/components/armor/shared_arm_sorosuub_special_intermediate_durasteel.iff');
INSERT INTO `template_items` VALUES ('3622', 'object/tangible/ship/components/droid_interface/shared_ddi_armek_military_grade_mk1.iff');
INSERT INTO `template_items` VALUES ('3623', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_b.iff');
INSERT INTO `template_items` VALUES ('3624', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_4k.iff');
INSERT INTO `template_items` VALUES ('3625', 'object/tangible/hair/bothan/shared_hair_bothan_male_s02.iff');
INSERT INTO `template_items` VALUES ('3626', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_intel.iff');
INSERT INTO `template_items` VALUES ('3627', 'object/tangible/ship/components/engine/shared_eng_sorosuub_l_337_ion_engine.iff');
INSERT INTO `template_items` VALUES ('3628', 'object/tangible/ship/attachment/wing/shared_blacksun_light_wing_s02.iff');
INSERT INTO `template_items` VALUES ('3629', 'object/tangible/lair/gurreck/shared_lair_gurreck.iff');
INSERT INTO `template_items` VALUES ('3630', 'object/tangible/furniture/all/shared_frn_all_bed_sm_s1.iff');
INSERT INTO `template_items` VALUES ('3631', 'object/tangible/mission/quest_item/shared_xalox_guul_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3632', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('3633', 'object/tangible/loot/quest/shared_valarian_dagger.iff');
INSERT INTO `template_items` VALUES ('3634', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('3635', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx27.iff');
INSERT INTO `template_items` VALUES ('3636', 'object/tangible/mission/quest_item/shared_bardo_klinj_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3637', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3638', 'object/tangible/space/content_infrastructure/shared_generic_egg_small.iff');
INSERT INTO `template_items` VALUES ('3639', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s19.iff');
INSERT INTO `template_items` VALUES ('3640', 'object/tangible/wearables/bandolier/shared_bandolier_s06.iff');
INSERT INTO `template_items` VALUES ('3641', 'object/tangible/furniture/modern/shared_searchable_desk_01.iff');
INSERT INTO `template_items` VALUES ('3642', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_1.iff');
INSERT INTO `template_items` VALUES ('3643', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_quest.iff');
INSERT INTO `template_items` VALUES ('3644', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s1.iff');
INSERT INTO `template_items` VALUES ('3645', 'object/tangible/mission/quest_item/shared_raglith_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3646', 'object/tangible/ship/components/armor/shared_arm_subpro_limited_heavy_plastisteel.iff');
INSERT INTO `template_items` VALUES ('3647', 'object/tangible/wearables/shirt/shared_shirt_s04.iff');
INSERT INTO `template_items` VALUES ('3648', 'object/tangible/wearables/base/shared_base_costume_full.iff');
INSERT INTO `template_items` VALUES ('3649', 'object/tangible/ship/attachment/engine/shared_hutt_light_engine_s01.iff');
INSERT INTO `template_items` VALUES ('3650', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('3651', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_entry.iff');
INSERT INTO `template_items` VALUES ('3652', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s4.iff');
INSERT INTO `template_items` VALUES ('3653', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_l.iff');
INSERT INTO `template_items` VALUES ('3654', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk1.iff');
INSERT INTO `template_items` VALUES ('3655', 'object/tangible/lair/krahbu/shared_lair_krahbu.iff');
INSERT INTO `template_items` VALUES ('3656', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_sorosuub_elite.iff');
INSERT INTO `template_items` VALUES ('3657', 'object/tangible/wearables/belt/shared_belt_s18.iff');
INSERT INTO `template_items` VALUES ('3658', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk3.iff');
INSERT INTO `template_items` VALUES ('3659', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_female_base.iff');
INSERT INTO `template_items` VALUES ('3660', 'object/tangible/firework/shared_firework_s03.iff');
INSERT INTO `template_items` VALUES ('3661', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk3.iff');
INSERT INTO `template_items` VALUES ('3662', 'object/tangible/component/vehicle/shared_military_d.iff');
INSERT INTO `template_items` VALUES ('3663', 'object/tangible/ship/customization/shared_xwing_cowl_neg_s01.iff');
INSERT INTO `template_items` VALUES ('3664', 'object/tangible/lair/pufferfish/shared_lair_pufferfish_underwater.iff');
INSERT INTO `template_items` VALUES ('3665', 'object/tangible/deed/faction_perk/hq/shared_hq_deed_base.iff');
INSERT INTO `template_items` VALUES ('3666', 'object/tangible/mission/quest_item/shared_senni_tonnika_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3667', 'object/tangible/loot/misc/shared_ticket_expired.iff');
INSERT INTO `template_items` VALUES ('3668', 'object/tangible/space/veteran_reward/shared_sorosuub_space_yacht_deed.iff');
INSERT INTO `template_items` VALUES ('3669', 'object/tangible/lair/spined_snake/shared_lair_spined_snake.iff');
INSERT INTO `template_items` VALUES ('3670', 'object/tangible/container/base/shared_base_container_volume.iff');
INSERT INTO `template_items` VALUES ('3671', 'object/tangible/furniture/city/shared_streetlamp_large_red_01.iff');
INSERT INTO `template_items` VALUES ('3672', 'object/tangible/lair/gnort/shared_lair_gnort_mountain.iff');
INSERT INTO `template_items` VALUES ('3673', 'object/tangible/deed/event_perk/shared_crashed_xwing_theater_deed.iff');
INSERT INTO `template_items` VALUES ('3674', 'object/tangible/food/crafted/additive/shared_additive_heavy.iff');
INSERT INTO `template_items` VALUES ('3675', 'object/tangible/deed/event_perk/shared_radiologically_shielded_chest_deed.iff');
INSERT INTO `template_items` VALUES ('3676', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3677', 'object/tangible/ship/components/armor/shared_arm_kse_modified_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('3678', 'object/tangible/furniture/city/shared_fountain_contemplate.iff');
INSERT INTO `template_items` VALUES ('3679', 'object/tangible/loot/misc/shared_green_rug.iff');
INSERT INTO `template_items` VALUES ('3680', 'object/tangible/component/droid/shared_armor_module_2.iff');
INSERT INTO `template_items` VALUES ('3681', 'object/tangible/jedi/shared_jedi_holocron_dark.iff');
INSERT INTO `template_items` VALUES ('3682', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_dx61.iff');
INSERT INTO `template_items` VALUES ('3683', 'object/tangible/hair/rodian/shared_hair_rodian_female_s06.iff');
INSERT INTO `template_items` VALUES ('3684', 'object/tangible/trophy/shared_picture_handheld_s01.iff');
INSERT INTO `template_items` VALUES ('3685', 'object/tangible/ship/components/armor/shared_arm_koensayr_improved_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('3686', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3687', 'object/tangible/furniture/city/shared_statue_gungan_head.iff');
INSERT INTO `template_items` VALUES ('3688', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_02.iff');
INSERT INTO `template_items` VALUES ('3689', 'object/tangible/lair/angler/shared_lair_angler_swamp.iff');
INSERT INTO `template_items` VALUES ('3690', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_r.iff');
INSERT INTO `template_items` VALUES ('3691', 'object/tangible/loot/simple_kit/shared_feed_tubes.iff');
INSERT INTO `template_items` VALUES ('3692', 'object/tangible/ship/components/booster/shared_bst_koensayr_charged_advanced.iff');
INSERT INTO `template_items` VALUES ('3693', 'object/tangible/dungeon/shared_computer_mainframe.iff');
INSERT INTO `template_items` VALUES ('3694', 'object/tangible/container/quest/crafting_contract/shared_generic_crate.iff');
INSERT INTO `template_items` VALUES ('3695', 'object/tangible/mission/quest_item/shared_biribas_tarun_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3696', 'object/tangible/component/chemistry/shared_biologic_effect_controller_advanced.iff');
INSERT INTO `template_items` VALUES ('3697', 'object/tangible/loot/quest/shared_nym_droid_memory_chip.iff');
INSERT INTO `template_items` VALUES ('3698', 'object/tangible/ship/components/armor/shared_arm_kse_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('3699', 'object/tangible/furniture/decorative/shared_campfire.iff');
INSERT INTO `template_items` VALUES ('3700', 'object/tangible/ship/components/engine/shared_eng_moncal_enhanced_light.iff');
INSERT INTO `template_items` VALUES ('3701', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_leggings.iff');
INSERT INTO `template_items` VALUES ('3702', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('3703', 'object/tangible/mission/quest_item/shared_bardo_klinj_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3704', 'object/tangible/powerup/weapon/shared_mine.iff');
INSERT INTO `template_items` VALUES ('3705', 'object/tangible/mission/quest_item/shared_xarot_korlin_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3706', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_light.iff');
INSERT INTO `template_items` VALUES ('3707', 'object/tangible/component/weapon/shared_stock.iff');
INSERT INTO `template_items` VALUES ('3708', 'object/tangible/lair/kaitok/shared_lair_kaitok.iff');
INSERT INTO `template_items` VALUES ('3709', 'object/tangible/component/armor/shared_armor_segment_bone_kimogila.iff');
INSERT INTO `template_items` VALUES ('3710', 'object/tangible/test/shared_inventory_filler.iff');
INSERT INTO `template_items` VALUES ('3711', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent.iff');
INSERT INTO `template_items` VALUES ('3712', 'object/tangible/ship/components/booster/shared_bst_gallofree_light.iff');
INSERT INTO `template_items` VALUES ('3713', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_condor_dragon.iff');
INSERT INTO `template_items` VALUES ('3714', 'object/tangible/furniture/city/shared_fountain_brazier_round.iff');
INSERT INTO `template_items` VALUES ('3715', 'object/tangible/component/weapon/shared_geonosian_power_cube.iff');
INSERT INTO `template_items` VALUES ('3716', 'object/tangible/loot/loot_schematic/shared_utensils_schematic.iff');
INSERT INTO `template_items` VALUES ('3717', 'object/tangible/component/armor/shared_armor_segment_ubese.iff');
INSERT INTO `template_items` VALUES ('3718', 'object/tangible/ship/components/droid_interface/shared_ddi_mandal_military_grade_mk2.iff');
INSERT INTO `template_items` VALUES ('3719', 'object/tangible/deed/pet_deed/shared_deed_probot_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('3720', 'object/tangible/wearables/wookiee/shared_wke_lifeday_robe_f.iff');
INSERT INTO `template_items` VALUES ('3721', 'object/tangible/food/crafted/shared_drink_aitha.iff');
INSERT INTO `template_items` VALUES ('3722', 'object/tangible/ship/components/engine/shared_eng_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('3723', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx4.iff');
INSERT INTO `template_items` VALUES ('3724', 'object/tangible/lair/rancor/shared_lair_rancor.iff');
INSERT INTO `template_items` VALUES ('3725', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3726', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('3727', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3728', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s02.iff');
INSERT INTO `template_items` VALUES ('3729', 'object/tangible/wearables/boots/shared_boots_s04.iff');
INSERT INTO `template_items` VALUES ('3730', 'object/tangible/skill_buff/shared_skill_buff_ranged_accuracy.iff');
INSERT INTO `template_items` VALUES ('3731', 'object/tangible/component/droid/shared_medic_module_4.iff');
INSERT INTO `template_items` VALUES ('3732', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_krayt_dragon_pearl.iff');
INSERT INTO `template_items` VALUES ('3733', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk2.iff');
INSERT INTO `template_items` VALUES ('3734', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith.iff');
INSERT INTO `template_items` VALUES ('3735', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_tuned_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('3736', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_helmet_quest.iff');
INSERT INTO `template_items` VALUES ('3737', 'object/tangible/jedi/shared_no_drop_jedi_holocron_dark.iff');
INSERT INTO `template_items` VALUES ('3738', 'object/tangible/container/drum/shared_poi_prize_box_off.iff');
INSERT INTO `template_items` VALUES ('3739', 'object/tangible/wearables/necklace/shared_necklace_convoluted_adornment.iff');
INSERT INTO `template_items` VALUES ('3740', 'object/tangible/wearables/ithorian/shared_ith_jacket_s09.iff');
INSERT INTO `template_items` VALUES ('3741', 'object/tangible/wearables/shirt/shared_shirt_s30.iff');
INSERT INTO `template_items` VALUES ('3742', 'object/tangible/furniture/decorative/shared_microphone_s02.iff');
INSERT INTO `template_items` VALUES ('3743', 'object/tangible/terminal/shared_terminal_dark_enclave_voting.iff');
INSERT INTO `template_items` VALUES ('3744', 'object/tangible/transport/shared_door.iff');
INSERT INTO `template_items` VALUES ('3745', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks25.iff');
INSERT INTO `template_items` VALUES ('3746', 'object/tangible/ship/components/droid_interface/shared_ddi_subpro_jrd33.iff');
INSERT INTO `template_items` VALUES ('3747', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('3748', 'object/tangible/item/quest/hero_of_tatooine/shared_explosives.iff');
INSERT INTO `template_items` VALUES ('3749', 'object/tangible/ui/shared_ui_planet_rori.iff');
INSERT INTO `template_items` VALUES ('3750', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('3751', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s13.iff');
INSERT INTO `template_items` VALUES ('3752', 'object/tangible/component/droid/repair/shared_power_supply_redundant.iff');
INSERT INTO `template_items` VALUES ('3753', 'object/tangible/hair/human/shared_hair_human_female_s34.iff');
INSERT INTO `template_items` VALUES ('3754', 'object/tangible/loot/quest/shared_hvy_disruptor_cannon_broken.iff');
INSERT INTO `template_items` VALUES ('3755', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03_lit.iff');
INSERT INTO `template_items` VALUES ('3756', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk2.iff');
INSERT INTO `template_items` VALUES ('3757', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('3758', 'object/tangible/survey_tool/shared_survey_tool_solar.iff');
INSERT INTO `template_items` VALUES ('3759', 'object/tangible/wearables/armor/kashyyykian_ceremonial/shared_armor_kashyyykian_ceremonial_chest_plate.iff');
INSERT INTO `template_items` VALUES ('3760', 'object/tangible/food/base/shared_veggie_base.iff');
INSERT INTO `template_items` VALUES ('3761', 'object/tangible/droid/shared_navicomputer_6.iff');
INSERT INTO `template_items` VALUES ('3762', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_cygnus_holoscreen.iff');
INSERT INTO `template_items` VALUES ('3763', 'object/tangible/deed/event_perk/shared_treasure_crate_chest_deed.iff');
INSERT INTO `template_items` VALUES ('3764', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('3765', 'object/tangible/ship/attachment/booster/shared_kse_firespray_booster_s01.iff');
INSERT INTO `template_items` VALUES ('3766', 'object/tangible/wearables/robe/shared_robe_tusken_raider_s02.iff');
INSERT INTO `template_items` VALUES ('3767', 'object/tangible/lair/fambaa/shared_lair_fambaa.iff');
INSERT INTO `template_items` VALUES ('3768', 'object/tangible/mission/quest_item/shared_warren_farewell_letter.iff');
INSERT INTO `template_items` VALUES ('3769', 'object/tangible/veteran_reward/shared_frn_vet_protocol_droid_toy.iff');
INSERT INTO `template_items` VALUES ('3770', 'object/tangible/component/droid/shared_performer_effects_a.iff');
INSERT INTO `template_items` VALUES ('3771', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('3772', 'object/tangible/medicine/pet/shared_droid_damage_kit_a.iff');
INSERT INTO `template_items` VALUES ('3773', 'object/tangible/lair/bantha/shared_lair_bantha.iff');
INSERT INTO `template_items` VALUES ('3774', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_03.iff');
INSERT INTO `template_items` VALUES ('3775', 'object/tangible/component/armor/shared_shield_generator_personal_b.iff');
INSERT INTO `template_items` VALUES ('3776', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_chest_plate_schematic.iff');
INSERT INTO `template_items` VALUES ('3777', 'object/tangible/ship/crafted/engine/shared_engine_qualdex_kyromaster.iff');
INSERT INTO `template_items` VALUES ('3778', 'object/tangible/deed/pet_deed/shared_fambaa_deed.iff');
INSERT INTO `template_items` VALUES ('3779', 'object/tangible/space/story_loot/shared_loot_dantooine_imp.iff');
INSERT INTO `template_items` VALUES ('3780', 'object/tangible/furniture/all/shared_frn_all_lamp_desk_s01.iff');
INSERT INTO `template_items` VALUES ('3781', 'object/tangible/wearables/base/shared_base_helmet_closed_eyes.iff');
INSERT INTO `template_items` VALUES ('3782', 'object/tangible/container/loot/shared_placable_loot_crate.iff');
INSERT INTO `template_items` VALUES ('3783', 'object/tangible/wearables/bandolier/shared_bandolier_tusken_raider_s01.iff');
INSERT INTO `template_items` VALUES ('3784', 'object/tangible/lair/sarlacc/shared_lair_sarlacc_desert.iff');
INSERT INTO `template_items` VALUES ('3785', 'object/tangible/component/weapon/shared_geonosian_reinforcement_core.iff');
INSERT INTO `template_items` VALUES ('3786', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3787', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s02.iff');
INSERT INTO `template_items` VALUES ('3788', 'object/tangible/deed/pet_deed/shared_huurton_deed.iff');
INSERT INTO `template_items` VALUES ('3789', 'object/tangible/component/droid/shared_p0_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('3790', 'object/tangible/wearables/jacket/shared_jacket_s11.iff');
INSERT INTO `template_items` VALUES ('3791', 'object/tangible/painting/shared_painting_agrilat_s01.iff');
INSERT INTO `template_items` VALUES ('3792', 'object/tangible/deed/pet_deed/shared_bantha_deed.iff');
INSERT INTO `template_items` VALUES ('3793', 'object/tangible/food/spice/shared_spice_kliknik_boost.iff');
INSERT INTO `template_items` VALUES ('3794', 'object/tangible/ship/crafted/repair/shared_repair_kit_shield_generator.iff');
INSERT INTO `template_items` VALUES ('3795', 'object/tangible/ship/components/armor/shared_arm_incom_modified_standard_plate.iff');
INSERT INTO `template_items` VALUES ('3796', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_green.iff');
INSERT INTO `template_items` VALUES ('3797', 'object/tangible/loot/quest/shared_quest_item_spice_jar.iff');
INSERT INTO `template_items` VALUES ('3798', 'object/tangible/wearables/dress/shared_dress_s12.iff');
INSERT INTO `template_items` VALUES ('3799', 'object/tangible/lair/stormtrooper/shared_lair_stormtrooper_npc.iff');
INSERT INTO `template_items` VALUES ('3800', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_control.iff');
INSERT INTO `template_items` VALUES ('3801', 'object/tangible/component/weapon/shared_scope_weapon_lg_s02.iff');
INSERT INTO `template_items` VALUES ('3802', 'object/tangible/lair/kimogila/shared_lair_kimogila_grassland.iff');
INSERT INTO `template_items` VALUES ('3803', 'object/tangible/ship/components/armor/shared_arm_mandal_elite_composite.iff');
INSERT INTO `template_items` VALUES ('3804', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol_mountain.iff');
INSERT INTO `template_items` VALUES ('3805', 'object/tangible/lair/hutt_thug/shared_lair_hutt_thug_npc.iff');
INSERT INTO `template_items` VALUES ('3806', 'object/tangible/food/crafted/shared_drink_tilla_tiil.iff');
INSERT INTO `template_items` VALUES ('3807', 'object/tangible/food/foraged/shared_foraged_vegetable_s2.iff');
INSERT INTO `template_items` VALUES ('3808', 'object/tangible/ship/crafted/booster/shared_booster_mk2.iff');
INSERT INTO `template_items` VALUES ('3809', 'object/tangible/hair/human/shared_hair_human_male_s01.iff');
INSERT INTO `template_items` VALUES ('3810', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat_grassland.iff');
INSERT INTO `template_items` VALUES ('3811', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3812', 'object/tangible/component/armor/shared_armor_segment_zam.iff');
INSERT INTO `template_items` VALUES ('3813', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_rifle_berserker_schematic.iff');
INSERT INTO `template_items` VALUES ('3814', 'object/tangible/sign/shared_all_sign_city_s03.iff');
INSERT INTO `template_items` VALUES ('3815', 'object/tangible/food/crafted/shared_dessert_pyollian_cake.iff');
INSERT INTO `template_items` VALUES ('3816', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk5.iff');
INSERT INTO `template_items` VALUES ('3817', 'object/tangible/deed/city_deed/shared_garden_tatooine_med_02_deed.iff');
INSERT INTO `template_items` VALUES ('3818', 'object/tangible/component/armor/shared_feather_peko_albatross.iff');
INSERT INTO `template_items` VALUES ('3819', 'object/tangible/camp/shared_camp_cot_s1.iff');
INSERT INTO `template_items` VALUES ('3820', 'object/tangible/furniture/all/shared_frn_all_light_lamp_desk_s01.iff');
INSERT INTO `template_items` VALUES ('3821', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('3822', 'object/tangible/sign/player/shared_shop_sign_s04.iff');
INSERT INTO `template_items` VALUES ('3823', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_rescue_filler02.iff');
INSERT INTO `template_items` VALUES ('3824', 'object/tangible/deed/factory_deed/shared_factory_structure_deed.iff');
INSERT INTO `template_items` VALUES ('3825', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s10.iff');
INSERT INTO `template_items` VALUES ('3826', 'object/tangible/hair/rodian/base/shared_hair_rodian_female_base.iff');
INSERT INTO `template_items` VALUES ('3827', 'object/tangible/lair/base/shared_lair_base_mound_bramble_dark.iff');
INSERT INTO `template_items` VALUES ('3828', 'object/tangible/ship/attachment/engine/shared_blacksun_heavy_engine_s02.iff');
INSERT INTO `template_items` VALUES ('3829', 'object/tangible/hair/human/shared_hair_human_female_s09.iff');
INSERT INTO `template_items` VALUES ('3830', 'object/tangible/wearables/earring/shared_earring_s12.iff');
INSERT INTO `template_items` VALUES ('3831', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_b.iff');
INSERT INTO `template_items` VALUES ('3832', 'object/tangible/wearables/ithorian/shared_ith_belt_s15.iff');
INSERT INTO `template_items` VALUES ('3833', 'object/tangible/loot/loot_schematic/shared_death_watch_executioners_hack_schematic.iff');
INSERT INTO `template_items` VALUES ('3834', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_09.iff');
INSERT INTO `template_items` VALUES ('3835', 'object/tangible/gravestone/shared_gravestone03.iff');
INSERT INTO `template_items` VALUES ('3836', 'object/tangible/hair/rodian/shared_hair_rodian_male_s16.iff');
INSERT INTO `template_items` VALUES ('3837', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_mk5.iff');
INSERT INTO `template_items` VALUES ('3838', 'object/tangible/mission/quest_item/shared_bardo_klinj_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3839', 'object/tangible/lair/fynock/shared_lair_fynock.iff');
INSERT INTO `template_items` VALUES ('3840', 'object/tangible/loot/quest/shared_sean_campaign_disk.iff');
INSERT INTO `template_items` VALUES ('3841', 'object/tangible/component/weapon/shared_scope_weapon_sm_s01.iff');
INSERT INTO `template_items` VALUES ('3842', 'object/tangible/furniture/plain/shared_plain_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('3843', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls1.iff');
INSERT INTO `template_items` VALUES ('3844', 'object/tangible/mission/quest_item/shared_charal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3845', 'object/tangible/ship/components/booster/shared_bst_koensayr_heavy.iff');
INSERT INTO `template_items` VALUES ('3846', 'object/tangible/deed/guild_deed/shared_naboo_guild_deed.iff');
INSERT INTO `template_items` VALUES ('3847', 'object/tangible/component/base/shared_base_component.iff');
INSERT INTO `template_items` VALUES ('3848', 'object/tangible/painting/shared_painting_bestine_blumbush.iff');
INSERT INTO `template_items` VALUES ('3849', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap2.iff');
INSERT INTO `template_items` VALUES ('3850', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_l.iff');
INSERT INTO `template_items` VALUES ('3851', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_patches.iff');
INSERT INTO `template_items` VALUES ('3852', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('3853', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('3854', 'object/tangible/ship/components/weapon/shared_wpn_subpro_improved_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('3855', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_shuttle.iff');
INSERT INTO `template_items` VALUES ('3856', 'object/tangible/wearables/belt/shared_belt_s11.iff');
INSERT INTO `template_items` VALUES ('3857', 'object/tangible/loot/simple_kit/shared_datapad_casing.iff');
INSERT INTO `template_items` VALUES ('3858', 'object/tangible/component/droid/shared_crafting_module_base.iff');
INSERT INTO `template_items` VALUES ('3859', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_max_damage.iff');
INSERT INTO `template_items` VALUES ('3860', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk4.iff');
INSERT INTO `template_items` VALUES ('3861', 'object/tangible/wearables/base/shared_base_ear_r.iff');
INSERT INTO `template_items` VALUES ('3862', 'object/tangible/ship/components/shield_generator/shared_shield_generator_test.iff');
INSERT INTO `template_items` VALUES ('3863', 'object/tangible/wearables/ithorian/shared_ith_robe_s03.iff');
INSERT INTO `template_items` VALUES ('3864', 'object/tangible/space/spacestations/shared_spacestation_rebel_01.iff');
INSERT INTO `template_items` VALUES ('3865', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix4.iff');
INSERT INTO `template_items` VALUES ('3866', 'object/tangible/ship/components/chassis/shared_hutt_light_chassis_token.iff');
INSERT INTO `template_items` VALUES ('3867', 'object/tangible/medicine/crafted/shared_medpack_disease_action_b.iff');
INSERT INTO `template_items` VALUES ('3868', 'object/tangible/terminal/shared_terminal_mission_entertainer.iff');
INSERT INTO `template_items` VALUES ('3869', 'object/tangible/container/loot/shared_placable_loot_crate_tech_armoire.iff');
INSERT INTO `template_items` VALUES ('3870', 'object/tangible/instrument/shared_nalargon.iff');
INSERT INTO `template_items` VALUES ('3871', 'object/tangible/mission/quest_item/shared_senni_tonnika_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3872', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('3873', 'object/tangible/hair/bothan/shared_hair_bothan_female_s14.iff');
INSERT INTO `template_items` VALUES ('3874', 'object/tangible/component/armor/shared_armor_module_light.iff');
INSERT INTO `template_items` VALUES ('3875', 'object/tangible/food/creature_bio_effects/shared_bio_kliknik_fortitude_boost.iff');
INSERT INTO `template_items` VALUES ('3876', 'object/tangible/component/munition/shared_warhead_heavy.iff');
INSERT INTO `template_items` VALUES ('3877', 'object/tangible/wearables/bodysuit/shared_bodysuit_sarlacc_coverall.iff');
INSERT INTO `template_items` VALUES ('3878', 'object/tangible/space/spacestations/shared_spacestation_neutral_01.iff');
INSERT INTO `template_items` VALUES ('3879', 'object/tangible/hair/human/shared_hair_human_female_s24.iff');
INSERT INTO `template_items` VALUES ('3880', 'object/tangible/space/story_loot/shared_loot_naboo_civspeeder.iff');
INSERT INTO `template_items` VALUES ('3881', 'object/tangible/ship/components/armor/shared_arm_cygnus_light_weave.iff');
INSERT INTO `template_items` VALUES ('3882', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_medium.iff');
INSERT INTO `template_items` VALUES ('3883', 'object/tangible/skill_buff/shared_skill_buff_carbine_speed.iff');
INSERT INTO `template_items` VALUES ('3884', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s03.iff');
INSERT INTO `template_items` VALUES ('3885', 'object/tangible/hair/sullustan/shared_sul_hair_s07_m.iff');
INSERT INTO `template_items` VALUES ('3886', 'object/tangible/lair/gurreck/shared_lair_gurreck_mountain.iff');
INSERT INTO `template_items` VALUES ('3887', 'object/tangible/ship/components/booster/shared_bst_moncal_enhanced_elite.iff');
INSERT INTO `template_items` VALUES ('3888', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_glasstop_02.iff');
INSERT INTO `template_items` VALUES ('3889', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_a.iff');
INSERT INTO `template_items` VALUES ('3890', 'object/tangible/painting/shared_painting_victorious_reign.iff');
INSERT INTO `template_items` VALUES ('3891', 'object/tangible/lair/kupernug/shared_lair_kupernug_wasteland.iff');
INSERT INTO `template_items` VALUES ('3892', 'object/tangible/component/droid/repair/shared_repair_unit_casing.iff');
INSERT INTO `template_items` VALUES ('3893', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02_lg.iff');
INSERT INTO `template_items` VALUES ('3894', 'object/tangible/deed/pet_deed/shared_krahbu_deed.iff');
INSERT INTO `template_items` VALUES ('3895', 'object/tangible/slicing/shared_slicing_armor_upgrade_kit.iff');
INSERT INTO `template_items` VALUES ('3896', 'object/tangible/component/vehicle/shared_extended_fuel_tanks.iff');
INSERT INTO `template_items` VALUES ('3897', 'object/tangible/furniture/all/shared_frn_all_lamp_table_s01.iff');
INSERT INTO `template_items` VALUES ('3898', 'object/tangible/hair/zabrak/base/shared_hair_zabrak_male_base.iff');
INSERT INTO `template_items` VALUES ('3899', 'object/tangible/deed/player_house_deed/shared_naboo_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('3900', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('3901', 'object/tangible/painting/shared_painting_rodian_f.iff');
INSERT INTO `template_items` VALUES ('3902', 'object/tangible/lair/bluefish/shared_lair_bluefish_underwater.iff');
INSERT INTO `template_items` VALUES ('3903', 'object/tangible/deed/pet_deed/shared_vir_vur_deed.iff');
INSERT INTO `template_items` VALUES ('3904', 'object/tangible/lair/spined_puc/shared_lair_spined_puc_underwater.iff');
INSERT INTO `template_items` VALUES ('3905', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('3906', 'object/tangible/lair/nerf/shared_lair_nerf.iff');
INSERT INTO `template_items` VALUES ('3907', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_c.iff');
INSERT INTO `template_items` VALUES ('3908', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk2.iff');
INSERT INTO `template_items` VALUES ('3909', 'object/tangible/ship/crafted/weapon/shared_wpn_light_blaster_green.iff');
INSERT INTO `template_items` VALUES ('3910', 'object/tangible/lair/eopie/shared_lair_eopie_desert.iff');
INSERT INTO `template_items` VALUES ('3911', 'object/tangible/loot/misc/shared_mt_flatbread.iff');
INSERT INTO `template_items` VALUES ('3912', 'object/tangible/lair/borgle/shared_lair_borgle.iff');
INSERT INTO `template_items` VALUES ('3913', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_b.iff');
INSERT INTO `template_items` VALUES ('3914', 'object/tangible/ship/components/booster/shared_bst_reward_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('3915', 'object/tangible/mission/quest_item/shared_kylantha_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3916', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_05_deed.iff');
INSERT INTO `template_items` VALUES ('3917', 'object/tangible/lair/base/shared_poi_all_lair_leaf_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('3918', 'object/tangible/ship/components/booster/shared_bst_koensayr_special_evh12.iff');
INSERT INTO `template_items` VALUES ('3919', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_terminal.iff');
INSERT INTO `template_items` VALUES ('3920', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_goldinlay_02.iff');
INSERT INTO `template_items` VALUES ('3921', 'object/tangible/wearables/boots/shared_boots_s14.iff');
INSERT INTO `template_items` VALUES ('3922', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s12.iff');
INSERT INTO `template_items` VALUES ('3923', 'object/tangible/inventory/shared_creature_inventory_4.iff');
INSERT INTO `template_items` VALUES ('3924', 'object/tangible/ship/crafted/weapon/shared_wpn_experimental_blaster_green.iff');
INSERT INTO `template_items` VALUES ('3925', 'object/tangible/painting/shared_painting_tato_s03.iff');
INSERT INTO `template_items` VALUES ('3926', 'object/tangible/hair/sullustan/shared_sul_hair_s08_f.iff');
INSERT INTO `template_items` VALUES ('3927', 'object/tangible/ship/components/booster/shared_bst_subpro_deluxe_accelatron_mk3.iff');
INSERT INTO `template_items` VALUES ('3928', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_e.iff');
INSERT INTO `template_items` VALUES ('3929', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_forest.iff');
INSERT INTO `template_items` VALUES ('3930', 'object/tangible/ship/components/armor/shared_arm_mandal_custom_heavy_composite.iff');
INSERT INTO `template_items` VALUES ('3931', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard.iff');
INSERT INTO `template_items` VALUES ('3932', 'object/tangible/lair/base/shared_objective_gungan_statue.iff');
INSERT INTO `template_items` VALUES ('3933', 'object/tangible/component/armor/shared_armor_segment_chitin_kliknick.iff');
INSERT INTO `template_items` VALUES ('3934', 'object/tangible/mission/quest_item/shared_output_governor.iff');
INSERT INTO `template_items` VALUES ('3935', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_assassin_filler02.iff');
INSERT INTO `template_items` VALUES ('3936', 'object/tangible/component/shared_blaster_barrel.iff');
INSERT INTO `template_items` VALUES ('3937', 'object/tangible/deed/player_house_deed/shared_corellia_house_medium_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('3938', 'object/tangible/wearables/gloves/shared_gloves_corsec.iff');
INSERT INTO `template_items` VALUES ('3939', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q6_needed.iff');
INSERT INTO `template_items` VALUES ('3940', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('3941', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_gloves.iff');
INSERT INTO `template_items` VALUES ('3942', 'object/tangible/ship/crafted/engine/shared_base_engine.iff');
INSERT INTO `template_items` VALUES ('3943', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp_jungle.iff');
INSERT INTO `template_items` VALUES ('3944', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk5.iff');
INSERT INTO `template_items` VALUES ('3945', 'object/tangible/ship/components/weapon/shared_wpn_spacestation_rebel_turret_s01.iff');
INSERT INTO `template_items` VALUES ('3946', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04.iff');
INSERT INTO `template_items` VALUES ('3947', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna_forest.iff');
INSERT INTO `template_items` VALUES ('3948', 'object/tangible/container/drum/shared_warren_reactor_core.iff');
INSERT INTO `template_items` VALUES ('3949', 'object/tangible/wearables/shoes/shared_shoes_s09.iff');
INSERT INTO `template_items` VALUES ('3950', 'object/tangible/item/new_player/shared_new_player_cloning_coupon.iff');
INSERT INTO `template_items` VALUES ('3951', 'object/tangible/ship/attachment/wing/shared_lambda_wing_l.iff');
INSERT INTO `template_items` VALUES ('3952', 'object/tangible/scout/trap/shared_trap_ranged_speed_1.iff');
INSERT INTO `template_items` VALUES ('3953', 'object/tangible/lair/verne/shared_lair_verne_forest.iff');
INSERT INTO `template_items` VALUES ('3954', 'object/tangible/treasure_map/shared_treasure_map_base.iff');
INSERT INTO `template_items` VALUES ('3955', 'object/tangible/deed/pet_deed/shared_woolamander_deed.iff');
INSERT INTO `template_items` VALUES ('3956', 'object/tangible/wearables/base/shared_base_jacket_halfsleeve.iff');
INSERT INTO `template_items` VALUES ('3957', 'object/tangible/medicine/shared_medpack_dizzy.iff');
INSERT INTO `template_items` VALUES ('3958', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_01.iff');
INSERT INTO `template_items` VALUES ('3959', 'object/tangible/loot/collectible/collectible_parts/shared_gong_skin_back.iff');
INSERT INTO `template_items` VALUES ('3960', 'object/tangible/hair/twilek/shared_hair_twilek_male_s01.iff');
INSERT INTO `template_items` VALUES ('3961', 'object/tangible/wearables/wookiee/shared_wke_shoulder_pad_s02.iff');
INSERT INTO `template_items` VALUES ('3962', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_03.iff');
INSERT INTO `template_items` VALUES ('3963', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_1.iff');
INSERT INTO `template_items` VALUES ('3964', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_04_deed.iff');
INSERT INTO `template_items` VALUES ('3965', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_small.iff');
INSERT INTO `template_items` VALUES ('3966', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_b.iff');
INSERT INTO `template_items` VALUES ('3967', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3968', 'object/tangible/lair/ronto/shared_lair_ronto.iff');
INSERT INTO `template_items` VALUES ('3969', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_injector_tank.iff');
INSERT INTO `template_items` VALUES ('3970', 'object/tangible/furniture/decorative/shared_bottle_fat.iff');
INSERT INTO `template_items` VALUES ('3971', 'object/tangible/scout/trap/shared_trap_tranq_dart.iff');
INSERT INTO `template_items` VALUES ('3972', 'object/tangible/ship/components/armor/shared_arm_kse_intermediate_durasteel.iff');
INSERT INTO `template_items` VALUES ('3973', 'object/tangible/mission/quest_item/shared_rovim_minnoni_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3974', 'object/tangible/deed/event_perk/shared_rsf_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('3975', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_special_bjn825.iff');
INSERT INTO `template_items` VALUES ('3976', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_r.iff');
INSERT INTO `template_items` VALUES ('3977', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('3978', 'object/tangible/medicine/crafted/shared_medpack_disease_stamina_a.iff');
INSERT INTO `template_items` VALUES ('3979', 'object/tangible/camp/shared_camp_light_s2.iff');
INSERT INTO `template_items` VALUES ('3980', 'object/tangible/food/crafted/shared_drink_sullustan_gin.iff');
INSERT INTO `template_items` VALUES ('3981', 'object/tangible/food/crafted/shared_dessert_won_won.iff');
INSERT INTO `template_items` VALUES ('3982', 'object/tangible/veteran_reward/shared_data_terminal_s4.iff');
INSERT INTO `template_items` VALUES ('3983', 'object/tangible/lair/base/shared_poi_all_lair_nest_small.iff');
INSERT INTO `template_items` VALUES ('3984', 'object/tangible/component/vehicle/shared_civilian_d.iff');
INSERT INTO `template_items` VALUES ('3985', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s10.iff');
INSERT INTO `template_items` VALUES ('3986', 'object/tangible/mission/quest_item/shared_stoos_olko_q2_needed.iff');
INSERT INTO `template_items` VALUES ('3987', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_deluxe_ionweb_b.iff');
INSERT INTO `template_items` VALUES ('3988', 'object/tangible/food/crafted/shared_drink_corellian_brandy.iff');
INSERT INTO `template_items` VALUES ('3989', 'object/tangible/ship/components/reactor/shared_rct_cygnus_supercharged_mk2.iff');
INSERT INTO `template_items` VALUES ('3990', 'object/tangible/hair/rodian/shared_hair_rodian_female_s16.iff');
INSERT INTO `template_items` VALUES ('3991', 'object/tangible/deed/pet_deed/shared_angler_deed.iff');
INSERT INTO `template_items` VALUES ('3992', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_1.iff');
INSERT INTO `template_items` VALUES ('3993', 'object/tangible/mission/quest_item/shared_hal_horn_q1_needed.iff');
INSERT INTO `template_items` VALUES ('3994', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk4.iff');
INSERT INTO `template_items` VALUES ('3995', 'object/tangible/ship/components/armor/shared_armor_trilon_unknown.iff');
INSERT INTO `template_items` VALUES ('3996', 'object/tangible/wearables/ithorian/shared_apron_chef_jacket_s01_ith.iff');
INSERT INTO `template_items` VALUES ('3997', 'object/tangible/mission/quest_item/shared_stoos_olko_q3_needed.iff');
INSERT INTO `template_items` VALUES ('3998', 'object/tangible/wearables/base/shared_base_cape.iff');
INSERT INTO `template_items` VALUES ('3999', 'object/tangible/ship/components/armor/shared_arm_corellian_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('4000', 'object/tangible/wearables/pants/shared_pants_s33.iff');
INSERT INTO `template_items` VALUES ('4001', 'object/tangible/ship/crafted/chassis/shared_chassis_hutt_light_wing_s01.iff');
INSERT INTO `template_items` VALUES ('4002', 'object/tangible/container/quest/crafting_contract/shared_clothing_crate.iff');
INSERT INTO `template_items` VALUES ('4003', 'object/tangible/wearables/belt/shared_belt_s01.iff');
INSERT INTO `template_items` VALUES ('4004', 'object/tangible/wearables/skirt/shared_skirt_s05.iff');
INSERT INTO `template_items` VALUES ('4005', 'object/tangible/hair/sullustan/shared_sul_hair_s05_f.iff');
INSERT INTO `template_items` VALUES ('4006', 'object/tangible/mission/quest_item/shared_oron_wintree_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4007', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk3.iff');
INSERT INTO `template_items` VALUES ('4008', 'object/tangible/deed/event_perk/shared_game_flag_deed.iff');
INSERT INTO `template_items` VALUES ('4009', 'object/tangible/ship/components/armor/shared_armor_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('4010', 'object/tangible/component/bio/shared_base_bio_component_clothing_field.iff');
INSERT INTO `template_items` VALUES ('4011', 'object/tangible/ship/components/droid_interface/shared_ddi_kde_governor_mk1.iff');
INSERT INTO `template_items` VALUES ('4012', 'object/tangible/hair/bothan/shared_hair_bothan_female_s04.iff');
INSERT INTO `template_items` VALUES ('4013', 'object/tangible/crafting/station/shared_structure_station.iff');
INSERT INTO `template_items` VALUES ('4014', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk1.iff');
INSERT INTO `template_items` VALUES ('4015', 'object/tangible/component/bio/shared_bio_component_food_heavy.iff');
INSERT INTO `template_items` VALUES ('4016', 'object/tangible/loot/loot_schematic/shared_bowl_plain_schematic.iff');
INSERT INTO `template_items` VALUES ('4017', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_provider_p1.iff');
INSERT INTO `template_items` VALUES ('4018', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('4019', 'object/tangible/container/drum/shared_warren_drum_tech_chest.iff');
INSERT INTO `template_items` VALUES ('4020', 'object/tangible/ship/components/reactor/shared_rct_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('4021', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk3.iff');
INSERT INTO `template_items` VALUES ('4022', 'object/tangible/wearables/shirt/shared_shirt_dera.iff');
INSERT INTO `template_items` VALUES ('4023', 'object/tangible/deed/base/shared_pet_deed_base.iff');
INSERT INTO `template_items` VALUES ('4024', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_1.iff');
INSERT INTO `template_items` VALUES ('4025', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s05.iff');
INSERT INTO `template_items` VALUES ('4026', 'object/tangible/hair/wookiee/base/shared_hair_wookiee_base.iff');
INSERT INTO `template_items` VALUES ('4027', 'object/tangible/wearables/earring/shared_earring_s02.iff');
INSERT INTO `template_items` VALUES ('4028', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x1.iff');
INSERT INTO `template_items` VALUES ('4029', 'object/tangible/hair/human/shared_hair_human_female_s19.iff');
INSERT INTO `template_items` VALUES ('4030', 'object/tangible/wearables/ithorian/shared_ith_belt_s05.iff');
INSERT INTO `template_items` VALUES ('4031', 'object/tangible/terminal/shared_terminal_imagedesign.iff');
INSERT INTO `template_items` VALUES ('4032', 'object/tangible/hair/rodian/shared_hair_rodian_male_s06.iff');
INSERT INTO `template_items` VALUES ('4033', 'object/tangible/wearables/cyborg/shared_forearm_r_s01.iff');
INSERT INTO `template_items` VALUES ('4034', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_c.iff');
INSERT INTO `template_items` VALUES ('4035', 'object/tangible/food/crafted/shared_dessert_glazed_glucose_pate.iff');
INSERT INTO `template_items` VALUES ('4036', 'object/tangible/vendor/shared_vendor_terminal_small.iff');
INSERT INTO `template_items` VALUES ('4037', 'object/tangible/lair/dune_lizard/shared_lair_dune_lizard_desert.iff');
INSERT INTO `template_items` VALUES ('4038', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s02.iff');
INSERT INTO `template_items` VALUES ('4039', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_experimental.iff');
INSERT INTO `template_items` VALUES ('4040', 'object/tangible/lair/kaadu/shared_lair_kaadu_swamp.iff');
INSERT INTO `template_items` VALUES ('4041', 'object/tangible/food/spice/shared_spice_booster_blue.iff');
INSERT INTO `template_items` VALUES ('4042', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large.iff');
INSERT INTO `template_items` VALUES ('4043', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator.iff');
INSERT INTO `template_items` VALUES ('4044', 'object/tangible/wearables/hat/shared_hat_s10.iff');
INSERT INTO `template_items` VALUES ('4045', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_upper.iff');
INSERT INTO `template_items` VALUES ('4046', 'object/tangible/ship/components/armor/shared_arm_subpro_heavy_plastisteel.iff');
INSERT INTO `template_items` VALUES ('4047', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('4048', 'object/tangible/furniture/space/shared_frn_chair_falcon_passenger_s01.iff');
INSERT INTO `template_items` VALUES ('4049', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_b.iff');
INSERT INTO `template_items` VALUES ('4050', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4051', 'object/tangible/wearables/robe/shared_robe_jedi_light_s05.iff');
INSERT INTO `template_items` VALUES ('4052', 'object/tangible/painting/shared_painting_armor_blueprint.iff');
INSERT INTO `template_items` VALUES ('4053', 'object/tangible/dungeon/death_watch_bunker/shared_passkey_storage.iff');
INSERT INTO `template_items` VALUES ('4054', 'object/tangible/ship/attachment/booster/shared_bwing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('4055', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4056', 'object/tangible/ship/components/booster/shared_bst_incom_sls_1.iff');
INSERT INTO `template_items` VALUES ('4057', 'object/tangible/component/dna/shared_dna_sample_average.iff');
INSERT INTO `template_items` VALUES ('4058', 'object/tangible/component/droid/shared_item_storage_module_5.iff');
INSERT INTO `template_items` VALUES ('4059', 'object/tangible/deed/city_deed/shared_cityhall_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4060', 'object/tangible/wearables/ring/shared_ring_s02.iff');
INSERT INTO `template_items` VALUES ('4061', 'object/tangible/component/vehicle/shared_disperser.iff');
INSERT INTO `template_items` VALUES ('4062', 'object/tangible/food/crafted/shared_dish_vegeparsine.iff');
INSERT INTO `template_items` VALUES ('4063', 'object/tangible/hair/human/shared_hair_human_male_s11.iff');
INSERT INTO `template_items` VALUES ('4064', 'object/tangible/wearables/base/shared_base_hat.iff');
INSERT INTO `template_items` VALUES ('4065', 'object/tangible/sign/player/shared_house_address.iff');
INSERT INTO `template_items` VALUES ('4066', 'object/tangible/food/crafted/shared_dish_cho_nor_hoola.iff');
INSERT INTO `template_items` VALUES ('4067', 'object/tangible/ship/components/reactor/shared_rct_seinar_level3.iff');
INSERT INTO `template_items` VALUES ('4068', 'object/tangible/lair/purbole/shared_lair_purbole_forest.iff');
INSERT INTO `template_items` VALUES ('4069', 'object/tangible/mission/quest_item/shared_charal_q4_needed.iff');
INSERT INTO `template_items` VALUES ('4070', 'object/tangible/wearables/necklace/shared_necklace_flashy_choker.iff');
INSERT INTO `template_items` VALUES ('4071', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_b.iff');
INSERT INTO `template_items` VALUES ('4072', 'object/tangible/furniture/city/shared_streetlamp_large_green_01.iff');
INSERT INTO `template_items` VALUES ('4073', 'object/tangible/component/base/shared_base_barrel.iff');
INSERT INTO `template_items` VALUES ('4074', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk3.iff');
INSERT INTO `template_items` VALUES ('4075', 'object/tangible/deed/city_deed/shared_cloning_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('4076', 'object/tangible/ship/components/engine/shared_eng_kse_a5x.iff');
INSERT INTO `template_items` VALUES ('4077', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('4078', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_1.iff');
INSERT INTO `template_items` VALUES ('4079', 'object/tangible/ship/components/armor/shared_arm_mandal_modifier_composite_j5.iff');
INSERT INTO `template_items` VALUES ('4080', 'object/tangible/ship/crafted/weapon/shared_wpn_heavy_blaster.iff');
INSERT INTO `template_items` VALUES ('4081', 'object/tangible/component/vehicle/shared_vehicle_module.iff');
INSERT INTO `template_items` VALUES ('4082', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4083', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s02.iff');
INSERT INTO `template_items` VALUES ('4084', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('4085', 'object/tangible/ship/components/booster/shared_bst_subpro_elite_accelatron_mk5.iff');
INSERT INTO `template_items` VALUES ('4086', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('4087', 'object/tangible/component/food/secrets/shared_secret_imperial_biochem.iff');
INSERT INTO `template_items` VALUES ('4088', 'object/tangible/component/chemistry/shared_infection_amplifier_donkuwah.iff');
INSERT INTO `template_items` VALUES ('4089', 'object/tangible/lair/flewt/shared_lair_flewt.iff');
INSERT INTO `template_items` VALUES ('4090', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate_quest.iff');
INSERT INTO `template_items` VALUES ('4091', 'object/tangible/lair/peko_peko/shared_lair_peko_peko.iff');
INSERT INTO `template_items` VALUES ('4092', 'object/tangible/wearables/base/shared_base_pauldron_r.iff');
INSERT INTO `template_items` VALUES ('4093', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_dome_base.iff');
INSERT INTO `template_items` VALUES ('4094', 'object/tangible/ship/components/engine/shared_eng_freitek_dual_jet.iff');
INSERT INTO `template_items` VALUES ('4095', 'object/tangible/loot/quest/shared_quest_item_goru_calling_card.iff');
INSERT INTO `template_items` VALUES ('4096', 'object/tangible/medicine/shared_medpack_wound_quickness.iff');
INSERT INTO `template_items` VALUES ('4097', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_standard_droid_interface.iff');
INSERT INTO `template_items` VALUES ('4098', 'object/tangible/hair/bothan/base/shared_hair_bothan_base.iff');
INSERT INTO `template_items` VALUES ('4099', 'object/tangible/furniture/decorative/shared_tatooine_tapestry.iff');
INSERT INTO `template_items` VALUES ('4100', 'object/tangible/food/foraged/shared_foraged_fruit_s2.iff');
INSERT INTO `template_items` VALUES ('4101', 'object/tangible/wearables/backpack/shared_backpack_s04.iff');
INSERT INTO `template_items` VALUES ('4102', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk2.iff');
INSERT INTO `template_items` VALUES ('4103', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk2.iff');
INSERT INTO `template_items` VALUES ('4104', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('4105', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_proton_projector.iff');
INSERT INTO `template_items` VALUES ('4106', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('4107', 'object/tangible/lair/veermok/shared_lair_veermok_swamp.iff');
INSERT INTO `template_items` VALUES ('4108', 'object/tangible/wearables/ithorian/shared_ith_pants_s02.iff');
INSERT INTO `template_items` VALUES ('4109', 'object/tangible/ship/components/chassis/shared_tieinterceptor_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4110', 'object/tangible/ship/components/armor/shared_arm_mandal_double_plated_composite_j7.iff');
INSERT INTO `template_items` VALUES ('4111', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_leggings.iff');
INSERT INTO `template_items` VALUES ('4112', 'object/tangible/furniture/all/shared_frn_all_data_terminal_free_s1.iff');
INSERT INTO `template_items` VALUES ('4113', 'object/tangible/component/clothing/shared_leather_heavy_duty.iff');
INSERT INTO `template_items` VALUES ('4114', 'object/tangible/ship/components/engine/shared_eng_moncal_light.iff');
INSERT INTO `template_items` VALUES ('4115', 'object/tangible/food/crafted/shared_dish_protato.iff');
INSERT INTO `template_items` VALUES ('4116', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_04.iff');
INSERT INTO `template_items` VALUES ('4117', 'object/tangible/component/droid/shared_defensive_module_base.iff');
INSERT INTO `template_items` VALUES ('4118', 'object/tangible/ship/components/armor/shared_arm_mission_reward_rebel_incom_ultralight.iff');
INSERT INTO `template_items` VALUES ('4119', 'object/tangible/deed/vehicle_deed/shared_jetpack_deed.iff');
INSERT INTO `template_items` VALUES ('4120', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_rescue_01.iff');
INSERT INTO `template_items` VALUES ('4121', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4122', 'object/tangible/component/chemistry/shared_dispersal_mechanism.iff');
INSERT INTO `template_items` VALUES ('4123', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat.iff');
INSERT INTO `template_items` VALUES ('4124', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4125', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('4126', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_boots_schematic.iff');
INSERT INTO `template_items` VALUES ('4127', 'object/tangible/wearables/necklace/shared_necklace_s07.iff');
INSERT INTO `template_items` VALUES ('4128', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('4129', 'object/tangible/item/quest/force_sensitive/shared_fs_medic_puzzle_heal_pack.iff');
INSERT INTO `template_items` VALUES ('4130', 'object/tangible/survey_tool/base/shared_survey_tool_base.iff');
INSERT INTO `template_items` VALUES ('4131', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_d.iff');
INSERT INTO `template_items` VALUES ('4132', 'object/tangible/component/vehicle/shared_vehicle_structure_frame.iff');
INSERT INTO `template_items` VALUES ('4133', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_heavy.iff');
INSERT INTO `template_items` VALUES ('4134', 'object/tangible/component/weapon/shared_geonosian_power_cube_green.iff');
INSERT INTO `template_items` VALUES ('4135', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_imagerec_mk2.iff');
INSERT INTO `template_items` VALUES ('4136', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('4137', 'object/tangible/poi/base/shared_poi_base.iff');
INSERT INTO `template_items` VALUES ('4138', 'object/tangible/ship/components/reactor/shared_rct_unknown_proton_chamber.iff');
INSERT INTO `template_items` VALUES ('4139', 'object/tangible/mission/quest_item/shared_kylantha_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4140', 'object/tangible/wearables/ithorian/shared_ith_jacket_s10.iff');
INSERT INTO `template_items` VALUES ('4141', 'object/tangible/skill_buff/shared_skill_buff_polearm_speed.iff');
INSERT INTO `template_items` VALUES ('4142', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_03.iff');
INSERT INTO `template_items` VALUES ('4143', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small.iff');
INSERT INTO `template_items` VALUES ('4144', 'object/tangible/ship/attachment/engine/shared_decimator_engine_s02.iff');
INSERT INTO `template_items` VALUES ('4145', 'object/tangible/wearables/pants/shared_pants_s07.iff');
INSERT INTO `template_items` VALUES ('4146', 'object/tangible/ship/components/armor/shared_arm_reward_subpro_elite.iff');
INSERT INTO `template_items` VALUES ('4147', 'object/tangible/veteran_reward/shared_frn_vet_r2_toy.iff');
INSERT INTO `template_items` VALUES ('4148', 'object/tangible/food/crafted/shared_dish_wastril_bread.iff');
INSERT INTO `template_items` VALUES ('4149', 'object/tangible/painting/shared_painting_schematic_weapon.iff');
INSERT INTO `template_items` VALUES ('4150', 'object/tangible/component/dna/shared_dna_sample_low.iff');
INSERT INTO `template_items` VALUES ('4151', 'object/tangible/wearables/helmet/shared_helmet_fighter_imperial_ace.iff');
INSERT INTO `template_items` VALUES ('4152', 'object/tangible/ship/components/weapon_capacitor/shared_cap_rendili_overseer_j7.iff');
INSERT INTO `template_items` VALUES ('4153', 'object/tangible/medicine/crafted/shared_medpack_disease_area_willpower_a.iff');
INSERT INTO `template_items` VALUES ('4154', 'object/tangible/deed/city_deed/shared_garden_dathomir_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('4155', 'object/tangible/loot/collectible/collectible_rewards/shared_blue_rug.iff');
INSERT INTO `template_items` VALUES ('4156', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('4157', 'object/tangible/ship/attachment/weapon/shared_aggressor_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('4158', 'object/tangible/hair/singing_mountain_clan/shared_hair_singing_mountain_clan_s01.iff');
INSERT INTO `template_items` VALUES ('4159', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('4160', 'object/tangible/painting/shared_painting_bw_stormtrooper.iff');
INSERT INTO `template_items` VALUES ('4161', 'object/tangible/ship/components/weapon/shared_wpn_incom_proton_missile_s01.iff');
INSERT INTO `template_items` VALUES ('4162', 'object/tangible/loot/simple_kit/shared_magnetic_burner.iff');
INSERT INTO `template_items` VALUES ('4163', 'object/tangible/lair/dalyrake/shared_lair_dalyrake_forest.iff');
INSERT INTO `template_items` VALUES ('4164', 'object/tangible/wearables/base/shared_base_ring_either.iff');
INSERT INTO `template_items` VALUES ('4165', 'object/tangible/ship/crafted/chassis/shared_hutt_medium_s01_deed.iff');
INSERT INTO `template_items` VALUES ('4166', 'object/tangible/furniture/all/shared_frn_all_data_terminal_wall_s1.iff');
INSERT INTO `template_items` VALUES ('4167', 'object/tangible/wearables/jacket/shared_jacket_s35.iff');
INSERT INTO `template_items` VALUES ('4168', 'object/tangible/deed/city_deed/shared_hospital_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4169', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('4170', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4171', 'object/tangible/ship/components/booster/shared_bst_moncal_standard.iff');
INSERT INTO `template_items` VALUES ('4172', 'object/tangible/component/vehicle/shared_veh_power_plant_mk1.iff');
INSERT INTO `template_items` VALUES ('4173', 'object/tangible/gambling/wheel/shared_roulette.iff');
INSERT INTO `template_items` VALUES ('4174', 'object/tangible/deed/city_deed/shared_garage_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4175', 'object/tangible/lair/kaadu/shared_lair_kaadu_grassland.iff');
INSERT INTO `template_items` VALUES ('4176', 'object/tangible/wearables/armor/ris/shared_armor_ris_gloves.iff');
INSERT INTO `template_items` VALUES ('4177', 'object/tangible/lair/jellyfish/shared_lair_jellyfish_underwater.iff');
INSERT INTO `template_items` VALUES ('4178', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock.iff');
INSERT INTO `template_items` VALUES ('4179', 'object/tangible/fishing/fish/shared_laa.iff');
INSERT INTO `template_items` VALUES ('4180', 'object/tangible/food/crafted/shared_drink_bantha_blaster.iff');
INSERT INTO `template_items` VALUES ('4181', 'object/tangible/wearables/armor/composite/shared_armor_composite_helmet.iff');
INSERT INTO `template_items` VALUES ('4182', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s19.iff');
INSERT INTO `template_items` VALUES ('4183', 'object/tangible/component/item/quest_item/shared_momentum_compensator.iff');
INSERT INTO `template_items` VALUES ('4184', 'object/tangible/recycler/shared_creature_recycler.iff');
INSERT INTO `template_items` VALUES ('4185', 'object/tangible/deed/pet_deed/shared_deed_binary_load_lifter_basic.iff');
INSERT INTO `template_items` VALUES ('4186', 'object/tangible/mission/quest_item/shared_graf_zapalo_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4187', 'object/tangible/ship/attachment/booster/shared_xwing_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4188', 'object/tangible/hair/human/shared_hair_human_male_s25.iff');
INSERT INTO `template_items` VALUES ('4189', 'object/tangible/ship/components/booster/shared_bst_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('4190', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s06.iff');
INSERT INTO `template_items` VALUES ('4191', 'object/tangible/deed/pet_deed/shared_guf_drolg_deed.iff');
INSERT INTO `template_items` VALUES ('4192', 'object/tangible/loot/misc/shared_gungan_lance.iff');
INSERT INTO `template_items` VALUES ('4193', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_gyro_receiver.iff');
INSERT INTO `template_items` VALUES ('4194', 'object/tangible/component/dna/shared_dna_template_sand_panther.iff');
INSERT INTO `template_items` VALUES ('4195', 'object/tangible/dungeon/shared_wall_terminal_s4.iff');
INSERT INTO `template_items` VALUES ('4196', 'object/tangible/component/armor/shared_deflector_shield_ion_feed_unit.iff');
INSERT INTO `template_items` VALUES ('4197', 'object/tangible/crafting/station/shared_weapon_repair.iff');
INSERT INTO `template_items` VALUES ('4198', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_standard.iff');
INSERT INTO `template_items` VALUES ('4199', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_rebel_slayn_hypervortex.iff');
INSERT INTO `template_items` VALUES ('4200', 'object/tangible/wearables/base/shared_base_ring_both.iff');
INSERT INTO `template_items` VALUES ('4201', 'object/tangible/jedi/shared_jedi_holocron_light.iff');
INSERT INTO `template_items` VALUES ('4202', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_elite_manager_2.iff');
INSERT INTO `template_items` VALUES ('4203', 'object/tangible/wearables/bracelet/shared_bracelet_s02_r.iff');
INSERT INTO `template_items` VALUES ('4204', 'object/tangible/lair/woolamander/shared_lair_woolamander_jungle.iff');
INSERT INTO `template_items` VALUES ('4205', 'object/tangible/ship/components/armor/shared_arm_mandal_composite_j5.iff');
INSERT INTO `template_items` VALUES ('4206', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_filler01.iff');
INSERT INTO `template_items` VALUES ('4207', 'object/tangible/hair/twilek/shared_hair_twilek_male_s08.iff');
INSERT INTO `template_items` VALUES ('4208', 'object/tangible/component/droid/shared_data_storage_module_6.iff');
INSERT INTO `template_items` VALUES ('4209', 'object/tangible/ship/components/booster/shared_bst_mission_reward_imperial_rss_ion_booster.iff');
INSERT INTO `template_items` VALUES ('4210', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('4211', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_02.iff');
INSERT INTO `template_items` VALUES ('4212', 'object/tangible/mission/quest_item/shared_stoos_olko_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4213', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_neutral_sorosuub_v1.iff');
INSERT INTO `template_items` VALUES ('4214', 'object/tangible/container/base/shared_base_container_slotted.iff');
INSERT INTO `template_items` VALUES ('4215', 'object/tangible/wearables/shirt/shared_shirt_s14.iff');
INSERT INTO `template_items` VALUES ('4216', 'object/tangible/component/armor/shared_armor_segment_padded_fambaa.iff');
INSERT INTO `template_items` VALUES ('4217', 'object/tangible/lair/torton/shared_lair_torton_grassland.iff');
INSERT INTO `template_items` VALUES ('4218', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s03.iff');
INSERT INTO `template_items` VALUES ('4219', 'object/tangible/food/crafted/shared_drink_durindfire.iff');
INSERT INTO `template_items` VALUES ('4220', 'object/tangible/painting/shared_painting_zabrak_f.iff');
INSERT INTO `template_items` VALUES ('4221', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s02.iff');
INSERT INTO `template_items` VALUES ('4222', 'object/tangible/loot/quest/shared_quest_item_zicx_bug_jar.iff');
INSERT INTO `template_items` VALUES ('4223', 'object/tangible/ship/crafted/chassis/shared_yt1300_deed.iff');
INSERT INTO `template_items` VALUES ('4224', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4225', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_a.iff');
INSERT INTO `template_items` VALUES ('4226', 'object/tangible/ship/crafted/booster/shared_xwing_booster_mk2.iff');
INSERT INTO `template_items` VALUES ('4227', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4228', 'object/tangible/mission/quest_item/shared_graf_zapalo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4229', 'object/tangible/ship/components/reactor/shared_rct_cygnus_tuned_mk1.iff');
INSERT INTO `template_items` VALUES ('4230', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_rescue_filler02.iff');
INSERT INTO `template_items` VALUES ('4231', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_r.iff');
INSERT INTO `template_items` VALUES ('4232', 'object/tangible/component/bio/shared_base_bio_component_food.iff');
INSERT INTO `template_items` VALUES ('4233', 'object/tangible/deed/city_deed/shared_garden_naboo_lrg_02_deed.iff');
INSERT INTO `template_items` VALUES ('4234', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_confuser_launcher.iff');
INSERT INTO `template_items` VALUES ('4235', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('4236', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_01.iff');
INSERT INTO `template_items` VALUES ('4237', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_bith.iff');
INSERT INTO `template_items` VALUES ('4238', 'object/tangible/ship/components/booster/shared_bst_sds_enhanced_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4239', 'object/tangible/ship/components/armor/shared_arm_kse_customized_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('4240', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('4241', 'object/tangible/container/loot/shared_placable_loot_crate_trashpile.iff');
INSERT INTO `template_items` VALUES ('4242', 'object/tangible/component/shared_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('4243', 'object/tangible/deed/event_perk/shared_rebel_2x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('4244', 'object/tangible/hair/bothan/shared_hair_bothan_male_s12.iff');
INSERT INTO `template_items` VALUES ('4245', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_2.iff');
INSERT INTO `template_items` VALUES ('4246', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_c.iff');
INSERT INTO `template_items` VALUES ('4247', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_small.iff');
INSERT INTO `template_items` VALUES ('4248', 'object/tangible/hair/human/shared_hair_human_female_s10.iff');
INSERT INTO `template_items` VALUES ('4249', 'object/tangible/painting/shared_painting_starmap.iff');
INSERT INTO `template_items` VALUES ('4250', 'object/tangible/ship/components/weapon/shared_wpn_kessel_rebel_incom_dualcore_flashcannon.iff');
INSERT INTO `template_items` VALUES ('4251', 'object/tangible/wearables/ithorian/shared_ith_necklace_s05.iff');
INSERT INTO `template_items` VALUES ('4252', 'object/tangible/ship/attachment/engine/shared_z95_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4253', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s05.iff');
INSERT INTO `template_items` VALUES ('4254', 'object/tangible/ship/components/chassis/shared_hutt_turret_ship_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4255', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_03.iff');
INSERT INTO `template_items` VALUES ('4256', 'object/tangible/painting/shared_painting_bestine_golden_flower_03.iff');
INSERT INTO `template_items` VALUES ('4257', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk5.iff');
INSERT INTO `template_items` VALUES ('4258', 'object/tangible/component/armor/shared_armor_segment_composite_krayt.iff');
INSERT INTO `template_items` VALUES ('4259', 'object/tangible/component/armor/shared_deflector_shield_overload_discharge_unit.iff');
INSERT INTO `template_items` VALUES ('4260', 'object/tangible/mission/quest_item/shared_daclif_gallamby_q4_needed.iff');
INSERT INTO `template_items` VALUES ('4261', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s09.iff');
INSERT INTO `template_items` VALUES ('4262', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06.iff');
INSERT INTO `template_items` VALUES ('4263', 'object/tangible/wearables/base/shared_base_bicep_r.iff');
INSERT INTO `template_items` VALUES ('4264', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_neutral_sorosuub_w19.iff');
INSERT INTO `template_items` VALUES ('4265', 'object/tangible/ship/components/chassis/shared_ywing_longprobe_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4266', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_chaff_launcher.iff');
INSERT INTO `template_items` VALUES ('4267', 'object/tangible/furniture/all/shared_frn_all_couch_love_seat_s1.iff');
INSERT INTO `template_items` VALUES ('4268', 'object/tangible/hair/rodian/shared_hair_rodian_female_s22.iff');
INSERT INTO `template_items` VALUES ('4269', 'object/tangible/lair/kupernug/shared_lair_kupernug.iff');
INSERT INTO `template_items` VALUES ('4270', 'object/tangible/hair/human/shared_hair_human_male_s18.iff');
INSERT INTO `template_items` VALUES ('4271', 'object/tangible/deed/event_perk/shared_rsf_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('4272', 'object/tangible/ship/crafted/weapon/shared_weapon_subpro_tripleblaster.iff');
INSERT INTO `template_items` VALUES ('4273', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('4274', 'object/tangible/slicing/shared_slicing_molecular_clamp.iff');
INSERT INTO `template_items` VALUES ('4275', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_human.iff');
INSERT INTO `template_items` VALUES ('4276', 'object/tangible/wearables/armor/ris/shared_armor_ris_leggings.iff');
INSERT INTO `template_items` VALUES ('4277', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_2.iff');
INSERT INTO `template_items` VALUES ('4278', 'object/tangible/mission/quest_item/shared_sidoras_bey_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4279', 'object/tangible/terminal/shared_terminal_mission_newbie.iff');
INSERT INTO `template_items` VALUES ('4280', 'object/tangible/loot/loot_schematic/shared_bowl_carved_schematic.iff');
INSERT INTO `template_items` VALUES ('4281', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('4282', 'object/tangible/painting/shared_painting_bestine_ronka.iff');
INSERT INTO `template_items` VALUES ('4283', 'object/tangible/furniture/technical/shared_armoire_s01.iff');
INSERT INTO `template_items` VALUES ('4284', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_housing.iff');
INSERT INTO `template_items` VALUES ('4285', 'object/tangible/component/structure/shared_structure_storage_section.iff');
INSERT INTO `template_items` VALUES ('4286', 'object/tangible/wearables/jacket/shared_jacket_s08.iff');
INSERT INTO `template_items` VALUES ('4287', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_sorosuub_ion_mesh_projection.iff');
INSERT INTO `template_items` VALUES ('4288', 'object/tangible/skill_buff/shared_skill_buff_thrown_speed.iff');
INSERT INTO `template_items` VALUES ('4289', 'object/tangible/furniture/decorative/shared_diagnostic_screen.iff');
INSERT INTO `template_items` VALUES ('4290', 'object/tangible/ship/components/reactor/shared_rct_incom_mark1.iff');
INSERT INTO `template_items` VALUES ('4291', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_spice_container.iff');
INSERT INTO `template_items` VALUES ('4292', 'object/tangible/deed/city_deed/shared_garden_corellia_lrg_03_deed.iff');
INSERT INTO `template_items` VALUES ('4293', 'object/tangible/loot/dungeon/death_watch_bunker/shared_ducted_fan.iff');
INSERT INTO `template_items` VALUES ('4294', 'object/tangible/ship/attachment/weapon/shared_spacestation_turret_base_s01.iff');
INSERT INTO `template_items` VALUES ('4295', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing_quest.iff');
INSERT INTO `template_items` VALUES ('4296', 'object/tangible/wearables/base/shared_base_bracer_upper_both.iff');
INSERT INTO `template_items` VALUES ('4297', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_gloves.iff');
INSERT INTO `template_items` VALUES ('4298', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_c.iff');
INSERT INTO `template_items` VALUES ('4299', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark9.iff');
INSERT INTO `template_items` VALUES ('4300', 'object/tangible/deed/event_perk/shared_technical_chest_deed.iff');
INSERT INTO `template_items` VALUES ('4301', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4302', 'object/tangible/ship/attachment/booster/shared_z95_booster_s01.iff');
INSERT INTO `template_items` VALUES ('4303', 'object/tangible/terminal/shared_terminal_bestine_quests_03.iff');
INSERT INTO `template_items` VALUES ('4304', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants.iff');
INSERT INTO `template_items` VALUES ('4305', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('4306', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s06.iff');
INSERT INTO `template_items` VALUES ('4307', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4308', 'object/tangible/furniture/decorative/shared_shisa.iff');
INSERT INTO `template_items` VALUES ('4309', 'object/tangible/ship/components/booster/shared_bst_corellian_performance_advanced_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('4310', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_rescue_filler01.iff');
INSERT INTO `template_items` VALUES ('4311', 'object/tangible/furniture/imperial/shared_data_terminal_s1.iff');
INSERT INTO `template_items` VALUES ('4312', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('4313', 'object/tangible/ship/crafted/armor/shared_light_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('4314', 'object/tangible/ship/components/weapon/shared_wpn_incom_quad_blaster.iff');
INSERT INTO `template_items` VALUES ('4315', 'object/tangible/ship/attachment/shield/shared_star_destroyer_shieldtower_2.iff');
INSERT INTO `template_items` VALUES ('4316', 'object/tangible/lair/tusken_raider/shared_lair_tusken_raider_npc.iff');
INSERT INTO `template_items` VALUES ('4317', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_sarlacc_s1.iff');
INSERT INTO `template_items` VALUES ('4318', 'object/tangible/ship/components/booster/shared_bst_mandal_deluxe_jbj_mk4.iff');
INSERT INTO `template_items` VALUES ('4319', 'object/tangible/ship/components/engine/shared_eng_kse_a7x.iff');
INSERT INTO `template_items` VALUES ('4320', 'object/tangible/hair/human/shared_hair_human_male_s31.iff');
INSERT INTO `template_items` VALUES ('4321', 'object/tangible/ship/attachment/booster/shared_decimator_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4322', 'object/tangible/firework/shared_test.iff');
INSERT INTO `template_items` VALUES ('4323', 'object/tangible/food/crafted/shared_drink_caf.iff');
INSERT INTO `template_items` VALUES ('4324', 'object/tangible/furniture/city/shared_streetlamp_large_02.iff');
INSERT INTO `template_items` VALUES ('4325', 'object/tangible/ship/crafted/chassis/shared_tie_in_deed.iff');
INSERT INTO `template_items` VALUES ('4326', 'object/tangible/deed/city_deed/shared_garden_endor_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('4327', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_c.iff');
INSERT INTO `template_items` VALUES ('4328', 'object/tangible/lair/base/shared_poi_all_lair_nest_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4329', 'object/tangible/skill_buff/shared_skill_buff_unarmed_speed.iff');
INSERT INTO `template_items` VALUES ('4330', 'object/tangible/wearables/ithorian/shared_ith_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('4331', 'object/tangible/ship/components/chassis/shared_tieadvanced_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4332', 'object/tangible/lair/krahbu/shared_lair_krahbu_grassland.iff');
INSERT INTO `template_items` VALUES ('4333', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk4.iff');
INSERT INTO `template_items` VALUES ('4334', 'object/tangible/wearables/base/shared_base_costume_allow_jewelry.iff');
INSERT INTO `template_items` VALUES ('4335', 'object/tangible/dungeon/shared_terminal_free_s1.iff');
INSERT INTO `template_items` VALUES ('4336', 'object/tangible/ship/attachment/engine/shared_hutt_heavy_engine_s02.iff');
INSERT INTO `template_items` VALUES ('4337', 'object/tangible/wearables/base/shared_base_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4338', 'object/tangible/ship/attachment/booster/shared_hutt_heavy_booster_s01.iff');
INSERT INTO `template_items` VALUES ('4339', 'object/tangible/food/crafted/shared_dish_trimpian.iff');
INSERT INTO `template_items` VALUES ('4340', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_leggings.iff');
INSERT INTO `template_items` VALUES ('4341', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_blaster.iff');
INSERT INTO `template_items` VALUES ('4342', 'object/tangible/wearables/jacket/shared_jacket_s21.iff');
INSERT INTO `template_items` VALUES ('4343', 'object/tangible/ship/components/armor/shared_arm_corellian_cheap_durasteel.iff');
INSERT INTO `template_items` VALUES ('4344', 'object/tangible/wearables/base/shared_base_bicep_both.iff');
INSERT INTO `template_items` VALUES ('4345', 'object/tangible/space/content_infrastructure/shared_content_manager.iff');
INSERT INTO `template_items` VALUES ('4346', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mission_reward_imperial_rendili_k_class.iff');
INSERT INTO `template_items` VALUES ('4347', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_university.iff');
INSERT INTO `template_items` VALUES ('4348', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07_lg.iff');
INSERT INTO `template_items` VALUES ('4349', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_d.iff');
INSERT INTO `template_items` VALUES ('4350', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_2.iff');
INSERT INTO `template_items` VALUES ('4351', 'object/tangible/ship/components/reactor/shared_rct_cygnus_mk2.iff');
INSERT INTO `template_items` VALUES ('4352', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_b.iff');
INSERT INTO `template_items` VALUES ('4353', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4354', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small.iff');
INSERT INTO `template_items` VALUES ('4355', 'object/tangible/ship/attachment/wing/shared_xwing_wing_pos_s01.iff');
INSERT INTO `template_items` VALUES ('4356', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_01.iff');
INSERT INTO `template_items` VALUES ('4357', 'object/tangible/wearables/bracelet/shared_bracelet_s06_r.iff');
INSERT INTO `template_items` VALUES ('4358', 'object/tangible/mission/quest_item/shared_wuher_q4_needed.iff');
INSERT INTO `template_items` VALUES ('4359', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_concussion_mk1.iff');
INSERT INTO `template_items` VALUES ('4360', 'object/tangible/inventory/shared_vendor_inventory.iff');
INSERT INTO `template_items` VALUES ('4361', 'object/tangible/terminal/shared_terminal_newbie_food.iff');
INSERT INTO `template_items` VALUES ('4362', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s02.iff');
INSERT INTO `template_items` VALUES ('4363', 'object/tangible/wearables/pants/shared_pants_s13.iff');
INSERT INTO `template_items` VALUES ('4364', 'object/tangible/food/crafted/shared_dish_ormachek.iff');
INSERT INTO `template_items` VALUES ('4365', 'object/tangible/deed/pet_deed/shared_brackaset_deed.iff');
INSERT INTO `template_items` VALUES ('4366', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk4.iff');
INSERT INTO `template_items` VALUES ('4367', 'object/tangible/loot/misc/shared_loot_skull_bol.iff');
INSERT INTO `template_items` VALUES ('4368', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_intellect.iff');
INSERT INTO `template_items` VALUES ('4369', 'object/tangible/wearables/vest/shared_vest_s03.iff');
INSERT INTO `template_items` VALUES ('4370', 'object/tangible/deed/faction_perk/hq/shared_hq_s03.iff');
INSERT INTO `template_items` VALUES ('4371', 'object/tangible/wearables/ithorian/shared_ith_jacket_s04.iff');
INSERT INTO `template_items` VALUES ('4372', 'object/tangible/ship/components/booster/shared_bst_mission_reward_rebel_qualdex_halcyon.iff');
INSERT INTO `template_items` VALUES ('4373', 'object/tangible/deed/city_deed/shared_garden_dantooine_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('4374', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_body.iff');
INSERT INTO `template_items` VALUES ('4375', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s01.iff');
INSERT INTO `template_items` VALUES ('4376', 'object/tangible/loot/collectible/collectible_parts/shared_gong_adhesive.iff');
INSERT INTO `template_items` VALUES ('4377', 'object/tangible/lair/boar_wolf/shared_lair_boar_wolf.iff');
INSERT INTO `template_items` VALUES ('4378', 'object/tangible/wearables/bodysuit/shared_bodysuit_s14.iff');
INSERT INTO `template_items` VALUES ('4379', 'object/tangible/hair/human/shared_hair_human_female_s41.iff');
INSERT INTO `template_items` VALUES ('4380', 'object/tangible/loot/loot_schematic/shared_ore_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('4381', 'object/tangible/food/crafted/shared_drink_cortyg.iff');
INSERT INTO `template_items` VALUES ('4382', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_z1.iff');
INSERT INTO `template_items` VALUES ('4383', 'object/tangible/hair/human/shared_hair_human_female_s39.iff');
INSERT INTO `template_items` VALUES ('4384', 'object/tangible/component/armor/shared_deflector_shield_generator_particle.iff');
INSERT INTO `template_items` VALUES ('4385', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('4386', 'object/tangible/powerup/weapon/shared_ranged_stock.iff');
INSERT INTO `template_items` VALUES ('4387', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s20.iff');
INSERT INTO `template_items` VALUES ('4388', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk2.iff');
INSERT INTO `template_items` VALUES ('4389', 'object/tangible/ship/components/armor/shared_arm_slayn_tech_weave.iff');
INSERT INTO `template_items` VALUES ('4390', 'object/tangible/component/weapon/shared_turbo_laser_gun_tube.iff');
INSERT INTO `template_items` VALUES ('4391', 'object/tangible/deed/faction_perk/turret/shared_block_sm_deed.iff');
INSERT INTO `template_items` VALUES ('4392', 'object/tangible/wearables/ithorian/shared_ith_pants_s16.iff');
INSERT INTO `template_items` VALUES ('4393', 'object/tangible/hair/sullustan/base/shared_hair_sullustan_male_base.iff');
INSERT INTO `template_items` VALUES ('4394', 'object/tangible/wearables/base/shared_base_held_r.iff');
INSERT INTO `template_items` VALUES ('4395', 'object/tangible/component/armor/shared_armor_layer_environmental.iff');
INSERT INTO `template_items` VALUES ('4396', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4397', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('4398', 'object/tangible/wearables/bracelet/shared_bracelet_s03_l.iff');
INSERT INTO `template_items` VALUES ('4399', 'object/tangible/lair/skreeg/shared_lair_skreeg_swamp.iff');
INSERT INTO `template_items` VALUES ('4400', 'object/tangible/deed/event_perk/shared_corellia_flag_deed.iff');
INSERT INTO `template_items` VALUES ('4401', 'object/tangible/lair/dwarf_nuna/shared_lair_dwarf_nuna.iff');
INSERT INTO `template_items` VALUES ('4402', 'object/tangible/food/crafted/shared_drink_double_dip_outer_rim_rumdrop.iff');
INSERT INTO `template_items` VALUES ('4403', 'object/tangible/deed/pet_deed/shared_huf_dun_deed.iff');
INSERT INTO `template_items` VALUES ('4404', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr5.iff');
INSERT INTO `template_items` VALUES ('4405', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting_advanced.iff');
INSERT INTO `template_items` VALUES ('4406', 'object/tangible/ship/components/engine/shared_eng_mission_reward_neutral_mandal_inferno.iff');
INSERT INTO `template_items` VALUES ('4407', 'object/tangible/mission/quest_item/shared_binna_jode_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4408', 'object/tangible/ship/components/droid_interface/shared_ddi_koensayr_simple_droid_interface.iff');
INSERT INTO `template_items` VALUES ('4409', 'object/tangible/component/armor/shared_armor_segment_composite_advanced.iff');
INSERT INTO `template_items` VALUES ('4410', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_boots.iff');
INSERT INTO `template_items` VALUES ('4411', 'object/tangible/loot/tool/shared_sandstat_broken.iff');
INSERT INTO `template_items` VALUES ('4412', 'object/tangible/furniture/all/shared_frn_all_bed_lg_s1.iff');
INSERT INTO `template_items` VALUES ('4413', 'object/tangible/lair/base/shared_bramble_dark.iff');
INSERT INTO `template_items` VALUES ('4414', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('4415', 'object/tangible/component/vehicle/shared_fuel_cell_a.iff');
INSERT INTO `template_items` VALUES ('4416', 'object/tangible/wearables/gloves/shared_gloves_s11.iff');
INSERT INTO `template_items` VALUES ('4417', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk2.iff');
INSERT INTO `template_items` VALUES ('4418', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_qualdex_elite.iff');
INSERT INTO `template_items` VALUES ('4419', 'object/tangible/lair/gurk/shared_lair_gurk.iff');
INSERT INTO `template_items` VALUES ('4420', 'object/tangible/ship/attachment/engine/shared_blacksun_medium_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4421', 'object/tangible/terminal/shared_terminal_player_structure_nosnap_mini.iff');
INSERT INTO `template_items` VALUES ('4422', 'object/tangible/ship/attachment/engine/shared_bwing_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4423', 'object/tangible/space/story_loot/shared_loot_tatooine_mining.iff');
INSERT INTO `template_items` VALUES ('4424', 'object/tangible/vendor/base/shared_base_vendor.iff');
INSERT INTO `template_items` VALUES ('4425', 'object/tangible/wearables/ithorian/shared_ith_dress_s02.iff');
INSERT INTO `template_items` VALUES ('4426', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4427', 'object/tangible/food/spice/shared_spice_shadowpaw.iff');
INSERT INTO `template_items` VALUES ('4428', 'object/tangible/component/weapon/shared_weapon_e11_stock_closed.iff');
INSERT INTO `template_items` VALUES ('4429', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_assassin_filler01.iff');
INSERT INTO `template_items` VALUES ('4430', 'object/tangible/wearables/base/shared_base_sleeve_r.iff');
INSERT INTO `template_items` VALUES ('4431', 'object/tangible/container/loot/shared_placable_loot_crate_skeleton_ithorian.iff');
INSERT INTO `template_items` VALUES ('4432', 'object/tangible/loot/loot_schematic/shared_professors_desk_schematic.iff');
INSERT INTO `template_items` VALUES ('4433', 'object/tangible/camp/shared_camp_tent_s2.iff');
INSERT INTO `template_items` VALUES ('4434', 'object/tangible/powerup/weapon/shared_thrown_explosive.iff');
INSERT INTO `template_items` VALUES ('4435', 'object/tangible/deed/city_deed/shared_cityhall_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('4436', 'object/tangible/ship/components/weapon/shared_wpn_rendili_sc3_disruptor.iff');
INSERT INTO `template_items` VALUES ('4437', 'object/tangible/food/crafted/shared_dessert_almond_kwevvu_crisp_munchies.iff');
INSERT INTO `template_items` VALUES ('4438', 'object/tangible/component/droid/shared_repair_module.iff');
INSERT INTO `template_items` VALUES ('4439', 'object/tangible/wearables/base/shared_base_shoes.iff');
INSERT INTO `template_items` VALUES ('4440', 'object/tangible/medicine/pet/shared_droid_vitapack_b.iff');
INSERT INTO `template_items` VALUES ('4441', 'object/tangible/wearables/bandolier/shared_bandolier_s02.iff');
INSERT INTO `template_items` VALUES ('4442', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner_4.iff');
INSERT INTO `template_items` VALUES ('4443', 'object/tangible/component/vehicle/shared_fuel_c.iff');
INSERT INTO `template_items` VALUES ('4444', 'object/tangible/loot/loot_schematic/shared_corellian_corvette_landspeeder_av21_schematic.iff');
INSERT INTO `template_items` VALUES ('4445', 'object/tangible/hair/human/shared_hair_human_female_s04.iff');
INSERT INTO `template_items` VALUES ('4446', 'object/tangible/furniture/city/shared_statue_sentinel_01.iff');
INSERT INTO `template_items` VALUES ('4447', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s04.iff');
INSERT INTO `template_items` VALUES ('4448', 'object/tangible/component/bio/shared_bio_component_clothing_casual_charisma_2.iff');
INSERT INTO `template_items` VALUES ('4449', 'object/tangible/wearables/wookiee/shared_wke_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('4450', 'object/tangible/component/structure/shared_power_core_unit.iff');
INSERT INTO `template_items` VALUES ('4451', 'object/tangible/wearables/ithorian/shared_ith_necklace_s11.iff');
INSERT INTO `template_items` VALUES ('4452', 'object/tangible/ship/components/armor/shared_arm_corellian_reinforced_light_durasteel.iff');
INSERT INTO `template_items` VALUES ('4453', 'object/tangible/hair/bothan/shared_hair_bothan_male_s06.iff');
INSERT INTO `template_items` VALUES ('4454', 'object/tangible/wearables/ithorian/shared_ith_belt_s18.iff');
INSERT INTO `template_items` VALUES ('4455', 'object/tangible/item/quest/force_sensitive/shared_fs_mellichae_cyborg_arm.iff');
INSERT INTO `template_items` VALUES ('4456', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_04.iff');
INSERT INTO `template_items` VALUES ('4457', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_improved_deflector_m1.iff');
INSERT INTO `template_items` VALUES ('4458', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_q7.iff');
INSERT INTO `template_items` VALUES ('4459', 'object/tangible/container/jar/shared_jar_spice_s01.iff');
INSERT INTO `template_items` VALUES ('4460', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('4461', 'object/tangible/ship/components/armor/shared_arm_mandal_modified_supreme_composite.iff');
INSERT INTO `template_items` VALUES ('4462', 'object/tangible/mission/quest_item/shared_bren_kingal_q1_reward.iff');
INSERT INTO `template_items` VALUES ('4463', 'object/tangible/wearables/base/shared_base_dress.iff');
INSERT INTO `template_items` VALUES ('4464', 'object/tangible/furniture/all/shared_frn_all_jedi_council_seat.iff');
INSERT INTO `template_items` VALUES ('4465', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk4.iff');
INSERT INTO `template_items` VALUES ('4466', 'object/tangible/loot/quest/shared_schematic_backpack_s03_quest.iff');
INSERT INTO `template_items` VALUES ('4467', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c2.iff');
INSERT INTO `template_items` VALUES ('4468', 'object/tangible/ship/components/engine/shared_eng_mandal_advanced.iff');
INSERT INTO `template_items` VALUES ('4469', 'object/tangible/skill_buff/shared_skill_buff_mask_scent.iff');
INSERT INTO `template_items` VALUES ('4470', 'object/tangible/wearables/boots/shared_boots_s34.iff');
INSERT INTO `template_items` VALUES ('4471', 'object/tangible/hopper/crafting_station_hopper/shared_crafting_station_ingredient_hopper_structure_large.iff');
INSERT INTO `template_items` VALUES ('4472', 'object/tangible/furniture/all/shared_frn_all_desk_map_table.iff');
INSERT INTO `template_items` VALUES ('4473', 'object/tangible/ship/components/booster/shared_bst_sorosuub_prized_liberator_mk1.iff');
INSERT INTO `template_items` VALUES ('4474', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_rebel_taim_hypercharger.iff');
INSERT INTO `template_items` VALUES ('4475', 'object/tangible/loot/quest/shared_schematic_bandolier_s02_quest.iff');
INSERT INTO `template_items` VALUES ('4476', 'object/tangible/mission/shared_assassin_missions_device.iff');
INSERT INTO `template_items` VALUES ('4477', 'object/tangible/mission/quest_item/shared_athok_dinvar_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4478', 'object/tangible/jedi/shared_power_shrine_red.iff');
INSERT INTO `template_items` VALUES ('4479', 'object/tangible/component/armor/shared_armor_segment_chitin_advanced.iff');
INSERT INTO `template_items` VALUES ('4480', 'object/tangible/loot/dungeon/death_watch_bunker/shared_fuel_dispersion_unit.iff');
INSERT INTO `template_items` VALUES ('4481', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk5.iff');
INSERT INTO `template_items` VALUES ('4482', 'object/tangible/deed/pet_deed/shared_deed_r4_basic.iff');
INSERT INTO `template_items` VALUES ('4483', 'object/tangible/wearables/base/shared_base_back.iff');
INSERT INTO `template_items` VALUES ('4484', 'object/tangible/lair/structure/exterior/shared_lair_hive_medium_exterior_merek.iff');
INSERT INTO `template_items` VALUES ('4485', 'object/tangible/ship/components/shield_generator/shared_shd_gallofree_defender_2.iff');
INSERT INTO `template_items` VALUES ('4486', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_square_body.iff');
INSERT INTO `template_items` VALUES ('4487', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk2.iff');
INSERT INTO `template_items` VALUES ('4488', 'object/tangible/wearables/bustier/shared_bustier_s01.iff');
INSERT INTO `template_items` VALUES ('4489', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk1.iff');
INSERT INTO `template_items` VALUES ('4490', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('4491', 'object/tangible/component/armor/shared_armor_segment_bone_advanced.iff');
INSERT INTO `template_items` VALUES ('4492', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4493', 'object/tangible/lair/base/shared_poi_all_lair_nest_large.iff');
INSERT INTO `template_items` VALUES ('4494', 'object/tangible/lair/base/shared_earthmound_light.iff');
INSERT INTO `template_items` VALUES ('4495', 'object/tangible/lair/bordok/shared_lair_bordok.iff');
INSERT INTO `template_items` VALUES ('4496', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_module.iff');
INSERT INTO `template_items` VALUES ('4497', 'object/tangible/deed/pet_deed/shared_veermok_deed.iff');
INSERT INTO `template_items` VALUES ('4498', 'object/tangible/ship/crafted/chassis/shared_hutt_turret_ship_deed.iff');
INSERT INTO `template_items` VALUES ('4499', 'object/tangible/hair/bothan/shared_hair_bothan_female_s19.iff');
INSERT INTO `template_items` VALUES ('4500', 'object/tangible/loot/simple_kit/shared_wiring_red.iff');
INSERT INTO `template_items` VALUES ('4501', 'object/tangible/painting/shared_painting_twilek_f_sm_s04.iff');
INSERT INTO `template_items` VALUES ('4502', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_moncal_eye_01.iff');
INSERT INTO `template_items` VALUES ('4503', 'object/tangible/painting/shared_painting_bothan_m.iff');
INSERT INTO `template_items` VALUES ('4504', 'object/tangible/hair/human/shared_hair_human_male_s40.iff');
INSERT INTO `template_items` VALUES ('4505', 'object/tangible/hair/rodian/shared_hair_rodian_female_s02.iff');
INSERT INTO `template_items` VALUES ('4506', 'object/tangible/deed/faction_perk/turret/shared_tower_med_deed.iff');
INSERT INTO `template_items` VALUES ('4507', 'object/tangible/hair/human/shared_hair_human_male_s38.iff');
INSERT INTO `template_items` VALUES ('4508', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_gloves.iff');
INSERT INTO `template_items` VALUES ('4509', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk2.iff');
INSERT INTO `template_items` VALUES ('4510', 'object/tangible/ship/attachment/wing/shared_hutt_heavy_wing_s01.iff');
INSERT INTO `template_items` VALUES ('4511', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s04.iff');
INSERT INTO `template_items` VALUES ('4512', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_missile_pod_s01.iff');
INSERT INTO `template_items` VALUES ('4513', 'object/tangible/painting/shared_painting_double_helix.iff');
INSERT INTO `template_items` VALUES ('4514', 'object/tangible/jedi/shared_no_drop_jedi_holocron_light.iff');
INSERT INTO `template_items` VALUES ('4515', 'object/tangible/food/crafted/shared_dish_meatlump.iff');
INSERT INTO `template_items` VALUES ('4516', 'object/tangible/deed/pet_deed/shared_eopie_deed.iff');
INSERT INTO `template_items` VALUES ('4517', 'object/tangible/component/droid/shared_armor_module_6.iff');
INSERT INTO `template_items` VALUES ('4518', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_enhanced_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4519', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_01_deed.iff');
INSERT INTO `template_items` VALUES ('4520', 'object/tangible/ship/attachment/engine/shared_blacksun_light_engine_s01.iff');
INSERT INTO `template_items` VALUES ('4521', 'object/tangible/ship/components/booster/shared_bst_kse_bti1.iff');
INSERT INTO `template_items` VALUES ('4522', 'object/tangible/ship/crafted/reactor/shared_standard_power_distributor.iff');
INSERT INTO `template_items` VALUES ('4523', 'object/tangible/wearables/wookiee/shared_wke_gloves_s03.iff');
INSERT INTO `template_items` VALUES ('4524', 'object/tangible/ship/components/weapon_capacitor/shared_cap_reward_mandal_elite.iff');
INSERT INTO `template_items` VALUES ('4525', 'object/tangible/scout/camp/shared_camp_improved.iff');
INSERT INTO `template_items` VALUES ('4526', 'object/tangible/vendor/shared_vendor_terminal_bulky.iff');
INSERT INTO `template_items` VALUES ('4527', 'object/tangible/food/crafted/shared_dish_travel_biscuits.iff');
INSERT INTO `template_items` VALUES ('4528', 'object/tangible/ship/interior_components/shared_capacitor_interior.iff');
INSERT INTO `template_items` VALUES ('4529', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_wampa_s1.iff');
INSERT INTO `template_items` VALUES ('4530', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4531', 'object/tangible/ship/components/reactor/shared_rct_prototype_reactor.iff');
INSERT INTO `template_items` VALUES ('4532', 'object/tangible/ship/components/armor/shared_armor_subpro_corrugated_durasteel.iff');
INSERT INTO `template_items` VALUES ('4533', 'object/tangible/deed/city_deed/shared_hospital_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('4534', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_data_tab.iff');
INSERT INTO `template_items` VALUES ('4535', 'object/tangible/mission/quest_item/shared_bren_kingal_q3_reward.iff');
INSERT INTO `template_items` VALUES ('4536', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed.iff');
INSERT INTO `template_items` VALUES ('4537', 'object/tangible/ship/crafted/droid_interface/shared_advanced_droid_harness.iff');
INSERT INTO `template_items` VALUES ('4538', 'object/tangible/wearables/ithorian/shared_ith_skirt_s02.iff');
INSERT INTO `template_items` VALUES ('4539', 'object/tangible/loot/loot_schematic/shared_geonosian_reinforcement_core_schematic.iff');
INSERT INTO `template_items` VALUES ('4540', 'object/tangible/loot/misc/shared_loot_skull_thune.iff');
INSERT INTO `template_items` VALUES ('4541', 'object/tangible/ship/attachment/booster/shared_yt1300_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4542', 'object/tangible/painting/shared_painting_droid_bright.iff');
INSERT INTO `template_items` VALUES ('4543', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_structure_large.iff');
INSERT INTO `template_items` VALUES ('4544', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4545', 'object/tangible/ship/components/armor/shared_arm_prototype_armor.iff');
INSERT INTO `template_items` VALUES ('4546', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4547', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_modified_deflector_advanced.iff');
INSERT INTO `template_items` VALUES ('4548', 'object/tangible/ship/crafted/engine/shared_adv_exhaust.iff');
INSERT INTO `template_items` VALUES ('4549', 'object/tangible/deed/city_deed/shared_garage_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('4550', 'object/tangible/hair/sullustan/shared_sul_hair_s03_m.iff');
INSERT INTO `template_items` VALUES ('4551', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('4552', 'object/tangible/loot/misc/shared_bowl_s01.iff');
INSERT INTO `template_items` VALUES ('4553', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_elite.iff');
INSERT INTO `template_items` VALUES ('4554', 'object/tangible/crafting/station/shared_food_tool.iff');
INSERT INTO `template_items` VALUES ('4555', 'object/tangible/container/quest/crafting_contract/shared_food_crate.iff');
INSERT INTO `template_items` VALUES ('4556', 'object/tangible/fishing/bait/shared_bait_grub.iff');
INSERT INTO `template_items` VALUES ('4557', 'object/tangible/encoded_disk/shared_dead_eye_decoder.iff');
INSERT INTO `template_items` VALUES ('4558', 'object/tangible/ship/crafted/weapon/shared_weapon_incom_disruptor.iff');
INSERT INTO `template_items` VALUES ('4559', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('4560', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_elite.iff');
INSERT INTO `template_items` VALUES ('4561', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_assembly_bracket_01.iff');
INSERT INTO `template_items` VALUES ('4562', 'object/tangible/ship/components/shield_generator/shared_shd_incom_techscreen_1.iff');
INSERT INTO `template_items` VALUES ('4563', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk3.iff');
INSERT INTO `template_items` VALUES ('4564', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_mattberry.iff');
INSERT INTO `template_items` VALUES ('4565', 'object/tangible/wearables/shirt/shared_shirt_s34.iff');
INSERT INTO `template_items` VALUES ('4566', 'object/tangible/droid/shared_droid_space_memory_module_base.iff');
INSERT INTO `template_items` VALUES ('4567', 'object/tangible/component/droid/shared_droid_service_module_base.iff');
INSERT INTO `template_items` VALUES ('4568', 'object/tangible/ship/components/armor/shared_arm_koensayr_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('4569', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_1.iff');
INSERT INTO `template_items` VALUES ('4570', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4571', 'object/tangible/wearables/ithorian/shared_ith_hat_s01.iff');
INSERT INTO `template_items` VALUES ('4572', 'object/tangible/component/droid/shared_playback_module.iff');
INSERT INTO `template_items` VALUES ('4573', 'object/tangible/wearables/bodysuit/shared_bodysuit_atat_quest.iff');
INSERT INTO `template_items` VALUES ('4574', 'object/tangible/item/shared_con_drinking_glass_01.iff');
INSERT INTO `template_items` VALUES ('4575', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_0.iff');
INSERT INTO `template_items` VALUES ('4576', 'object/tangible/lair/nerf/shared_lair_nerf_grassland.iff');
INSERT INTO `template_items` VALUES ('4577', 'object/tangible/survey_tool/shared_survey_tool_mineral.iff');
INSERT INTO `template_items` VALUES ('4578', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s06.iff');
INSERT INTO `template_items` VALUES ('4579', 'object/tangible/furniture/jedi/shared_frn_all_table_light_02.iff');
INSERT INTO `template_items` VALUES ('4580', 'object/tangible/wearables/base/shared_base_gloves.iff');
INSERT INTO `template_items` VALUES ('4581', 'object/tangible/ship/attachment/booster/shared_blacksun_light_booster_s02.iff');
INSERT INTO `template_items` VALUES ('4582', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_hk_military_blaster.iff');
INSERT INTO `template_items` VALUES ('4583', 'object/tangible/scout/camokit/shared_camokit_rori.iff');
INSERT INTO `template_items` VALUES ('4584', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_kx1.iff');
INSERT INTO `template_items` VALUES ('4585', 'object/tangible/ship/components/engine/shared_eng_rss_advanced.iff');
INSERT INTO `template_items` VALUES ('4586', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_concussion_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('4587', 'object/tangible/ship/components/booster/shared_bst_novaldex_pulsar.iff');
INSERT INTO `template_items` VALUES ('4588', 'object/tangible/ship/components/armor/shared_arm_sfs_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('4589', 'object/tangible/mission/quest_item/shared_binna_jode_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4590', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg.iff');
INSERT INTO `template_items` VALUES ('4591', 'object/tangible/droid/shared_navicomputer_2.iff');
INSERT INTO `template_items` VALUES ('4592', 'object/tangible/component/armor/shared_heavy_armor_layer_stun.iff');
INSERT INTO `template_items` VALUES ('4593', 'object/tangible/skill_buff/shared_skill_buff_polearm_accuracy.iff');
INSERT INTO `template_items` VALUES ('4594', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_green.iff');
INSERT INTO `template_items` VALUES ('4595', 'object/tangible/deed/base/shared_deed_building_base.iff');
INSERT INTO `template_items` VALUES ('4596', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4597', 'object/tangible/hair/human/shared_hair_human_female_s30.iff');
INSERT INTO `template_items` VALUES ('4598', 'object/tangible/loot/loot_schematic/shared_spear_rack_schematic.iff');
INSERT INTO `template_items` VALUES ('4599', 'object/tangible/wearables/goggles/shared_goggles_s03.iff');
INSERT INTO `template_items` VALUES ('4600', 'object/tangible/lair/vynock/shared_lair_vynock_mountain.iff');
INSERT INTO `template_items` VALUES ('4601', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('4602', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4603', 'object/tangible/ship/components/weapon/shared_wpn_reward_taim_elite.iff');
INSERT INTO `template_items` VALUES ('4604', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_1.iff');
INSERT INTO `template_items` VALUES ('4605', 'object/tangible/wearables/jacket/shared_jacket_s15.iff');
INSERT INTO `template_items` VALUES ('4606', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_0.iff');
INSERT INTO `template_items` VALUES ('4607', 'object/tangible/medicine/crafted/shared_medpack_damage_b.iff');
INSERT INTO `template_items` VALUES ('4608', 'object/tangible/medicine/crafted/shared_medpack_disease_strength_a.iff');
INSERT INTO `template_items` VALUES ('4609', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s01_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4610', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent.iff');
INSERT INTO `template_items` VALUES ('4611', 'object/tangible/ship/components/armor/shared_armor_baktoid_shock_armor.iff');
INSERT INTO `template_items` VALUES ('4612', 'object/tangible/loot/quest/shared_shellfish_harvester_schematic.iff');
INSERT INTO `template_items` VALUES ('4613', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_heavy.iff');
INSERT INTO `template_items` VALUES ('4614', 'object/tangible/loot/quest/hero_of_tatooine/shared_mark_altruism.iff');
INSERT INTO `template_items` VALUES ('4615', 'object/tangible/painting/shared_painting_valley_view.iff');
INSERT INTO `template_items` VALUES ('4616', 'object/tangible/ship/crafted/engine/shared_eng_mk3.iff');
INSERT INTO `template_items` VALUES ('4617', 'object/tangible/mission/quest_item/shared_binna_jode_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4618', 'object/tangible/ship/components/weapon_capacitor/shared_cap_freitek_xd2.iff');
INSERT INTO `template_items` VALUES ('4619', 'object/tangible/lair/flewt/shared_lair_flewt_grassland.iff');
INSERT INTO `template_items` VALUES ('4620', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('4621', 'object/tangible/ship/components/weapon/shared_wpn_reward_slayn_elite.iff');
INSERT INTO `template_items` VALUES ('4622', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4623', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s03.iff');
INSERT INTO `template_items` VALUES ('4624', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_1.iff');
INSERT INTO `template_items` VALUES ('4625', 'object/tangible/powerup/base/shared_armor_base.iff');
INSERT INTO `template_items` VALUES ('4626', 'object/tangible/component/droid/shared_performer_effects_e.iff');
INSERT INTO `template_items` VALUES ('4627', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_l.iff');
INSERT INTO `template_items` VALUES ('4628', 'object/tangible/loot/misc/shared_force_crystal.iff');
INSERT INTO `template_items` VALUES ('4629', 'object/tangible/lair/bearded_jax/shared_lair_bearded_jax.iff');
INSERT INTO `template_items` VALUES ('4630', 'object/tangible/crafting/station/shared_space_tool.iff');
INSERT INTO `template_items` VALUES ('4631', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_3.iff');
INSERT INTO `template_items` VALUES ('4632', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk1.iff');
INSERT INTO `template_items` VALUES ('4633', 'object/tangible/lair/kimogila/shared_lair_kimogila_mountain.iff');
INSERT INTO `template_items` VALUES ('4634', 'object/tangible/terminal/shared_terminal_mission.iff');
INSERT INTO `template_items` VALUES ('4635', 'object/tangible/hair/human/shared_hair_human_male_s05.iff');
INSERT INTO `template_items` VALUES ('4636', 'object/tangible/component/armor/shared_heavy_armor_layer_electrical.iff');
INSERT INTO `template_items` VALUES ('4637', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('4638', 'object/tangible/poi/object/shared_droid_body.iff');
INSERT INTO `template_items` VALUES ('4639', 'object/tangible/deed/player_house_deed/shared_merchant_tent_style_03_deed.iff');
INSERT INTO `template_items` VALUES ('4640', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_blackhole_elite.iff');
INSERT INTO `template_items` VALUES ('4641', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large.iff');
INSERT INTO `template_items` VALUES ('4642', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_rancor.iff');
INSERT INTO `template_items` VALUES ('4643', 'object/tangible/painting/shared_painting_trandoshan_m.iff');
INSERT INTO `template_items` VALUES ('4644', 'object/tangible/wearables/dress/shared_dress_s16.iff');
INSERT INTO `template_items` VALUES ('4645', 'object/tangible/furniture/decorative/shared_kitchen_utensils.iff');
INSERT INTO `template_items` VALUES ('4646', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_perlek.iff');
INSERT INTO `template_items` VALUES ('4647', 'object/tangible/wearables/shirt/shared_nightsister_shirt_s01.iff');
INSERT INTO `template_items` VALUES ('4648', 'object/tangible/food/crafted/shared_dish_exo_protein_wafers.iff');
INSERT INTO `template_items` VALUES ('4649', 'object/tangible/wearables/hat/shared_hat_s04.iff');
INSERT INTO `template_items` VALUES ('4650', 'object/tangible/ship/components/booster/shared_bst_mandal_modified_jbj_mk2.iff');
INSERT INTO `template_items` VALUES ('4651', 'object/tangible/furniture/all/shared_frn_all_tree_potted_s2.iff');
INSERT INTO `template_items` VALUES ('4652', 'object/tangible/hair/sullustan/shared_sul_hair_s01_f.iff');
INSERT INTO `template_items` VALUES ('4653', 'object/tangible/ship/components/armor/shared_arm_koensayr_limited_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('4654', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_r.iff');
INSERT INTO `template_items` VALUES ('4655', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('4656', 'object/tangible/fishing/fish/shared_striped.iff');
INSERT INTO `template_items` VALUES ('4657', 'object/tangible/wearables/bodysuit/shared_bodysuit_bwing.iff');
INSERT INTO `template_items` VALUES ('4658', 'object/tangible/wearables/necklace/shared_necklace_platinum_pin.iff');
INSERT INTO `template_items` VALUES ('4659', 'object/tangible/component/weapon/shared_scope_weapon_sm_s05.iff');
INSERT INTO `template_items` VALUES ('4660', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_seismic_mk1.iff');
INSERT INTO `template_items` VALUES ('4661', 'object/tangible/ship/crafted/reverse_engineering/shared_engine_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('4662', 'object/tangible/loot/quest/shared_ostrine.iff');
INSERT INTO `template_items` VALUES ('4663', 'object/tangible/component/droid/shared_surgical_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('4664', 'object/tangible/loot/quest/shared_edb_quest_heirloom_bowl.iff');
INSERT INTO `template_items` VALUES ('4665', 'object/tangible/hair/rodian/shared_hair_rodian_male_s12.iff');
INSERT INTO `template_items` VALUES ('4666', 'object/tangible/wearables/ithorian/shared_ith_belt_s11.iff');
INSERT INTO `template_items` VALUES ('4667', 'object/tangible/wearables/wookiee/shared_wke_skirt_s01.iff');
INSERT INTO `template_items` VALUES ('4668', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_b.iff');
INSERT INTO `template_items` VALUES ('4669', 'object/tangible/ship/components/weapon/shared_wpn_armek_elite.iff');
INSERT INTO `template_items` VALUES ('4670', 'object/tangible/component/weapon/shared_base_projectile_feed_mechanism_enhancement.iff');
INSERT INTO `template_items` VALUES ('4671', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_b.iff');
INSERT INTO `template_items` VALUES ('4672', 'object/tangible/lair/rancor/shared_lair_rancor_desert.iff');
INSERT INTO `template_items` VALUES ('4673', 'object/tangible/deed/player_house_deed/shared_corellia_house_large_deed.iff');
INSERT INTO `template_items` VALUES ('4674', 'object/tangible/deed/pet_deed/shared_kliknik_deed.iff');
INSERT INTO `template_items` VALUES ('4675', 'object/tangible/mission/quest_item/shared_bren_kingal_q2_reward.iff');
INSERT INTO `template_items` VALUES ('4676', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s14.iff');
INSERT INTO `template_items` VALUES ('4677', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_valiant_z2.iff');
INSERT INTO `template_items` VALUES ('4678', 'object/tangible/medicine/shared_medpack_enhance_action.iff');
INSERT INTO `template_items` VALUES ('4679', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sds_imperial_finest.iff');
INSERT INTO `template_items` VALUES ('4680', 'object/tangible/medicine/pet/shared_droid_wound_kit_c.iff');
INSERT INTO `template_items` VALUES ('4681', 'object/tangible/medicine/shared_medpack_wound.iff');
INSERT INTO `template_items` VALUES ('4682', 'object/tangible/crafting/station/shared_public_clothing_station.iff');
INSERT INTO `template_items` VALUES ('4683', 'object/tangible/lair/base/shared_poi_all_lair_nest_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4684', 'object/tangible/hair/bothan/shared_hair_bothan_female_s10.iff');
INSERT INTO `template_items` VALUES ('4685', 'object/tangible/container/quest/crafting_contract/shared_weapon_crate.iff');
INSERT INTO `template_items` VALUES ('4686', 'object/tangible/wearables/shirt/shared_shirt_s09.iff');
INSERT INTO `template_items` VALUES ('4687', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('4688', 'object/tangible/furniture/modern/shared_rug_rect_lg_s01.iff');
INSERT INTO `template_items` VALUES ('4689', 'object/tangible/component/armor/shared_armor_layer_energy.iff');
INSERT INTO `template_items` VALUES ('4690', 'object/tangible/ship/crafted/reverse_engineering/shared_retrofit_kit.iff');
INSERT INTO `template_items` VALUES ('4691', 'object/tangible/furniture/elegant/shared_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('4692', 'object/tangible/ship/components/armor/shared_armor_baktoid_mtt_prototype.iff');
INSERT INTO `template_items` VALUES ('4693', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk2.iff');
INSERT INTO `template_items` VALUES ('4694', 'object/tangible/npc/tatooine_special/shared_sarlacc.iff');
INSERT INTO `template_items` VALUES ('4695', 'object/tangible/ship/crafted/weapon/missile/shared_weapon_basic_launcher.iff');
INSERT INTO `template_items` VALUES ('4696', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk3.iff');
INSERT INTO `template_items` VALUES ('4697', 'object/tangible/deed/pet_deed/shared_blurrg_deed.iff');
INSERT INTO `template_items` VALUES ('4698', 'object/tangible/lair/cu_pa/shared_lair_cu_pa.iff');
INSERT INTO `template_items` VALUES ('4699', 'object/tangible/terminal/shared_terminal_light_enclave_challenge.iff');
INSERT INTO `template_items` VALUES ('4700', 'object/tangible/component/bio/shared_bio_component_food_light_nutrition.iff');
INSERT INTO `template_items` VALUES ('4701', 'object/tangible/ship/components/droid_interface/shared_ddi_cygnus_di8.iff');
INSERT INTO `template_items` VALUES ('4702', 'object/tangible/wearables/skirt/shared_skirt_s11.iff');
INSERT INTO `template_items` VALUES ('4703', 'object/tangible/lair/kittle/shared_lair_kittle_forest.iff');
INSERT INTO `template_items` VALUES ('4704', 'object/tangible/wearables/belt/shared_belt_s15.iff');
INSERT INTO `template_items` VALUES ('4705', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4706', 'object/tangible/wearables/pants/shared_pants_s27.iff');
INSERT INTO `template_items` VALUES ('4707', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('4708', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('4709', 'object/tangible/ship/components/engine/shared_eng_koensayr_advanced.iff');
INSERT INTO `template_items` VALUES ('4710', 'object/tangible/ship/crafted/shields/shared_exp_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('4711', 'object/tangible/component/chemistry/shared_solid_delivery_shell_advanced.iff');
INSERT INTO `template_items` VALUES ('4712', 'object/tangible/ship/crafted/weapon/shared_base_weapon.iff');
INSERT INTO `template_items` VALUES ('4713', 'object/tangible/ship/components/engine/shared_eng_subpro_light_engines.iff');
INSERT INTO `template_items` VALUES ('4714', 'object/tangible/furniture/city/shared_statue_tatooine_sunball.iff');
INSERT INTO `template_items` VALUES ('4715', 'object/tangible/dungeon/death_watch_bunker/shared_door_control_terminal.iff');
INSERT INTO `template_items` VALUES ('4716', 'object/tangible/ship/components/reactor/shared_rct_mission_reward_neutral_subpro_military.iff');
INSERT INTO `template_items` VALUES ('4717', 'object/tangible/lair/gubbur/shared_lair_gubbur.iff');
INSERT INTO `template_items` VALUES ('4718', 'object/tangible/ship/attachment/weapon/shared_z95_missile.iff');
INSERT INTO `template_items` VALUES ('4719', 'object/tangible/ship/crafted/reactor/shared_advanced_fusion_core.iff');
INSERT INTO `template_items` VALUES ('4720', 'object/tangible/furniture/tatooine/shared_frn_tato_vase_style_01.iff');
INSERT INTO `template_items` VALUES ('4721', 'object/tangible/ship/components/weapon/shared_wpn_hk_modified_scorcher_elite.iff');
INSERT INTO `template_items` VALUES ('4722', 'object/tangible/medicine/crafted/shared_medpack_poison_action_b.iff');
INSERT INTO `template_items` VALUES ('4723', 'object/tangible/deed/event_perk/shared_fed_dub_4x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('4724', 'object/tangible/loot/quest/shared_frn_quest_krayt_skull_01.iff');
INSERT INTO `template_items` VALUES ('4725', 'object/tangible/wearables/base/shared_base_helmet_closed_full_ventilated.iff');
INSERT INTO `template_items` VALUES ('4726', 'object/tangible/instrument/base/shared_instrument_base.iff');
INSERT INTO `template_items` VALUES ('4727', 'object/tangible/theme_park/alderaan/act3/shared_dead_eye_prototype.iff');
INSERT INTO `template_items` VALUES ('4728', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_light_disruptor.iff');
INSERT INTO `template_items` VALUES ('4729', 'object/tangible/lair/base/shared_objective_banner_generic_2.iff');
INSERT INTO `template_items` VALUES ('4730', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_e.iff');
INSERT INTO `template_items` VALUES ('4731', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('4732', 'object/tangible/food/crafted/shared_drink_flameout.iff');
INSERT INTO `template_items` VALUES ('4733', 'object/tangible/component/vehicle/shared_armor_panel_kinetic.iff');
INSERT INTO `template_items` VALUES ('4734', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05_lg.iff');
INSERT INTO `template_items` VALUES ('4735', 'object/tangible/furniture/decorative/shared_fruit_assorted.iff');
INSERT INTO `template_items` VALUES ('4736', 'object/tangible/hair/human/shared_hair_human_female_s20.iff');
INSERT INTO `template_items` VALUES ('4737', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s07.iff');
INSERT INTO `template_items` VALUES ('4738', 'object/tangible/component/weapon/shared_projectile_rifle_barrel_advanced_quest.iff');
INSERT INTO `template_items` VALUES ('4739', 'object/tangible/ship/components/engine/shared_eng_moncal_charged_standard.iff');
INSERT INTO `template_items` VALUES ('4740', 'object/tangible/ship/crafted/shields/shared_light_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('4741', 'object/tangible/wearables/skirt/shared_singing_mountain_clan_skirt_s01.iff');
INSERT INTO `template_items` VALUES ('4742', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large.iff');
INSERT INTO `template_items` VALUES ('4743', 'object/tangible/loot/quest/force_sensitive/shared_camp_remote.iff');
INSERT INTO `template_items` VALUES ('4744', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s03.iff');
INSERT INTO `template_items` VALUES ('4745', 'object/tangible/hair/twilek/shared_hair_twilek_female_s04.iff');
INSERT INTO `template_items` VALUES ('4746', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_gurk.iff');
INSERT INTO `template_items` VALUES ('4747', 'object/tangible/wearables/shirt/shared_shirt_s24.iff');
INSERT INTO `template_items` VALUES ('4748', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_a.iff');
INSERT INTO `template_items` VALUES ('4749', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('4750', 'object/tangible/painting/shared_painting_bestine_lucky_despot.iff');
INSERT INTO `template_items` VALUES ('4751', 'object/tangible/loot/loot_schematic/shared_bottle_fat_schematic.iff');
INSERT INTO `template_items` VALUES ('4752', 'object/tangible/medicine/pet/shared_pet_stimpack_b.iff');
INSERT INTO `template_items` VALUES ('4753', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('4754', 'object/tangible/deed/city_deed/shared_cantina_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('4755', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('4756', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate.iff');
INSERT INTO `template_items` VALUES ('4757', 'object/tangible/loot/misc/shared_spectrum_recorder.iff');
INSERT INTO `template_items` VALUES ('4758', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_05.iff');
INSERT INTO `template_items` VALUES ('4759', 'object/tangible/mission/quest_item/shared_wuher_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4760', 'object/tangible/lair/carrion_spat/shared_lair_carrion_spat.iff');
INSERT INTO `template_items` VALUES ('4761', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag2g_quad_laser.iff');
INSERT INTO `template_items` VALUES ('4762', 'object/tangible/lair/shaupaut/shared_lair_shaupaut_swamp.iff');
INSERT INTO `template_items` VALUES ('4763', 'object/tangible/fishing/fish/shared_bluefish.iff');
INSERT INTO `template_items` VALUES ('4764', 'object/tangible/furniture/city/shared_streetlamp_med_02.iff');
INSERT INTO `template_items` VALUES ('4765', 'object/tangible/bug_jar/shared_sample_bees.iff');
INSERT INTO `template_items` VALUES ('4766', 'object/tangible/deed/harvester_deed/shared_harvester_gas_deed_medium.iff');
INSERT INTO `template_items` VALUES ('4767', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_03.iff');
INSERT INTO `template_items` VALUES ('4768', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_base.iff');
INSERT INTO `template_items` VALUES ('4769', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_gray.iff');
INSERT INTO `template_items` VALUES ('4770', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova.iff');
INSERT INTO `template_items` VALUES ('4771', 'object/tangible/ship/components/chassis/shared_hutt_heavy_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('4772', 'object/tangible/ship/components/engine/shared_eng_koensayr_enhanced_dual_small_ionjet.iff');
INSERT INTO `template_items` VALUES ('4773', 'object/tangible/jedi/shared_power_shrine.iff');
INSERT INTO `template_items` VALUES ('4774', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s02.iff');
INSERT INTO `template_items` VALUES ('4775', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('4776', 'object/tangible/component/armor/shared_deflector_shield_projector_plate.iff');
INSERT INTO `template_items` VALUES ('4777', 'object/tangible/container/loot/shared_computer_container.iff');
INSERT INTO `template_items` VALUES ('4778', 'object/tangible/mission/quest_item/shared_kirkin_liawoon_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4779', 'object/tangible/component/armor/shared_armor_layer_ris.iff');
INSERT INTO `template_items` VALUES ('4780', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk1.iff');
INSERT INTO `template_items` VALUES ('4781', 'object/tangible/deed/event_perk/shared_dantooine_flag_deed.iff');
INSERT INTO `template_items` VALUES ('4782', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4783', 'object/tangible/component/weapon/shared_blaster_pistol_barrel.iff');
INSERT INTO `template_items` VALUES ('4784', 'object/tangible/furniture/modern/shared_searchable_squill_lair_01.iff');
INSERT INTO `template_items` VALUES ('4785', 'object/tangible/component/weapon/shared_sword_core.iff');
INSERT INTO `template_items` VALUES ('4786', 'object/tangible/wearables/bandolier/shared_mercenary_bandolier.iff');
INSERT INTO `template_items` VALUES ('4787', 'object/tangible/component/weapon/shared_base_blaster_power_handler_enhancement.iff');
INSERT INTO `template_items` VALUES ('4788', 'object/tangible/furniture/city/shared_fountain_brazier_square.iff');
INSERT INTO `template_items` VALUES ('4789', 'object/tangible/ship/components/booster/shared_bst_corellian_tuned_heavy_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('4790', 'object/tangible/hair/human/shared_hair_human_male_s28.iff');
INSERT INTO `template_items` VALUES ('4791', 'object/tangible/hair/rodian/shared_hair_rodian_female_s12.iff');
INSERT INTO `template_items` VALUES ('4792', 'object/tangible/lair/pharple/shared_lair_pharple.iff');
INSERT INTO `template_items` VALUES ('4793', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk3.iff');
INSERT INTO `template_items` VALUES ('4794', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s14.iff');
INSERT INTO `template_items` VALUES ('4795', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s03.iff');
INSERT INTO `template_items` VALUES ('4796', 'object/tangible/furniture/city/shared_statue_weird_01.iff');
INSERT INTO `template_items` VALUES ('4797', 'object/tangible/wearables/base/shared_base_ring_r.iff');
INSERT INTO `template_items` VALUES ('4798', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4799', 'object/tangible/ship/components/reactor/shared_rct_mandalor_gorax_elite.iff');
INSERT INTO `template_items` VALUES ('4800', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly.iff');
INSERT INTO `template_items` VALUES ('4801', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar_advanced.iff');
INSERT INTO `template_items` VALUES ('4802', 'object/tangible/loot/simple_kit/shared_spinning_blade.iff');
INSERT INTO `template_items` VALUES ('4803', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk3.iff');
INSERT INTO `template_items` VALUES ('4804', 'object/tangible/loot/quest/shared_schematic_belt_s05_quest.iff');
INSERT INTO `template_items` VALUES ('4805', 'object/tangible/loot/loot_schematic/shared_droid_body_schematic.iff');
INSERT INTO `template_items` VALUES ('4806', 'object/tangible/medicine/shared_medpack_wound_health.iff');
INSERT INTO `template_items` VALUES ('4807', 'object/tangible/ship/components/armor/shared_arm_corellian_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('4808', 'object/tangible/wearables/base/shared_base_jumpsuit.iff');
INSERT INTO `template_items` VALUES ('4809', 'object/tangible/component/vehicle/shared_armor_panel_heat.iff');
INSERT INTO `template_items` VALUES ('4810', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk2.iff');
INSERT INTO `template_items` VALUES ('4811', 'object/tangible/lair/blackfish/shared_lair_blackfish_underwater.iff');
INSERT INTO `template_items` VALUES ('4812', 'object/tangible/camp/shared_camp_lantern_s2.iff');
INSERT INTO `template_items` VALUES ('4813', 'object/tangible/ship/components/armor/shared_arm_sorosuub_modified_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('4814', 'object/tangible/ship/attachment/engine/shared_kse_firespray_engine_s02.iff');
INSERT INTO `template_items` VALUES ('4815', 'object/tangible/loot/collectible/collectible_rewards/shared_fs_tracking_device.iff');
INSERT INTO `template_items` VALUES ('4816', 'object/tangible/medicine/shared_medpack_poison_health.iff');
INSERT INTO `template_items` VALUES ('4817', 'object/tangible/ship/components/engine/shared_engine_surronian_a25.iff');
INSERT INTO `template_items` VALUES ('4818', 'object/tangible/hair/twilek/shared_hair_twilek_male_s05.iff');
INSERT INTO `template_items` VALUES ('4819', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('4820', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_3.iff');
INSERT INTO `template_items` VALUES ('4821', 'object/tangible/ship/crafted/chassis/shared_hutt_heavy_s01_deed.iff');
INSERT INTO `template_items` VALUES ('4822', 'object/tangible/deed/city_deed/shared_theater_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('4823', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk5.iff');
INSERT INTO `template_items` VALUES ('4824', 'object/tangible/wearables/necklace/shared_necklace_hologram_locket.iff');
INSERT INTO `template_items` VALUES ('4825', 'object/tangible/ship/components/engine/shared_eng_reward_kuat_elite.iff');
INSERT INTO `template_items` VALUES ('4826', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_03_deed.iff');
INSERT INTO `template_items` VALUES ('4827', 'object/tangible/camp/shared_camp_crate_s1.iff');
INSERT INTO `template_items` VALUES ('4828', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_leggings_quest.iff');
INSERT INTO `template_items` VALUES ('4829', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_03.iff');
INSERT INTO `template_items` VALUES ('4830', 'object/tangible/furniture/decorative/shared_pitcher_full.iff');
INSERT INTO `template_items` VALUES ('4831', 'object/tangible/ship/crafted/chassis/shared_ywing_longprobe_deed.iff');
INSERT INTO `template_items` VALUES ('4832', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_spacebomb_mk1.iff');
INSERT INTO `template_items` VALUES ('4833', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx2.iff');
INSERT INTO `template_items` VALUES ('4834', 'object/tangible/wearables/belt/shared_belt_s05.iff');
INSERT INTO `template_items` VALUES ('4835', 'object/tangible/inventory/shared_lightsaber_inventory_training.iff');
INSERT INTO `template_items` VALUES ('4836', 'object/tangible/lair/fambaa/shared_lair_fambaa_swamp.iff');
INSERT INTO `template_items` VALUES ('4837', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_c.iff');
INSERT INTO `template_items` VALUES ('4838', 'object/tangible/loot/quest/shared_schematic_backpack_s06_quest.iff');
INSERT INTO `template_items` VALUES ('4839', 'object/tangible/loot/misc/shared_loot_skull_voritor.iff');
INSERT INTO `template_items` VALUES ('4840', 'object/tangible/wearables/base/shared_base_wrist_r.iff');
INSERT INTO `template_items` VALUES ('4841', 'object/tangible/furniture/modern/shared_coffee_table_modern_style_02.iff');
INSERT INTO `template_items` VALUES ('4842', 'object/tangible/mission/quest_item/shared_warren_core_control_rod_s02.iff');
INSERT INTO `template_items` VALUES ('4843', 'object/tangible/component/dna/shared_dna_sample_high.iff');
INSERT INTO `template_items` VALUES ('4844', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_gray.iff');
INSERT INTO `template_items` VALUES ('4845', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_r.iff');
INSERT INTO `template_items` VALUES ('4846', 'object/tangible/ship/attachment/weapon/shared_lambda_weapon_body.iff');
INSERT INTO `template_items` VALUES ('4847', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_modified_defiant_c1.iff');
INSERT INTO `template_items` VALUES ('4848', 'object/tangible/ship/components/weapon/shared_wpn_slayn_imagerec_missile_s01.iff');
INSERT INTO `template_items` VALUES ('4849', 'object/tangible/deed/event_perk/shared_imperial_recruiting_station_theater_deed.iff');
INSERT INTO `template_items` VALUES ('4850', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s06_lg.iff');
INSERT INTO `template_items` VALUES ('4851', 'object/tangible/deed/pet_deed/shared_slice_hound_deed.iff');
INSERT INTO `template_items` VALUES ('4852', 'object/tangible/mission/quest_item/shared_ian_logo_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4853', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_elite.iff');
INSERT INTO `template_items` VALUES ('4854', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s03.iff');
INSERT INTO `template_items` VALUES ('4855', 'object/tangible/wearables/necklace/shared_necklace_bright_bauble.iff');
INSERT INTO `template_items` VALUES ('4856', 'object/tangible/hair/rodian/shared_hair_rodian_male_s02.iff');
INSERT INTO `template_items` VALUES ('4857', 'object/tangible/painting/shared_painting_palowick_ad_s02.iff');
INSERT INTO `template_items` VALUES ('4858', 'object/tangible/space/story_loot/shared_loot_tatooine_bestine_pirates.iff');
INSERT INTO `template_items` VALUES ('4859', 'object/tangible/wearables/ithorian/shared_ith_belt_s01.iff');
INSERT INTO `template_items` VALUES ('4860', 'object/tangible/ship/components/weapon/shared_wpn_mandal_annilhator_mk1.iff');
INSERT INTO `template_items` VALUES ('4861', 'object/tangible/lair/blurrg/shared_lair_blurrg_mountain.iff');
INSERT INTO `template_items` VALUES ('4862', 'object/tangible/skill_buff/shared_skill_buff_onehandmelee_speed.iff');
INSERT INTO `template_items` VALUES ('4863', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_ceremonial.iff');
INSERT INTO `template_items` VALUES ('4864', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x5.iff');
INSERT INTO `template_items` VALUES ('4865', 'object/tangible/ship/components/weapon/shared_wpn_seinar_disruptor.iff');
INSERT INTO `template_items` VALUES ('4866', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_chaff_launcher.iff');
INSERT INTO `template_items` VALUES ('4867', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s01.iff');
INSERT INTO `template_items` VALUES ('4868', 'object/tangible/wearables/earring/shared_earring_s06.iff');
INSERT INTO `template_items` VALUES ('4869', 'object/tangible/lair/durni/shared_lair_durni.iff');
INSERT INTO `template_items` VALUES ('4870', 'object/tangible/wearables/ithorian/shared_ith_necklace_s08.iff');
INSERT INTO `template_items` VALUES ('4871', 'object/tangible/loot/quest/force_sensitive/shared_camp_waypoint_datapad.iff');
INSERT INTO `template_items` VALUES ('4872', 'object/tangible/food/crafted/shared_drink_deuterium_pyro.iff');
INSERT INTO `template_items` VALUES ('4873', 'object/tangible/ship/components/booster/shared_bst_kse_performance_cb6.iff');
INSERT INTO `template_items` VALUES ('4874', 'object/tangible/dice/shared_eqp_ten_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('4875', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s04.iff');
INSERT INTO `template_items` VALUES ('4876', 'object/tangible/mission/quest_item/shared_wuher_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4877', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar.iff');
INSERT INTO `template_items` VALUES ('4878', 'object/tangible/ship/components/armor/shared_arm_moncal_light_weave.iff');
INSERT INTO `template_items` VALUES ('4879', 'object/tangible/ship/components/armor/shared_arm_subpro_advanced_plasisteel.iff');
INSERT INTO `template_items` VALUES ('4880', 'object/tangible/space/spacestations/shared_spacestation_imperial_01.iff');
INSERT INTO `template_items` VALUES ('4881', 'object/tangible/component/dna/shared_dna_template_snorbal.iff');
INSERT INTO `template_items` VALUES ('4882', 'object/tangible/item/shared_lytus_family_artefact.iff');
INSERT INTO `template_items` VALUES ('4883', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('4884', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_6.iff');
INSERT INTO `template_items` VALUES ('4885', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('4886', 'object/tangible/food/crafted/shared_dish_blood_chowder.iff');
INSERT INTO `template_items` VALUES ('4887', 'object/tangible/furniture/plain/shared_plain_love_seat_s01.iff');
INSERT INTO `template_items` VALUES ('4888', 'object/tangible/wearables/robe/shared_robe_s12.iff');
INSERT INTO `template_items` VALUES ('4889', 'object/tangible/painting/shared_painting_bestine_moncal_eye_02.iff');
INSERT INTO `template_items` VALUES ('4890', 'object/tangible/furniture/jedi/shared_frn_all_dark_throne.iff');
INSERT INTO `template_items` VALUES ('4891', 'object/tangible/hair/human/shared_hair_human_male_s15.iff');
INSERT INTO `template_items` VALUES ('4892', 'object/tangible/component/droid/shared_item_storage_module_1.iff');
INSERT INTO `template_items` VALUES ('4893', 'object/tangible/theme_park/alderaan/act2/shared_decoder_comp_translation.iff');
INSERT INTO `template_items` VALUES ('4894', 'object/tangible/ship/components/engine/shared_eng_sfs_tuned_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4895', 'object/tangible/wearables/dress/shared_dress_s06.iff');
INSERT INTO `template_items` VALUES ('4896', 'object/tangible/space/story_loot/shared_loot_naboo_series_tinrilo.iff');
INSERT INTO `template_items` VALUES ('4897', 'object/tangible/wearables/robe/shared_robe_jedi_light_s01.iff');
INSERT INTO `template_items` VALUES ('4898', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor.iff');
INSERT INTO `template_items` VALUES ('4899', 'object/tangible/spawning/shared_quest_spawner.iff');
INSERT INTO `template_items` VALUES ('4900', 'object/tangible/component/structure/shared_structure_small_storage_section.iff');
INSERT INTO `template_items` VALUES ('4901', 'object/tangible/mission/quest_item/shared_bab_esrus_q3_needed.iff');
INSERT INTO `template_items` VALUES ('4902', 'object/tangible/ship/components/weapon_capacitor/shared_cap_z95_deepwell_k3.iff');
INSERT INTO `template_items` VALUES ('4903', 'object/tangible/furniture/all/shared_frn_all_tiki_torch_s1.iff');
INSERT INTO `template_items` VALUES ('4904', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4905', 'object/tangible/component/food/shared_ingredient_carbosyrup.iff');
INSERT INTO `template_items` VALUES ('4906', 'object/tangible/wearables/hat/shared_hat_s14.iff');
INSERT INTO `template_items` VALUES ('4907', 'object/tangible/food/crafted/shared_drink_skannbult_likker.iff');
INSERT INTO `template_items` VALUES ('4908', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m8.iff');
INSERT INTO `template_items` VALUES ('4909', 'object/tangible/furniture/all/shared_event_flag_game_imp_banner.iff');
INSERT INTO `template_items` VALUES ('4910', 'object/tangible/skill_buff/shared_skill_buff_carbine_accuracy.iff');
INSERT INTO `template_items` VALUES ('4911', 'object/tangible/component/armor/shared_armor_segment_padded_advanced.iff');
INSERT INTO `template_items` VALUES ('4912', 'object/tangible/lair/kusak/shared_lair_kusak_wasteland.iff');
INSERT INTO `template_items` VALUES ('4913', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sfs_imperial_1.iff');
INSERT INTO `template_items` VALUES ('4914', 'object/tangible/wearables/jacket/shared_jacket_s05.iff');
INSERT INTO `template_items` VALUES ('4915', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_a.iff');
INSERT INTO `template_items` VALUES ('4916', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_advanced.iff');
INSERT INTO `template_items` VALUES ('4917', 'object/tangible/component/weapon/shared_blaster_power_handler_quest.iff');
INSERT INTO `template_items` VALUES ('4918', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `template_items` VALUES ('4919', 'object/tangible/theme_park/alderaan/act3/shared_grav_unit_repair_kit.iff');
INSERT INTO `template_items` VALUES ('4920', 'object/tangible/component/dna/shared_dna_template_tybis.iff');
INSERT INTO `template_items` VALUES ('4921', 'object/tangible/component/bio/shared_bio_component_food_medium.iff');
INSERT INTO `template_items` VALUES ('4922', 'object/tangible/furniture/jedi/shared_frn_all_light_chair_s01.iff');
INSERT INTO `template_items` VALUES ('4923', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw4.iff');
INSERT INTO `template_items` VALUES ('4924', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_enhanced_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4925', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small.iff');
INSERT INTO `template_items` VALUES ('4926', 'object/tangible/medicine/crafted/shared_medpack_cure_poison_a.iff');
INSERT INTO `template_items` VALUES ('4927', 'object/tangible/component/weapon/shared_weapon_e11_stock_open.iff');
INSERT INTO `template_items` VALUES ('4928', 'object/tangible/component/droid/shared_droid_motive_system_advanced.iff');
INSERT INTO `template_items` VALUES ('4929', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sds_experimental_secret_ops.iff');
INSERT INTO `template_items` VALUES ('4930', 'object/tangible/medicine/crafted/shared_medpack_wound_health_b.iff');
INSERT INTO `template_items` VALUES ('4931', 'object/tangible/scout/trap/shared_trap_melee_def_1.iff');
INSERT INTO `template_items` VALUES ('4932', 'object/tangible/component/structure/shared_unit_computer.iff');
INSERT INTO `template_items` VALUES ('4933', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_chest_plate_schematic.iff');
INSERT INTO `template_items` VALUES ('4934', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4935', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('4936', 'object/tangible/loot/tool/shared_recording_rod_broken.iff');
INSERT INTO `template_items` VALUES ('4937', 'object/tangible/furniture/plain/shared_plain_armoire_s01.iff');
INSERT INTO `template_items` VALUES ('4938', 'object/tangible/mission/quest_item/shared_windom_starkiller_q2_needed.iff');
INSERT INTO `template_items` VALUES ('4939', 'object/tangible/wearables/necklace/shared_necklace_living_chains.iff');
INSERT INTO `template_items` VALUES ('4940', 'object/tangible/wearables/necklace/shared_necklace_s03.iff');
INSERT INTO `template_items` VALUES ('4941', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk4.iff');
INSERT INTO `template_items` VALUES ('4942', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk2.iff');
INSERT INTO `template_items` VALUES ('4943', 'object/tangible/furniture/modern/shared_chest_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('4944', 'object/tangible/inventory/shared_lightsaber_inventory_1.iff');
INSERT INTO `template_items` VALUES ('4945', 'object/tangible/ship/components/reactor/shared_rct_incom_improved_mark1.iff');
INSERT INTO `template_items` VALUES ('4946', 'object/tangible/lair/base/shared_objective_main_terminal.iff');
INSERT INTO `template_items` VALUES ('4947', 'object/tangible/container/corpse/shared_player_corpse.iff');
INSERT INTO `template_items` VALUES ('4948', 'object/tangible/ship/components/weapon/shared_weapon_slayn_ioncannon.iff');
INSERT INTO `template_items` VALUES ('4949', 'object/tangible/camp/shared_camp_chair_s1.iff');
INSERT INTO `template_items` VALUES ('4950', 'object/tangible/deed/pet_deed/shared_deed_mse_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('4951', 'object/tangible/component/droid/shared_merchant_barker.iff');
INSERT INTO `template_items` VALUES ('4952', 'object/tangible/loot/loot_schematic/shared_throwpillow_schematic.iff');
INSERT INTO `template_items` VALUES ('4953', 'object/tangible/component/bio/shared_bio_component_clothing_field_armor_2.iff');
INSERT INTO `template_items` VALUES ('4954', 'object/tangible/deed/event_perk/shared_fed_dub_1x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('4955', 'object/tangible/lair/angler/shared_lair_angler_underwater.iff');
INSERT INTO `template_items` VALUES ('4956', 'object/tangible/wearables/ithorian/shared_ith_pants_s06.iff');
INSERT INTO `template_items` VALUES ('4957', 'object/tangible/wearables/ithorian/shared_ith_vest_s02.iff');
INSERT INTO `template_items` VALUES ('4958', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('4959', 'object/tangible/furniture/city/shared_streetlamp_med_red_02.iff');
INSERT INTO `template_items` VALUES ('4960', 'object/tangible/ship/components/armor/shared_armor_subpro_light_plasteel.iff');
INSERT INTO `template_items` VALUES ('4961', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_hanadak.iff');
INSERT INTO `template_items` VALUES ('4962', 'object/tangible/hair/sullustan/shared_sul_hair_s10_f.iff');
INSERT INTO `template_items` VALUES ('4963', 'object/tangible/mission/shared_mission_bounty_target.iff');
INSERT INTO `template_items` VALUES ('4964', 'object/tangible/ship/components/booster/shared_bst_mandal_limited_jbj_mk5.iff');
INSERT INTO `template_items` VALUES ('4965', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('4966', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_0.iff');
INSERT INTO `template_items` VALUES ('4967', 'object/tangible/dungeon/shared_droid_maint_module.iff');
INSERT INTO `template_items` VALUES ('4968', 'object/tangible/component/droid/shared_droid_storage_compartment.iff');
INSERT INTO `template_items` VALUES ('4969', 'object/tangible/deed/event_perk/shared_crashed_tie_fighter_theater_deed.iff');
INSERT INTO `template_items` VALUES ('4970', 'object/tangible/mission/quest_item/shared_bab_esrus_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4971', 'object/tangible/wearables/boots/shared_boots_s19.iff');
INSERT INTO `template_items` VALUES ('4972', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_advanced.iff');
INSERT INTO `template_items` VALUES ('4973', 'object/tangible/container/drum/shared_treasure_drum.iff');
INSERT INTO `template_items` VALUES ('4974', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sds_special_imperial_2.iff');
INSERT INTO `template_items` VALUES ('4975', 'object/tangible/food/spice/shared_spice_muon_gold.iff');
INSERT INTO `template_items` VALUES ('4976', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_07.iff');
INSERT INTO `template_items` VALUES ('4977', 'object/tangible/ship/components/shield_generator/shared_shd_reward_seinar_elite.iff');
INSERT INTO `template_items` VALUES ('4978', 'object/tangible/loot/quest/shared_frn_quest_dant_skull_bol_01.iff');
INSERT INTO `template_items` VALUES ('4979', 'object/tangible/datapad/shared_droid_datapad_4.iff');
INSERT INTO `template_items` VALUES ('4980', 'object/tangible/wearables/ithorian/shared_ith_jacket_s14.iff');
INSERT INTO `template_items` VALUES ('4981', 'object/tangible/lair/base/shared_objective_power_transformer.iff');
INSERT INTO `template_items` VALUES ('4982', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s06.iff');
INSERT INTO `template_items` VALUES ('4983', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_elite.iff');
INSERT INTO `template_items` VALUES ('4984', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class2.iff');
INSERT INTO `template_items` VALUES ('4985', 'object/tangible/loot/simple_kit/shared_datapad_battery.iff');
INSERT INTO `template_items` VALUES ('4986', 'object/tangible/ship/crafted/armor/shared_adv_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('4987', 'object/tangible/mission/quest_item/shared_wuher_q1_needed.iff');
INSERT INTO `template_items` VALUES ('4988', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_b.iff');
INSERT INTO `template_items` VALUES ('4989', 'object/tangible/ship/components/booster/shared_bst_moncal_advanced.iff');
INSERT INTO `template_items` VALUES ('4990', 'object/tangible/lair/structure/exterior/shared_lair_cave_large_exterior_condor_dragon.iff');
INSERT INTO `template_items` VALUES ('4991', 'object/tangible/component/armor/shared_armor_layer_heat.iff');
INSERT INTO `template_items` VALUES ('4992', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s04.iff');
INSERT INTO `template_items` VALUES ('4993', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk3.iff');
INSERT INTO `template_items` VALUES ('4994', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('4995', 'object/tangible/component/vehicle/base/shared_base_veh_weapon.iff');
INSERT INTO `template_items` VALUES ('4996', 'object/tangible/wearables/ithorian/shared_ith_shirt_s12.iff');
INSERT INTO `template_items` VALUES ('4997', 'object/tangible/deed/city_deed/shared_garden_tatooine_sml_05_deed.iff');
INSERT INTO `template_items` VALUES ('4998', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('4999', 'object/tangible/wearables/base/shared_base_helmet_closed_mouth.iff');
INSERT INTO `template_items` VALUES ('5000', 'object/tangible/component/armor/shared_shield_generator_facility.iff');
INSERT INTO `template_items` VALUES ('5001', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('5002', 'object/tangible/loot/quest/force_sensitive/shared_theater_datapad.iff');
INSERT INTO `template_items` VALUES ('5003', 'object/tangible/ship/components/chassis/shared_ykl37r_chassis_token.iff');
INSERT INTO `template_items` VALUES ('5004', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('5005', 'object/tangible/furniture/all/shared_frn_all_table_s01.iff');
INSERT INTO `template_items` VALUES ('5006', 'object/tangible/ship/components/armor/shared_arm_corellian_special_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('5007', 'object/tangible/scout/trap/shared_trap_noise_maker.iff');
INSERT INTO `template_items` VALUES ('5008', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk2.iff');
INSERT INTO `template_items` VALUES ('5009', 'object/tangible/crafting/station/shared_food_station.iff');
INSERT INTO `template_items` VALUES ('5010', 'object/tangible/ship/components/armor/shared_arm_mission_reward_imperial_sfs_light_military.iff');
INSERT INTO `template_items` VALUES ('5011', 'object/tangible/mission/quest_item/shared_ian_logo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5012', 'object/tangible/component/droid/shared_data_storage_module_2.iff');
INSERT INTO `template_items` VALUES ('5013', 'object/tangible/lair/scurrier/shared_lair_scurrier_wasteland.iff');
INSERT INTO `template_items` VALUES ('5014', 'object/tangible/deed/pet_deed/shared_deed_r2_basic.iff');
INSERT INTO `template_items` VALUES ('5015', 'object/tangible/wearables/dress/shared_dress_s32.iff');
INSERT INTO `template_items` VALUES ('5016', 'object/tangible/loot/quest/shared_schematic_bandolier_s04_quest.iff');
INSERT INTO `template_items` VALUES ('5017', 'object/tangible/component/dna/shared_dna_template_veermok.iff');
INSERT INTO `template_items` VALUES ('5018', 'object/tangible/ship/components/shield_generator/shared_shd_mission_reward_imperial_rendili_dual_projector.iff');
INSERT INTO `template_items` VALUES ('5019', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk4.iff');
INSERT INTO `template_items` VALUES ('5020', 'object/tangible/lair/base/shared_poi_all_lair_bones.iff');
INSERT INTO `template_items` VALUES ('5021', 'object/tangible/component/weapon/shared_vibro_unit_enhancement_min_damage.iff');
INSERT INTO `template_items` VALUES ('5022', 'object/tangible/painting/shared_painting_food_baking_s01.iff');
INSERT INTO `template_items` VALUES ('5023', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_full.iff');
INSERT INTO `template_items` VALUES ('5024', 'object/tangible/loot/simple_kit/shared_motor_small_blue.iff');
INSERT INTO `template_items` VALUES ('5025', 'object/tangible/ship/components/armor/shared_arm_corellian_improved_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('5026', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5027', 'object/tangible/mission/quest_item/shared_zekka_thyne_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5028', 'object/tangible/space/special_loot/shared_firespray_schematic_part4.iff');
INSERT INTO `template_items` VALUES ('5029', 'object/tangible/lair/base/shared_lair_base_crevice_dark.iff');
INSERT INTO `template_items` VALUES ('5030', 'object/tangible/skill_buff/shared_skill_buff_melee_defense.iff');
INSERT INTO `template_items` VALUES ('5031', 'object/tangible/lair/spined_snake/shared_lair_spined_snake_wasteland.iff');
INSERT INTO `template_items` VALUES ('5032', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s02.iff');
INSERT INTO `template_items` VALUES ('5033', 'object/tangible/lair/gnort/shared_lair_gnort.iff');
INSERT INTO `template_items` VALUES ('5034', 'object/tangible/hair/human/shared_hair_human_male_s21.iff');
INSERT INTO `template_items` VALUES ('5035', 'object/tangible/loot/misc/shared_petrified_avian_egg.iff');
INSERT INTO `template_items` VALUES ('5036', 'object/tangible/lair/gurnaset/shared_lair_gurnaset_mountain.iff');
INSERT INTO `template_items` VALUES ('5037', 'object/tangible/lair/base/shared_objective_banner_imperial.iff');
INSERT INTO `template_items` VALUES ('5038', 'object/tangible/wearables/wookiee/shared_wke_hood_s03.iff');
INSERT INTO `template_items` VALUES ('5039', 'object/tangible/ship/components/armor/shared_arm_mandal_reinforced_advanced_composite.iff');
INSERT INTO `template_items` VALUES ('5040', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_body.iff');
INSERT INTO `template_items` VALUES ('5041', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_5.iff');
INSERT INTO `template_items` VALUES ('5042', 'object/tangible/component/droid/shared_struct_maint_module_2.iff');
INSERT INTO `template_items` VALUES ('5043', 'object/tangible/ship/crafted/shields/shared_advanced_projector_unit.iff');
INSERT INTO `template_items` VALUES ('5044', 'object/tangible/mission/quest_item/shared_warren_passkey_s02.iff');
INSERT INTO `template_items` VALUES ('5045', 'object/tangible/ship/components/booster/shared_bst_mandal_improved_jbj_mk3.iff');
INSERT INTO `template_items` VALUES ('5046', 'object/tangible/lair/bark_mite/shared_lair_bark_mite_grassland.iff');
INSERT INTO `template_items` VALUES ('5047', 'object/tangible/ship/components/weapon_capacitor/shared_cap_cygnus_cygcap_b.iff');
INSERT INTO `template_items` VALUES ('5048', 'object/tangible/lair/remmer/shared_lair_remmer_jungle.iff');
INSERT INTO `template_items` VALUES ('5049', 'object/tangible/wearables/skirt/shared_skirt_s08.iff');
INSERT INTO `template_items` VALUES ('5050', 'object/tangible/terminal/shared_terminal_hq_imperial.iff');
INSERT INTO `template_items` VALUES ('5051', 'object/tangible/food/spice/shared_spice_gunjack.iff');
INSERT INTO `template_items` VALUES ('5052', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_belt_schematic.iff');
INSERT INTO `template_items` VALUES ('5053', 'object/tangible/ship/components/armor/shared_arm_sfs_enhanced_standard_durasteel.iff');
INSERT INTO `template_items` VALUES ('5054', 'object/tangible/mission/quest_item/shared_binna_jode_q4_needed.iff');
INSERT INTO `template_items` VALUES ('5055', 'object/tangible/loot/dungeon/death_watch_bunker/shared_blood_vial.iff');
INSERT INTO `template_items` VALUES ('5056', 'object/tangible/lair/kima/shared_lair_kima.iff');
INSERT INTO `template_items` VALUES ('5057', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s06.iff');
INSERT INTO `template_items` VALUES ('5058', 'object/tangible/mission/quest_item/shared_jusani_zhord_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5059', 'object/tangible/deed/event_perk/shared_treasure_box_chest_deed.iff');
INSERT INTO `template_items` VALUES ('5060', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_b.iff');
INSERT INTO `template_items` VALUES ('5061', 'object/tangible/component/base/shared_base_food.iff');
INSERT INTO `template_items` VALUES ('5062', 'object/tangible/deed/pet_deed/shared_deed_dz70_basic.iff');
INSERT INTO `template_items` VALUES ('5063', 'object/tangible/hair/bothan/shared_hair_bothan_female_s09.iff');
INSERT INTO `template_items` VALUES ('5064', 'object/tangible/veteran_reward/shared_antidecay.iff');
INSERT INTO `template_items` VALUES ('5065', 'object/tangible/wearables/robe/shared_robe_inquisitor.iff');
INSERT INTO `template_items` VALUES ('5066', 'object/tangible/wearables/shirt/shared_shirt_s10.iff');
INSERT INTO `template_items` VALUES ('5067', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('5068', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk1.iff');
INSERT INTO `template_items` VALUES ('5069', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_mountain.iff');
INSERT INTO `template_items` VALUES ('5070', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_filler02.iff');
INSERT INTO `template_items` VALUES ('5071', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s01.iff');
INSERT INTO `template_items` VALUES ('5072', 'object/tangible/hair/sullustan/shared_sul_hair_s12_m.iff');
INSERT INTO `template_items` VALUES ('5073', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_style_02_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('5074', 'object/tangible/wearables/ithorian/shared_ith_necklace_s01.iff');
INSERT INTO `template_items` VALUES ('5075', 'object/tangible/component/armor/shared_scale_giant_dune_kimogila.iff');
INSERT INTO `template_items` VALUES ('5076', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_veermok.iff');
INSERT INTO `template_items` VALUES ('5077', 'object/tangible/hair/human/shared_hair_human_female_s14.iff');
INSERT INTO `template_items` VALUES ('5078', 'object/tangible/deed/pet_deed/shared_kaadu_deed.iff');
INSERT INTO `template_items` VALUES ('5079', 'object/tangible/container/quest/crafting_contract/shared_furniture_crate.iff');
INSERT INTO `template_items` VALUES ('5080', 'object/tangible/loot/collectible/kits/shared_fs_tracking_device_kit.iff');
INSERT INTO `template_items` VALUES ('5081', 'object/tangible/vendor/shared_vendor_terminal_slim.iff');
INSERT INTO `template_items` VALUES ('5082', 'object/tangible/wearables/bikini/shared_bikini_s03.iff');
INSERT INTO `template_items` VALUES ('5083', 'object/tangible/lair/mawgax/shared_lair_mawgax.iff');
INSERT INTO `template_items` VALUES ('5084', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel2.iff');
INSERT INTO `template_items` VALUES ('5085', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s02.iff');
INSERT INTO `template_items` VALUES ('5086', 'object/tangible/component/droid/repair/shared_capacitor_low_discharge.iff');
INSERT INTO `template_items` VALUES ('5087', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_05.iff');
INSERT INTO `template_items` VALUES ('5088', 'object/tangible/wearables/base/shared_base_backpack.iff');
INSERT INTO `template_items` VALUES ('5089', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_belt_schematic.iff');
INSERT INTO `template_items` VALUES ('5090', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('5091', 'object/tangible/component/droid/shared_personality_module_worshipful.iff');
INSERT INTO `template_items` VALUES ('5092', 'object/tangible/container/drum/shared_warren_core_rod_storage.iff');
INSERT INTO `template_items` VALUES ('5093', 'object/tangible/space/story_loot/shared_loot_endor_artisan2.iff');
INSERT INTO `template_items` VALUES ('5094', 'object/tangible/location/shared_location_48.iff');
INSERT INTO `template_items` VALUES ('5095', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_m1.iff');
INSERT INTO `template_items` VALUES ('5096', 'object/tangible/lair/snorbal/shared_lair_snorbal.iff');
INSERT INTO `template_items` VALUES ('5097', 'object/tangible/loot/loot_schematic/shared_geonosian_sonic_blaster_schematic.iff');
INSERT INTO `template_items` VALUES ('5098', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_plate.iff');
INSERT INTO `template_items` VALUES ('5099', 'object/tangible/wearables/necklace/shared_necklace_wampum.iff');
INSERT INTO `template_items` VALUES ('5100', 'object/tangible/medicine/crafted/shared_medpack_disease_area_mind_a.iff');
INSERT INTO `template_items` VALUES ('5101', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_turret_med_base.iff');
INSERT INTO `template_items` VALUES ('5102', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_modified_rad_mk2.iff');
INSERT INTO `template_items` VALUES ('5103', 'object/tangible/mission/quest_item/shared_aujante_klee_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5104', 'object/tangible/deed/pet_deed/shared_deed_surgical_basic.iff');
INSERT INTO `template_items` VALUES ('5105', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_04.iff');
INSERT INTO `template_items` VALUES ('5106', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kessel_imperial_sfs_array.iff');
INSERT INTO `template_items` VALUES ('5107', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk4.iff');
INSERT INTO `template_items` VALUES ('5108', 'object/tangible/lair/bocatt/shared_lair_bocatt_hills.iff');
INSERT INTO `template_items` VALUES ('5109', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s20.iff');
INSERT INTO `template_items` VALUES ('5110', 'object/tangible/component/item/shared_micro_sensor_suite.iff');
INSERT INTO `template_items` VALUES ('5111', 'object/tangible/scout/camokit/shared_camokit_tatooine.iff');
INSERT INTO `template_items` VALUES ('5112', 'object/tangible/deed/vehicle_deed/shared_landspeeder_x31_deed.iff');
INSERT INTO `template_items` VALUES ('5113', 'object/tangible/mission/quest_item/shared_gilad_pellaeon_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5114', 'object/tangible/mission/quest_item/shared_warren_evidence_s03.iff');
INSERT INTO `template_items` VALUES ('5115', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5116', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s02.iff');
INSERT INTO `template_items` VALUES ('5117', 'object/tangible/container/jar/base/shared_jar_base.iff');
INSERT INTO `template_items` VALUES ('5118', 'object/tangible/mission/quest_item/shared_bren_kingal_q4_reward.iff');
INSERT INTO `template_items` VALUES ('5119', 'object/tangible/loot/tool/shared_impulse_detector_broken_s1.iff');
INSERT INTO `template_items` VALUES ('5120', 'object/tangible/component/vehicle/shared_armor_plating_mk2.iff');
INSERT INTO `template_items` VALUES ('5121', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_echelon_2.iff');
INSERT INTO `template_items` VALUES ('5122', 'object/tangible/mission/quest_item/shared_arven_wendik_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5123', 'object/tangible/component/vehicle/shared_blaster_cannon.iff');
INSERT INTO `template_items` VALUES ('5124', 'object/tangible/deed/city_deed/shared_garage_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('5125', 'object/tangible/deed/event_perk/shared_tie_bomber_static_deed.iff');
INSERT INTO `template_items` VALUES ('5126', 'object/tangible/ship/crafted/reverse_engineering/shared_armor_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('5127', 'object/tangible/container/drum/shared_large_plain_crate_s02.iff');
INSERT INTO `template_items` VALUES ('5128', 'object/tangible/dice/shared_eqp_six_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('5129', 'object/tangible/ship/components/engine/shared_eng_novaldex_advanced.iff');
INSERT INTO `template_items` VALUES ('5130', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_enhanced_dynamo_mk1.iff');
INSERT INTO `template_items` VALUES ('5131', 'object/tangible/ship/components/reactor/shared_rct_incom_mark5.iff');
INSERT INTO `template_items` VALUES ('5132', 'object/tangible/food/crafted/shared_dessert_pastebread.iff');
INSERT INTO `template_items` VALUES ('5133', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_0.iff');
INSERT INTO `template_items` VALUES ('5134', 'object/tangible/food/crafted/shared_dessert_sweesonberry_rolls.iff');
INSERT INTO `template_items` VALUES ('5135', 'object/tangible/deed/base/shared_deed_base.iff');
INSERT INTO `template_items` VALUES ('5136', 'object/tangible/deed/event_perk/shared_skeleton_chest_deed.iff');
INSERT INTO `template_items` VALUES ('5137', 'object/tangible/ship/crafted/capacitor/shared_standard_capacitor_battery.iff');
INSERT INTO `template_items` VALUES ('5138', 'object/tangible/lair/pugoriss/shared_lair_pugoriss_grassland.iff');
INSERT INTO `template_items` VALUES ('5139', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk3.iff');
INSERT INTO `template_items` VALUES ('5140', 'object/tangible/ship/components/booster/shared_bst_subpro_enhanced_accelatron_mk2.iff');
INSERT INTO `template_items` VALUES ('5141', 'object/tangible/component/armor/shared_armor_segment_padded_rancor.iff');
INSERT INTO `template_items` VALUES ('5142', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_assassin_filler01.iff');
INSERT INTO `template_items` VALUES ('5143', 'object/tangible/deed/pet_deed/shared_deed_droid_basic_base.iff');
INSERT INTO `template_items` VALUES ('5144', 'object/tangible/deed/harvester_deed/shared_harvester_ore_heavy_deed.iff');
INSERT INTO `template_items` VALUES ('5145', 'object/tangible/deed/city_deed/shared_garden_corellia_med_03_deed.iff');
INSERT INTO `template_items` VALUES ('5146', 'object/tangible/wearables/belt/shared_belt_s05_quest.iff');
INSERT INTO `template_items` VALUES ('5147', 'object/tangible/component/droid/shared_droid_combat_service_module_base.iff');
INSERT INTO `template_items` VALUES ('5148', 'object/tangible/deed/base/shared_deed_installation_base.iff');
INSERT INTO `template_items` VALUES ('5149', 'object/tangible/ui/shared_ui_planet_imperial.iff');
INSERT INTO `template_items` VALUES ('5150', 'object/tangible/ship/components/engine/shared_engine_incom_fusialthrust.iff');
INSERT INTO `template_items` VALUES ('5151', 'object/tangible/furniture/all/shared_frn_all_chair_kitchen_s1.iff');
INSERT INTO `template_items` VALUES ('5152', 'object/tangible/food/base/shared_base_food.iff');
INSERT INTO `template_items` VALUES ('5153', 'object/tangible/ship/components/weapon/shared_wpn_mandal_mangler_mk1.iff');
INSERT INTO `template_items` VALUES ('5154', 'object/tangible/food/crafted/shared_drink_angerian_fishak_surprise.iff');
INSERT INTO `template_items` VALUES ('5155', 'object/tangible/component/droid/repair/shared_unit_delivery_cartridge.iff');
INSERT INTO `template_items` VALUES ('5156', 'object/tangible/furniture/decorative/shared_park_bench.iff');
INSERT INTO `template_items` VALUES ('5157', 'object/tangible/furniture/modern/shared_bar_counter_s1.iff');
INSERT INTO `template_items` VALUES ('5158', 'object/tangible/component/structure/shared_refined_rudic.iff');
INSERT INTO `template_items` VALUES ('5159', 'object/tangible/ship/components/booster/shared_bst_moncal_charged_heavy.iff');
INSERT INTO `template_items` VALUES ('5160', 'object/tangible/ship/interior_components/shared_hull_access_interior.iff');
INSERT INTO `template_items` VALUES ('5161', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_bank.iff');
INSERT INTO `template_items` VALUES ('5162', 'object/tangible/wearables/armor/bone/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('5163', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s02_deed.iff');
INSERT INTO `template_items` VALUES ('5164', 'object/tangible/gem/shared_clothing.iff');
INSERT INTO `template_items` VALUES ('5165', 'object/tangible/shipcontrol/shared_turretcontrol_falcon.iff');
INSERT INTO `template_items` VALUES ('5166', 'object/tangible/ship/crafted/weapon/shared_basic_weapon.iff');
INSERT INTO `template_items` VALUES ('5167', 'object/tangible/component/vehicle/shared_armor_panel_acid.iff');
INSERT INTO `template_items` VALUES ('5168', 'object/tangible/camp/shared_camp_stool_tall.iff');
INSERT INTO `template_items` VALUES ('5169', 'object/tangible/transport/base/shared_transport_base.iff');
INSERT INTO `template_items` VALUES ('5170', 'object/tangible/lair/base/shared_poi_all_lair_mound_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5171', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_large_style_01.iff');
INSERT INTO `template_items` VALUES ('5172', 'object/tangible/space/story_loot/shared_loot_dantooine_blacksun.iff');
INSERT INTO `template_items` VALUES ('5173', 'object/tangible/camp/shared_campfire_logs_burnt.iff');
INSERT INTO `template_items` VALUES ('5174', 'object/tangible/ship/components/armor/shared_arm_corellian_supreme_durasteel.iff');
INSERT INTO `template_items` VALUES ('5175', 'object/tangible/ship/crafted/weapon/missile/shared_base_countermeasure.iff');
INSERT INTO `template_items` VALUES ('5176', 'object/tangible/component/droid/shared_armor_module_3.iff');
INSERT INTO `template_items` VALUES ('5177', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_relic_gbb_small_ball.iff');
INSERT INTO `template_items` VALUES ('5178', 'object/tangible/component/armor/shared_armor_segment_chitin_brackaset.iff');
INSERT INTO `template_items` VALUES ('5179', 'object/tangible/loot/misc/shared_brown_rug.iff');
INSERT INTO `template_items` VALUES ('5180', 'object/tangible/ship/components/engine/shared_eng_moncal_ifs64.iff');
INSERT INTO `template_items` VALUES ('5181', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s01.iff');
INSERT INTO `template_items` VALUES ('5182', 'object/tangible/lair/kaadu/shared_lair_kaadu.iff');
INSERT INTO `template_items` VALUES ('5183', 'object/tangible/wearables/base/shared_base_dress_formal.iff');
INSERT INTO `template_items` VALUES ('5184', 'object/tangible/ship/components/engine/shared_eng_sfs_advanced.iff');
INSERT INTO `template_items` VALUES ('5185', 'object/tangible/mission/quest_item/shared_hedon_istee_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5186', 'object/tangible/hair/rodian/shared_hair_rodian_female_s07.iff');
INSERT INTO `template_items` VALUES ('5187', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_pants_quest.iff');
INSERT INTO `template_items` VALUES ('5188', 'object/tangible/component/vehicle/shared_launcher_pod.iff');
INSERT INTO `template_items` VALUES ('5189', 'object/tangible/ship/attachment/wing/shared_hutt_light_wing_s02.iff');
INSERT INTO `template_items` VALUES ('5190', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_hunting.iff');
INSERT INTO `template_items` VALUES ('5191', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_assassination_03.iff');
INSERT INTO `template_items` VALUES ('5192', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_advanced_droid_interface.iff');
INSERT INTO `template_items` VALUES ('5193', 'object/tangible/furniture/elegant/shared_chest_s01.iff');
INSERT INTO `template_items` VALUES ('5194', 'object/tangible/wearables/jacket/shared_jacket_ace_rebel.iff');
INSERT INTO `template_items` VALUES ('5195', 'object/tangible/container/drum/shared_warren_drum_loot.iff');
INSERT INTO `template_items` VALUES ('5196', 'object/tangible/hair/human/shared_hair_human_female_s35.iff');
INSERT INTO `template_items` VALUES ('5197', 'object/tangible/wearables/goggles/shared_goggles_s06.iff');
INSERT INTO `template_items` VALUES ('5198', 'object/tangible/ship/components/shield_generator/shared_shd_phased_fullerine_fx12.iff');
INSERT INTO `template_items` VALUES ('5199', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s12.iff');
INSERT INTO `template_items` VALUES ('5200', 'object/tangible/magic_eight_ball/shared_magic_eight_ball.iff');
INSERT INTO `template_items` VALUES ('5201', 'object/tangible/deed/city_deed/shared_garden_naboo_med_02_deed.iff');
INSERT INTO `template_items` VALUES ('5202', 'object/tangible/ship/crafted/weapon/shared_quick_shot_upgrade_mk3.iff');
INSERT INTO `template_items` VALUES ('5203', 'object/tangible/ship/components/armor/shared_arm_rss_light_plastisteel.iff');
INSERT INTO `template_items` VALUES ('5204', 'object/tangible/deed/event_perk/shared_test_gaming_table_deed.iff');
INSERT INTO `template_items` VALUES ('5205', 'object/tangible/lair/gurk/shared_lair_gurk_mountain.iff');
INSERT INTO `template_items` VALUES ('5206', 'object/tangible/loot/dungeon/corellian_corvette/shared_neutral_destroy_filler02.iff');
INSERT INTO `template_items` VALUES ('5207', 'object/tangible/lair/bocatt/shared_lair_bocatt_grassland.iff');
INSERT INTO `template_items` VALUES ('5208', 'object/tangible/mission/quest_item/shared_champhra_biahin_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5209', 'object/tangible/wearables/armor/composite/shared_armor_composite_leggings.iff');
INSERT INTO `template_items` VALUES ('5210', 'object/tangible/space/special_loot/shared_firespray_schematic.iff');
INSERT INTO `template_items` VALUES ('5211', 'object/tangible/component/weapon/shared_weapon_dxr6_stock.iff');
INSERT INTO `template_items` VALUES ('5212', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_proton_missile_mk3.iff');
INSERT INTO `template_items` VALUES ('5213', 'object/tangible/mission/quest_item/shared_garm_beliblis_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5214', 'object/tangible/mission/quest_item/shared_kritus_morven_q5_needed.iff');
INSERT INTO `template_items` VALUES ('5215', 'object/tangible/food/crafted/shared_dish_vercupti_of_agazza_boleruuee.iff');
INSERT INTO `template_items` VALUES ('5216', 'object/tangible/loot/dungeon/corellian_corvette/shared_imperial_destroy_intel.iff');
INSERT INTO `template_items` VALUES ('5217', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_assassination_01.iff');
INSERT INTO `template_items` VALUES ('5218', 'object/tangible/component/dna/shared_dna_sample_above_average.iff');
INSERT INTO `template_items` VALUES ('5219', 'object/tangible/ship/components/engine/shared_eng_kse_elite.iff');
INSERT INTO `template_items` VALUES ('5220', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx5.iff');
INSERT INTO `template_items` VALUES ('5221', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_jungle.iff');
INSERT INTO `template_items` VALUES ('5222', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap10.iff');
INSERT INTO `template_items` VALUES ('5223', 'object/tangible/mission/quest_item/shared_yith_seenath_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5224', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_proton_screen_p6.iff');
INSERT INTO `template_items` VALUES ('5225', 'object/tangible/wearables/boots/shared_boots_s05.iff');
INSERT INTO `template_items` VALUES ('5226', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s03.iff');
INSERT INTO `template_items` VALUES ('5227', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_veermok.iff');
INSERT INTO `template_items` VALUES ('5228', 'object/tangible/component/droid/shared_medic_module_5.iff');
INSERT INTO `template_items` VALUES ('5229', 'object/tangible/food/crafted/shared_dessert_chandad.iff');
INSERT INTO `template_items` VALUES ('5230', 'object/tangible/ship/crafted/droid_interface/shared_ddi_mk3.iff');
INSERT INTO `template_items` VALUES ('5231', 'object/tangible/wearables/ithorian/shared_ith_hat_s04.iff');
INSERT INTO `template_items` VALUES ('5232', 'object/tangible/wearables/ithorian/shared_ith_jacket_s08.iff');
INSERT INTO `template_items` VALUES ('5233', 'object/tangible/slicing/shared_slicing_weapon_upgrade_kit.iff');
INSERT INTO `template_items` VALUES ('5234', 'object/tangible/ship/crafted/chassis/shared_bwing_deed.iff');
INSERT INTO `template_items` VALUES ('5235', 'object/tangible/wearables/shirt/shared_shirt_s03_rebel.iff');
INSERT INTO `template_items` VALUES ('5236', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_max_damage.iff');
INSERT INTO `template_items` VALUES ('5237', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('5238', 'object/tangible/component/weapon/shared_scope_weapon_advanced_quest.iff');
INSERT INTO `template_items` VALUES ('5239', 'object/tangible/wearables/base/shared_base_ring_l.iff');
INSERT INTO `template_items` VALUES ('5240', 'object/tangible/ship/crafted/repair/shared_repair_kit_plasma_conduit.iff');
INSERT INTO `template_items` VALUES ('5241', 'object/tangible/ship/components/reactor/shared_rct_subpro_dyna1.iff');
INSERT INTO `template_items` VALUES ('5242', 'object/tangible/furniture/all/shared_frn_all_chair_wooden_s2.iff');
INSERT INTO `template_items` VALUES ('5243', 'object/tangible/ship/crafted/reverse_engineering/shared_droid_interface_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('5244', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_adhesive.iff');
INSERT INTO `template_items` VALUES ('5245', 'object/tangible/wearables/base/shared_base_wrist_l.iff');
INSERT INTO `template_items` VALUES ('5246', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed_medium.iff');
INSERT INTO `template_items` VALUES ('5247', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_bracer_l.iff');
INSERT INTO `template_items` VALUES ('5248', 'object/tangible/wearables/dress/shared_dress_s13.iff');
INSERT INTO `template_items` VALUES ('5249', 'object/tangible/deed/pet_deed/shared_bolma_deed.iff');
INSERT INTO `template_items` VALUES ('5250', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_unknown_proton_interweave_system.iff');
INSERT INTO `template_items` VALUES ('5251', 'object/tangible/component/weapon/shared_scope_weapon_lg_s03.iff');
INSERT INTO `template_items` VALUES ('5252', 'object/tangible/food/foraged/shared_foraged_vegetable_s3.iff');
INSERT INTO `template_items` VALUES ('5253', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_helmet.iff');
INSERT INTO `template_items` VALUES ('5254', 'object/tangible/terminal/shared_terminal_elevator_down.iff');
INSERT INTO `template_items` VALUES ('5255', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_3.iff');
INSERT INTO `template_items` VALUES ('5256', 'object/tangible/food/crafted/shared_dessert_parwan_nutricake.iff');
INSERT INTO `template_items` VALUES ('5257', 'object/tangible/lair/scurrier/shared_lair_scurrier_mountain.iff');
INSERT INTO `template_items` VALUES ('5258', 'object/tangible/component/droid/shared_binary_load_lifter_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('5259', 'object/tangible/ship/crafted/booster/shared_booster_mk3.iff');
INSERT INTO `template_items` VALUES ('5260', 'object/tangible/wearables/base/shared_base_wrist_both.iff');
INSERT INTO `template_items` VALUES ('5261', 'object/tangible/wearables/armor/ithorian_defender/shared_ith_armor_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5262', 'object/tangible/sign/shared_all_sign_city_s02.iff');
INSERT INTO `template_items` VALUES ('5263', 'object/tangible/ship/components/booster/shared_bst_sorosuub_liberator_mk4.iff');
INSERT INTO `template_items` VALUES ('5264', 'object/tangible/wearables/armor/zam/shared_armor_zam_wesell_chest_plate.iff');
INSERT INTO `template_items` VALUES ('5265', 'object/tangible/food/base/shared_base_crafted_food.iff');
INSERT INTO `template_items` VALUES ('5266', 'object/tangible/wearables/base/shared_base_mask_face.iff');
INSERT INTO `template_items` VALUES ('5267', 'object/tangible/ship/components/booster/shared_bst_moncal_elite.iff');
INSERT INTO `template_items` VALUES ('5268', 'object/tangible/lair/vlutore/shared_lair_vlutore_grassland.iff');
INSERT INTO `template_items` VALUES ('5269', 'object/tangible/furniture/tatooine/shared_frn_tato_table_small_style_02.iff');
INSERT INTO `template_items` VALUES ('5270', 'object/tangible/terminal/shared_terminal_pob_ship.iff');
INSERT INTO `template_items` VALUES ('5271', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s06.iff');
INSERT INTO `template_items` VALUES ('5272', 'object/tangible/ship/interior_components/shared_plasma_conduit_interior.iff');
INSERT INTO `template_items` VALUES ('5273', 'object/tangible/component/armor/shared_shield_generator_personal_c.iff');
INSERT INTO `template_items` VALUES ('5274', 'object/tangible/component/item/quest_item/shared_directional_sensor.iff');
INSERT INTO `template_items` VALUES ('5275', 'object/tangible/ship/components/weapon/shared_wpn_capitalship_turret_test.iff');
INSERT INTO `template_items` VALUES ('5276', 'object/tangible/component/munition/shared_kliknick_gland.iff');
INSERT INTO `template_items` VALUES ('5277', 'object/tangible/wearables/cyborg/shared_arm_l_s01.iff');
INSERT INTO `template_items` VALUES ('5278', 'object/tangible/food/crafted/shared_drink_jawa_beer.iff');
INSERT INTO `template_items` VALUES ('5279', 'object/tangible/loot/tool/shared_binoculars_broken_s2.iff');
INSERT INTO `template_items` VALUES ('5280', 'object/tangible/ship/components/weapon/shared_wpn_subpro_light_ioncannon.iff');
INSERT INTO `template_items` VALUES ('5281', 'object/tangible/medicine/shared_grenade_poison.iff');
INSERT INTO `template_items` VALUES ('5282', 'object/tangible/deed/event_perk/shared_rsf_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5283', 'object/tangible/deed/pet_deed/shared_bol_deed.iff');
INSERT INTO `template_items` VALUES ('5284', 'object/tangible/deed/city_deed/shared_garden_corellia_med_01_deed.iff');
INSERT INTO `template_items` VALUES ('5285', 'object/tangible/lair/gaping_spider/shared_lair_gaping_spider.iff');
INSERT INTO `template_items` VALUES ('5286', 'object/tangible/lair/perlek/shared_lair_perlek_jungle.iff');
INSERT INTO `template_items` VALUES ('5287', 'object/tangible/ship/components/reactor/shared_rct_tiefighter_basic.iff');
INSERT INTO `template_items` VALUES ('5288', 'object/tangible/ship/attachment/engine/shared_xwing_engine_neg_s03.iff');
INSERT INTO `template_items` VALUES ('5289', 'object/tangible/loot/plant_grow/shared_plant_stage_dead.iff');
INSERT INTO `template_items` VALUES ('5290', 'object/tangible/wearables/jacket/shared_jacket_s10.iff');
INSERT INTO `template_items` VALUES ('5291', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_cruiser_grade_cap3.iff');
INSERT INTO `template_items` VALUES ('5292', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon.iff');
INSERT INTO `template_items` VALUES ('5293', 'object/tangible/component/dna/shared_dna_template_gurreck.iff');
INSERT INTO `template_items` VALUES ('5294', 'object/tangible/ship/crafted/armor/shared_base_armor_subcomponent_mk4.iff');
INSERT INTO `template_items` VALUES ('5295', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01_lit.iff');
INSERT INTO `template_items` VALUES ('5296', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5297', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('5298', 'object/tangible/wearables/pants/shared_pants_s22.iff');
INSERT INTO `template_items` VALUES ('5299', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_nose.iff');
INSERT INTO `template_items` VALUES ('5300', 'object/tangible/furniture/shared_furniture_tatooine_cantina_seat_01.iff');
INSERT INTO `template_items` VALUES ('5301', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk5.iff');
INSERT INTO `template_items` VALUES ('5302', 'object/tangible/ship/components/shield_generator/shared_shd_reward_armek_elite.iff');
INSERT INTO `template_items` VALUES ('5303', 'object/tangible/wearables/skirt/shared_skirt_s14.iff');
INSERT INTO `template_items` VALUES ('5304', 'object/tangible/component/item/shared_electronic_energy_distributor.iff');
INSERT INTO `template_items` VALUES ('5305', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp_grassland.iff');
INSERT INTO `template_items` VALUES ('5306', 'object/tangible/lair/langlatch/shared_lair_langlatch_forest.iff');
INSERT INTO `template_items` VALUES ('5307', 'object/tangible/wearables/ithorian/shared_ith_robe_s02.iff');
INSERT INTO `template_items` VALUES ('5308', 'object/tangible/deed/city_deed/shared_garden_dathomir_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('5309', 'object/tangible/ship/components/weapon/shared_wpn_taim_ix5.iff');
INSERT INTO `template_items` VALUES ('5310', 'object/tangible/ship/components/booster/shared_bst_sap_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5311', 'object/tangible/ship/components/shield_generator/shared_shd_kse_enhanced_military_mk1.iff');
INSERT INTO `template_items` VALUES ('5312', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_rare_mk2.iff');
INSERT INTO `template_items` VALUES ('5313', 'object/tangible/medicine/crafted/shared_medpack_disease_action_c.iff');
INSERT INTO `template_items` VALUES ('5314', 'object/tangible/painting/shared_painting_tree.iff');
INSERT INTO `template_items` VALUES ('5315', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat_swamp.iff');
INSERT INTO `template_items` VALUES ('5316', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('5317', 'object/tangible/deed/harvester_deed/shared_harvester_liquid_deed.iff');
INSERT INTO `template_items` VALUES ('5318', 'object/tangible/ship/components/booster/shared_bst_incom_mynock.iff');
INSERT INTO `template_items` VALUES ('5319', 'object/tangible/hair/bothan/shared_hair_bothan_female_s15.iff');
INSERT INTO `template_items` VALUES ('5320', 'object/tangible/medicine/shared_medpack_intimidated.iff');
INSERT INTO `template_items` VALUES ('5321', 'object/tangible/lair/base/shared_poi_all_lair_mound_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('5322', 'object/tangible/medicine/crafted/shared_medic_fire_blanket.iff');
INSERT INTO `template_items` VALUES ('5323', 'object/tangible/lair/base/shared_lair_base_trash_light.iff');
INSERT INTO `template_items` VALUES ('5324', 'object/tangible/loot/loot_schematic/shared_stove_schematic.iff');
INSERT INTO `template_items` VALUES ('5325', 'object/tangible/lair/structure/interior/shared_lair_cave_medium_interior_hanadak.iff');
INSERT INTO `template_items` VALUES ('5326', 'object/tangible/lair/worrt/shared_lair_worrt.iff');
INSERT INTO `template_items` VALUES ('5327', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s11.iff');
INSERT INTO `template_items` VALUES ('5328', 'object/tangible/container/drum/shared_tatt_drum_1.iff');
INSERT INTO `template_items` VALUES ('5329', 'object/tangible/ship/components/booster/shared_bst_corellian_tjh3.iff');
INSERT INTO `template_items` VALUES ('5330', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s08.iff');
INSERT INTO `template_items` VALUES ('5331', 'object/tangible/hair/human/shared_hair_human_female_s08.iff');
INSERT INTO `template_items` VALUES ('5332', 'object/tangible/deed/guild_deed/shared_generic_guild_deed.iff');
INSERT INTO `template_items` VALUES ('5333', 'object/tangible/mission/quest_item/shared_gravin_attal_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5334', 'object/tangible/medicine/crafted/shared_medpack_disease_mind_c.iff');
INSERT INTO `template_items` VALUES ('5335', 'object/tangible/wearables/earring/shared_earring_s13.iff');
INSERT INTO `template_items` VALUES ('5336', 'object/tangible/wearables/wookiee/shared_wke_skirt_s04.iff');
INSERT INTO `template_items` VALUES ('5337', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_08.iff');
INSERT INTO `template_items` VALUES ('5338', 'object/tangible/deed/faction_perk/covert_detector/shared_detector_32m_deed.iff');
INSERT INTO `template_items` VALUES ('5339', 'object/tangible/wearables/ithorian/shared_ith_belt_s14.iff');
INSERT INTO `template_items` VALUES ('5340', 'object/tangible/camp/shared_camp_spit.iff');
INSERT INTO `template_items` VALUES ('5341', 'object/tangible/ship/components/armor/shared_arm_kessel_imperial_sds_imperial_impervious.iff');
INSERT INTO `template_items` VALUES ('5342', 'object/tangible/gravestone/shared_gravestone02.iff');
INSERT INTO `template_items` VALUES ('5343', 'object/tangible/ship/components/engine/shared_engine_test.iff');
INSERT INTO `template_items` VALUES ('5344', 'object/tangible/ship/components/engine/shared_eng_kessel_imperial_rendili_hyperion_drive.iff');
INSERT INTO `template_items` VALUES ('5345', 'object/tangible/item/quest/force_sensitive/shared_fs_craft_puzzle_solid_state_array.iff');
INSERT INTO `template_items` VALUES ('5346', 'object/tangible/ship/components/shield_generator/shared_shd_kse_military_mk1.iff');
INSERT INTO `template_items` VALUES ('5347', 'object/tangible/region/shared_deliver_region_5.iff');
INSERT INTO `template_items` VALUES ('5348', 'object/tangible/loot/dungeon/corellian_corvette/shared_rebel_destroy_intel.iff');
INSERT INTO `template_items` VALUES ('5349', 'object/tangible/component/armor/shared_shield_generator_personal.iff');
INSERT INTO `template_items` VALUES ('5350', 'object/tangible/container/quest/hero_of_tatooine/shared_rock_crevice.iff');
INSERT INTO `template_items` VALUES ('5351', 'object/tangible/component/chemistry/shared_liquid_delivery_suspension.iff');
INSERT INTO `template_items` VALUES ('5352', 'object/tangible/mission/quest_item/shared_chertyl_ruruwoor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5353', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_a.iff');
INSERT INTO `template_items` VALUES ('5354', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_heavy.iff');
INSERT INTO `template_items` VALUES ('5355', 'object/tangible/lair/base/shared_lair_base_mound_insect_dark.iff');
INSERT INTO `template_items` VALUES ('5356', 'object/tangible/medicine/crafted/shared_medpack_poison_area_health_a.iff');
INSERT INTO `template_items` VALUES ('5357', 'object/tangible/lair/bolle_bol/shared_lair_bolle_bol.iff');
INSERT INTO `template_items` VALUES ('5358', 'object/tangible/wearables/jacket/shared_jacket_s24.iff');
INSERT INTO `template_items` VALUES ('5359', 'object/tangible/container/general/shared_tech_bookcase.iff');
INSERT INTO `template_items` VALUES ('5360', 'object/tangible/loot/misc/shared_loot_krayt_leg1.iff');
INSERT INTO `template_items` VALUES ('5361', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_r7.iff');
INSERT INTO `template_items` VALUES ('5362', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s05.iff');
INSERT INTO `template_items` VALUES ('5363', 'object/tangible/component/armor/shared_armor_segment_enhancement_kimogila.iff');
INSERT INTO `template_items` VALUES ('5364', 'object/tangible/component/weapon/shared_rancor_tooth.iff');
INSERT INTO `template_items` VALUES ('5365', 'object/tangible/lair/nuna/shared_lair_nuna_forest.iff');
INSERT INTO `template_items` VALUES ('5366', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk1.iff');
INSERT INTO `template_items` VALUES ('5367', 'object/tangible/wearables/ithorian/shared_ith_shirt_s07.iff');
INSERT INTO `template_items` VALUES ('5368', 'object/tangible/wearables/ring/shared_ring_mark_hero.iff');
INSERT INTO `template_items` VALUES ('5369', 'object/tangible/component/armor/shared_armor_layer_acid.iff');
INSERT INTO `template_items` VALUES ('5370', 'object/tangible/instrument/shared_instrument_organ_max_rebo.iff');
INSERT INTO `template_items` VALUES ('5371', 'object/tangible/ship/attachment/engine/shared_ykl37r_engine_s02.iff');
INSERT INTO `template_items` VALUES ('5372', 'object/tangible/medicine/crafted/shared_medpack_enhance_stamina_b.iff');
INSERT INTO `template_items` VALUES ('5373', 'object/tangible/ship/attachment/weapon/shared_imperial_gunboat_turretbase_wing.iff');
INSERT INTO `template_items` VALUES ('5374', 'object/tangible/ship/components/weapon/shared_wpn_z95_blaster.iff');
INSERT INTO `template_items` VALUES ('5375', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s08.iff');
INSERT INTO `template_items` VALUES ('5376', 'object/tangible/loot/misc/shared_loot_krayt_spine1.iff');
INSERT INTO `template_items` VALUES ('5377', 'object/tangible/wearables/hat/shared_hat_twilek_s02.iff');
INSERT INTO `template_items` VALUES ('5378', 'object/tangible/component/vehicle/base/shared_base_veh_hull.iff');
INSERT INTO `template_items` VALUES ('5379', 'object/tangible/hair/human/shared_hair_human_male_s34.iff');
INSERT INTO `template_items` VALUES ('5380', 'object/tangible/deed/pet_deed/shared_deed_3p0_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('5381', 'object/tangible/ship/interior_components/shared_droid_interface_interior.iff');
INSERT INTO `template_items` VALUES ('5382', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s03_0.iff');
INSERT INTO `template_items` VALUES ('5383', 'object/tangible/container/general/shared_cargo_pocket.iff');
INSERT INTO `template_items` VALUES ('5384', 'object/tangible/wearables/apron/shared_apron_s01_quest.iff');
INSERT INTO `template_items` VALUES ('5385', 'object/tangible/ship/components/booster/shared_bst_sorosuub_well_tuned_liberator_mk5.iff');
INSERT INTO `template_items` VALUES ('5386', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_incom_windrunner.iff');
INSERT INTO `template_items` VALUES ('5387', 'object/tangible/loot/misc/shared_corsec_id_badge.iff');
INSERT INTO `template_items` VALUES ('5388', 'object/tangible/ship/components/reactor/shared_rct_subpro_aurora.iff');
INSERT INTO `template_items` VALUES ('5389', 'object/tangible/deed/event_perk/shared_rebel_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('5390', 'object/tangible/food/spice/shared_spice_kwi_boost.iff');
INSERT INTO `template_items` VALUES ('5391', 'object/tangible/medicine/crafted/shared_medpack_wound_action_e.iff');
INSERT INTO `template_items` VALUES ('5392', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('5393', 'object/tangible/furniture/imperial/shared_data_terminal_s4.iff');
INSERT INTO `template_items` VALUES ('5394', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s05_1.iff');
INSERT INTO `template_items` VALUES ('5395', 'object/tangible/lair/bantha/shared_lair_bantha_wasteland.iff');
INSERT INTO `template_items` VALUES ('5396', 'object/tangible/wearables/dress/shared_dress_s27.iff');
INSERT INTO `template_items` VALUES ('5397', 'object/tangible/mission/quest_item/shared_nurla_slinthiss_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5398', 'object/tangible/furniture/jedi/shared_frn_all_dark_chair_s01.iff');
INSERT INTO `template_items` VALUES ('5399', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2r_s03.iff');
INSERT INTO `template_items` VALUES ('5400', 'object/tangible/wearables/ithorian/shared_ith_belt_s20.iff');
INSERT INTO `template_items` VALUES ('5401', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('5402', 'object/tangible/hair/sullustan/shared_sul_hair_s18_f.iff');
INSERT INTO `template_items` VALUES ('5403', 'object/tangible/loot/collectible/kits/shared_light_table_kit.iff');
INSERT INTO `template_items` VALUES ('5404', 'object/tangible/component/vehicle/shared_mass_driver.iff');
INSERT INTO `template_items` VALUES ('5405', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('5406', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s01_deed.iff');
INSERT INTO `template_items` VALUES ('5407', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5408', 'object/tangible/wearables/ithorian/shared_ith_pants_s13.iff');
INSERT INTO `template_items` VALUES ('5409', 'object/tangible/mission/quest_item/shared_champhra_biahin_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5410', 'object/tangible/medicine/crafted/shared_medpack_wound_strength_b.iff');
INSERT INTO `template_items` VALUES ('5411', 'object/tangible/lair/base/shared_poi_all_lair_wooden_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5412', 'object/tangible/component/weapon/shared_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('5413', 'object/tangible/deed/event_perk/shared_endor_flag_deed.iff');
INSERT INTO `template_items` VALUES ('5414', 'object/tangible/item/shared_droid_customization.iff');
INSERT INTO `template_items` VALUES ('5415', 'object/tangible/mission/quest_item/shared_lasha_bindari_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5416', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_mk3.iff');
INSERT INTO `template_items` VALUES ('5417', 'object/tangible/painting/shared_painting_wookiee_f.iff');
INSERT INTO `template_items` VALUES ('5418', 'object/tangible/food/crafted/shared_drink_garrmorl.iff');
INSERT INTO `template_items` VALUES ('5419', 'object/tangible/mission/quest_item/shared_borvo_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5420', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_dune.iff');
INSERT INTO `template_items` VALUES ('5421', 'object/tangible/component/weapon/lightsaber/shared_base_lightsaber_lance_module.iff');
INSERT INTO `template_items` VALUES ('5422', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_imperial_destroy_03.iff');
INSERT INTO `template_items` VALUES ('5423', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon3_s04.iff');
INSERT INTO `template_items` VALUES ('5424', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('5425', 'object/tangible/ship/components/weapon/shared_wpn_incom_disruptor.iff');
INSERT INTO `template_items` VALUES ('5426', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket_quest.iff');
INSERT INTO `template_items` VALUES ('5427', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cantina.iff');
INSERT INTO `template_items` VALUES ('5428', 'object/tangible/wearables/ithorian/shared_ith_jacket_s01.iff');
INSERT INTO `template_items` VALUES ('5429', 'object/tangible/wearables/armor/chitin/shared_armor_chitin_s01_bracer_l.iff');
INSERT INTO `template_items` VALUES ('5430', 'object/tangible/wearables/shirt/shared_shirt_s38.iff');
INSERT INTO `template_items` VALUES ('5431', 'object/tangible/component/vehicle/shared_reactor_unit.iff');
INSERT INTO `template_items` VALUES ('5432', 'object/tangible/lair/structure/exterior/shared_lair_cave_giant_exterior_graul.iff');
INSERT INTO `template_items` VALUES ('5433', 'object/tangible/wearables/vest/shared_vest_s06.iff');
INSERT INTO `template_items` VALUES ('5434', 'object/tangible/ship/components/engine/shared_eng_mission_reward_rebel_incom_military.iff');
INSERT INTO `template_items` VALUES ('5435', 'object/tangible/ship/components/weapon_capacitor/shared_cap_tiefighter_elite_mk2.iff');
INSERT INTO `template_items` VALUES ('5436', 'object/tangible/hair/sullustan/shared_sul_hair_s17_m.iff');
INSERT INTO `template_items` VALUES ('5437', 'object/tangible/lair/base/shared_poi_all_lair_warren_small.iff');
INSERT INTO `template_items` VALUES ('5438', 'object/tangible/ship/components/engine/shared_eng_sfs_modified_imperial_3.iff');
INSERT INTO `template_items` VALUES ('5439', 'object/tangible/ship/crafted/capacitor/shared_capacitor_mk2.iff');
INSERT INTO `template_items` VALUES ('5440', 'object/tangible/ship/components/weapon/shared_wpn_sds_modified_elite.iff');
INSERT INTO `template_items` VALUES ('5441', 'object/tangible/ship/crafted/chassis/shared_tieinterceptor_deed.iff');
INSERT INTO `template_items` VALUES ('5442', 'object/tangible/veteran_reward/shared_frn_vet_jabba_toy.iff');
INSERT INTO `template_items` VALUES ('5443', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk1.iff');
INSERT INTO `template_items` VALUES ('5444', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_custom_manager_mk2.iff');
INSERT INTO `template_items` VALUES ('5445', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('5446', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_min_damage.iff');
INSERT INTO `template_items` VALUES ('5447', 'object/tangible/loot/collectible/collectible_parts/shared_light_table_structure_04.iff');
INSERT INTO `template_items` VALUES ('5448', 'object/tangible/ship/attachment/engine/shared_ywing_engine_s02.iff');
INSERT INTO `template_items` VALUES ('5449', 'object/tangible/deed/event_perk/shared_rebel_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5450', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03_lg.iff');
INSERT INTO `template_items` VALUES ('5451', 'object/tangible/loot/misc/shared_loot_krayt_arm1.iff');
INSERT INTO `template_items` VALUES ('5452', 'object/tangible/ship/components/reactor/shared_rct_taim_experimental_s3.iff');
INSERT INTO `template_items` VALUES ('5453', 'object/tangible/wearables/armor/marine/shared_armor_marine_chest_plate_rebel.iff');
INSERT INTO `template_items` VALUES ('5454', 'object/tangible/mission/quest_item/shared_jyr_koble_q4_needed.iff');
INSERT INTO `template_items` VALUES ('5455', 'object/tangible/survey_tool/shared_survey_tool_inorganic.iff');
INSERT INTO `template_items` VALUES ('5456', 'object/tangible/hair/human/shared_hair_human_male_s09.iff');
INSERT INTO `template_items` VALUES ('5457', 'object/tangible/component/chemistry/shared_spider_venom.iff');
INSERT INTO `template_items` VALUES ('5458', 'object/tangible/loot/quest/shared_bantha_doll.iff');
INSERT INTO `template_items` VALUES ('5459', 'object/tangible/deed/city_deed/shared_garden_naboo_med_04_deed.iff');
INSERT INTO `template_items` VALUES ('5460', 'object/tangible/deed/pet_deed/shared_deed_probot_basic.iff');
INSERT INTO `template_items` VALUES ('5461', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_elite.iff');
INSERT INTO `template_items` VALUES ('5462', 'object/tangible/hair/mon_calamari/base/shared_hair_mon_calamari_female_base.iff');
INSERT INTO `template_items` VALUES ('5463', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s02.iff');
INSERT INTO `template_items` VALUES ('5464', 'object/tangible/component/droid/shared_r4_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('5465', 'object/tangible/ship/components/weapon/shared_wpn_armek_advanced.iff');
INSERT INTO `template_items` VALUES ('5466', 'object/tangible/ship/components/reactor/shared_rct_mandal_dx_advanced.iff');
INSERT INTO `template_items` VALUES ('5467', 'object/tangible/food/crafted/shared_drink_elshandruu_pica_thundercloud.iff');
INSERT INTO `template_items` VALUES ('5468', 'object/tangible/wearables/gloves/shared_gloves_s14.iff');
INSERT INTO `template_items` VALUES ('5469', 'object/tangible/furniture/all/shared_frn_all_decorative_lg_s1.iff');
INSERT INTO `template_items` VALUES ('5470', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s01.iff');
INSERT INTO `template_items` VALUES ('5471', 'object/tangible/lair/kwi/shared_lair_kwi_desert.iff');
INSERT INTO `template_items` VALUES ('5472', 'object/tangible/ship/crafted/shields/shared_heavy_deflector_shields.iff');
INSERT INTO `template_items` VALUES ('5473', 'object/tangible/ui/shared_ui_planet_talus.iff');
INSERT INTO `template_items` VALUES ('5474', 'object/tangible/ship/components/booster/shared_bst_surronian_accelerator_mk1.iff');
INSERT INTO `template_items` VALUES ('5475', 'object/tangible/component/armor/shared_deflector_shield_emitter_assembly.iff');
INSERT INTO `template_items` VALUES ('5476', 'object/tangible/medicine/crafted/shared_medpack_poison_area_mind_c.iff');
INSERT INTO `template_items` VALUES ('5477', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_pack.iff');
INSERT INTO `template_items` VALUES ('5478', 'object/tangible/wearables/jacket/shared_jacket_s19.iff');
INSERT INTO `template_items` VALUES ('5479', 'object/tangible/component/weapon/shared_stock_advanced.iff');
INSERT INTO `template_items` VALUES ('5480', 'object/tangible/beta/shared_beta_terminal_xp.iff');
INSERT INTO `template_items` VALUES ('5481', 'object/tangible/scout/trap/shared_trap_webber.iff');
INSERT INTO `template_items` VALUES ('5482', 'object/tangible/loot/quest/shared_lifeday_orb.iff');
INSERT INTO `template_items` VALUES ('5483', 'object/tangible/ship/components/reactor/shared_rct_corellian_modified_bt5.iff');
INSERT INTO `template_items` VALUES ('5484', 'object/tangible/component/vehicle/shared_armor_panel_electrical.iff');
INSERT INTO `template_items` VALUES ('5485', 'object/tangible/ship/interior_components/shared_life_support_interior.iff');
INSERT INTO `template_items` VALUES ('5486', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk5.iff');
INSERT INTO `template_items` VALUES ('5487', 'object/tangible/component/droid/shared_trap_module.iff');
INSERT INTO `template_items` VALUES ('5488', 'object/tangible/lair/tanc_mite/shared_lair_tanc_mite.iff');
INSERT INTO `template_items` VALUES ('5489', 'object/tangible/ship/components/reactor/shared_rct_sfs_imperial_3.iff');
INSERT INTO `template_items` VALUES ('5490', 'object/tangible/ship/components/weapon/shared_wpn_incom_blaster.iff');
INSERT INTO `template_items` VALUES ('5491', 'object/tangible/ship/crafted/droid_interface/shared_base_droid_interface_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5492', 'object/tangible/hq_destructible/shared_power_regulator.iff');
INSERT INTO `template_items` VALUES ('5493', 'object/tangible/component/weapon/shared_projectile_pistol_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('5494', 'object/tangible/jedi/shared_padawan_trials_skeleton.iff');
INSERT INTO `template_items` VALUES ('5495', 'object/tangible/wearables/necklace/shared_necklace_nyax.iff');
INSERT INTO `template_items` VALUES ('5496', 'object/tangible/ship/components/engine/shared_engine_nubian_221_racing_mod.iff');
INSERT INTO `template_items` VALUES ('5497', 'object/tangible/furniture/decorative/shared_professor_desk.iff');
INSERT INTO `template_items` VALUES ('5498', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s03_lit.iff');
INSERT INTO `template_items` VALUES ('5499', 'object/tangible/painting/shared_painting_twilek_f_lg_s02.iff');
INSERT INTO `template_items` VALUES ('5500', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5501', 'object/tangible/ship/components/droid_interface/shared_ddi_freitek_droid_commander_mk2.iff');
INSERT INTO `template_items` VALUES ('5502', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('5503', 'object/tangible/scout/trap/shared_trap_melee_ranged_def_1.iff');
INSERT INTO `template_items` VALUES ('5504', 'object/tangible/space/story_loot/shared_loot_dantooine_mining2.iff');
INSERT INTO `template_items` VALUES ('5505', 'object/tangible/wearables/necklace/shared_necklace_base.iff');
INSERT INTO `template_items` VALUES ('5506', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_sds_secret_ops.iff');
INSERT INTO `template_items` VALUES ('5507', 'object/tangible/component/shared_barrel_blaster.iff');
INSERT INTO `template_items` VALUES ('5508', 'object/tangible/painting/shared_painting_twilek_f_sm_s01.iff');
INSERT INTO `template_items` VALUES ('5509', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_advanced_interface.iff');
INSERT INTO `template_items` VALUES ('5510', 'object/tangible/deed/city_deed/shared_garden_corellia_med_05_deed.iff');
INSERT INTO `template_items` VALUES ('5511', 'object/tangible/lair/krayt_dragon/shared_lair_krayt_dragon_desert.iff');
INSERT INTO `template_items` VALUES ('5512', 'object/tangible/lair/bantha/shared_lair_bantha_dune.iff');
INSERT INTO `template_items` VALUES ('5513', 'object/tangible/wearables/shirt/shared_shirt_s05.iff');
INSERT INTO `template_items` VALUES ('5514', 'object/tangible/ship/components/weapon/shared_wpn_corellian_ag1g_laser.iff');
INSERT INTO `template_items` VALUES ('5515', 'object/tangible/container/loot/shared_player_loot_crate.iff');
INSERT INTO `template_items` VALUES ('5516', 'object/tangible/ship/components/armor/shared_arm_koensayr_b9_durasteel.iff');
INSERT INTO `template_items` VALUES ('5517', 'object/tangible/ship/components/booster/shared_bst_koensayr_racer_mk4.iff');
INSERT INTO `template_items` VALUES ('5518', 'object/tangible/mission/quest_item/shared_shalera_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5519', 'object/tangible/loot/loot_schematic/shared_corellian_flagpole_schematic.iff');
INSERT INTO `template_items` VALUES ('5520', 'object/tangible/component/vehicle/base/shared_base_armor_panel.iff');
INSERT INTO `template_items` VALUES ('5521', 'object/tangible/ship/crafted/booster/shared_booster_overdriver_mk2.iff');
INSERT INTO `template_items` VALUES ('5522', 'object/tangible/wearables/belt/shared_belt_s19.iff');
INSERT INTO `template_items` VALUES ('5523', 'object/tangible/ship/crafted/droid_interface/shared_basic_droid_interface.iff');
INSERT INTO `template_items` VALUES ('5524', 'object/tangible/firework/shared_firework_s02.iff');
INSERT INTO `template_items` VALUES ('5525', 'object/tangible/ship/components/droid_interface/shared_ddi_kse_manager_mk2.iff');
INSERT INTO `template_items` VALUES ('5526', 'object/tangible/component/bio/shared_bio_component_clothing_field_camo.iff');
INSERT INTO `template_items` VALUES ('5527', 'object/tangible/component/vehicle/shared_military_e.iff');
INSERT INTO `template_items` VALUES ('5528', 'object/tangible/ship/components/booster/shared_bst_novaldex_quasar.iff');
INSERT INTO `template_items` VALUES ('5529', 'object/tangible/ship/crafted/chassis/shared_blacksun_medium_s04_deed.iff');
INSERT INTO `template_items` VALUES ('5530', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s02_1.iff');
INSERT INTO `template_items` VALUES ('5531', 'object/tangible/ship/components/droid_interface/shared_ddi_hk_mk1.iff');
INSERT INTO `template_items` VALUES ('5532', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_e.iff');
INSERT INTO `template_items` VALUES ('5533', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_polyweb_advanced.iff');
INSERT INTO `template_items` VALUES ('5534', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk7.iff');
INSERT INTO `template_items` VALUES ('5535', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_01.iff');
INSERT INTO `template_items` VALUES ('5536', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5537', 'object/tangible/mission/quest_item/shared_gravin_attal_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5538', 'object/tangible/hair/bothan/shared_hair_bothan_male_s03.iff');
INSERT INTO `template_items` VALUES ('5539', 'object/tangible/loot/misc/shared_mystical_orb.iff');
INSERT INTO `template_items` VALUES ('5540', 'object/tangible/medicine/crafted/shared_medpack_grenade_area_c.iff');
INSERT INTO `template_items` VALUES ('5541', 'object/tangible/beta/shared_beta_terminal_food.iff');
INSERT INTO `template_items` VALUES ('5542', 'object/tangible/fishing/bait/base/shared_bait_base.iff');
INSERT INTO `template_items` VALUES ('5543', 'object/tangible/wearables/wookiee/shared_wke_shirt_s04.iff');
INSERT INTO `template_items` VALUES ('5544', 'object/tangible/ship/components/chassis/shared_hutt_light_s02_chassis_token.iff');
INSERT INTO `template_items` VALUES ('5545', 'object/tangible/component/bio/shared_bio_component_clothing_casual_taming.iff');
INSERT INTO `template_items` VALUES ('5546', 'object/tangible/ship/components/reactor/rct_z95_basic.iff');
INSERT INTO `template_items` VALUES ('5547', 'object/tangible/scout/camp/shared_camp_quality.iff');
INSERT INTO `template_items` VALUES ('5548', 'object/tangible/ship/crafted/chassis/shared_blacksun_light_s03_deed.iff');
INSERT INTO `template_items` VALUES ('5549', 'object/tangible/hair/human/shared_hair_human_female_s01.iff');
INSERT INTO `template_items` VALUES ('5550', 'object/tangible/ship/crafted/booster/shared_base_booster_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5551', 'object/tangible/deed/event_perk/shared_tatooine_banner_static_deed.iff');
INSERT INTO `template_items` VALUES ('5552', 'object/tangible/loot/dungeon/death_watch_bunker/shared_art_crate.iff');
INSERT INTO `template_items` VALUES ('5553', 'object/tangible/wearables/bandolier/shared_bandolier_s07.iff');
INSERT INTO `template_items` VALUES ('5554', 'object/tangible/hair/sullustan/shared_sul_hair_s15_f.iff');
INSERT INTO `template_items` VALUES ('5555', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s18.iff');
INSERT INTO `template_items` VALUES ('5556', 'object/tangible/lair/malkloc/shared_lair_malkloc_forest.iff');
INSERT INTO `template_items` VALUES ('5557', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s04_0.iff');
INSERT INTO `template_items` VALUES ('5558', 'object/tangible/deed/factory_deed/shared_factory_food_deed.iff');
INSERT INTO `template_items` VALUES ('5559', 'object/tangible/lair/base/shared_lair_base_cave_griffon_dark.iff');
INSERT INTO `template_items` VALUES ('5560', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s02_boots.iff');
INSERT INTO `template_items` VALUES ('5561', 'object/tangible/ship/components/reactor/shared_rct_kse_lx11.iff');
INSERT INTO `template_items` VALUES ('5562', 'object/tangible/ship/components/weapon_capacitor/shared_cap_novaldex_experimental.iff');
INSERT INTO `template_items` VALUES ('5563', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('5564', 'object/tangible/component/droid/shared_personality_module_prissy.iff');
INSERT INTO `template_items` VALUES ('5565', 'object/tangible/ship/components/weapon/shared_wpn_reward_seinar_elite.iff');
INSERT INTO `template_items` VALUES ('5566', 'object/tangible/food/crafted/shared_dessert_wedding_cake.iff');
INSERT INTO `template_items` VALUES ('5567', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('5568', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_imagerec_missile_mk2.iff');
INSERT INTO `template_items` VALUES ('5569', 'object/tangible/deed/event_perk/shared_naboo_flag_deed.iff');
INSERT INTO `template_items` VALUES ('5570', 'object/tangible/hair/twilek/shared_hair_twilek_female_s08.iff');
INSERT INTO `template_items` VALUES ('5571', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_fog_gray.iff');
INSERT INTO `template_items` VALUES ('5572', 'object/tangible/deed/event_perk/shared_marble_gazebo_static_deed.iff');
INSERT INTO `template_items` VALUES ('5573', 'object/tangible/deed/naboo/player_house_deed/shared_naboo_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('5574', 'object/tangible/lair/ray/shared_lair_ray.iff');
INSERT INTO `template_items` VALUES ('5575', 'object/tangible/datapad/shared_droid_datapad_1.iff');
INSERT INTO `template_items` VALUES ('5576', 'object/tangible/wearables/ithorian/shared_ith_jacket_s11.iff');
INSERT INTO `template_items` VALUES ('5577', 'object/tangible/wearables/base/shared_base_dress_formal_gloved.iff');
INSERT INTO `template_items` VALUES ('5578', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_02.iff');
INSERT INTO `template_items` VALUES ('5579', 'object/tangible/wearables/shirt/shared_shirt_s28.iff');
INSERT INTO `template_items` VALUES ('5580', 'object/tangible/ship/components/booster/shared_bst_koensayr_standard.iff');
INSERT INTO `template_items` VALUES ('5581', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_rebel_incom_tricannon.iff');
INSERT INTO `template_items` VALUES ('5582', 'object/tangible/lair/winged_ornith/shared_lair_winged_ornith_grassland.iff');
INSERT INTO `template_items` VALUES ('5583', 'object/tangible/wearables/pants/shared_pants_s06.iff');
INSERT INTO `template_items` VALUES ('5584', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_advanced.iff');
INSERT INTO `template_items` VALUES ('5585', 'object/tangible/ship/components/armor/shared_armor_alderaan_royal_weave.iff');
INSERT INTO `template_items` VALUES ('5586', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5587', 'object/tangible/ship/crafted/weapon/shared_wpn_medium_blaster.iff');
INSERT INTO `template_items` VALUES ('5588', 'object/tangible/loot/tool/shared_viewscreen_broken_s1.iff');
INSERT INTO `template_items` VALUES ('5589', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_lucky_despot.iff');
INSERT INTO `template_items` VALUES ('5590', 'object/tangible/wearables/backpack/shared_backpack_s05.iff');
INSERT INTO `template_items` VALUES ('5591', 'object/tangible/food/foraged/shared_foraged_fruit_s3.iff');
INSERT INTO `template_items` VALUES ('5592', 'object/tangible/medicine/crafted/shared_medpack_disease_health_a.iff');
INSERT INTO `template_items` VALUES ('5593', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5594', 'object/tangible/component/vehicle/shared_veh_shield_generator_mk3.iff');
INSERT INTO `template_items` VALUES ('5595', 'object/tangible/lair/gurnaset/shared_lair_gurnaset.iff');
INSERT INTO `template_items` VALUES ('5596', 'object/tangible/ship/crafted/reactor/shared_reactor_overcharger_mk3.iff');
INSERT INTO `template_items` VALUES ('5597', 'object/tangible/ship/components/weapon/shared_wpn_subpro_tripleblaster.iff');
INSERT INTO `template_items` VALUES ('5598', 'object/tangible/ship/attachment/weapon/shared_ywing_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('5599', 'object/tangible/theme_park/shared_invisible_object.iff');
INSERT INTO `template_items` VALUES ('5600', 'object/tangible/gambling/base/shared_gambling_station.iff');
INSERT INTO `template_items` VALUES ('5601', 'object/tangible/wearables/base/shared_base_helmet_closed_full.iff');
INSERT INTO `template_items` VALUES ('5602', 'object/tangible/ship/components/booster/shared_bst_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5603', 'object/tangible/wearables/ithorian/shared_ith_pants_s03.iff');
INSERT INTO `template_items` VALUES ('5604', 'object/tangible/bug_jar/shared_sample_butterflies.iff');
INSERT INTO `template_items` VALUES ('5605', 'object/tangible/powerup/weapon/fs_quest_sad/shared_melee_speed_quest.iff');
INSERT INTO `template_items` VALUES ('5606', 'object/tangible/wearables/necklace/shared_necklace_knickknack.iff');
INSERT INTO `template_items` VALUES ('5607', 'object/tangible/lair/cu_pa/shared_lair_cu_pa_mountain.iff');
INSERT INTO `template_items` VALUES ('5608', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_05.iff');
INSERT INTO `template_items` VALUES ('5609', 'object/tangible/furniture/base/shared_furniture_base.iff');
INSERT INTO `template_items` VALUES ('5610', 'object/tangible/deed/pet_deed/shared_deed_power_basic.iff');
INSERT INTO `template_items` VALUES ('5611', 'object/tangible/deed/shared_test_deed.iff');
INSERT INTO `template_items` VALUES ('5612', 'object/tangible/theme_park/alderaan/act3/shared_encoded_data_disk.iff');
INSERT INTO `template_items` VALUES ('5613', 'object/tangible/wearables/base/shared_base_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5614', 'object/tangible/loot/quest/shared_schematic_republic_blaster_quest.iff');
INSERT INTO `template_items` VALUES ('5615', 'object/tangible/ship/components/reactor/shared_rct_kessel_rebel_incom_overdriven_elite.iff');
INSERT INTO `template_items` VALUES ('5616', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp_grassland.iff');
INSERT INTO `template_items` VALUES ('5617', 'object/tangible/wearables/bodysuit/shared_bodysuit_s01.iff');
INSERT INTO `template_items` VALUES ('5618', 'object/tangible/ship/components/booster/shared_bst_incom_intimidator_mk1.iff');
INSERT INTO `template_items` VALUES ('5619', 'object/tangible/inventory/shared_lightsaber_inventory_4.iff');
INSERT INTO `template_items` VALUES ('5620', 'object/tangible/wearables/necklace/shared_necklace_s06.iff');
INSERT INTO `template_items` VALUES ('5621', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5622', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s01.iff');
INSERT INTO `template_items` VALUES ('5623', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('5624', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s18.iff');
INSERT INTO `template_items` VALUES ('5625', 'object/tangible/hair/human/shared_hair_human_male_s24.iff');
INSERT INTO `template_items` VALUES ('5626', 'object/tangible/lair/skreeg/shared_lair_skreeg.iff');
INSERT INTO `template_items` VALUES ('5627', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_miser_elite.iff');
INSERT INTO `template_items` VALUES ('5628', 'object/tangible/camp/shared_camp_pavilion_s1.iff');
INSERT INTO `template_items` VALUES ('5629', 'object/tangible/lair/voritor_lizard/shared_lair_voritor_lizard_grassland.iff');
INSERT INTO `template_items` VALUES ('5630', 'object/tangible/item/shared_vehicle_customization.iff');
INSERT INTO `template_items` VALUES ('5631', 'object/tangible/lair/gulginaw/shared_lair_gulginaw_forest.iff');
INSERT INTO `template_items` VALUES ('5632', 'object/tangible/space/special_loot/shared_firespray_schematic_part1.iff');
INSERT INTO `template_items` VALUES ('5633', 'object/tangible/lair/base/shared_lair_base.iff');
INSERT INTO `template_items` VALUES ('5634', 'object/tangible/furniture/technical/shared_chest_s01.iff');
INSERT INTO `template_items` VALUES ('5635', 'object/tangible/ship/components/engine/shared_eng_sds_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5636', 'object/tangible/ship/crafted/reactor/shared_standard_fusion_core.iff');
INSERT INTO `template_items` VALUES ('5637', 'object/tangible/furniture/cheap/shared_coffee_table_s01.iff');
INSERT INTO `template_items` VALUES ('5638', 'object/tangible/ship/components/shield_generator/shared_shd_taim_elite.iff');
INSERT INTO `template_items` VALUES ('5639', 'object/tangible/instrument/shared_slitherhorn.iff');
INSERT INTO `template_items` VALUES ('5640', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_02_deed.iff');
INSERT INTO `template_items` VALUES ('5641', 'object/tangible/lair/stintaril/shared_lair_stintaril.iff');
INSERT INTO `template_items` VALUES ('5642', 'object/tangible/mission/quest_item/shared_kritus_morven_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5643', 'object/tangible/ship/components/booster/shared_bst_kuat_military_mk1.iff');
INSERT INTO `template_items` VALUES ('5644', 'object/tangible/component/armor/shared_armor_layer_nightsister.iff');
INSERT INTO `template_items` VALUES ('5645', 'object/tangible/ship/crafted/repair/shared_repair_kit_weapon_capacitor.iff');
INSERT INTO `template_items` VALUES ('5646', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5647', 'object/tangible/lair/rock_mite/shared_lair_rock_mite.iff');
INSERT INTO `template_items` VALUES ('5648', 'object/tangible/space/spacestations/shared_spacestation_imperial_battlefield_entry.iff');
INSERT INTO `template_items` VALUES ('5649', 'object/tangible/deed/pet_deed/shared_gualama_deed.iff');
INSERT INTO `template_items` VALUES ('5650', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_rescue_03.iff');
INSERT INTO `template_items` VALUES ('5651', 'object/tangible/wearables/bracelet/shared_bracelet_s06_l.iff');
INSERT INTO `template_items` VALUES ('5652', 'object/tangible/ship/crafted/shields/shared_base_shields_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('5653', 'object/tangible/food/crafted/shared_dish_havla.iff');
INSERT INTO `template_items` VALUES ('5654', 'object/tangible/ship/components/engine/shared_eng_mandal_firestorm.iff');
INSERT INTO `template_items` VALUES ('5655', 'object/tangible/deed/event_perk/shared_corsec_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5656', 'object/tangible/shipcontrol/shared_pilot_chair.iff');
INSERT INTO `template_items` VALUES ('5657', 'object/tangible/medicine/crafted/shared_medpack_enhance_disease_a.iff');
INSERT INTO `template_items` VALUES ('5658', 'object/tangible/wearables/cyborg/shared_hand_r_s01.iff');
INSERT INTO `template_items` VALUES ('5659', 'object/tangible/dungeon/death_watch_bunker/shared_crazed_miner_medicine.iff');
INSERT INTO `template_items` VALUES ('5660', 'object/tangible/wearables/base/shared_base_held_l.iff');
INSERT INTO `template_items` VALUES ('5661', 'object/tangible/component/munition/shared_enhanced_destructive_pulse_channeling.iff');
INSERT INTO `template_items` VALUES ('5662', 'object/tangible/ship/crafted/repair/shared_repair_kit_hull.iff');
INSERT INTO `template_items` VALUES ('5663', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_slayn_flexsteel_multilayer.iff');
INSERT INTO `template_items` VALUES ('5664', 'object/tangible/wearables/base/shared_wearables_base.iff');
INSERT INTO `template_items` VALUES ('5665', 'object/tangible/loot/quest/shared_quest_item_sarlacc_bile_jar.iff');
INSERT INTO `template_items` VALUES ('5666', 'object/tangible/wearables/shoes/shared_shoes_s01.iff');
INSERT INTO `template_items` VALUES ('5667', 'object/tangible/loot/plant_grow/shared_plant_stage_1.iff');
INSERT INTO `template_items` VALUES ('5668', 'object/tangible/lair/zucca_boar/shared_lair_zucca_boar_dune.iff');
INSERT INTO `template_items` VALUES ('5669', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s01.iff');
INSERT INTO `template_items` VALUES ('5670', 'object/tangible/food/crafted/shared_drink_spiced_tea.iff');
INSERT INTO `template_items` VALUES ('5671', 'object/tangible/space/story_loot/shared_loot_all_freighter_2.iff');
INSERT INTO `template_items` VALUES ('5672', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_chest_plate.iff');
INSERT INTO `template_items` VALUES ('5673', 'object/tangible/component/item/shared_electronics_memory_module.iff');
INSERT INTO `template_items` VALUES ('5674', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_evil_fire_green.iff');
INSERT INTO `template_items` VALUES ('5675', 'object/tangible/component/armor/shared_armor_segment_ris_acklay.iff');
INSERT INTO `template_items` VALUES ('5676', 'object/tangible/ship/components/armor/shared_arm_sorosuub_improved_light_plastisteel.iff');
INSERT INTO `template_items` VALUES ('5677', 'object/tangible/lair/base/shared_poi_all_lair_bones_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('5678', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_leggings_schematic.iff');
INSERT INTO `template_items` VALUES ('5679', 'object/tangible/deed/pet_deed/shared_langlatch_deed.iff');
INSERT INTO `template_items` VALUES ('5680', 'object/tangible/deed/city_deed/shared_bank_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('5681', 'object/tangible/mission/quest_item/shared_jyr_koble_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5682', 'object/tangible/component/droid/shared_droid_motive_system.iff');
INSERT INTO `template_items` VALUES ('5683', 'object/tangible/component/armor/shared_armor_segment_chitin.iff');
INSERT INTO `template_items` VALUES ('5684', 'object/tangible/lair/base/shared_lair_base_den_earthen_dark.iff');
INSERT INTO `template_items` VALUES ('5685', 'object/tangible/mission/quest_item/shared_junelle_astor_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5686', 'object/tangible/component/item/quest_item/shared_transductive_shunt.iff');
INSERT INTO `template_items` VALUES ('5687', 'object/tangible/ship/attachment/weapon/shared_yt1300_turret_s01.iff');
INSERT INTO `template_items` VALUES ('5688', 'object/tangible/medicine/crafted/shared_medpack_grenade_damage_b.iff');
INSERT INTO `template_items` VALUES ('5689', 'object/tangible/hair/bothan/shared_hair_bothan_male_s13.iff');
INSERT INTO `template_items` VALUES ('5690', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat_3.iff');
INSERT INTO `template_items` VALUES ('5691', 'object/tangible/dice/shared_eqp_twenty_sided_dice_set.iff');
INSERT INTO `template_items` VALUES ('5692', 'object/tangible/ship/components/weapon/shared_wpn_star_destroyer_turret_dome.iff');
INSERT INTO `template_items` VALUES ('5693', 'object/tangible/loot/dungeon/death_watch_bunker/shared_emulsion_protection.iff');
INSERT INTO `template_items` VALUES ('5694', 'object/tangible/hair/twilek/base/shared_hair_twilek_base.iff');
INSERT INTO `template_items` VALUES ('5695', 'object/tangible/painting/shared_painting_vader_victory.iff');
INSERT INTO `template_items` VALUES ('5696', 'object/tangible/ship/components/shield_generator/shared_shd_incom_rayshield_x9.iff');
INSERT INTO `template_items` VALUES ('5697', 'object/tangible/hair/human/shared_hair_human_female_s11.iff');
INSERT INTO `template_items` VALUES ('5698', 'object/tangible/ship/components/reactor/shared_rct_reward_slayn_elite.iff');
INSERT INTO `template_items` VALUES ('5699', 'object/tangible/medicine/shared_medpack_cure_disease.iff');
INSERT INTO `template_items` VALUES ('5700', 'object/tangible/wearables/ithorian/shared_ith_necklace_s04.iff');
INSERT INTO `template_items` VALUES ('5701', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s04.iff');
INSERT INTO `template_items` VALUES ('5702', 'object/tangible/wearables/bandolier/shared_ith_mercenary_bandolier.iff');
INSERT INTO `template_items` VALUES ('5703', 'object/tangible/ship/components/engine/shared_eng_mandal_enhanced_heavy.iff');
INSERT INTO `template_items` VALUES ('5704', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_destroy_02.iff');
INSERT INTO `template_items` VALUES ('5705', 'object/tangible/ship/crafted/reactor/shared_fusion_reactor_mk4.iff');
INSERT INTO `template_items` VALUES ('5706', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp.iff');
INSERT INTO `template_items` VALUES ('5707', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_free_s02_lit.iff');
INSERT INTO `template_items` VALUES ('5708', 'object/tangible/painting/shared_painting_bestine_golden_flower_02.iff');
INSERT INTO `template_items` VALUES ('5709', 'object/tangible/wearables/bracelet/shared_bracelet_s03_r.iff');
INSERT INTO `template_items` VALUES ('5710', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('5711', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s08.iff');
INSERT INTO `template_items` VALUES ('5712', 'object/tangible/ship/components/armor/shared_arm_mandal_supreme_composite.iff');
INSERT INTO `template_items` VALUES ('5713', 'object/tangible/medicine/crafted/shared_medpack_stunned_a.iff');
INSERT INTO `template_items` VALUES ('5714', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_forcecost.iff');
INSERT INTO `template_items` VALUES ('5715', 'object/tangible/ship/attachment/engine/shared_yt1300_engine_s01.iff');
INSERT INTO `template_items` VALUES ('5716', 'object/tangible/loot/misc/shared_recording_rod_s01.iff');
INSERT INTO `template_items` VALUES ('5717', 'object/tangible/lair/base/shared_objective_banner_rebel.iff');
INSERT INTO `template_items` VALUES ('5718', 'object/tangible/wearables/shirt/shared_shirt_s15.iff');
INSERT INTO `template_items` VALUES ('5719', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s02.iff');
INSERT INTO `template_items` VALUES ('5720', 'object/tangible/component/structure/shared_turbo_fluidic_drilling_pumping_unit.iff');
INSERT INTO `template_items` VALUES ('5721', 'object/tangible/mission/quest_item/shared_kritus_morven_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5722', 'object/tangible/wearables/base/shared_base_sleeve_l.iff');
INSERT INTO `template_items` VALUES ('5723', 'object/tangible/ship/crafted/chassis/shared_texture_kit_s03.iff');
INSERT INTO `template_items` VALUES ('5724', 'object/tangible/deed/event_perk/shared_rebel_recruiter_deed.iff');
INSERT INTO `template_items` VALUES ('5725', 'object/tangible/space/story_loot/shared_loot_all_freighter.iff');
INSERT INTO `template_items` VALUES ('5726', 'object/tangible/component/clothing/shared_jewelry_setting.iff');
INSERT INTO `template_items` VALUES ('5727', 'object/tangible/furniture/modern/shared_bestine_quest_rug.iff');
INSERT INTO `template_items` VALUES ('5728', 'object/tangible/wearables/belt/shared_belt_s09.iff');
INSERT INTO `template_items` VALUES ('5729', 'object/tangible/ship/components/weapon/shared_wpn_rss_imperial_cannon.iff');
INSERT INTO `template_items` VALUES ('5730', 'object/tangible/wearables/necklace/shared_necklace_blue_gadget.iff');
INSERT INTO `template_items` VALUES ('5731', 'object/tangible/furniture/all/shared_frn_all_light_lamp_tatt_s01.iff');
INSERT INTO `template_items` VALUES ('5732', 'object/tangible/furniture/all/shared_frn_all_chair_upholstered_s1.iff');
INSERT INTO `template_items` VALUES ('5733', 'object/tangible/sign/player/shared_house_address_naboo.iff');
INSERT INTO `template_items` VALUES ('5734', 'object/tangible/ui/shared_ui_planet_naboo.iff');
INSERT INTO `template_items` VALUES ('5735', 'object/tangible/mission/quest_item/shared_serena_fenner_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5736', 'object/tangible/deed/player_house_deed/shared_generic_house_large_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('5737', 'object/tangible/painting/shared_painting_human_f.iff');
INSERT INTO `template_items` VALUES ('5738', 'object/tangible/wearables/boots/shared_boots_s21.iff');
INSERT INTO `template_items` VALUES ('5739', 'object/tangible/ship/components/engine/shared_engine_damorian_rx7.iff');
INSERT INTO `template_items` VALUES ('5740', 'object/tangible/wearables/base/shared_base_vest.iff');
INSERT INTO `template_items` VALUES ('5741', 'object/tangible/loot/quest/shared_sean_questp_ctestimony.iff');
INSERT INTO `template_items` VALUES ('5742', 'object/tangible/medicine/crafted/shared_medpack_disease_area_strength_a.iff');
INSERT INTO `template_items` VALUES ('5743', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_raventhorn.iff');
INSERT INTO `template_items` VALUES ('5744', 'object/tangible/component/armor/shared_armor_segment_composite.iff');
INSERT INTO `template_items` VALUES ('5745', 'object/tangible/ship/components/weapon/shared_wpn_armek_sw8.iff');
INSERT INTO `template_items` VALUES ('5746', 'object/tangible/deed/event_perk/shared_imperial_3x10_honorguard_deed.iff');
INSERT INTO `template_items` VALUES ('5747', 'object/tangible/medicine/crafted/shared_medpack_poison_mind_b.iff');
INSERT INTO `template_items` VALUES ('5748', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_limited_advanced.iff');
INSERT INTO `template_items` VALUES ('5749', 'object/tangible/ship/attachment/wing/shared_blacksun_medium_wing_s01.iff');
INSERT INTO `template_items` VALUES ('5750', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_forest.iff');
INSERT INTO `template_items` VALUES ('5751', 'object/tangible/loot/misc/shared_casserole_binna_jode.iff');
INSERT INTO `template_items` VALUES ('5752', 'object/tangible/loot/quest/shared_sean_questn_tdisk.iff');
INSERT INTO `template_items` VALUES ('5753', 'object/tangible/component/item/quest_item/shared_variance_throttle.iff');
INSERT INTO `template_items` VALUES ('5754', 'object/tangible/painting/shared_painting_trandoshan_wanted.iff');
INSERT INTO `template_items` VALUES ('5755', 'object/tangible/scout/trap/shared_trap_sonic_pulse.iff');
INSERT INTO `template_items` VALUES ('5756', 'object/tangible/terminal/shared_terminal_bestine_quests_02.iff');
INSERT INTO `template_items` VALUES ('5757', 'object/tangible/component/bio/shared_bio_component_food_medium_quantity.iff');
INSERT INTO `template_items` VALUES ('5758', 'object/tangible/lair/durni/shared_lair_durni_mountain.iff');
INSERT INTO `template_items` VALUES ('5759', 'object/tangible/furniture/all/shared_frn_all_lamp_tatt_s01.iff');
INSERT INTO `template_items` VALUES ('5760', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s07.iff');
INSERT INTO `template_items` VALUES ('5761', 'object/tangible/ship/components/engine/shared_eng_kse_a2x.iff');
INSERT INTO `template_items` VALUES ('5762', 'object/tangible/lair/base/shared_lair_base_nest_tree_lg_dark.iff');
INSERT INTO `template_items` VALUES ('5763', 'object/tangible/furniture/space/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `template_items` VALUES ('5764', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk1.iff');
INSERT INTO `template_items` VALUES ('5765', 'object/tangible/hair/human/shared_hair_human_male_s19.iff');
INSERT INTO `template_items` VALUES ('5766', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_01.iff');
INSERT INTO `template_items` VALUES ('5767', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_adhesive.iff');
INSERT INTO `template_items` VALUES ('5768', 'object/tangible/loot/simple_kit/shared_viewscreen_reader.iff');
INSERT INTO `template_items` VALUES ('5769', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_mountain.iff');
INSERT INTO `template_items` VALUES ('5770', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q2_needed.iff');
INSERT INTO `template_items` VALUES ('5771', 'object/tangible/wearables/ithorian/shared_ith_backpack_s05.iff');
INSERT INTO `template_items` VALUES ('5772', 'object/tangible/component/armor/shared_heavy_armor_layer.iff');
INSERT INTO `template_items` VALUES ('5773', 'object/tangible/lair/squall/shared_lair_squall_grassland.iff');
INSERT INTO `template_items` VALUES ('5774', 'object/tangible/component/clothing/shared_cargo_pocket.iff');
INSERT INTO `template_items` VALUES ('5775', 'object/tangible/ship/components/weapon/shared_wpn_taim_elite.iff');
INSERT INTO `template_items` VALUES ('5776', 'object/tangible/ship/components/weapon/shared_wpn_sfs_imperial_blaster_3.iff');
INSERT INTO `template_items` VALUES ('5777', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk5.iff');
INSERT INTO `template_items` VALUES ('5778', 'object/tangible/veteran_reward/shared_emote_group_1.iff');
INSERT INTO `template_items` VALUES ('5779', 'object/tangible/wearables/underwear/shared_underwear_bottom.iff');
INSERT INTO `template_items` VALUES ('5780', 'object/tangible/medicine/crafted/shared_medpack_disease_area_constitution_c.iff');
INSERT INTO `template_items` VALUES ('5781', 'object/tangible/ship/components/droid_interface/shared_ddi_rss_imperial_2.iff');
INSERT INTO `template_items` VALUES ('5782', 'object/tangible/deed/pet_deed/shared_bageraset_deed.iff');
INSERT INTO `template_items` VALUES ('5783', 'object/tangible/wearables/apron/shared_apron_porcellus.iff');
INSERT INTO `template_items` VALUES ('5784', 'object/tangible/terminal/shared_terminal_bazaar.iff');
INSERT INTO `template_items` VALUES ('5785', 'object/tangible/ship/components/shield_generator/shared_shd_kessel_rebel_incom_rayshield_overdriver.iff');
INSERT INTO `template_items` VALUES ('5786', 'object/tangible/inventory/shared_creature_inventory_5.iff');
INSERT INTO `template_items` VALUES ('5787', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s13.iff');
INSERT INTO `template_items` VALUES ('5788', 'object/tangible/lair/blurrg/shared_lair_blurrg.iff');
INSERT INTO `template_items` VALUES ('5789', 'object/tangible/wearables/boots/shared_boots_s15.iff');
INSERT INTO `template_items` VALUES ('5790', 'object/tangible/medicine/crafted/shared_medpack_wound_quickness_d.iff');
INSERT INTO `template_items` VALUES ('5791', 'object/tangible/component/dna/shared_dna_template_brackaset.iff');
INSERT INTO `template_items` VALUES ('5792', 'object/tangible/ship/components/weapon_capacitor/shared_cap_incom_bjn825.iff');
INSERT INTO `template_items` VALUES ('5793', 'object/tangible/hair/twilek/shared_hair_twilek_female_s01.iff');
INSERT INTO `template_items` VALUES ('5794', 'object/tangible/hair/trandoshan/base/shared_hair_trandoshan_base.iff');
INSERT INTO `template_items` VALUES ('5795', 'object/tangible/ui/shared_ui_planet_rebel.iff');
INSERT INTO `template_items` VALUES ('5796', 'object/tangible/furniture/decorative/shared_slave_brazier.iff');
INSERT INTO `template_items` VALUES ('5797', 'object/tangible/component/structure/shared_weapon_mount_heavy_stabilization_unit.iff');
INSERT INTO `template_items` VALUES ('5798', 'object/tangible/region/shared_battlefield_marker.iff');
INSERT INTO `template_items` VALUES ('5799', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s02.iff');
INSERT INTO `template_items` VALUES ('5800', 'object/tangible/hair/human/shared_hair_human_female_s25.iff');
INSERT INTO `template_items` VALUES ('5801', 'object/tangible/encoded_disk/shared_message_assembled_base.iff');
INSERT INTO `template_items` VALUES ('5802', 'object/tangible/ship/components/booster/shared_bst_mission_reward_neutral_mandal_q_series.iff');
INSERT INTO `template_items` VALUES ('5803', 'object/tangible/lair/base/shared_poi_all_lair_leaf_medium.iff');
INSERT INTO `template_items` VALUES ('5804', 'object/tangible/wearables/bodysuit/shared_bodysuit_s08.iff');
INSERT INTO `template_items` VALUES ('5805', 'object/tangible/ship/components/armor/shared_arm_gallofree_mk2.iff');
INSERT INTO `template_items` VALUES ('5806', 'object/tangible/mission/quest_item/shared_didina_lippinoss_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5807', 'object/tangible/deed/event_perk/shared_rebel_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('5808', 'object/tangible/transport/shared_strut_a.iff');
INSERT INTO `template_items` VALUES ('5809', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_cloning.iff');
INSERT INTO `template_items` VALUES ('5810', 'object/tangible/ship/attachment/engine/shared_tieoppressor_engine_s01.iff');
INSERT INTO `template_items` VALUES ('5811', 'object/tangible/painting/shared_painting_freedom.iff');
INSERT INTO `template_items` VALUES ('5812', 'object/tangible/ship/crafted/chassis/shared_chassis_z95_cockpit.iff');
INSERT INTO `template_items` VALUES ('5813', 'object/tangible/mission/quest_item/shared_shalera_q6_needed.iff');
INSERT INTO `template_items` VALUES ('5814', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_elite.iff');
INSERT INTO `template_items` VALUES ('5815', 'object/tangible/ship/components/shield_generator/shared_shd_dual_deflector_s1.iff');
INSERT INTO `template_items` VALUES ('5816', 'object/tangible/painting/shared_painting_bestine_krayt_skeleton.iff');
INSERT INTO `template_items` VALUES ('5817', 'object/tangible/wearables/base/shared_base_pants.iff');
INSERT INTO `template_items` VALUES ('5818', 'object/tangible/lair/scurrier/shared_lair_scurrier.iff');
INSERT INTO `template_items` VALUES ('5819', 'object/tangible/ship/crafted/shields/shared_shield_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('5820', 'object/tangible/medicine/crafted/shared_medpack_disease_area_stamina_b.iff');
INSERT INTO `template_items` VALUES ('5821', 'object/tangible/food/crafted/shared_dish_gruuvan_shaal.iff');
INSERT INTO `template_items` VALUES ('5822', 'object/tangible/ship/components/booster/shared_bst_reward_incom_elite.iff');
INSERT INTO `template_items` VALUES ('5823', 'object/tangible/ship/components/reactor/shared_rct_slayn_vortex_mk3.iff');
INSERT INTO `template_items` VALUES ('5824', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_golden_flower_02.iff');
INSERT INTO `template_items` VALUES ('5825', 'object/tangible/ship/attachment/booster/shared_ykl37r_booster_s02.iff');
INSERT INTO `template_items` VALUES ('5826', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_neg_s01_0.iff');
INSERT INTO `template_items` VALUES ('5827', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_advanced.iff');
INSERT INTO `template_items` VALUES ('5828', 'object/tangible/ship/components/weapon/shared_wpn_sds_imperial_blaster_1.iff');
INSERT INTO `template_items` VALUES ('5829', 'object/tangible/ship/components/engine/shared_eng_cygnus_hd8.iff');
INSERT INTO `template_items` VALUES ('5830', 'object/tangible/medicine/crafted/shared_medpack_disease_area_quickness_c.iff');
INSERT INTO `template_items` VALUES ('5831', 'object/tangible/space/story_loot/shared_loot_dantooine_slave.iff');
INSERT INTO `template_items` VALUES ('5832', 'object/tangible/component/chemistry/shared_dispersal_mechanism_quest.iff');
INSERT INTO `template_items` VALUES ('5833', 'object/tangible/mission/quest_item/shared_serena_fenner_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5834', 'object/tangible/deed/city_deed/shared_cityhall_naboo_deed.iff');
INSERT INTO `template_items` VALUES ('5835', 'object/tangible/loot/quest/shared_huff_quest_corsec_badge.iff');
INSERT INTO `template_items` VALUES ('5836', 'object/tangible/terminal/shared_terminal_newbie_instrument.iff');
INSERT INTO `template_items` VALUES ('5837', 'object/tangible/powerup/weapon/shared_mine_explosive.iff');
INSERT INTO `template_items` VALUES ('5838', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01_lg.iff');
INSERT INTO `template_items` VALUES ('5839', 'object/tangible/fishing/fish/base/shared_fish_base.iff');
INSERT INTO `template_items` VALUES ('5840', 'object/tangible/travel/travel_ticket/base/shared_base_travel_ticket.iff');
INSERT INTO `template_items` VALUES ('5841', 'object/tangible/ship/components/engine/shared_eng_qualdex_kyromaster.iff');
INSERT INTO `template_items` VALUES ('5842', 'object/tangible/lair/gackle_bat/shared_lair_gackle_bat.iff');
INSERT INTO `template_items` VALUES ('5843', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_droid_interface_mk2.iff');
INSERT INTO `template_items` VALUES ('5844', 'object/tangible/camp/shared_camp_light_s3.iff');
INSERT INTO `template_items` VALUES ('5845', 'object/tangible/space/special_loot/shared_firespray_schematic_part8.iff');
INSERT INTO `template_items` VALUES ('5846', 'object/tangible/component/weapon/shared_vibro_unit_nightsister.iff');
INSERT INTO `template_items` VALUES ('5847', 'object/tangible/component/droid/shared_combat_module.iff');
INSERT INTO `template_items` VALUES ('5848', 'object/tangible/component/vehicle/shared_civilian_e.iff');
INSERT INTO `template_items` VALUES ('5849', 'object/tangible/furniture/plain/shared_plain_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('5850', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small.iff');
INSERT INTO `template_items` VALUES ('5851', 'object/tangible/furniture/modern/shared_dining_table_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('5852', 'object/tangible/lair/lantern_bird/shared_lair_lantern_bird.iff');
INSERT INTO `template_items` VALUES ('5853', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s11.iff');
INSERT INTO `template_items` VALUES ('5854', 'object/tangible/ship/components/weapon_capacitor/shared_cap_prototype_capacitor.iff');
INSERT INTO `template_items` VALUES ('5855', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s01_0.iff');
INSERT INTO `template_items` VALUES ('5856', 'object/tangible/hair/rodian/shared_hair_rodian_female_s17.iff');
INSERT INTO `template_items` VALUES ('5857', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_incom_supreme_interface.iff');
INSERT INTO `template_items` VALUES ('5858', 'object/tangible/hair/sullustan/shared_sul_hair_s04_f.iff');
INSERT INTO `template_items` VALUES ('5859', 'object/tangible/lair/base/shared_lair_base_rancor_light.iff');
INSERT INTO `template_items` VALUES ('5860', 'object/tangible/component/bio/shared_bio_component_food_heavy_quantity.iff');
INSERT INTO `template_items` VALUES ('5861', 'object/tangible/loot/misc/shared_ornamental_sconce.iff');
INSERT INTO `template_items` VALUES ('5862', 'object/tangible/mission/quest_item/shared_village_defenses.iff');
INSERT INTO `template_items` VALUES ('5863', 'object/tangible/ship/components/engine/shared_engine_surronian_a2.iff');
INSERT INTO `template_items` VALUES ('5864', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s05.iff');
INSERT INTO `template_items` VALUES ('5865', 'object/tangible/ship/crafted/armor/shared_armor_reinforcement_panel_mk4.iff');
INSERT INTO `template_items` VALUES ('5866', 'object/tangible/ship/components/engine/shared_eng_moncal_improved_heavy.iff');
INSERT INTO `template_items` VALUES ('5867', 'object/tangible/lair/flite_rasp/shared_lair_flite_rasp.iff');
INSERT INTO `template_items` VALUES ('5868', 'object/tangible/lair/structure/interior/shared_lair_cave_large_interior_with_nest_perlek.iff');
INSERT INTO `template_items` VALUES ('5869', 'object/tangible/deed/city_deed/shared_shuttleport_corellia_deed.iff');
INSERT INTO `template_items` VALUES ('5870', 'object/tangible/wearables/shoes/shared_shoes_s08.iff');
INSERT INTO `template_items` VALUES ('5871', 'object/tangible/wearables/armor/composite/shared_armor_composite_boots.iff');
INSERT INTO `template_items` VALUES ('5872', 'object/tangible/component/munition/shared_acklay_venom.iff');
INSERT INTO `template_items` VALUES ('5873', 'object/tangible/component/clothing/shared_trim.iff');
INSERT INTO `template_items` VALUES ('5874', 'object/tangible/mission/quest_item/shared_junelle_astor_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5875', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_neutral_rescue_01.iff');
INSERT INTO `template_items` VALUES ('5876', 'object/tangible/ship/components/engine/shared_eng_haor_chall_old_engine.iff');
INSERT INTO `template_items` VALUES ('5877', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_damage.iff');
INSERT INTO `template_items` VALUES ('5878', 'object/tangible/mission/quest_item/shared_jyr_koble_q3_needed.iff');
INSERT INTO `template_items` VALUES ('5879', 'object/tangible/lair/brackaset/shared_lair_brackaset_desert.iff');
INSERT INTO `template_items` VALUES ('5880', 'object/tangible/lair/falumpaset/shared_lair_falumpaset_grassland.iff');
INSERT INTO `template_items` VALUES ('5881', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('5882', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s01.iff');
INSERT INTO `template_items` VALUES ('5883', 'object/tangible/ship/crafted/reactor/shared_reactor_limiter_mk2.iff');
INSERT INTO `template_items` VALUES ('5884', 'object/tangible/ship/attachment/weapon/shared_corellian_corvette_turret_side_r.iff');
INSERT INTO `template_items` VALUES ('5885', 'object/tangible/deed/pet_deed/shared_shear_mite_deed.iff');
INSERT INTO `template_items` VALUES ('5886', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s06_0.iff');
INSERT INTO `template_items` VALUES ('5887', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_jacket.iff');
INSERT INTO `template_items` VALUES ('5888', 'object/tangible/wearables/earring/shared_earring_s03.iff');
INSERT INTO `template_items` VALUES ('5889', 'object/tangible/wearables/robe/shared_robe_jedi_dark_s04.iff');
INSERT INTO `template_items` VALUES ('5890', 'object/tangible/ship/attachment/booster/shared_awing_booster_s01.iff');
INSERT INTO `template_items` VALUES ('5891', 'object/tangible/ship/components/weapon/shared_wpn_moncal_light_blaster.iff');
INSERT INTO `template_items` VALUES ('5892', 'object/tangible/hair/human/shared_hair_human_female_s18.iff');
INSERT INTO `template_items` VALUES ('5893', 'object/tangible/lair/ronto/shared_lair_ronto_dune.iff');
INSERT INTO `template_items` VALUES ('5894', 'object/tangible/ship/components/reactor/shared_rct_slayn_hypertron_2k.iff');
INSERT INTO `template_items` VALUES ('5895', 'object/tangible/deed/city_deed/shared_garden_tatooine_lrg_04_deed.iff');
INSERT INTO `template_items` VALUES ('5896', 'object/tangible/component/droid/shared_socket_bank.iff');
INSERT INTO `template_items` VALUES ('5897', 'object/tangible/wearables/ithorian/shared_ith_belt_s04.iff');
INSERT INTO `template_items` VALUES ('5898', 'object/tangible/loot/misc/shared_mt_soup.iff');
INSERT INTO `template_items` VALUES ('5899', 'object/tangible/hair/rodian/shared_hair_rodian_male_s07.iff');
INSERT INTO `template_items` VALUES ('5900', 'object/tangible/component/chemistry/shared_biologic_effect_controller.iff');
INSERT INTO `template_items` VALUES ('5901', 'object/tangible/loot/simple_kit/shared_datapad_connectors.iff');
INSERT INTO `template_items` VALUES ('5902', 'object/tangible/medicine/crafted/shared_medpack_cure_disease_area_b.iff');
INSERT INTO `template_items` VALUES ('5903', 'object/tangible/skill_buff/shared_skill_buff_pistol_speed.iff');
INSERT INTO `template_items` VALUES ('5904', 'object/tangible/furniture/all/shared_frn_all_lamp_free_s03.iff');
INSERT INTO `template_items` VALUES ('5905', 'object/tangible/painting/shared_painting_twilek_m.iff');
INSERT INTO `template_items` VALUES ('5906', 'object/tangible/ship/components/engine/shared_eng_cygnus_hdx.iff');
INSERT INTO `template_items` VALUES ('5907', 'object/tangible/dungeon/death_watch_bunker/shared_gel_packet.iff');
INSERT INTO `template_items` VALUES ('5908', 'object/tangible/ship/components/weapon/shared_wpn_seinar_linked_cannon.iff');
INSERT INTO `template_items` VALUES ('5909', 'object/tangible/mission/shared_mission_informant_spawner_medium.iff');
INSERT INTO `template_items` VALUES ('5910', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk5.iff');
INSERT INTO `template_items` VALUES ('5911', 'object/tangible/wearables/pants/shared_pants_s32.iff');
INSERT INTO `template_items` VALUES ('5912', 'object/tangible/mission/quest_item/shared_borvo_q6_needed.iff');
INSERT INTO `template_items` VALUES ('5913', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('5914', 'object/tangible/mission/quest_item/shared_kritus_morven_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5915', 'object/tangible/component/weapon/shared_geonosian_solidifying_agent.iff');
INSERT INTO `template_items` VALUES ('5916', 'object/tangible/ship/components/reactor/shared_rct_kessel_imperial_kdy_powermaster.iff');
INSERT INTO `template_items` VALUES ('5917', 'object/tangible/ship/attachment/wing/shared_kse_firespray_struct_s01.iff');
INSERT INTO `template_items` VALUES ('5918', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_rebel_qualdex_integrated_array.iff');
INSERT INTO `template_items` VALUES ('5919', 'object/tangible/component/bio/shared_bio_component_clothing_casual_entertainer_2.iff');
INSERT INTO `template_items` VALUES ('5920', 'object/tangible/wearables/skirt/shared_skirt_s04.iff');
INSERT INTO `template_items` VALUES ('5921', 'object/tangible/painting/shared_bestine_history_quest_painting.iff');
INSERT INTO `template_items` VALUES ('5922', 'object/tangible/ship/crafted/armor/shared_heavy_durasteel_plating.iff');
INSERT INTO `template_items` VALUES ('5923', 'object/tangible/ship/crafted/engine/shared_engine_overdriver_mk2.iff');
INSERT INTO `template_items` VALUES ('5924', 'object/tangible/food/crafted/shared_dessert_para_roll.iff');
INSERT INTO `template_items` VALUES ('5925', 'object/tangible/hair/bothan/shared_hair_bothan_female_s05.iff');
INSERT INTO `template_items` VALUES ('5926', 'object/tangible/lair/hermit_spider/shared_lair_hermit_spider.iff');
INSERT INTO `template_items` VALUES ('5927', 'object/tangible/ship/crafted/chassis/shared_xwing_customization_kit.iff');
INSERT INTO `template_items` VALUES ('5928', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_krayt_skeleton.iff');
INSERT INTO `template_items` VALUES ('5929', 'object/tangible/food/crafted/shared_dish_dustcrepe.iff');
INSERT INTO `template_items` VALUES ('5930', 'object/tangible/furniture/technical/shared_end_table_s01.iff');
INSERT INTO `template_items` VALUES ('5931', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s01.iff');
INSERT INTO `template_items` VALUES ('5932', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('5933', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_rad_mk1.iff');
INSERT INTO `template_items` VALUES ('5934', 'object/tangible/ship/crafted/reverse_engineering/shared_shields_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('5935', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon1_s02.iff');
INSERT INTO `template_items` VALUES ('5936', 'object/tangible/food/crafted/shared_drink_gralinyn_juice.iff');
INSERT INTO `template_items` VALUES ('5937', 'object/tangible/furniture/all/shared_frn_all_light_lamp_free_s03.iff');
INSERT INTO `template_items` VALUES ('5938', 'object/tangible/loot/misc/shared_glass_heirloom_s01.iff');
INSERT INTO `template_items` VALUES ('5939', 'object/tangible/furniture/decorative/shared_tanning_hide_s02.iff');
INSERT INTO `template_items` VALUES ('5940', 'object/tangible/scout/camp/shared_camp_elite.iff');
INSERT INTO `template_items` VALUES ('5941', 'object/tangible/deed/faction_perk/turret/shared_tower_lg_deed.iff');
INSERT INTO `template_items` VALUES ('5942', 'object/tangible/ship/crafted/capacitor/shared_extended_life_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('5943', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('5944', 'object/tangible/ship/components/shield_generator/shared_shd_unknown_holosteel_x2.iff');
INSERT INTO `template_items` VALUES ('5945', 'object/tangible/ship/components/droid_interface/shared_ddi_generic.iff');
INSERT INTO `template_items` VALUES ('5946', 'object/tangible/wearables/necklace/shared_necklace_ice_pendant.iff');
INSERT INTO `template_items` VALUES ('5947', 'object/tangible/ship/attachment/weapon/shared_lambda_turret.iff');
INSERT INTO `template_items` VALUES ('5948', 'object/tangible/medicine/crafted/shared_medpack_enhance_quickness_d.iff');
INSERT INTO `template_items` VALUES ('5949', 'object/tangible/loot/quest/shared_schematic_carbine_e11_quest.iff');
INSERT INTO `template_items` VALUES ('5950', 'object/tangible/hair/sullustan/shared_sul_hair_s09_f.iff');
INSERT INTO `template_items` VALUES ('5951', 'object/tangible/lair/eopie/shared_lair_eopie_wasteland.iff');
INSERT INTO `template_items` VALUES ('5952', 'object/tangible/test/shared_test_barrel_a.iff');
INSERT INTO `template_items` VALUES ('5953', 'object/tangible/ship/components/booster/shared_bst_incom_enhanced_mynock.iff');
INSERT INTO `template_items` VALUES ('5954', 'object/tangible/gem/shared_armor.iff');
INSERT INTO `template_items` VALUES ('5955', 'object/tangible/loot/quest/shared_sean_questp_mdisk.iff');
INSERT INTO `template_items` VALUES ('5956', 'object/tangible/component/droid/shared_advanced_droid_frame.iff');
INSERT INTO `template_items` VALUES ('5957', 'object/tangible/furniture/decorative/shared_bottle_pear.iff');
INSERT INTO `template_items` VALUES ('5958', 'object/tangible/wearables/shirt/shared_singing_mountain_clan_shirt_s02.iff');
INSERT INTO `template_items` VALUES ('5959', 'object/tangible/ship/components/droid_interface/shared_ddi_rendili_imperator_2.iff');
INSERT INTO `template_items` VALUES ('5960', 'object/tangible/veteran_reward/shared_frn_tech_console_sectional_c.iff');
INSERT INTO `template_items` VALUES ('5961', 'object/tangible/deed/vehicle_deed/shared_landspeeder_av21_deed.iff');
INSERT INTO `template_items` VALUES ('5962', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s02_lg.iff');
INSERT INTO `template_items` VALUES ('5963', 'object/tangible/wearables/robe/shared_robe_jedi_light_s04.iff');
INSERT INTO `template_items` VALUES ('5964', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_bracer_r.iff');
INSERT INTO `template_items` VALUES ('5965', 'object/tangible/food/crafted/shared_drink_kylessian_fruit_distillate.iff');
INSERT INTO `template_items` VALUES ('5966', 'object/tangible/hair/sullustan/shared_sul_hair_s06_m.iff');
INSERT INTO `template_items` VALUES ('5967', 'object/tangible/food/spice/shared_spice_neutron_pixey.iff');
INSERT INTO `template_items` VALUES ('5968', 'object/tangible/component/droid/shared_item_storage_module_4.iff');
INSERT INTO `template_items` VALUES ('5969', 'object/tangible/component/bio/shared_bio_component_food_heavy_nutrition.iff');
INSERT INTO `template_items` VALUES ('5970', 'object/tangible/space/story_loot/shared_loot_dantooine_imp2.iff');
INSERT INTO `template_items` VALUES ('5971', 'object/tangible/hair/human/shared_hair_human_male_s10.iff');
INSERT INTO `template_items` VALUES ('5972', 'object/tangible/wearables/ring/shared_ring_s03.iff');
INSERT INTO `template_items` VALUES ('5973', 'object/tangible/ship/components/reactor/shared_rct_seinar_level2.iff');
INSERT INTO `template_items` VALUES ('5974', 'object/tangible/deed/pet_deed/shared_deed_r5_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('5975', 'object/tangible/mission/quest_item/shared_brantlee_spondoon_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5976', 'object/tangible/medicine/crafted/shared_medpack_poison_area_action_c.iff');
INSERT INTO `template_items` VALUES ('5977', 'object/tangible/furniture/decorative/shared_stuffed_fish.iff');
INSERT INTO `template_items` VALUES ('5978', 'object/tangible/ship/crafted/droid_interface/shared_maintenance_reduction_kit_mk2.iff');
INSERT INTO `template_items` VALUES ('5979', 'object/tangible/jedi/shared_force_shrine_stone.iff');
INSERT INTO `template_items` VALUES ('5980', 'object/tangible/food/crafted/shared_drink_aludium_pu36.iff');
INSERT INTO `template_items` VALUES ('5981', 'object/tangible/powerup/weapon/shared_ranged_scope.iff');
INSERT INTO `template_items` VALUES ('5982', 'object/tangible/component/weapon/shared_corvette_rifle_barrel.iff');
INSERT INTO `template_items` VALUES ('5983', 'object/tangible/ship/components/armor/shared_arm_moncal_elite_weave.iff');
INSERT INTO `template_items` VALUES ('5984', 'object/tangible/veteran_reward/shared_frn_couch_falcon_corner_s01.iff');
INSERT INTO `template_items` VALUES ('5985', 'object/tangible/ship/attachment/weapon/shared_merchant_cruiser_medium_turret_base_s01.iff');
INSERT INTO `template_items` VALUES ('5986', 'object/tangible/ship/components/droid_interface/shared_ddi_incom_enhanced_droid_interface_mk4.iff');
INSERT INTO `template_items` VALUES ('5987', 'object/tangible/ship/components/reactor/shared_rct_freitek_performance_level1.iff');
INSERT INTO `template_items` VALUES ('5988', 'object/tangible/ship/interior_components/shared_missile_launcher_interior.iff');
INSERT INTO `template_items` VALUES ('5989', 'object/tangible/space/content_infrastructure/shared_wave_spawner.iff');
INSERT INTO `template_items` VALUES ('5990', 'object/tangible/wearables/ithorian/shared_ith_skirt_s03.iff');
INSERT INTO `template_items` VALUES ('5991', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_elite_mk5.iff');
INSERT INTO `template_items` VALUES ('5992', 'object/tangible/furniture/modern/shared_couch_modern_style_02.iff');
INSERT INTO `template_items` VALUES ('5993', 'object/tangible/hopper/shared_manufacture_installation_output_hopper_1.iff');
INSERT INTO `template_items` VALUES ('5994', 'object/tangible/mission/quest_item/shared_noren_krast_q1_needed.iff');
INSERT INTO `template_items` VALUES ('5995', 'object/tangible/lair/kaitok/shared_lair_kaitok_wasteland.iff');
INSERT INTO `template_items` VALUES ('5996', 'object/tangible/lair/huurton/shared_lair_huurton_grassland.iff');
INSERT INTO `template_items` VALUES ('5997', 'object/tangible/crafting/station/shared_armor_repair.iff');
INSERT INTO `template_items` VALUES ('5998', 'object/tangible/food/crafted/shared_drink_corellian_ale.iff');
INSERT INTO `template_items` VALUES ('5999', 'object/tangible/ship/crafted/weapon/shared_armor_effectiveness_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('6000', 'object/tangible/deed/turret_deed/shared_turret_block_medium_deed.iff');
INSERT INTO `template_items` VALUES ('6001', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_capitol.iff');
INSERT INTO `template_items` VALUES ('6002', 'object/tangible/ship/components/armor/shared_arm_koensayr_thick_advanced_durasteel.iff');
INSERT INTO `template_items` VALUES ('6003', 'object/tangible/lair/colo_claw_fish/shared_lair_colo_claw_fish_underwater.iff');
INSERT INTO `template_items` VALUES ('6004', 'object/tangible/hair/human/shared_hair_human_male_s41.iff');
INSERT INTO `template_items` VALUES ('6005', 'object/tangible/lair/base/shared_lair_base_imperial_guard.iff');
INSERT INTO `template_items` VALUES ('6006', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_chest_plate.iff');
INSERT INTO `template_items` VALUES ('6007', 'object/tangible/ship/components/shield_generator/shared_shd_seinar_reflector_elite.iff');
INSERT INTO `template_items` VALUES ('6008', 'object/tangible/component/bio/shared_bio_component_food_heavy_flavor.iff');
INSERT INTO `template_items` VALUES ('6009', 'object/tangible/hair/human/shared_hair_human_male_s39.iff');
INSERT INTO `template_items` VALUES ('6010', 'object/tangible/hair/rodian/shared_hair_rodian_female_s03.iff');
INSERT INTO `template_items` VALUES ('6011', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s05.iff');
INSERT INTO `template_items` VALUES ('6012', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('6013', 'object/tangible/ship/crafted/shields/shared_shield_energy_saver_kit_mk3.iff');
INSERT INTO `template_items` VALUES ('6014', 'object/tangible/furniture/tatooine/shared_frn_tato_fruit_stand_small_style_01.iff');
INSERT INTO `template_items` VALUES ('6015', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_engineering_key.iff');
INSERT INTO `template_items` VALUES ('6016', 'object/tangible/terminal/shared_terminal_cloning.iff');
INSERT INTO `template_items` VALUES ('6017', 'object/tangible/loot/dungeon/death_watch_bunker/shared_mining_drill_reward.iff');
INSERT INTO `template_items` VALUES ('6018', 'object/tangible/lair/langlatch/shared_lair_langlatch.iff');
INSERT INTO `template_items` VALUES ('6019', 'object/tangible/ship/components/engine/shared_eng_rendili_elite.iff');
INSERT INTO `template_items` VALUES ('6020', 'object/tangible/mission/shared_mission_datadisk.iff');
INSERT INTO `template_items` VALUES ('6021', 'object/tangible/wearables/wookiee/shared_wke_gloves_s02.iff');
INSERT INTO `template_items` VALUES ('6022', 'object/tangible/mission/quest_item/shared_vurlene_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6023', 'object/tangible/component/item/shared_electronics_gp_module.iff');
INSERT INTO `template_items` VALUES ('6024', 'object/tangible/lair/spined_puc/shared_lair_spined_puc.iff');
INSERT INTO `template_items` VALUES ('6025', 'object/tangible/wearables/base/shared_base_skirt.iff');
INSERT INTO `template_items` VALUES ('6026', 'object/tangible/mission/quest_item/shared_mal_sikander_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6027', 'object/tangible/ship/attachment/engine/shared_hutt_medium_engine_s02.iff');
INSERT INTO `template_items` VALUES ('6028', 'object/tangible/ship/components/armor/shared_arm_sorosuub_advanced_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6029', 'object/tangible/furniture/tatooine/shared_frn_tato_meat_rack.iff');
INSERT INTO `template_items` VALUES ('6030', 'object/tangible/loot/simple_kit/shared_powder_pack.iff');
INSERT INTO `template_items` VALUES ('6031', 'object/tangible/lair/ray/shared_lair_ray_underwater.iff');
INSERT INTO `template_items` VALUES ('6032', 'object/tangible/ship/attachment/wing/shared_lambda_wing_r.iff');
INSERT INTO `template_items` VALUES ('6033', 'object/tangible/droid/shared_navicomputer_3.iff');
INSERT INTO `template_items` VALUES ('6034', 'object/tangible/lair/stintaril/shared_lair_stintaril_jungle.iff');
INSERT INTO `template_items` VALUES ('6035', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6036', 'object/tangible/painting/shared_painting_bestine_house.iff');
INSERT INTO `template_items` VALUES ('6037', 'object/tangible/item/plant/shared_force_melon.iff');
INSERT INTO `template_items` VALUES ('6038', 'object/tangible/transport/shared_transport.iff');
INSERT INTO `template_items` VALUES ('6039', 'object/tangible/deed/harvester_deed/shared_harvester_creature_deed.iff');
INSERT INTO `template_items` VALUES ('6040', 'object/tangible/lair/base/shared_poi_all_lair_bones_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6041', 'object/tangible/wearables/goggles/shared_goggles_s02.iff');
INSERT INTO `template_items` VALUES ('6042', 'object/tangible/hair/human/shared_hair_human_female_s31.iff');
INSERT INTO `template_items` VALUES ('6043', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon2_s04.iff');
INSERT INTO `template_items` VALUES ('6044', 'object/tangible/component/droid/shared_medic_module_base.iff');
INSERT INTO `template_items` VALUES ('6045', 'object/tangible/ship/crafted/booster/shared_fast_charge_fuel_cell_mk2.iff');
INSERT INTO `template_items` VALUES ('6046', 'object/tangible/ship/components/weapon/shared_wpn_sfs_improved_imperial_blaster_2.iff');
INSERT INTO `template_items` VALUES ('6047', 'object/tangible/sign/municipal/shared_municipal_sign_hanging_hospital.iff');
INSERT INTO `template_items` VALUES ('6048', 'object/tangible/component/bio/shared_base_bio_component_clothing_formal.iff');
INSERT INTO `template_items` VALUES ('6049', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s05_0.iff');
INSERT INTO `template_items` VALUES ('6050', 'object/tangible/wearables/armor/bounty_hunter/shared_armor_bounty_hunter_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6051', 'object/tangible/loot/loot_schematic/shared_chemical_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('6052', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s03_1.iff');
INSERT INTO `template_items` VALUES ('6053', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_special_forces.iff');
INSERT INTO `template_items` VALUES ('6054', 'object/tangible/wearables/hat/shared_singing_mountain_clan_hat_s01.iff');
INSERT INTO `template_items` VALUES ('6055', 'object/tangible/component/droid/shared_medic_module_1.iff');
INSERT INTO `template_items` VALUES ('6056', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_male_s07.iff');
INSERT INTO `template_items` VALUES ('6057', 'object/tangible/component/dna/shared_dna_template_pugoriss.iff');
INSERT INTO `template_items` VALUES ('6058', 'object/tangible/mission/quest_item/shared_talon_karrde_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6059', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_dye.iff');
INSERT INTO `template_items` VALUES ('6060', 'object/tangible/ship/components/engine/shared_eng_incom_improved_fusialthrust_2.iff');
INSERT INTO `template_items` VALUES ('6061', 'object/tangible/ship/components/weapon_capacitor/shared_cap_qualdex_conservator_qx1.iff');
INSERT INTO `template_items` VALUES ('6062', 'object/tangible/location/shared_location_96.iff');
INSERT INTO `template_items` VALUES ('6063', 'object/tangible/ship/attachment/booster/shared_hutt_medium_booster_s01.iff');
INSERT INTO `template_items` VALUES ('6064', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6065', 'object/tangible/lair/base/shared_poi_all_lair_dead_log_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('6066', 'object/tangible/lair/malkloc/shared_lair_malkloc_desert.iff');
INSERT INTO `template_items` VALUES ('6067', 'object/tangible/base/shared_tangible_base.iff');
INSERT INTO `template_items` VALUES ('6068', 'object/tangible/wearables/necklace/shared_necklace_reebo_charm.iff');
INSERT INTO `template_items` VALUES ('6069', 'object/tangible/lair/vynock/shared_lair_vynock.iff');
INSERT INTO `template_items` VALUES ('6070', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_2.iff');
INSERT INTO `template_items` VALUES ('6071', 'object/tangible/ship/components/engine/shared_eng_kessel_rebel_novaldex_grb1138.iff');
INSERT INTO `template_items` VALUES ('6072', 'object/tangible/hair/human/shared_hair_human_male_s04.iff');
INSERT INTO `template_items` VALUES ('6073', 'object/tangible/furniture/cheap/shared_chest_s01.iff');
INSERT INTO `template_items` VALUES ('6074', 'object/tangible/component/droid/shared_harvest_module_base.iff');
INSERT INTO `template_items` VALUES ('6075', 'object/tangible/ship/crafted/capacitor/shared_heavy_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('6076', 'object/tangible/lair/rebel/shared_lair_rebel_npc.iff');
INSERT INTO `template_items` VALUES ('6077', 'object/tangible/ship/components/droid_interface/shared_ddi_z95_basic.iff');
INSERT INTO `template_items` VALUES ('6078', 'object/tangible/lair/stintaril/shared_lair_stintaril_swamp.iff');
INSERT INTO `template_items` VALUES ('6079', 'object/tangible/medicine/crafted/shared_medpack_disease_area_action_a.iff');
INSERT INTO `template_items` VALUES ('6080', 'object/tangible/furniture/modern/shared_rug_oval_sml_s01.iff');
INSERT INTO `template_items` VALUES ('6081', 'object/tangible/component/droid/shared_droid_interplanetary_survey.iff');
INSERT INTO `template_items` VALUES ('6082', 'object/tangible/painting/shared_painting_rodian_f_ad_01.iff');
INSERT INTO `template_items` VALUES ('6083', 'object/tangible/ship/components/armor/shared_arm_rendili_tough_plate.iff');
INSERT INTO `template_items` VALUES ('6084', 'object/tangible/ship/attachment/weapon/shared_decimator_turret_base.iff');
INSERT INTO `template_items` VALUES ('6085', 'object/tangible/ship/components/engine/shared_eng_incom_fusialthrust_2.iff');
INSERT INTO `template_items` VALUES ('6086', 'object/tangible/wearables/jacket/shared_jacket_s14.iff');
INSERT INTO `template_items` VALUES ('6087', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon_pos_s02_0.iff');
INSERT INTO `template_items` VALUES ('6088', 'object/tangible/trophy/shared_shisa_decorative_s01.iff');
INSERT INTO `template_items` VALUES ('6089', 'object/tangible/ship/crafted/capacitor/shared_advanced_capacitor_battery.iff');
INSERT INTO `template_items` VALUES ('6090', 'object/tangible/ship/components/weapon/shared_wpn_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('6091', 'object/tangible/painting/shared_painting_leia_wanted.iff');
INSERT INTO `template_items` VALUES ('6092', 'object/tangible/furniture/all/shared_frn_all_couch_lg_s2.iff');
INSERT INTO `template_items` VALUES ('6093', 'object/tangible/component/weapon/shared_weapon_carbine_laser_stock.iff');
INSERT INTO `template_items` VALUES ('6094', 'object/tangible/wearables/ithorian/shared_ith_underwear_top.iff');
INSERT INTO `template_items` VALUES ('6095', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_neg_s04_1.iff');
INSERT INTO `template_items` VALUES ('6096', 'object/tangible/furniture/decorative/shared_hanging_planter.iff');
INSERT INTO `template_items` VALUES ('6097', 'object/tangible/component/shared_blaster_pistol_barrel.iff');
INSERT INTO `template_items` VALUES ('6098', 'object/tangible/medicine/crafted/shared_medpack_damage_c.iff');
INSERT INTO `template_items` VALUES ('6099', 'object/tangible/space/story_loot/shared_loot_dantooine_rebel.iff');
INSERT INTO `template_items` VALUES ('6100', 'object/tangible/ship/components/reactor/shared_rct_subpro_special_dyna2.iff');
INSERT INTO `template_items` VALUES ('6101', 'object/tangible/ship/components/booster/shared_bst_subpro_modified_accelatron_mk4.iff');
INSERT INTO `template_items` VALUES ('6102', 'object/tangible/furniture/all/shared_frn_all_desk_radar_topology_screen.iff');
INSERT INTO `template_items` VALUES ('6103', 'object/tangible/ship/components/booster/shared_bst_generic.iff');
INSERT INTO `template_items` VALUES ('6104', 'object/tangible/ship/crafted/droid_interface/shared_advanced_ship_circuitry.iff');
INSERT INTO `template_items` VALUES ('6105', 'object/tangible/mission/quest_item/shared_surlin_rolei_q1_recruitment_disk.iff');
INSERT INTO `template_items` VALUES ('6106', 'object/tangible/deed/pet_deed/shared_bordok_deed.iff');
INSERT INTO `template_items` VALUES ('6107', 'object/tangible/loot/misc/shared_sports_award_s01.iff');
INSERT INTO `template_items` VALUES ('6108', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_experimental.iff');
INSERT INTO `template_items` VALUES ('6109', 'object/tangible/medicine/crafted/shared_medpack_blinded_b.iff');
INSERT INTO `template_items` VALUES ('6110', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_jungle.iff');
INSERT INTO `template_items` VALUES ('6111', 'object/tangible/deed/generator_deed/shared_generator_fusion_deed.iff');
INSERT INTO `template_items` VALUES ('6112', 'object/tangible/wearables/base/shared_base_shirt_poofysleeve_lower.iff');
INSERT INTO `template_items` VALUES ('6113', 'object/tangible/ship/crafted/engine/shared_eng_mk2.iff');
INSERT INTO `template_items` VALUES ('6114', 'object/tangible/lair/corellian_slice_hound/shared_lair_corellian_slice_hound_grassland.iff');
INSERT INTO `template_items` VALUES ('6115', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon3_s02.iff');
INSERT INTO `template_items` VALUES ('6116', 'object/tangible/lair/base/shared_poi_all_lair_leaf_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6117', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bracer_r_schematic.iff');
INSERT INTO `template_items` VALUES ('6118', 'object/tangible/loot/misc/shared_loot_skull_krayt1.iff');
INSERT INTO `template_items` VALUES ('6119', 'object/tangible/ship/crafted/repair/shared_repair_kit_droid_interface.iff');
INSERT INTO `template_items` VALUES ('6120', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon2_pos_s02_0.iff');
INSERT INTO `template_items` VALUES ('6121', 'object/tangible/component/armor/shared_heavy_armor_layer_cold.iff');
INSERT INTO `template_items` VALUES ('6122', 'object/tangible/medicine/pet/shared_droid_damage_kit_d.iff');
INSERT INTO `template_items` VALUES ('6123', 'object/tangible/component/droid/shared_performer_effects_d.iff');
INSERT INTO `template_items` VALUES ('6124', 'object/tangible/wearables/base/shared_base_robe_longsleeve.iff');
INSERT INTO `template_items` VALUES ('6125', 'object/tangible/medicine/pet/shared_droid_wound_kit_b.iff');
INSERT INTO `template_items` VALUES ('6126', 'object/tangible/hair/bothan/shared_hair_bothan_female_s11.iff');
INSERT INTO `template_items` VALUES ('6127', 'object/tangible/ship/components/armor/shared_armor_baktoid_spider_shell_g2.iff');
INSERT INTO `template_items` VALUES ('6128', 'object/tangible/ship/components/engine/shared_eng_z95_basic.iff');
INSERT INTO `template_items` VALUES ('6129', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon1_s03.iff');
INSERT INTO `template_items` VALUES ('6130', 'object/tangible/wearables/shirt/shared_shirt_s08.iff');
INSERT INTO `template_items` VALUES ('6131', 'object/tangible/space/spacestations/shared_spacestation_rebel_battlefield_control.iff');
INSERT INTO `template_items` VALUES ('6132', 'object/tangible/mission/quest_item/shared_green_laser_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6133', 'object/tangible/ship/crafted/shields/shared_shield_overcharger_mk3.iff');
INSERT INTO `template_items` VALUES ('6134', 'object/tangible/mission/quest_item/shared_vurlene_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6135', 'object/tangible/component/vehicle/shared_adv_hvy_blaster_power_handler.iff');
INSERT INTO `template_items` VALUES ('6136', 'object/tangible/ship/components/weapon_capacitor/shared_cap_moncal_enhanced_advanced.iff');
INSERT INTO `template_items` VALUES ('6137', 'object/tangible/bug_jar/shared_craftable_bug_habitat.iff');
INSERT INTO `template_items` VALUES ('6138', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_dynamo_mk2.iff');
INSERT INTO `template_items` VALUES ('6139', 'object/tangible/mission/quest_item/shared_surlin_rolei_q6_spy_report.iff');
INSERT INTO `template_items` VALUES ('6140', 'object/tangible/loot/collectible/collectible_parts/shared_fs_tracking_device_case_01.iff');
INSERT INTO `template_items` VALUES ('6141', 'object/tangible/ship/components/engine/shared_eng_sds_limited_imperial_1.iff');
INSERT INTO `template_items` VALUES ('6142', 'object/tangible/ship/components/booster/shared_bst_mandal_jbj_mk1.iff');
INSERT INTO `template_items` VALUES ('6143', 'object/tangible/loot/loot_schematic/shared_geonosian_acklay_bone_armor_schematic.iff');
INSERT INTO `template_items` VALUES ('6144', 'object/tangible/wearables/skirt/shared_skirt_s10.iff');
INSERT INTO `template_items` VALUES ('6145', 'object/tangible/loot/loot_schematic/shared_creature_recycler_schematic.iff');
INSERT INTO `template_items` VALUES ('6146', 'object/tangible/wearables/belt/shared_belt_s14.iff');
INSERT INTO `template_items` VALUES ('6147', 'object/tangible/component/armor/shared_armor_layer.iff');
INSERT INTO `template_items` VALUES ('6148', 'object/tangible/deed/event_perk/shared_party_stage_theater_deed.iff');
INSERT INTO `template_items` VALUES ('6149', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('6150', 'object/tangible/deed/generator_deed/shared_generator_wind_deed.iff');
INSERT INTO `template_items` VALUES ('6151', 'object/tangible/wearables/pants/shared_pants_s26.iff');
INSERT INTO `template_items` VALUES ('6152', 'object/tangible/furniture/imperial/shared_warren_computer_terminal.iff');
INSERT INTO `template_items` VALUES ('6153', 'object/tangible/hair/sullustan/shared_sul_hair_s02_m.iff');
INSERT INTO `template_items` VALUES ('6154', 'object/tangible/component/armor/shared_armor_layer_restraint.iff');
INSERT INTO `template_items` VALUES ('6155', 'object/tangible/terminal/shared_test.iff');
INSERT INTO `template_items` VALUES ('6156', 'object/tangible/terminal/shared_terminal_geo_bunker.iff');
INSERT INTO `template_items` VALUES ('6157', 'object/tangible/lair/kwi/shared_lair_kwi_forest.iff');
INSERT INTO `template_items` VALUES ('6158', 'object/tangible/component/weapon/shared_scope_weapon_sm_s04.iff');
INSERT INTO `template_items` VALUES ('6159', 'object/tangible/terminal/shared_terminal_nym_cave.iff');
INSERT INTO `template_items` VALUES ('6160', 'object/tangible/ship/interior_components/shared_hyperdrive_interior.iff');
INSERT INTO `template_items` VALUES ('6161', 'object/tangible/deed/pet_deed/shared_narglatch_deed.iff');
INSERT INTO `template_items` VALUES ('6162', 'object/tangible/hair/rodian/shared_hair_rodian_male_s13.iff');
INSERT INTO `template_items` VALUES ('6163', 'object/tangible/loot/quest/shared_victor_questn_hlist.iff');
INSERT INTO `template_items` VALUES ('6164', 'object/tangible/medicine/crafted/shared_medpack_enhance_health_c.iff');
INSERT INTO `template_items` VALUES ('6165', 'object/tangible/ship/crafted/reverse_engineering/shared_capacitor_analysis_tool.iff');
INSERT INTO `template_items` VALUES ('6166', 'object/tangible/wearables/base/shared_base_pauldron_l.iff');
INSERT INTO `template_items` VALUES ('6167', 'object/tangible/ship/components/booster/shared_bst_moncal_deluxe_standard.iff');
INSERT INTO `template_items` VALUES ('6168', 'object/tangible/mission/quest_item/shared_sayama_edosun_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6169', 'object/tangible/medicine/crafted/shared_medpack_enhance_poison_c.iff');
INSERT INTO `template_items` VALUES ('6170', 'object/tangible/wearables/armor/stormtrooper/shared_armor_stormtrooper_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6171', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt13.iff');
INSERT INTO `template_items` VALUES ('6172', 'object/tangible/loot/misc/shared_picture_handheld_s02.iff');
INSERT INTO `template_items` VALUES ('6173', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s15.iff');
INSERT INTO `template_items` VALUES ('6174', 'object/tangible/sign/player/shared_shop_sign_s01.iff');
INSERT INTO `template_items` VALUES ('6175', 'object/tangible/lair/base/shared_poi_all_lair_garbage_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6176', 'object/tangible/deed/city_deed/shared_shuttleport_tatooine_deed.iff');
INSERT INTO `template_items` VALUES ('6177', 'object/tangible/medicine/crafted/shared_medpack_disease_focus_b.iff');
INSERT INTO `template_items` VALUES ('6178', 'object/tangible/scout/trap/shared_trap_enraging_spur.iff');
INSERT INTO `template_items` VALUES ('6179', 'object/tangible/wearables/ithorian/shared_ith_shirt_s03.iff');
INSERT INTO `template_items` VALUES ('6180', 'object/tangible/loot/tool/shared_datapad_broken.iff');
INSERT INTO `template_items` VALUES ('6181', 'object/tangible/ship/crafted/shields/shared_shield_limiter_mk5.iff');
INSERT INTO `template_items` VALUES ('6182', 'object/tangible/wearables/hat/shared_nightsister_hat_s01.iff');
INSERT INTO `template_items` VALUES ('6183', 'object/tangible/component/shared_scope_weapon.iff');
INSERT INTO `template_items` VALUES ('6184', 'object/tangible/mission/quest_item/shared_sayama_edosun_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6185', 'object/tangible/ship/attachment/weapon/shared_bwing_weapon2l_s01.iff');
INSERT INTO `template_items` VALUES ('6186', 'object/tangible/firework/shared_firework_five.iff');
INSERT INTO `template_items` VALUES ('6187', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_deluxe_mk4.iff');
INSERT INTO `template_items` VALUES ('6188', 'object/tangible/ship/components/booster/shared_bst_incom_elite_sls_1.iff');
INSERT INTO `template_items` VALUES ('6189', 'object/tangible/ship/components/reactor/shared_rct_rendili_type7.iff');
INSERT INTO `template_items` VALUES ('6190', 'object/tangible/mission/quest_item/shared_noren_krast_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6191', 'object/tangible/food/crafted/shared_dish_karkan_ribenes.iff');
INSERT INTO `template_items` VALUES ('6192', 'object/tangible/medicine/crafted/shared_medpack_wound_stamina_e.iff');
INSERT INTO `template_items` VALUES ('6193', 'object/tangible/camp/shared_camp_spit_s1.iff');
INSERT INTO `template_items` VALUES ('6194', 'object/tangible/slicing/shared_slicing_laser_knife.iff');
INSERT INTO `template_items` VALUES ('6195', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_spacebomb_missile_mk1.iff');
INSERT INTO `template_items` VALUES ('6196', 'object/tangible/ship/components/weapon/shared_wpn_hk_scorcher_3.iff');
INSERT INTO `template_items` VALUES ('6197', 'object/tangible/lair/corellian_sand_panther/shared_lair_corellian_sand_panther_grassland.iff');
INSERT INTO `template_items` VALUES ('6198', 'object/tangible/ship/crafted/chassis/shared_base_deed.iff');
INSERT INTO `template_items` VALUES ('6199', 'object/tangible/medicine/crafted/shared_medpack_intimidated_a.iff');
INSERT INTO `template_items` VALUES ('6200', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_deluxe_ion_accelerator.iff');
INSERT INTO `template_items` VALUES ('6201', 'object/tangible/ship/components/engine/shared_xwing_engine_s02_test.iff');
INSERT INTO `template_items` VALUES ('6202', 'object/tangible/furniture/decorative/shared_bubble_tank.iff');
INSERT INTO `template_items` VALUES ('6203', 'object/tangible/wearables/dress/shared_dress_s23.iff');
INSERT INTO `template_items` VALUES ('6204', 'object/tangible/deed/pet_deed/shared_dalyrake_deed.iff');
INSERT INTO `template_items` VALUES ('6205', 'object/tangible/mission/quest_item/shared_megan_drlar_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6206', 'object/tangible/location/shared_location_64.iff');
INSERT INTO `template_items` VALUES ('6207', 'object/tangible/medicine/crafted/shared_medpack_wound_action_a.iff');
INSERT INTO `template_items` VALUES ('6208', 'object/tangible/ship/attachment/weapon/shared_blacksun_light_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('6209', 'object/tangible/furniture/imperial/shared_warren_evidence_terminal_s04.iff');
INSERT INTO `template_items` VALUES ('6210', 'object/tangible/loot/simple_kit/shared_recovery_software.iff');
INSERT INTO `template_items` VALUES ('6211', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_fusion_reactor_1.iff');
INSERT INTO `template_items` VALUES ('6212', 'object/tangible/ship/components/armor/shared_arm_kse_elite_durasteel.iff');
INSERT INTO `template_items` VALUES ('6213', 'object/tangible/loot/simple_kit/shared_picture_printer.iff');
INSERT INTO `template_items` VALUES ('6214', 'object/tangible/component/structure/shared_weapon_high_power_module.iff');
INSERT INTO `template_items` VALUES ('6215', 'object/tangible/scout/camokit/shared_camokit_lok.iff');
INSERT INTO `template_items` VALUES ('6216', 'object/tangible/lair/faa/shared_lair_faa.iff');
INSERT INTO `template_items` VALUES ('6217', 'object/tangible/deed/pet_deed/shared_ikopi_deed.iff');
INSERT INTO `template_items` VALUES ('6218', 'object/tangible/hair/human/shared_hair_human_male_s30.iff');
INSERT INTO `template_items` VALUES ('6219', 'object/tangible/loot/collectible/kits/shared_gong_kit.iff');
INSERT INTO `template_items` VALUES ('6220', 'object/tangible/lair/condor_dragon/shared_lair_condor_dragon_forest.iff');
INSERT INTO `template_items` VALUES ('6221', 'object/tangible/component/droid/shared_crafting_module_structure.iff');
INSERT INTO `template_items` VALUES ('6222', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_helmet.iff');
INSERT INTO `template_items` VALUES ('6223', 'object/tangible/ship/components/booster/shared_bst_rss_special.iff');
INSERT INTO `template_items` VALUES ('6224', 'object/tangible/wearables/base/shared_base_robe_longsleeve_hooded.iff');
INSERT INTO `template_items` VALUES ('6225', 'object/tangible/hair/human/shared_hair_human_female_s40.iff');
INSERT INTO `template_items` VALUES ('6226', 'object/tangible/wearables/bodysuit/shared_bodysuit_s15.iff');
INSERT INTO `template_items` VALUES ('6227', 'object/tangible/terminal/shared_terminal_mission_artisan.iff');
INSERT INTO `template_items` VALUES ('6228', 'object/tangible/hair/human/shared_hair_human_female_s38.iff');
INSERT INTO `template_items` VALUES ('6229', 'object/tangible/furniture/modern/shared_bar_piece_curve_s2.iff');
INSERT INTO `template_items` VALUES ('6230', 'object/tangible/wearables/necklace/shared_necklace_s12.iff');
INSERT INTO `template_items` VALUES ('6231', 'object/tangible/ship/components/droid_interface/shared_ddi_seinar_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('6232', 'object/tangible/ship/crafted/engine/shared_base_engine_subcomponent_mk3.iff');
INSERT INTO `template_items` VALUES ('6233', 'object/tangible/deed/event_perk/shared_npc_actor_deed.iff');
INSERT INTO `template_items` VALUES ('6234', 'object/tangible/deed/pet_deed/shared_deed_power_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('6235', 'object/tangible/wearables/ithorian/shared_ith_pants_s17.iff');
INSERT INTO `template_items` VALUES ('6236', 'object/tangible/ship/components/weapon/shared_wpn_koensayr_ion_accelerator_advanced.iff');
INSERT INTO `template_items` VALUES ('6237', 'object/tangible/ship/crafted/reactor/shared_base_reactor_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('6238', 'object/tangible/ship/components/weapon/shared_wpn_sds_elite.iff');
INSERT INTO `template_items` VALUES ('6239', 'object/tangible/lair/chuba/shared_lair_chuba.iff');
INSERT INTO `template_items` VALUES ('6240', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite_2.iff');
INSERT INTO `template_items` VALUES ('6241', 'object/tangible/lair/murra/shared_lair_murra_mountain.iff');
INSERT INTO `template_items` VALUES ('6242', 'object/tangible/deed/event_perk/shared_imperial_recruiter_deed.iff');
INSERT INTO `template_items` VALUES ('6243', 'object/tangible/medicine/crafted/shared_medpack_enhance_strength_c.iff');
INSERT INTO `template_items` VALUES ('6244', 'object/tangible/ship/crafted/chassis/shared_tie_light_duty_deed.iff');
INSERT INTO `template_items` VALUES ('6245', 'object/tangible/medicine/pet/shared_droid_stimpack_a.iff');
INSERT INTO `template_items` VALUES ('6246', 'object/tangible/crafting/station/shared_droid_repair.iff');
INSERT INTO `template_items` VALUES ('6247', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon3_s03.iff');
INSERT INTO `template_items` VALUES ('6248', 'object/tangible/wearables/belt/shared_belt_s20.iff');
INSERT INTO `template_items` VALUES ('6249', 'object/tangible/wearables/pants/shared_pants_s12.iff');
INSERT INTO `template_items` VALUES ('6250', 'object/tangible/ship/crafted/engine/shared_engine_limiter_mk5.iff');
INSERT INTO `template_items` VALUES ('6251', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s04_lg.iff');
INSERT INTO `template_items` VALUES ('6252', 'object/tangible/wearables/bracelet/shared_bracelet_s02_l.iff');
INSERT INTO `template_items` VALUES ('6253', 'object/tangible/mission/quest_item/shared_aaph_koden_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6254', 'object/tangible/wearables/vest/shared_vest_s02.iff');
INSERT INTO `template_items` VALUES ('6255', 'object/tangible/terminal/shared_terminal_mission_bounty.iff');
INSERT INTO `template_items` VALUES ('6256', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_bicep_l_schematic.iff');
INSERT INTO `template_items` VALUES ('6257', 'object/tangible/deed/faction_perk/hq/shared_hq_s02.iff');
INSERT INTO `template_items` VALUES ('6258', 'object/tangible/dungeon/death_watch_bunker/shared_filter_dispenser.iff');
INSERT INTO `template_items` VALUES ('6259', 'object/tangible/wearables/necklace/shared_bestine_quest_badge.iff');
INSERT INTO `template_items` VALUES ('6260', 'object/tangible/ship/components/booster/shared_bst_reward_kuat_elite.iff');
INSERT INTO `template_items` VALUES ('6261', 'object/tangible/deed/pet_deed/shared_deed_r4_advanced_basic.iff');
INSERT INTO `template_items` VALUES ('6262', 'object/tangible/wearables/ithorian/shared_ith_jacket_s05.iff');
INSERT INTO `template_items` VALUES ('6263', 'object/tangible/droid/shared_navicomputer_base.iff');
INSERT INTO `template_items` VALUES ('6264', 'object/tangible/veteran_reward/shared_frn_vet_darth_vader_toy.iff');
INSERT INTO `template_items` VALUES ('6265', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_red.iff');
INSERT INTO `template_items` VALUES ('6266', 'object/tangible/wearables/base/shared_base_gauntlets.iff');
INSERT INTO `template_items` VALUES ('6267', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon2_s05.iff');
INSERT INTO `template_items` VALUES ('6268', 'object/tangible/ship/crafted/chassis/shared_chassis_xwing_wing_l.iff');
INSERT INTO `template_items` VALUES ('6269', 'object/tangible/ship/components/reactor/shared_rct_kse_supreme.iff');
INSERT INTO `template_items` VALUES ('6270', 'object/tangible/wearables/gloves/shared_gloves_s10.iff');
INSERT INTO `template_items` VALUES ('6271', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_launcher_proton_mk3.iff');
INSERT INTO `template_items` VALUES ('6272', 'object/tangible/mission/quest_item/shared_talon_karrde_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6273', 'object/tangible/lair/fanned_rawl/shared_lair_fanned_rawl.iff');
INSERT INTO `template_items` VALUES ('6274', 'object/tangible/ship/attachment/weapon/shared_blacksun_medium_weapon2_s06.iff');
INSERT INTO `template_items` VALUES ('6275', 'object/tangible/component/munition/shared_warhead_chemical.iff');
INSERT INTO `template_items` VALUES ('6276', 'object/tangible/wearables/ithorian/shared_ith_dress_s03.iff');
INSERT INTO `template_items` VALUES ('6277', 'object/tangible/deed/pet_deed/shared_vehicular_prototype.iff');
INSERT INTO `template_items` VALUES ('6278', 'object/tangible/ship/components/reactor/shared_rct_sds_special_forces_1.iff');
INSERT INTO `template_items` VALUES ('6279', 'object/tangible/wearables/base/shared_base_bandolier.iff');
INSERT INTO `template_items` VALUES ('6280', 'object/tangible/camp/shared_camp_tent_s3.iff');
INSERT INTO `template_items` VALUES ('6281', 'object/tangible/ship/attachment/engine/shared_tieinterceptor_engine_s01.iff');
INSERT INTO `template_items` VALUES ('6282', 'object/tangible/loot/loot_schematic/shared_agitator_motor_schematic.iff');
INSERT INTO `template_items` VALUES ('6283', 'object/tangible/ship/components/armor/shared_arm_koensayr_enhanced_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('6284', 'object/tangible/ship/interior_components/shared_alarm_interior.iff');
INSERT INTO `template_items` VALUES ('6285', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_boots.iff');
INSERT INTO `template_items` VALUES ('6286', 'object/tangible/lair/bolma/shared_lair_bolma.iff');
INSERT INTO `template_items` VALUES ('6287', 'object/tangible/deed/pet_deed/shared_thune_deed.iff');
INSERT INTO `template_items` VALUES ('6288', 'object/tangible/beta/shared_donham_terminal.iff');
INSERT INTO `template_items` VALUES ('6289', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird.iff');
INSERT INTO `template_items` VALUES ('6290', 'object/tangible/component/armor/shared_armor_layer_blast.iff');
INSERT INTO `template_items` VALUES ('6291', 'object/tangible/component/bio/shared_bio_component_clothing_casual_training_2.iff');
INSERT INTO `template_items` VALUES ('6292', 'object/tangible/ship/attachment/weapon/shared_hutt_light_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('6293', 'object/tangible/component/bio/shared_bio_component_clothing_field_intimidate_2.iff');
INSERT INTO `template_items` VALUES ('6294', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_krayt.iff');
INSERT INTO `template_items` VALUES ('6295', 'object/tangible/wearables/jacket/shared_jacket_ace_privateer.iff');
INSERT INTO `template_items` VALUES ('6296', 'object/tangible/ship/components/droid_interface/shared_ddi_qualdex_modified_droid_interface_mk3.iff');
INSERT INTO `template_items` VALUES ('6297', 'object/tangible/lair/structure/exterior/shared_lair_cave_medium_exterior_gurk.iff');
INSERT INTO `template_items` VALUES ('6298', 'object/tangible/ship/components/reactor/shared_rct_mandal_dxr4.iff');
INSERT INTO `template_items` VALUES ('6299', 'object/tangible/loot/misc/shared_slave_collar.iff');
INSERT INTO `template_items` VALUES ('6300', 'object/tangible/ship/attachment/weapon/shared_smuggler_warlord_ship_turret_s02.iff');
INSERT INTO `template_items` VALUES ('6301', 'object/tangible/ship/crafted/armor/shared_mass_reduction_kit_mk1.iff');
INSERT INTO `template_items` VALUES ('6302', 'object/tangible/food/base/shared_dish_base.iff');
INSERT INTO `template_items` VALUES ('6303', 'object/tangible/component/weapon/shared_melee_core_enhancement.iff');
INSERT INTO `template_items` VALUES ('6304', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bandolier.iff');
INSERT INTO `template_items` VALUES ('6305', 'object/tangible/ship/components/armor/shared_arm_mandal_heavy_composite.iff');
INSERT INTO `template_items` VALUES ('6306', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_flexshield_ks7.iff');
INSERT INTO `template_items` VALUES ('6307', 'object/tangible/ship/interior_components/shared_escape_pod_hatch.iff');
INSERT INTO `template_items` VALUES ('6308', 'object/tangible/deed/vehicle_deed/shared_vehicular_prototype_deed.iff');
INSERT INTO `template_items` VALUES ('6309', 'object/tangible/lair/base/shared_poi_all_lair_brambles_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('6310', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_special_powermaster_mk1.iff');
INSERT INTO `template_items` VALUES ('6311', 'object/tangible/food/spice/shared_spice_scramjet.iff');
INSERT INTO `template_items` VALUES ('6312', 'object/tangible/vendor/shared_vendor_terminal_fancy.iff');
INSERT INTO `template_items` VALUES ('6313', 'object/tangible/lair/whisper_bird/shared_lair_whisper_bird_jungle.iff');
INSERT INTO `template_items` VALUES ('6314', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_deed.iff');
INSERT INTO `template_items` VALUES ('6315', 'object/tangible/mission/quest_item/shared_current_alternator.iff');
INSERT INTO `template_items` VALUES ('6316', 'object/tangible/lair/horned_krevol/shared_lair_horned_krevol.iff');
INSERT INTO `template_items` VALUES ('6317', 'object/tangible/furniture/all/shared_frn_all_technical_console_s02.iff');
INSERT INTO `template_items` VALUES ('6318', 'object/tangible/component/vehicle/shared_military_a.iff');
INSERT INTO `template_items` VALUES ('6319', 'object/tangible/lair/kupernug/shared_lair_kupernug_mountain.iff');
INSERT INTO `template_items` VALUES ('6320', 'object/tangible/mission/quest_item/shared_vurlene_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6321', 'object/tangible/food/foraged/shared_edible_jar_funk.iff');
INSERT INTO `template_items` VALUES ('6322', 'object/tangible/ship/components/booster/shared_bst_kessel_rebel_mandal_lightning_m1.iff');
INSERT INTO `template_items` VALUES ('6323', 'object/tangible/ship/crafted/chassis/shared_decimator_deed.iff');
INSERT INTO `template_items` VALUES ('6324', 'object/tangible/deed/player_house_deed/shared_naboo_house_medium_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('6325', 'object/tangible/ship/crafted/droid_interface/shared_droid_brain_upgrade_mk4.iff');
INSERT INTO `template_items` VALUES ('6326', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bracer_l_schematic.iff');
INSERT INTO `template_items` VALUES ('6327', 'object/tangible/lair/base/shared_poi_all_lair_warren_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6328', 'object/tangible/furniture/all/shared_frn_all_decorative_sm_s1.iff');
INSERT INTO `template_items` VALUES ('6329', 'object/tangible/lair/swirl_prong/shared_lair_swirl_prong.iff');
INSERT INTO `template_items` VALUES ('6330', 'object/tangible/ship/components/shield_generator/shared_shd_cygnus_mk3.iff');
INSERT INTO `template_items` VALUES ('6331', 'object/tangible/deed/event_perk/shared_test_npc_deed.iff');
INSERT INTO `template_items` VALUES ('6332', 'object/tangible/lair/tybis/shared_lair_tybis_grassland.iff');
INSERT INTO `template_items` VALUES ('6333', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_sm_s07_lg.iff');
INSERT INTO `template_items` VALUES ('6334', 'object/tangible/component/food/secrets/shared_secret_base.iff');
INSERT INTO `template_items` VALUES ('6335', 'object/tangible/ship/customization/shared_xwing_thruster_neg_s02.iff');
INSERT INTO `template_items` VALUES ('6336', 'object/tangible/droid_battery/base/shared_base_battery.iff');
INSERT INTO `template_items` VALUES ('6337', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_elite.iff');
INSERT INTO `template_items` VALUES ('6338', 'object/tangible/lair/base/shared_poi_all_lair_rock_shelter_large.iff');
INSERT INTO `template_items` VALUES ('6339', 'object/tangible/deed/harvester_deed/shared_harvester_flora_deed_heavy.iff');
INSERT INTO `template_items` VALUES ('6340', 'object/tangible/component/armor/shared_bone_fragment_woolamander_harrower.iff');
INSERT INTO `template_items` VALUES ('6341', 'object/tangible/dungeon/death_watch_bunker/shared_workbench.iff');
INSERT INTO `template_items` VALUES ('6342', 'object/tangible/wearables/base/shared_base_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6343', 'object/tangible/medicine/crafted/shared_medpack_poison_health_a.iff');
INSERT INTO `template_items` VALUES ('6344', 'object/tangible/hair/bothan/shared_hair_bothan_female_s18.iff');
INSERT INTO `template_items` VALUES ('6345', 'object/tangible/deed/player_house_deed/shared_naboo_house_small_style_02_deed.iff');
INSERT INTO `template_items` VALUES ('6346', 'object/tangible/furniture/all/shared_frn_all_plant_potted_lg_s4.iff');
INSERT INTO `template_items` VALUES ('6347', 'object/tangible/lair/peko_peko/shared_lair_peko_peko_swamp.iff');
INSERT INTO `template_items` VALUES ('6348', 'object/tangible/component/vehicle/shared_command_center.iff');
INSERT INTO `template_items` VALUES ('6349', 'object/tangible/lair/corellian_butterfly/shared_lair_corellian_butterfly_mountain.iff');
INSERT INTO `template_items` VALUES ('6350', 'object/tangible/food/spice/shared_spice_grey_gabaki.iff');
INSERT INTO `template_items` VALUES ('6351', 'object/tangible/medicine/pet/shared_droid_vitapack_c.iff');
INSERT INTO `template_items` VALUES ('6352', 'object/tangible/wearables/bandolier/shared_bandolier_s03.iff');
INSERT INTO `template_items` VALUES ('6353', 'object/tangible/test/shared_test_jwatson.iff');
INSERT INTO `template_items` VALUES ('6354', 'object/tangible/component/vehicle/shared_fuel_b.iff');
INSERT INTO `template_items` VALUES ('6355', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6356', 'object/tangible/lair/falumpaset/shared_lair_falumpaset.iff');
INSERT INTO `template_items` VALUES ('6357', 'object/tangible/ship/attachment/wing/shared_blacksun_heavy_wing_s01.iff');
INSERT INTO `template_items` VALUES ('6358', 'object/tangible/hair/human/shared_hair_human_female_s05.iff');
INSERT INTO `template_items` VALUES ('6359', 'object/tangible/lair/laa/shared_lair_laa_underwater.iff');
INSERT INTO `template_items` VALUES ('6360', 'object/tangible/wearables/ithorian/shared_ith_bandolier_s05.iff');
INSERT INTO `template_items` VALUES ('6361', 'object/tangible/ship/components/shield_generator/shared_shd_mandalor_flexshield_ks3.iff');
INSERT INTO `template_items` VALUES ('6362', 'object/tangible/mission/quest_item/shared_noren_krast_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6363', 'object/tangible/loot/loot_schematic/shared_slave_brazier_schematic.iff');
INSERT INTO `template_items` VALUES ('6364', 'object/tangible/food/crafted/shared_dish_soypro.iff');
INSERT INTO `template_items` VALUES ('6365', 'object/tangible/wearables/ithorian/shared_ith_necklace_s10.iff');
INSERT INTO `template_items` VALUES ('6366', 'object/tangible/hair/bothan/shared_hair_bothan_male_s07.iff');
INSERT INTO `template_items` VALUES ('6367', 'object/tangible/ship/components/booster/shared_bst_corellian_elite_thrust_enhancer.iff');
INSERT INTO `template_items` VALUES ('6368', 'object/tangible/veteran_reward/one_year_anniversary/shared_painting_05.iff');
INSERT INTO `template_items` VALUES ('6369', 'object/tangible/ship/components/shield_generator/shared_shd_kse_mk3.iff');
INSERT INTO `template_items` VALUES ('6370', 'object/tangible/mission/quest_item/shared_sayama_edosun_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6371', 'object/tangible/furniture/city/shared_streetlamp_med_green_01.iff');
INSERT INTO `template_items` VALUES ('6372', 'object/tangible/wearables/ithorian/shared_ith_belt_s19.iff');
INSERT INTO `template_items` VALUES ('6373', 'object/tangible/food/crafted/shared_dessert_air_cake.iff');
INSERT INTO `template_items` VALUES ('6374', 'object/tangible/ship/components/weapon/shared_wpn_incom_tt8.iff');
INSERT INTO `template_items` VALUES ('6375', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_helmet_schematic.iff');
INSERT INTO `template_items` VALUES ('6376', 'object/tangible/terminal/shared_terminal_bounty_droid.iff');
INSERT INTO `template_items` VALUES ('6377', 'object/tangible/terminal/shared_terminal_player_structure.iff');
INSERT INTO `template_items` VALUES ('6378', 'object/tangible/medicine/crafted/shared_medpack_wound_constitution_a.iff');
INSERT INTO `template_items` VALUES ('6379', 'object/tangible/space/story_loot/shared_loot_dantooine_force.iff');
INSERT INTO `template_items` VALUES ('6380', 'object/tangible/ship/components/engine/shared_engine_cygnus_hd7.iff');
INSERT INTO `template_items` VALUES ('6381', 'object/tangible/loot/simple_kit/shared_datadisk.iff');
INSERT INTO `template_items` VALUES ('6382', 'object/tangible/container/loot/shared_placable_loot_crate_tech_chest.iff');
INSERT INTO `template_items` VALUES ('6383', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_defiant_c3.iff');
INSERT INTO `template_items` VALUES ('6384', 'object/tangible/ship/components/booster/shared_bst_koensayr_advanced.iff');
INSERT INTO `template_items` VALUES ('6385', 'object/tangible/ship/attachment/weapon/shared_hutt_heavy_weapon1_s04.iff');
INSERT INTO `template_items` VALUES ('6386', 'object/tangible/deed/pet_deed/shared_kusak_deed.iff');
INSERT INTO `template_items` VALUES ('6387', 'object/tangible/ship/components/engine/shared_eng_novaldex_x9.iff');
INSERT INTO `template_items` VALUES ('6388', 'object/tangible/ship/components/weapon/shared_wpn_kessel_imperial_sfs_elite_ops.iff');
INSERT INTO `template_items` VALUES ('6389', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_neg_s01_1.iff');
INSERT INTO `template_items` VALUES ('6390', 'object/tangible/component/munition/shared_ammo_projectile.iff');
INSERT INTO `template_items` VALUES ('6391', 'object/tangible/lair/salt_mynock/shared_lair_salt_mynock_wasteland.iff');
INSERT INTO `template_items` VALUES ('6392', 'object/tangible/loot/misc/shared_loot_krayt_foot.iff');
INSERT INTO `template_items` VALUES ('6393', 'object/tangible/furniture/all/shared_frn_all_light_death_watch.iff');
INSERT INTO `template_items` VALUES ('6394', 'object/tangible/crafting/station/shared_clothing_repair.iff');
INSERT INTO `template_items` VALUES ('6395', 'object/tangible/lair/base/shared_poi_all_lair_rocks_large_fog_gray.iff');
INSERT INTO `template_items` VALUES ('6396', 'object/tangible/wearables/pants/shared_pants_s02.iff');
INSERT INTO `template_items` VALUES ('6397', 'object/tangible/lair/pharple/shared_lair_pharple_wasteland.iff');
INSERT INTO `template_items` VALUES ('6398', 'object/tangible/deed/faction_perk/turret/shared_dish_lg_deed.iff');
INSERT INTO `template_items` VALUES ('6399', 'object/tangible/wearables/armor/bone/shared_armor_bone_s01_gloves.iff');
INSERT INTO `template_items` VALUES ('6400', 'object/tangible/furniture/all/shared_frn_all_lamp_tbl_s01.iff');
INSERT INTO `template_items` VALUES ('6401', 'object/tangible/loot/collectible/collectible_parts/shared_gong_structure_06.iff');
INSERT INTO `template_items` VALUES ('6402', 'object/tangible/wearables/jacket/shared_jacket_ace_imperial.iff');
INSERT INTO `template_items` VALUES ('6403', 'object/tangible/loot/dungeon/death_watch_bunker/shared_jetpack_base.iff');
INSERT INTO `template_items` VALUES ('6404', 'object/tangible/wearables/ithorian/shared_ith_jacket_s15.iff');
INSERT INTO `template_items` VALUES ('6405', 'object/tangible/ship/crafted/engine/shared_std_fuel_regulation.iff');
INSERT INTO `template_items` VALUES ('6406', 'object/tangible/datapad/shared_droid_datapad_5.iff');
INSERT INTO `template_items` VALUES ('6407', 'object/tangible/lair/kusak/shared_lair_kusak.iff');
INSERT INTO `template_items` VALUES ('6408', 'object/tangible/loot/bestine/shared_bestine_painting_schematic_boffa.iff');
INSERT INTO `template_items` VALUES ('6409', 'object/tangible/component/droid/shared_r2_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('6410', 'object/tangible/ship/components/weapon/shared_wpn_mandal_heavy_annihilator.iff');
INSERT INTO `template_items` VALUES ('6411', 'object/tangible/medicine/crafted/shared_medpack_enhance_action_a.iff');
INSERT INTO `template_items` VALUES ('6412', 'object/tangible/furniture/jedi/shared_frn_all_table_dark_01.iff');
INSERT INTO `template_items` VALUES ('6413', 'object/tangible/component/bio/shared_bio_component_food_light_flavor.iff');
INSERT INTO `template_items` VALUES ('6414', 'object/tangible/medicine/shared_medpack_stunned.iff');
INSERT INTO `template_items` VALUES ('6415', 'object/tangible/ship/crafted/engine/shared_hyperdrive_class3.iff');
INSERT INTO `template_items` VALUES ('6416', 'object/tangible/ship/components/booster/shared_bst_sorosuub_improved_liberator_mk2.iff');
INSERT INTO `template_items` VALUES ('6417', 'object/tangible/medicine/shared_medpack_enhance_constitution.iff');
INSERT INTO `template_items` VALUES ('6418', 'object/tangible/ship/components/shield_generator/shared_shd_armek_plasma_shell_s1.iff');
INSERT INTO `template_items` VALUES ('6419', 'object/tangible/loot/quest/shared_schematic_pistol_fwg5_quest.iff');
INSERT INTO `template_items` VALUES ('6420', 'object/tangible/wearables/necklace/shared_necklace_s02.iff');
INSERT INTO `template_items` VALUES ('6421', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_dk3.iff');
INSERT INTO `template_items` VALUES ('6422', 'object/tangible/wearables/base/shared_base_held_both.iff');
INSERT INTO `template_items` VALUES ('6423', 'object/tangible/loot/misc/shared_firework_dud_s2.iff');
INSERT INTO `template_items` VALUES ('6424', 'object/tangible/lair/base/shared_poi_all_lair_rocks_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6425', 'object/tangible/loot/loot_schematic/shared_pitcher_full_schematic.iff');
INSERT INTO `template_items` VALUES ('6426', 'object/tangible/loot/collectible/collectible_parts/shared_sculpture_structure_01.iff');
INSERT INTO `template_items` VALUES ('6427', 'object/tangible/food/crafted/shared_drink_ruby_bliel.iff');
INSERT INTO `template_items` VALUES ('6428', 'object/tangible/food/crafted/shared_drink_veronian_berry_wine.iff');
INSERT INTO `template_items` VALUES ('6429', 'object/tangible/furniture/modern/shared_sofa_chair_modern_style_01.iff');
INSERT INTO `template_items` VALUES ('6430', 'object/tangible/ship/components/droid_interface/shared_ddi_kessel_imperial_cygnus_dp44.iff');
INSERT INTO `template_items` VALUES ('6431', 'object/tangible/medicine/shared_medpack_grenade_area.iff');
INSERT INTO `template_items` VALUES ('6432', 'object/tangible/wearables/armor/kashyyykian_hunting/shared_armor_kashyyykian_hunting_leggings.iff');
INSERT INTO `template_items` VALUES ('6433', 'object/tangible/skill_buff/shared_skill_buff_pistol_accuracy.iff');
INSERT INTO `template_items` VALUES ('6434', 'object/tangible/wearables/ithorian/shared_ith_pants_s07.iff');
INSERT INTO `template_items` VALUES ('6435', 'object/tangible/ship/components/shield_generator/shared_shd_koensayr_deflector_elite.iff');
INSERT INTO `template_items` VALUES ('6436', 'object/tangible/lair/structure/interior/shared_lair_hive_medium_interior_dalyrake.iff');
INSERT INTO `template_items` VALUES ('6437', 'object/tangible/furniture/all/shared_frn_all_toolchest_lg_s01.iff');
INSERT INTO `template_items` VALUES ('6438', 'object/tangible/hopper/manufacturing_facility_hopper/shared_manufacture_installation_ingredient_hopper_medium.iff');
INSERT INTO `template_items` VALUES ('6439', 'object/tangible/wearables/backpack/shared_backpack_s01.iff');
INSERT INTO `template_items` VALUES ('6440', 'object/tangible/component/droid/shared_data_storage_module_3.iff');
INSERT INTO `template_items` VALUES ('6441', 'object/tangible/component/weapon/shared_galven_tube_circuits.iff');
INSERT INTO `template_items` VALUES ('6442', 'object/tangible/space/story_loot/shared_loot_template.iff');
INSERT INTO `template_items` VALUES ('6443', 'object/tangible/hair/sullustan/shared_sul_hair_s13_m.iff');
INSERT INTO `template_items` VALUES ('6444', 'object/tangible/wearables/dress/shared_dress_s33.iff');
INSERT INTO `template_items` VALUES ('6445', 'object/tangible/terminal/shared_terminal_water_pressure.iff');
INSERT INTO `template_items` VALUES ('6446', 'object/tangible/furniture/technical/shared_cabinet_s01.iff');
INSERT INTO `template_items` VALUES ('6447', 'object/tangible/medicine/crafted/shared_medpack_disease_constitution_a.iff');
INSERT INTO `template_items` VALUES ('6448', 'object/tangible/hair/bothan/base/shared_hair_bothan_male_base.iff');
INSERT INTO `template_items` VALUES ('6449', 'object/tangible/loot/quest/shared_lance_nightsister_schematic.iff');
INSERT INTO `template_items` VALUES ('6450', 'object/tangible/medicine/shared_medpack_revive.iff');
INSERT INTO `template_items` VALUES ('6451', 'object/tangible/painting/shared_painting_waterfall.iff');
INSERT INTO `template_items` VALUES ('6452', 'object/tangible/ship/crafted/reactor/shared_advanced_power_distributor.iff');
INSERT INTO `template_items` VALUES ('6453', 'object/tangible/furniture/all/shared_frn_all_professor_desk.iff');
INSERT INTO `template_items` VALUES ('6454', 'object/tangible/wearables/ithorian/shared_ith_gloves_s02.iff');
INSERT INTO `template_items` VALUES ('6455', 'object/tangible/dungeon/shared_wall_terminal_s1.iff');
INSERT INTO `template_items` VALUES ('6456', 'object/tangible/newbie_tutorial/shared_debris.iff');
INSERT INTO `template_items` VALUES ('6457', 'object/tangible/ship/components/weapon/shared_wpn_mission_reward_neutral_mandal_light_blaster.iff');
INSERT INTO `template_items` VALUES ('6458', 'object/tangible/space/special_loot/shared_firespray_schematic_part5.iff');
INSERT INTO `template_items` VALUES ('6459', 'object/tangible/mission/quest_item/shared_diax_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6460', 'object/tangible/food/spice/shared_spice_sedative_h4b.iff');
INSERT INTO `template_items` VALUES ('6461', 'object/tangible/ship/components/shield_generator/shared_shd_mandal_protector_mk1.iff');
INSERT INTO `template_items` VALUES ('6462', 'object/tangible/mission/quest_item/shared_warren_device_encryption_key.iff');
INSERT INTO `template_items` VALUES ('6463', 'object/tangible/ship/attachment/engine/shared_tiebomber_engine_s01.iff');
INSERT INTO `template_items` VALUES ('6464', 'object/tangible/wearables/ithorian/shared_ith_bodysuit_s03.iff');
INSERT INTO `template_items` VALUES ('6465', 'object/tangible/ship/crafted/reactor/shared_base_reactor.iff');
INSERT INTO `template_items` VALUES ('6466', 'object/tangible/wearables/robe/shared_robe_s27.iff');
INSERT INTO `template_items` VALUES ('6467', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_light.iff');
INSERT INTO `template_items` VALUES ('6468', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bicep_r.iff');
INSERT INTO `template_items` VALUES ('6469', 'object/tangible/deed/vehicle_deed/shared_speederbike_deed.iff');
INSERT INTO `template_items` VALUES ('6470', 'object/tangible/hair/human/shared_hair_human_male_s20.iff');
INSERT INTO `template_items` VALUES ('6471', 'object/tangible/ship/components/armor/shared_arm_corellian_modified_heavy_durasteel.iff');
INSERT INTO `template_items` VALUES ('6472', 'object/tangible/loot/misc/shared_basket_expensive_s01.iff');
INSERT INTO `template_items` VALUES ('6473', 'object/tangible/wearables/armor/marauder/shared_armor_marauder_s03_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6474', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_refined_crystal_pack.iff');
INSERT INTO `template_items` VALUES ('6475', 'object/tangible/deed/base/shared_pet_droid_deed_base.iff');
INSERT INTO `template_items` VALUES ('6476', 'object/tangible/component/armor/shared_armor_segment_kashyyykian_black_mtn_advanced.iff');
INSERT INTO `template_items` VALUES ('6477', 'object/tangible/medicine/crafted/shared_medpack_disease_area_health_c.iff');
INSERT INTO `template_items` VALUES ('6478', 'object/tangible/component/armor/shared_shield_generator_vehicular.iff');
INSERT INTO `template_items` VALUES ('6479', 'object/tangible/ship/crafted/booster/shared_extended_life_fuel_cell_mk2.iff');
INSERT INTO `template_items` VALUES ('6480', 'object/tangible/ship/attachment/weapon/shared_awing_weapon_s05.iff');
INSERT INTO `template_items` VALUES ('6481', 'object/tangible/painting/shared_painting_bestine_rainbow_berry_bush.iff');
INSERT INTO `template_items` VALUES ('6482', 'object/tangible/wearables/ithorian/shared_ith_shirt_s13.iff');
INSERT INTO `template_items` VALUES ('6483', 'object/tangible/lair/merek/shared_lair_merek_swamp.iff');
INSERT INTO `template_items` VALUES ('6484', 'object/tangible/loot/simple_kit/shared_datapad_backlight.iff');
INSERT INTO `template_items` VALUES ('6485', 'object/tangible/deed/corellia/player_house_deed/shared_corellia_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('6486', 'object/tangible/food/crafted/shared_dessert_citros_snow_cake.iff');
INSERT INTO `template_items` VALUES ('6487', 'object/tangible/ship/crafted/repair/shared_repair_kit_chassis.iff');
INSERT INTO `template_items` VALUES ('6488', 'object/tangible/ship/components/weapon_capacitor/shared_cap_koensayr_tuned_mk3.iff');
INSERT INTO `template_items` VALUES ('6489', 'object/tangible/ship/components/armor/shared_arm_sds_triplate_system.iff');
INSERT INTO `template_items` VALUES ('6490', 'object/tangible/component/weapon/shared_acklay_bone_reinforcement_core.iff');
INSERT INTO `template_items` VALUES ('6491', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_elite_mk5.iff');
INSERT INTO `template_items` VALUES ('6492', 'object/tangible/lair/kittle/shared_lair_kittle_grassland.iff');
INSERT INTO `template_items` VALUES ('6493', 'object/tangible/lair/perlek/shared_lair_perlek_grassland.iff');
INSERT INTO `template_items` VALUES ('6494', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s04_deed.iff');
INSERT INTO `template_items` VALUES ('6495', 'object/tangible/ship/components/weapon_capacitor/shared_cap_kse_mk3.iff');
INSERT INTO `template_items` VALUES ('6496', 'object/tangible/ship/components/weapon/shared_wpn_incom_heavy_quad_blaster.iff');
INSERT INTO `template_items` VALUES ('6497', 'object/tangible/wearables/armor/marine/shared_armor_marine_leggings.iff');
INSERT INTO `template_items` VALUES ('6498', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_barrel_s01.iff');
INSERT INTO `template_items` VALUES ('6499', 'object/tangible/wearables/ithorian/shared_ith_dress_short_s01.iff');
INSERT INTO `template_items` VALUES ('6500', 'object/tangible/component/weapon/shared_geonosian_power_cube_base.iff');
INSERT INTO `template_items` VALUES ('6501', 'object/tangible/ship/attachment/weapon/shared_hutt_medium_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('6502', 'object/tangible/ship/attachment/weapon/shared_star_destroyer_mini_turret_base.iff');
INSERT INTO `template_items` VALUES ('6503', 'object/tangible/ship/components/weapon/shared_wpn_z95_basic.iff');
INSERT INTO `template_items` VALUES ('6504', 'object/tangible/ship/components/droid_interface/shared_ddi_sorosuub_elite.iff');
INSERT INTO `template_items` VALUES ('6505', 'object/tangible/lair/bordok/shared_lair_bordok_mountain.iff');
INSERT INTO `template_items` VALUES ('6506', 'object/tangible/lair/reptilian_flyer/shared_lair_reptilian_flyer_mountain.iff');
INSERT INTO `template_items` VALUES ('6507', 'object/tangible/lair/qurvel/shared_lair_qurvel_mountain.iff');
INSERT INTO `template_items` VALUES ('6508', 'object/tangible/hair/human/shared_hair_human_female_s15.iff');
INSERT INTO `template_items` VALUES ('6509', 'object/tangible/component/structure/shared_light_ore_mining_unit.iff');
INSERT INTO `template_items` VALUES ('6510', 'object/tangible/wearables/bikini/shared_bikini_s02.iff');
INSERT INTO `template_items` VALUES ('6511', 'object/tangible/hair/bothan/shared_hair_bothan_male_s17.iff');
INSERT INTO `template_items` VALUES ('6512', 'object/tangible/lair/plumed_rasp/shared_lair_plumed_rasp_mountain.iff');
INSERT INTO `template_items` VALUES ('6513', 'object/tangible/recycler/shared_ore_recycler.iff');
INSERT INTO `template_items` VALUES ('6514', 'object/tangible/wearables/ithorian/shared_ith_belt_s09.iff');
INSERT INTO `template_items` VALUES ('6515', 'object/tangible/furniture/all/shared_frn_all_potted_plants_sml_s03.iff');
INSERT INTO `template_items` VALUES ('6516', 'object/tangible/ship/components/engine/shared_eng_qualdex_small_kyromaster.iff');
INSERT INTO `template_items` VALUES ('6517', 'object/tangible/ship/components/reactor/shared_rct_cygnus_advanced.iff');
INSERT INTO `template_items` VALUES ('6518', 'object/tangible/ship/components/engine/shared_eng_rss_imperial_skyrunner.iff');
INSERT INTO `template_items` VALUES ('6519', 'object/tangible/loot/collectible/collectible_parts/shared_blue_rug_thread_04.iff');
INSERT INTO `template_items` VALUES ('6520', 'object/tangible/mission/quest_item/shared_lian_byrne_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6521', 'object/tangible/ship/attachment/weapon/shared_kse_firespray_weapon2_s03.iff');
INSERT INTO `template_items` VALUES ('6522', 'object/tangible/ship/components/engine/shared_eng_gallofree_advanced.iff');
INSERT INTO `template_items` VALUES ('6523', 'object/tangible/ship/components/droid_interface/shared_ddi_novaldex_elite.iff');
INSERT INTO `template_items` VALUES ('6524', 'object/tangible/painting/shared_painting_teras_kasi.iff');
INSERT INTO `template_items` VALUES ('6525', 'object/tangible/loot/dungeon/geonosian_mad_bunker/shared_passkey.iff');
INSERT INTO `template_items` VALUES ('6526', 'object/tangible/wearables/wookiee/shared_wke_hood_s02.iff');
INSERT INTO `template_items` VALUES ('6527', 'object/tangible/deed/guild_deed/shared_corellia_guild_deed.iff');
INSERT INTO `template_items` VALUES ('6528', 'object/tangible/wearables/necklace/shared_necklace_sparkling_bijou.iff');
INSERT INTO `template_items` VALUES ('6529', 'object/tangible/component/droid/shared_struct_maint_module_3.iff');
INSERT INTO `template_items` VALUES ('6530', 'object/tangible/ship/components/reactor/shared_rct_moncal_overdriver_s1.iff');
INSERT INTO `template_items` VALUES ('6531', 'object/tangible/deed/player_house_deed/shared_tatooine_house_medium_deed.iff');
INSERT INTO `template_items` VALUES ('6532', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_imperial_4.iff');
INSERT INTO `template_items` VALUES ('6533', 'object/tangible/mission/quest_item/shared_warren_passkey_s03.iff');
INSERT INTO `template_items` VALUES ('6534', 'object/tangible/terminal/shared_terminal_mission_statue.iff');
INSERT INTO `template_items` VALUES ('6535', 'object/tangible/deed/event_perk/shared_rebel_recruiting_station_theater_deed.iff');
INSERT INTO `template_items` VALUES ('6536', 'object/tangible/ship/attachment/engine/shared_xwing_engine_pos_s01.iff');
INSERT INTO `template_items` VALUES ('6537', 'object/tangible/ship/components/armor/shared_arm_subpro_special_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6538', 'object/tangible/wearables/skirt/shared_skirt_s09.iff');
INSERT INTO `template_items` VALUES ('6539', 'object/tangible/component/structure/shared_refined_endrine.iff');
INSERT INTO `template_items` VALUES ('6540', 'object/tangible/ship/components/booster/shared_bst_incom_supercharged_vynock.iff');
INSERT INTO `template_items` VALUES ('6541', 'object/tangible/hair/bothan/base/shared_hair_bothan_female_base.iff');
INSERT INTO `template_items` VALUES ('6542', 'object/tangible/ship/components/droid_interface/shared_ddi_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('6543', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6544', 'object/tangible/medicine/crafted/shared_medpack_enhance_constitution_c.iff');
INSERT INTO `template_items` VALUES ('6545', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed.iff');
INSERT INTO `template_items` VALUES ('6546', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_05_deed.iff');
INSERT INTO `template_items` VALUES ('6547', 'object/tangible/hair/bothan/shared_hair_bothan_female_s08.iff');
INSERT INTO `template_items` VALUES ('6548', 'object/tangible/ship/attachment/weapon/shared_z95_weapon_s06.iff');
INSERT INTO `template_items` VALUES ('6549', 'object/tangible/wearables/shirt/shared_shirt_s11.iff');
INSERT INTO `template_items` VALUES ('6550', 'object/tangible/furniture/modern/shared_bar_piece_straight_s2.iff');
INSERT INTO `template_items` VALUES ('6551', 'object/tangible/ui/shared_ui_planet_privateer.iff');
INSERT INTO `template_items` VALUES ('6552', 'object/tangible/food/crafted/shared_drink_vayerbok.iff');
INSERT INTO `template_items` VALUES ('6553', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_bracer_l.iff');
INSERT INTO `template_items` VALUES ('6554', 'object/tangible/component/vehicle/shared_armor_plating_mk3.iff');
INSERT INTO `template_items` VALUES ('6555', 'object/tangible/hair/sullustan/shared_sul_hair_s11_f.iff');
INSERT INTO `template_items` VALUES ('6556', 'object/tangible/mission/quest_item/shared_boshek_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6557', 'object/tangible/container/drum/shared_large_plain_crate_s03.iff');
INSERT INTO `template_items` VALUES ('6558', 'object/tangible/component/food/shared_container_small_glass.iff');
INSERT INTO `template_items` VALUES ('6559', 'object/tangible/loot/dungeon/death_watch_bunker/shared_binary_liquid.iff');
INSERT INTO `template_items` VALUES ('6560', 'object/tangible/wearables/ring/shared_ring_base.iff');
INSERT INTO `template_items` VALUES ('6561', 'object/tangible/ship/attachment/weapon/shared_xwing_weapon1_pos_s06_1.iff');
INSERT INTO `template_items` VALUES ('6562', 'object/tangible/ship/attachment/booster/shared_blacksun_medium_booster_s02.iff');
INSERT INTO `template_items` VALUES ('6563', 'object/tangible/ship/components/reactor/shared_rct_incom_mark4.iff');
INSERT INTO `template_items` VALUES ('6564', 'object/tangible/ship/crafted/repair/shared_repair_kit_engine.iff');
INSERT INTO `template_items` VALUES ('6565', 'object/tangible/space/content_infrastructure/shared_corridor_start_spawner.iff');
INSERT INTO `template_items` VALUES ('6566', 'object/tangible/loot/dungeon/death_watch_bunker/shared_viewscreen_s2.iff');
INSERT INTO `template_items` VALUES ('6567', 'object/tangible/container/jar/shared_jar_berries_s01.iff');
INSERT INTO `template_items` VALUES ('6568', 'object/tangible/wearables/base/shared_base_bracer_upper_l.iff');
INSERT INTO `template_items` VALUES ('6569', 'object/tangible/wearables/helmet/shared_helmet_atat.iff');
INSERT INTO `template_items` VALUES ('6570', 'object/tangible/ship/attachment/booster/shared_blacksun_heavy_booster_s01.iff');
INSERT INTO `template_items` VALUES ('6571', 'object/tangible/deed/pet_deed/shared_hermit_spider_deed.iff');
INSERT INTO `template_items` VALUES ('6572', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_em_launcher.iff');
INSERT INTO `template_items` VALUES ('6573', 'object/tangible/ship/crafted/booster/shared_heavy_fuel_cell_mk2.iff');
INSERT INTO `template_items` VALUES ('6574', 'object/tangible/wearables/helmet/shared_helmet_fighter_rebel_ace.iff');
INSERT INTO `template_items` VALUES ('6575', 'object/tangible/lair/vesp/shared_lair_vesp_mountain.iff');
INSERT INTO `template_items` VALUES ('6576', 'object/tangible/ship/crafted/weapon/shared_base_weapon_subcomponent_mk1.iff');
INSERT INTO `template_items` VALUES ('6577', 'object/tangible/ship/components/booster/shared_bst_moncal_jlc37.iff');
INSERT INTO `template_items` VALUES ('6578', 'object/tangible/wearables/necklace/shared_necklace_iron_brooch.iff');
INSERT INTO `template_items` VALUES ('6579', 'object/tangible/food/crafted/shared_drink_accarragm.iff');
INSERT INTO `template_items` VALUES ('6580', 'object/tangible/ship/components/booster/shared_bst_kse_als_1.iff');
INSERT INTO `template_items` VALUES ('6581', 'object/tangible/ship/components/engine/shared_eng_sfs_elite.iff');
INSERT INTO `template_items` VALUES ('6582', 'object/tangible/ship/components/booster/shared_bst_kse_elite_als_1.iff');
INSERT INTO `template_items` VALUES ('6583', 'object/tangible/mission/quest_item/shared_leb_slesher_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6584', 'object/tangible/wearables/base/shared_base_dress_poofysleeve_allow_gauntlets.iff');
INSERT INTO `template_items` VALUES ('6585', 'object/tangible/wearables/ithorian/shared_ith_backpack_s01.iff');
INSERT INTO `template_items` VALUES ('6586', 'object/tangible/medicine/crafted/shared_medpack_disease_quickness_a.iff');
INSERT INTO `template_items` VALUES ('6587', 'object/tangible/ship/components/shield_generator/shared_shd_sfs_imperial_standard.iff');
INSERT INTO `template_items` VALUES ('6588', 'object/tangible/wearables/armor/padded/shared_armor_padded_s01_belt.iff');
INSERT INTO `template_items` VALUES ('6589', 'object/tangible/wearables/necklace/shared_necklace_brass_charm.iff');
INSERT INTO `template_items` VALUES ('6590', 'object/tangible/furniture/city/shared_city_furniture.iff');
INSERT INTO `template_items` VALUES ('6591', 'object/tangible/loot/misc/shared_mt_casserole.iff');
INSERT INTO `template_items` VALUES ('6592', 'object/tangible/loot/collectible/collectible_parts/shared_orange_rug_thread_05.iff');
INSERT INTO `template_items` VALUES ('6593', 'object/tangible/veteran_reward/shared_harvester.iff');
INSERT INTO `template_items` VALUES ('6594', 'object/tangible/ship/components/engine/shared_eng_kse_advanced.iff');
INSERT INTO `template_items` VALUES ('6595', 'object/tangible/ship/components/booster/shared_bst_subpro_accelatron_mk5.iff');
INSERT INTO `template_items` VALUES ('6596', 'object/tangible/lair/crowned_rasp/shared_lair_crowned_rasp.iff');
INSERT INTO `template_items` VALUES ('6597', 'object/tangible/wearables/armor/ithorian_sentinel/shared_ith_armor_s03_bicep_r.iff');
INSERT INTO `template_items` VALUES ('6598', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_advanced.iff');
INSERT INTO `template_items` VALUES ('6599', 'object/tangible/wearables/helmet/shared_helmet_tusken_raider_s01.iff');
INSERT INTO `template_items` VALUES ('6600', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_04_deed.iff');
INSERT INTO `template_items` VALUES ('6601', 'object/tangible/component/droid/shared_sensor_package_droid.iff');
INSERT INTO `template_items` VALUES ('6602', 'object/tangible/food/crafted/shared_drink_alcohol.iff');
INSERT INTO `template_items` VALUES ('6603', 'object/tangible/component/vehicle/base/shared_base_veh_weapon_hvy.iff');
INSERT INTO `template_items` VALUES ('6604', 'object/tangible/firework/shared_default.iff');
INSERT INTO `template_items` VALUES ('6605', 'object/tangible/mission/quest_item/shared_warren_evidence_s02.iff');
INSERT INTO `template_items` VALUES ('6606', 'object/tangible/component/weapon/shared_blaster_power_handler_enhancement_min_damage.iff');
INSERT INTO `template_items` VALUES ('6607', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s03.iff');
INSERT INTO `template_items` VALUES ('6608', 'object/tangible/ship/components/weapon/shared_wpn_subpro_advanced_cannon.iff');
INSERT INTO `template_items` VALUES ('6609', 'object/tangible/mission/quest_item/shared_vordin_sildor_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6610', 'object/tangible/furniture/decorative/shared_cafe_chair.iff');
INSERT INTO `template_items` VALUES ('6611', 'object/tangible/ship/components/shield_generator/shared_shd_moncal_ionweb_advanced.iff');
INSERT INTO `template_items` VALUES ('6612', 'object/tangible/wearables/armor/mandalorian/shared_armor_mandalorian_bracer_l.iff');
INSERT INTO `template_items` VALUES ('6613', 'object/tangible/wearables/vest/shared_vest_hutt_gang_s02.iff');
INSERT INTO `template_items` VALUES ('6614', 'object/tangible/wearables/armor/singing_mountain_clan/shared_armor_smc_s01_bicep_l.iff');
INSERT INTO `template_items` VALUES ('6615', 'object/tangible/ship/components/weapon_capacitor/shared_cap_sorosuub_flash.iff');
INSERT INTO `template_items` VALUES ('6616', 'object/tangible/hair/twilek/shared_hair_twilek_female_s05.iff');
INSERT INTO `template_items` VALUES ('6617', 'object/tangible/ship/components/droid_interface/shared_ddi_moncal_special_dk1.iff');
INSERT INTO `template_items` VALUES ('6618', 'object/tangible/inventory/shared_creature_inventory_1.iff');
INSERT INTO `template_items` VALUES ('6619', 'object/tangible/deed/pet_deed/shared_graul_deed.iff');
INSERT INTO `template_items` VALUES ('6620', 'object/tangible/ship/components/armor/shared_arm_corellian_enhanced_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6621', 'object/tangible/ship/crafted/repair/shared_repair_kit_armor.iff');
INSERT INTO `template_items` VALUES ('6622', 'object/tangible/medicine/pet/shared_pet_stimpack_c.iff');
INSERT INTO `template_items` VALUES ('6623', 'object/tangible/ship/crafted/capacitor/shared_energy_saver_battery_mk2.iff');
INSERT INTO `template_items` VALUES ('6624', 'object/tangible/component/bio/shared_bio_component_clothing_field_bleeding.iff');
INSERT INTO `template_items` VALUES ('6625', 'object/tangible/mission/quest_item/shared_leb_slesher_q3_needed.iff');
INSERT INTO `template_items` VALUES ('6626', 'object/tangible/mission/quest_item/shared_feedback_controller.iff');
INSERT INTO `template_items` VALUES ('6627', 'object/tangible/ship/components/armor/shared_arm_kessel_rebel_mandal_corrugated_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6628', 'object/tangible/ship/crafted/weapon/missile/shared_wpn_seismic_missile_mk3.iff');
INSERT INTO `template_items` VALUES ('6629', 'object/tangible/lair/thune/shared_lair_thune_grassland.iff');
INSERT INTO `template_items` VALUES ('6630', 'object/tangible/painting/shared_painting_nebula_flower.iff');
INSERT INTO `template_items` VALUES ('6631', 'object/tangible/loot/simple_kit/shared_firework_fixer.iff');
INSERT INTO `template_items` VALUES ('6632', 'object/tangible/furniture/all/shared_frn_all_lamp_candlestick_tbl_s01.iff');
INSERT INTO `template_items` VALUES ('6633', 'object/tangible/terminal/shared_terminal_newbie_tool.iff');
INSERT INTO `template_items` VALUES ('6634', 'object/tangible/mission/quest_item/shared_damalia_korde_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6635', 'object/tangible/medicine/crafted/shared_medpack_poison_action_c.iff');
INSERT INTO `template_items` VALUES ('6636', 'object/tangible/ship/attachment/engine/shared_awing_engine_s01.iff');
INSERT INTO `template_items` VALUES ('6637', 'object/tangible/ship/crafted/engine/shared_std_exhaust.iff');
INSERT INTO `template_items` VALUES ('6638', 'object/tangible/terminal/shared_terminal_mission_imperial.iff');
INSERT INTO `template_items` VALUES ('6639', 'object/tangible/ship/components/armor/shared_arm_mandal_double_insulated_i5.iff');
INSERT INTO `template_items` VALUES ('6640', 'object/tangible/deed/city_deed/shared_garden_corellia_sml_02_deed.iff');
INSERT INTO `template_items` VALUES ('6641', 'object/tangible/lair/base/shared_poi_all_lair_garbage_small_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6642', 'object/tangible/wearables/armor/ubese/shared_armor_ubese_pants.iff');
INSERT INTO `template_items` VALUES ('6643', 'object/tangible/lair/kima/shared_lair_kima_mountain.iff');
INSERT INTO `template_items` VALUES ('6644', 'object/tangible/medicine/crafted/shared_crafted_stimpack_sm_s1_d.iff');
INSERT INTO `template_items` VALUES ('6645', 'object/tangible/ship/components/engine/shared_eng_novaldex_light_eventhorizon.iff');
INSERT INTO `template_items` VALUES ('6646', 'object/tangible/ship/crafted/weapon/shared_shield_effectiveness_intensifier_mk3.iff');
INSERT INTO `template_items` VALUES ('6647', 'object/tangible/firework/shared_firework_one.iff');
INSERT INTO `template_items` VALUES ('6648', 'object/tangible/hair/trandoshan/shared_hair_trandoshan_female_s06.iff');
INSERT INTO `template_items` VALUES ('6649', 'object/tangible/hair/human/shared_hair_human_female_s21.iff');
INSERT INTO `template_items` VALUES ('6650', 'object/tangible/hair/rodian/shared_hair_rodian_female_s13.iff');
INSERT INTO `template_items` VALUES ('6651', 'object/tangible/ship/components/weapon/shared_xwing_weapon_s01_test.iff');
INSERT INTO `template_items` VALUES ('6652', 'object/tangible/hair/human/shared_hair_human_male_s29.iff');
INSERT INTO `template_items` VALUES ('6653', 'object/tangible/lair/guf_drolg/shared_lair_guf_drolg_grassland.iff');
INSERT INTO `template_items` VALUES ('6654', 'object/tangible/furniture/all/shared_frn_all_throwpillow_med_s02.iff');
INSERT INTO `template_items` VALUES ('6655', 'object/tangible/hair/zabrak/shared_hair_zabrak_male_s15.iff');
INSERT INTO `template_items` VALUES ('6656', 'object/tangible/ship/components/booster/shared_bst_qualdex_xboost_mk2.iff');
INSERT INTO `template_items` VALUES ('6657', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_lg_s06_lg.iff');
INSERT INTO `template_items` VALUES ('6658', 'object/tangible/component/vehicle/shared_civilian_a.iff');
INSERT INTO `template_items` VALUES ('6659', 'object/tangible/ship/attachment/weapon/shared_yt1300_weapon_s01_0.iff');
INSERT INTO `template_items` VALUES ('6660', 'object/tangible/lair/base/shared_poi_all_lair_warren_small_fog_red.iff');
INSERT INTO `template_items` VALUES ('6661', 'object/tangible/veteran_reward/shared_data_terminal_s1.iff');
INSERT INTO `template_items` VALUES ('6662', 'object/tangible/component/dna/shared_dna_template_kusak.iff');
INSERT INTO `template_items` VALUES ('6663', 'object/tangible/ship/components/droid_interface/shared_ddi_sds_elite.iff');
INSERT INTO `template_items` VALUES ('6664', 'object/tangible/lair/base/shared_poi_all_lair_thicket_small_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6665', 'object/tangible/lair/horned_rasp/shared_lair_horned_rasp.iff');
INSERT INTO `template_items` VALUES ('6666', 'object/tangible/lair/base/shared_lair_base_cave_griffon_light.iff');
INSERT INTO `template_items` VALUES ('6667', 'object/tangible/component/vehicle/shared_weapon_array.iff');
INSERT INTO `template_items` VALUES ('6668', 'object/tangible/ship/crafted/weapon/shared_speed_limiter_upgrade_mk2.iff');
INSERT INTO `template_items` VALUES ('6669', 'object/tangible/ship/components/weapon_capacitor/shared_cap_corellian_tuned_cruiser_grade_cap1.iff');
INSERT INTO `template_items` VALUES ('6670', 'object/tangible/component/structure/shared_heavy_harvesting_mechanism.iff');
INSERT INTO `template_items` VALUES ('6671', 'object/tangible/crafting/shared_crafting_components_container.iff');
INSERT INTO `template_items` VALUES ('6672', 'object/tangible/wearables/armor/ithorian_guardian/shared_ith_armor_s02_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6673', 'object/tangible/food/crafted/shared_drink_ice_blaster.iff');
INSERT INTO `template_items` VALUES ('6674', 'object/tangible/wearables/necklace/shared_necklace_s09_quest.iff');
INSERT INTO `template_items` VALUES ('6675', 'object/tangible/ship/components/reactor/shared_rct_freitek_powerhouse_mk3.iff');
INSERT INTO `template_items` VALUES ('6676', 'object/tangible/component/bio/shared_bio_component_food_light_filling.iff');
INSERT INTO `template_items` VALUES ('6677', 'object/tangible/painting/shared_painting_bestine_mattberry.iff');
INSERT INTO `template_items` VALUES ('6678', 'object/tangible/camp/shared_camp_lantern_s3.iff');
INSERT INTO `template_items` VALUES ('6679', 'object/tangible/theme_park/alderaan/act3/shared_alderaan_flora.iff');
INSERT INTO `template_items` VALUES ('6680', 'object/tangible/deed/event_perk/shared_test_theater_deed.iff');
INSERT INTO `template_items` VALUES ('6681', 'object/tangible/component/droid/shared_r3_droid_chassis.iff');
INSERT INTO `template_items` VALUES ('6682', 'object/tangible/hair/twilek/shared_hair_twilek_male_s04.iff');
INSERT INTO `template_items` VALUES ('6683', 'object/tangible/firework/shared_show.iff');
INSERT INTO `template_items` VALUES ('6684', 'object/tangible/furniture/all/shared_frn_all_rug_rectangle_large_style_04.iff');
INSERT INTO `template_items` VALUES ('6685', 'object/tangible/mission/quest_item/shared_lian_byrne_q1_needed.iff');
INSERT INTO `template_items` VALUES ('6686', 'object/tangible/ship/components/reactor/shared_rct_koensayr_enhanced_supernova_mk2.iff');
INSERT INTO `template_items` VALUES ('6687', 'object/tangible/lair/rock_mite/shared_lair_rock_mite_desert.iff');
INSERT INTO `template_items` VALUES ('6688', 'object/tangible/mission/quest_item/shared_mozo_bondog_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6689', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_assassination_02.iff');
INSERT INTO `template_items` VALUES ('6690', 'object/tangible/ship/crafted/weapon/missile/shared_countermeasure_microchaff_launcher.iff');
INSERT INTO `template_items` VALUES ('6691', 'object/tangible/lair/bageraset/shared_lair_bageraset.iff');
INSERT INTO `template_items` VALUES ('6692', 'object/tangible/furniture/all/shared_frn_all_light_lamp_candlestick_tbl_s03.iff');
INSERT INTO `template_items` VALUES ('6693', 'object/tangible/mission/quest_item/shared_talon_karrde_q4_needed.iff');
INSERT INTO `template_items` VALUES ('6694', 'object/tangible/ship/components/reactor/shared_rct_sorosuub_turbine_advanced.iff');
INSERT INTO `template_items` VALUES ('6695', 'object/tangible/component/droid/shared_droid_brain.iff');
INSERT INTO `template_items` VALUES ('6696', 'object/tangible/deed/faction_perk/turret/shared_block_med_deed.iff');
INSERT INTO `template_items` VALUES ('6697', 'object/tangible/component/weapon/shared_blaster_barrel_wp_muzzle_m_s01.iff');
INSERT INTO `template_items` VALUES ('6698', 'object/tangible/ship/components/weapon_capacitor/shared_cap_subpro_dauntless_z5.iff');
INSERT INTO `template_items` VALUES ('6699', 'object/tangible/component/structure/shared_shield_housing.iff');
INSERT INTO `template_items` VALUES ('6700', 'object/tangible/component/bio/shared_bio_component_clothing_field_defense.iff');
INSERT INTO `template_items` VALUES ('6701', 'object/tangible/furniture/tatooine/shared_frn_tato_tbl_cafe_table_style_01.iff');
INSERT INTO `template_items` VALUES ('6702', 'object/tangible/deed/harvester_deed/shared_harvester_ore_s2_deed.iff');
INSERT INTO `template_items` VALUES ('6703', 'object/tangible/medicine/crafted/shared_medpack_disease_area_focus_a.iff');
INSERT INTO `template_items` VALUES ('6704', 'object/tangible/furniture/city/shared_streetlamp_large_blue_02.iff');
INSERT INTO `template_items` VALUES ('6705', 'object/tangible/lair/base/shared_poi_all_lair_wooden_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6706', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_03_deed.iff');
INSERT INTO `template_items` VALUES ('6707', 'object/tangible/ship/components/reactor/shared_rct_reward_armek_elite.iff');
INSERT INTO `template_items` VALUES ('6708', 'object/tangible/ship/components/weapon/shared_wpn_cygnus_destroyer_mk1.iff');
INSERT INTO `template_items` VALUES ('6709', 'object/tangible/ship/attachment/weapon/shared_ykl37r_turret_body_s01.iff');
INSERT INTO `template_items` VALUES ('6710', 'object/tangible/painting/shared_painting_palowick_ad_s03.iff');
INSERT INTO `template_items` VALUES ('6711', 'object/tangible/hair/rodian/shared_hair_rodian_male_s03.iff');
INSERT INTO `template_items` VALUES ('6712', 'object/tangible/furniture/all/shared_frn_all_light_lamp_table_s02.iff');
INSERT INTO `template_items` VALUES ('6713', 'object/tangible/container/quest/crafting_contract/shared_armor_crate.iff');
INSERT INTO `template_items` VALUES ('6714', 'object/tangible/ship/components/reactor/shared_rct_koensayr_supernova_advanced.iff');
INSERT INTO `template_items` VALUES ('6715', 'object/tangible/loot/loot_schematic/shared_foodcart_schematic.iff');
INSERT INTO `template_items` VALUES ('6716', 'object/tangible/deed/player_house_deed/shared_corellia_house_small_floor_02_deed.iff');
INSERT INTO `template_items` VALUES ('6717', 'object/tangible/wearables/hat/shared_hat_chef_s01.iff');
INSERT INTO `template_items` VALUES ('6718', 'object/tangible/wearables/earring/shared_earring_s07.iff');
INSERT INTO `template_items` VALUES ('6719', 'object/tangible/wearables/ithorian/shared_ith_necklace_s09.iff');
INSERT INTO `template_items` VALUES ('6720', 'object/tangible/medicine/pet/shared_pet_vitapack_a.iff');
INSERT INTO `template_items` VALUES ('6721', 'object/tangible/ship/crafted/booster/shared_basic_booster.iff');
INSERT INTO `template_items` VALUES ('6722', 'object/tangible/component/vehicle/shared_civilian_aa.iff');
INSERT INTO `template_items` VALUES ('6723', 'object/tangible/hair/zabrak/shared_hair_zabrak_female_s05.iff');
INSERT INTO `template_items` VALUES ('6724', 'object/tangible/travel/ticket_collector/shared_ticket_collector.iff');
INSERT INTO `template_items` VALUES ('6725', 'object/tangible/lair/base/shared_poi_all_lair_thicket_large_evil_fire_small.iff');
INSERT INTO `template_items` VALUES ('6726', 'object/tangible/ship/attachment/booster/shared_hutt_light_booster_s02.iff');
INSERT INTO `template_items` VALUES ('6727', 'object/tangible/deed/factory_deed/shared_factory_item_deed.iff');
INSERT INTO `template_items` VALUES ('6728', 'object/tangible/ship/components/droid_interface/shared_ddi_mission_reward_rebel_novaldex_low_latency.iff');
INSERT INTO `template_items` VALUES ('6729', 'object/tangible/ship/crafted/weapon/shared_max_damage_intensifier_mk4.iff');
INSERT INTO `template_items` VALUES ('6730', 'object/tangible/space/story_loot/shared_loot_endor_series_tinrilo.iff');
INSERT INTO `template_items` VALUES ('6731', 'object/tangible/ship/components/engine/shared_eng_sfs_imperial_2.iff');
INSERT INTO `template_items` VALUES ('6732', 'object/tangible/hair/bothan/shared_hair_bothan_female_s01.iff');
INSERT INTO `template_items` VALUES ('6733', 'object/tangible/component/weapon/shared_blaster_pistol_barrel_advanced.iff');
INSERT INTO `template_items` VALUES ('6734', 'object/tangible/dungeon/corellian_corvette/shared_corvette_search_rebel_destroy_02.iff');
INSERT INTO `template_items` VALUES ('6735', 'object/tangible/medicine/shared_grenade_area_disease.iff');
INSERT INTO `template_items` VALUES ('6736', 'object/tangible/ship/components/reactor/shared_rct_kse_lx21.iff');
INSERT INTO `template_items` VALUES ('6737', 'object/tangible/ship/components/engine/shared_eng_gallofree_jx3.iff');
INSERT INTO `template_items` VALUES ('6738', 'object/tangible/painting/shared_painting_skyscraper.iff');
INSERT INTO `template_items` VALUES ('6739', 'object/tangible/wearables/belt/shared_belt_s04.iff');
INSERT INTO `template_items` VALUES ('6740', 'object/tangible/medicine/crafted/shared_medpack_disease_willpower_b.iff');
INSERT INTO `template_items` VALUES ('6741', 'object/tangible/space/content_infrastructure/shared_patrol_spawner.iff');
INSERT INTO `template_items` VALUES ('6742', 'object/tangible/ship/components/armor/shared_arm_sorosuub_elite_plastisteel.iff');
INSERT INTO `template_items` VALUES ('6743', 'object/tangible/loot/misc/shared_decryptor_broken_s01.iff');
INSERT INTO `template_items` VALUES ('6744', 'object/tangible/furniture/tatooine/shared_frn_tatt_chair_cantina_seat.iff');
INSERT INTO `template_items` VALUES ('6745', 'object/tangible/painting/shared_painting_fighter_pilot_human_01.iff');
INSERT INTO `template_items` VALUES ('6746', 'object/tangible/ship/crafted/capacitor/shared_base_capacitor_subcomponent.iff');
INSERT INTO `template_items` VALUES ('6747', 'object/tangible/ship/components/booster/shared_bst_slayn_ion_booster_mk1.iff');
INSERT INTO `template_items` VALUES ('6748', 'object/tangible/ship/crafted/chassis/shared_blacksun_heavy_s02_deed.iff');
INSERT INTO `template_items` VALUES ('6749', 'object/tangible/instrument/shared_kloo_horn.iff');
INSERT INTO `template_items` VALUES ('6750', 'object/tangible/ship/components/weapon_capacitor/shared_cap_mandal_powermaster_mk1.iff');
INSERT INTO `template_items` VALUES ('6751', 'object/tangible/lair/base/shared_poi_all_lair_brambles_small_fog_green.iff');
INSERT INTO `template_items` VALUES ('6752', 'object/tangible/ship/crafted/capacitor/shared_standard_recharge_module.iff');
INSERT INTO `template_items` VALUES ('6753', 'object/tangible/deed/city_deed/shared_garden_naboo_sml_01_deed.iff');
INSERT INTO `template_items` VALUES ('6754', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_bicep_l_schematic.iff');
INSERT INTO `template_items` VALUES ('6755', 'object/tangible/deed/city_deed/shared_garden_endor_lrg_01_deed.iff');
INSERT INTO `template_items` VALUES ('6756', 'object/tangible/hopper/shared_manufacture_installation_ingredient_hopper_1.iff');
INSERT INTO `template_items` VALUES ('6757', 'object/tangible/ship/components/weapon/shared_wpn_seinar_ls72.iff');
INSERT INTO `template_items` VALUES ('6758', 'object/tangible/lair/base/shared_poi_all_lair_wooden_destroyed_fog_red.iff');
INSERT INTO `template_items` VALUES ('6759', 'object/tangible/ship/components/armor/shared_armor_subpro_reinforced_plasteel.iff');
INSERT INTO `template_items` VALUES ('6760', 'object/tangible/crafting/base/shared_base_repair.iff');
INSERT INTO `template_items` VALUES ('6761', 'object/tangible/mission/quest_item/shared_mal_sikander_q5_needed.iff');
INSERT INTO `template_items` VALUES ('6762', 'object/tangible/dungeon/death_watch_bunker/shared_filter.iff');
INSERT INTO `template_items` VALUES ('6763', 'object/tangible/ship/components/engine/shared_eng_mandal_heavy.iff');
INSERT INTO `template_items` VALUES ('6764', 'object/tangible/mission/quest_item/shared_boshek_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6765', 'object/tangible/ship/components/shield_generator/shared_shd_incom_mark5.iff');
INSERT INTO `template_items` VALUES ('6766', 'object/tangible/lair/veermok/shared_lair_veermok_forest.iff');
INSERT INTO `template_items` VALUES ('6767', 'object/tangible/component/weapon/lightsaber/shared_lightsaber_module_force_crystal.iff');
INSERT INTO `template_items` VALUES ('6768', 'object/tangible/component/food/shared_ingredient_ball_of_dough.iff');
INSERT INTO `template_items` VALUES ('6769', 'object/tangible/medicine/crafted/shared_medpack_wound_health_c.iff');
INSERT INTO `template_items` VALUES ('6770', 'object/tangible/crafting/station/shared_structure_tool.iff');
INSERT INTO `template_items` VALUES ('6771', 'object/tangible/ship/attachment/weapon/shared_blacksun_heavy_weapon1_s05.iff');
INSERT INTO `template_items` VALUES ('6772', 'object/tangible/item/quest/force_sensitive/shared_fs_sculpture_4.iff');
INSERT INTO `template_items` VALUES ('6773', 'object/tangible/loot/quest/shared_schematic_dress_s08_quest.iff');
INSERT INTO `template_items` VALUES ('6774', 'object/tangible/food/foraged/shared_edible_jar_livers.iff');
INSERT INTO `template_items` VALUES ('6775', 'object/tangible/mission/quest_item/shared_leb_slesher_q2_needed.iff');
INSERT INTO `template_items` VALUES ('6776', 'object/tangible/lair/blackfish/shared_lair_blackfish.iff');
INSERT INTO `template_items` VALUES ('6777', 'object/tangible/ship/crafted/capacitor/shared_quick_recharge_battery_mk3.iff');
INSERT INTO `template_items` VALUES ('6778', 'object/tangible/ship/crafted/capacitor/shared_advanced_recharge_module.iff');
INSERT INTO `template_items` VALUES ('6779', 'object/tangible/ship/crafted/weapon/shared_min_damage_intensifier_mk2.iff');
INSERT INTO `template_items` VALUES ('6780', 'object/tangible/loot/loot_schematic/shared_radio_schematic.iff');
INSERT INTO `template_items` VALUES ('6781', 'object/tangible/food/crafted/additive/shared_additive_base.iff');
INSERT INTO `template_items` VALUES ('6782', 'object/tangible/hair/human/shared_hair_human_male_s14.iff');
INSERT INTO `template_items` VALUES ('6783', 'object/tangible/ship/components/engine/shared_eng_sfs_performance_imperial_1.iff');
INSERT INTO `template_items` VALUES ('6784', 'object/tangible/medicine/crafted/shared_medpack_dizzy_a.iff');
INSERT INTO `template_items` VALUES ('6785', 'object/tangible/lair/base/shared_poi_all_lair_bones_large_fog_red.iff');
INSERT INTO `template_items` VALUES ('6786', 'object/tangible/loot/loot_schematic/shared_death_watch_bounty_hunter_gloves_schematic.iff');
INSERT INTO `template_items` VALUES ('6787', 'object/tangible/item/shared_loot_credit_chip.iff');
INSERT INTO `template_items` VALUES ('6788', 'object/tangible/wearables/dress/shared_dress_s07.iff');
INSERT INTO `template_items` VALUES ('6789', 'object/tangible/lair/base/shared_poi_all_lair_warren_large.iff');
INSERT INTO `template_items` VALUES ('6790', 'object/tangible/poi/object/shared_droid_head.iff');
INSERT INTO `template_items` VALUES ('6791', 'object/tangible/furniture/city/shared_streetlamp_med_blue_02.iff');
INSERT INTO `template_items` VALUES ('6792', 'object/tangible/component/vehicle/shared_warhead_launcher.iff');
INSERT INTO `template_items` VALUES ('6793', 'object/tangible/terminal/shared_terminal_newbie_clothing.iff');
INSERT INTO `template_items` VALUES ('6794', 'object/tangible/wearables/base/shared_base_ear_l.iff');
INSERT INTO `template_items` VALUES ('6795', 'object/tangible/lair/base/shared_objective_mts_clan_monolith.iff');
INSERT INTO `template_items` VALUES ('6796', 'object/tangible/furniture/jedi/shared_frn_all_light_throne.iff');
INSERT INTO `template_items` VALUES ('6797', 'object/tangible/lair/kittle/shared_lair_kittle.iff');
INSERT INTO `template_items` VALUES ('6798', 'object/tangible/lair/base/shared_poi_all_lair_insecthill_large_fog_mustard.iff');
INSERT INTO `template_items` VALUES ('6799', 'object/tangible/wearables/armor/kashyyykian_black_mtn/shared_armor_kashyyykian_black_mtn_bracer_r.iff');
INSERT INTO `template_items` VALUES ('6800', 'object/tangible/lair/roba/shared_lair_roba_grassland.iff');
INSERT INTO `template_items` VALUES ('6801', 'object/tangible/component/weapon/shared_projectile_feed_mechanism_enhancement_max_damage.iff');
INSERT INTO `template_items` VALUES ('6802', 'object/tangible/loot/loot_schematic/shared_death_watch_mandalorian_boots_schematic.iff');
INSERT INTO `template_items` VALUES ('6803', 'object/weapon/ranged/rifle/shared_rifle_tenloss_dxr6_disruptor_loot.iff');
INSERT INTO `template_items` VALUES ('6804', 'object/weapon/melee/polearm/shared_lance_vibrolance.iff');
INSERT INTO `template_items` VALUES ('6805', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s9_training.iff');
INSERT INTO `template_items` VALUES ('6806', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen4.iff');
INSERT INTO `template_items` VALUES ('6807', 'object/weapon/ranged/pistol/shared_pistol_power5.iff');
INSERT INTO `template_items` VALUES ('6808', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen4.iff');
INSERT INTO `template_items` VALUES ('6809', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2.iff');
INSERT INTO `template_items` VALUES ('6810', 'object/weapon/melee/sword/shared_sword_lightsaber_andael.iff');
INSERT INTO `template_items` VALUES ('6811', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen1.iff');
INSERT INTO `template_items` VALUES ('6812', 'object/weapon/ranged/carbine/shared_carbine_cdef_corsec.iff');
INSERT INTO `template_items` VALUES ('6813', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen2.iff');
INSERT INTO `template_items` VALUES ('6814', 'object/weapon/melee/2h_sword/shared_2h_sword_maul.iff');
INSERT INTO `template_items` VALUES ('6815', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen4.iff');
INSERT INTO `template_items` VALUES ('6816', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster.iff');
INSERT INTO `template_items` VALUES ('6817', 'object/weapon/ranged/pistol/shared_pistol_dx2.iff');
INSERT INTO `template_items` VALUES ('6818', 'object/weapon/ranged/rifle/shared_rifle_spraystick.iff');
INSERT INTO `template_items` VALUES ('6819', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen2.iff');
INSERT INTO `template_items` VALUES ('6820', 'object/weapon/ranged/creature/shared_creature_spit_spray_yellow.iff');
INSERT INTO `template_items` VALUES ('6821', 'object/weapon/ranged/heavy/shared_heavy_acid_beam.iff');
INSERT INTO `template_items` VALUES ('6822', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen2.iff');
INSERT INTO `template_items` VALUES ('6823', 'object/weapon/mine/shared_wp_mine_xg.iff');
INSERT INTO `template_items` VALUES ('6824', 'object/weapon/melee/sword/shared_sword_nyax.iff');
INSERT INTO `template_items` VALUES ('6825', 'object/weapon/ranged/rifle/shared_rifle_laser_noob.iff');
INSERT INTO `template_items` VALUES ('6826', 'object/weapon/ranged/droid/shared_droid_probot_ranged.iff');
INSERT INTO `template_items` VALUES ('6827', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen4.iff');
INSERT INTO `template_items` VALUES ('6828', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen2.iff');
INSERT INTO `template_items` VALUES ('6829', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen2.iff');
INSERT INTO `template_items` VALUES ('6830', 'object/weapon/mine/base/shared_mine_base.iff');
INSERT INTO `template_items` VALUES ('6831', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4.iff');
INSERT INTO `template_items` VALUES ('6832', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13.iff');
INSERT INTO `template_items` VALUES ('6833', 'object/weapon/melee/knife/shared_knife_survival.iff');
INSERT INTO `template_items` VALUES ('6834', 'object/weapon/melee/knife/shared_knife_donkuwah.iff');
INSERT INTO `template_items` VALUES ('6835', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen4.iff');
INSERT INTO `template_items` VALUES ('6836', 'object/weapon/ranged/carbine/shared_carbine_cdef.iff');
INSERT INTO `template_items` VALUES ('6837', 'object/weapon/ranged/grenade/shared_grenade_glop.iff');
INSERT INTO `template_items` VALUES ('6838', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen2.iff');
INSERT INTO `template_items` VALUES ('6839', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen4.iff');
INSERT INTO `template_items` VALUES ('6840', 'object/weapon/ranged/carbine/shared_carbine_dh17_black.iff');
INSERT INTO `template_items` VALUES ('6841', 'object/weapon/ranged/pistol/shared_pistol_launcher.iff');
INSERT INTO `template_items` VALUES ('6842', 'object/weapon/melee/sword/shared_sword_lightsaber_luke.iff');
INSERT INTO `template_items` VALUES ('6843', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen3.iff');
INSERT INTO `template_items` VALUES ('6844', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen1.iff');
INSERT INTO `template_items` VALUES ('6845', 'object/weapon/ranged/carbine/shared_carbine_dh17.iff');
INSERT INTO `template_items` VALUES ('6846', 'object/weapon/melee/sword/shared_sword_curved_nyax.iff');
INSERT INTO `template_items` VALUES ('6847', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen3.iff');
INSERT INTO `template_items` VALUES ('6848', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6.iff');
INSERT INTO `template_items` VALUES ('6849', 'object/weapon/ranged/rifle/shared_rifle_lightning.iff');
INSERT INTO `template_items` VALUES ('6850', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen4.iff');
INSERT INTO `template_items` VALUES ('6851', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen4.iff');
INSERT INTO `template_items` VALUES ('6852', 'object/weapon/ranged/carbine/shared_carbine_ee3.iff');
INSERT INTO `template_items` VALUES ('6853', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen1.iff');
INSERT INTO `template_items` VALUES ('6854', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen3.iff');
INSERT INTO `template_items` VALUES ('6855', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen5.iff');
INSERT INTO `template_items` VALUES ('6856', 'object/weapon/melee/polearm/shared_lance_nightsister_npc_version.iff');
INSERT INTO `template_items` VALUES ('6857', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen4.iff');
INSERT INTO `template_items` VALUES ('6858', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s5_training.iff');
INSERT INTO `template_items` VALUES ('6859', 'object/weapon/melee/sword/base/shared_crafted_sword_base.iff');
INSERT INTO `template_items` VALUES ('6860', 'object/weapon/ranged/rifle/shared_rifle_beam.iff');
INSERT INTO `template_items` VALUES ('6861', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen2.iff');
INSERT INTO `template_items` VALUES ('6862', 'object/weapon/ranged/carbine/shared_carbine_e11_quest.iff');
INSERT INTO `template_items` VALUES ('6863', 'object/weapon/ranged/pistol/shared_pistol_srcombat.iff');
INSERT INTO `template_items` VALUES ('6864', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9.iff');
INSERT INTO `template_items` VALUES ('6865', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s1_training.iff');
INSERT INTO `template_items` VALUES ('6866', 'object/weapon/ranged/grenade/shared_grenade_proton.iff');
INSERT INTO `template_items` VALUES ('6867', 'object/weapon/melee/sword/shared_sword_lightsaber_obi.iff');
INSERT INTO `template_items` VALUES ('6868', 'object/weapon/ranged/rifle/shared_rifle_ewok_crossbow.iff');
INSERT INTO `template_items` VALUES ('6869', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen2.iff');
INSERT INTO `template_items` VALUES ('6870', 'object/weapon/melee/baton/shared_victor_baton_gaderiffi.iff');
INSERT INTO `template_items` VALUES ('6871', 'object/weapon/ranged/pistol/shared_pistol_cdef.iff');
INSERT INTO `template_items` VALUES ('6872', 'object/weapon/melee/sword/shared_sword_lightsaber_nebu.iff');
INSERT INTO `template_items` VALUES ('6873', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen2.iff');
INSERT INTO `template_items` VALUES ('6874', 'object/weapon/ranged/carbine/shared_carbine_elite.iff');
INSERT INTO `template_items` VALUES ('6875', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen1.iff');
INSERT INTO `template_items` VALUES ('6876', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen3.iff');
INSERT INTO `template_items` VALUES ('6877', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11.iff');
INSERT INTO `template_items` VALUES ('6878', 'object/weapon/melee/polearm/shared_lance_staff_metal.iff');
INSERT INTO `template_items` VALUES ('6879', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen4.iff');
INSERT INTO `template_items` VALUES ('6880', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen2.iff');
INSERT INTO `template_items` VALUES ('6881', 'object/weapon/ranged/pistol/shared_pistol_dh17.iff');
INSERT INTO `template_items` VALUES ('6882', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen1.iff');
INSERT INTO `template_items` VALUES ('6883', 'object/weapon/melee/polearm/shared_lance_lightsaber_02.iff');
INSERT INTO `template_items` VALUES ('6884', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen3.iff');
INSERT INTO `template_items` VALUES ('6885', 'object/weapon/ranged/heavy/shared_heavy_lightning_beam.iff');
INSERT INTO `template_items` VALUES ('6886', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen1.iff');
INSERT INTO `template_items` VALUES ('6887', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2.iff');
INSERT INTO `template_items` VALUES ('6888', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen4.iff');
INSERT INTO `template_items` VALUES ('6889', 'object/weapon/mine/shared_wp_mine_anti_vehicle.iff');
INSERT INTO `template_items` VALUES ('6890', 'object/weapon/ranged/droid/shared_droid_astromech_ranged.iff');
INSERT INTO `template_items` VALUES ('6891', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen1.iff');
INSERT INTO `template_items` VALUES ('6892', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen1.iff');
INSERT INTO `template_items` VALUES ('6893', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3.iff');
INSERT INTO `template_items` VALUES ('6894', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s8_training.iff');
INSERT INTO `template_items` VALUES ('6895', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen4.iff');
INSERT INTO `template_items` VALUES ('6896', 'object/weapon/melee/base/shared_base_melee.iff');
INSERT INTO `template_items` VALUES ('6897', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen3.iff');
INSERT INTO `template_items` VALUES ('6898', 'object/weapon/melee/polearm/shared_lance_staff_wood_s1.iff');
INSERT INTO `template_items` VALUES ('6899', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen1.iff');
INSERT INTO `template_items` VALUES ('6900', 'object/weapon/melee/knife/shared_knife_stone.iff');
INSERT INTO `template_items` VALUES ('6901', 'object/weapon/ranged/turret/base/shared_turret_base.iff');
INSERT INTO `template_items` VALUES ('6902', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen1.iff');
INSERT INTO `template_items` VALUES ('6903', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen1.iff');
INSERT INTO `template_items` VALUES ('6904', 'object/weapon/ranged/carbine/shared_carbine_e11_victor_quest.iff');
INSERT INTO `template_items` VALUES ('6905', 'object/weapon/ranged/creature/shared_creature_spit_small_green.iff');
INSERT INTO `template_items` VALUES ('6906', 'object/weapon/mine/shared_wp_mine_drx55.iff');
INSERT INTO `template_items` VALUES ('6907', 'object/weapon/ranged/creature/shared_creature_spit_large_yellow.iff');
INSERT INTO `template_items` VALUES ('6908', 'object/weapon/melee/polearm/shared_lance_controllerfp.iff');
INSERT INTO `template_items` VALUES ('6909', 'object/weapon/melee/unarmed/shared_unarmed_default.iff');
INSERT INTO `template_items` VALUES ('6910', 'object/weapon/base/shared_base_weapon.iff');
INSERT INTO `template_items` VALUES ('6911', 'object/weapon/ranged/pistol/shared_pistol_fwg5_quest.iff');
INSERT INTO `template_items` VALUES ('6912', 'object/weapon/melee/polearm/base/shared_lance_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('6913', 'object/weapon/ranged/grenade/shared_grenade_fallback.iff');
INSERT INTO `template_items` VALUES ('6914', 'object/weapon/ranged/rifle/shared_rifle_laser.iff');
INSERT INTO `template_items` VALUES ('6915', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen4.iff');
INSERT INTO `template_items` VALUES ('6916', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5.iff');
INSERT INTO `template_items` VALUES ('6917', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen3.iff');
INSERT INTO `template_items` VALUES ('6918', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_ammo_test_2.iff');
INSERT INTO `template_items` VALUES ('6919', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen1.iff');
INSERT INTO `template_items` VALUES ('6920', 'object/weapon/ranged/heavy/shared_heavy_particle_beam.iff');
INSERT INTO `template_items` VALUES ('6921', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen4.iff');
INSERT INTO `template_items` VALUES ('6922', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen4.iff');
INSERT INTO `template_items` VALUES ('6923', 'object/weapon/ranged/creature/shared_creature_spit_spray_green.iff');
INSERT INTO `template_items` VALUES ('6924', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12.iff');
INSERT INTO `template_items` VALUES ('6925', 'object/weapon/ranged/pistol/shared_pistol_striker.iff');
INSERT INTO `template_items` VALUES ('6926', 'object/weapon/ranged/pistol/shared_pistol_fwg5.iff');
INSERT INTO `template_items` VALUES ('6927', 'object/weapon/melee/sword/shared_sword_02.iff');
INSERT INTO `template_items` VALUES ('6928', 'object/weapon/melee/baton/shared_baton_gaderiffi.iff');
INSERT INTO `template_items` VALUES ('6929', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen3.iff');
INSERT INTO `template_items` VALUES ('6930', 'object/weapon/melee/sword/base/shared_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('6931', 'object/weapon/melee/sword/shared_sword_blade_ryyk.iff');
INSERT INTO `template_items` VALUES ('6932', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen3.iff');
INSERT INTO `template_items` VALUES ('6933', 'object/weapon/ranged/creature/shared_creature_spit_spray_toxicgreen.iff');
INSERT INTO `template_items` VALUES ('6934', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen3.iff');
INSERT INTO `template_items` VALUES ('6935', 'object/weapon/ranged/rifle/shared_rifle_berserker.iff');
INSERT INTO `template_items` VALUES ('6936', 'object/weapon/melee/knife/shared_knife_stone_noob.iff');
INSERT INTO `template_items` VALUES ('6937', 'object/weapon/melee/polearm/shared_lance_nightsister.iff');
INSERT INTO `template_items` VALUES ('6938', 'object/weapon/trap/shared_eqp_weapon_auto_laser_trap.iff');
INSERT INTO `template_items` VALUES ('6939', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen2.iff');
INSERT INTO `template_items` VALUES ('6940', 'object/weapon/ranged/base/shared_base_ranged_weapon.iff');
INSERT INTO `template_items` VALUES ('6941', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen2.iff');
INSERT INTO `template_items` VALUES ('6942', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen5.iff');
INSERT INTO `template_items` VALUES ('6943', 'object/weapon/ranged/rifle/shared_rifle_dlt20.iff');
INSERT INTO `template_items` VALUES ('6944', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7.iff');
INSERT INTO `template_items` VALUES ('6945', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen1.iff');
INSERT INTO `template_items` VALUES ('6946', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen2.iff');
INSERT INTO `template_items` VALUES ('6947', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen4.iff');
INSERT INTO `template_items` VALUES ('6948', 'object/weapon/melee/2h_sword/shared_2h_sword_katana.iff');
INSERT INTO `template_items` VALUES ('6949', 'object/weapon/melee/special/shared_vibroknuckler.iff');
INSERT INTO `template_items` VALUES ('6950', 'object/weapon/melee/2h_sword/shared_2h_sword_blacksun_hack.iff');
INSERT INTO `template_items` VALUES ('6951', 'object/weapon/ranged/pistol/shared_pistol_striker_noob.iff');
INSERT INTO `template_items` VALUES ('6952', 'object/weapon/ranged/pistol/base/shared_pistol_base.iff');
INSERT INTO `template_items` VALUES ('6953', 'object/weapon/melee/polearm/shared_lance_staff_janta.iff');
INSERT INTO `template_items` VALUES ('6954', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen1.iff');
INSERT INTO `template_items` VALUES ('6955', 'object/weapon/melee/polearm/shared_polearm_vibro_axe.iff');
INSERT INTO `template_items` VALUES ('6956', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster_corsec.iff');
INSERT INTO `template_items` VALUES ('6957', 'object/weapon/melee/2h_sword/shared_2h_sword_cleaver.iff');
INSERT INTO `template_items` VALUES ('6958', 'object/weapon/ranged/pistol/shared_pistol_cdef_corsec.iff');
INSERT INTO `template_items` VALUES ('6959', 'object/weapon/ranged/carbine/shared_carbine_nym_slugthrower.iff');
INSERT INTO `template_items` VALUES ('6960', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s4_training.iff');
INSERT INTO `template_items` VALUES ('6961', 'object/weapon/melee/sword/shared_sword_lightsaber_dugald.iff');
INSERT INTO `template_items` VALUES ('6962', 'object/weapon/ranged/pistol/shared_pistol_dl44_metal.iff');
INSERT INTO `template_items` VALUES ('6963', 'object/weapon/melee/axe/shared_axe_vibroaxe.iff');
INSERT INTO `template_items` VALUES ('6964', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen1.iff');
INSERT INTO `template_items` VALUES ('6965', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen3.iff');
INSERT INTO `template_items` VALUES ('6966', 'object/weapon/ranged/carbine/shared_carbine_dh17_snubnose.iff');
INSERT INTO `template_items` VALUES ('6967', 'object/weapon/melee/unarmed/shared_unarmed_default_player.iff');
INSERT INTO `template_items` VALUES ('6968', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen3.iff');
INSERT INTO `template_items` VALUES ('6969', 'object/weapon/ranged/rifle/shared_rifle_jawa_ion.iff');
INSERT INTO `template_items` VALUES ('6970', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen2.iff');
INSERT INTO `template_items` VALUES ('6971', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10.iff');
INSERT INTO `template_items` VALUES ('6972', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen3.iff');
INSERT INTO `template_items` VALUES ('6973', 'object/weapon/ranged/rifle/shared_rifle_t21.iff');
INSERT INTO `template_items` VALUES ('6974', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1.iff');
INSERT INTO `template_items` VALUES ('6975', 'object/weapon/melee/sword/shared_sword_lightsaber_mace.iff');
INSERT INTO `template_items` VALUES ('6976', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen2.iff');
INSERT INTO `template_items` VALUES ('6977', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen3.iff');
INSERT INTO `template_items` VALUES ('6978', 'object/weapon/ranged/creature/shared_creature_spit_small_yellow.iff');
INSERT INTO `template_items` VALUES ('6979', 'object/weapon/ranged/carbine/shared_carbine_dxr6.iff');
INSERT INTO `template_items` VALUES ('6980', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8.iff');
INSERT INTO `template_items` VALUES ('6981', 'object/weapon/creature/shared_creature_default_weapon.iff');
INSERT INTO `template_items` VALUES ('6982', 'object/weapon/ranged/carbine/shared_carbine_laser.iff');
INSERT INTO `template_items` VALUES ('6983', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen1.iff');
INSERT INTO `template_items` VALUES ('6984', 'object/weapon/ranged/grenade/shared_grenade_cryoban.iff');
INSERT INTO `template_items` VALUES ('6985', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen3.iff');
INSERT INTO `template_items` VALUES ('6986', 'object/weapon/melee/sword/shared_sword_01.iff');
INSERT INTO `template_items` VALUES ('6987', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen4.iff');
INSERT INTO `template_items` VALUES ('6988', 'object/weapon/ranged/rifle/shared_rifle_dlt20a.iff');
INSERT INTO `template_items` VALUES ('6989', 'object/weapon/melee/2h_sword/shared_2h_sword_katana_quest.iff');
INSERT INTO `template_items` VALUES ('6990', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen4.iff');
INSERT INTO `template_items` VALUES ('6991', 'object/weapon/ranged/vehicle/shared_vehicle_atst_ranged.iff');
INSERT INTO `template_items` VALUES ('6992', 'object/weapon/melee/knife/shared_knife_janta.iff');
INSERT INTO `template_items` VALUES ('6993', 'object/weapon/melee/axe/base/shared_axe_base.iff');
INSERT INTO `template_items` VALUES ('6994', 'object/weapon/melee/sword/shared_sword_lightsaber_ben.iff');
INSERT INTO `template_items` VALUES ('6995', 'object/weapon/ranged/pistol/shared_pistol_geonosian_sonic_blaster_loot.iff');
INSERT INTO `template_items` VALUES ('6996', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen4.iff');
INSERT INTO `template_items` VALUES ('6997', 'object/weapon/ranged/heavy/base/shared_heavy_weapon_base.iff');
INSERT INTO `template_items` VALUES ('6998', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11.iff');
INSERT INTO `template_items` VALUES ('6999', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen2.iff');
INSERT INTO `template_items` VALUES ('7000', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6.iff');
INSERT INTO `template_items` VALUES ('7001', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen4.iff');
INSERT INTO `template_items` VALUES ('7002', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9.iff');
INSERT INTO `template_items` VALUES ('7003', 'object/weapon/melee/sword/shared_sword_lightsaber_sleekblack.iff');
INSERT INTO `template_items` VALUES ('7004', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen2.iff');
INSERT INTO `template_items` VALUES ('7005', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen4.iff');
INSERT INTO `template_items` VALUES ('7006', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen2.iff');
INSERT INTO `template_items` VALUES ('7007', 'object/weapon/melee/sword/shared_sword_lightsaber_quigon.iff');
INSERT INTO `template_items` VALUES ('7008', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen2.iff');
INSERT INTO `template_items` VALUES ('7009', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen2.iff');
INSERT INTO `template_items` VALUES ('7010', 'object/weapon/ranged/heavy/shared_launcher.iff');
INSERT INTO `template_items` VALUES ('7011', 'object/weapon/melee/knife/base/shared_knife_base.iff');
INSERT INTO `template_items` VALUES ('7012', 'object/weapon/melee/polearm/shared_lance_staff_wood_s2.iff');
INSERT INTO `template_items` VALUES ('7013', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen2.iff');
INSERT INTO `template_items` VALUES ('7014', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen3.iff');
INSERT INTO `template_items` VALUES ('7015', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen4.iff');
INSERT INTO `template_items` VALUES ('7016', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s7_training.iff');
INSERT INTO `template_items` VALUES ('7017', 'object/weapon/ranged/grenade/shared_grenade_poison.iff');
INSERT INTO `template_items` VALUES ('7018', 'object/weapon/ranged/grenade/shared_grenade_fragmentation.iff');
INSERT INTO `template_items` VALUES ('7019', 'object/weapon/ranged/rifle/base/shared_rifle_base.iff');
INSERT INTO `template_items` VALUES ('7020', 'object/weapon/melee/baton/shared_baton_stun.iff');
INSERT INTO `template_items` VALUES ('7021', 'object/weapon/ranged/creature/base/shared_creature_base.iff');
INSERT INTO `template_items` VALUES ('7022', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen2.iff');
INSERT INTO `template_items` VALUES ('7023', 'object/weapon/ranged/pistol/shared_pistol_tangle.iff');
INSERT INTO `template_items` VALUES ('7024', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen4.iff');
INSERT INTO `template_items` VALUES ('7025', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen4.iff');
INSERT INTO `template_items` VALUES ('7026', 'object/weapon/ranged/carbine/base/shared_carbine_base.iff');
INSERT INTO `template_items` VALUES ('7027', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen3.iff');
INSERT INTO `template_items` VALUES ('7028', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13.iff');
INSERT INTO `template_items` VALUES ('7029', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen1.iff');
INSERT INTO `template_items` VALUES ('7030', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe_quest.iff');
INSERT INTO `template_items` VALUES ('7031', 'object/weapon/ranged/pistol/shared_pistol_dl44.iff');
INSERT INTO `template_items` VALUES ('7032', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s11_training.iff');
INSERT INTO `template_items` VALUES ('7033', 'object/weapon/ranged/grenade/shared_grenade_fragmentation_light.iff');
INSERT INTO `template_items` VALUES ('7034', 'object/weapon/ranged/rifle/shared_rifle_tusken.iff');
INSERT INTO `template_items` VALUES ('7035', 'object/weapon/ranged/creature/shared_creature_spit_particle_beam.iff');
INSERT INTO `template_items` VALUES ('7036', 'object/weapon/ranged/creature/shared_creature_spit_small_toxicgreen.iff');
INSERT INTO `template_items` VALUES ('7037', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen3.iff');
INSERT INTO `template_items` VALUES ('7038', 'object/weapon/melee/sword/shared_sword_lightsaber_vader.iff');
INSERT INTO `template_items` VALUES ('7039', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen1.iff');
INSERT INTO `template_items` VALUES ('7040', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen3.iff');
INSERT INTO `template_items` VALUES ('7041', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen4.iff');
INSERT INTO `template_items` VALUES ('7042', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2.iff');
INSERT INTO `template_items` VALUES ('7043', 'object/weapon/ranged/rifle/shared_rifle_bowcaster.iff');
INSERT INTO `template_items` VALUES ('7044', 'object/weapon/melee/2h_sword/shared_2h_sword_scythe.iff');
INSERT INTO `template_items` VALUES ('7045', 'object/weapon/ranged/heavy/shared_heavy_rocket_launcher.iff');
INSERT INTO `template_items` VALUES ('7046', 'object/weapon/ranged/carbine/shared_carbine_e11.iff');
INSERT INTO `template_items` VALUES ('7047', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen2.iff');
INSERT INTO `template_items` VALUES ('7048', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4.iff');
INSERT INTO `template_items` VALUES ('7049', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen2.iff');
INSERT INTO `template_items` VALUES ('7050', 'object/weapon/melee/sword/shared_sword_rantok.iff');
INSERT INTO `template_items` VALUES ('7051', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s3_training.iff');
INSERT INTO `template_items` VALUES ('7052', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen1.iff');
INSERT INTO `template_items` VALUES ('7053', 'object/weapon/ranged/creature/shared_creature_spit_spray_red.iff');
INSERT INTO `template_items` VALUES ('7054', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen3.iff');
INSERT INTO `template_items` VALUES ('7055', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen1.iff');
INSERT INTO `template_items` VALUES ('7056', 'object/weapon/melee/sword/base/shared_sword_base.iff');
INSERT INTO `template_items` VALUES ('7057', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen4.iff');
INSERT INTO `template_items` VALUES ('7058', 'object/weapon/melee/sword/shared_sword_lightsaber_sleeksilver.iff');
INSERT INTO `template_items` VALUES ('7059', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen2.iff');
INSERT INTO `template_items` VALUES ('7060', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen3.iff');
INSERT INTO `template_items` VALUES ('7061', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen1.iff');
INSERT INTO `template_items` VALUES ('7062', 'object/weapon/melee/2h_sword/base/shared_2h_sword_base.iff');
INSERT INTO `template_items` VALUES ('7063', 'object/weapon/ranged/rifle/shared_rifle_flame_thrower.iff');
INSERT INTO `template_items` VALUES ('7064', 'object/weapon/ranged/rifle/shared_rifle_sg82.iff');
INSERT INTO `template_items` VALUES ('7065', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s10_gen4.iff');
INSERT INTO `template_items` VALUES ('7066', 'object/weapon/melee/knife/shared_knife_vibroblade_quest.iff');
INSERT INTO `template_items` VALUES ('7067', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12_gen4.iff');
INSERT INTO `template_items` VALUES ('7068', 'object/weapon/base/shared_weapon_default.iff');
INSERT INTO `template_items` VALUES ('7069', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10.iff');
INSERT INTO `template_items` VALUES ('7070', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7.iff');
INSERT INTO `template_items` VALUES ('7071', 'object/weapon/ranged/rifle/shared_rifle_acid_beam.iff');
INSERT INTO `template_items` VALUES ('7072', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s2_gen1.iff');
INSERT INTO `template_items` VALUES ('7073', 'object/weapon/ranged/pistol/shared_pistol_scatter.iff');
INSERT INTO `template_items` VALUES ('7074', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s9_gen3.iff');
INSERT INTO `template_items` VALUES ('7075', 'object/weapon/melee/special/shared_blacksun_razor.iff');
INSERT INTO `template_items` VALUES ('7076', 'object/weapon/ranged/pistol/shared_pistol_de_10.iff');
INSERT INTO `template_items` VALUES ('7077', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s4_gen1.iff');
INSERT INTO `template_items` VALUES ('7078', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s6_gen1.iff');
INSERT INTO `template_items` VALUES ('7079', 'object/weapon/ranged/pistol/shared_pistol_d18.iff');
INSERT INTO `template_items` VALUES ('7080', 'object/weapon/ranged/pistol/shared_pistol_cdef_noob.iff');
INSERT INTO `template_items` VALUES ('7081', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen1.iff');
INSERT INTO `template_items` VALUES ('7082', 'object/weapon/melee/2h_sword/shared_2h_sword_battleaxe.iff');
INSERT INTO `template_items` VALUES ('7083', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1_gen3.iff');
INSERT INTO `template_items` VALUES ('7084', 'object/weapon/ranged/rifle/shared_rifle_cdef.iff');
INSERT INTO `template_items` VALUES ('7085', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_gen3.iff');
INSERT INTO `template_items` VALUES ('7086', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s1.iff');
INSERT INTO `template_items` VALUES ('7087', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1_gen4.iff');
INSERT INTO `template_items` VALUES ('7088', 'object/weapon/melee/sword/shared_sword_lightsaber_luke_2h_test.iff');
INSERT INTO `template_items` VALUES ('7089', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s11_gen4.iff');
INSERT INTO `template_items` VALUES ('7090', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8_gen1.iff');
INSERT INTO `template_items` VALUES ('7091', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s3_gen3.iff');
INSERT INTO `template_items` VALUES ('7092', 'object/weapon/ranged/creature/shared_creature_spit_large_toxicgreen.iff');
INSERT INTO `template_items` VALUES ('7093', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_gen2.iff');
INSERT INTO `template_items` VALUES ('7094', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s13_gen4.iff');
INSERT INTO `template_items` VALUES ('7095', 'object/weapon/ranged/creature/shared_creature_spit_heavy_flame.iff');
INSERT INTO `template_items` VALUES ('7096', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s8.iff');
INSERT INTO `template_items` VALUES ('7097', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_training.iff');
INSERT INTO `template_items` VALUES ('7098', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5_gen3.iff');
INSERT INTO `template_items` VALUES ('7099', 'object/weapon/ranged/droid/shared_droid_droideka_ranged.iff');
INSERT INTO `template_items` VALUES ('7100', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s7_gen3.iff');
INSERT INTO `template_items` VALUES ('7101', 'object/weapon/melee/baton/base/shared_baton_base.iff');
INSERT INTO `template_items` VALUES ('7102', 'object/weapon/ranged/creature/shared_creature_spit_large_red.iff');
INSERT INTO `template_items` VALUES ('7103', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s10_gen2.iff');
INSERT INTO `template_items` VALUES ('7104', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s12.iff');
INSERT INTO `template_items` VALUES ('7105', 'object/weapon/melee/polearm/shared_lance_controllerfp_nightsister.iff');
INSERT INTO `template_items` VALUES ('7106', 'object/weapon/melee/sword/shared_sword_lightsaber_leather.iff');
INSERT INTO `template_items` VALUES ('7107', 'object/weapon/melee/axe/shared_axe_heavy_duty.iff');
INSERT INTO `template_items` VALUES ('7108', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s5_gen1.iff');
INSERT INTO `template_items` VALUES ('7109', 'object/weapon/melee/polearm/shared_lance_lightsaber_01.iff');
INSERT INTO `template_items` VALUES ('7110', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s12_gen2.iff');
INSERT INTO `template_items` VALUES ('7111', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s1.iff');
INSERT INTO `template_items` VALUES ('7112', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_s2_gen2.iff');
INSERT INTO `template_items` VALUES ('7113', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s7_gen1.iff');
INSERT INTO `template_items` VALUES ('7114', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3.iff');
INSERT INTO `template_items` VALUES ('7115', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s6_training.iff');
INSERT INTO `template_items` VALUES ('7116', 'object/weapon/ranged/pistol/shared_pistol_scout_blaster.iff');
INSERT INTO `template_items` VALUES ('7117', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s1_gen1.iff');
INSERT INTO `template_items` VALUES ('7118', 'object/weapon/ranged/grenade/base/shared_grenade_base.iff');
INSERT INTO `template_items` VALUES ('7119', 'object/weapon/melee/2h_sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('7120', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s8_gen3.iff');
INSERT INTO `template_items` VALUES ('7121', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s3_gen1.iff');
INSERT INTO `template_items` VALUES ('7122', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s10_training.iff');
INSERT INTO `template_items` VALUES ('7123', 'object/weapon/melee/polearm/crafted_saber/shared_sword_lightsaber_polearm_gen5.iff');
INSERT INTO `template_items` VALUES ('7124', 'object/weapon/melee/sword/shared_sword_01_noob.iff');
INSERT INTO `template_items` VALUES ('7125', 'object/weapon/ranged/rifle/shared_rifle_e11.iff');
INSERT INTO `template_items` VALUES ('7126', 'object/weapon/ranged/grenade/shared_grenade_bug_bomb.iff');
INSERT INTO `template_items` VALUES ('7127', 'object/weapon/ranged/grenade/shared_grenade_imperial_detonator.iff');
INSERT INTO `template_items` VALUES ('7128', 'object/weapon/melee/knife/shared_knife_dagger.iff');
INSERT INTO `template_items` VALUES ('7129', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s5.iff');
INSERT INTO `template_items` VALUES ('7130', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s4_gen3.iff');
INSERT INTO `template_items` VALUES ('7131', 'object/weapon/melee/sword/shared_bestine_quest_sword.iff');
INSERT INTO `template_items` VALUES ('7132', 'object/weapon/melee/polearm/base/shared_crafted_lance_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('7133', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s11_gen2.iff');
INSERT INTO `template_items` VALUES ('7134', 'object/weapon/ranged/grenade/shared_grenade_thermal_detonator.iff');
INSERT INTO `template_items` VALUES ('7135', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s6_gen3.iff');
INSERT INTO `template_items` VALUES ('7136', 'object/weapon/melee/2h_sword/crafted_saber/shared_sword_lightsaber_two_handed_s13_gen2.iff');
INSERT INTO `template_items` VALUES ('7137', 'object/weapon/ranged/creature/shared_creature_spit_lightning_ball.iff');
INSERT INTO `template_items` VALUES ('7138', 'object/weapon/melee/sword/shared_sword_lightsaber_anakin.iff');
INSERT INTO `template_items` VALUES ('7139', 'object/weapon/ranged/pistol/shared_pistol_republic_blaster_quest.iff');
INSERT INTO `template_items` VALUES ('7140', 'object/weapon/ranged/rifle/shared_rifle_victor_tusken.iff');
INSERT INTO `template_items` VALUES ('7141', 'object/weapon/melee/knife/shared_knife_vibroblade.iff');
INSERT INTO `template_items` VALUES ('7142', 'object/weapon/melee/polearm/base/shared_polearm_base.iff');
INSERT INTO `template_items` VALUES ('7143', 'object/weapon/melee/sword/base/shared_crafted_lightsaber_base.iff');
INSERT INTO `template_items` VALUES ('7144', 'object/weapon/ranged/turret/shared_turret_block_large.iff');
INSERT INTO `template_items` VALUES ('7145', 'object/weapon/ranged/creature/shared_creature_spit_small_red.iff');
INSERT INTO `template_items` VALUES ('7146', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_s2_training.iff');
INSERT INTO `template_items` VALUES ('7147', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s2_gen3.iff');
INSERT INTO `template_items` VALUES ('7148', 'object/weapon/melee/sword/crafted_saber/shared_sword_lightsaber_one_handed_s9_gen1.iff');
INSERT INTO `template_items` VALUES ('7149', 'object/weapon/ranged/creature/shared_creature_spit_large_green.iff');
INSERT INTO `terminals` VALUES ('1', '1106502', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('2', '1106502', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('3', '1590893', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '8', '');
INSERT INTO `terminals` VALUES ('5', '1105881', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('6', '1105881', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('7', '3565796', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('8', '3565796', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('9', '1254763', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('10', '1254763', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('11', '1233040', '5', '0', '0', '0', '1', '1', '-0.05', '2', '8', '');
INSERT INTO `terminals` VALUES ('12', '1233040', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '8', '');
INSERT INTO `terminals` VALUES ('13', '1528389', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '8', '');
INSERT INTO `terminals` VALUES ('14', '1400866', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '8', '');
INSERT INTO `terminals` VALUES ('15', '1697352', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('16', '1697352', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('17', '474325', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('18', '474325', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('19', '1717560', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('20', '1717560', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('21', '1650613', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('22', '1650613', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('23', '1741514', '5', '0', '0', '0', '1', '1', '-0.05', '2', '5', '');
INSERT INTO `terminals` VALUES ('24', '1741514', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '5', '');
INSERT INTO `terminals` VALUES ('25', '3605960', '5', '0', '0', '0', '1', '-4', '0.125', '-6', '3', '');
INSERT INTO `terminals` VALUES ('26', '4635543', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '6', '');
INSERT INTO `terminals` VALUES ('32', '8615441', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '4', '');
INSERT INTO `terminals` VALUES ('27', '4635543', '5', '0', '0', '0', '1', '1', '-0.05', '2', '6', '');
INSERT INTO `terminals` VALUES ('28', '4695369', '5', '0', '0', '0', '1', '1', '-0.05', '2', '6', '');
INSERT INTO `terminals` VALUES ('29', '4695369', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '6', '');
INSERT INTO `terminals` VALUES ('30', '2745625', '5', '0', '0', '-1', '0', '0', '-0.378', '-0.5', '4', '');
INSERT INTO `terminals` VALUES ('31', '6705357', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '3', '');
INSERT INTO `terminals` VALUES ('33', '4505608', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '6', '');
INSERT INTO `terminals` VALUES ('34', '4885426', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '1', '');
INSERT INTO `terminals` VALUES ('35', '1366006', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '1', '');
INSERT INTO `terminals` VALUES ('36', '1365995', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '1', '');
INSERT INTO `terminals` VALUES ('37', '3175406', '5', '0', '0', '0', '1', '1', '-0.05', '2', '7', '');
INSERT INTO `terminals` VALUES ('38', '3175406', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '7', '');
INSERT INTO `terminals` VALUES ('54', '4345392', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('41', '4965412', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '7', '');
INSERT INTO `terminals` VALUES ('42', '7925459', '5', '0', '0', '0', '1', '-4', '0.125', '-6', '9', '');
INSERT INTO `terminals` VALUES ('43', '3035596', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '9', '');
INSERT INTO `terminals` VALUES ('44', '1392860', '5', '0', '0', '0', '1', '-4', '0.125', '-6', '2', '');
INSERT INTO `terminals` VALUES ('45', '1392892', '5', '0', '0', '0', '1', '0', '0.125', '-6.5', '2', '');
INSERT INTO `terminals` VALUES ('46', '1855493', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('47', '1855493', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('48', '1935515', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('49', '1935515', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('65', '1935515', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('56', '4265614', '5', '0', '0', '0', '1', '1', '-0.05', '2', '7', '');
INSERT INTO `terminals` VALUES ('55', '4345392', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('57', '4265614', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '7', '');
INSERT INTO `terminals` VALUES ('64', '1855493', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('60', '3005428', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('61', '3005428', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('62', '2365903', '5', '0', '0', '1', '0', '1', '-0.05', '-1', '0', '');
INSERT INTO `terminals` VALUES ('63', '2365903', '5', '0', '0', '0', '1', '1', '-0.05', '2', '0', '');
INSERT INTO `terminals` VALUES ('66', '2365903', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('67', '3005428', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('68', '4345392', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '0', '');
INSERT INTO `terminals` VALUES ('69', '474325', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('70', '1650613', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('71', '1697352', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('72', '1717560', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('73', '1741514', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '5', '');
INSERT INTO `terminals` VALUES ('74', '4635543', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '6', '');
INSERT INTO `terminals` VALUES ('75', '4695369', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '6', '');
INSERT INTO `terminals` VALUES ('76', '3175406', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '7', '');
INSERT INTO `terminals` VALUES ('77', '4265614', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '7', '');
INSERT INTO `terminals` VALUES ('78', '1105881', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('79', '1106504', '6', '0', '0', '0', '1', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('80', '1233040', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('81', '1254763', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('82', '3565796', '6', '0', '0', '-0.7', '0.7', '8', '0.08', '3', '8', '');
INSERT INTO `terminals` VALUES ('83', '2745616', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '4', '');
INSERT INTO `terminals` VALUES ('84', '1400857', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '8', '');
INSERT INTO `terminals` VALUES ('85', '1400846', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '8', '');
INSERT INTO `terminals` VALUES ('86', '1495846', '6', '0', '0', '-0.7', '0.7', '5', '0.25', '4.7', '8', '');
INSERT INTO `terminals` VALUES ('87', '1365998', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '1', '');
INSERT INTO `terminals` VALUES ('88', '1366009', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '1', '');
INSERT INTO `terminals` VALUES ('89', '4885429', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '1', '');
INSERT INTO `terminals` VALUES ('90', '1392895', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '2', '');
INSERT INTO `terminals` VALUES ('91', '6705360', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '3', '');
INSERT INTO `terminals` VALUES ('92', '8615444', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '4', '');
INSERT INTO `terminals` VALUES ('93', '4505611', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '6', '');
INSERT INTO `terminals` VALUES ('94', '4965415', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '7', '');
INSERT INTO `terminals` VALUES ('95', '3035599', '6', '0', '0', '0.7', '0.7', '-5.5', '0.125', '-3.75', '9', '');
INSERT INTO `terminals` VALUES ('96', '1392858', '6', '0', '0', '1', '0', '4', '0.125', '4.5', '2', '');
INSERT INTO `terminals` VALUES ('97', '3605958', '6', '0', '0', '1', '0', '4', '0.125', '4.5', '3', '');
INSERT INTO `terminals` VALUES ('98', '7925457', '6', '0', '0', '1', '0', '4', '0.125', '4.5', '9', '');
INSERT INTO `terminals` VALUES ('99', '2203318222975', '8', '0', '0', '0', '1', '27.4', '-3.5', '-170.7', '42', '');
INSERT INTO `warp` VALUES ('1', 'coronet_starport', '0', '-67.000000', '28.000000', '-4711.000000', 'Coronet Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('2', 'coronet_shuttle_a', '0', '-25.000000', '28.000000', '-4389.000000', 'Coronet Shuttle A, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('3', 'coronet_shuttle_b', '0', '-329.000000', '28.000000', '-4621.000000', 'Coronet Shuttle B, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('4', 'tyrena_starport', '0', '-5001.000000', '21.000000', '-2227.000000', 'Tyrena Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('5', 'tyrena_shuttle_a', '0', '-5003.000000', '21.000000', '-2367.000000', 'Tyrena Shuttle A, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('6', 'tyrena_shuttle_b', '0', '-5620.000000', '21.000000', '-2790.000000', 'Tyrena Shuttle B, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('7', 'kor_vella_starport', '0', '-3155.000000', '31.000000', '2877.000000', 'Kor Vella Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('8', 'kor_vella_shuttle', '0', '-3775.000000', '0.000000', '3254.000000', 'Kor Vella Shuttle, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('9', 'doaba_guerfel_starport', '0', '3352.000000', '308.000000', '5595.000000', 'Doaba Guerfel Starport, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('10', 'doaba_guerfel_shuttle', '0', '3065.000000', '0.000000', '4993.000000', 'Doaba Guerfel Shuttle, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('11', 'bela_vistal_shuttle_a', '0', '6624.000000', '330.000000', '-5921.000000', 'Bela Vistal Shuttle A, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('12', 'bela_vistal_shuttle_b', '0', '6950.000000', '330.000000', '-5538.000000', 'Bela Vistal Shuttle B, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('13', 'vreni_island_shuttle', '0', '-5551.000000', '0.000000', '-6039.000000', 'Vreni Island Shuttle, Corellia', '3', '180');
INSERT INTO `warp` VALUES ('14', 'dant_mining_op', '1', '-637.000000', '3.000000', '2505.000000', 'Mining Outpost, Dantooine', '3', '180');
INSERT INTO `warp` VALUES ('15', 'dant_imperial_op', '1', '-4210.000000', '3.000000', '-2350.000000', 'Imperial Outpost, Dantooine', '3', '180');
INSERT INTO `warp` VALUES ('16', 'dant_agro_op', '1', '1570.000000', '4.000000', '-6416.000000', 'Agro Outpost, Dantooine', '3', '180');
INSERT INTO `warp` VALUES ('17', 'dath_trade_op', '2', '617.000000', '6.000000', '3093.000000', 'Trade Outpost, Dathomir', '3', '180');
INSERT INTO `warp` VALUES ('18', 'dath_science_op', '2', '-49.000000', '18.000000', '-1584.000000', 'Science Outpost, Dathomir', '3', '180');
INSERT INTO `warp` VALUES ('19', 'endor_smuggler_op', '3', '-952.000000', '73.000000', '1554.000000', 'Smuggler Outpost, Endor', '3', '180');
INSERT INTO `warp` VALUES ('20', 'endor_research_op', '3', '3200.000000', '24.000000', '-3502.000000', 'Research Outpost, Endor', '3', '180');
INSERT INTO `warp` VALUES ('21', 'nym_stronghold', '4', '483.000000', '9.000000', '5512.000000', 'Nym\'s Stronghold, Lok', '3', '180');
INSERT INTO `warp` VALUES ('22', 'theed_starport', '5', '-4838.000000', '6.000000', '4164.000000', 'Theed Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('23', 'theed_shuttle_a', '5', '-5876.000000', '0.000000', '4172.000000', 'Theed Shuttle A, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('24', 'theed_shuttle_c', '5', '-5411.000000', '0.000000', '4302.000000', 'Theed Shuttle C, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('25', 'theed_shuttle_b', '5', '-4984.000000', '0.000000', '4090.000000', 'Theed Shuttle B, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('26', 'keren_starport', '5', '1374.000000', '13.000000', '2749.000000', 'Keren Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('27', 'keren_shuttle_south', '5', '1568.000000', '25.000000', '2856.000000', 'Keren Shuttle South, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('28', 'keren_shuttle', '5', '2041.000000', '0.000000', '2525.000000', 'Keren Shuttle, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('29', 'kaadara_starport', '5', '5279.000000', '-192.000000', '6687.000000', 'Kaadara Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('30', 'kaadara_shuttle', '5', '5137.000000', '-191.000000', '6601.000000', 'Kaadara Shuttle, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('31', 'moenia_starport', '5', '4733.000000', '4.000000', '-4676.000000', 'Moenia Starport, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('32', 'moenia_shuttle', '5', '4981.000000', '0.000000', '-4892.000000', 'Moenia Shuttle, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('33', 'deeja_peak', '5', '5351.000000', '0.000000', '-1576.000000', 'Theed Shuttle #1, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('34', 'lake_retreat', '5', '-5474.000000', '0.000000', '-21.000000', 'Theed Shuttle #2, Naboo', '3', '180');
INSERT INTO `warp` VALUES ('35', 'restuss_starport', '6', '5343.000000', '80.000000', '5733.000000', 'Restuss Starport, Rori', '3', '180');
INSERT INTO `warp` VALUES ('36', 'restuss_shuttle', '6', '5240.000000', '0.000000', '6204.000000', 'Restuss Shuttle, Rori', '3', '180');
INSERT INTO `warp` VALUES ('37', 'narmle_starport', '6', '-5372.000000', '80.000000', '-2187.000000', 'Narmle Starport, Rori', '3', '180');
INSERT INTO `warp` VALUES ('38', 'narmle_shuttle', '6', '-5241.000000', '0.000000', '-2147.000000', 'Narmle Shuttle, Rori', '3', '180');
INSERT INTO `warp` VALUES ('39', 'rori_rebel_op', '6', '3689.000000', '96.000000', '-6399.000000', 'Rebel Outpost, Rori', '3', '180');
INSERT INTO `warp` VALUES ('40', 'dearic_starport', '7', '265.000000', '6.000000', '-2947.000000', 'Dearic Starport, Talus', '3', '180');
INSERT INTO `warp` VALUES ('41', 'dearic_shuttle', '7', '699.000000', '0.000000', '-3061.000000', 'Dearic Shuttle, Talus', '3', '180');
INSERT INTO `warp` VALUES ('42', 'nashal_starport', '7', '4456.000000', '2.000000', '5353.000000', 'Nashal Starport, Talus', '3', '180');
INSERT INTO `warp` VALUES ('43', 'nashal_shuttle', '7', '4314.000000', '0.000000', '5431.000000', 'Nashal Shuttle, Talus', '3', '180');
INSERT INTO `warp` VALUES ('44', 'talus_imperial_opt', '7', '-2227.000000', '20.000000', '2319.000000', 'Imperial Outpost, Talus', '3', '180');
INSERT INTO `warp` VALUES ('45', 'mos_eisley_starport', '8', '3601.000000', '5.000000', '-4781.000000', 'Mos Eisley Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('46', 'mos_eisley_shuttle', '8', '3431.000000', '5.000000', '-4656.000000', 'Mos Eisley Shuttle, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('47', 'bestine_starport', '8', '-1362.000000', '12.000000', '-3600.000000', 'Bestine Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('48', 'bestine_shuttle', '8', '-1081.000000', '12.000000', '-3564.000000', 'Bestine Shuttle, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('49', 'mos_espa_starport', '8', '-2831.000000', '5.000000', '2109.000000', 'Mos Espa Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('50', 'mos_espa_shuttle_west', '8', '-3131.000000', '5.000000', '2172.000000', 'Mos Espa Shuttle West, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('51', 'mos_espa_shuttle_east', '8', '-2799.000000', '5.000000', '2163.000000', 'Mos Espa Shuttle East, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('52', 'mos_espa_shuttle_south', '8', '-2891.000000', '5.000000', '1914.000000', 'Mos Espa Shuttle South, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('53', 'mos_entha_starport', '8', '1263.000000', '7.000000', '3062.000000', 'Mos Entha Starport, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('54', 'mos_entha_shuttle_a', '8', '1730.000000', '0.000000', '3209.000000', 'Mos Entha Shuttle A, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('55', 'mos_entha_shuttle_b', '8', '1395.000000', '0.000000', '3487.000000', 'Mos Entha Shuttle B, Tatooine', '3', '180');
INSERT INTO `warp` VALUES ('56', 'yavin_mining_op', '9', '-268.000000', '35.000000', '4897.000000', 'Mining Outpost, Yavin IV', '3', '180');
INSERT INTO `warp` VALUES ('57', 'yavin_imperial_op', '9', '4051.000000', '37.000000', '-6215.000000', 'Imperial Outpost, Yavin IV', '3', '180');
INSERT INTO `warp` VALUES ('58', 'yavin_labor_op', '9', '-6921.000000', '73.000000', '-5726.000000', 'Labor Outpost, Yavin IV', '3', '180');
